#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2753
#define LARGE_STATE_COUNT 456
#define SYMBOL_COUNT 465
#define ALIAS_COUNT 1
#define TOKEN_COUNT 160
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 23
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 85

enum {
  sym_identifier = 1,
  anon_sym_POUND = 2,
  sym_decimal_integer_literal = 3,
  sym_hex_integer_literal = 4,
  sym_decimal_floating_point_literal = 5,
  anon_sym_true = 6,
  anon_sym_false = 7,
  anon_sym_DQUOTE = 8,
  anon_sym_SQUOTE = 9,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 10,
  anon_sym_SQUOTE_SQUOTE_SQUOTE = 11,
  anon_sym_r_DQUOTE = 12,
  anon_sym_DOLLAR = 13,
  anon_sym_r_SQUOTE = 14,
  anon_sym_r_DQUOTE_DQUOTE_DQUOTE = 15,
  anon_sym_r_SQUOTE_SQUOTE_SQUOTE = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym__sub_string_test_token1 = 19,
  sym__unused_escape_sequence = 20,
  anon_sym_LBRACK = 21,
  anon_sym_COMMA = 22,
  anon_sym_RBRACK = 23,
  anon_sym_COLON = 24,
  anon_sym_null = 25,
  anon_sym_throw = 26,
  anon_sym_EQ = 27,
  anon_sym_PLUS_EQ = 28,
  anon_sym_DASH_EQ = 29,
  anon_sym_STAR_EQ = 30,
  anon_sym_SLASH_EQ = 31,
  anon_sym_PERCENT_EQ = 32,
  anon_sym_TILDE_SLASH_EQ = 33,
  anon_sym_LT_LT_EQ = 34,
  anon_sym_GT_GT_EQ = 35,
  anon_sym_GT_GT_GT_EQ = 36,
  anon_sym_AMP_EQ = 37,
  anon_sym_CARET_EQ = 38,
  anon_sym_PIPE_EQ = 39,
  anon_sym_QMARK_QMARK_EQ = 40,
  anon_sym_LPAREN = 41,
  anon_sym_RPAREN = 42,
  anon_sym_QMARK_QMARK = 43,
  anon_sym_QMARK = 44,
  anon_sym_PIPE_PIPE = 45,
  anon_sym_AMP_AMP = 46,
  sym_equality_operator = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  anon_sym_LT_EQ = 50,
  anon_sym_GT_EQ = 51,
  anon_sym_PIPE = 52,
  anon_sym_CARET = 53,
  anon_sym_AMP = 54,
  anon_sym_LT_LT = 55,
  anon_sym_GT_GT = 56,
  anon_sym_GT_GT_GT = 57,
  sym__additive_operator = 58,
  anon_sym_STAR = 59,
  anon_sym_SLASH = 60,
  anon_sym_PERCENT = 61,
  anon_sym_TILDE_SLASH = 62,
  sym_increment_operator = 63,
  anon_sym_DOT_DOT_DOT = 64,
  sym_minus_operator = 65,
  sym__exclamation_operator = 66,
  anon_sym_TILDE = 67,
  anon_sym_await = 68,
  anon_sym_is = 69,
  anon_sym_as = 70,
  anon_sym_DOT = 71,
  anon_sym_QMARK_DOT = 72,
  anon_sym_DOT_DOT = 73,
  anon_sym_QMARK_DOT_DOT = 74,
  anon_sym_extends = 75,
  anon_sym_SEMI = 76,
  anon_sym_switch = 77,
  anon_sym_default = 78,
  anon_sym_do = 79,
  anon_sym_while = 80,
  anon_sym_continue = 81,
  anon_sym_yield = 82,
  anon_sym_return = 83,
  anon_sym_on = 84,
  anon_sym_try = 85,
  anon_sym_catch = 86,
  anon_sym_finally = 87,
  anon_sym_if = 88,
  anon_sym_else = 89,
  anon_sym_for = 90,
  anon_sym_in = 91,
  anon_sym_AT = 92,
  anon_sym_transitive = 93,
  anon_sym_part = 94,
  anon_sym_of = 95,
  anon_sym_EQ_EQ = 96,
  anon_sym_show = 97,
  anon_sym_hide = 98,
  anon_sym_enum = 99,
  anon_sym_abstract = 100,
  anon_sym_class = 101,
  anon_sym_extension = 102,
  anon_sym_with = 103,
  anon_sym_LBRACK_RBRACK = 104,
  anon_sym_LBRACK_RBRACK_EQ = 105,
  anon_sym_super = 106,
  sym_floating_point_type = 107,
  anon_sym_bool = 108,
  sym_void_type = 109,
  anon_sym_var = 110,
  anon_sym_async = 111,
  anon_sym_EQ_GT = 112,
  anon_sym_async_STAR = 113,
  anon_sym_sync_STAR = 114,
  anon_sym_throws = 115,
  anon_sym_POUND_BANG = 116,
  aux_sym_script_tag_token1 = 117,
  anon_sym_LF = 118,
  anon_sym_library = 119,
  sym__break_builtin = 120,
  sym__assert_builtin = 121,
  sym_case_builtin = 122,
  anon_sym_covariant = 123,
  anon_sym_deferred = 124,
  anon_sym_dynamic = 125,
  anon_sym_export = 126,
  anon_sym_factory = 127,
  anon_sym_Function = 128,
  anon_sym_get = 129,
  anon_sym_native = 130,
  anon_sym_implements = 131,
  anon_sym_import = 132,
  anon_sym_interface = 133,
  anon_sym_operator = 134,
  anon_sym_mixin = 135,
  anon_sym_required = 136,
  anon_sym_set = 137,
  anon_sym_static = 138,
  anon_sym_typedef = 139,
  anon_sym_new = 140,
  sym_const_builtin = 141,
  sym_final_builtin = 142,
  anon_sym_late = 143,
  anon_sym_external = 144,
  anon_sym_this = 145,
  sym_identifier_dollar_escaped = 146,
  anon_sym_SLASH_SLASH = 147,
  aux_sym_comment_token1 = 148,
  anon_sym_SLASH_STAR = 149,
  aux_sym_comment_token2 = 150,
  anon_sym_SLASH_SLASH_SLASH = 151,
  aux_sym_documentation_comment_token1 = 152,
  sym__template_chars_double = 153,
  sym__template_chars_single = 154,
  sym__template_chars_double_single = 155,
  sym__template_chars_single_single = 156,
  sym__template_chars_raw_slash = 157,
  sym__block_comment = 158,
  sym__documentation_block_comment = 159,
  sym_program = 160,
  sym_external_declaration = 161,
  sym__top_level_definition = 162,
  sym__literal = 163,
  sym_symbol_literal = 164,
  sym_true = 165,
  sym_false = 166,
  sym_string_literal = 167,
  sym__string_literal_double_quotes = 168,
  sym__string_literal_single_quotes = 169,
  sym__string_literal_double_quotes_multiple = 170,
  sym__string_literal_single_quotes_multiple = 171,
  sym__raw_string_literal_double_quotes = 172,
  sym__raw_string_literal_single_quotes = 173,
  sym__raw_string_literal_double_quotes_multiple = 174,
  sym__raw_string_literal_single_quotes_multiple = 175,
  sym_template_substitution = 176,
  sym__sub_string_test = 177,
  sym_escape_sequence = 178,
  sym_list_literal = 179,
  sym_set_or_map_literal = 180,
  sym_pair = 181,
  sym__element = 182,
  sym_null_literal = 183,
  sym__expression = 184,
  sym__expression_without_cascade = 185,
  sym__real_expression = 186,
  sym_throw_expression = 187,
  sym_throw_expression_without_cascade = 188,
  sym_assignment_expression = 189,
  sym_assignment_expression_without_cascade = 190,
  sym_assignable_expression = 191,
  sym__assignable_selector_part = 192,
  sym__assignment_operator = 193,
  sym_lambda_expression = 194,
  sym_function_expression = 195,
  sym_if_null_expression = 196,
  aux_sym__if_null_expression = 197,
  sym_conditional_expression = 198,
  sym_logical_or_expression = 199,
  sym_logical_and_expression = 200,
  sym_equality_expression = 201,
  sym_type_cast_expression = 202,
  sym_type_test_expression = 203,
  sym_relational_expression = 204,
  sym_relational_operator = 205,
  sym_bitwise_or_expression = 206,
  sym_bitwise_xor_expression = 207,
  sym_bitwise_and_expression = 208,
  sym_shift_expression = 209,
  sym_additive_expression = 210,
  sym_multiplicative_expression = 211,
  sym_bitwise_operator = 212,
  sym__bitwise_operator = 213,
  sym_shift_operator = 214,
  sym__shift_operator = 215,
  sym_additive_operator = 216,
  sym_multiplicative_operator = 217,
  sym__multiplicative_operator = 218,
  sym__unary_expression = 219,
  sym_unary_expression = 220,
  sym_member_access = 221,
  sym__postfix_expression = 222,
  sym_postfix_expression = 223,
  sym_postfix_operator = 224,
  sym_spread_element = 225,
  sym_selector = 226,
  sym_prefix_operator = 227,
  sym_negation_operator = 228,
  sym_tilde_operator = 229,
  sym_await_expression = 230,
  sym_type_test = 231,
  sym_is_operator = 232,
  sym_type_cast = 233,
  sym_as_operator = 234,
  sym_new_expression = 235,
  sym__dot_identifier = 236,
  sym_const_object_expression = 237,
  sym__primary = 238,
  sym_parenthesized_expression = 239,
  sym_constructor_invocation = 240,
  sym_arguments = 241,
  sym__argument_list = 242,
  sym_argument = 243,
  sym_named_argument = 244,
  sym_cascade_section = 245,
  sym__cascade_subsection = 246,
  sym__cascade_assignment_section = 247,
  sym_index_selector = 248,
  sym_cascade_selector = 249,
  sym_argument_part = 250,
  sym_unconditional_assignable_selector = 251,
  sym_conditional_assignable_selector = 252,
  sym__assignable_selector = 253,
  sym_type_arguments = 254,
  sym__statement = 255,
  sym_block = 256,
  sym_expression_statement = 257,
  sym_assert_statement = 258,
  sym_assertion = 259,
  sym_assertion_arguments = 260,
  sym_switch_statement = 261,
  sym_switch_block = 262,
  sym_switch_label = 263,
  sym_do_statement = 264,
  sym_break_statement = 265,
  sym_continue_statement = 266,
  sym_yield_statement = 267,
  sym_yield_each_statement = 268,
  sym_return_statement = 269,
  sym_try_statement = 270,
  sym__on_part = 271,
  sym__try_head = 272,
  sym_catch_clause = 273,
  sym_catch_parameters = 274,
  sym_finally_clause = 275,
  sym_if_element = 276,
  sym_if_statement = 277,
  sym_while_statement = 278,
  sym_for_statement = 279,
  sym_for_loop_parts = 280,
  sym__for_loop_parts = 281,
  sym_for_element = 282,
  sym__annotation = 283,
  sym_marker_annotation = 284,
  sym_annotation = 285,
  sym_import_or_export = 286,
  sym_library_import = 287,
  sym_library_export = 288,
  sym_import_specification = 289,
  sym_part_directive = 290,
  sym_part_of_directive = 291,
  sym_uri = 292,
  sym_configurable_uri = 293,
  sym_configuration_uri = 294,
  sym_configuration_uri_condition = 295,
  sym_uri_test = 296,
  sym_combinator = 297,
  sym__identifier_list = 298,
  sym_enum_declaration = 299,
  sym_enum_body = 300,
  sym_enum_constant = 301,
  sym_type_alias = 302,
  sym_class_definition = 303,
  sym_extension_declaration = 304,
  sym__metadata = 305,
  sym_type_parameters = 306,
  sym_type_parameter = 307,
  sym_type_bound = 308,
  sym_superclass = 309,
  sym_mixins = 310,
  sym_mixin_application_class = 311,
  sym_mixin_application = 312,
  sym_mixin_declaration = 313,
  sym_interfaces = 314,
  sym_class_body = 315,
  sym_extension_body = 316,
  sym_class_member_definition = 317,
  sym_getter_signature = 318,
  sym_setter_signature = 319,
  sym_method_signature = 320,
  sym_declaration = 321,
  sym_identifier_list = 322,
  sym_initialized_identifier_list = 323,
  sym_initialized_identifier = 324,
  sym_static_final_declaration_list = 325,
  sym_binary_operator = 326,
  sym_operator_signature = 327,
  sym_static_final_declaration = 328,
  sym__external_and_static = 329,
  sym__final_or_const = 330,
  sym_initializers = 331,
  sym_initializer_list_entry = 332,
  sym_field_initializer = 333,
  sym_factory_constructor_signature = 334,
  sym_redirecting_factory_constructor_signature = 335,
  sym_redirection = 336,
  sym_constructor_signature = 337,
  sym_constant_constructor_signature = 338,
  sym_scoped_identifier = 339,
  sym_initialized_variable_definition = 340,
  sym__declared_identifier = 341,
  sym__final_const_var_or_type = 342,
  sym__type = 343,
  sym__type_not_function = 344,
  sym__type_not_void_not_function = 345,
  sym_function_type = 346,
  aux_sym__function_type_tails = 347,
  sym__function_type_tail = 348,
  sym_parameter_type_list = 349,
  sym_normal_parameter_type = 350,
  sym_optional_parameter_types = 351,
  sym_optional_positional_parameter_types = 352,
  sym_named_parameter_types = 353,
  sym__named_parameter_type = 354,
  sym__type_not_void = 355,
  sym__type_not_void_list = 356,
  sym__type_name = 357,
  sym__type_dot_identifier = 358,
  sym_typed_identifier = 359,
  sym__nullable_type = 360,
  sym__var_or_type = 361,
  sym_inferred_type = 362,
  sym_function_body = 363,
  sym_function_expression_body = 364,
  sym_function_signature = 365,
  sym__formal_parameter_part = 366,
  sym_formal_parameter_list = 367,
  sym__strict_formal_parameter_list = 368,
  sym__normal_formal_parameters = 369,
  sym_optional_formal_parameters = 370,
  sym__optional_postional_formal_parameters = 371,
  sym__named_formal_parameters = 372,
  sym_formal_parameter = 373,
  sym__default_formal_parameter = 374,
  sym__default_named_parameter = 375,
  sym__normal_formal_parameter = 376,
  sym__function_formal_parameter = 377,
  sym__simple_formal_parameter = 378,
  sym_super_formal_parameter = 379,
  sym_constructor_param = 380,
  sym_local_variable_declaration = 381,
  sym_script_tag = 382,
  sym_library_name = 383,
  sym_dotted_identifier_list = 384,
  sym_qualified = 385,
  sym__as = 386,
  sym__covariant = 387,
  sym__deferred = 388,
  sym__export = 389,
  sym__external = 390,
  sym__factory = 391,
  sym__function_builtin_identifier = 392,
  sym__get = 393,
  sym__native = 394,
  sym__implements = 395,
  sym__import = 396,
  sym__operator = 397,
  sym__mixin = 398,
  sym__required = 399,
  sym__set = 400,
  sym__static = 401,
  sym__typedef = 402,
  sym__new_builtin = 403,
  sym__late_builtin = 404,
  sym__external_builtin = 405,
  sym_this = 406,
  sym_super = 407,
  sym_label = 408,
  sym__semicolon = 409,
  sym_comment = 410,
  sym_documentation_comment = 411,
  aux_sym_program_repeat1 = 412,
  aux_sym_program_repeat2 = 413,
  aux_sym_program_repeat3 = 414,
  aux_sym_program_repeat4 = 415,
  aux_sym_string_literal_repeat1 = 416,
  aux_sym__string_literal_double_quotes_repeat1 = 417,
  aux_sym__string_literal_single_quotes_repeat1 = 418,
  aux_sym__string_literal_double_quotes_multiple_repeat1 = 419,
  aux_sym__string_literal_single_quotes_multiple_repeat1 = 420,
  aux_sym__raw_string_literal_double_quotes_repeat1 = 421,
  aux_sym__raw_string_literal_single_quotes_repeat1 = 422,
  aux_sym__raw_string_literal_double_quotes_multiple_repeat1 = 423,
  aux_sym__raw_string_literal_single_quotes_multiple_repeat1 = 424,
  aux_sym_list_literal_repeat1 = 425,
  aux_sym__expression_repeat1 = 426,
  aux_sym__assignable_selector_part_repeat1 = 427,
  aux_sym_inferred_parameters_repeat1 = 428,
  aux_sym_logical_or_expression_repeat1 = 429,
  aux_sym_logical_and_expression_repeat1 = 430,
  aux_sym_bitwise_or_expression_repeat1 = 431,
  aux_sym_bitwise_xor_expression_repeat1 = 432,
  aux_sym_bitwise_and_expression_repeat1 = 433,
  aux_sym_shift_expression_repeat1 = 434,
  aux_sym_additive_expression_repeat1 = 435,
  aux_sym_multiplicative_expression_repeat1 = 436,
  aux_sym__argument_list_repeat1 = 437,
  aux_sym__argument_list_repeat2 = 438,
  aux_sym__argument_list_repeat3 = 439,
  aux_sym_cascade_section_repeat1 = 440,
  aux_sym_cascade_section_repeat2 = 441,
  aux_sym_type_arguments_repeat1 = 442,
  aux_sym_block_repeat1 = 443,
  aux_sym_switch_block_repeat1 = 444,
  aux_sym_switch_case_repeat1 = 445,
  aux_sym_try_statement_repeat1 = 446,
  aux_sym__for_loop_parts_repeat1 = 447,
  aux_sym__for_loop_parts_repeat2 = 448,
  aux_sym_library_export_repeat1 = 449,
  aux_sym_configurable_uri_repeat1 = 450,
  aux_sym_enum_body_repeat1 = 451,
  aux_sym__metadata_repeat1 = 452,
  aux_sym_type_parameters_repeat1 = 453,
  aux_sym_class_body_repeat1 = 454,
  aux_sym_initialized_identifier_list_repeat1 = 455,
  aux_sym_static_final_declaration_list_repeat1 = 456,
  aux_sym_initializers_repeat1 = 457,
  aux_sym_factory_constructor_signature_repeat1 = 458,
  aux_sym_parameter_type_list_repeat1 = 459,
  aux_sym_named_parameter_types_repeat1 = 460,
  aux_sym__type_not_void_list_repeat1 = 461,
  aux_sym__normal_formal_parameters_repeat1 = 462,
  aux_sym_positional_parameters_repeat1 = 463,
  aux_sym__named_formal_parameters_repeat1 = 464,
  alias_sym_type_identifier = 465,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_POUND] = "#",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hex_integer_literal] = "hex_integer_literal",
  [sym_decimal_floating_point_literal] = "decimal_floating_point_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = "'''",
  [anon_sym_r_DQUOTE] = "r\"",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_r_SQUOTE] = "r'",
  [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = "r\"\"\"",
  [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = "r'''",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym__sub_string_test_token1] = "_sub_string_test_token1",
  [sym__unused_escape_sequence] = "_unused_escape_sequence",
  [anon_sym_LBRACK] = "[",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACK] = "]",
  [anon_sym_COLON] = ":",
  [anon_sym_null] = "null",
  [anon_sym_throw] = "throw",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_TILDE_SLASH_EQ] = "~/=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [sym_equality_operator] = "equality_operator",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [sym__additive_operator] = "_additive_operator",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_TILDE_SLASH] = "~/",
  [sym_increment_operator] = "increment_operator",
  [anon_sym_DOT_DOT_DOT] = "...",
  [sym_minus_operator] = "minus_operator",
  [sym__exclamation_operator] = "_exclamation_operator",
  [anon_sym_TILDE] = "~",
  [anon_sym_await] = "await",
  [anon_sym_is] = "is",
  [anon_sym_as] = "as",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_QMARK_DOT_DOT] = "\?..",
  [anon_sym_extends] = "extends",
  [anon_sym_SEMI] = ";",
  [anon_sym_switch] = "switch",
  [anon_sym_default] = "default",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_continue] = "continue",
  [anon_sym_yield] = "yield",
  [anon_sym_return] = "return",
  [anon_sym_on] = "on",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_AT] = "@",
  [anon_sym_transitive] = "transitive",
  [anon_sym_part] = "part",
  [anon_sym_of] = "of",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_show] = "show",
  [anon_sym_hide] = "hide",
  [anon_sym_enum] = "enum",
  [anon_sym_abstract] = "abstract",
  [anon_sym_class] = "class",
  [anon_sym_extension] = "extension",
  [anon_sym_with] = "with",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_LBRACK_RBRACK_EQ] = "[]=",
  [anon_sym_super] = "super",
  [sym_floating_point_type] = "floating_point_type",
  [anon_sym_bool] = "bool",
  [sym_void_type] = "void_type",
  [anon_sym_var] = "var",
  [anon_sym_async] = "async",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_async_STAR] = "async*",
  [anon_sym_sync_STAR] = "sync*",
  [anon_sym_throws] = "throws",
  [anon_sym_POUND_BANG] = "#!",
  [aux_sym_script_tag_token1] = "script_tag_token1",
  [anon_sym_LF] = "\n",
  [anon_sym_library] = "library",
  [sym__break_builtin] = "_break_builtin",
  [sym__assert_builtin] = "_assert_builtin",
  [sym_case_builtin] = "case_builtin",
  [anon_sym_covariant] = "covariant",
  [anon_sym_deferred] = "deferred",
  [anon_sym_dynamic] = "dynamic",
  [anon_sym_export] = "export",
  [anon_sym_factory] = "factory",
  [anon_sym_Function] = "Function",
  [anon_sym_get] = "get",
  [anon_sym_native] = "native",
  [anon_sym_implements] = "implements",
  [anon_sym_import] = "import",
  [anon_sym_interface] = "interface",
  [anon_sym_operator] = "operator",
  [anon_sym_mixin] = "mixin",
  [anon_sym_required] = "required",
  [anon_sym_set] = "set",
  [anon_sym_static] = "static",
  [anon_sym_typedef] = "typedef",
  [anon_sym_new] = "new",
  [sym_const_builtin] = "const_builtin",
  [sym_final_builtin] = "final_builtin",
  [anon_sym_late] = "late",
  [anon_sym_external] = "external",
  [anon_sym_this] = "this",
  [sym_identifier_dollar_escaped] = "identifier_dollar_escaped",
  [anon_sym_SLASH_SLASH] = "//",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_SLASH_STAR] = "/*",
  [aux_sym_comment_token2] = "comment_token2",
  [anon_sym_SLASH_SLASH_SLASH] = "///",
  [aux_sym_documentation_comment_token1] = "documentation_comment_token1",
  [sym__template_chars_double] = "_template_chars_double",
  [sym__template_chars_single] = "_template_chars_single",
  [sym__template_chars_double_single] = "_template_chars_double_single",
  [sym__template_chars_single_single] = "_template_chars_single_single",
  [sym__template_chars_raw_slash] = "_template_chars_raw_slash",
  [sym__block_comment] = "_block_comment",
  [sym__documentation_block_comment] = "_documentation_block_comment",
  [sym_program] = "program",
  [sym_external_declaration] = "external_declaration",
  [sym__top_level_definition] = "_top_level_definition",
  [sym__literal] = "_literal",
  [sym_symbol_literal] = "symbol_literal",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_string_literal] = "string_literal",
  [sym__string_literal_double_quotes] = "_string_literal_double_quotes",
  [sym__string_literal_single_quotes] = "_string_literal_single_quotes",
  [sym__string_literal_double_quotes_multiple] = "_string_literal_double_quotes_multiple",
  [sym__string_literal_single_quotes_multiple] = "_string_literal_single_quotes_multiple",
  [sym__raw_string_literal_double_quotes] = "_raw_string_literal_double_quotes",
  [sym__raw_string_literal_single_quotes] = "_raw_string_literal_single_quotes",
  [sym__raw_string_literal_double_quotes_multiple] = "_raw_string_literal_double_quotes_multiple",
  [sym__raw_string_literal_single_quotes_multiple] = "_raw_string_literal_single_quotes_multiple",
  [sym_template_substitution] = "template_substitution",
  [sym__sub_string_test] = "_sub_string_test",
  [sym_escape_sequence] = "escape_sequence",
  [sym_list_literal] = "list_literal",
  [sym_set_or_map_literal] = "set_or_map_literal",
  [sym_pair] = "pair",
  [sym__element] = "_element",
  [sym_null_literal] = "null_literal",
  [sym__expression] = "_expression",
  [sym__expression_without_cascade] = "_expression_without_cascade",
  [sym__real_expression] = "_real_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_throw_expression_without_cascade] = "throw_expression_without_cascade",
  [sym_assignment_expression] = "assignment_expression",
  [sym_assignment_expression_without_cascade] = "assignment_expression_without_cascade",
  [sym_assignable_expression] = "assignable_expression",
  [sym__assignable_selector_part] = "_assignable_selector_part",
  [sym__assignment_operator] = "_assignment_operator",
  [sym_lambda_expression] = "lambda_expression",
  [sym_function_expression] = "function_expression",
  [sym_if_null_expression] = "if_null_expression",
  [aux_sym__if_null_expression] = "_if_null_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_logical_or_expression] = "logical_or_expression",
  [sym_logical_and_expression] = "logical_and_expression",
  [sym_equality_expression] = "equality_expression",
  [sym_type_cast_expression] = "type_cast_expression",
  [sym_type_test_expression] = "type_test_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_relational_operator] = "relational_operator",
  [sym_bitwise_or_expression] = "bitwise_or_expression",
  [sym_bitwise_xor_expression] = "bitwise_xor_expression",
  [sym_bitwise_and_expression] = "bitwise_and_expression",
  [sym_shift_expression] = "shift_expression",
  [sym_additive_expression] = "additive_expression",
  [sym_multiplicative_expression] = "multiplicative_expression",
  [sym_bitwise_operator] = "bitwise_operator",
  [sym__bitwise_operator] = "_bitwise_operator",
  [sym_shift_operator] = "shift_operator",
  [sym__shift_operator] = "_shift_operator",
  [sym_additive_operator] = "additive_operator",
  [sym_multiplicative_operator] = "multiplicative_operator",
  [sym__multiplicative_operator] = "_multiplicative_operator",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_member_access] = "member_access",
  [sym__postfix_expression] = "_postfix_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_postfix_operator] = "postfix_operator",
  [sym_spread_element] = "spread_element",
  [sym_selector] = "selector",
  [sym_prefix_operator] = "prefix_operator",
  [sym_negation_operator] = "negation_operator",
  [sym_tilde_operator] = "tilde_operator",
  [sym_await_expression] = "await_expression",
  [sym_type_test] = "type_test",
  [sym_is_operator] = "is_operator",
  [sym_type_cast] = "type_cast",
  [sym_as_operator] = "as_operator",
  [sym_new_expression] = "new_expression",
  [sym__dot_identifier] = "_dot_identifier",
  [sym_const_object_expression] = "const_object_expression",
  [sym__primary] = "_primary",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_constructor_invocation] = "constructor_invocation",
  [sym_arguments] = "arguments",
  [sym__argument_list] = "_argument_list",
  [sym_argument] = "argument",
  [sym_named_argument] = "named_argument",
  [sym_cascade_section] = "cascade_section",
  [sym__cascade_subsection] = "_cascade_subsection",
  [sym__cascade_assignment_section] = "_cascade_assignment_section",
  [sym_index_selector] = "index_selector",
  [sym_cascade_selector] = "cascade_selector",
  [sym_argument_part] = "argument_part",
  [sym_unconditional_assignable_selector] = "unconditional_assignable_selector",
  [sym_conditional_assignable_selector] = "conditional_assignable_selector",
  [sym__assignable_selector] = "_assignable_selector",
  [sym_type_arguments] = "type_arguments",
  [sym__statement] = "_statement",
  [sym_block] = "block",
  [sym_expression_statement] = "expression_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_assertion] = "assertion",
  [sym_assertion_arguments] = "assertion_arguments",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_switch_label] = "switch_label",
  [sym_do_statement] = "do_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_yield_each_statement] = "yield_each_statement",
  [sym_return_statement] = "return_statement",
  [sym_try_statement] = "try_statement",
  [sym__on_part] = "_on_part",
  [sym__try_head] = "_try_head",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_parameters] = "catch_parameters",
  [sym_finally_clause] = "finally_clause",
  [sym_if_element] = "if_element",
  [sym_if_statement] = "if_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_loop_parts] = "for_loop_parts",
  [sym__for_loop_parts] = "_for_loop_parts",
  [sym_for_element] = "for_element",
  [sym__annotation] = "_annotation",
  [sym_marker_annotation] = "marker_annotation",
  [sym_annotation] = "annotation",
  [sym_import_or_export] = "import_or_export",
  [sym_library_import] = "library_import",
  [sym_library_export] = "library_export",
  [sym_import_specification] = "import_specification",
  [sym_part_directive] = "part_directive",
  [sym_part_of_directive] = "part_of_directive",
  [sym_uri] = "uri",
  [sym_configurable_uri] = "configurable_uri",
  [sym_configuration_uri] = "configuration_uri",
  [sym_configuration_uri_condition] = "configuration_uri_condition",
  [sym_uri_test] = "uri_test",
  [sym_combinator] = "combinator",
  [sym__identifier_list] = "_identifier_list",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_constant] = "enum_constant",
  [sym_type_alias] = "type_alias",
  [sym_class_definition] = "class_definition",
  [sym_extension_declaration] = "extension_declaration",
  [sym__metadata] = "_metadata",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_type_bound] = "type_bound",
  [sym_superclass] = "superclass",
  [sym_mixins] = "mixins",
  [sym_mixin_application_class] = "mixin_application_class",
  [sym_mixin_application] = "mixin_application",
  [sym_mixin_declaration] = "mixin_declaration",
  [sym_interfaces] = "interfaces",
  [sym_class_body] = "class_body",
  [sym_extension_body] = "extension_body",
  [sym_class_member_definition] = "class_member_definition",
  [sym_getter_signature] = "getter_signature",
  [sym_setter_signature] = "setter_signature",
  [sym_method_signature] = "method_signature",
  [sym_declaration] = "declaration",
  [sym_identifier_list] = "identifier_list",
  [sym_initialized_identifier_list] = "initialized_identifier_list",
  [sym_initialized_identifier] = "initialized_identifier",
  [sym_static_final_declaration_list] = "static_final_declaration_list",
  [sym_binary_operator] = "binary_operator",
  [sym_operator_signature] = "operator_signature",
  [sym_static_final_declaration] = "static_final_declaration",
  [sym__external_and_static] = "_external_and_static",
  [sym__final_or_const] = "_final_or_const",
  [sym_initializers] = "initializers",
  [sym_initializer_list_entry] = "initializer_list_entry",
  [sym_field_initializer] = "field_initializer",
  [sym_factory_constructor_signature] = "factory_constructor_signature",
  [sym_redirecting_factory_constructor_signature] = "redirecting_factory_constructor_signature",
  [sym_redirection] = "redirection",
  [sym_constructor_signature] = "constructor_signature",
  [sym_constant_constructor_signature] = "constant_constructor_signature",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_initialized_variable_definition] = "initialized_variable_definition",
  [sym__declared_identifier] = "_declared_identifier",
  [sym__final_const_var_or_type] = "_final_const_var_or_type",
  [sym__type] = "_type",
  [sym__type_not_function] = "_type_not_function",
  [sym__type_not_void_not_function] = "_type_not_void_not_function",
  [sym_function_type] = "function_type",
  [aux_sym__function_type_tails] = "_function_type_tails",
  [sym__function_type_tail] = "_function_type_tail",
  [sym_parameter_type_list] = "parameter_type_list",
  [sym_normal_parameter_type] = "normal_parameter_type",
  [sym_optional_parameter_types] = "optional_parameter_types",
  [sym_optional_positional_parameter_types] = "optional_positional_parameter_types",
  [sym_named_parameter_types] = "named_parameter_types",
  [sym__named_parameter_type] = "_named_parameter_type",
  [sym__type_not_void] = "_type_not_void",
  [sym__type_not_void_list] = "_type_not_void_list",
  [sym__type_name] = "_type_name",
  [sym__type_dot_identifier] = "_type_dot_identifier",
  [sym_typed_identifier] = "typed_identifier",
  [sym__nullable_type] = "_nullable_type",
  [sym__var_or_type] = "_var_or_type",
  [sym_inferred_type] = "inferred_type",
  [sym_function_body] = "function_body",
  [sym_function_expression_body] = "function_expression_body",
  [sym_function_signature] = "function_signature",
  [sym__formal_parameter_part] = "_formal_parameter_part",
  [sym_formal_parameter_list] = "formal_parameter_list",
  [sym__strict_formal_parameter_list] = "_strict_formal_parameter_list",
  [sym__normal_formal_parameters] = "_normal_formal_parameters",
  [sym_optional_formal_parameters] = "optional_formal_parameters",
  [sym__optional_postional_formal_parameters] = "_optional_postional_formal_parameters",
  [sym__named_formal_parameters] = "_named_formal_parameters",
  [sym_formal_parameter] = "formal_parameter",
  [sym__default_formal_parameter] = "_default_formal_parameter",
  [sym__default_named_parameter] = "_default_named_parameter",
  [sym__normal_formal_parameter] = "_normal_formal_parameter",
  [sym__function_formal_parameter] = "_function_formal_parameter",
  [sym__simple_formal_parameter] = "_simple_formal_parameter",
  [sym_super_formal_parameter] = "super_formal_parameter",
  [sym_constructor_param] = "constructor_param",
  [sym_local_variable_declaration] = "local_variable_declaration",
  [sym_script_tag] = "script_tag",
  [sym_library_name] = "library_name",
  [sym_dotted_identifier_list] = "dotted_identifier_list",
  [sym_qualified] = "qualified",
  [sym__as] = "_as",
  [sym__covariant] = "_covariant",
  [sym__deferred] = "_deferred",
  [sym__export] = "_export",
  [sym__external] = "_external",
  [sym__factory] = "_factory",
  [sym__function_builtin_identifier] = "_function_builtin_identifier",
  [sym__get] = "_get",
  [sym__native] = "_native",
  [sym__implements] = "_implements",
  [sym__import] = "_import",
  [sym__operator] = "_operator",
  [sym__mixin] = "_mixin",
  [sym__required] = "_required",
  [sym__set] = "_set",
  [sym__static] = "_static",
  [sym__typedef] = "_typedef",
  [sym__new_builtin] = "_new_builtin",
  [sym__late_builtin] = "_late_builtin",
  [sym__external_builtin] = "_external_builtin",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_label] = "label",
  [sym__semicolon] = "_semicolon",
  [sym_comment] = "comment",
  [sym_documentation_comment] = "documentation_comment",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_program_repeat2] = "program_repeat2",
  [aux_sym_program_repeat3] = "program_repeat3",
  [aux_sym_program_repeat4] = "program_repeat4",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__string_literal_double_quotes_repeat1] = "_string_literal_double_quotes_repeat1",
  [aux_sym__string_literal_single_quotes_repeat1] = "_string_literal_single_quotes_repeat1",
  [aux_sym__string_literal_double_quotes_multiple_repeat1] = "_string_literal_double_quotes_multiple_repeat1",
  [aux_sym__string_literal_single_quotes_multiple_repeat1] = "_string_literal_single_quotes_multiple_repeat1",
  [aux_sym__raw_string_literal_double_quotes_repeat1] = "_raw_string_literal_double_quotes_repeat1",
  [aux_sym__raw_string_literal_single_quotes_repeat1] = "_raw_string_literal_single_quotes_repeat1",
  [aux_sym__raw_string_literal_double_quotes_multiple_repeat1] = "_raw_string_literal_double_quotes_multiple_repeat1",
  [aux_sym__raw_string_literal_single_quotes_multiple_repeat1] = "_raw_string_literal_single_quotes_multiple_repeat1",
  [aux_sym_list_literal_repeat1] = "list_literal_repeat1",
  [aux_sym__expression_repeat1] = "_expression_repeat1",
  [aux_sym__assignable_selector_part_repeat1] = "_assignable_selector_part_repeat1",
  [aux_sym_inferred_parameters_repeat1] = "inferred_parameters_repeat1",
  [aux_sym_logical_or_expression_repeat1] = "logical_or_expression_repeat1",
  [aux_sym_logical_and_expression_repeat1] = "logical_and_expression_repeat1",
  [aux_sym_bitwise_or_expression_repeat1] = "bitwise_or_expression_repeat1",
  [aux_sym_bitwise_xor_expression_repeat1] = "bitwise_xor_expression_repeat1",
  [aux_sym_bitwise_and_expression_repeat1] = "bitwise_and_expression_repeat1",
  [aux_sym_shift_expression_repeat1] = "shift_expression_repeat1",
  [aux_sym_additive_expression_repeat1] = "additive_expression_repeat1",
  [aux_sym_multiplicative_expression_repeat1] = "multiplicative_expression_repeat1",
  [aux_sym__argument_list_repeat1] = "_argument_list_repeat1",
  [aux_sym__argument_list_repeat2] = "_argument_list_repeat2",
  [aux_sym__argument_list_repeat3] = "_argument_list_repeat3",
  [aux_sym_cascade_section_repeat1] = "cascade_section_repeat1",
  [aux_sym_cascade_section_repeat2] = "cascade_section_repeat2",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_switch_case_repeat1] = "switch_case_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym__for_loop_parts_repeat1] = "_for_loop_parts_repeat1",
  [aux_sym__for_loop_parts_repeat2] = "_for_loop_parts_repeat2",
  [aux_sym_library_export_repeat1] = "library_export_repeat1",
  [aux_sym_configurable_uri_repeat1] = "configurable_uri_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym__metadata_repeat1] = "_metadata_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_initialized_identifier_list_repeat1] = "initialized_identifier_list_repeat1",
  [aux_sym_static_final_declaration_list_repeat1] = "static_final_declaration_list_repeat1",
  [aux_sym_initializers_repeat1] = "initializers_repeat1",
  [aux_sym_factory_constructor_signature_repeat1] = "factory_constructor_signature_repeat1",
  [aux_sym_parameter_type_list_repeat1] = "parameter_type_list_repeat1",
  [aux_sym_named_parameter_types_repeat1] = "named_parameter_types_repeat1",
  [aux_sym__type_not_void_list_repeat1] = "_type_not_void_list_repeat1",
  [aux_sym__normal_formal_parameters_repeat1] = "_normal_formal_parameters_repeat1",
  [aux_sym_positional_parameters_repeat1] = "positional_parameters_repeat1",
  [aux_sym__named_formal_parameters_repeat1] = "_named_formal_parameters_repeat1",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_POUND] = anon_sym_POUND,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hex_integer_literal] = sym_hex_integer_literal,
  [sym_decimal_floating_point_literal] = sym_decimal_floating_point_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE_SQUOTE,
  [anon_sym_r_DQUOTE] = anon_sym_r_DQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_r_SQUOTE] = anon_sym_r_SQUOTE,
  [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym__sub_string_test_token1] = aux_sym__sub_string_test_token1,
  [sym__unused_escape_sequence] = sym__unused_escape_sequence,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_TILDE_SLASH_EQ] = anon_sym_TILDE_SLASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [sym_equality_operator] = sym_equality_operator,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [sym__additive_operator] = sym__additive_operator,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_TILDE_SLASH] = anon_sym_TILDE_SLASH,
  [sym_increment_operator] = sym_increment_operator,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [sym_minus_operator] = sym_minus_operator,
  [sym__exclamation_operator] = sym__exclamation_operator,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_QMARK_DOT_DOT] = anon_sym_QMARK_DOT_DOT,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_on] = anon_sym_on,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_transitive] = anon_sym_transitive,
  [anon_sym_part] = anon_sym_part,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_show] = anon_sym_show,
  [anon_sym_hide] = anon_sym_hide,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extension] = anon_sym_extension,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_LBRACK_RBRACK_EQ] = anon_sym_LBRACK_RBRACK_EQ,
  [anon_sym_super] = anon_sym_super,
  [sym_floating_point_type] = sym_floating_point_type,
  [anon_sym_bool] = anon_sym_bool,
  [sym_void_type] = sym_void_type,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_async_STAR] = anon_sym_async_STAR,
  [anon_sym_sync_STAR] = anon_sym_sync_STAR,
  [anon_sym_throws] = anon_sym_throws,
  [anon_sym_POUND_BANG] = anon_sym_POUND_BANG,
  [aux_sym_script_tag_token1] = aux_sym_script_tag_token1,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_library] = anon_sym_library,
  [sym__break_builtin] = sym__break_builtin,
  [sym__assert_builtin] = sym__assert_builtin,
  [sym_case_builtin] = sym_case_builtin,
  [anon_sym_covariant] = anon_sym_covariant,
  [anon_sym_deferred] = anon_sym_deferred,
  [anon_sym_dynamic] = anon_sym_dynamic,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_factory] = anon_sym_factory,
  [anon_sym_Function] = anon_sym_Function,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_native] = anon_sym_native,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_mixin] = anon_sym_mixin,
  [anon_sym_required] = anon_sym_required,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_new] = anon_sym_new,
  [sym_const_builtin] = sym_const_builtin,
  [sym_final_builtin] = sym_final_builtin,
  [anon_sym_late] = anon_sym_late,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_this] = anon_sym_this,
  [sym_identifier_dollar_escaped] = sym_identifier_dollar_escaped,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [aux_sym_comment_token2] = aux_sym_comment_token2,
  [anon_sym_SLASH_SLASH_SLASH] = anon_sym_SLASH_SLASH_SLASH,
  [aux_sym_documentation_comment_token1] = aux_sym_documentation_comment_token1,
  [sym__template_chars_double] = sym__template_chars_double,
  [sym__template_chars_single] = sym__template_chars_single,
  [sym__template_chars_double_single] = sym__template_chars_double_single,
  [sym__template_chars_single_single] = sym__template_chars_single_single,
  [sym__template_chars_raw_slash] = sym__template_chars_raw_slash,
  [sym__block_comment] = sym__block_comment,
  [sym__documentation_block_comment] = sym__documentation_block_comment,
  [sym_program] = sym_program,
  [sym_external_declaration] = sym_external_declaration,
  [sym__top_level_definition] = sym__top_level_definition,
  [sym__literal] = sym__literal,
  [sym_symbol_literal] = sym_symbol_literal,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_string_literal] = sym_string_literal,
  [sym__string_literal_double_quotes] = sym__string_literal_double_quotes,
  [sym__string_literal_single_quotes] = sym__string_literal_single_quotes,
  [sym__string_literal_double_quotes_multiple] = sym__string_literal_double_quotes_multiple,
  [sym__string_literal_single_quotes_multiple] = sym__string_literal_single_quotes_multiple,
  [sym__raw_string_literal_double_quotes] = sym__raw_string_literal_double_quotes,
  [sym__raw_string_literal_single_quotes] = sym__raw_string_literal_single_quotes,
  [sym__raw_string_literal_double_quotes_multiple] = sym__raw_string_literal_double_quotes_multiple,
  [sym__raw_string_literal_single_quotes_multiple] = sym__raw_string_literal_single_quotes_multiple,
  [sym_template_substitution] = sym_template_substitution,
  [sym__sub_string_test] = sym__sub_string_test,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_list_literal] = sym_list_literal,
  [sym_set_or_map_literal] = sym_set_or_map_literal,
  [sym_pair] = sym_pair,
  [sym__element] = sym__element,
  [sym_null_literal] = sym_null_literal,
  [sym__expression] = sym__expression,
  [sym__expression_without_cascade] = sym__expression_without_cascade,
  [sym__real_expression] = sym__real_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_throw_expression_without_cascade] = sym_throw_expression_without_cascade,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_assignment_expression_without_cascade] = sym_assignment_expression_without_cascade,
  [sym_assignable_expression] = sym_assignable_expression,
  [sym__assignable_selector_part] = sym__assignable_selector_part,
  [sym__assignment_operator] = sym__assignment_operator,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_function_expression] = sym_function_expression,
  [sym_if_null_expression] = sym_if_null_expression,
  [aux_sym__if_null_expression] = aux_sym__if_null_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_logical_or_expression] = sym_logical_or_expression,
  [sym_logical_and_expression] = sym_logical_and_expression,
  [sym_equality_expression] = sym_equality_expression,
  [sym_type_cast_expression] = sym_type_cast_expression,
  [sym_type_test_expression] = sym_type_test_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_relational_operator] = sym_relational_operator,
  [sym_bitwise_or_expression] = sym_bitwise_or_expression,
  [sym_bitwise_xor_expression] = sym_bitwise_xor_expression,
  [sym_bitwise_and_expression] = sym_bitwise_and_expression,
  [sym_shift_expression] = sym_shift_expression,
  [sym_additive_expression] = sym_additive_expression,
  [sym_multiplicative_expression] = sym_multiplicative_expression,
  [sym_bitwise_operator] = sym_bitwise_operator,
  [sym__bitwise_operator] = sym__bitwise_operator,
  [sym_shift_operator] = sym_shift_operator,
  [sym__shift_operator] = sym__shift_operator,
  [sym_additive_operator] = sym_additive_operator,
  [sym_multiplicative_operator] = sym_multiplicative_operator,
  [sym__multiplicative_operator] = sym__multiplicative_operator,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_member_access] = sym_member_access,
  [sym__postfix_expression] = sym__postfix_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_postfix_operator] = sym_postfix_operator,
  [sym_spread_element] = sym_spread_element,
  [sym_selector] = sym_selector,
  [sym_prefix_operator] = sym_prefix_operator,
  [sym_negation_operator] = sym_negation_operator,
  [sym_tilde_operator] = sym_tilde_operator,
  [sym_await_expression] = sym_await_expression,
  [sym_type_test] = sym_type_test,
  [sym_is_operator] = sym_is_operator,
  [sym_type_cast] = sym_type_cast,
  [sym_as_operator] = sym_as_operator,
  [sym_new_expression] = sym_new_expression,
  [sym__dot_identifier] = sym__dot_identifier,
  [sym_const_object_expression] = sym_const_object_expression,
  [sym__primary] = sym__primary,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_constructor_invocation] = sym_constructor_invocation,
  [sym_arguments] = sym_arguments,
  [sym__argument_list] = sym__argument_list,
  [sym_argument] = sym_argument,
  [sym_named_argument] = sym_named_argument,
  [sym_cascade_section] = sym_cascade_section,
  [sym__cascade_subsection] = sym__cascade_subsection,
  [sym__cascade_assignment_section] = sym__cascade_assignment_section,
  [sym_index_selector] = sym_index_selector,
  [sym_cascade_selector] = sym_cascade_selector,
  [sym_argument_part] = sym_argument_part,
  [sym_unconditional_assignable_selector] = sym_unconditional_assignable_selector,
  [sym_conditional_assignable_selector] = sym_conditional_assignable_selector,
  [sym__assignable_selector] = sym__assignable_selector,
  [sym_type_arguments] = sym_type_arguments,
  [sym__statement] = sym__statement,
  [sym_block] = sym_block,
  [sym_expression_statement] = sym_expression_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_assertion] = sym_assertion,
  [sym_assertion_arguments] = sym_assertion_arguments,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_switch_label] = sym_switch_label,
  [sym_do_statement] = sym_do_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_yield_each_statement] = sym_yield_each_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_try_statement] = sym_try_statement,
  [sym__on_part] = sym__on_part,
  [sym__try_head] = sym__try_head,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_parameters] = sym_catch_parameters,
  [sym_finally_clause] = sym_finally_clause,
  [sym_if_element] = sym_if_element,
  [sym_if_statement] = sym_if_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_loop_parts] = sym_for_loop_parts,
  [sym__for_loop_parts] = sym__for_loop_parts,
  [sym_for_element] = sym_for_element,
  [sym__annotation] = sym__annotation,
  [sym_marker_annotation] = sym_marker_annotation,
  [sym_annotation] = sym_annotation,
  [sym_import_or_export] = sym_import_or_export,
  [sym_library_import] = sym_library_import,
  [sym_library_export] = sym_library_export,
  [sym_import_specification] = sym_import_specification,
  [sym_part_directive] = sym_part_directive,
  [sym_part_of_directive] = sym_part_of_directive,
  [sym_uri] = sym_uri,
  [sym_configurable_uri] = sym_configurable_uri,
  [sym_configuration_uri] = sym_configuration_uri,
  [sym_configuration_uri_condition] = sym_configuration_uri_condition,
  [sym_uri_test] = sym_uri_test,
  [sym_combinator] = sym_combinator,
  [sym__identifier_list] = sym__identifier_list,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_constant] = sym_enum_constant,
  [sym_type_alias] = sym_type_alias,
  [sym_class_definition] = sym_class_definition,
  [sym_extension_declaration] = sym_extension_declaration,
  [sym__metadata] = sym__metadata,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_type_bound] = sym_type_bound,
  [sym_superclass] = sym_superclass,
  [sym_mixins] = sym_mixins,
  [sym_mixin_application_class] = sym_mixin_application_class,
  [sym_mixin_application] = sym_mixin_application,
  [sym_mixin_declaration] = sym_mixin_declaration,
  [sym_interfaces] = sym_interfaces,
  [sym_class_body] = sym_class_body,
  [sym_extension_body] = sym_extension_body,
  [sym_class_member_definition] = sym_class_member_definition,
  [sym_getter_signature] = sym_getter_signature,
  [sym_setter_signature] = sym_setter_signature,
  [sym_method_signature] = sym_method_signature,
  [sym_declaration] = sym_declaration,
  [sym_identifier_list] = sym_identifier_list,
  [sym_initialized_identifier_list] = sym_initialized_identifier_list,
  [sym_initialized_identifier] = sym_initialized_identifier,
  [sym_static_final_declaration_list] = sym_static_final_declaration_list,
  [sym_binary_operator] = sym_binary_operator,
  [sym_operator_signature] = sym_operator_signature,
  [sym_static_final_declaration] = sym_static_final_declaration,
  [sym__external_and_static] = sym__external_and_static,
  [sym__final_or_const] = sym__final_or_const,
  [sym_initializers] = sym_initializers,
  [sym_initializer_list_entry] = sym_initializer_list_entry,
  [sym_field_initializer] = sym_field_initializer,
  [sym_factory_constructor_signature] = sym_factory_constructor_signature,
  [sym_redirecting_factory_constructor_signature] = sym_redirecting_factory_constructor_signature,
  [sym_redirection] = sym_redirection,
  [sym_constructor_signature] = sym_constructor_signature,
  [sym_constant_constructor_signature] = sym_constant_constructor_signature,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_initialized_variable_definition] = sym_initialized_variable_definition,
  [sym__declared_identifier] = sym__declared_identifier,
  [sym__final_const_var_or_type] = sym__final_const_var_or_type,
  [sym__type] = sym__type,
  [sym__type_not_function] = sym__type_not_function,
  [sym__type_not_void_not_function] = sym__type_not_void_not_function,
  [sym_function_type] = sym_function_type,
  [aux_sym__function_type_tails] = aux_sym__function_type_tails,
  [sym__function_type_tail] = sym__function_type_tail,
  [sym_parameter_type_list] = sym_parameter_type_list,
  [sym_normal_parameter_type] = sym_normal_parameter_type,
  [sym_optional_parameter_types] = sym_optional_parameter_types,
  [sym_optional_positional_parameter_types] = sym_optional_positional_parameter_types,
  [sym_named_parameter_types] = sym_named_parameter_types,
  [sym__named_parameter_type] = sym__named_parameter_type,
  [sym__type_not_void] = sym__type_not_void,
  [sym__type_not_void_list] = sym__type_not_void_list,
  [sym__type_name] = sym__type_name,
  [sym__type_dot_identifier] = sym__type_dot_identifier,
  [sym_typed_identifier] = sym_typed_identifier,
  [sym__nullable_type] = sym__nullable_type,
  [sym__var_or_type] = sym__var_or_type,
  [sym_inferred_type] = sym_inferred_type,
  [sym_function_body] = sym_function_body,
  [sym_function_expression_body] = sym_function_expression_body,
  [sym_function_signature] = sym_function_signature,
  [sym__formal_parameter_part] = sym__formal_parameter_part,
  [sym_formal_parameter_list] = sym_formal_parameter_list,
  [sym__strict_formal_parameter_list] = sym__strict_formal_parameter_list,
  [sym__normal_formal_parameters] = sym__normal_formal_parameters,
  [sym_optional_formal_parameters] = sym_optional_formal_parameters,
  [sym__optional_postional_formal_parameters] = sym__optional_postional_formal_parameters,
  [sym__named_formal_parameters] = sym__named_formal_parameters,
  [sym_formal_parameter] = sym_formal_parameter,
  [sym__default_formal_parameter] = sym__default_formal_parameter,
  [sym__default_named_parameter] = sym__default_named_parameter,
  [sym__normal_formal_parameter] = sym__normal_formal_parameter,
  [sym__function_formal_parameter] = sym__function_formal_parameter,
  [sym__simple_formal_parameter] = sym__simple_formal_parameter,
  [sym_super_formal_parameter] = sym_super_formal_parameter,
  [sym_constructor_param] = sym_constructor_param,
  [sym_local_variable_declaration] = sym_local_variable_declaration,
  [sym_script_tag] = sym_script_tag,
  [sym_library_name] = sym_library_name,
  [sym_dotted_identifier_list] = sym_dotted_identifier_list,
  [sym_qualified] = sym_qualified,
  [sym__as] = sym__as,
  [sym__covariant] = sym__covariant,
  [sym__deferred] = sym__deferred,
  [sym__export] = sym__export,
  [sym__external] = sym__external,
  [sym__factory] = sym__factory,
  [sym__function_builtin_identifier] = sym__function_builtin_identifier,
  [sym__get] = sym__get,
  [sym__native] = sym__native,
  [sym__implements] = sym__implements,
  [sym__import] = sym__import,
  [sym__operator] = sym__operator,
  [sym__mixin] = sym__mixin,
  [sym__required] = sym__required,
  [sym__set] = sym__set,
  [sym__static] = sym__static,
  [sym__typedef] = sym__typedef,
  [sym__new_builtin] = sym__new_builtin,
  [sym__late_builtin] = sym__late_builtin,
  [sym__external_builtin] = sym__external_builtin,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_label] = sym_label,
  [sym__semicolon] = sym__semicolon,
  [sym_comment] = sym_comment,
  [sym_documentation_comment] = sym_documentation_comment,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_program_repeat2] = aux_sym_program_repeat2,
  [aux_sym_program_repeat3] = aux_sym_program_repeat3,
  [aux_sym_program_repeat4] = aux_sym_program_repeat4,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__string_literal_double_quotes_repeat1] = aux_sym__string_literal_double_quotes_repeat1,
  [aux_sym__string_literal_single_quotes_repeat1] = aux_sym__string_literal_single_quotes_repeat1,
  [aux_sym__string_literal_double_quotes_multiple_repeat1] = aux_sym__string_literal_double_quotes_multiple_repeat1,
  [aux_sym__string_literal_single_quotes_multiple_repeat1] = aux_sym__string_literal_single_quotes_multiple_repeat1,
  [aux_sym__raw_string_literal_double_quotes_repeat1] = aux_sym__raw_string_literal_double_quotes_repeat1,
  [aux_sym__raw_string_literal_single_quotes_repeat1] = aux_sym__raw_string_literal_single_quotes_repeat1,
  [aux_sym__raw_string_literal_double_quotes_multiple_repeat1] = aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
  [aux_sym__raw_string_literal_single_quotes_multiple_repeat1] = aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
  [aux_sym_list_literal_repeat1] = aux_sym_list_literal_repeat1,
  [aux_sym__expression_repeat1] = aux_sym__expression_repeat1,
  [aux_sym__assignable_selector_part_repeat1] = aux_sym__assignable_selector_part_repeat1,
  [aux_sym_inferred_parameters_repeat1] = aux_sym_inferred_parameters_repeat1,
  [aux_sym_logical_or_expression_repeat1] = aux_sym_logical_or_expression_repeat1,
  [aux_sym_logical_and_expression_repeat1] = aux_sym_logical_and_expression_repeat1,
  [aux_sym_bitwise_or_expression_repeat1] = aux_sym_bitwise_or_expression_repeat1,
  [aux_sym_bitwise_xor_expression_repeat1] = aux_sym_bitwise_xor_expression_repeat1,
  [aux_sym_bitwise_and_expression_repeat1] = aux_sym_bitwise_and_expression_repeat1,
  [aux_sym_shift_expression_repeat1] = aux_sym_shift_expression_repeat1,
  [aux_sym_additive_expression_repeat1] = aux_sym_additive_expression_repeat1,
  [aux_sym_multiplicative_expression_repeat1] = aux_sym_multiplicative_expression_repeat1,
  [aux_sym__argument_list_repeat1] = aux_sym__argument_list_repeat1,
  [aux_sym__argument_list_repeat2] = aux_sym__argument_list_repeat2,
  [aux_sym__argument_list_repeat3] = aux_sym__argument_list_repeat3,
  [aux_sym_cascade_section_repeat1] = aux_sym_cascade_section_repeat1,
  [aux_sym_cascade_section_repeat2] = aux_sym_cascade_section_repeat2,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_switch_case_repeat1] = aux_sym_switch_case_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym__for_loop_parts_repeat1] = aux_sym__for_loop_parts_repeat1,
  [aux_sym__for_loop_parts_repeat2] = aux_sym__for_loop_parts_repeat2,
  [aux_sym_library_export_repeat1] = aux_sym_library_export_repeat1,
  [aux_sym_configurable_uri_repeat1] = aux_sym_configurable_uri_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym__metadata_repeat1] = aux_sym__metadata_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_initialized_identifier_list_repeat1] = aux_sym_initialized_identifier_list_repeat1,
  [aux_sym_static_final_declaration_list_repeat1] = aux_sym_static_final_declaration_list_repeat1,
  [aux_sym_initializers_repeat1] = aux_sym_initializers_repeat1,
  [aux_sym_factory_constructor_signature_repeat1] = aux_sym_factory_constructor_signature_repeat1,
  [aux_sym_parameter_type_list_repeat1] = aux_sym_parameter_type_list_repeat1,
  [aux_sym_named_parameter_types_repeat1] = aux_sym_named_parameter_types_repeat1,
  [aux_sym__type_not_void_list_repeat1] = aux_sym__type_not_void_list_repeat1,
  [aux_sym__normal_formal_parameters_repeat1] = aux_sym__normal_formal_parameters_repeat1,
  [aux_sym_positional_parameters_repeat1] = aux_sym_positional_parameters_repeat1,
  [aux_sym__named_formal_parameters_repeat1] = aux_sym__named_formal_parameters_repeat1,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__sub_string_test_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__unused_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_equality_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__additive_operator] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_increment_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_minus_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__exclamation_operator] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_part] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_show] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hide] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extension] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_super] = {
    .visible = true,
    .named = false,
  },
  [sym_floating_point_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [sym_void_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sync_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_script_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_library] = {
    .visible = true,
    .named = false,
  },
  [sym__break_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym__assert_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym_case_builtin] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_covariant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_deferred] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_factory] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_required] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [sym_const_builtin] = {
    .visible = true,
    .named = true,
  },
  [sym_final_builtin] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_late] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier_dollar_escaped] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comment_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_documentation_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__template_chars_double] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_single] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_double_single] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_single_single] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_raw_slash] = {
    .visible = false,
    .named = true,
  },
  [sym__block_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__documentation_block_comment] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_external_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_symbol_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal_double_quotes] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_single_quotes] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_double_quotes_multiple] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_single_quotes_multiple] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal_double_quotes] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal_single_quotes] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal_double_quotes_multiple] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal_single_quotes_multiple] = {
    .visible = false,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym__sub_string_test] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_set_or_map_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__element] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__expression_without_cascade] = {
    .visible = false,
    .named = true,
  },
  [sym__real_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression_without_cascade] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression_without_cascade] = {
    .visible = true,
    .named = true,
  },
  [sym_assignable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__assignable_selector_part] = {
    .visible = false,
    .named = true,
  },
  [sym__assignment_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_null_expression] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__if_null_expression] = {
    .visible = false,
    .named = false,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_or_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_and_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_test_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_or_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_xor_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_and_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_shift_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_additive_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__bitwise_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_shift_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__shift_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_additive_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__multiplicative_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_negation_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_tilde_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_test] = {
    .visible = true,
    .named = true,
  },
  [sym_is_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_type_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_as_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dot_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_const_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_list] = {
    .visible = false,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_named_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_cascade_section] = {
    .visible = true,
    .named = true,
  },
  [sym__cascade_subsection] = {
    .visible = false,
    .named = true,
  },
  [sym__cascade_assignment_section] = {
    .visible = false,
    .named = true,
  },
  [sym_index_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_cascade_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_part] = {
    .visible = true,
    .named = true,
  },
  [sym_unconditional_assignable_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_assignable_selector] = {
    .visible = true,
    .named = true,
  },
  [sym__assignable_selector] = {
    .visible = false,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_assertion_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_each_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__on_part] = {
    .visible = false,
    .named = true,
  },
  [sym__try_head] = {
    .visible = false,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_element] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_loop_parts] = {
    .visible = true,
    .named = true,
  },
  [sym__for_loop_parts] = {
    .visible = false,
    .named = true,
  },
  [sym_for_element] = {
    .visible = true,
    .named = true,
  },
  [sym__annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_marker_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_import_or_export] = {
    .visible = true,
    .named = true,
  },
  [sym_library_import] = {
    .visible = true,
    .named = true,
  },
  [sym_library_export] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_part_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_part_of_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_configurable_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_configuration_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_configuration_uri_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_uri_test] = {
    .visible = true,
    .named = true,
  },
  [sym_combinator] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier_list] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__metadata] = {
    .visible = false,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_mixins] = {
    .visible = true,
    .named = true,
  },
  [sym_mixin_application_class] = {
    .visible = true,
    .named = true,
  },
  [sym_mixin_application] = {
    .visible = true,
    .named = true,
  },
  [sym_mixin_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_body] = {
    .visible = true,
    .named = true,
  },
  [sym_class_member_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_getter_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_setter_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initialized_identifier_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initialized_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_static_final_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_static_final_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__external_and_static] = {
    .visible = false,
    .named = true,
  },
  [sym__final_or_const] = {
    .visible = false,
    .named = true,
  },
  [sym_initializers] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_factory_constructor_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_redirecting_factory_constructor_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_redirection] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_constructor_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_initialized_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__declared_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__final_const_var_or_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_not_function] = {
    .visible = false,
    .named = true,
  },
  [sym__type_not_void_not_function] = {
    .visible = false,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__function_type_tails] = {
    .visible = false,
    .named = false,
  },
  [sym__function_type_tail] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_normal_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_positional_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_named_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym__named_parameter_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_not_void] = {
    .visible = false,
    .named = true,
  },
  [sym__type_not_void_list] = {
    .visible = false,
    .named = true,
  },
  [sym__type_name] = {
    .visible = false,
    .named = true,
  },
  [sym__type_dot_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_typed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__nullable_type] = {
    .visible = false,
    .named = true,
  },
  [sym__var_or_type] = {
    .visible = false,
    .named = true,
  },
  [sym_inferred_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression_body] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym__formal_parameter_part] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__strict_formal_parameter_list] = {
    .visible = false,
    .named = true,
  },
  [sym__normal_formal_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__optional_postional_formal_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__named_formal_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__default_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__default_named_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__normal_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__function_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_super_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_param] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_script_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_library_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_identifier_list] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified] = {
    .visible = true,
    .named = true,
  },
  [sym__as] = {
    .visible = false,
    .named = true,
  },
  [sym__covariant] = {
    .visible = false,
    .named = true,
  },
  [sym__deferred] = {
    .visible = false,
    .named = true,
  },
  [sym__export] = {
    .visible = false,
    .named = true,
  },
  [sym__external] = {
    .visible = false,
    .named = true,
  },
  [sym__factory] = {
    .visible = false,
    .named = true,
  },
  [sym__function_builtin_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__get] = {
    .visible = false,
    .named = true,
  },
  [sym__native] = {
    .visible = false,
    .named = true,
  },
  [sym__implements] = {
    .visible = false,
    .named = true,
  },
  [sym__import] = {
    .visible = false,
    .named = true,
  },
  [sym__operator] = {
    .visible = false,
    .named = true,
  },
  [sym__mixin] = {
    .visible = false,
    .named = true,
  },
  [sym__required] = {
    .visible = false,
    .named = true,
  },
  [sym__set] = {
    .visible = false,
    .named = true,
  },
  [sym__static] = {
    .visible = false,
    .named = true,
  },
  [sym__typedef] = {
    .visible = false,
    .named = true,
  },
  [sym__new_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym__late_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym__external_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_documentation_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_double_quotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_single_quotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_double_quotes_multiple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_single_quotes_multiple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_double_quotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_single_quotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_double_quotes_multiple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_single_quotes_multiple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__assignable_selector_part_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inferred_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_logical_or_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_logical_and_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bitwise_or_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bitwise_xor_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bitwise_and_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shift_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_additive_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multiplicative_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cascade_section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cascade_section_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_loop_parts_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_loop_parts_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_library_export_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_configurable_uri_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__metadata_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initialized_identifier_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_static_final_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_factory_constructor_signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_parameter_types_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_not_void_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__normal_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_positional_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__named_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_arguments = 2,
  field_body = 3,
  field_class = 4,
  field_condition = 5,
  field_consequence = 6,
  field_first = 7,
  field_init = 8,
  field_interfaces = 9,
  field_key = 10,
  field_left = 11,
  field_metadata = 12,
  field_name = 13,
  field_operator = 14,
  field_parameters = 15,
  field_right = 16,
  field_scope = 17,
  field_second = 18,
  field_signature = 19,
  field_superclass = 20,
  field_type_parameters = 21,
  field_update = 22,
  field_value = 23,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_first] = "first",
  [field_init] = "init",
  [field_interfaces] = "interfaces",
  [field_key] = "key",
  [field_left] = "left",
  [field_metadata] = "metadata",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_second] = "second",
  [field_signature] = "signature",
  [field_superclass] = "superclass",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 2},
  [9] = {.index = 3, .length = 1},
  [10] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 2},
  [13] = {.index = 12, .length = 2},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 1},
  [18] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 3},
  [20] = {.index = 25, .length = 1},
  [21] = {.index = 26, .length = 3},
  [22] = {.index = 29, .length = 2},
  [23] = {.index = 2, .length = 1},
  [24] = {.index = 31, .length = 1},
  [25] = {.index = 32, .length = 2},
  [26] = {.index = 34, .length = 1},
  [27] = {.index = 35, .length = 1},
  [28] = {.index = 36, .length = 5},
  [29] = {.index = 41, .length = 1},
  [30] = {.index = 42, .length = 1},
  [31] = {.index = 43, .length = 2},
  [32] = {.index = 45, .length = 2},
  [33] = {.index = 47, .length = 3},
  [34] = {.index = 50, .length = 3},
  [35] = {.index = 53, .length = 3},
  [36] = {.index = 56, .length = 2},
  [37] = {.index = 58, .length = 1},
  [38] = {.index = 59, .length = 2},
  [39] = {.index = 61, .length = 3},
  [40] = {.index = 64, .length = 1},
  [41] = {.index = 65, .length = 1},
  [42] = {.index = 66, .length = 2},
  [43] = {.index = 68, .length = 2},
  [44] = {.index = 70, .length = 2},
  [45] = {.index = 72, .length = 2},
  [46] = {.index = 74, .length = 1},
  [47] = {.index = 75, .length = 2},
  [48] = {.index = 77, .length = 1},
  [49] = {.index = 78, .length = 3},
  [50] = {.index = 81, .length = 3},
  [51] = {.index = 84, .length = 3},
  [52] = {.index = 87, .length = 2},
  [53] = {.index = 89, .length = 4},
  [54] = {.index = 93, .length = 4},
  [55] = {.index = 97, .length = 4},
  [56] = {.index = 101, .length = 3},
  [57] = {.index = 104, .length = 3},
  [58] = {.index = 107, .length = 2},
  [59] = {.index = 109, .length = 2},
  [60] = {.index = 111, .length = 3},
  [61] = {.index = 114, .length = 2},
  [62] = {.index = 116, .length = 2},
  [63] = {.index = 118, .length = 3},
  [64] = {.index = 121, .length = 3},
  [65] = {.index = 124, .length = 2},
  [66] = {.index = 126, .length = 2},
  [67] = {.index = 128, .length = 2},
  [68] = {.index = 130, .length = 4},
  [69] = {.index = 134, .length = 4},
  [70] = {.index = 138, .length = 4},
  [71] = {.index = 142, .length = 5},
  [72] = {.index = 147, .length = 4},
  [73] = {.index = 151, .length = 3},
  [74] = {.index = 154, .length = 3},
  [75] = {.index = 157, .length = 3},
  [76] = {.index = 160, .length = 3},
  [77] = {.index = 163, .length = 4},
  [78] = {.index = 167, .length = 3},
  [79] = {.index = 170, .length = 5},
  [80] = {.index = 175, .length = 4},
  [81] = {.index = 179, .length = 4},
  [82] = {.index = 183, .length = 4},
  [83] = {.index = 187, .length = 4},
  [84] = {.index = 191, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
  [1] =
    {field_body, 1},
  [2] =
    {field_name, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_first, 0},
    {field_second, 1, .inherited = true},
  [6] =
    {field_body, 0, .inherited = true},
  [7] =
    {field_body, 1},
    {field_parameters, 0},
  [9] =
    {field_name, 1, .inherited = true},
  [10] =
    {field_body, 2},
    {field_condition, 1},
  [12] =
    {field_condition, 1},
    {field_consequence, 2},
  [14] =
    {field_body, 2},
  [15] =
    {field_arguments, 2},
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_second, 1},
  [20] =
    {field_second, 0, .inherited = true},
    {field_second, 1, .inherited = true},
  [22] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [25] =
    {field_name, 2},
  [26] =
    {field_body, 2},
    {field_metadata, 0},
    {field_parameters, 1},
  [29] =
    {field_name, 0, .inherited = true},
    {field_value, 2},
  [31] =
    {field_signature, 1},
  [32] =
    {field_key, 0},
    {field_value, 2},
  [34] =
    {field_body, 3},
  [35] =
    {field_condition, 0},
  [36] =
    {field_condition, 1, .inherited = true},
    {field_init, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_update, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [41] =
    {field_init, 0},
  [42] =
    {field_update, 1},
  [43] =
    {field_name, 2},
    {field_scope, 0},
  [45] =
    {field_body, 3},
    {field_name, 2},
  [47] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [50] =
    {field_body, 3},
    {field_name, 1},
    {field_superclass, 2},
  [53] =
    {field_body, 3},
    {field_interfaces, 2},
    {field_name, 1},
  [56] =
    {field_body, 3},
    {field_class, 2},
  [58] =
    {field_name, 3},
  [59] =
    {field_body, 1},
    {field_condition, 3},
  [61] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [64] =
    {field_value, 2},
  [65] =
    {field_init, 1},
  [66] =
    {field_condition, 0},
    {field_update, 2},
  [68] =
    {field_init, 0, .inherited = true},
    {field_init, 1, .inherited = true},
  [70] =
    {field_condition, 1},
    {field_init, 0},
  [72] =
    {field_init, 0},
    {field_update, 2},
  [74] =
    {field_condition, 1},
  [75] =
    {field_update, 1},
    {field_update, 2, .inherited = true},
  [77] =
    {field_update, 2},
  [78] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [81] =
    {field_body, 4},
    {field_name, 2},
    {field_superclass, 3},
  [84] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 2},
  [87] =
    {field_name, 0},
    {field_parameters, 1},
  [89] =
    {field_body, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [93] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [97] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_superclass, 2},
  [101] =
    {field_body, 4},
    {field_class, 3},
    {field_name, 1},
  [104] =
    {field_body, 4},
    {field_class, 3},
    {field_type_parameters, 1},
  [107] =
    {field_alternative, 4},
    {field_consequence, 2},
  [109] =
    {field_condition, 2},
    {field_init, 0},
  [111] =
    {field_condition, 0},
    {field_update, 2},
    {field_update, 3, .inherited = true},
  [114] =
    {field_init, 0},
    {field_update, 3},
  [116] =
    {field_init, 0},
    {field_init, 1, .inherited = true},
  [118] =
    {field_condition, 1},
    {field_init, 0},
    {field_update, 3},
  [121] =
    {field_init, 0},
    {field_update, 2},
    {field_update, 3, .inherited = true},
  [124] =
    {field_condition, 1},
    {field_update, 3},
  [126] =
    {field_update, 0, .inherited = true},
    {field_update, 1, .inherited = true},
  [128] =
    {field_update, 2},
    {field_update, 3, .inherited = true},
  [130] =
    {field_body, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [134] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [138] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_superclass, 3},
  [142] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [147] =
    {field_body, 5},
    {field_class, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [151] =
    {field_condition, 2},
    {field_init, 0},
    {field_update, 4},
  [154] =
    {field_init, 0},
    {field_update, 3},
    {field_update, 4, .inherited = true},
  [157] =
    {field_condition, 3},
    {field_init, 0},
    {field_init, 1, .inherited = true},
  [160] =
    {field_init, 0},
    {field_init, 1, .inherited = true},
    {field_update, 4},
  [163] =
    {field_condition, 1},
    {field_init, 0},
    {field_update, 3},
    {field_update, 4, .inherited = true},
  [167] =
    {field_condition, 1},
    {field_update, 3},
    {field_update, 4, .inherited = true},
  [170] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [175] =
    {field_name, 0},
    {field_name, 1},
    {field_name, 2},
    {field_parameters, 3},
  [179] =
    {field_condition, 2},
    {field_init, 0},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [183] =
    {field_condition, 3},
    {field_init, 0},
    {field_init, 1, .inherited = true},
    {field_update, 5},
  [187] =
    {field_init, 0},
    {field_init, 1, .inherited = true},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [191] =
    {field_condition, 3},
    {field_init, 0},
    {field_init, 1, .inherited = true},
    {field_update, 5},
    {field_update, 6, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [9] = {
    [0] = sym_identifier,
  },
  [11] = {
    [1] = alias_sym_type_identifier,
  },
  [23] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__get, 2,
    sym__get,
    sym_identifier,
  sym__set, 2,
    sym__set,
    sym_identifier,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 24,
  [26] = 24,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 33,
  [35] = 35,
  [36] = 35,
  [37] = 35,
  [38] = 35,
  [39] = 35,
  [40] = 33,
  [41] = 41,
  [42] = 35,
  [43] = 33,
  [44] = 33,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 45,
  [49] = 47,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 46,
  [54] = 50,
  [55] = 52,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 58,
  [60] = 58,
  [61] = 58,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 65,
  [73] = 64,
  [74] = 67,
  [75] = 75,
  [76] = 76,
  [77] = 70,
  [78] = 66,
  [79] = 69,
  [80] = 80,
  [81] = 71,
  [82] = 69,
  [83] = 70,
  [84] = 75,
  [85] = 66,
  [86] = 65,
  [87] = 63,
  [88] = 88,
  [89] = 71,
  [90] = 68,
  [91] = 91,
  [92] = 67,
  [93] = 66,
  [94] = 68,
  [95] = 75,
  [96] = 76,
  [97] = 63,
  [98] = 91,
  [99] = 80,
  [100] = 88,
  [101] = 64,
  [102] = 91,
  [103] = 76,
  [104] = 80,
  [105] = 76,
  [106] = 65,
  [107] = 64,
  [108] = 67,
  [109] = 75,
  [110] = 63,
  [111] = 88,
  [112] = 71,
  [113] = 88,
  [114] = 68,
  [115] = 70,
  [116] = 91,
  [117] = 80,
  [118] = 69,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 124,
  [128] = 124,
  [129] = 124,
  [130] = 124,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 150,
  [155] = 155,
  [156] = 150,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 150,
  [164] = 153,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 150,
  [169] = 169,
  [170] = 170,
  [171] = 153,
  [172] = 172,
  [173] = 151,
  [174] = 152,
  [175] = 160,
  [176] = 176,
  [177] = 177,
  [178] = 152,
  [179] = 179,
  [180] = 170,
  [181] = 153,
  [182] = 153,
  [183] = 150,
  [184] = 153,
  [185] = 170,
  [186] = 186,
  [187] = 187,
  [188] = 172,
  [189] = 189,
  [190] = 150,
  [191] = 186,
  [192] = 187,
  [193] = 189,
  [194] = 194,
  [195] = 195,
  [196] = 189,
  [197] = 150,
  [198] = 170,
  [199] = 187,
  [200] = 187,
  [201] = 153,
  [202] = 172,
  [203] = 187,
  [204] = 187,
  [205] = 151,
  [206] = 186,
  [207] = 187,
  [208] = 186,
  [209] = 149,
  [210] = 189,
  [211] = 187,
  [212] = 187,
  [213] = 187,
  [214] = 214,
  [215] = 149,
  [216] = 187,
  [217] = 217,
  [218] = 149,
  [219] = 172,
  [220] = 153,
  [221] = 170,
  [222] = 187,
  [223] = 187,
  [224] = 186,
  [225] = 186,
  [226] = 160,
  [227] = 150,
  [228] = 228,
  [229] = 229,
  [230] = 229,
  [231] = 149,
  [232] = 172,
  [233] = 153,
  [234] = 170,
  [235] = 151,
  [236] = 151,
  [237] = 160,
  [238] = 238,
  [239] = 152,
  [240] = 240,
  [241] = 240,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 242,
  [246] = 246,
  [247] = 247,
  [248] = 247,
  [249] = 246,
  [250] = 242,
  [251] = 244,
  [252] = 252,
  [253] = 253,
  [254] = 253,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 244,
  [260] = 247,
  [261] = 255,
  [262] = 256,
  [263] = 246,
  [264] = 242,
  [265] = 257,
  [266] = 258,
  [267] = 258,
  [268] = 257,
  [269] = 256,
  [270] = 255,
  [271] = 253,
  [272] = 252,
  [273] = 258,
  [274] = 252,
  [275] = 244,
  [276] = 246,
  [277] = 247,
  [278] = 278,
  [279] = 252,
  [280] = 253,
  [281] = 258,
  [282] = 258,
  [283] = 257,
  [284] = 257,
  [285] = 256,
  [286] = 255,
  [287] = 257,
  [288] = 253,
  [289] = 252,
  [290] = 244,
  [291] = 256,
  [292] = 255,
  [293] = 255,
  [294] = 253,
  [295] = 252,
  [296] = 244,
  [297] = 242,
  [298] = 246,
  [299] = 256,
  [300] = 247,
  [301] = 243,
  [302] = 242,
  [303] = 278,
  [304] = 246,
  [305] = 247,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 308,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 311,
  [314] = 314,
  [315] = 312,
  [316] = 312,
  [317] = 312,
  [318] = 312,
  [319] = 314,
  [320] = 314,
  [321] = 314,
  [322] = 311,
  [323] = 314,
  [324] = 311,
  [325] = 311,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 330,
  [337] = 337,
  [338] = 338,
  [339] = 329,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 343,
  [346] = 346,
  [347] = 344,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 390,
  [399] = 391,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 447,
  [457] = 457,
  [458] = 458,
  [459] = 457,
  [460] = 457,
  [461] = 457,
  [462] = 457,
  [463] = 463,
  [464] = 463,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 463,
  [470] = 470,
  [471] = 468,
  [472] = 472,
  [473] = 467,
  [474] = 466,
  [475] = 470,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 423,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 429,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 498,
  [501] = 501,
  [502] = 502,
  [503] = 483,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 488,
  [512] = 494,
  [513] = 485,
  [514] = 481,
  [515] = 492,
  [516] = 486,
  [517] = 478,
  [518] = 480,
  [519] = 497,
  [520] = 484,
  [521] = 521,
  [522] = 521,
  [523] = 523,
  [524] = 524,
  [525] = 510,
  [526] = 509,
  [527] = 507,
  [528] = 508,
  [529] = 507,
  [530] = 499,
  [531] = 508,
  [532] = 532,
  [533] = 509,
  [534] = 502,
  [535] = 535,
  [536] = 505,
  [537] = 499,
  [538] = 510,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 506,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 545,
  [549] = 539,
  [550] = 535,
  [551] = 541,
  [552] = 499,
  [553] = 543,
  [554] = 507,
  [555] = 540,
  [556] = 523,
  [557] = 508,
  [558] = 521,
  [559] = 509,
  [560] = 524,
  [561] = 510,
  [562] = 546,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 470,
  [583] = 581,
  [584] = 581,
  [585] = 585,
  [586] = 585,
  [587] = 585,
  [588] = 581,
  [589] = 589,
  [590] = 585,
  [591] = 591,
  [592] = 581,
  [593] = 585,
  [594] = 585,
  [595] = 581,
  [596] = 596,
  [597] = 597,
  [598] = 585,
  [599] = 581,
  [600] = 597,
  [601] = 597,
  [602] = 596,
  [603] = 585,
  [604] = 581,
  [605] = 596,
  [606] = 596,
  [607] = 597,
  [608] = 597,
  [609] = 597,
  [610] = 596,
  [611] = 597,
  [612] = 596,
  [613] = 597,
  [614] = 596,
  [615] = 596,
  [616] = 591,
  [617] = 470,
  [618] = 618,
  [619] = 429,
  [620] = 620,
  [621] = 423,
  [622] = 622,
  [623] = 623,
  [624] = 497,
  [625] = 567,
  [626] = 488,
  [627] = 570,
  [628] = 571,
  [629] = 572,
  [630] = 576,
  [631] = 577,
  [632] = 566,
  [633] = 569,
  [634] = 573,
  [635] = 579,
  [636] = 580,
  [637] = 578,
  [638] = 494,
  [639] = 565,
  [640] = 575,
  [641] = 574,
  [642] = 568,
  [643] = 485,
  [644] = 492,
  [645] = 483,
  [646] = 498,
  [647] = 564,
  [648] = 484,
  [649] = 478,
  [650] = 481,
  [651] = 480,
  [652] = 486,
  [653] = 486,
  [654] = 539,
  [655] = 543,
  [656] = 508,
  [657] = 507,
  [658] = 541,
  [659] = 510,
  [660] = 502,
  [661] = 488,
  [662] = 485,
  [663] = 492,
  [664] = 498,
  [665] = 497,
  [666] = 484,
  [667] = 505,
  [668] = 481,
  [669] = 344,
  [670] = 478,
  [671] = 499,
  [672] = 470,
  [673] = 480,
  [674] = 509,
  [675] = 506,
  [676] = 343,
  [677] = 494,
  [678] = 344,
  [679] = 343,
  [680] = 680,
  [681] = 681,
  [682] = 481,
  [683] = 480,
  [684] = 684,
  [685] = 484,
  [686] = 485,
  [687] = 329,
  [688] = 492,
  [689] = 689,
  [690] = 494,
  [691] = 330,
  [692] = 486,
  [693] = 498,
  [694] = 497,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 488,
  [700] = 478,
  [701] = 701,
  [702] = 702,
  [703] = 689,
  [704] = 695,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 623,
  [710] = 710,
  [711] = 620,
  [712] = 712,
  [713] = 468,
  [714] = 447,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 698,
  [719] = 719,
  [720] = 684,
  [721] = 696,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 706,
  [728] = 728,
  [729] = 729,
  [730] = 707,
  [731] = 581,
  [732] = 585,
  [733] = 716,
  [734] = 483,
  [735] = 581,
  [736] = 736,
  [737] = 585,
  [738] = 710,
  [739] = 467,
  [740] = 722,
  [741] = 466,
  [742] = 705,
  [743] = 743,
  [744] = 744,
  [745] = 708,
  [746] = 715,
  [747] = 702,
  [748] = 748,
  [749] = 749,
  [750] = 712,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 596,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 597,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 591,
  [768] = 768,
  [769] = 744,
  [770] = 770,
  [771] = 771,
  [772] = 743,
  [773] = 596,
  [774] = 774,
  [775] = 510,
  [776] = 483,
  [777] = 777,
  [778] = 728,
  [779] = 597,
  [780] = 780,
  [781] = 499,
  [782] = 782,
  [783] = 736,
  [784] = 724,
  [785] = 483,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 472,
  [790] = 508,
  [791] = 791,
  [792] = 792,
  [793] = 509,
  [794] = 794,
  [795] = 748,
  [796] = 749,
  [797] = 726,
  [798] = 507,
  [799] = 502,
  [800] = 729,
  [801] = 801,
  [802] = 506,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 505,
  [811] = 483,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 794,
  [819] = 819,
  [820] = 792,
  [821] = 821,
  [822] = 788,
  [823] = 786,
  [824] = 824,
  [825] = 825,
  [826] = 787,
  [827] = 827,
  [828] = 828,
  [829] = 770,
  [830] = 766,
  [831] = 765,
  [832] = 763,
  [833] = 833,
  [834] = 757,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 499,
  [839] = 839,
  [840] = 840,
  [841] = 760,
  [842] = 842,
  [843] = 843,
  [844] = 804,
  [845] = 845,
  [846] = 809,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 499,
  [852] = 852,
  [853] = 507,
  [854] = 807,
  [855] = 806,
  [856] = 856,
  [857] = 857,
  [858] = 508,
  [859] = 509,
  [860] = 390,
  [861] = 861,
  [862] = 862,
  [863] = 510,
  [864] = 864,
  [865] = 801,
  [866] = 524,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 505,
  [875] = 483,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 510,
  [880] = 509,
  [881] = 506,
  [882] = 391,
  [883] = 502,
  [884] = 506,
  [885] = 885,
  [886] = 886,
  [887] = 502,
  [888] = 483,
  [889] = 889,
  [890] = 505,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 502,
  [895] = 895,
  [896] = 506,
  [897] = 774,
  [898] = 803,
  [899] = 899,
  [900] = 771,
  [901] = 507,
  [902] = 508,
  [903] = 752,
  [904] = 505,
  [905] = 812,
  [906] = 808,
  [907] = 780,
  [908] = 805,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 754,
  [913] = 755,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 782,
  [918] = 756,
  [919] = 753,
  [920] = 759,
  [921] = 764,
  [922] = 922,
  [923] = 535,
  [924] = 761,
  [925] = 751,
  [926] = 768,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 344,
  [931] = 329,
  [932] = 885,
  [933] = 861,
  [934] = 524,
  [935] = 507,
  [936] = 508,
  [937] = 928,
  [938] = 824,
  [939] = 816,
  [940] = 867,
  [941] = 817,
  [942] = 535,
  [943] = 895,
  [944] = 543,
  [945] = 915,
  [946] = 472,
  [947] = 543,
  [948] = 840,
  [949] = 839,
  [950] = 535,
  [951] = 835,
  [952] = 343,
  [953] = 505,
  [954] = 927,
  [955] = 886,
  [956] = 813,
  [957] = 821,
  [958] = 870,
  [959] = 819,
  [960] = 849,
  [961] = 499,
  [962] = 539,
  [963] = 539,
  [964] = 889,
  [965] = 909,
  [966] = 914,
  [967] = 922,
  [968] = 916,
  [969] = 545,
  [970] = 836,
  [971] = 541,
  [972] = 857,
  [973] = 837,
  [974] = 569,
  [975] = 577,
  [976] = 546,
  [977] = 910,
  [978] = 576,
  [979] = 523,
  [980] = 540,
  [981] = 981,
  [982] = 911,
  [983] = 541,
  [984] = 899,
  [985] = 929,
  [986] = 524,
  [987] = 825,
  [988] = 868,
  [989] = 869,
  [990] = 850,
  [991] = 391,
  [992] = 814,
  [993] = 390,
  [994] = 878,
  [995] = 572,
  [996] = 571,
  [997] = 876,
  [998] = 330,
  [999] = 570,
  [1000] = 873,
  [1001] = 892,
  [1002] = 564,
  [1003] = 567,
  [1004] = 856,
  [1005] = 852,
  [1006] = 862,
  [1007] = 566,
  [1008] = 833,
  [1009] = 871,
  [1010] = 815,
  [1011] = 506,
  [1012] = 502,
  [1013] = 872,
  [1014] = 827,
  [1015] = 864,
  [1016] = 573,
  [1017] = 845,
  [1018] = 579,
  [1019] = 580,
  [1020] = 578,
  [1021] = 565,
  [1022] = 575,
  [1023] = 574,
  [1024] = 568,
  [1025] = 510,
  [1026] = 842,
  [1027] = 843,
  [1028] = 877,
  [1029] = 828,
  [1030] = 509,
  [1031] = 847,
  [1032] = 848,
  [1033] = 893,
  [1034] = 891,
  [1035] = 506,
  [1036] = 499,
  [1037] = 502,
  [1038] = 510,
  [1039] = 509,
  [1040] = 507,
  [1041] = 508,
  [1042] = 505,
  [1043] = 492,
  [1044] = 543,
  [1045] = 707,
  [1046] = 488,
  [1047] = 722,
  [1048] = 494,
  [1049] = 481,
  [1050] = 539,
  [1051] = 541,
  [1052] = 498,
  [1053] = 497,
  [1054] = 484,
  [1055] = 485,
  [1056] = 486,
  [1057] = 480,
  [1058] = 478,
  [1059] = 712,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1060,
  [1063] = 1060,
  [1064] = 1060,
  [1065] = 886,
  [1066] = 1060,
  [1067] = 1060,
  [1068] = 712,
  [1069] = 1061,
  [1070] = 1060,
  [1071] = 1061,
  [1072] = 1060,
  [1073] = 1060,
  [1074] = 722,
  [1075] = 1060,
  [1076] = 1060,
  [1077] = 707,
  [1078] = 1078,
  [1079] = 1060,
  [1080] = 698,
  [1081] = 684,
  [1082] = 707,
  [1083] = 867,
  [1084] = 696,
  [1085] = 391,
  [1086] = 684,
  [1087] = 695,
  [1088] = 833,
  [1089] = 1089,
  [1090] = 893,
  [1091] = 815,
  [1092] = 872,
  [1093] = 891,
  [1094] = 722,
  [1095] = 240,
  [1096] = 689,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 885,
  [1100] = 724,
  [1101] = 698,
  [1102] = 827,
  [1103] = 842,
  [1104] = 390,
  [1105] = 843,
  [1106] = 705,
  [1107] = 715,
  [1108] = 708,
  [1109] = 702,
  [1110] = 815,
  [1111] = 689,
  [1112] = 827,
  [1113] = 1113,
  [1114] = 706,
  [1115] = 696,
  [1116] = 716,
  [1117] = 872,
  [1118] = 867,
  [1119] = 702,
  [1120] = 695,
  [1121] = 705,
  [1122] = 885,
  [1123] = 710,
  [1124] = 891,
  [1125] = 893,
  [1126] = 715,
  [1127] = 833,
  [1128] = 708,
  [1129] = 748,
  [1130] = 843,
  [1131] = 842,
  [1132] = 429,
  [1133] = 728,
  [1134] = 726,
  [1135] = 801,
  [1136] = 483,
  [1137] = 729,
  [1138] = 1138,
  [1139] = 759,
  [1140] = 760,
  [1141] = 1138,
  [1142] = 423,
  [1143] = 716,
  [1144] = 748,
  [1145] = 710,
  [1146] = 1146,
  [1147] = 1138,
  [1148] = 1138,
  [1149] = 743,
  [1150] = 447,
  [1151] = 1138,
  [1152] = 706,
  [1153] = 749,
  [1154] = 1154,
  [1155] = 744,
  [1156] = 812,
  [1157] = 753,
  [1158] = 761,
  [1159] = 1159,
  [1160] = 806,
  [1161] = 807,
  [1162] = 764,
  [1163] = 805,
  [1164] = 782,
  [1165] = 780,
  [1166] = 752,
  [1167] = 728,
  [1168] = 502,
  [1169] = 760,
  [1170] = 803,
  [1171] = 757,
  [1172] = 809,
  [1173] = 763,
  [1174] = 765,
  [1175] = 766,
  [1176] = 749,
  [1177] = 751,
  [1178] = 768,
  [1179] = 505,
  [1180] = 743,
  [1181] = 786,
  [1182] = 770,
  [1183] = 788,
  [1184] = 1184,
  [1185] = 804,
  [1186] = 1186,
  [1187] = 792,
  [1188] = 729,
  [1189] = 794,
  [1190] = 1190,
  [1191] = 812,
  [1192] = 506,
  [1193] = 726,
  [1194] = 756,
  [1195] = 755,
  [1196] = 483,
  [1197] = 1197,
  [1198] = 787,
  [1199] = 1199,
  [1200] = 510,
  [1201] = 509,
  [1202] = 801,
  [1203] = 508,
  [1204] = 1204,
  [1205] = 507,
  [1206] = 1206,
  [1207] = 754,
  [1208] = 774,
  [1209] = 499,
  [1210] = 771,
  [1211] = 1211,
  [1212] = 744,
  [1213] = 759,
  [1214] = 808,
  [1215] = 804,
  [1216] = 794,
  [1217] = 836,
  [1218] = 837,
  [1219] = 756,
  [1220] = 849,
  [1221] = 752,
  [1222] = 330,
  [1223] = 508,
  [1224] = 507,
  [1225] = 499,
  [1226] = 524,
  [1227] = 868,
  [1228] = 803,
  [1229] = 814,
  [1230] = 1230,
  [1231] = 774,
  [1232] = 1232,
  [1233] = 329,
  [1234] = 761,
  [1235] = 922,
  [1236] = 861,
  [1237] = 782,
  [1238] = 506,
  [1239] = 915,
  [1240] = 864,
  [1241] = 806,
  [1242] = 845,
  [1243] = 764,
  [1244] = 807,
  [1245] = 753,
  [1246] = 824,
  [1247] = 1247,
  [1248] = 817,
  [1249] = 809,
  [1250] = 771,
  [1251] = 895,
  [1252] = 754,
  [1253] = 828,
  [1254] = 751,
  [1255] = 509,
  [1256] = 768,
  [1257] = 510,
  [1258] = 535,
  [1259] = 786,
  [1260] = 543,
  [1261] = 788,
  [1262] = 505,
  [1263] = 792,
  [1264] = 787,
  [1265] = 871,
  [1266] = 1266,
  [1267] = 927,
  [1268] = 780,
  [1269] = 862,
  [1270] = 852,
  [1271] = 847,
  [1272] = 892,
  [1273] = 873,
  [1274] = 876,
  [1275] = 878,
  [1276] = 848,
  [1277] = 716,
  [1278] = 1278,
  [1279] = 755,
  [1280] = 1266,
  [1281] = 770,
  [1282] = 928,
  [1283] = 766,
  [1284] = 765,
  [1285] = 808,
  [1286] = 502,
  [1287] = 539,
  [1288] = 889,
  [1289] = 805,
  [1290] = 909,
  [1291] = 914,
  [1292] = 706,
  [1293] = 763,
  [1294] = 916,
  [1295] = 850,
  [1296] = 821,
  [1297] = 869,
  [1298] = 757,
  [1299] = 819,
  [1300] = 910,
  [1301] = 911,
  [1302] = 825,
  [1303] = 835,
  [1304] = 929,
  [1305] = 839,
  [1306] = 840,
  [1307] = 472,
  [1308] = 1247,
  [1309] = 541,
  [1310] = 899,
  [1311] = 816,
  [1312] = 466,
  [1313] = 467,
  [1314] = 922,
  [1315] = 847,
  [1316] = 886,
  [1317] = 848,
  [1318] = 910,
  [1319] = 911,
  [1320] = 821,
  [1321] = 819,
  [1322] = 744,
  [1323] = 928,
  [1324] = 861,
  [1325] = 749,
  [1326] = 752,
  [1327] = 1327,
  [1328] = 712,
  [1329] = 764,
  [1330] = 765,
  [1331] = 770,
  [1332] = 763,
  [1333] = 787,
  [1334] = 780,
  [1335] = 782,
  [1336] = 707,
  [1337] = 757,
  [1338] = 1327,
  [1339] = 803,
  [1340] = 766,
  [1341] = 753,
  [1342] = 722,
  [1343] = 1343,
  [1344] = 1343,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1345,
  [1348] = 1345,
  [1349] = 1346,
  [1350] = 1345,
  [1351] = 1343,
  [1352] = 1346,
  [1353] = 1353,
  [1354] = 1346,
  [1355] = 1345,
  [1356] = 1345,
  [1357] = 1343,
  [1358] = 1346,
  [1359] = 1343,
  [1360] = 1346,
  [1361] = 1343,
  [1362] = 1362,
  [1363] = 698,
  [1364] = 684,
  [1365] = 801,
  [1366] = 1366,
  [1367] = 684,
  [1368] = 708,
  [1369] = 867,
  [1370] = 698,
  [1371] = 842,
  [1372] = 702,
  [1373] = 843,
  [1374] = 689,
  [1375] = 815,
  [1376] = 715,
  [1377] = 696,
  [1378] = 827,
  [1379] = 872,
  [1380] = 705,
  [1381] = 833,
  [1382] = 695,
  [1383] = 885,
  [1384] = 891,
  [1385] = 893,
  [1386] = 812,
  [1387] = 710,
  [1388] = 1388,
  [1389] = 759,
  [1390] = 710,
  [1391] = 1391,
  [1392] = 706,
  [1393] = 748,
  [1394] = 716,
  [1395] = 564,
  [1396] = 689,
  [1397] = 570,
  [1398] = 571,
  [1399] = 572,
  [1400] = 576,
  [1401] = 577,
  [1402] = 569,
  [1403] = 573,
  [1404] = 579,
  [1405] = 580,
  [1406] = 578,
  [1407] = 566,
  [1408] = 715,
  [1409] = 1409,
  [1410] = 565,
  [1411] = 575,
  [1412] = 708,
  [1413] = 574,
  [1414] = 568,
  [1415] = 1415,
  [1416] = 759,
  [1417] = 760,
  [1418] = 801,
  [1419] = 743,
  [1420] = 744,
  [1421] = 696,
  [1422] = 695,
  [1423] = 1423,
  [1424] = 702,
  [1425] = 567,
  [1426] = 729,
  [1427] = 749,
  [1428] = 812,
  [1429] = 1429,
  [1430] = 726,
  [1431] = 806,
  [1432] = 1432,
  [1433] = 728,
  [1434] = 705,
  [1435] = 753,
  [1436] = 806,
  [1437] = 1437,
  [1438] = 794,
  [1439] = 771,
  [1440] = 774,
  [1441] = 756,
  [1442] = 1442,
  [1443] = 757,
  [1444] = 763,
  [1445] = 761,
  [1446] = 726,
  [1447] = 765,
  [1448] = 766,
  [1449] = 770,
  [1450] = 808,
  [1451] = 805,
  [1452] = 805,
  [1453] = 764,
  [1454] = 787,
  [1455] = 760,
  [1456] = 782,
  [1457] = 761,
  [1458] = 1458,
  [1459] = 807,
  [1460] = 780,
  [1461] = 752,
  [1462] = 748,
  [1463] = 1463,
  [1464] = 728,
  [1465] = 809,
  [1466] = 792,
  [1467] = 751,
  [1468] = 768,
  [1469] = 743,
  [1470] = 803,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 754,
  [1474] = 1474,
  [1475] = 809,
  [1476] = 804,
  [1477] = 755,
  [1478] = 808,
  [1479] = 786,
  [1480] = 1480,
  [1481] = 729,
  [1482] = 788,
  [1483] = 847,
  [1484] = 1484,
  [1485] = 885,
  [1486] = 1486,
  [1487] = 886,
  [1488] = 848,
  [1489] = 928,
  [1490] = 819,
  [1491] = 1491,
  [1492] = 804,
  [1493] = 755,
  [1494] = 1494,
  [1495] = 821,
  [1496] = 1496,
  [1497] = 911,
  [1498] = 751,
  [1499] = 910,
  [1500] = 768,
  [1501] = 1362,
  [1502] = 756,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 794,
  [1507] = 786,
  [1508] = 1508,
  [1509] = 788,
  [1510] = 1510,
  [1511] = 861,
  [1512] = 792,
  [1513] = 1513,
  [1514] = 922,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1516,
  [1518] = 1516,
  [1519] = 1519,
  [1520] = 754,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1516,
  [1525] = 774,
  [1526] = 1516,
  [1527] = 1527,
  [1528] = 1527,
  [1529] = 1529,
  [1530] = 1527,
  [1531] = 1531,
  [1532] = 1527,
  [1533] = 1529,
  [1534] = 1529,
  [1535] = 1531,
  [1536] = 1527,
  [1537] = 1531,
  [1538] = 1529,
  [1539] = 1527,
  [1540] = 1531,
  [1541] = 1527,
  [1542] = 1527,
  [1543] = 1543,
  [1544] = 1527,
  [1545] = 591,
  [1546] = 1529,
  [1547] = 1547,
  [1548] = 1531,
  [1549] = 813,
  [1550] = 857,
  [1551] = 856,
  [1552] = 877,
  [1553] = 928,
  [1554] = 1554,
  [1555] = 870,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 922,
  [1559] = 821,
  [1560] = 833,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1563,
  [1565] = 1563,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1563,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1590,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 807,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1598,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 736,
  [1611] = 1598,
  [1612] = 724,
  [1613] = 1613,
  [1614] = 1598,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1598,
  [1621] = 1598,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 698,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 724,
  [1629] = 1629,
  [1630] = 1627,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 736,
  [1634] = 1634,
  [1635] = 1631,
  [1636] = 1636,
  [1637] = 736,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1629,
  [1641] = 1629,
  [1642] = 684,
  [1643] = 1629,
  [1644] = 1631,
  [1645] = 1631,
  [1646] = 1646,
  [1647] = 1634,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1634,
  [1654] = 1634,
  [1655] = 1655,
  [1656] = 1631,
  [1657] = 1657,
  [1658] = 1629,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1660,
  [1663] = 689,
  [1664] = 1097,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1661,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1670,
  [1673] = 1667,
  [1674] = 1660,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1660,
  [1678] = 1661,
  [1679] = 1667,
  [1680] = 1670,
  [1681] = 1667,
  [1682] = 1670,
  [1683] = 1098,
  [1684] = 695,
  [1685] = 1685,
  [1686] = 748,
  [1687] = 696,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1661,
  [1691] = 771,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1692,
  [1695] = 1693,
  [1696] = 1696,
  [1697] = 715,
  [1698] = 708,
  [1699] = 1699,
  [1700] = 705,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 702,
  [1706] = 1699,
  [1707] = 1707,
  [1708] = 1696,
  [1709] = 1113,
  [1710] = 1710,
  [1711] = 1710,
  [1712] = 1701,
  [1713] = 1701,
  [1714] = 1710,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1696,
  [1718] = 1707,
  [1719] = 1719,
  [1720] = 1702,
  [1721] = 327,
  [1722] = 1722,
  [1723] = 1699,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1693,
  [1728] = 1692,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1707,
  [1733] = 1710,
  [1734] = 1734,
  [1735] = 1701,
  [1736] = 1696,
  [1737] = 1707,
  [1738] = 1738,
  [1739] = 1702,
  [1740] = 1699,
  [1741] = 1693,
  [1742] = 1742,
  [1743] = 1692,
  [1744] = 1702,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 684,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1751,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1769,
  [1771] = 1769,
  [1772] = 1772,
  [1773] = 1769,
  [1774] = 1750,
  [1775] = 1749,
  [1776] = 1761,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 328,
  [1780] = 1749,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1750,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1769,
  [1789] = 1764,
  [1790] = 1765,
  [1791] = 1791,
  [1792] = 1765,
  [1793] = 1769,
  [1794] = 1764,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 698,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1765,
  [1803] = 1750,
  [1804] = 1804,
  [1805] = 1764,
  [1806] = 1749,
  [1807] = 1807,
  [1808] = 929,
  [1809] = 825,
  [1810] = 1810,
  [1811] = 828,
  [1812] = 1812,
  [1813] = 899,
  [1814] = 916,
  [1815] = 914,
  [1816] = 1810,
  [1817] = 909,
  [1818] = 499,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 889,
  [1823] = 845,
  [1824] = 839,
  [1825] = 1825,
  [1826] = 869,
  [1827] = 1827,
  [1828] = 864,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 507,
  [1833] = 508,
  [1834] = 1758,
  [1835] = 840,
  [1836] = 1836,
  [1837] = 849,
  [1838] = 850,
  [1839] = 871,
  [1840] = 1819,
  [1841] = 862,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 915,
  [1845] = 824,
  [1846] = 1846,
  [1847] = 816,
  [1848] = 852,
  [1849] = 892,
  [1850] = 817,
  [1851] = 509,
  [1852] = 510,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 814,
  [1857] = 1827,
  [1858] = 1858,
  [1859] = 1830,
  [1860] = 1860,
  [1861] = 927,
  [1862] = 1862,
  [1863] = 873,
  [1864] = 876,
  [1865] = 1807,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 878,
  [1870] = 868,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1819,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1866,
  [1877] = 1568,
  [1878] = 1819,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1862,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1860,
  [1885] = 895,
  [1886] = 535,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 836,
  [1890] = 524,
  [1891] = 1891,
  [1892] = 837,
  [1893] = 835,
  [1894] = 1854,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1898,
  [1904] = 705,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1810,
  [1914] = 1901,
  [1915] = 1915,
  [1916] = 1909,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1901,
  [1921] = 1909,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1901,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1901,
  [1938] = 702,
  [1939] = 1939,
  [1940] = 1810,
  [1941] = 1941,
  [1942] = 1908,
  [1943] = 1941,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1901,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1901,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1901,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1915,
  [1959] = 1907,
  [1960] = 1651,
  [1961] = 1929,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 715,
  [1965] = 708,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1810,
  [1970] = 1970,
  [1971] = 1909,
  [1972] = 1648,
  [1973] = 1973,
  [1974] = 1932,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1909,
  [1981] = 1810,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1925,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1929,
  [1988] = 1925,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 695,
  [1993] = 689,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 1907,
  [2003] = 696,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 1929,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 1925,
  [2022] = 2022,
  [2023] = 1810,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 1907,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 1810,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2044,
  [2052] = 743,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2055,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2046,
  [2068] = 2055,
  [2069] = 2062,
  [2070] = 771,
  [2071] = 2044,
  [2072] = 2055,
  [2073] = 2073,
  [2074] = 2055,
  [2075] = 2062,
  [2076] = 2055,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 728,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2055,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2044,
  [2089] = 2089,
  [2090] = 2055,
  [2091] = 2062,
  [2092] = 2092,
  [2093] = 726,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2094,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 1783,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 1785,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2126,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 2117,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2108,
  [2152] = 1782,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2118,
  [2156] = 2103,
  [2157] = 2157,
  [2158] = 2100,
  [2159] = 2098,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2123,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2147,
  [2171] = 2171,
  [2172] = 2148,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2160,
  [2181] = 2147,
  [2182] = 2182,
  [2183] = 2108,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2098,
  [2188] = 2188,
  [2189] = 2126,
  [2190] = 2147,
  [2191] = 2118,
  [2192] = 2192,
  [2193] = 2098,
  [2194] = 2123,
  [2195] = 2133,
  [2196] = 2167,
  [2197] = 2179,
  [2198] = 2153,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2148,
  [2202] = 2117,
  [2203] = 2179,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2167,
  [2207] = 2207,
  [2208] = 2108,
  [2209] = 2123,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 1753,
  [2213] = 1747,
  [2214] = 1746,
  [2215] = 2215,
  [2216] = 2108,
  [2217] = 2217,
  [2218] = 1757,
  [2219] = 2098,
  [2220] = 2177,
  [2221] = 2123,
  [2222] = 2118,
  [2223] = 2177,
  [2224] = 2176,
  [2225] = 2174,
  [2226] = 2173,
  [2227] = 2094,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2126,
  [2231] = 2148,
  [2232] = 2176,
  [2233] = 2233,
  [2234] = 1796,
  [2235] = 2150,
  [2236] = 2174,
  [2237] = 2160,
  [2238] = 2094,
  [2239] = 2239,
  [2240] = 2100,
  [2241] = 2103,
  [2242] = 2242,
  [2243] = 2143,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2188,
  [2247] = 2247,
  [2248] = 1778,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2138,
  [2253] = 1752,
  [2254] = 1755,
  [2255] = 2255,
  [2256] = 1772,
  [2257] = 2139,
  [2258] = 2258,
  [2259] = 2173,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2210,
  [2265] = 2160,
  [2266] = 2266,
  [2267] = 2100,
  [2268] = 2103,
  [2269] = 2160,
  [2270] = 2270,
  [2271] = 1756,
  [2272] = 2177,
  [2273] = 2176,
  [2274] = 2108,
  [2275] = 2275,
  [2276] = 2167,
  [2277] = 2277,
  [2278] = 2174,
  [2279] = 2279,
  [2280] = 2179,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2123,
  [2284] = 2284,
  [2285] = 2173,
  [2286] = 2098,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2143,
  [2295] = 2295,
  [2296] = 2138,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2138,
  [2302] = 2147,
  [2303] = 2303,
  [2304] = 2143,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2117,
  [2308] = 2308,
  [2309] = 2147,
  [2310] = 2148,
  [2311] = 2311,
  [2312] = 2160,
  [2313] = 2313,
  [2314] = 2148,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2327,
  [2340] = 2328,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2331,
  [2354] = 2354,
  [2355] = 2325,
  [2356] = 2356,
  [2357] = 2328,
  [2358] = 2327,
  [2359] = 2321,
  [2360] = 2360,
  [2361] = 2344,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2328,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2327,
  [2369] = 2369,
  [2370] = 2326,
  [2371] = 2363,
  [2372] = 2338,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2338,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2333,
  [2381] = 2327,
  [2382] = 2327,
  [2383] = 2376,
  [2384] = 2379,
  [2385] = 2338,
  [2386] = 2374,
  [2387] = 2342,
  [2388] = 2363,
  [2389] = 2373,
  [2390] = 2390,
  [2391] = 2330,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2347,
  [2395] = 2395,
  [2396] = 2327,
  [2397] = 2328,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2366,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 359,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2327,
  [2408] = 2327,
  [2409] = 2333,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2338,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2330,
  [2421] = 2421,
  [2422] = 2415,
  [2423] = 2327,
  [2424] = 2424,
  [2425] = 2327,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2411,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2415,
  [2433] = 2433,
  [2434] = 2415,
  [2435] = 2435,
  [2436] = 2373,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2411,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2330,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2379,
  [2451] = 2451,
  [2452] = 2376,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2338,
  [2456] = 2350,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2333,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2327,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 886,
  [2474] = 2328,
  [2475] = 2475,
  [2476] = 2328,
  [2477] = 2327,
  [2478] = 2478,
  [2479] = 2363,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2366,
  [2485] = 2485,
  [2486] = 2323,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2379,
  [2494] = 2411,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2338,
  [2498] = 2498,
  [2499] = 2373,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2366,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2367,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2333,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2532,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2539,
  [2541] = 2538,
  [2542] = 2535,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2543,
  [2546] = 2546,
  [2547] = 2532,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2529,
  [2551] = 2530,
  [2552] = 2531,
  [2553] = 2531,
  [2554] = 2554,
  [2555] = 2530,
  [2556] = 2534,
  [2557] = 2549,
  [2558] = 2558,
  [2559] = 2529,
  [2560] = 2560,
  [2561] = 2537,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2535,
  [2565] = 2539,
  [2566] = 2538,
  [2567] = 2539,
  [2568] = 2538,
  [2569] = 2569,
  [2570] = 2535,
  [2571] = 2543,
  [2572] = 2544,
  [2573] = 2532,
  [2574] = 2535,
  [2575] = 2538,
  [2576] = 2529,
  [2577] = 2531,
  [2578] = 2539,
  [2579] = 2579,
  [2580] = 2530,
  [2581] = 2581,
  [2582] = 2549,
  [2583] = 2543,
  [2584] = 2549,
  [2585] = 2585,
  [2586] = 2538,
  [2587] = 2539,
  [2588] = 2530,
  [2589] = 2589,
  [2590] = 2532,
  [2591] = 2531,
  [2592] = 2531,
  [2593] = 2534,
  [2594] = 2529,
  [2595] = 2538,
  [2596] = 2539,
  [2597] = 2532,
  [2598] = 2532,
  [2599] = 2537,
  [2600] = 2538,
  [2601] = 2539,
  [2602] = 2562,
  [2603] = 2532,
  [2604] = 2539,
  [2605] = 2538,
  [2606] = 2539,
  [2607] = 2538,
  [2608] = 2532,
  [2609] = 2609,
  [2610] = 2538,
  [2611] = 2539,
  [2612] = 2535,
  [2613] = 2532,
  [2614] = 2538,
  [2615] = 2539,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2532,
  [2619] = 2538,
  [2620] = 2539,
  [2621] = 2544,
  [2622] = 2532,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2617,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2562,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2549,
  [2641] = 2537,
  [2642] = 2532,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2529,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2537,
  [2657] = 2657,
  [2658] = 2534,
  [2659] = 2647,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2531,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2585,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2700,
  [2701] = 2537,
  [2702] = 2647,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2530,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2647,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2549,
  [2723] = 2723,
  [2724] = 2666,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2667,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2617,
  [2736] = 2560,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2616,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2544,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2617,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(99);
      if (lookahead == '$') ADVANCE(113);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(210);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(86)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(244);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2)
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(242);
      if (lookahead != 0) ADVANCE(243);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(47);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(46);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(163);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '~') ADVANCE(42);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(162);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '~') ADVANCE(42);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(197);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(198);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '~') ADVANCE(42);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(47);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(46);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(163);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '+') ADVANCE(38);
      if (lookahead == '-') ADVANCE(209);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '~') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'r') ADVANCE(21);
      if (lookahead == 's') ADVANCE(74);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '?') ADVANCE(157);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 's') ADVANCE(74);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '?') ADVANCE(157);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 's') ADVANCE(74);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(47);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(46);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(165);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(183);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(156);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(253);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(178);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(183);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(71);
      if (lookahead == '|') ADVANCE(178);
      if (lookahead == '~') ADVANCE(215);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(183);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '[') ADVANCE(63);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(71);
      if (lookahead == '|') ADVANCE(178);
      if (lookahead == '~') ADVANCE(215);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(120);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 20:
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '%') ADVANCE(48);
      if (lookahead == '&') ADVANCE(49);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '+') ADVANCE(51);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(52);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(33);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(62);
      if (lookahead == '?') ADVANCE(160);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(54);
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'r') ADVANCE(21);
      if (lookahead == 's') ADVANCE(74);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(55);
      if (lookahead == '~') ADVANCE(45);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      END_STATE();
    case 21:
      if (lookahead == '"') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(114);
      END_STATE();
    case 22:
      if (lookahead == '"') ADVANCE(109);
      END_STATE();
    case 23:
      if (lookahead == '"') ADVANCE(115);
      END_STATE();
    case 24:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(121);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 25:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      END_STATE();
    case 27:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(122);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 28:
      if (lookahead == '$') ADVANCE(257);
      END_STATE();
    case 29:
      if (lookahead == '\'') ADVANCE(110);
      END_STATE();
    case 30:
      if (lookahead == '\'') ADVANCE(116);
      END_STATE();
    case 31:
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(173);
      if (lookahead == '?') ADVANCE(156);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 32:
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      END_STATE();
    case 33:
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 34:
      if (lookahead == '*') ADVANCE(239);
      END_STATE();
    case 35:
      if (lookahead == '*') ADVANCE(272);
      if (lookahead == '/') ADVANCE(37);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(35);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 36:
      if (lookahead == '*') ADVANCE(272);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '*') ADVANCE(268);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 38:
      if (lookahead == '+') ADVANCE(207);
      END_STATE();
    case 39:
      if (lookahead == '.') ADVANCE(208);
      END_STATE();
    case 40:
      if (lookahead == '.') ADVANCE(229);
      END_STATE();
    case 41:
      if (lookahead == '.') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 42:
      if (lookahead == '/') ADVANCE(206);
      END_STATE();
    case 43:
      if (lookahead == '/') ADVANCE(205);
      END_STATE();
    case 44:
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(125);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(257);
      if (lookahead != 0) ADVANCE(119);
      END_STATE();
    case 45:
      if (lookahead == '/') ADVANCE(59);
      END_STATE();
    case 46:
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 47:
      if (lookahead == '=') ADVANCE(168);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 48:
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 49:
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 50:
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 51:
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 52:
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 53:
      if (lookahead == '=') ADVANCE(232);
      END_STATE();
    case 54:
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 56:
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 57:
      if (lookahead == '=') ADVANCE(146);
      if (lookahead == '>') ADVANCE(60);
      END_STATE();
    case 58:
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 59:
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 60:
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 61:
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 62:
      if (lookahead == '>') ADVANCE(57);
      END_STATE();
    case 63:
      if (lookahead == ']') ADVANCE(233);
      END_STATE();
    case 64:
      if (lookahead == '_') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 65:
      if (lookahead == '_') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 66:
      if (lookahead == '_') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 67:
      if (lookahead == 'c') ADVANCE(34);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(235);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 70:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 71:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 72:
      if (lookahead == 's') ADVANCE(75);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(76);
      if (lookahead == 'x') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(129);
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 74:
      if (lookahead == 'y') ADVANCE(69);
      END_STATE();
    case 75:
      if (lookahead == 'y') ADVANCE(70);
      END_STATE();
    case 76:
      if (lookahead == '{') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 77:
      if (lookahead == '}') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 78:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 86:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(99);
      if (lookahead == '$') ADVANCE(113);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(210);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(86)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 87:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(98);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(209);
      if (lookahead == '.') ADVANCE(223);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(46);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(215);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(87)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 88:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(46);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(88)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 89:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(42);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(89)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 90:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(197);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(198);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(42);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(90)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 91:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(46);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(91)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 92:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(99);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(38);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(209);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(173);
      if (lookahead == '?') ADVANCE(156);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(92)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 93:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '+') ADVANCE(38);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(209);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(32);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(173);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(93)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 94:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '%') ADVANCE(48);
      if (lookahead == '&') ADVANCE(49);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '+') ADVANCE(51);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(52);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(33);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(62);
      if (lookahead == '?') ADVANCE(160);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(54);
      if (lookahead == '|') ADVANCE(55);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(45);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(94)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 95:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '%') ADVANCE(48);
      if (lookahead == '&') ADVANCE(49);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '+') ADVANCE(51);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(52);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(33);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(62);
      if (lookahead == '?') ADVANCE(160);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(54);
      if (lookahead == 'a') ADVANCE(253);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(55);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(45);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(95)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 96:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(46);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(96)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(240);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == '_') ADVANCE(64);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(79);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(82);
      if (lookahead == '_') ADVANCE(64);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '_') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(65);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(22);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(29);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_r_DQUOTE);
      if (lookahead == '"') ADVANCE(23);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_r_SQUOTE);
      if (lookahead == '\'') ADVANCE(30);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_r_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_r_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(120);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(121);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(122);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '$') ADVANCE(257);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(125);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == 'u') ADVANCE(76);
      if (lookahead == 'x') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(129);
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym__unused_escape_sequence);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym__unused_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(127);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym__unused_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(168);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(232);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_TILDE_SLASH_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(226);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '?') ADVANCE(155);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '?') ADVANCE(154);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '?') ADVANCE(58);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(225);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(225);
      if (lookahead == '?') ADVANCE(155);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(225);
      if (lookahead == '?') ADVANCE(154);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '?') ADVANCE(154);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(154);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_equality_operator);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(187);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(186);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(56);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '>') ADVANCE(188);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(150);
      if (lookahead == '|') ADVANCE(166);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(166);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(167);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(167);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(146);
      if (lookahead == '>') ADVANCE(191);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym__additive_operator);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '+') ADVANCE(207);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '+') ADVANCE(207);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '-') ADVANCE(207);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '-') ADVANCE(207);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_TILDE_SLASH);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_TILDE_SLASH);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_increment_operator);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_minus_operator);
      if (lookahead == '-') ADVANCE(207);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_minus_operator);
      if (lookahead == '-') ADVANCE(207);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym__exclamation_operator);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym__exclamation_operator);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '/') ADVANCE(206);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '/') ADVANCE(205);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(250);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(227);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      if (lookahead == '.') ADVANCE(229);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(208);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT_DOT);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      if (lookahead == '=') ADVANCE(234);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK_EQ);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '*') ADVANCE(238);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '*') ADVANCE(238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_async_STAR);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_sync_STAR);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_POUND_BANG);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_script_tag_token1);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == '/') ADVANCE(260);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(aux_sym_script_tag_token1);
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym_script_tag_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(244);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(114);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(239);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(246);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(236);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(247);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(248);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(217);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(218);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(255);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(249);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(250);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_identifier_dollar_escaped);
      if (lookahead == '\\') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(257);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead == '/') ADVANCE(274);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '/') ADVANCE(273);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '/') ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '/') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '*') ADVANCE(271);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '/') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(266);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(36);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_comment_token2);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(36);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_documentation_comment_token1);
      if (lookahead == '*') ADVANCE(270);
      if (lookahead == '/') ADVANCE(261);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_documentation_comment_token1);
      if (lookahead == '/') ADVANCE(278);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(279);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_documentation_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(2);
      if (lookahead == 'b') ADVANCE(3);
      if (lookahead == 'c') ADVANCE(4);
      if (lookahead == 'd') ADVANCE(5);
      if (lookahead == 'e') ADVANCE(6);
      if (lookahead == 'f') ADVANCE(7);
      if (lookahead == 'g') ADVANCE(8);
      if (lookahead == 'h') ADVANCE(9);
      if (lookahead == 'i') ADVANCE(10);
      if (lookahead == 'l') ADVANCE(11);
      if (lookahead == 'm') ADVANCE(12);
      if (lookahead == 'n') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      if (lookahead == 'p') ADVANCE(15);
      if (lookahead == 'r') ADVANCE(16);
      if (lookahead == 's') ADVANCE(17);
      if (lookahead == 't') ADVANCE(18);
      if (lookahead == 'v') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(23);
      if (lookahead == 's') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      if (lookahead == 'y') ADVANCE(33);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(36);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(41);
      END_STATE();
    case 10:
      if (lookahead == 'f') ADVANCE(42);
      if (lookahead == 'm') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(46);
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(48);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'e') ADVANCE(50);
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      if (lookahead == 'p') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'h') ADVANCE(58);
      if (lookahead == 't') ADVANCE(59);
      if (lookahead == 'u') ADVANCE(60);
      if (lookahead == 'w') ADVANCE(61);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'o') ADVANCE(66);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(67);
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(78);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(79);
      if (lookahead == 'v') ADVANCE(80);
      END_STATE();
    case 31:
      if (lookahead == 'f') ADVANCE(81);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(82);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(83);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(85);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(86);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(88);
      if (lookahead == 'l') ADVANCE(89);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 41:
      if (lookahead == 'd') ADVANCE(93);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 47:
      if (lookahead == 'b') ADVANCE(97);
      END_STATE();
    case 48:
      if (lookahead == 'x') ADVANCE(98);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 50:
      if (lookahead == 'w') ADVANCE(100);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 56:
      if (lookahead == 'q') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 58:
      if (lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 60:
      if (lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 61:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'y') ADVANCE(115);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(116);
      END_STATE();
    case 65:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 66:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(125);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(127);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 77:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(130);
      END_STATE();
    case 79:
      if (lookahead == 's') ADVANCE(131);
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(134);
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 82:
      if (lookahead == 'b') ADVANCE(136);
      END_STATE();
    case 83:
      if (lookahead == 'a') ADVANCE(137);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 85:
      if (lookahead == 'm') ADVANCE(139);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(140);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 89:
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(144);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(146);
      if (lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 98:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 99:
      if (lookahead == 'i') ADVANCE(152);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 101:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 102:
      if (lookahead == 'r') ADVANCE(154);
      END_STATE();
    case 103:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(156);
      END_STATE();
    case 105:
      if (lookahead == 'u') ADVANCE(157);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 107:
      if (lookahead == 'w') ADVANCE(158);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(160);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(162);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(163);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 118:
      if (lookahead == 'd') ADVANCE(167);
      END_STATE();
    case 119:
      if (lookahead == 'l') ADVANCE(168);
      END_STATE();
    case 120:
      if (lookahead == 'h') ADVANCE(169);
      END_STATE();
    case 121:
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 127:
      if (lookahead == 'k') ADVANCE(175);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_case_builtin);
      END_STATE();
    case 129:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 130:
      if (lookahead == 's') ADVANCE(177);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(179);
      END_STATE();
    case 133:
      if (lookahead == 'r') ADVANCE(180);
      END_STATE();
    case 134:
      if (lookahead == 'u') ADVANCE(181);
      END_STATE();
    case 135:
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 137:
      if (lookahead == 'm') ADVANCE(184);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 141:
      if (lookahead == 'n') ADVANCE(186);
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 142:
      if (lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(190);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_hide);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 147:
      if (lookahead == 'r') ADVANCE(192);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_late);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 151:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 152:
      if (lookahead == 'v') ADVANCE(196);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(197);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_part);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_show);
      END_STATE();
    case 159:
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 160:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 161:
      if (lookahead == 'c') ADVANCE(202);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 163:
      if (lookahead == 'w') ADVANCE(203);
      END_STATE();
    case 164:
      if (lookahead == 's') ADVANCE(204);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 166:
      if (lookahead == 'd') ADVANCE(205);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_void_type);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 170:
      if (lookahead == 'd') ADVANCE(207);
      END_STATE();
    case 171:
      if (lookahead == 'i') ADVANCE(208);
      END_STATE();
    case 172:
      if (lookahead == 'a') ADVANCE(209);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym__break_builtin);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_const_builtin);
      END_STATE();
    case 179:
      if (lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 180:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 181:
      if (lookahead == 'l') ADVANCE(213);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(217);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(218);
      if (lookahead == 's') ADVANCE(219);
      END_STATE();
    case 187:
      if (lookahead == 'n') ADVANCE(220);
      END_STATE();
    case 188:
      if (lookahead == 'r') ADVANCE(221);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_final_builtin);
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 191:
      if (lookahead == 'm') ADVANCE(223);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(224);
      END_STATE();
    case 193:
      if (lookahead == 'f') ADVANCE(225);
      END_STATE();
    case 194:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_mixin);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 198:
      if (lookahead == 'r') ADVANCE(229);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 200:
      if (lookahead == 'c') ADVANCE(231);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_super);
      END_STATE();
    case 202:
      if (lookahead == 'h') ADVANCE(232);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == 's') ADVANCE(233);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 205:
      if (lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 208:
      if (lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 209:
      if (lookahead == 'c') ADVANCE(237);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym__assert_builtin);
      END_STATE();
    case 211:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_floating_point_type);
      END_STATE();
    case 216:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(243);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 220:
      if (lookahead == 'a') ADVANCE(245);
      END_STATE();
    case 221:
      if (lookahead == 'y') ADVANCE(246);
      END_STATE();
    case 222:
      if (lookahead == 'y') ADVANCE(247);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(248);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 226:
      if (lookahead == 'y') ADVANCE(250);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 228:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(252);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(253);
      END_STATE();
    case 235:
      if (lookahead == 'f') ADVANCE(254);
      END_STATE();
    case 236:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 239:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 241:
      if (lookahead == 'd') ADVANCE(259);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_dynamic);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 244:
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 245:
      if (lookahead == 'l') ADVANCE(261);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_factory);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(262);
      END_STATE();
    case 249:
      if (lookahead == 'c') ADVANCE(263);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_library);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 252:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(266);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_Function);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 258:
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_deferred);
      END_STATE();
    case 260:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(270);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_required);
      END_STATE();
    case 266:
      if (lookahead == 'v') ADVANCE(271);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_covariant);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_extension);
      END_STATE();
    case 269:
      if (lookahead == 's') ADVANCE(272);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_transitive);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 92, .external_lex_state = 2},
  [2] = {.lex_state = 92, .external_lex_state = 2},
  [3] = {.lex_state = 92, .external_lex_state = 2},
  [4] = {.lex_state = 92, .external_lex_state = 2},
  [5] = {.lex_state = 92, .external_lex_state = 2},
  [6] = {.lex_state = 92, .external_lex_state = 2},
  [7] = {.lex_state = 92, .external_lex_state = 2},
  [8] = {.lex_state = 92, .external_lex_state = 2},
  [9] = {.lex_state = 92, .external_lex_state = 2},
  [10] = {.lex_state = 92, .external_lex_state = 2},
  [11] = {.lex_state = 92, .external_lex_state = 2},
  [12] = {.lex_state = 92, .external_lex_state = 2},
  [13] = {.lex_state = 92, .external_lex_state = 2},
  [14] = {.lex_state = 92, .external_lex_state = 2},
  [15] = {.lex_state = 92, .external_lex_state = 2},
  [16] = {.lex_state = 92, .external_lex_state = 2},
  [17] = {.lex_state = 92, .external_lex_state = 2},
  [18] = {.lex_state = 92, .external_lex_state = 2},
  [19] = {.lex_state = 92, .external_lex_state = 2},
  [20] = {.lex_state = 92, .external_lex_state = 2},
  [21] = {.lex_state = 92, .external_lex_state = 2},
  [22] = {.lex_state = 92, .external_lex_state = 2},
  [23] = {.lex_state = 92, .external_lex_state = 2},
  [24] = {.lex_state = 92, .external_lex_state = 2},
  [25] = {.lex_state = 92, .external_lex_state = 2},
  [26] = {.lex_state = 92, .external_lex_state = 2},
  [27] = {.lex_state = 92, .external_lex_state = 2},
  [28] = {.lex_state = 92, .external_lex_state = 2},
  [29] = {.lex_state = 92, .external_lex_state = 2},
  [30] = {.lex_state = 92, .external_lex_state = 2},
  [31] = {.lex_state = 92, .external_lex_state = 2},
  [32] = {.lex_state = 92, .external_lex_state = 2},
  [33] = {.lex_state = 92, .external_lex_state = 2},
  [34] = {.lex_state = 92, .external_lex_state = 2},
  [35] = {.lex_state = 92, .external_lex_state = 2},
  [36] = {.lex_state = 92, .external_lex_state = 2},
  [37] = {.lex_state = 92, .external_lex_state = 2},
  [38] = {.lex_state = 92, .external_lex_state = 2},
  [39] = {.lex_state = 92, .external_lex_state = 2},
  [40] = {.lex_state = 92, .external_lex_state = 2},
  [41] = {.lex_state = 92, .external_lex_state = 2},
  [42] = {.lex_state = 92, .external_lex_state = 2},
  [43] = {.lex_state = 92, .external_lex_state = 2},
  [44] = {.lex_state = 92, .external_lex_state = 2},
  [45] = {.lex_state = 92, .external_lex_state = 2},
  [46] = {.lex_state = 92, .external_lex_state = 2},
  [47] = {.lex_state = 92, .external_lex_state = 2},
  [48] = {.lex_state = 92, .external_lex_state = 2},
  [49] = {.lex_state = 92, .external_lex_state = 2},
  [50] = {.lex_state = 92, .external_lex_state = 2},
  [51] = {.lex_state = 92, .external_lex_state = 2},
  [52] = {.lex_state = 92, .external_lex_state = 2},
  [53] = {.lex_state = 92, .external_lex_state = 2},
  [54] = {.lex_state = 92, .external_lex_state = 2},
  [55] = {.lex_state = 92, .external_lex_state = 2},
  [56] = {.lex_state = 92, .external_lex_state = 2},
  [57] = {.lex_state = 92, .external_lex_state = 2},
  [58] = {.lex_state = 92, .external_lex_state = 2},
  [59] = {.lex_state = 92, .external_lex_state = 2},
  [60] = {.lex_state = 92, .external_lex_state = 2},
  [61] = {.lex_state = 92, .external_lex_state = 2},
  [62] = {.lex_state = 92, .external_lex_state = 2},
  [63] = {.lex_state = 92, .external_lex_state = 2},
  [64] = {.lex_state = 92, .external_lex_state = 2},
  [65] = {.lex_state = 92, .external_lex_state = 2},
  [66] = {.lex_state = 92, .external_lex_state = 2},
  [67] = {.lex_state = 92, .external_lex_state = 2},
  [68] = {.lex_state = 92, .external_lex_state = 2},
  [69] = {.lex_state = 92, .external_lex_state = 2},
  [70] = {.lex_state = 92, .external_lex_state = 2},
  [71] = {.lex_state = 92, .external_lex_state = 2},
  [72] = {.lex_state = 92, .external_lex_state = 2},
  [73] = {.lex_state = 92, .external_lex_state = 2},
  [74] = {.lex_state = 92, .external_lex_state = 2},
  [75] = {.lex_state = 92, .external_lex_state = 2},
  [76] = {.lex_state = 92, .external_lex_state = 2},
  [77] = {.lex_state = 92, .external_lex_state = 2},
  [78] = {.lex_state = 92, .external_lex_state = 2},
  [79] = {.lex_state = 92, .external_lex_state = 2},
  [80] = {.lex_state = 92, .external_lex_state = 2},
  [81] = {.lex_state = 92, .external_lex_state = 2},
  [82] = {.lex_state = 92, .external_lex_state = 2},
  [83] = {.lex_state = 92, .external_lex_state = 2},
  [84] = {.lex_state = 92, .external_lex_state = 2},
  [85] = {.lex_state = 92, .external_lex_state = 2},
  [86] = {.lex_state = 92, .external_lex_state = 2},
  [87] = {.lex_state = 92, .external_lex_state = 2},
  [88] = {.lex_state = 92, .external_lex_state = 2},
  [89] = {.lex_state = 92, .external_lex_state = 2},
  [90] = {.lex_state = 92, .external_lex_state = 2},
  [91] = {.lex_state = 92, .external_lex_state = 2},
  [92] = {.lex_state = 92, .external_lex_state = 2},
  [93] = {.lex_state = 92, .external_lex_state = 2},
  [94] = {.lex_state = 92, .external_lex_state = 2},
  [95] = {.lex_state = 92, .external_lex_state = 2},
  [96] = {.lex_state = 92, .external_lex_state = 2},
  [97] = {.lex_state = 92, .external_lex_state = 2},
  [98] = {.lex_state = 92, .external_lex_state = 2},
  [99] = {.lex_state = 92, .external_lex_state = 2},
  [100] = {.lex_state = 92, .external_lex_state = 2},
  [101] = {.lex_state = 92, .external_lex_state = 2},
  [102] = {.lex_state = 92, .external_lex_state = 2},
  [103] = {.lex_state = 92, .external_lex_state = 2},
  [104] = {.lex_state = 92, .external_lex_state = 2},
  [105] = {.lex_state = 92, .external_lex_state = 2},
  [106] = {.lex_state = 92, .external_lex_state = 2},
  [107] = {.lex_state = 92, .external_lex_state = 2},
  [108] = {.lex_state = 92, .external_lex_state = 2},
  [109] = {.lex_state = 92, .external_lex_state = 2},
  [110] = {.lex_state = 92, .external_lex_state = 2},
  [111] = {.lex_state = 92, .external_lex_state = 2},
  [112] = {.lex_state = 92, .external_lex_state = 2},
  [113] = {.lex_state = 92, .external_lex_state = 2},
  [114] = {.lex_state = 92, .external_lex_state = 2},
  [115] = {.lex_state = 92, .external_lex_state = 2},
  [116] = {.lex_state = 92, .external_lex_state = 2},
  [117] = {.lex_state = 92, .external_lex_state = 2},
  [118] = {.lex_state = 92, .external_lex_state = 2},
  [119] = {.lex_state = 92, .external_lex_state = 2},
  [120] = {.lex_state = 92, .external_lex_state = 2},
  [121] = {.lex_state = 92, .external_lex_state = 2},
  [122] = {.lex_state = 92, .external_lex_state = 2},
  [123] = {.lex_state = 92, .external_lex_state = 2},
  [124] = {.lex_state = 92, .external_lex_state = 2},
  [125] = {.lex_state = 92, .external_lex_state = 2},
  [126] = {.lex_state = 92, .external_lex_state = 2},
  [127] = {.lex_state = 92, .external_lex_state = 2},
  [128] = {.lex_state = 92, .external_lex_state = 2},
  [129] = {.lex_state = 92, .external_lex_state = 2},
  [130] = {.lex_state = 92, .external_lex_state = 2},
  [131] = {.lex_state = 92, .external_lex_state = 2},
  [132] = {.lex_state = 92, .external_lex_state = 2},
  [133] = {.lex_state = 92, .external_lex_state = 2},
  [134] = {.lex_state = 92, .external_lex_state = 2},
  [135] = {.lex_state = 92, .external_lex_state = 2},
  [136] = {.lex_state = 92, .external_lex_state = 2},
  [137] = {.lex_state = 92, .external_lex_state = 2},
  [138] = {.lex_state = 92, .external_lex_state = 2},
  [139] = {.lex_state = 92, .external_lex_state = 2},
  [140] = {.lex_state = 92, .external_lex_state = 2},
  [141] = {.lex_state = 92, .external_lex_state = 2},
  [142] = {.lex_state = 92, .external_lex_state = 2},
  [143] = {.lex_state = 92, .external_lex_state = 2},
  [144] = {.lex_state = 92, .external_lex_state = 2},
  [145] = {.lex_state = 92, .external_lex_state = 2},
  [146] = {.lex_state = 92, .external_lex_state = 2},
  [147] = {.lex_state = 92, .external_lex_state = 2},
  [148] = {.lex_state = 92, .external_lex_state = 2},
  [149] = {.lex_state = 92, .external_lex_state = 2},
  [150] = {.lex_state = 92, .external_lex_state = 2},
  [151] = {.lex_state = 92, .external_lex_state = 2},
  [152] = {.lex_state = 92, .external_lex_state = 2},
  [153] = {.lex_state = 92, .external_lex_state = 2},
  [154] = {.lex_state = 92, .external_lex_state = 2},
  [155] = {.lex_state = 92, .external_lex_state = 2},
  [156] = {.lex_state = 92, .external_lex_state = 2},
  [157] = {.lex_state = 92, .external_lex_state = 2},
  [158] = {.lex_state = 92, .external_lex_state = 2},
  [159] = {.lex_state = 92, .external_lex_state = 2},
  [160] = {.lex_state = 92, .external_lex_state = 2},
  [161] = {.lex_state = 92, .external_lex_state = 2},
  [162] = {.lex_state = 92, .external_lex_state = 2},
  [163] = {.lex_state = 92, .external_lex_state = 2},
  [164] = {.lex_state = 92, .external_lex_state = 2},
  [165] = {.lex_state = 92, .external_lex_state = 2},
  [166] = {.lex_state = 92, .external_lex_state = 2},
  [167] = {.lex_state = 92, .external_lex_state = 2},
  [168] = {.lex_state = 92, .external_lex_state = 2},
  [169] = {.lex_state = 92, .external_lex_state = 2},
  [170] = {.lex_state = 92, .external_lex_state = 2},
  [171] = {.lex_state = 92, .external_lex_state = 2},
  [172] = {.lex_state = 92, .external_lex_state = 2},
  [173] = {.lex_state = 92, .external_lex_state = 2},
  [174] = {.lex_state = 92, .external_lex_state = 2},
  [175] = {.lex_state = 92, .external_lex_state = 2},
  [176] = {.lex_state = 92, .external_lex_state = 2},
  [177] = {.lex_state = 92, .external_lex_state = 2},
  [178] = {.lex_state = 92, .external_lex_state = 2},
  [179] = {.lex_state = 92, .external_lex_state = 2},
  [180] = {.lex_state = 92, .external_lex_state = 2},
  [181] = {.lex_state = 92, .external_lex_state = 2},
  [182] = {.lex_state = 92, .external_lex_state = 2},
  [183] = {.lex_state = 92, .external_lex_state = 2},
  [184] = {.lex_state = 92, .external_lex_state = 2},
  [185] = {.lex_state = 92, .external_lex_state = 2},
  [186] = {.lex_state = 92, .external_lex_state = 2},
  [187] = {.lex_state = 92, .external_lex_state = 2},
  [188] = {.lex_state = 92, .external_lex_state = 2},
  [189] = {.lex_state = 92, .external_lex_state = 2},
  [190] = {.lex_state = 92, .external_lex_state = 2},
  [191] = {.lex_state = 92, .external_lex_state = 2},
  [192] = {.lex_state = 92, .external_lex_state = 2},
  [193] = {.lex_state = 92, .external_lex_state = 2},
  [194] = {.lex_state = 92, .external_lex_state = 2},
  [195] = {.lex_state = 92, .external_lex_state = 2},
  [196] = {.lex_state = 92, .external_lex_state = 2},
  [197] = {.lex_state = 92, .external_lex_state = 2},
  [198] = {.lex_state = 92, .external_lex_state = 2},
  [199] = {.lex_state = 92, .external_lex_state = 2},
  [200] = {.lex_state = 92, .external_lex_state = 2},
  [201] = {.lex_state = 92, .external_lex_state = 2},
  [202] = {.lex_state = 92, .external_lex_state = 2},
  [203] = {.lex_state = 92, .external_lex_state = 2},
  [204] = {.lex_state = 92, .external_lex_state = 2},
  [205] = {.lex_state = 92, .external_lex_state = 2},
  [206] = {.lex_state = 92, .external_lex_state = 2},
  [207] = {.lex_state = 92, .external_lex_state = 2},
  [208] = {.lex_state = 92, .external_lex_state = 2},
  [209] = {.lex_state = 92, .external_lex_state = 2},
  [210] = {.lex_state = 92, .external_lex_state = 2},
  [211] = {.lex_state = 92, .external_lex_state = 2},
  [212] = {.lex_state = 92, .external_lex_state = 2},
  [213] = {.lex_state = 92, .external_lex_state = 2},
  [214] = {.lex_state = 92, .external_lex_state = 2},
  [215] = {.lex_state = 92, .external_lex_state = 2},
  [216] = {.lex_state = 92, .external_lex_state = 2},
  [217] = {.lex_state = 92, .external_lex_state = 2},
  [218] = {.lex_state = 92, .external_lex_state = 2},
  [219] = {.lex_state = 92, .external_lex_state = 2},
  [220] = {.lex_state = 92, .external_lex_state = 2},
  [221] = {.lex_state = 92, .external_lex_state = 2},
  [222] = {.lex_state = 92, .external_lex_state = 2},
  [223] = {.lex_state = 92, .external_lex_state = 2},
  [224] = {.lex_state = 92, .external_lex_state = 2},
  [225] = {.lex_state = 92, .external_lex_state = 2},
  [226] = {.lex_state = 92, .external_lex_state = 2},
  [227] = {.lex_state = 92, .external_lex_state = 2},
  [228] = {.lex_state = 92, .external_lex_state = 2},
  [229] = {.lex_state = 92, .external_lex_state = 2},
  [230] = {.lex_state = 92, .external_lex_state = 2},
  [231] = {.lex_state = 92, .external_lex_state = 2},
  [232] = {.lex_state = 92, .external_lex_state = 2},
  [233] = {.lex_state = 92, .external_lex_state = 2},
  [234] = {.lex_state = 92, .external_lex_state = 2},
  [235] = {.lex_state = 92, .external_lex_state = 2},
  [236] = {.lex_state = 92, .external_lex_state = 2},
  [237] = {.lex_state = 92, .external_lex_state = 2},
  [238] = {.lex_state = 92, .external_lex_state = 2},
  [239] = {.lex_state = 92, .external_lex_state = 2},
  [240] = {.lex_state = 87, .external_lex_state = 2},
  [241] = {.lex_state = 87, .external_lex_state = 2},
  [242] = {.lex_state = 92, .external_lex_state = 2},
  [243] = {.lex_state = 92, .external_lex_state = 2},
  [244] = {.lex_state = 92, .external_lex_state = 2},
  [245] = {.lex_state = 92, .external_lex_state = 2},
  [246] = {.lex_state = 92, .external_lex_state = 2},
  [247] = {.lex_state = 92, .external_lex_state = 2},
  [248] = {.lex_state = 92, .external_lex_state = 2},
  [249] = {.lex_state = 92, .external_lex_state = 2},
  [250] = {.lex_state = 92, .external_lex_state = 2},
  [251] = {.lex_state = 92, .external_lex_state = 2},
  [252] = {.lex_state = 92, .external_lex_state = 2},
  [253] = {.lex_state = 92, .external_lex_state = 2},
  [254] = {.lex_state = 92, .external_lex_state = 2},
  [255] = {.lex_state = 92, .external_lex_state = 2},
  [256] = {.lex_state = 92, .external_lex_state = 2},
  [257] = {.lex_state = 92, .external_lex_state = 2},
  [258] = {.lex_state = 92, .external_lex_state = 2},
  [259] = {.lex_state = 92, .external_lex_state = 2},
  [260] = {.lex_state = 92, .external_lex_state = 2},
  [261] = {.lex_state = 92, .external_lex_state = 2},
  [262] = {.lex_state = 92, .external_lex_state = 2},
  [263] = {.lex_state = 92, .external_lex_state = 2},
  [264] = {.lex_state = 92, .external_lex_state = 2},
  [265] = {.lex_state = 92, .external_lex_state = 2},
  [266] = {.lex_state = 92, .external_lex_state = 2},
  [267] = {.lex_state = 92, .external_lex_state = 2},
  [268] = {.lex_state = 92, .external_lex_state = 2},
  [269] = {.lex_state = 92, .external_lex_state = 2},
  [270] = {.lex_state = 92, .external_lex_state = 2},
  [271] = {.lex_state = 92, .external_lex_state = 2},
  [272] = {.lex_state = 92, .external_lex_state = 2},
  [273] = {.lex_state = 92, .external_lex_state = 2},
  [274] = {.lex_state = 92, .external_lex_state = 2},
  [275] = {.lex_state = 92, .external_lex_state = 2},
  [276] = {.lex_state = 92, .external_lex_state = 2},
  [277] = {.lex_state = 92, .external_lex_state = 2},
  [278] = {.lex_state = 92, .external_lex_state = 2},
  [279] = {.lex_state = 92, .external_lex_state = 2},
  [280] = {.lex_state = 92, .external_lex_state = 2},
  [281] = {.lex_state = 92, .external_lex_state = 2},
  [282] = {.lex_state = 92, .external_lex_state = 2},
  [283] = {.lex_state = 92, .external_lex_state = 2},
  [284] = {.lex_state = 92, .external_lex_state = 2},
  [285] = {.lex_state = 92, .external_lex_state = 2},
  [286] = {.lex_state = 92, .external_lex_state = 2},
  [287] = {.lex_state = 92, .external_lex_state = 2},
  [288] = {.lex_state = 92, .external_lex_state = 2},
  [289] = {.lex_state = 92, .external_lex_state = 2},
  [290] = {.lex_state = 92, .external_lex_state = 2},
  [291] = {.lex_state = 92, .external_lex_state = 2},
  [292] = {.lex_state = 92, .external_lex_state = 2},
  [293] = {.lex_state = 92, .external_lex_state = 2},
  [294] = {.lex_state = 92, .external_lex_state = 2},
  [295] = {.lex_state = 92, .external_lex_state = 2},
  [296] = {.lex_state = 92, .external_lex_state = 2},
  [297] = {.lex_state = 92, .external_lex_state = 2},
  [298] = {.lex_state = 92, .external_lex_state = 2},
  [299] = {.lex_state = 92, .external_lex_state = 2},
  [300] = {.lex_state = 92, .external_lex_state = 2},
  [301] = {.lex_state = 92, .external_lex_state = 2},
  [302] = {.lex_state = 92, .external_lex_state = 2},
  [303] = {.lex_state = 92, .external_lex_state = 2},
  [304] = {.lex_state = 92, .external_lex_state = 2},
  [305] = {.lex_state = 92, .external_lex_state = 2},
  [306] = {.lex_state = 92, .external_lex_state = 2},
  [307] = {.lex_state = 92, .external_lex_state = 2},
  [308] = {.lex_state = 92, .external_lex_state = 2},
  [309] = {.lex_state = 92, .external_lex_state = 2},
  [310] = {.lex_state = 92, .external_lex_state = 2},
  [311] = {.lex_state = 92, .external_lex_state = 2},
  [312] = {.lex_state = 92, .external_lex_state = 2},
  [313] = {.lex_state = 92, .external_lex_state = 2},
  [314] = {.lex_state = 92, .external_lex_state = 2},
  [315] = {.lex_state = 92, .external_lex_state = 2},
  [316] = {.lex_state = 92, .external_lex_state = 2},
  [317] = {.lex_state = 92, .external_lex_state = 2},
  [318] = {.lex_state = 92, .external_lex_state = 2},
  [319] = {.lex_state = 92, .external_lex_state = 2},
  [320] = {.lex_state = 92, .external_lex_state = 2},
  [321] = {.lex_state = 92, .external_lex_state = 2},
  [322] = {.lex_state = 92, .external_lex_state = 2},
  [323] = {.lex_state = 92, .external_lex_state = 2},
  [324] = {.lex_state = 92, .external_lex_state = 2},
  [325] = {.lex_state = 92, .external_lex_state = 2},
  [326] = {.lex_state = 92, .external_lex_state = 2},
  [327] = {.lex_state = 92, .external_lex_state = 2},
  [328] = {.lex_state = 92, .external_lex_state = 2},
  [329] = {.lex_state = 93, .external_lex_state = 2},
  [330] = {.lex_state = 93, .external_lex_state = 2},
  [331] = {.lex_state = 92, .external_lex_state = 2},
  [332] = {.lex_state = 92, .external_lex_state = 2},
  [333] = {.lex_state = 92, .external_lex_state = 2},
  [334] = {.lex_state = 92, .external_lex_state = 2},
  [335] = {.lex_state = 92, .external_lex_state = 2},
  [336] = {.lex_state = 92, .external_lex_state = 2},
  [337] = {.lex_state = 92, .external_lex_state = 2},
  [338] = {.lex_state = 92, .external_lex_state = 2},
  [339] = {.lex_state = 92, .external_lex_state = 2},
  [340] = {.lex_state = 92, .external_lex_state = 2},
  [341] = {.lex_state = 92, .external_lex_state = 2},
  [342] = {.lex_state = 92, .external_lex_state = 2},
  [343] = {.lex_state = 90, .external_lex_state = 2},
  [344] = {.lex_state = 90, .external_lex_state = 2},
  [345] = {.lex_state = 7, .external_lex_state = 2},
  [346] = {.lex_state = 92, .external_lex_state = 2},
  [347] = {.lex_state = 7, .external_lex_state = 2},
  [348] = {.lex_state = 92, .external_lex_state = 2},
  [349] = {.lex_state = 92, .external_lex_state = 2},
  [350] = {.lex_state = 92, .external_lex_state = 2},
  [351] = {.lex_state = 92, .external_lex_state = 2},
  [352] = {.lex_state = 92, .external_lex_state = 2},
  [353] = {.lex_state = 92, .external_lex_state = 2},
  [354] = {.lex_state = 92, .external_lex_state = 2},
  [355] = {.lex_state = 92, .external_lex_state = 2},
  [356] = {.lex_state = 92, .external_lex_state = 2},
  [357] = {.lex_state = 92, .external_lex_state = 2},
  [358] = {.lex_state = 92, .external_lex_state = 2},
  [359] = {.lex_state = 92, .external_lex_state = 2},
  [360] = {.lex_state = 92, .external_lex_state = 2},
  [361] = {.lex_state = 92, .external_lex_state = 2},
  [362] = {.lex_state = 92, .external_lex_state = 2},
  [363] = {.lex_state = 92, .external_lex_state = 2},
  [364] = {.lex_state = 92, .external_lex_state = 2},
  [365] = {.lex_state = 92, .external_lex_state = 2},
  [366] = {.lex_state = 92, .external_lex_state = 2},
  [367] = {.lex_state = 92, .external_lex_state = 2},
  [368] = {.lex_state = 92, .external_lex_state = 2},
  [369] = {.lex_state = 92, .external_lex_state = 2},
  [370] = {.lex_state = 92, .external_lex_state = 2},
  [371] = {.lex_state = 92, .external_lex_state = 2},
  [372] = {.lex_state = 92, .external_lex_state = 2},
  [373] = {.lex_state = 92, .external_lex_state = 2},
  [374] = {.lex_state = 92, .external_lex_state = 2},
  [375] = {.lex_state = 92, .external_lex_state = 2},
  [376] = {.lex_state = 92, .external_lex_state = 2},
  [377] = {.lex_state = 92, .external_lex_state = 2},
  [378] = {.lex_state = 92, .external_lex_state = 2},
  [379] = {.lex_state = 92, .external_lex_state = 2},
  [380] = {.lex_state = 92, .external_lex_state = 2},
  [381] = {.lex_state = 92, .external_lex_state = 2},
  [382] = {.lex_state = 92, .external_lex_state = 2},
  [383] = {.lex_state = 92, .external_lex_state = 2},
  [384] = {.lex_state = 92, .external_lex_state = 2},
  [385] = {.lex_state = 92, .external_lex_state = 2},
  [386] = {.lex_state = 92, .external_lex_state = 2},
  [387] = {.lex_state = 92, .external_lex_state = 2},
  [388] = {.lex_state = 92, .external_lex_state = 2},
  [389] = {.lex_state = 92, .external_lex_state = 2},
  [390] = {.lex_state = 90, .external_lex_state = 2},
  [391] = {.lex_state = 90, .external_lex_state = 2},
  [392] = {.lex_state = 92, .external_lex_state = 2},
  [393] = {.lex_state = 92, .external_lex_state = 2},
  [394] = {.lex_state = 92, .external_lex_state = 2},
  [395] = {.lex_state = 92, .external_lex_state = 2},
  [396] = {.lex_state = 92, .external_lex_state = 2},
  [397] = {.lex_state = 89, .external_lex_state = 2},
  [398] = {.lex_state = 7, .external_lex_state = 2},
  [399] = {.lex_state = 7, .external_lex_state = 2},
  [400] = {.lex_state = 92, .external_lex_state = 2},
  [401] = {.lex_state = 92, .external_lex_state = 2},
  [402] = {.lex_state = 92, .external_lex_state = 2},
  [403] = {.lex_state = 92, .external_lex_state = 2},
  [404] = {.lex_state = 92, .external_lex_state = 2},
  [405] = {.lex_state = 92, .external_lex_state = 2},
  [406] = {.lex_state = 92, .external_lex_state = 2},
  [407] = {.lex_state = 92, .external_lex_state = 2},
  [408] = {.lex_state = 92, .external_lex_state = 2},
  [409] = {.lex_state = 92, .external_lex_state = 2},
  [410] = {.lex_state = 92, .external_lex_state = 2},
  [411] = {.lex_state = 92, .external_lex_state = 2},
  [412] = {.lex_state = 92, .external_lex_state = 2},
  [413] = {.lex_state = 92, .external_lex_state = 2},
  [414] = {.lex_state = 92, .external_lex_state = 2},
  [415] = {.lex_state = 92, .external_lex_state = 2},
  [416] = {.lex_state = 92, .external_lex_state = 2},
  [417] = {.lex_state = 92, .external_lex_state = 2},
  [418] = {.lex_state = 92, .external_lex_state = 2},
  [419] = {.lex_state = 92, .external_lex_state = 2},
  [420] = {.lex_state = 92, .external_lex_state = 2},
  [421] = {.lex_state = 92, .external_lex_state = 2},
  [422] = {.lex_state = 92, .external_lex_state = 2},
  [423] = {.lex_state = 88, .external_lex_state = 2},
  [424] = {.lex_state = 92, .external_lex_state = 2},
  [425] = {.lex_state = 92, .external_lex_state = 2},
  [426] = {.lex_state = 92, .external_lex_state = 2},
  [427] = {.lex_state = 92, .external_lex_state = 2},
  [428] = {.lex_state = 92, .external_lex_state = 2},
  [429] = {.lex_state = 88, .external_lex_state = 2},
  [430] = {.lex_state = 92, .external_lex_state = 2},
  [431] = {.lex_state = 92, .external_lex_state = 2},
  [432] = {.lex_state = 92, .external_lex_state = 2},
  [433] = {.lex_state = 92, .external_lex_state = 2},
  [434] = {.lex_state = 92, .external_lex_state = 2},
  [435] = {.lex_state = 92, .external_lex_state = 2},
  [436] = {.lex_state = 92, .external_lex_state = 2},
  [437] = {.lex_state = 92, .external_lex_state = 2},
  [438] = {.lex_state = 92, .external_lex_state = 2},
  [439] = {.lex_state = 92, .external_lex_state = 2},
  [440] = {.lex_state = 92, .external_lex_state = 2},
  [441] = {.lex_state = 92, .external_lex_state = 2},
  [442] = {.lex_state = 92, .external_lex_state = 2},
  [443] = {.lex_state = 92, .external_lex_state = 2},
  [444] = {.lex_state = 92, .external_lex_state = 2},
  [445] = {.lex_state = 92, .external_lex_state = 2},
  [446] = {.lex_state = 92, .external_lex_state = 2},
  [447] = {.lex_state = 90, .external_lex_state = 2},
  [448] = {.lex_state = 92, .external_lex_state = 2},
  [449] = {.lex_state = 92, .external_lex_state = 2},
  [450] = {.lex_state = 92, .external_lex_state = 2},
  [451] = {.lex_state = 92, .external_lex_state = 2},
  [452] = {.lex_state = 92, .external_lex_state = 2},
  [453] = {.lex_state = 92, .external_lex_state = 2},
  [454] = {.lex_state = 92, .external_lex_state = 2},
  [455] = {.lex_state = 92, .external_lex_state = 2},
  [456] = {.lex_state = 7, .external_lex_state = 2},
  [457] = {.lex_state = 92, .external_lex_state = 2},
  [458] = {.lex_state = 92, .external_lex_state = 2},
  [459] = {.lex_state = 92, .external_lex_state = 2},
  [460] = {.lex_state = 92, .external_lex_state = 2},
  [461] = {.lex_state = 92, .external_lex_state = 2},
  [462] = {.lex_state = 92, .external_lex_state = 2},
  [463] = {.lex_state = 89, .external_lex_state = 2},
  [464] = {.lex_state = 89, .external_lex_state = 2},
  [465] = {.lex_state = 89, .external_lex_state = 2},
  [466] = {.lex_state = 90, .external_lex_state = 2},
  [467] = {.lex_state = 90, .external_lex_state = 2},
  [468] = {.lex_state = 90, .external_lex_state = 2},
  [469] = {.lex_state = 89, .external_lex_state = 2},
  [470] = {.lex_state = 88, .external_lex_state = 2},
  [471] = {.lex_state = 7, .external_lex_state = 2},
  [472] = {.lex_state = 10, .external_lex_state = 2},
  [473] = {.lex_state = 7, .external_lex_state = 2},
  [474] = {.lex_state = 7, .external_lex_state = 2},
  [475] = {.lex_state = 3, .external_lex_state = 2},
  [476] = {.lex_state = 92, .external_lex_state = 2},
  [477] = {.lex_state = 92, .external_lex_state = 2},
  [478] = {.lex_state = 88, .external_lex_state = 2},
  [479] = {.lex_state = 92, .external_lex_state = 2},
  [480] = {.lex_state = 88, .external_lex_state = 2},
  [481] = {.lex_state = 88, .external_lex_state = 2},
  [482] = {.lex_state = 92, .external_lex_state = 2},
  [483] = {.lex_state = 89, .external_lex_state = 2},
  [484] = {.lex_state = 88, .external_lex_state = 2},
  [485] = {.lex_state = 88, .external_lex_state = 2},
  [486] = {.lex_state = 88, .external_lex_state = 2},
  [487] = {.lex_state = 3, .external_lex_state = 2},
  [488] = {.lex_state = 88, .external_lex_state = 2},
  [489] = {.lex_state = 92, .external_lex_state = 2},
  [490] = {.lex_state = 92, .external_lex_state = 2},
  [491] = {.lex_state = 3, .external_lex_state = 2},
  [492] = {.lex_state = 88, .external_lex_state = 2},
  [493] = {.lex_state = 92, .external_lex_state = 2},
  [494] = {.lex_state = 88, .external_lex_state = 2},
  [495] = {.lex_state = 92, .external_lex_state = 2},
  [496] = {.lex_state = 92, .external_lex_state = 2},
  [497] = {.lex_state = 88, .external_lex_state = 2},
  [498] = {.lex_state = 88, .external_lex_state = 2},
  [499] = {.lex_state = 89, .external_lex_state = 2},
  [500] = {.lex_state = 3, .external_lex_state = 2},
  [501] = {.lex_state = 92, .external_lex_state = 2},
  [502] = {.lex_state = 89, .external_lex_state = 2},
  [503] = {.lex_state = 5, .external_lex_state = 2},
  [504] = {.lex_state = 92, .external_lex_state = 2},
  [505] = {.lex_state = 89, .external_lex_state = 2},
  [506] = {.lex_state = 89, .external_lex_state = 2},
  [507] = {.lex_state = 89, .external_lex_state = 2},
  [508] = {.lex_state = 89, .external_lex_state = 2},
  [509] = {.lex_state = 89, .external_lex_state = 2},
  [510] = {.lex_state = 89, .external_lex_state = 2},
  [511] = {.lex_state = 3, .external_lex_state = 2},
  [512] = {.lex_state = 3, .external_lex_state = 2},
  [513] = {.lex_state = 3, .external_lex_state = 2},
  [514] = {.lex_state = 3, .external_lex_state = 2},
  [515] = {.lex_state = 3, .external_lex_state = 2},
  [516] = {.lex_state = 3, .external_lex_state = 2},
  [517] = {.lex_state = 3, .external_lex_state = 2},
  [518] = {.lex_state = 3, .external_lex_state = 2},
  [519] = {.lex_state = 3, .external_lex_state = 2},
  [520] = {.lex_state = 3, .external_lex_state = 2},
  [521] = {.lex_state = 89, .external_lex_state = 2},
  [522] = {.lex_state = 89, .external_lex_state = 2},
  [523] = {.lex_state = 90, .external_lex_state = 2},
  [524] = {.lex_state = 90, .external_lex_state = 2},
  [525] = {.lex_state = 5, .external_lex_state = 2},
  [526] = {.lex_state = 5, .external_lex_state = 2},
  [527] = {.lex_state = 90, .external_lex_state = 2},
  [528] = {.lex_state = 5, .external_lex_state = 2},
  [529] = {.lex_state = 5, .external_lex_state = 2},
  [530] = {.lex_state = 5, .external_lex_state = 2},
  [531] = {.lex_state = 90, .external_lex_state = 2},
  [532] = {.lex_state = 92, .external_lex_state = 2},
  [533] = {.lex_state = 90, .external_lex_state = 2},
  [534] = {.lex_state = 5, .external_lex_state = 2},
  [535] = {.lex_state = 90, .external_lex_state = 2},
  [536] = {.lex_state = 5, .external_lex_state = 2},
  [537] = {.lex_state = 90, .external_lex_state = 2},
  [538] = {.lex_state = 90, .external_lex_state = 2},
  [539] = {.lex_state = 90, .external_lex_state = 2},
  [540] = {.lex_state = 90, .external_lex_state = 2},
  [541] = {.lex_state = 90, .external_lex_state = 2},
  [542] = {.lex_state = 5, .external_lex_state = 2},
  [543] = {.lex_state = 90, .external_lex_state = 2},
  [544] = {.lex_state = 92, .external_lex_state = 2},
  [545] = {.lex_state = 90, .external_lex_state = 2},
  [546] = {.lex_state = 90, .external_lex_state = 2},
  [547] = {.lex_state = 92, .external_lex_state = 2},
  [548] = {.lex_state = 7, .external_lex_state = 2},
  [549] = {.lex_state = 7, .external_lex_state = 2},
  [550] = {.lex_state = 7, .external_lex_state = 2},
  [551] = {.lex_state = 7, .external_lex_state = 2},
  [552] = {.lex_state = 7, .external_lex_state = 2},
  [553] = {.lex_state = 7, .external_lex_state = 2},
  [554] = {.lex_state = 7, .external_lex_state = 2},
  [555] = {.lex_state = 7, .external_lex_state = 2},
  [556] = {.lex_state = 7, .external_lex_state = 2},
  [557] = {.lex_state = 7, .external_lex_state = 2},
  [558] = {.lex_state = 89, .external_lex_state = 2},
  [559] = {.lex_state = 7, .external_lex_state = 2},
  [560] = {.lex_state = 7, .external_lex_state = 2},
  [561] = {.lex_state = 7, .external_lex_state = 2},
  [562] = {.lex_state = 7, .external_lex_state = 2},
  [563] = {.lex_state = 89, .external_lex_state = 2},
  [564] = {.lex_state = 88, .external_lex_state = 2},
  [565] = {.lex_state = 88, .external_lex_state = 2},
  [566] = {.lex_state = 88, .external_lex_state = 2},
  [567] = {.lex_state = 88, .external_lex_state = 2},
  [568] = {.lex_state = 88, .external_lex_state = 2},
  [569] = {.lex_state = 88, .external_lex_state = 2},
  [570] = {.lex_state = 88, .external_lex_state = 2},
  [571] = {.lex_state = 88, .external_lex_state = 2},
  [572] = {.lex_state = 88, .external_lex_state = 2},
  [573] = {.lex_state = 88, .external_lex_state = 2},
  [574] = {.lex_state = 88, .external_lex_state = 2},
  [575] = {.lex_state = 88, .external_lex_state = 2},
  [576] = {.lex_state = 88, .external_lex_state = 2},
  [577] = {.lex_state = 88, .external_lex_state = 2},
  [578] = {.lex_state = 88, .external_lex_state = 2},
  [579] = {.lex_state = 88, .external_lex_state = 2},
  [580] = {.lex_state = 88, .external_lex_state = 2},
  [581] = {.lex_state = 88, .external_lex_state = 2},
  [582] = {.lex_state = 88, .external_lex_state = 2},
  [583] = {.lex_state = 88, .external_lex_state = 2},
  [584] = {.lex_state = 88, .external_lex_state = 2},
  [585] = {.lex_state = 88, .external_lex_state = 2},
  [586] = {.lex_state = 88, .external_lex_state = 2},
  [587] = {.lex_state = 88, .external_lex_state = 2},
  [588] = {.lex_state = 88, .external_lex_state = 2},
  [589] = {.lex_state = 89, .external_lex_state = 2},
  [590] = {.lex_state = 88, .external_lex_state = 2},
  [591] = {.lex_state = 88, .external_lex_state = 2},
  [592] = {.lex_state = 3, .external_lex_state = 2},
  [593] = {.lex_state = 3, .external_lex_state = 2},
  [594] = {.lex_state = 3, .external_lex_state = 2},
  [595] = {.lex_state = 3, .external_lex_state = 2},
  [596] = {.lex_state = 88, .external_lex_state = 2},
  [597] = {.lex_state = 88, .external_lex_state = 2},
  [598] = {.lex_state = 3, .external_lex_state = 2},
  [599] = {.lex_state = 3, .external_lex_state = 2},
  [600] = {.lex_state = 88, .external_lex_state = 2},
  [601] = {.lex_state = 88, .external_lex_state = 2},
  [602] = {.lex_state = 88, .external_lex_state = 2},
  [603] = {.lex_state = 3, .external_lex_state = 2},
  [604] = {.lex_state = 3, .external_lex_state = 2},
  [605] = {.lex_state = 88, .external_lex_state = 2},
  [606] = {.lex_state = 88, .external_lex_state = 2},
  [607] = {.lex_state = 88, .external_lex_state = 2},
  [608] = {.lex_state = 3, .external_lex_state = 2},
  [609] = {.lex_state = 3, .external_lex_state = 2},
  [610] = {.lex_state = 3, .external_lex_state = 2},
  [611] = {.lex_state = 3, .external_lex_state = 2},
  [612] = {.lex_state = 3, .external_lex_state = 2},
  [613] = {.lex_state = 3, .external_lex_state = 2},
  [614] = {.lex_state = 3, .external_lex_state = 2},
  [615] = {.lex_state = 3, .external_lex_state = 2},
  [616] = {.lex_state = 3, .external_lex_state = 2},
  [617] = {.lex_state = 96, .external_lex_state = 2},
  [618] = {.lex_state = 92, .external_lex_state = 2},
  [619] = {.lex_state = 4, .external_lex_state = 2},
  [620] = {.lex_state = 14, .external_lex_state = 2},
  [621] = {.lex_state = 4, .external_lex_state = 2},
  [622] = {.lex_state = 92, .external_lex_state = 2},
  [623] = {.lex_state = 14, .external_lex_state = 2},
  [624] = {.lex_state = 96, .external_lex_state = 2},
  [625] = {.lex_state = 3, .external_lex_state = 2},
  [626] = {.lex_state = 96, .external_lex_state = 2},
  [627] = {.lex_state = 3, .external_lex_state = 2},
  [628] = {.lex_state = 3, .external_lex_state = 2},
  [629] = {.lex_state = 3, .external_lex_state = 2},
  [630] = {.lex_state = 3, .external_lex_state = 2},
  [631] = {.lex_state = 3, .external_lex_state = 2},
  [632] = {.lex_state = 3, .external_lex_state = 2},
  [633] = {.lex_state = 3, .external_lex_state = 2},
  [634] = {.lex_state = 3, .external_lex_state = 2},
  [635] = {.lex_state = 3, .external_lex_state = 2},
  [636] = {.lex_state = 3, .external_lex_state = 2},
  [637] = {.lex_state = 3, .external_lex_state = 2},
  [638] = {.lex_state = 96, .external_lex_state = 2},
  [639] = {.lex_state = 3, .external_lex_state = 2},
  [640] = {.lex_state = 3, .external_lex_state = 2},
  [641] = {.lex_state = 3, .external_lex_state = 2},
  [642] = {.lex_state = 3, .external_lex_state = 2},
  [643] = {.lex_state = 96, .external_lex_state = 2},
  [644] = {.lex_state = 96, .external_lex_state = 2},
  [645] = {.lex_state = 6, .external_lex_state = 2},
  [646] = {.lex_state = 96, .external_lex_state = 2},
  [647] = {.lex_state = 3, .external_lex_state = 2},
  [648] = {.lex_state = 96, .external_lex_state = 2},
  [649] = {.lex_state = 96, .external_lex_state = 2},
  [650] = {.lex_state = 96, .external_lex_state = 2},
  [651] = {.lex_state = 96, .external_lex_state = 2},
  [652] = {.lex_state = 96, .external_lex_state = 2},
  [653] = {.lex_state = 14, .external_lex_state = 2},
  [654] = {.lex_state = 88, .external_lex_state = 2},
  [655] = {.lex_state = 88, .external_lex_state = 2},
  [656] = {.lex_state = 6, .external_lex_state = 2},
  [657] = {.lex_state = 6, .external_lex_state = 2},
  [658] = {.lex_state = 88, .external_lex_state = 2},
  [659] = {.lex_state = 6, .external_lex_state = 2},
  [660] = {.lex_state = 6, .external_lex_state = 2},
  [661] = {.lex_state = 14, .external_lex_state = 2},
  [662] = {.lex_state = 14, .external_lex_state = 2},
  [663] = {.lex_state = 14, .external_lex_state = 2},
  [664] = {.lex_state = 14, .external_lex_state = 2},
  [665] = {.lex_state = 14, .external_lex_state = 2},
  [666] = {.lex_state = 14, .external_lex_state = 2},
  [667] = {.lex_state = 6, .external_lex_state = 2},
  [668] = {.lex_state = 14, .external_lex_state = 2},
  [669] = {.lex_state = 94, .external_lex_state = 2},
  [670] = {.lex_state = 14, .external_lex_state = 2},
  [671] = {.lex_state = 6, .external_lex_state = 2},
  [672] = {.lex_state = 88, .external_lex_state = 2},
  [673] = {.lex_state = 14, .external_lex_state = 2},
  [674] = {.lex_state = 6, .external_lex_state = 2},
  [675] = {.lex_state = 6, .external_lex_state = 2},
  [676] = {.lex_state = 94, .external_lex_state = 2},
  [677] = {.lex_state = 14, .external_lex_state = 2},
  [678] = {.lex_state = 20, .external_lex_state = 2},
  [679] = {.lex_state = 20, .external_lex_state = 2},
  [680] = {.lex_state = 92, .external_lex_state = 2},
  [681] = {.lex_state = 92, .external_lex_state = 2},
  [682] = {.lex_state = 88, .external_lex_state = 2},
  [683] = {.lex_state = 88, .external_lex_state = 2},
  [684] = {.lex_state = 88, .external_lex_state = 2},
  [685] = {.lex_state = 88, .external_lex_state = 2},
  [686] = {.lex_state = 88, .external_lex_state = 2},
  [687] = {.lex_state = 88, .external_lex_state = 2},
  [688] = {.lex_state = 88, .external_lex_state = 2},
  [689] = {.lex_state = 88, .external_lex_state = 2},
  [690] = {.lex_state = 88, .external_lex_state = 2},
  [691] = {.lex_state = 88, .external_lex_state = 2},
  [692] = {.lex_state = 88, .external_lex_state = 2},
  [693] = {.lex_state = 88, .external_lex_state = 2},
  [694] = {.lex_state = 88, .external_lex_state = 2},
  [695] = {.lex_state = 88, .external_lex_state = 2},
  [696] = {.lex_state = 88, .external_lex_state = 2},
  [697] = {.lex_state = 92, .external_lex_state = 2},
  [698] = {.lex_state = 88, .external_lex_state = 2},
  [699] = {.lex_state = 88, .external_lex_state = 2},
  [700] = {.lex_state = 88, .external_lex_state = 2},
  [701] = {.lex_state = 92, .external_lex_state = 2},
  [702] = {.lex_state = 88, .external_lex_state = 2},
  [703] = {.lex_state = 3, .external_lex_state = 2},
  [704] = {.lex_state = 3, .external_lex_state = 2},
  [705] = {.lex_state = 88, .external_lex_state = 2},
  [706] = {.lex_state = 88, .external_lex_state = 2},
  [707] = {.lex_state = 88, .external_lex_state = 2},
  [708] = {.lex_state = 88, .external_lex_state = 2},
  [709] = {.lex_state = 96, .external_lex_state = 2},
  [710] = {.lex_state = 88, .external_lex_state = 2},
  [711] = {.lex_state = 96, .external_lex_state = 2},
  [712] = {.lex_state = 88, .external_lex_state = 2},
  [713] = {.lex_state = 95, .external_lex_state = 2},
  [714] = {.lex_state = 95, .external_lex_state = 2},
  [715] = {.lex_state = 88, .external_lex_state = 2},
  [716] = {.lex_state = 88, .external_lex_state = 2},
  [717] = {.lex_state = 92, .external_lex_state = 2},
  [718] = {.lex_state = 3, .external_lex_state = 2},
  [719] = {.lex_state = 92, .external_lex_state = 2},
  [720] = {.lex_state = 3, .external_lex_state = 2},
  [721] = {.lex_state = 3, .external_lex_state = 2},
  [722] = {.lex_state = 88, .external_lex_state = 2},
  [723] = {.lex_state = 92, .external_lex_state = 2},
  [724] = {.lex_state = 88, .external_lex_state = 2},
  [725] = {.lex_state = 92, .external_lex_state = 2},
  [726] = {.lex_state = 88, .external_lex_state = 2},
  [727] = {.lex_state = 3, .external_lex_state = 2},
  [728] = {.lex_state = 88, .external_lex_state = 2},
  [729] = {.lex_state = 88, .external_lex_state = 2},
  [730] = {.lex_state = 3, .external_lex_state = 2},
  [731] = {.lex_state = 4, .external_lex_state = 2},
  [732] = {.lex_state = 4, .external_lex_state = 2},
  [733] = {.lex_state = 3, .external_lex_state = 2},
  [734] = {.lex_state = 91, .external_lex_state = 2},
  [735] = {.lex_state = 4, .external_lex_state = 2},
  [736] = {.lex_state = 88, .external_lex_state = 2},
  [737] = {.lex_state = 4, .external_lex_state = 2},
  [738] = {.lex_state = 3, .external_lex_state = 2},
  [739] = {.lex_state = 95, .external_lex_state = 2},
  [740] = {.lex_state = 3, .external_lex_state = 2},
  [741] = {.lex_state = 95, .external_lex_state = 2},
  [742] = {.lex_state = 3, .external_lex_state = 2},
  [743] = {.lex_state = 88, .external_lex_state = 2},
  [744] = {.lex_state = 88, .external_lex_state = 2},
  [745] = {.lex_state = 3, .external_lex_state = 2},
  [746] = {.lex_state = 3, .external_lex_state = 2},
  [747] = {.lex_state = 3, .external_lex_state = 2},
  [748] = {.lex_state = 88, .external_lex_state = 2},
  [749] = {.lex_state = 88, .external_lex_state = 2},
  [750] = {.lex_state = 3, .external_lex_state = 2},
  [751] = {.lex_state = 88, .external_lex_state = 2},
  [752] = {.lex_state = 88, .external_lex_state = 2},
  [753] = {.lex_state = 88, .external_lex_state = 2},
  [754] = {.lex_state = 88, .external_lex_state = 2},
  [755] = {.lex_state = 88, .external_lex_state = 2},
  [756] = {.lex_state = 88, .external_lex_state = 2},
  [757] = {.lex_state = 88, .external_lex_state = 2},
  [758] = {.lex_state = 4, .external_lex_state = 2},
  [759] = {.lex_state = 88, .external_lex_state = 2},
  [760] = {.lex_state = 88, .external_lex_state = 2},
  [761] = {.lex_state = 88, .external_lex_state = 2},
  [762] = {.lex_state = 4, .external_lex_state = 2},
  [763] = {.lex_state = 88, .external_lex_state = 2},
  [764] = {.lex_state = 88, .external_lex_state = 2},
  [765] = {.lex_state = 88, .external_lex_state = 2},
  [766] = {.lex_state = 88, .external_lex_state = 2},
  [767] = {.lex_state = 4, .external_lex_state = 2},
  [768] = {.lex_state = 88, .external_lex_state = 2},
  [769] = {.lex_state = 3, .external_lex_state = 2},
  [770] = {.lex_state = 88, .external_lex_state = 2},
  [771] = {.lex_state = 88, .external_lex_state = 2},
  [772] = {.lex_state = 3, .external_lex_state = 2},
  [773] = {.lex_state = 4, .external_lex_state = 2},
  [774] = {.lex_state = 88, .external_lex_state = 2},
  [775] = {.lex_state = 91, .external_lex_state = 2},
  [776] = {.lex_state = 8, .external_lex_state = 2},
  [777] = {.lex_state = 92, .external_lex_state = 2},
  [778] = {.lex_state = 3, .external_lex_state = 2},
  [779] = {.lex_state = 4, .external_lex_state = 2},
  [780] = {.lex_state = 88, .external_lex_state = 2},
  [781] = {.lex_state = 91, .external_lex_state = 2},
  [782] = {.lex_state = 88, .external_lex_state = 2},
  [783] = {.lex_state = 3, .external_lex_state = 2},
  [784] = {.lex_state = 3, .external_lex_state = 2},
  [785] = {.lex_state = 88, .external_lex_state = 2},
  [786] = {.lex_state = 88, .external_lex_state = 2},
  [787] = {.lex_state = 88, .external_lex_state = 2},
  [788] = {.lex_state = 88, .external_lex_state = 2},
  [789] = {.lex_state = 88, .external_lex_state = 2},
  [790] = {.lex_state = 91, .external_lex_state = 2},
  [791] = {.lex_state = 92, .external_lex_state = 2},
  [792] = {.lex_state = 88, .external_lex_state = 2},
  [793] = {.lex_state = 91, .external_lex_state = 2},
  [794] = {.lex_state = 88, .external_lex_state = 2},
  [795] = {.lex_state = 3, .external_lex_state = 2},
  [796] = {.lex_state = 3, .external_lex_state = 2},
  [797] = {.lex_state = 3, .external_lex_state = 2},
  [798] = {.lex_state = 91, .external_lex_state = 2},
  [799] = {.lex_state = 91, .external_lex_state = 2},
  [800] = {.lex_state = 3, .external_lex_state = 2},
  [801] = {.lex_state = 88, .external_lex_state = 2},
  [802] = {.lex_state = 91, .external_lex_state = 2},
  [803] = {.lex_state = 88, .external_lex_state = 2},
  [804] = {.lex_state = 88, .external_lex_state = 2},
  [805] = {.lex_state = 88, .external_lex_state = 2},
  [806] = {.lex_state = 88, .external_lex_state = 2},
  [807] = {.lex_state = 88, .external_lex_state = 2},
  [808] = {.lex_state = 88, .external_lex_state = 2},
  [809] = {.lex_state = 88, .external_lex_state = 2},
  [810] = {.lex_state = 91, .external_lex_state = 2},
  [811] = {.lex_state = 88, .external_lex_state = 2},
  [812] = {.lex_state = 88, .external_lex_state = 2},
  [813] = {.lex_state = 88, .external_lex_state = 2},
  [814] = {.lex_state = 88, .external_lex_state = 2},
  [815] = {.lex_state = 88, .external_lex_state = 2},
  [816] = {.lex_state = 88, .external_lex_state = 2},
  [817] = {.lex_state = 88, .external_lex_state = 2},
  [818] = {.lex_state = 3, .external_lex_state = 2},
  [819] = {.lex_state = 88, .external_lex_state = 2},
  [820] = {.lex_state = 3, .external_lex_state = 2},
  [821] = {.lex_state = 88, .external_lex_state = 2},
  [822] = {.lex_state = 3, .external_lex_state = 2},
  [823] = {.lex_state = 3, .external_lex_state = 2},
  [824] = {.lex_state = 88, .external_lex_state = 2},
  [825] = {.lex_state = 88, .external_lex_state = 2},
  [826] = {.lex_state = 3, .external_lex_state = 2},
  [827] = {.lex_state = 88, .external_lex_state = 2},
  [828] = {.lex_state = 88, .external_lex_state = 2},
  [829] = {.lex_state = 3, .external_lex_state = 2},
  [830] = {.lex_state = 3, .external_lex_state = 2},
  [831] = {.lex_state = 3, .external_lex_state = 2},
  [832] = {.lex_state = 3, .external_lex_state = 2},
  [833] = {.lex_state = 88, .external_lex_state = 2},
  [834] = {.lex_state = 3, .external_lex_state = 2},
  [835] = {.lex_state = 88, .external_lex_state = 2},
  [836] = {.lex_state = 88, .external_lex_state = 2},
  [837] = {.lex_state = 88, .external_lex_state = 2},
  [838] = {.lex_state = 88, .external_lex_state = 2},
  [839] = {.lex_state = 88, .external_lex_state = 2},
  [840] = {.lex_state = 88, .external_lex_state = 2},
  [841] = {.lex_state = 3, .external_lex_state = 2},
  [842] = {.lex_state = 88, .external_lex_state = 2},
  [843] = {.lex_state = 88, .external_lex_state = 2},
  [844] = {.lex_state = 3, .external_lex_state = 2},
  [845] = {.lex_state = 88, .external_lex_state = 2},
  [846] = {.lex_state = 3, .external_lex_state = 2},
  [847] = {.lex_state = 88, .external_lex_state = 2},
  [848] = {.lex_state = 88, .external_lex_state = 2},
  [849] = {.lex_state = 88, .external_lex_state = 2},
  [850] = {.lex_state = 88, .external_lex_state = 2},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 88, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 3, .external_lex_state = 2},
  [855] = {.lex_state = 3, .external_lex_state = 2},
  [856] = {.lex_state = 88, .external_lex_state = 2},
  [857] = {.lex_state = 88, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 94, .external_lex_state = 2},
  [861] = {.lex_state = 88, .external_lex_state = 2},
  [862] = {.lex_state = 88, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 88, .external_lex_state = 2},
  [865] = {.lex_state = 3, .external_lex_state = 2},
  [866] = {.lex_state = 88, .external_lex_state = 2},
  [867] = {.lex_state = 88, .external_lex_state = 2},
  [868] = {.lex_state = 88, .external_lex_state = 2},
  [869] = {.lex_state = 88, .external_lex_state = 2},
  [870] = {.lex_state = 88, .external_lex_state = 2},
  [871] = {.lex_state = 88, .external_lex_state = 2},
  [872] = {.lex_state = 88, .external_lex_state = 2},
  [873] = {.lex_state = 88, .external_lex_state = 2},
  [874] = {.lex_state = 88, .external_lex_state = 2},
  [875] = {.lex_state = 3, .external_lex_state = 2},
  [876] = {.lex_state = 88, .external_lex_state = 2},
  [877] = {.lex_state = 88, .external_lex_state = 2},
  [878] = {.lex_state = 88, .external_lex_state = 2},
  [879] = {.lex_state = 88, .external_lex_state = 2},
  [880] = {.lex_state = 88, .external_lex_state = 2},
  [881] = {.lex_state = 88, .external_lex_state = 2},
  [882] = {.lex_state = 94, .external_lex_state = 2},
  [883] = {.lex_state = 88, .external_lex_state = 2},
  [884] = {.lex_state = 88, .external_lex_state = 2},
  [885] = {.lex_state = 88, .external_lex_state = 2},
  [886] = {.lex_state = 88, .external_lex_state = 2},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 3, .external_lex_state = 2},
  [889] = {.lex_state = 88, .external_lex_state = 2},
  [890] = {.lex_state = 8, .external_lex_state = 2},
  [891] = {.lex_state = 88, .external_lex_state = 2},
  [892] = {.lex_state = 88, .external_lex_state = 2},
  [893] = {.lex_state = 88, .external_lex_state = 2},
  [894] = {.lex_state = 88, .external_lex_state = 2},
  [895] = {.lex_state = 88, .external_lex_state = 2},
  [896] = {.lex_state = 8, .external_lex_state = 2},
  [897] = {.lex_state = 3, .external_lex_state = 2},
  [898] = {.lex_state = 3, .external_lex_state = 2},
  [899] = {.lex_state = 88, .external_lex_state = 2},
  [900] = {.lex_state = 3, .external_lex_state = 2},
  [901] = {.lex_state = 88, .external_lex_state = 2},
  [902] = {.lex_state = 88, .external_lex_state = 2},
  [903] = {.lex_state = 3, .external_lex_state = 2},
  [904] = {.lex_state = 88, .external_lex_state = 2},
  [905] = {.lex_state = 3, .external_lex_state = 2},
  [906] = {.lex_state = 3, .external_lex_state = 2},
  [907] = {.lex_state = 3, .external_lex_state = 2},
  [908] = {.lex_state = 3, .external_lex_state = 2},
  [909] = {.lex_state = 88, .external_lex_state = 2},
  [910] = {.lex_state = 88, .external_lex_state = 2},
  [911] = {.lex_state = 88, .external_lex_state = 2},
  [912] = {.lex_state = 3, .external_lex_state = 2},
  [913] = {.lex_state = 3, .external_lex_state = 2},
  [914] = {.lex_state = 88, .external_lex_state = 2},
  [915] = {.lex_state = 88, .external_lex_state = 2},
  [916] = {.lex_state = 88, .external_lex_state = 2},
  [917] = {.lex_state = 3, .external_lex_state = 2},
  [918] = {.lex_state = 3, .external_lex_state = 2},
  [919] = {.lex_state = 3, .external_lex_state = 2},
  [920] = {.lex_state = 3, .external_lex_state = 2},
  [921] = {.lex_state = 3, .external_lex_state = 2},
  [922] = {.lex_state = 88, .external_lex_state = 2},
  [923] = {.lex_state = 88, .external_lex_state = 2},
  [924] = {.lex_state = 3, .external_lex_state = 2},
  [925] = {.lex_state = 3, .external_lex_state = 2},
  [926] = {.lex_state = 3, .external_lex_state = 2},
  [927] = {.lex_state = 88, .external_lex_state = 2},
  [928] = {.lex_state = 88, .external_lex_state = 2},
  [929] = {.lex_state = 88, .external_lex_state = 2},
  [930] = {.lex_state = 94, .external_lex_state = 2},
  [931] = {.lex_state = 3, .external_lex_state = 2},
  [932] = {.lex_state = 3, .external_lex_state = 2},
  [933] = {.lex_state = 3, .external_lex_state = 2},
  [934] = {.lex_state = 3, .external_lex_state = 2},
  [935] = {.lex_state = 95, .external_lex_state = 2},
  [936] = {.lex_state = 95, .external_lex_state = 2},
  [937] = {.lex_state = 3, .external_lex_state = 2},
  [938] = {.lex_state = 3, .external_lex_state = 2},
  [939] = {.lex_state = 3, .external_lex_state = 2},
  [940] = {.lex_state = 3, .external_lex_state = 2},
  [941] = {.lex_state = 3, .external_lex_state = 2},
  [942] = {.lex_state = 95, .external_lex_state = 2},
  [943] = {.lex_state = 3, .external_lex_state = 2},
  [944] = {.lex_state = 3, .external_lex_state = 2},
  [945] = {.lex_state = 3, .external_lex_state = 2},
  [946] = {.lex_state = 3, .external_lex_state = 2},
  [947] = {.lex_state = 95, .external_lex_state = 2},
  [948] = {.lex_state = 3, .external_lex_state = 2},
  [949] = {.lex_state = 3, .external_lex_state = 2},
  [950] = {.lex_state = 3, .external_lex_state = 2},
  [951] = {.lex_state = 3, .external_lex_state = 2},
  [952] = {.lex_state = 94, .external_lex_state = 2},
  [953] = {.lex_state = 3, .external_lex_state = 2},
  [954] = {.lex_state = 3, .external_lex_state = 2},
  [955] = {.lex_state = 3, .external_lex_state = 2},
  [956] = {.lex_state = 3, .external_lex_state = 2},
  [957] = {.lex_state = 3, .external_lex_state = 2},
  [958] = {.lex_state = 3, .external_lex_state = 2},
  [959] = {.lex_state = 3, .external_lex_state = 2},
  [960] = {.lex_state = 3, .external_lex_state = 2},
  [961] = {.lex_state = 95, .external_lex_state = 2},
  [962] = {.lex_state = 95, .external_lex_state = 2},
  [963] = {.lex_state = 3, .external_lex_state = 2},
  [964] = {.lex_state = 3, .external_lex_state = 2},
  [965] = {.lex_state = 3, .external_lex_state = 2},
  [966] = {.lex_state = 3, .external_lex_state = 2},
  [967] = {.lex_state = 3, .external_lex_state = 2},
  [968] = {.lex_state = 3, .external_lex_state = 2},
  [969] = {.lex_state = 95, .external_lex_state = 2},
  [970] = {.lex_state = 3, .external_lex_state = 2},
  [971] = {.lex_state = 3, .external_lex_state = 2},
  [972] = {.lex_state = 3, .external_lex_state = 2},
  [973] = {.lex_state = 3, .external_lex_state = 2},
  [974] = {.lex_state = 4, .external_lex_state = 2},
  [975] = {.lex_state = 4, .external_lex_state = 2},
  [976] = {.lex_state = 95, .external_lex_state = 2},
  [977] = {.lex_state = 3, .external_lex_state = 2},
  [978] = {.lex_state = 4, .external_lex_state = 2},
  [979] = {.lex_state = 95, .external_lex_state = 2},
  [980] = {.lex_state = 95, .external_lex_state = 2},
  [981] = {.lex_state = 92, .external_lex_state = 2},
  [982] = {.lex_state = 3, .external_lex_state = 2},
  [983] = {.lex_state = 95, .external_lex_state = 2},
  [984] = {.lex_state = 3, .external_lex_state = 2},
  [985] = {.lex_state = 3, .external_lex_state = 2},
  [986] = {.lex_state = 95, .external_lex_state = 2},
  [987] = {.lex_state = 3, .external_lex_state = 2},
  [988] = {.lex_state = 3, .external_lex_state = 2},
  [989] = {.lex_state = 3, .external_lex_state = 2},
  [990] = {.lex_state = 3, .external_lex_state = 2},
  [991] = {.lex_state = 20, .external_lex_state = 2},
  [992] = {.lex_state = 3, .external_lex_state = 2},
  [993] = {.lex_state = 20, .external_lex_state = 2},
  [994] = {.lex_state = 3, .external_lex_state = 2},
  [995] = {.lex_state = 4, .external_lex_state = 2},
  [996] = {.lex_state = 4, .external_lex_state = 2},
  [997] = {.lex_state = 3, .external_lex_state = 2},
  [998] = {.lex_state = 3, .external_lex_state = 2},
  [999] = {.lex_state = 4, .external_lex_state = 2},
  [1000] = {.lex_state = 3, .external_lex_state = 2},
  [1001] = {.lex_state = 3, .external_lex_state = 2},
  [1002] = {.lex_state = 4, .external_lex_state = 2},
  [1003] = {.lex_state = 4, .external_lex_state = 2},
  [1004] = {.lex_state = 3, .external_lex_state = 2},
  [1005] = {.lex_state = 3, .external_lex_state = 2},
  [1006] = {.lex_state = 3, .external_lex_state = 2},
  [1007] = {.lex_state = 4, .external_lex_state = 2},
  [1008] = {.lex_state = 3, .external_lex_state = 2},
  [1009] = {.lex_state = 3, .external_lex_state = 2},
  [1010] = {.lex_state = 3, .external_lex_state = 2},
  [1011] = {.lex_state = 3, .external_lex_state = 2},
  [1012] = {.lex_state = 3, .external_lex_state = 2},
  [1013] = {.lex_state = 3, .external_lex_state = 2},
  [1014] = {.lex_state = 3, .external_lex_state = 2},
  [1015] = {.lex_state = 3, .external_lex_state = 2},
  [1016] = {.lex_state = 4, .external_lex_state = 2},
  [1017] = {.lex_state = 3, .external_lex_state = 2},
  [1018] = {.lex_state = 4, .external_lex_state = 2},
  [1019] = {.lex_state = 4, .external_lex_state = 2},
  [1020] = {.lex_state = 4, .external_lex_state = 2},
  [1021] = {.lex_state = 4, .external_lex_state = 2},
  [1022] = {.lex_state = 4, .external_lex_state = 2},
  [1023] = {.lex_state = 4, .external_lex_state = 2},
  [1024] = {.lex_state = 4, .external_lex_state = 2},
  [1025] = {.lex_state = 3, .external_lex_state = 2},
  [1026] = {.lex_state = 3, .external_lex_state = 2},
  [1027] = {.lex_state = 3, .external_lex_state = 2},
  [1028] = {.lex_state = 3, .external_lex_state = 2},
  [1029] = {.lex_state = 3, .external_lex_state = 2},
  [1030] = {.lex_state = 3, .external_lex_state = 2},
  [1031] = {.lex_state = 3, .external_lex_state = 2},
  [1032] = {.lex_state = 3, .external_lex_state = 2},
  [1033] = {.lex_state = 3, .external_lex_state = 2},
  [1034] = {.lex_state = 3, .external_lex_state = 2},
  [1035] = {.lex_state = 3, .external_lex_state = 2},
  [1036] = {.lex_state = 3, .external_lex_state = 2},
  [1037] = {.lex_state = 3, .external_lex_state = 2},
  [1038] = {.lex_state = 95, .external_lex_state = 2},
  [1039] = {.lex_state = 95, .external_lex_state = 2},
  [1040] = {.lex_state = 3, .external_lex_state = 2},
  [1041] = {.lex_state = 3, .external_lex_state = 2},
  [1042] = {.lex_state = 3, .external_lex_state = 2},
  [1043] = {.lex_state = 15, .external_lex_state = 2},
  [1044] = {.lex_state = 93, .external_lex_state = 2},
  [1045] = {.lex_state = 96, .external_lex_state = 2},
  [1046] = {.lex_state = 15, .external_lex_state = 2},
  [1047] = {.lex_state = 96, .external_lex_state = 2},
  [1048] = {.lex_state = 15, .external_lex_state = 2},
  [1049] = {.lex_state = 15, .external_lex_state = 2},
  [1050] = {.lex_state = 93, .external_lex_state = 2},
  [1051] = {.lex_state = 93, .external_lex_state = 2},
  [1052] = {.lex_state = 15, .external_lex_state = 2},
  [1053] = {.lex_state = 15, .external_lex_state = 2},
  [1054] = {.lex_state = 15, .external_lex_state = 2},
  [1055] = {.lex_state = 15, .external_lex_state = 2},
  [1056] = {.lex_state = 15, .external_lex_state = 2},
  [1057] = {.lex_state = 15, .external_lex_state = 2},
  [1058] = {.lex_state = 15, .external_lex_state = 2},
  [1059] = {.lex_state = 96, .external_lex_state = 2},
  [1060] = {.lex_state = 16, .external_lex_state = 2},
  [1061] = {.lex_state = 16, .external_lex_state = 2},
  [1062] = {.lex_state = 16, .external_lex_state = 2},
  [1063] = {.lex_state = 16, .external_lex_state = 2},
  [1064] = {.lex_state = 16, .external_lex_state = 2},
  [1065] = {.lex_state = 96, .external_lex_state = 2},
  [1066] = {.lex_state = 16, .external_lex_state = 2},
  [1067] = {.lex_state = 16, .external_lex_state = 2},
  [1068] = {.lex_state = 14, .external_lex_state = 2},
  [1069] = {.lex_state = 16, .external_lex_state = 2},
  [1070] = {.lex_state = 16, .external_lex_state = 2},
  [1071] = {.lex_state = 16, .external_lex_state = 2},
  [1072] = {.lex_state = 16, .external_lex_state = 2},
  [1073] = {.lex_state = 16, .external_lex_state = 2},
  [1074] = {.lex_state = 14, .external_lex_state = 2},
  [1075] = {.lex_state = 16, .external_lex_state = 2},
  [1076] = {.lex_state = 16, .external_lex_state = 2},
  [1077] = {.lex_state = 14, .external_lex_state = 2},
  [1078] = {.lex_state = 88, .external_lex_state = 2},
  [1079] = {.lex_state = 16, .external_lex_state = 2},
  [1080] = {.lex_state = 96, .external_lex_state = 2},
  [1081] = {.lex_state = 96, .external_lex_state = 2},
  [1082] = {.lex_state = 88, .external_lex_state = 2},
  [1083] = {.lex_state = 96, .external_lex_state = 2},
  [1084] = {.lex_state = 96, .external_lex_state = 2},
  [1085] = {.lex_state = 94, .external_lex_state = 2},
  [1086] = {.lex_state = 14, .external_lex_state = 2},
  [1087] = {.lex_state = 96, .external_lex_state = 2},
  [1088] = {.lex_state = 96, .external_lex_state = 2},
  [1089] = {.lex_state = 92, .external_lex_state = 2},
  [1090] = {.lex_state = 96, .external_lex_state = 2},
  [1091] = {.lex_state = 96, .external_lex_state = 2},
  [1092] = {.lex_state = 96, .external_lex_state = 2},
  [1093] = {.lex_state = 96, .external_lex_state = 2},
  [1094] = {.lex_state = 88, .external_lex_state = 2},
  [1095] = {.lex_state = 88, .external_lex_state = 2},
  [1096] = {.lex_state = 96, .external_lex_state = 2},
  [1097] = {.lex_state = 92, .external_lex_state = 2},
  [1098] = {.lex_state = 92, .external_lex_state = 2},
  [1099] = {.lex_state = 96, .external_lex_state = 2},
  [1100] = {.lex_state = 88, .external_lex_state = 2},
  [1101] = {.lex_state = 14, .external_lex_state = 2},
  [1102] = {.lex_state = 96, .external_lex_state = 2},
  [1103] = {.lex_state = 96, .external_lex_state = 2},
  [1104] = {.lex_state = 94, .external_lex_state = 2},
  [1105] = {.lex_state = 96, .external_lex_state = 2},
  [1106] = {.lex_state = 96, .external_lex_state = 2},
  [1107] = {.lex_state = 96, .external_lex_state = 2},
  [1108] = {.lex_state = 96, .external_lex_state = 2},
  [1109] = {.lex_state = 96, .external_lex_state = 2},
  [1110] = {.lex_state = 14, .external_lex_state = 2},
  [1111] = {.lex_state = 14, .external_lex_state = 2},
  [1112] = {.lex_state = 14, .external_lex_state = 2},
  [1113] = {.lex_state = 93, .external_lex_state = 2},
  [1114] = {.lex_state = 96, .external_lex_state = 2},
  [1115] = {.lex_state = 14, .external_lex_state = 2},
  [1116] = {.lex_state = 96, .external_lex_state = 2},
  [1117] = {.lex_state = 14, .external_lex_state = 2},
  [1118] = {.lex_state = 14, .external_lex_state = 2},
  [1119] = {.lex_state = 14, .external_lex_state = 2},
  [1120] = {.lex_state = 14, .external_lex_state = 2},
  [1121] = {.lex_state = 14, .external_lex_state = 2},
  [1122] = {.lex_state = 14, .external_lex_state = 2},
  [1123] = {.lex_state = 96, .external_lex_state = 2},
  [1124] = {.lex_state = 14, .external_lex_state = 2},
  [1125] = {.lex_state = 14, .external_lex_state = 2},
  [1126] = {.lex_state = 14, .external_lex_state = 2},
  [1127] = {.lex_state = 14, .external_lex_state = 2},
  [1128] = {.lex_state = 14, .external_lex_state = 2},
  [1129] = {.lex_state = 96, .external_lex_state = 2},
  [1130] = {.lex_state = 14, .external_lex_state = 2},
  [1131] = {.lex_state = 14, .external_lex_state = 2},
  [1132] = {.lex_state = 11, .external_lex_state = 2},
  [1133] = {.lex_state = 96, .external_lex_state = 2},
  [1134] = {.lex_state = 96, .external_lex_state = 2},
  [1135] = {.lex_state = 96, .external_lex_state = 2},
  [1136] = {.lex_state = 9, .external_lex_state = 2},
  [1137] = {.lex_state = 96, .external_lex_state = 2},
  [1138] = {.lex_state = 92, .external_lex_state = 2},
  [1139] = {.lex_state = 96, .external_lex_state = 2},
  [1140] = {.lex_state = 96, .external_lex_state = 2},
  [1141] = {.lex_state = 92, .external_lex_state = 2},
  [1142] = {.lex_state = 11, .external_lex_state = 2},
  [1143] = {.lex_state = 14, .external_lex_state = 2},
  [1144] = {.lex_state = 14, .external_lex_state = 2},
  [1145] = {.lex_state = 14, .external_lex_state = 2},
  [1146] = {.lex_state = 93, .external_lex_state = 2},
  [1147] = {.lex_state = 92, .external_lex_state = 2},
  [1148] = {.lex_state = 92, .external_lex_state = 2},
  [1149] = {.lex_state = 96, .external_lex_state = 2},
  [1150] = {.lex_state = 94, .external_lex_state = 2},
  [1151] = {.lex_state = 92, .external_lex_state = 2},
  [1152] = {.lex_state = 14, .external_lex_state = 2},
  [1153] = {.lex_state = 96, .external_lex_state = 2},
  [1154] = {.lex_state = 92, .external_lex_state = 2},
  [1155] = {.lex_state = 96, .external_lex_state = 2},
  [1156] = {.lex_state = 96, .external_lex_state = 2},
  [1157] = {.lex_state = 96, .external_lex_state = 2},
  [1158] = {.lex_state = 96, .external_lex_state = 2},
  [1159] = {.lex_state = 92, .external_lex_state = 2},
  [1160] = {.lex_state = 96, .external_lex_state = 2},
  [1161] = {.lex_state = 96, .external_lex_state = 2},
  [1162] = {.lex_state = 96, .external_lex_state = 2},
  [1163] = {.lex_state = 96, .external_lex_state = 2},
  [1164] = {.lex_state = 96, .external_lex_state = 2},
  [1165] = {.lex_state = 96, .external_lex_state = 2},
  [1166] = {.lex_state = 96, .external_lex_state = 2},
  [1167] = {.lex_state = 14, .external_lex_state = 2},
  [1168] = {.lex_state = 9, .external_lex_state = 2},
  [1169] = {.lex_state = 14, .external_lex_state = 2},
  [1170] = {.lex_state = 96, .external_lex_state = 2},
  [1171] = {.lex_state = 96, .external_lex_state = 2},
  [1172] = {.lex_state = 96, .external_lex_state = 2},
  [1173] = {.lex_state = 96, .external_lex_state = 2},
  [1174] = {.lex_state = 96, .external_lex_state = 2},
  [1175] = {.lex_state = 96, .external_lex_state = 2},
  [1176] = {.lex_state = 14, .external_lex_state = 2},
  [1177] = {.lex_state = 96, .external_lex_state = 2},
  [1178] = {.lex_state = 96, .external_lex_state = 2},
  [1179] = {.lex_state = 9, .external_lex_state = 2},
  [1180] = {.lex_state = 14, .external_lex_state = 2},
  [1181] = {.lex_state = 96, .external_lex_state = 2},
  [1182] = {.lex_state = 96, .external_lex_state = 2},
  [1183] = {.lex_state = 96, .external_lex_state = 2},
  [1184] = {.lex_state = 92, .external_lex_state = 2},
  [1185] = {.lex_state = 96, .external_lex_state = 2},
  [1186] = {.lex_state = 92, .external_lex_state = 2},
  [1187] = {.lex_state = 96, .external_lex_state = 2},
  [1188] = {.lex_state = 14, .external_lex_state = 2},
  [1189] = {.lex_state = 96, .external_lex_state = 2},
  [1190] = {.lex_state = 92, .external_lex_state = 2},
  [1191] = {.lex_state = 14, .external_lex_state = 2},
  [1192] = {.lex_state = 9, .external_lex_state = 2},
  [1193] = {.lex_state = 14, .external_lex_state = 2},
  [1194] = {.lex_state = 96, .external_lex_state = 2},
  [1195] = {.lex_state = 96, .external_lex_state = 2},
  [1196] = {.lex_state = 4, .external_lex_state = 2},
  [1197] = {.lex_state = 92, .external_lex_state = 2},
  [1198] = {.lex_state = 96, .external_lex_state = 2},
  [1199] = {.lex_state = 92, .external_lex_state = 2},
  [1200] = {.lex_state = 9, .external_lex_state = 2},
  [1201] = {.lex_state = 9, .external_lex_state = 2},
  [1202] = {.lex_state = 14, .external_lex_state = 2},
  [1203] = {.lex_state = 9, .external_lex_state = 2},
  [1204] = {.lex_state = 92, .external_lex_state = 2},
  [1205] = {.lex_state = 9, .external_lex_state = 2},
  [1206] = {.lex_state = 92, .external_lex_state = 2},
  [1207] = {.lex_state = 96, .external_lex_state = 2},
  [1208] = {.lex_state = 96, .external_lex_state = 2},
  [1209] = {.lex_state = 9, .external_lex_state = 2},
  [1210] = {.lex_state = 96, .external_lex_state = 2},
  [1211] = {.lex_state = 92, .external_lex_state = 2},
  [1212] = {.lex_state = 14, .external_lex_state = 2},
  [1213] = {.lex_state = 14, .external_lex_state = 2},
  [1214] = {.lex_state = 96, .external_lex_state = 2},
  [1215] = {.lex_state = 14, .external_lex_state = 2},
  [1216] = {.lex_state = 14, .external_lex_state = 2},
  [1217] = {.lex_state = 4, .external_lex_state = 2},
  [1218] = {.lex_state = 4, .external_lex_state = 2},
  [1219] = {.lex_state = 14, .external_lex_state = 2},
  [1220] = {.lex_state = 4, .external_lex_state = 2},
  [1221] = {.lex_state = 14, .external_lex_state = 2},
  [1222] = {.lex_state = 4, .external_lex_state = 2},
  [1223] = {.lex_state = 4, .external_lex_state = 2},
  [1224] = {.lex_state = 4, .external_lex_state = 2},
  [1225] = {.lex_state = 4, .external_lex_state = 2},
  [1226] = {.lex_state = 4, .external_lex_state = 2},
  [1227] = {.lex_state = 4, .external_lex_state = 2},
  [1228] = {.lex_state = 14, .external_lex_state = 2},
  [1229] = {.lex_state = 4, .external_lex_state = 2},
  [1230] = {.lex_state = 92, .external_lex_state = 2},
  [1231] = {.lex_state = 14, .external_lex_state = 2},
  [1232] = {.lex_state = 92, .external_lex_state = 2},
  [1233] = {.lex_state = 4, .external_lex_state = 2},
  [1234] = {.lex_state = 14, .external_lex_state = 2},
  [1235] = {.lex_state = 96, .external_lex_state = 2},
  [1236] = {.lex_state = 96, .external_lex_state = 2},
  [1237] = {.lex_state = 14, .external_lex_state = 2},
  [1238] = {.lex_state = 4, .external_lex_state = 2},
  [1239] = {.lex_state = 4, .external_lex_state = 2},
  [1240] = {.lex_state = 4, .external_lex_state = 2},
  [1241] = {.lex_state = 14, .external_lex_state = 2},
  [1242] = {.lex_state = 4, .external_lex_state = 2},
  [1243] = {.lex_state = 14, .external_lex_state = 2},
  [1244] = {.lex_state = 14, .external_lex_state = 2},
  [1245] = {.lex_state = 14, .external_lex_state = 2},
  [1246] = {.lex_state = 4, .external_lex_state = 2},
  [1247] = {.lex_state = 17, .external_lex_state = 2},
  [1248] = {.lex_state = 4, .external_lex_state = 2},
  [1249] = {.lex_state = 14, .external_lex_state = 2},
  [1250] = {.lex_state = 14, .external_lex_state = 2},
  [1251] = {.lex_state = 4, .external_lex_state = 2},
  [1252] = {.lex_state = 14, .external_lex_state = 2},
  [1253] = {.lex_state = 4, .external_lex_state = 2},
  [1254] = {.lex_state = 14, .external_lex_state = 2},
  [1255] = {.lex_state = 4, .external_lex_state = 2},
  [1256] = {.lex_state = 14, .external_lex_state = 2},
  [1257] = {.lex_state = 4, .external_lex_state = 2},
  [1258] = {.lex_state = 4, .external_lex_state = 2},
  [1259] = {.lex_state = 14, .external_lex_state = 2},
  [1260] = {.lex_state = 4, .external_lex_state = 2},
  [1261] = {.lex_state = 14, .external_lex_state = 2},
  [1262] = {.lex_state = 4, .external_lex_state = 2},
  [1263] = {.lex_state = 14, .external_lex_state = 2},
  [1264] = {.lex_state = 14, .external_lex_state = 2},
  [1265] = {.lex_state = 4, .external_lex_state = 2},
  [1266] = {.lex_state = 17, .external_lex_state = 2},
  [1267] = {.lex_state = 4, .external_lex_state = 2},
  [1268] = {.lex_state = 14, .external_lex_state = 2},
  [1269] = {.lex_state = 4, .external_lex_state = 2},
  [1270] = {.lex_state = 4, .external_lex_state = 2},
  [1271] = {.lex_state = 96, .external_lex_state = 2},
  [1272] = {.lex_state = 4, .external_lex_state = 2},
  [1273] = {.lex_state = 4, .external_lex_state = 2},
  [1274] = {.lex_state = 4, .external_lex_state = 2},
  [1275] = {.lex_state = 4, .external_lex_state = 2},
  [1276] = {.lex_state = 96, .external_lex_state = 2},
  [1277] = {.lex_state = 88, .external_lex_state = 2},
  [1278] = {.lex_state = 92, .external_lex_state = 2},
  [1279] = {.lex_state = 14, .external_lex_state = 2},
  [1280] = {.lex_state = 17, .external_lex_state = 2},
  [1281] = {.lex_state = 14, .external_lex_state = 2},
  [1282] = {.lex_state = 96, .external_lex_state = 2},
  [1283] = {.lex_state = 14, .external_lex_state = 2},
  [1284] = {.lex_state = 14, .external_lex_state = 2},
  [1285] = {.lex_state = 14, .external_lex_state = 2},
  [1286] = {.lex_state = 4, .external_lex_state = 2},
  [1287] = {.lex_state = 4, .external_lex_state = 2},
  [1288] = {.lex_state = 4, .external_lex_state = 2},
  [1289] = {.lex_state = 14, .external_lex_state = 2},
  [1290] = {.lex_state = 4, .external_lex_state = 2},
  [1291] = {.lex_state = 4, .external_lex_state = 2},
  [1292] = {.lex_state = 88, .external_lex_state = 2},
  [1293] = {.lex_state = 14, .external_lex_state = 2},
  [1294] = {.lex_state = 4, .external_lex_state = 2},
  [1295] = {.lex_state = 4, .external_lex_state = 2},
  [1296] = {.lex_state = 96, .external_lex_state = 2},
  [1297] = {.lex_state = 4, .external_lex_state = 2},
  [1298] = {.lex_state = 14, .external_lex_state = 2},
  [1299] = {.lex_state = 96, .external_lex_state = 2},
  [1300] = {.lex_state = 96, .external_lex_state = 2},
  [1301] = {.lex_state = 96, .external_lex_state = 2},
  [1302] = {.lex_state = 4, .external_lex_state = 2},
  [1303] = {.lex_state = 4, .external_lex_state = 2},
  [1304] = {.lex_state = 4, .external_lex_state = 2},
  [1305] = {.lex_state = 4, .external_lex_state = 2},
  [1306] = {.lex_state = 4, .external_lex_state = 2},
  [1307] = {.lex_state = 4, .external_lex_state = 2},
  [1308] = {.lex_state = 17, .external_lex_state = 2},
  [1309] = {.lex_state = 4, .external_lex_state = 2},
  [1310] = {.lex_state = 4, .external_lex_state = 2},
  [1311] = {.lex_state = 4, .external_lex_state = 2},
  [1312] = {.lex_state = 94, .external_lex_state = 2},
  [1313] = {.lex_state = 94, .external_lex_state = 2},
  [1314] = {.lex_state = 14, .external_lex_state = 2},
  [1315] = {.lex_state = 14, .external_lex_state = 2},
  [1316] = {.lex_state = 14, .external_lex_state = 2},
  [1317] = {.lex_state = 14, .external_lex_state = 2},
  [1318] = {.lex_state = 14, .external_lex_state = 2},
  [1319] = {.lex_state = 14, .external_lex_state = 2},
  [1320] = {.lex_state = 14, .external_lex_state = 2},
  [1321] = {.lex_state = 14, .external_lex_state = 2},
  [1322] = {.lex_state = 88, .external_lex_state = 2},
  [1323] = {.lex_state = 14, .external_lex_state = 2},
  [1324] = {.lex_state = 14, .external_lex_state = 2},
  [1325] = {.lex_state = 88, .external_lex_state = 2},
  [1326] = {.lex_state = 88, .external_lex_state = 2},
  [1327] = {.lex_state = 92, .external_lex_state = 2},
  [1328] = {.lex_state = 15, .external_lex_state = 2},
  [1329] = {.lex_state = 88, .external_lex_state = 2},
  [1330] = {.lex_state = 88, .external_lex_state = 2},
  [1331] = {.lex_state = 88, .external_lex_state = 2},
  [1332] = {.lex_state = 88, .external_lex_state = 2},
  [1333] = {.lex_state = 88, .external_lex_state = 2},
  [1334] = {.lex_state = 88, .external_lex_state = 2},
  [1335] = {.lex_state = 88, .external_lex_state = 2},
  [1336] = {.lex_state = 15, .external_lex_state = 2},
  [1337] = {.lex_state = 88, .external_lex_state = 2},
  [1338] = {.lex_state = 92, .external_lex_state = 2},
  [1339] = {.lex_state = 88, .external_lex_state = 2},
  [1340] = {.lex_state = 88, .external_lex_state = 2},
  [1341] = {.lex_state = 88, .external_lex_state = 2},
  [1342] = {.lex_state = 15, .external_lex_state = 2},
  [1343] = {.lex_state = 92, .external_lex_state = 2},
  [1344] = {.lex_state = 92, .external_lex_state = 2},
  [1345] = {.lex_state = 92, .external_lex_state = 2},
  [1346] = {.lex_state = 92, .external_lex_state = 2},
  [1347] = {.lex_state = 92, .external_lex_state = 2},
  [1348] = {.lex_state = 92, .external_lex_state = 2},
  [1349] = {.lex_state = 92, .external_lex_state = 2},
  [1350] = {.lex_state = 92, .external_lex_state = 2},
  [1351] = {.lex_state = 92, .external_lex_state = 2},
  [1352] = {.lex_state = 92, .external_lex_state = 2},
  [1353] = {.lex_state = 92, .external_lex_state = 2},
  [1354] = {.lex_state = 92, .external_lex_state = 2},
  [1355] = {.lex_state = 92, .external_lex_state = 2},
  [1356] = {.lex_state = 92, .external_lex_state = 2},
  [1357] = {.lex_state = 92, .external_lex_state = 2},
  [1358] = {.lex_state = 92, .external_lex_state = 2},
  [1359] = {.lex_state = 92, .external_lex_state = 2},
  [1360] = {.lex_state = 92, .external_lex_state = 2},
  [1361] = {.lex_state = 92, .external_lex_state = 2},
  [1362] = {.lex_state = 20, .external_lex_state = 2},
  [1363] = {.lex_state = 15, .external_lex_state = 2},
  [1364] = {.lex_state = 15, .external_lex_state = 2},
  [1365] = {.lex_state = 31, .external_lex_state = 2},
  [1366] = {.lex_state = 92, .external_lex_state = 2},
  [1367] = {.lex_state = 31, .external_lex_state = 2},
  [1368] = {.lex_state = 15, .external_lex_state = 2},
  [1369] = {.lex_state = 15, .external_lex_state = 2},
  [1370] = {.lex_state = 31, .external_lex_state = 2},
  [1371] = {.lex_state = 15, .external_lex_state = 2},
  [1372] = {.lex_state = 15, .external_lex_state = 2},
  [1373] = {.lex_state = 15, .external_lex_state = 2},
  [1374] = {.lex_state = 15, .external_lex_state = 2},
  [1375] = {.lex_state = 15, .external_lex_state = 2},
  [1376] = {.lex_state = 15, .external_lex_state = 2},
  [1377] = {.lex_state = 15, .external_lex_state = 2},
  [1378] = {.lex_state = 15, .external_lex_state = 2},
  [1379] = {.lex_state = 15, .external_lex_state = 2},
  [1380] = {.lex_state = 15, .external_lex_state = 2},
  [1381] = {.lex_state = 15, .external_lex_state = 2},
  [1382] = {.lex_state = 15, .external_lex_state = 2},
  [1383] = {.lex_state = 15, .external_lex_state = 2},
  [1384] = {.lex_state = 15, .external_lex_state = 2},
  [1385] = {.lex_state = 15, .external_lex_state = 2},
  [1386] = {.lex_state = 31, .external_lex_state = 2},
  [1387] = {.lex_state = 31, .external_lex_state = 2},
  [1388] = {.lex_state = 92, .external_lex_state = 2},
  [1389] = {.lex_state = 31, .external_lex_state = 2},
  [1390] = {.lex_state = 15, .external_lex_state = 2},
  [1391] = {.lex_state = 92, .external_lex_state = 2},
  [1392] = {.lex_state = 15, .external_lex_state = 2},
  [1393] = {.lex_state = 15, .external_lex_state = 2},
  [1394] = {.lex_state = 15, .external_lex_state = 2},
  [1395] = {.lex_state = 11, .external_lex_state = 2},
  [1396] = {.lex_state = 31, .external_lex_state = 2},
  [1397] = {.lex_state = 11, .external_lex_state = 2},
  [1398] = {.lex_state = 11, .external_lex_state = 2},
  [1399] = {.lex_state = 11, .external_lex_state = 2},
  [1400] = {.lex_state = 11, .external_lex_state = 2},
  [1401] = {.lex_state = 11, .external_lex_state = 2},
  [1402] = {.lex_state = 11, .external_lex_state = 2},
  [1403] = {.lex_state = 11, .external_lex_state = 2},
  [1404] = {.lex_state = 11, .external_lex_state = 2},
  [1405] = {.lex_state = 11, .external_lex_state = 2},
  [1406] = {.lex_state = 11, .external_lex_state = 2},
  [1407] = {.lex_state = 11, .external_lex_state = 2},
  [1408] = {.lex_state = 31, .external_lex_state = 2},
  [1409] = {.lex_state = 92, .external_lex_state = 2},
  [1410] = {.lex_state = 11, .external_lex_state = 2},
  [1411] = {.lex_state = 11, .external_lex_state = 2},
  [1412] = {.lex_state = 31, .external_lex_state = 2},
  [1413] = {.lex_state = 11, .external_lex_state = 2},
  [1414] = {.lex_state = 11, .external_lex_state = 2},
  [1415] = {.lex_state = 92, .external_lex_state = 2},
  [1416] = {.lex_state = 15, .external_lex_state = 2},
  [1417] = {.lex_state = 15, .external_lex_state = 2},
  [1418] = {.lex_state = 15, .external_lex_state = 2},
  [1419] = {.lex_state = 15, .external_lex_state = 2},
  [1420] = {.lex_state = 15, .external_lex_state = 2},
  [1421] = {.lex_state = 31, .external_lex_state = 2},
  [1422] = {.lex_state = 31, .external_lex_state = 2},
  [1423] = {.lex_state = 92, .external_lex_state = 2},
  [1424] = {.lex_state = 31, .external_lex_state = 2},
  [1425] = {.lex_state = 11, .external_lex_state = 2},
  [1426] = {.lex_state = 15, .external_lex_state = 2},
  [1427] = {.lex_state = 15, .external_lex_state = 2},
  [1428] = {.lex_state = 15, .external_lex_state = 2},
  [1429] = {.lex_state = 92, .external_lex_state = 2},
  [1430] = {.lex_state = 15, .external_lex_state = 2},
  [1431] = {.lex_state = 31, .external_lex_state = 2},
  [1432] = {.lex_state = 92, .external_lex_state = 2},
  [1433] = {.lex_state = 15, .external_lex_state = 2},
  [1434] = {.lex_state = 31, .external_lex_state = 2},
  [1435] = {.lex_state = 15, .external_lex_state = 2},
  [1436] = {.lex_state = 15, .external_lex_state = 2},
  [1437] = {.lex_state = 92, .external_lex_state = 2},
  [1438] = {.lex_state = 15, .external_lex_state = 2},
  [1439] = {.lex_state = 15, .external_lex_state = 2},
  [1440] = {.lex_state = 15, .external_lex_state = 2},
  [1441] = {.lex_state = 15, .external_lex_state = 2},
  [1442] = {.lex_state = 0, .external_lex_state = 2},
  [1443] = {.lex_state = 15, .external_lex_state = 2},
  [1444] = {.lex_state = 15, .external_lex_state = 2},
  [1445] = {.lex_state = 15, .external_lex_state = 2},
  [1446] = {.lex_state = 31, .external_lex_state = 2},
  [1447] = {.lex_state = 15, .external_lex_state = 2},
  [1448] = {.lex_state = 15, .external_lex_state = 2},
  [1449] = {.lex_state = 15, .external_lex_state = 2},
  [1450] = {.lex_state = 15, .external_lex_state = 2},
  [1451] = {.lex_state = 15, .external_lex_state = 2},
  [1452] = {.lex_state = 31, .external_lex_state = 2},
  [1453] = {.lex_state = 15, .external_lex_state = 2},
  [1454] = {.lex_state = 15, .external_lex_state = 2},
  [1455] = {.lex_state = 31, .external_lex_state = 2},
  [1456] = {.lex_state = 15, .external_lex_state = 2},
  [1457] = {.lex_state = 31, .external_lex_state = 2},
  [1458] = {.lex_state = 92, .external_lex_state = 2},
  [1459] = {.lex_state = 15, .external_lex_state = 2},
  [1460] = {.lex_state = 15, .external_lex_state = 2},
  [1461] = {.lex_state = 15, .external_lex_state = 2},
  [1462] = {.lex_state = 31, .external_lex_state = 2},
  [1463] = {.lex_state = 0, .external_lex_state = 2},
  [1464] = {.lex_state = 31, .external_lex_state = 2},
  [1465] = {.lex_state = 15, .external_lex_state = 2},
  [1466] = {.lex_state = 15, .external_lex_state = 2},
  [1467] = {.lex_state = 15, .external_lex_state = 2},
  [1468] = {.lex_state = 15, .external_lex_state = 2},
  [1469] = {.lex_state = 31, .external_lex_state = 2},
  [1470] = {.lex_state = 15, .external_lex_state = 2},
  [1471] = {.lex_state = 0, .external_lex_state = 2},
  [1472] = {.lex_state = 92, .external_lex_state = 2},
  [1473] = {.lex_state = 15, .external_lex_state = 2},
  [1474] = {.lex_state = 92, .external_lex_state = 2},
  [1475] = {.lex_state = 31, .external_lex_state = 2},
  [1476] = {.lex_state = 15, .external_lex_state = 2},
  [1477] = {.lex_state = 15, .external_lex_state = 2},
  [1478] = {.lex_state = 31, .external_lex_state = 2},
  [1479] = {.lex_state = 15, .external_lex_state = 2},
  [1480] = {.lex_state = 92, .external_lex_state = 2},
  [1481] = {.lex_state = 31, .external_lex_state = 2},
  [1482] = {.lex_state = 15, .external_lex_state = 2},
  [1483] = {.lex_state = 15, .external_lex_state = 2},
  [1484] = {.lex_state = 92, .external_lex_state = 2},
  [1485] = {.lex_state = 16, .external_lex_state = 2},
  [1486] = {.lex_state = 0, .external_lex_state = 2},
  [1487] = {.lex_state = 15, .external_lex_state = 2},
  [1488] = {.lex_state = 15, .external_lex_state = 2},
  [1489] = {.lex_state = 15, .external_lex_state = 2},
  [1490] = {.lex_state = 15, .external_lex_state = 2},
  [1491] = {.lex_state = 0, .external_lex_state = 2},
  [1492] = {.lex_state = 31, .external_lex_state = 2},
  [1493] = {.lex_state = 31, .external_lex_state = 2},
  [1494] = {.lex_state = 92, .external_lex_state = 2},
  [1495] = {.lex_state = 15, .external_lex_state = 2},
  [1496] = {.lex_state = 0, .external_lex_state = 2},
  [1497] = {.lex_state = 15, .external_lex_state = 2},
  [1498] = {.lex_state = 31, .external_lex_state = 2},
  [1499] = {.lex_state = 15, .external_lex_state = 2},
  [1500] = {.lex_state = 31, .external_lex_state = 2},
  [1501] = {.lex_state = 0, .external_lex_state = 2},
  [1502] = {.lex_state = 31, .external_lex_state = 2},
  [1503] = {.lex_state = 92, .external_lex_state = 2},
  [1504] = {.lex_state = 17, .external_lex_state = 2},
  [1505] = {.lex_state = 92, .external_lex_state = 2},
  [1506] = {.lex_state = 31, .external_lex_state = 2},
  [1507] = {.lex_state = 31, .external_lex_state = 2},
  [1508] = {.lex_state = 92, .external_lex_state = 2},
  [1509] = {.lex_state = 31, .external_lex_state = 2},
  [1510] = {.lex_state = 92, .external_lex_state = 2},
  [1511] = {.lex_state = 15, .external_lex_state = 2},
  [1512] = {.lex_state = 31, .external_lex_state = 2},
  [1513] = {.lex_state = 92, .external_lex_state = 2},
  [1514] = {.lex_state = 15, .external_lex_state = 2},
  [1515] = {.lex_state = 31, .external_lex_state = 2},
  [1516] = {.lex_state = 93, .external_lex_state = 2},
  [1517] = {.lex_state = 93, .external_lex_state = 2},
  [1518] = {.lex_state = 93, .external_lex_state = 2},
  [1519] = {.lex_state = 92, .external_lex_state = 2},
  [1520] = {.lex_state = 93, .external_lex_state = 2},
  [1521] = {.lex_state = 0, .external_lex_state = 2},
  [1522] = {.lex_state = 92, .external_lex_state = 2},
  [1523] = {.lex_state = 92, .external_lex_state = 2},
  [1524] = {.lex_state = 93, .external_lex_state = 2},
  [1525] = {.lex_state = 93, .external_lex_state = 2},
  [1526] = {.lex_state = 93, .external_lex_state = 2},
  [1527] = {.lex_state = 89, .external_lex_state = 2},
  [1528] = {.lex_state = 89, .external_lex_state = 2},
  [1529] = {.lex_state = 93, .external_lex_state = 2},
  [1530] = {.lex_state = 89, .external_lex_state = 2},
  [1531] = {.lex_state = 89, .external_lex_state = 2},
  [1532] = {.lex_state = 89, .external_lex_state = 2},
  [1533] = {.lex_state = 93, .external_lex_state = 2},
  [1534] = {.lex_state = 93, .external_lex_state = 2},
  [1535] = {.lex_state = 89, .external_lex_state = 2},
  [1536] = {.lex_state = 89, .external_lex_state = 2},
  [1537] = {.lex_state = 89, .external_lex_state = 2},
  [1538] = {.lex_state = 93, .external_lex_state = 2},
  [1539] = {.lex_state = 89, .external_lex_state = 2},
  [1540] = {.lex_state = 89, .external_lex_state = 2},
  [1541] = {.lex_state = 89, .external_lex_state = 2},
  [1542] = {.lex_state = 89, .external_lex_state = 2},
  [1543] = {.lex_state = 92, .external_lex_state = 2},
  [1544] = {.lex_state = 89, .external_lex_state = 2},
  [1545] = {.lex_state = 93, .external_lex_state = 2},
  [1546] = {.lex_state = 93, .external_lex_state = 2},
  [1547] = {.lex_state = 31, .external_lex_state = 2},
  [1548] = {.lex_state = 89, .external_lex_state = 2},
  [1549] = {.lex_state = 12, .external_lex_state = 2},
  [1550] = {.lex_state = 12, .external_lex_state = 2},
  [1551] = {.lex_state = 12, .external_lex_state = 2},
  [1552] = {.lex_state = 12, .external_lex_state = 2},
  [1553] = {.lex_state = 12, .external_lex_state = 2},
  [1554] = {.lex_state = 92, .external_lex_state = 2},
  [1555] = {.lex_state = 12, .external_lex_state = 2},
  [1556] = {.lex_state = 92, .external_lex_state = 2},
  [1557] = {.lex_state = 92, .external_lex_state = 2},
  [1558] = {.lex_state = 12, .external_lex_state = 2},
  [1559] = {.lex_state = 12, .external_lex_state = 2},
  [1560] = {.lex_state = 89, .external_lex_state = 2},
  [1561] = {.lex_state = 92, .external_lex_state = 2},
  [1562] = {.lex_state = 92, .external_lex_state = 2},
  [1563] = {.lex_state = 92, .external_lex_state = 2},
  [1564] = {.lex_state = 92, .external_lex_state = 2},
  [1565] = {.lex_state = 92, .external_lex_state = 2},
  [1566] = {.lex_state = 92, .external_lex_state = 2},
  [1567] = {.lex_state = 92, .external_lex_state = 2},
  [1568] = {.lex_state = 92, .external_lex_state = 2},
  [1569] = {.lex_state = 92, .external_lex_state = 2},
  [1570] = {.lex_state = 16, .external_lex_state = 2},
  [1571] = {.lex_state = 16, .external_lex_state = 2},
  [1572] = {.lex_state = 92, .external_lex_state = 2},
  [1573] = {.lex_state = 92, .external_lex_state = 2},
  [1574] = {.lex_state = 16, .external_lex_state = 2},
  [1575] = {.lex_state = 16, .external_lex_state = 2},
  [1576] = {.lex_state = 92, .external_lex_state = 2},
  [1577] = {.lex_state = 92, .external_lex_state = 2},
  [1578] = {.lex_state = 16, .external_lex_state = 2},
  [1579] = {.lex_state = 31, .external_lex_state = 2},
  [1580] = {.lex_state = 16, .external_lex_state = 2},
  [1581] = {.lex_state = 16, .external_lex_state = 2},
  [1582] = {.lex_state = 92, .external_lex_state = 2},
  [1583] = {.lex_state = 92, .external_lex_state = 2},
  [1584] = {.lex_state = 92, .external_lex_state = 2},
  [1585] = {.lex_state = 92, .external_lex_state = 2},
  [1586] = {.lex_state = 92, .external_lex_state = 2},
  [1587] = {.lex_state = 92, .external_lex_state = 2},
  [1588] = {.lex_state = 92, .external_lex_state = 2},
  [1589] = {.lex_state = 92, .external_lex_state = 2},
  [1590] = {.lex_state = 31, .external_lex_state = 2},
  [1591] = {.lex_state = 92, .external_lex_state = 2},
  [1592] = {.lex_state = 31, .external_lex_state = 2},
  [1593] = {.lex_state = 92, .external_lex_state = 2},
  [1594] = {.lex_state = 92, .external_lex_state = 2},
  [1595] = {.lex_state = 93, .external_lex_state = 2},
  [1596] = {.lex_state = 92, .external_lex_state = 2},
  [1597] = {.lex_state = 92, .external_lex_state = 2},
  [1598] = {.lex_state = 92, .external_lex_state = 2},
  [1599] = {.lex_state = 92, .external_lex_state = 2},
  [1600] = {.lex_state = 92, .external_lex_state = 2},
  [1601] = {.lex_state = 92, .external_lex_state = 2},
  [1602] = {.lex_state = 92, .external_lex_state = 2},
  [1603] = {.lex_state = 92, .external_lex_state = 2},
  [1604] = {.lex_state = 92, .external_lex_state = 2},
  [1605] = {.lex_state = 92, .external_lex_state = 2},
  [1606] = {.lex_state = 92, .external_lex_state = 2},
  [1607] = {.lex_state = 92, .external_lex_state = 2},
  [1608] = {.lex_state = 92, .external_lex_state = 2},
  [1609] = {.lex_state = 92, .external_lex_state = 2},
  [1610] = {.lex_state = 94, .external_lex_state = 2},
  [1611] = {.lex_state = 92, .external_lex_state = 2},
  [1612] = {.lex_state = 94, .external_lex_state = 2},
  [1613] = {.lex_state = 92, .external_lex_state = 2},
  [1614] = {.lex_state = 92, .external_lex_state = 2},
  [1615] = {.lex_state = 92, .external_lex_state = 2},
  [1616] = {.lex_state = 92, .external_lex_state = 2},
  [1617] = {.lex_state = 92, .external_lex_state = 2},
  [1618] = {.lex_state = 92, .external_lex_state = 2},
  [1619] = {.lex_state = 92, .external_lex_state = 2},
  [1620] = {.lex_state = 92, .external_lex_state = 2},
  [1621] = {.lex_state = 92, .external_lex_state = 2},
  [1622] = {.lex_state = 92, .external_lex_state = 2},
  [1623] = {.lex_state = 92, .external_lex_state = 2},
  [1624] = {.lex_state = 31, .external_lex_state = 2},
  [1625] = {.lex_state = 92, .external_lex_state = 2},
  [1626] = {.lex_state = 92, .external_lex_state = 2},
  [1627] = {.lex_state = 92, .external_lex_state = 2},
  [1628] = {.lex_state = 12, .external_lex_state = 2},
  [1629] = {.lex_state = 92, .external_lex_state = 2},
  [1630] = {.lex_state = 92, .external_lex_state = 2},
  [1631] = {.lex_state = 92, .external_lex_state = 2},
  [1632] = {.lex_state = 92, .external_lex_state = 2},
  [1633] = {.lex_state = 12, .external_lex_state = 2},
  [1634] = {.lex_state = 92, .external_lex_state = 2},
  [1635] = {.lex_state = 92, .external_lex_state = 2},
  [1636] = {.lex_state = 92, .external_lex_state = 2},
  [1637] = {.lex_state = 20, .external_lex_state = 2},
  [1638] = {.lex_state = 92, .external_lex_state = 2},
  [1639] = {.lex_state = 92, .external_lex_state = 2},
  [1640] = {.lex_state = 92, .external_lex_state = 2},
  [1641] = {.lex_state = 92, .external_lex_state = 2},
  [1642] = {.lex_state = 31, .external_lex_state = 2},
  [1643] = {.lex_state = 92, .external_lex_state = 2},
  [1644] = {.lex_state = 92, .external_lex_state = 2},
  [1645] = {.lex_state = 92, .external_lex_state = 2},
  [1646] = {.lex_state = 92, .external_lex_state = 2},
  [1647] = {.lex_state = 92, .external_lex_state = 2},
  [1648] = {.lex_state = 20, .external_lex_state = 2},
  [1649] = {.lex_state = 92, .external_lex_state = 2},
  [1650] = {.lex_state = 92, .external_lex_state = 2},
  [1651] = {.lex_state = 20, .external_lex_state = 2},
  [1652] = {.lex_state = 92, .external_lex_state = 2},
  [1653] = {.lex_state = 92, .external_lex_state = 2},
  [1654] = {.lex_state = 92, .external_lex_state = 2},
  [1655] = {.lex_state = 92, .external_lex_state = 2},
  [1656] = {.lex_state = 92, .external_lex_state = 2},
  [1657] = {.lex_state = 92, .external_lex_state = 2},
  [1658] = {.lex_state = 92, .external_lex_state = 2},
  [1659] = {.lex_state = 92, .external_lex_state = 2},
  [1660] = {.lex_state = 17, .external_lex_state = 3},
  [1661] = {.lex_state = 12, .external_lex_state = 4},
  [1662] = {.lex_state = 17, .external_lex_state = 3},
  [1663] = {.lex_state = 31, .external_lex_state = 2},
  [1664] = {.lex_state = 92, .external_lex_state = 2},
  [1665] = {.lex_state = 31, .external_lex_state = 2},
  [1666] = {.lex_state = 92, .external_lex_state = 2},
  [1667] = {.lex_state = 12, .external_lex_state = 4},
  [1668] = {.lex_state = 12, .external_lex_state = 4},
  [1669] = {.lex_state = 12, .external_lex_state = 4},
  [1670] = {.lex_state = 17, .external_lex_state = 3},
  [1671] = {.lex_state = 17, .external_lex_state = 3},
  [1672] = {.lex_state = 17, .external_lex_state = 3},
  [1673] = {.lex_state = 12, .external_lex_state = 4},
  [1674] = {.lex_state = 17, .external_lex_state = 3},
  [1675] = {.lex_state = 92, .external_lex_state = 2},
  [1676] = {.lex_state = 92, .external_lex_state = 2},
  [1677] = {.lex_state = 17, .external_lex_state = 3},
  [1678] = {.lex_state = 12, .external_lex_state = 4},
  [1679] = {.lex_state = 12, .external_lex_state = 4},
  [1680] = {.lex_state = 17, .external_lex_state = 3},
  [1681] = {.lex_state = 12, .external_lex_state = 4},
  [1682] = {.lex_state = 17, .external_lex_state = 3},
  [1683] = {.lex_state = 92, .external_lex_state = 2},
  [1684] = {.lex_state = 31, .external_lex_state = 2},
  [1685] = {.lex_state = 92, .external_lex_state = 2},
  [1686] = {.lex_state = 31, .external_lex_state = 2},
  [1687] = {.lex_state = 31, .external_lex_state = 2},
  [1688] = {.lex_state = 92, .external_lex_state = 2},
  [1689] = {.lex_state = 92, .external_lex_state = 2},
  [1690] = {.lex_state = 12, .external_lex_state = 4},
  [1691] = {.lex_state = 31, .external_lex_state = 2},
  [1692] = {.lex_state = 25, .external_lex_state = 5},
  [1693] = {.lex_state = 25, .external_lex_state = 6},
  [1694] = {.lex_state = 25, .external_lex_state = 5},
  [1695] = {.lex_state = 25, .external_lex_state = 6},
  [1696] = {.lex_state = 25, .external_lex_state = 6},
  [1697] = {.lex_state = 31, .external_lex_state = 2},
  [1698] = {.lex_state = 31, .external_lex_state = 2},
  [1699] = {.lex_state = 17, .external_lex_state = 7},
  [1700] = {.lex_state = 31, .external_lex_state = 2},
  [1701] = {.lex_state = 17, .external_lex_state = 7},
  [1702] = {.lex_state = 12, .external_lex_state = 8},
  [1703] = {.lex_state = 12, .external_lex_state = 8},
  [1704] = {.lex_state = 17, .external_lex_state = 7},
  [1705] = {.lex_state = 31, .external_lex_state = 2},
  [1706] = {.lex_state = 17, .external_lex_state = 7},
  [1707] = {.lex_state = 25, .external_lex_state = 5},
  [1708] = {.lex_state = 25, .external_lex_state = 6},
  [1709] = {.lex_state = 93, .external_lex_state = 2},
  [1710] = {.lex_state = 12, .external_lex_state = 8},
  [1711] = {.lex_state = 12, .external_lex_state = 8},
  [1712] = {.lex_state = 17, .external_lex_state = 7},
  [1713] = {.lex_state = 17, .external_lex_state = 7},
  [1714] = {.lex_state = 12, .external_lex_state = 8},
  [1715] = {.lex_state = 25, .external_lex_state = 6},
  [1716] = {.lex_state = 25, .external_lex_state = 5},
  [1717] = {.lex_state = 25, .external_lex_state = 6},
  [1718] = {.lex_state = 25, .external_lex_state = 5},
  [1719] = {.lex_state = 92, .external_lex_state = 2},
  [1720] = {.lex_state = 12, .external_lex_state = 8},
  [1721] = {.lex_state = 92, .external_lex_state = 2},
  [1722] = {.lex_state = 87, .external_lex_state = 2},
  [1723] = {.lex_state = 17, .external_lex_state = 7},
  [1724] = {.lex_state = 20, .external_lex_state = 2},
  [1725] = {.lex_state = 31, .external_lex_state = 2},
  [1726] = {.lex_state = 92, .external_lex_state = 2},
  [1727] = {.lex_state = 25, .external_lex_state = 6},
  [1728] = {.lex_state = 25, .external_lex_state = 5},
  [1729] = {.lex_state = 92, .external_lex_state = 2},
  [1730] = {.lex_state = 31, .external_lex_state = 2},
  [1731] = {.lex_state = 31, .external_lex_state = 2},
  [1732] = {.lex_state = 25, .external_lex_state = 5},
  [1733] = {.lex_state = 12, .external_lex_state = 8},
  [1734] = {.lex_state = 92, .external_lex_state = 2},
  [1735] = {.lex_state = 17, .external_lex_state = 7},
  [1736] = {.lex_state = 25, .external_lex_state = 6},
  [1737] = {.lex_state = 25, .external_lex_state = 5},
  [1738] = {.lex_state = 31, .external_lex_state = 2},
  [1739] = {.lex_state = 12, .external_lex_state = 8},
  [1740] = {.lex_state = 17, .external_lex_state = 7},
  [1741] = {.lex_state = 25, .external_lex_state = 6},
  [1742] = {.lex_state = 92, .external_lex_state = 2},
  [1743] = {.lex_state = 25, .external_lex_state = 5},
  [1744] = {.lex_state = 12, .external_lex_state = 8},
  [1745] = {.lex_state = 92, .external_lex_state = 2},
  [1746] = {.lex_state = 95, .external_lex_state = 2},
  [1747] = {.lex_state = 95, .external_lex_state = 2},
  [1748] = {.lex_state = 92, .external_lex_state = 2},
  [1749] = {.lex_state = 25, .external_lex_state = 9},
  [1750] = {.lex_state = 25, .external_lex_state = 10},
  [1751] = {.lex_state = 92, .external_lex_state = 2},
  [1752] = {.lex_state = 20, .external_lex_state = 2},
  [1753] = {.lex_state = 95, .external_lex_state = 2},
  [1754] = {.lex_state = 92, .external_lex_state = 2},
  [1755] = {.lex_state = 95, .external_lex_state = 2},
  [1756] = {.lex_state = 95, .external_lex_state = 2},
  [1757] = {.lex_state = 95, .external_lex_state = 2},
  [1758] = {.lex_state = 31, .external_lex_state = 2},
  [1759] = {.lex_state = 92, .external_lex_state = 2},
  [1760] = {.lex_state = 0, .external_lex_state = 2},
  [1761] = {.lex_state = 92, .external_lex_state = 2},
  [1762] = {.lex_state = 92, .external_lex_state = 2},
  [1763] = {.lex_state = 0, .external_lex_state = 2},
  [1764] = {.lex_state = 25, .external_lex_state = 9},
  [1765] = {.lex_state = 25, .external_lex_state = 10},
  [1766] = {.lex_state = 92, .external_lex_state = 2},
  [1767] = {.lex_state = 95, .external_lex_state = 2},
  [1768] = {.lex_state = 92, .external_lex_state = 2},
  [1769] = {.lex_state = 92, .external_lex_state = 2},
  [1770] = {.lex_state = 92, .external_lex_state = 2},
  [1771] = {.lex_state = 92, .external_lex_state = 2},
  [1772] = {.lex_state = 20, .external_lex_state = 2},
  [1773] = {.lex_state = 92, .external_lex_state = 2},
  [1774] = {.lex_state = 25, .external_lex_state = 10},
  [1775] = {.lex_state = 25, .external_lex_state = 9},
  [1776] = {.lex_state = 92, .external_lex_state = 2},
  [1777] = {.lex_state = 92, .external_lex_state = 2},
  [1778] = {.lex_state = 95, .external_lex_state = 2},
  [1779] = {.lex_state = 92, .external_lex_state = 2},
  [1780] = {.lex_state = 25, .external_lex_state = 9},
  [1781] = {.lex_state = 0, .external_lex_state = 2},
  [1782] = {.lex_state = 20, .external_lex_state = 2},
  [1783] = {.lex_state = 95, .external_lex_state = 2},
  [1784] = {.lex_state = 25, .external_lex_state = 10},
  [1785] = {.lex_state = 95, .external_lex_state = 2},
  [1786] = {.lex_state = 87, .external_lex_state = 2},
  [1787] = {.lex_state = 92, .external_lex_state = 2},
  [1788] = {.lex_state = 92, .external_lex_state = 2},
  [1789] = {.lex_state = 25, .external_lex_state = 9},
  [1790] = {.lex_state = 25, .external_lex_state = 10},
  [1791] = {.lex_state = 92, .external_lex_state = 2},
  [1792] = {.lex_state = 25, .external_lex_state = 10},
  [1793] = {.lex_state = 92, .external_lex_state = 2},
  [1794] = {.lex_state = 25, .external_lex_state = 9},
  [1795] = {.lex_state = 24, .external_lex_state = 8},
  [1796] = {.lex_state = 95, .external_lex_state = 2},
  [1797] = {.lex_state = 25, .external_lex_state = 10},
  [1798] = {.lex_state = 92, .external_lex_state = 2},
  [1799] = {.lex_state = 92, .external_lex_state = 2},
  [1800] = {.lex_state = 19, .external_lex_state = 7},
  [1801] = {.lex_state = 92, .external_lex_state = 2},
  [1802] = {.lex_state = 25, .external_lex_state = 10},
  [1803] = {.lex_state = 25, .external_lex_state = 10},
  [1804] = {.lex_state = 25, .external_lex_state = 9},
  [1805] = {.lex_state = 25, .external_lex_state = 9},
  [1806] = {.lex_state = 25, .external_lex_state = 9},
  [1807] = {.lex_state = 92, .external_lex_state = 2},
  [1808] = {.lex_state = 93, .external_lex_state = 2},
  [1809] = {.lex_state = 93, .external_lex_state = 2},
  [1810] = {.lex_state = 17, .external_lex_state = 7},
  [1811] = {.lex_state = 93, .external_lex_state = 2},
  [1812] = {.lex_state = 87, .external_lex_state = 2},
  [1813] = {.lex_state = 93, .external_lex_state = 2},
  [1814] = {.lex_state = 93, .external_lex_state = 2},
  [1815] = {.lex_state = 93, .external_lex_state = 2},
  [1816] = {.lex_state = 12, .external_lex_state = 8},
  [1817] = {.lex_state = 93, .external_lex_state = 2},
  [1818] = {.lex_state = 93, .external_lex_state = 2},
  [1819] = {.lex_state = 20, .external_lex_state = 2},
  [1820] = {.lex_state = 20, .external_lex_state = 2},
  [1821] = {.lex_state = 92, .external_lex_state = 2},
  [1822] = {.lex_state = 93, .external_lex_state = 2},
  [1823] = {.lex_state = 93, .external_lex_state = 2},
  [1824] = {.lex_state = 93, .external_lex_state = 2},
  [1825] = {.lex_state = 92, .external_lex_state = 2},
  [1826] = {.lex_state = 93, .external_lex_state = 2},
  [1827] = {.lex_state = 20, .external_lex_state = 2},
  [1828] = {.lex_state = 93, .external_lex_state = 2},
  [1829] = {.lex_state = 20, .external_lex_state = 2},
  [1830] = {.lex_state = 92, .external_lex_state = 2},
  [1831] = {.lex_state = 20, .external_lex_state = 2},
  [1832] = {.lex_state = 93, .external_lex_state = 2},
  [1833] = {.lex_state = 93, .external_lex_state = 2},
  [1834] = {.lex_state = 31, .external_lex_state = 2},
  [1835] = {.lex_state = 93, .external_lex_state = 2},
  [1836] = {.lex_state = 95, .external_lex_state = 2},
  [1837] = {.lex_state = 93, .external_lex_state = 2},
  [1838] = {.lex_state = 93, .external_lex_state = 2},
  [1839] = {.lex_state = 93, .external_lex_state = 2},
  [1840] = {.lex_state = 20, .external_lex_state = 2},
  [1841] = {.lex_state = 93, .external_lex_state = 2},
  [1842] = {.lex_state = 20, .external_lex_state = 2},
  [1843] = {.lex_state = 20, .external_lex_state = 2},
  [1844] = {.lex_state = 93, .external_lex_state = 2},
  [1845] = {.lex_state = 93, .external_lex_state = 2},
  [1846] = {.lex_state = 31, .external_lex_state = 2},
  [1847] = {.lex_state = 93, .external_lex_state = 2},
  [1848] = {.lex_state = 93, .external_lex_state = 2},
  [1849] = {.lex_state = 93, .external_lex_state = 2},
  [1850] = {.lex_state = 93, .external_lex_state = 2},
  [1851] = {.lex_state = 93, .external_lex_state = 2},
  [1852] = {.lex_state = 93, .external_lex_state = 2},
  [1853] = {.lex_state = 20, .external_lex_state = 2},
  [1854] = {.lex_state = 92, .external_lex_state = 2},
  [1855] = {.lex_state = 87, .external_lex_state = 2},
  [1856] = {.lex_state = 93, .external_lex_state = 2},
  [1857] = {.lex_state = 20, .external_lex_state = 2},
  [1858] = {.lex_state = 20, .external_lex_state = 2},
  [1859] = {.lex_state = 92, .external_lex_state = 2},
  [1860] = {.lex_state = 20, .external_lex_state = 2},
  [1861] = {.lex_state = 93, .external_lex_state = 2},
  [1862] = {.lex_state = 92, .external_lex_state = 2},
  [1863] = {.lex_state = 93, .external_lex_state = 2},
  [1864] = {.lex_state = 93, .external_lex_state = 2},
  [1865] = {.lex_state = 92, .external_lex_state = 2},
  [1866] = {.lex_state = 92, .external_lex_state = 2},
  [1867] = {.lex_state = 12, .external_lex_state = 8},
  [1868] = {.lex_state = 27, .external_lex_state = 9},
  [1869] = {.lex_state = 93, .external_lex_state = 2},
  [1870] = {.lex_state = 93, .external_lex_state = 2},
  [1871] = {.lex_state = 92, .external_lex_state = 2},
  [1872] = {.lex_state = 20, .external_lex_state = 2},
  [1873] = {.lex_state = 20, .external_lex_state = 2},
  [1874] = {.lex_state = 20, .external_lex_state = 2},
  [1875] = {.lex_state = 92, .external_lex_state = 2},
  [1876] = {.lex_state = 92, .external_lex_state = 2},
  [1877] = {.lex_state = 92, .external_lex_state = 2},
  [1878] = {.lex_state = 20, .external_lex_state = 2},
  [1879] = {.lex_state = 95, .external_lex_state = 2},
  [1880] = {.lex_state = 27, .external_lex_state = 10},
  [1881] = {.lex_state = 92, .external_lex_state = 2},
  [1882] = {.lex_state = 20, .external_lex_state = 2},
  [1883] = {.lex_state = 17, .external_lex_state = 7},
  [1884] = {.lex_state = 20, .external_lex_state = 2},
  [1885] = {.lex_state = 93, .external_lex_state = 2},
  [1886] = {.lex_state = 93, .external_lex_state = 2},
  [1887] = {.lex_state = 20, .external_lex_state = 2},
  [1888] = {.lex_state = 95, .external_lex_state = 2},
  [1889] = {.lex_state = 93, .external_lex_state = 2},
  [1890] = {.lex_state = 93, .external_lex_state = 2},
  [1891] = {.lex_state = 20, .external_lex_state = 2},
  [1892] = {.lex_state = 93, .external_lex_state = 2},
  [1893] = {.lex_state = 93, .external_lex_state = 2},
  [1894] = {.lex_state = 92, .external_lex_state = 2},
  [1895] = {.lex_state = 92, .external_lex_state = 2},
  [1896] = {.lex_state = 25, .external_lex_state = 9},
  [1897] = {.lex_state = 20, .external_lex_state = 2},
  [1898] = {.lex_state = 92, .external_lex_state = 2},
  [1899] = {.lex_state = 92, .external_lex_state = 2},
  [1900] = {.lex_state = 25, .external_lex_state = 10},
  [1901] = {.lex_state = 16, .external_lex_state = 2},
  [1902] = {.lex_state = 92, .external_lex_state = 2},
  [1903] = {.lex_state = 92, .external_lex_state = 2},
  [1904] = {.lex_state = 92, .external_lex_state = 2},
  [1905] = {.lex_state = 92, .external_lex_state = 2},
  [1906] = {.lex_state = 92, .external_lex_state = 2},
  [1907] = {.lex_state = 17, .external_lex_state = 3},
  [1908] = {.lex_state = 92, .external_lex_state = 2},
  [1909] = {.lex_state = 92, .external_lex_state = 2},
  [1910] = {.lex_state = 93, .external_lex_state = 2},
  [1911] = {.lex_state = 20, .external_lex_state = 2},
  [1912] = {.lex_state = 92, .external_lex_state = 2},
  [1913] = {.lex_state = 25, .external_lex_state = 9},
  [1914] = {.lex_state = 16, .external_lex_state = 2},
  [1915] = {.lex_state = 92, .external_lex_state = 2},
  [1916] = {.lex_state = 92, .external_lex_state = 2},
  [1917] = {.lex_state = 92, .external_lex_state = 2},
  [1918] = {.lex_state = 92, .external_lex_state = 2},
  [1919] = {.lex_state = 87, .external_lex_state = 2},
  [1920] = {.lex_state = 16, .external_lex_state = 2},
  [1921] = {.lex_state = 92, .external_lex_state = 2},
  [1922] = {.lex_state = 92, .external_lex_state = 2},
  [1923] = {.lex_state = 92, .external_lex_state = 2},
  [1924] = {.lex_state = 16, .external_lex_state = 2},
  [1925] = {.lex_state = 12, .external_lex_state = 4},
  [1926] = {.lex_state = 92, .external_lex_state = 2},
  [1927] = {.lex_state = 92, .external_lex_state = 2},
  [1928] = {.lex_state = 92, .external_lex_state = 2},
  [1929] = {.lex_state = 17, .external_lex_state = 3},
  [1930] = {.lex_state = 92, .external_lex_state = 2},
  [1931] = {.lex_state = 92, .external_lex_state = 2},
  [1932] = {.lex_state = 92, .external_lex_state = 2},
  [1933] = {.lex_state = 92, .external_lex_state = 2},
  [1934] = {.lex_state = 92, .external_lex_state = 2},
  [1935] = {.lex_state = 92, .external_lex_state = 2},
  [1936] = {.lex_state = 92, .external_lex_state = 2},
  [1937] = {.lex_state = 16, .external_lex_state = 2},
  [1938] = {.lex_state = 92, .external_lex_state = 2},
  [1939] = {.lex_state = 20, .external_lex_state = 2},
  [1940] = {.lex_state = 12, .external_lex_state = 4},
  [1941] = {.lex_state = 92, .external_lex_state = 2},
  [1942] = {.lex_state = 92, .external_lex_state = 2},
  [1943] = {.lex_state = 92, .external_lex_state = 2},
  [1944] = {.lex_state = 20, .external_lex_state = 2},
  [1945] = {.lex_state = 20, .external_lex_state = 2},
  [1946] = {.lex_state = 92, .external_lex_state = 2},
  [1947] = {.lex_state = 16, .external_lex_state = 2},
  [1948] = {.lex_state = 20, .external_lex_state = 2},
  [1949] = {.lex_state = 92, .external_lex_state = 2},
  [1950] = {.lex_state = 92, .external_lex_state = 2},
  [1951] = {.lex_state = 16, .external_lex_state = 2},
  [1952] = {.lex_state = 92, .external_lex_state = 2},
  [1953] = {.lex_state = 20, .external_lex_state = 2},
  [1954] = {.lex_state = 16, .external_lex_state = 2},
  [1955] = {.lex_state = 92, .external_lex_state = 2},
  [1956] = {.lex_state = 20, .external_lex_state = 2},
  [1957] = {.lex_state = 92, .external_lex_state = 2},
  [1958] = {.lex_state = 92, .external_lex_state = 2},
  [1959] = {.lex_state = 12, .external_lex_state = 4},
  [1960] = {.lex_state = 87, .external_lex_state = 2},
  [1961] = {.lex_state = 12, .external_lex_state = 4},
  [1962] = {.lex_state = 20, .external_lex_state = 2},
  [1963] = {.lex_state = 20, .external_lex_state = 2},
  [1964] = {.lex_state = 92, .external_lex_state = 2},
  [1965] = {.lex_state = 92, .external_lex_state = 2},
  [1966] = {.lex_state = 92, .external_lex_state = 2},
  [1967] = {.lex_state = 92, .external_lex_state = 2},
  [1968] = {.lex_state = 20, .external_lex_state = 2},
  [1969] = {.lex_state = 25, .external_lex_state = 10},
  [1970] = {.lex_state = 92, .external_lex_state = 2},
  [1971] = {.lex_state = 92, .external_lex_state = 2},
  [1972] = {.lex_state = 87, .external_lex_state = 2},
  [1973] = {.lex_state = 20, .external_lex_state = 2},
  [1974] = {.lex_state = 92, .external_lex_state = 2},
  [1975] = {.lex_state = 92, .external_lex_state = 2},
  [1976] = {.lex_state = 0, .external_lex_state = 2},
  [1977] = {.lex_state = 92, .external_lex_state = 2},
  [1978] = {.lex_state = 12, .external_lex_state = 4},
  [1979] = {.lex_state = 20, .external_lex_state = 2},
  [1980] = {.lex_state = 92, .external_lex_state = 2},
  [1981] = {.lex_state = 17, .external_lex_state = 3},
  [1982] = {.lex_state = 92, .external_lex_state = 2},
  [1983] = {.lex_state = 92, .external_lex_state = 2},
  [1984] = {.lex_state = 17, .external_lex_state = 3},
  [1985] = {.lex_state = 17, .external_lex_state = 3},
  [1986] = {.lex_state = 92, .external_lex_state = 2},
  [1987] = {.lex_state = 25, .external_lex_state = 6},
  [1988] = {.lex_state = 25, .external_lex_state = 6},
  [1989] = {.lex_state = 92, .external_lex_state = 2},
  [1990] = {.lex_state = 92, .external_lex_state = 2},
  [1991] = {.lex_state = 87, .external_lex_state = 2},
  [1992] = {.lex_state = 92, .external_lex_state = 2},
  [1993] = {.lex_state = 92, .external_lex_state = 2},
  [1994] = {.lex_state = 92, .external_lex_state = 2},
  [1995] = {.lex_state = 92, .external_lex_state = 2},
  [1996] = {.lex_state = 93, .external_lex_state = 2},
  [1997] = {.lex_state = 92, .external_lex_state = 2},
  [1998] = {.lex_state = 92, .external_lex_state = 2},
  [1999] = {.lex_state = 92, .external_lex_state = 2},
  [2000] = {.lex_state = 87, .external_lex_state = 2},
  [2001] = {.lex_state = 25, .external_lex_state = 6},
  [2002] = {.lex_state = 25, .external_lex_state = 5},
  [2003] = {.lex_state = 92, .external_lex_state = 2},
  [2004] = {.lex_state = 92, .external_lex_state = 2},
  [2005] = {.lex_state = 92, .external_lex_state = 2},
  [2006] = {.lex_state = 25, .external_lex_state = 5},
  [2007] = {.lex_state = 92, .external_lex_state = 2},
  [2008] = {.lex_state = 25, .external_lex_state = 5},
  [2009] = {.lex_state = 92, .external_lex_state = 2},
  [2010] = {.lex_state = 93, .external_lex_state = 2},
  [2011] = {.lex_state = 92, .external_lex_state = 2},
  [2012] = {.lex_state = 92, .external_lex_state = 2},
  [2013] = {.lex_state = 92, .external_lex_state = 2},
  [2014] = {.lex_state = 0, .external_lex_state = 2},
  [2015] = {.lex_state = 92, .external_lex_state = 2},
  [2016] = {.lex_state = 92, .external_lex_state = 2},
  [2017] = {.lex_state = 92, .external_lex_state = 2},
  [2018] = {.lex_state = 92, .external_lex_state = 2},
  [2019] = {.lex_state = 92, .external_lex_state = 2},
  [2020] = {.lex_state = 92, .external_lex_state = 2},
  [2021] = {.lex_state = 25, .external_lex_state = 5},
  [2022] = {.lex_state = 92, .external_lex_state = 2},
  [2023] = {.lex_state = 25, .external_lex_state = 5},
  [2024] = {.lex_state = 87, .external_lex_state = 2},
  [2025] = {.lex_state = 92, .external_lex_state = 2},
  [2026] = {.lex_state = 87, .external_lex_state = 2},
  [2027] = {.lex_state = 92, .external_lex_state = 2},
  [2028] = {.lex_state = 92, .external_lex_state = 2},
  [2029] = {.lex_state = 87, .external_lex_state = 2},
  [2030] = {.lex_state = 93, .external_lex_state = 2},
  [2031] = {.lex_state = 25, .external_lex_state = 6},
  [2032] = {.lex_state = 0, .external_lex_state = 2},
  [2033] = {.lex_state = 92, .external_lex_state = 2},
  [2034] = {.lex_state = 87, .external_lex_state = 2},
  [2035] = {.lex_state = 92, .external_lex_state = 2},
  [2036] = {.lex_state = 20, .external_lex_state = 2},
  [2037] = {.lex_state = 87, .external_lex_state = 2},
  [2038] = {.lex_state = 93, .external_lex_state = 2},
  [2039] = {.lex_state = 92, .external_lex_state = 2},
  [2040] = {.lex_state = 25, .external_lex_state = 6},
  [2041] = {.lex_state = 87, .external_lex_state = 2},
  [2042] = {.lex_state = 92, .external_lex_state = 2},
  [2043] = {.lex_state = 92, .external_lex_state = 2},
  [2044] = {.lex_state = 87, .external_lex_state = 2},
  [2045] = {.lex_state = 0, .external_lex_state = 2},
  [2046] = {.lex_state = 92, .external_lex_state = 2},
  [2047] = {.lex_state = 0, .external_lex_state = 2},
  [2048] = {.lex_state = 0, .external_lex_state = 2},
  [2049] = {.lex_state = 92, .external_lex_state = 2},
  [2050] = {.lex_state = 92, .external_lex_state = 2},
  [2051] = {.lex_state = 87, .external_lex_state = 2},
  [2052] = {.lex_state = 92, .external_lex_state = 2},
  [2053] = {.lex_state = 92, .external_lex_state = 2},
  [2054] = {.lex_state = 92, .external_lex_state = 2},
  [2055] = {.lex_state = 92, .external_lex_state = 2},
  [2056] = {.lex_state = 0, .external_lex_state = 2},
  [2057] = {.lex_state = 92, .external_lex_state = 2},
  [2058] = {.lex_state = 92, .external_lex_state = 2},
  [2059] = {.lex_state = 0, .external_lex_state = 2},
  [2060] = {.lex_state = 92, .external_lex_state = 2},
  [2061] = {.lex_state = 92, .external_lex_state = 2},
  [2062] = {.lex_state = 87, .external_lex_state = 2},
  [2063] = {.lex_state = 92, .external_lex_state = 2},
  [2064] = {.lex_state = 0, .external_lex_state = 2},
  [2065] = {.lex_state = 92, .external_lex_state = 2},
  [2066] = {.lex_state = 92, .external_lex_state = 2},
  [2067] = {.lex_state = 92, .external_lex_state = 2},
  [2068] = {.lex_state = 92, .external_lex_state = 2},
  [2069] = {.lex_state = 87, .external_lex_state = 2},
  [2070] = {.lex_state = 92, .external_lex_state = 2},
  [2071] = {.lex_state = 87, .external_lex_state = 2},
  [2072] = {.lex_state = 92, .external_lex_state = 2},
  [2073] = {.lex_state = 92, .external_lex_state = 2},
  [2074] = {.lex_state = 92, .external_lex_state = 2},
  [2075] = {.lex_state = 87, .external_lex_state = 2},
  [2076] = {.lex_state = 92, .external_lex_state = 2},
  [2077] = {.lex_state = 0, .external_lex_state = 2},
  [2078] = {.lex_state = 92, .external_lex_state = 2},
  [2079] = {.lex_state = 92, .external_lex_state = 2},
  [2080] = {.lex_state = 92, .external_lex_state = 2},
  [2081] = {.lex_state = 92, .external_lex_state = 2},
  [2082] = {.lex_state = 92, .external_lex_state = 2},
  [2083] = {.lex_state = 0, .external_lex_state = 2},
  [2084] = {.lex_state = 92, .external_lex_state = 2},
  [2085] = {.lex_state = 92, .external_lex_state = 2},
  [2086] = {.lex_state = 92, .external_lex_state = 2},
  [2087] = {.lex_state = 92, .external_lex_state = 2},
  [2088] = {.lex_state = 87, .external_lex_state = 2},
  [2089] = {.lex_state = 92, .external_lex_state = 2},
  [2090] = {.lex_state = 92, .external_lex_state = 2},
  [2091] = {.lex_state = 87, .external_lex_state = 2},
  [2092] = {.lex_state = 92, .external_lex_state = 2},
  [2093] = {.lex_state = 92, .external_lex_state = 2},
  [2094] = {.lex_state = 0, .external_lex_state = 2},
  [2095] = {.lex_state = 92, .external_lex_state = 2},
  [2096] = {.lex_state = 0, .external_lex_state = 2},
  [2097] = {.lex_state = 0, .external_lex_state = 2},
  [2098] = {.lex_state = 92, .external_lex_state = 2},
  [2099] = {.lex_state = 0, .external_lex_state = 2},
  [2100] = {.lex_state = 0, .external_lex_state = 2},
  [2101] = {.lex_state = 92, .external_lex_state = 2},
  [2102] = {.lex_state = 0, .external_lex_state = 2},
  [2103] = {.lex_state = 0, .external_lex_state = 2},
  [2104] = {.lex_state = 0, .external_lex_state = 2},
  [2105] = {.lex_state = 0, .external_lex_state = 2},
  [2106] = {.lex_state = 0, .external_lex_state = 2},
  [2107] = {.lex_state = 0, .external_lex_state = 2},
  [2108] = {.lex_state = 0, .external_lex_state = 2},
  [2109] = {.lex_state = 0, .external_lex_state = 2},
  [2110] = {.lex_state = 0, .external_lex_state = 2},
  [2111] = {.lex_state = 0, .external_lex_state = 2},
  [2112] = {.lex_state = 0, .external_lex_state = 2},
  [2113] = {.lex_state = 0, .external_lex_state = 2},
  [2114] = {.lex_state = 92, .external_lex_state = 2},
  [2115] = {.lex_state = 0, .external_lex_state = 2},
  [2116] = {.lex_state = 92, .external_lex_state = 2},
  [2117] = {.lex_state = 0, .external_lex_state = 2},
  [2118] = {.lex_state = 0, .external_lex_state = 2},
  [2119] = {.lex_state = 92, .external_lex_state = 2},
  [2120] = {.lex_state = 0, .external_lex_state = 2},
  [2121] = {.lex_state = 92, .external_lex_state = 2},
  [2122] = {.lex_state = 92, .external_lex_state = 2},
  [2123] = {.lex_state = 92, .external_lex_state = 2},
  [2124] = {.lex_state = 0, .external_lex_state = 2},
  [2125] = {.lex_state = 0, .external_lex_state = 2},
  [2126] = {.lex_state = 0, .external_lex_state = 2},
  [2127] = {.lex_state = 92, .external_lex_state = 2},
  [2128] = {.lex_state = 0, .external_lex_state = 2},
  [2129] = {.lex_state = 92, .external_lex_state = 2},
  [2130] = {.lex_state = 0, .external_lex_state = 2},
  [2131] = {.lex_state = 92, .external_lex_state = 2},
  [2132] = {.lex_state = 0, .external_lex_state = 2},
  [2133] = {.lex_state = 87, .external_lex_state = 2},
  [2134] = {.lex_state = 0, .external_lex_state = 2},
  [2135] = {.lex_state = 0, .external_lex_state = 2},
  [2136] = {.lex_state = 92, .external_lex_state = 2},
  [2137] = {.lex_state = 0, .external_lex_state = 2},
  [2138] = {.lex_state = 44, .external_lex_state = 2},
  [2139] = {.lex_state = 92, .external_lex_state = 2},
  [2140] = {.lex_state = 0, .external_lex_state = 2},
  [2141] = {.lex_state = 0, .external_lex_state = 2},
  [2142] = {.lex_state = 92, .external_lex_state = 2},
  [2143] = {.lex_state = 0, .external_lex_state = 2},
  [2144] = {.lex_state = 0, .external_lex_state = 2},
  [2145] = {.lex_state = 0, .external_lex_state = 2},
  [2146] = {.lex_state = 0, .external_lex_state = 2},
  [2147] = {.lex_state = 92, .external_lex_state = 2},
  [2148] = {.lex_state = 92, .external_lex_state = 2},
  [2149] = {.lex_state = 0, .external_lex_state = 2},
  [2150] = {.lex_state = 0, .external_lex_state = 2},
  [2151] = {.lex_state = 0, .external_lex_state = 2},
  [2152] = {.lex_state = 0, .external_lex_state = 2},
  [2153] = {.lex_state = 0, .external_lex_state = 2},
  [2154] = {.lex_state = 0, .external_lex_state = 2},
  [2155] = {.lex_state = 0, .external_lex_state = 2},
  [2156] = {.lex_state = 0, .external_lex_state = 2},
  [2157] = {.lex_state = 0, .external_lex_state = 2},
  [2158] = {.lex_state = 0, .external_lex_state = 2},
  [2159] = {.lex_state = 92, .external_lex_state = 2},
  [2160] = {.lex_state = 0, .external_lex_state = 2},
  [2161] = {.lex_state = 0, .external_lex_state = 2},
  [2162] = {.lex_state = 92, .external_lex_state = 2},
  [2163] = {.lex_state = 92, .external_lex_state = 2},
  [2164] = {.lex_state = 0, .external_lex_state = 2},
  [2165] = {.lex_state = 92, .external_lex_state = 2},
  [2166] = {.lex_state = 0, .external_lex_state = 2},
  [2167] = {.lex_state = 0, .external_lex_state = 2},
  [2168] = {.lex_state = 0, .external_lex_state = 2},
  [2169] = {.lex_state = 0, .external_lex_state = 2},
  [2170] = {.lex_state = 92, .external_lex_state = 2},
  [2171] = {.lex_state = 92, .external_lex_state = 2},
  [2172] = {.lex_state = 92, .external_lex_state = 2},
  [2173] = {.lex_state = 0, .external_lex_state = 2},
  [2174] = {.lex_state = 0, .external_lex_state = 2},
  [2175] = {.lex_state = 0, .external_lex_state = 2},
  [2176] = {.lex_state = 0, .external_lex_state = 2},
  [2177] = {.lex_state = 0, .external_lex_state = 2},
  [2178] = {.lex_state = 0, .external_lex_state = 2},
  [2179] = {.lex_state = 0, .external_lex_state = 2},
  [2180] = {.lex_state = 0, .external_lex_state = 2},
  [2181] = {.lex_state = 92, .external_lex_state = 2},
  [2182] = {.lex_state = 92, .external_lex_state = 2},
  [2183] = {.lex_state = 0, .external_lex_state = 2},
  [2184] = {.lex_state = 92, .external_lex_state = 2},
  [2185] = {.lex_state = 0, .external_lex_state = 2},
  [2186] = {.lex_state = 0, .external_lex_state = 2},
  [2187] = {.lex_state = 92, .external_lex_state = 2},
  [2188] = {.lex_state = 87, .external_lex_state = 2},
  [2189] = {.lex_state = 0, .external_lex_state = 2},
  [2190] = {.lex_state = 92, .external_lex_state = 2},
  [2191] = {.lex_state = 0, .external_lex_state = 2},
  [2192] = {.lex_state = 92, .external_lex_state = 2},
  [2193] = {.lex_state = 92, .external_lex_state = 2},
  [2194] = {.lex_state = 92, .external_lex_state = 2},
  [2195] = {.lex_state = 87, .external_lex_state = 2},
  [2196] = {.lex_state = 0, .external_lex_state = 2},
  [2197] = {.lex_state = 0, .external_lex_state = 2},
  [2198] = {.lex_state = 0, .external_lex_state = 2},
  [2199] = {.lex_state = 92, .external_lex_state = 2},
  [2200] = {.lex_state = 92, .external_lex_state = 2},
  [2201] = {.lex_state = 92, .external_lex_state = 2},
  [2202] = {.lex_state = 0, .external_lex_state = 2},
  [2203] = {.lex_state = 0, .external_lex_state = 2},
  [2204] = {.lex_state = 0, .external_lex_state = 2},
  [2205] = {.lex_state = 0, .external_lex_state = 2},
  [2206] = {.lex_state = 0, .external_lex_state = 2},
  [2207] = {.lex_state = 0, .external_lex_state = 2},
  [2208] = {.lex_state = 0, .external_lex_state = 2},
  [2209] = {.lex_state = 92, .external_lex_state = 2},
  [2210] = {.lex_state = 0, .external_lex_state = 2},
  [2211] = {.lex_state = 0, .external_lex_state = 2},
  [2212] = {.lex_state = 92, .external_lex_state = 2},
  [2213] = {.lex_state = 92, .external_lex_state = 2},
  [2214] = {.lex_state = 92, .external_lex_state = 2},
  [2215] = {.lex_state = 92, .external_lex_state = 2},
  [2216] = {.lex_state = 0, .external_lex_state = 2},
  [2217] = {.lex_state = 92, .external_lex_state = 2},
  [2218] = {.lex_state = 92, .external_lex_state = 2},
  [2219] = {.lex_state = 92, .external_lex_state = 2},
  [2220] = {.lex_state = 0, .external_lex_state = 2},
  [2221] = {.lex_state = 92, .external_lex_state = 2},
  [2222] = {.lex_state = 0, .external_lex_state = 2},
  [2223] = {.lex_state = 0, .external_lex_state = 2},
  [2224] = {.lex_state = 0, .external_lex_state = 2},
  [2225] = {.lex_state = 0, .external_lex_state = 2},
  [2226] = {.lex_state = 0, .external_lex_state = 2},
  [2227] = {.lex_state = 0, .external_lex_state = 2},
  [2228] = {.lex_state = 92, .external_lex_state = 2},
  [2229] = {.lex_state = 0, .external_lex_state = 2},
  [2230] = {.lex_state = 0, .external_lex_state = 2},
  [2231] = {.lex_state = 92, .external_lex_state = 2},
  [2232] = {.lex_state = 0, .external_lex_state = 2},
  [2233] = {.lex_state = 92, .external_lex_state = 2},
  [2234] = {.lex_state = 92, .external_lex_state = 2},
  [2235] = {.lex_state = 0, .external_lex_state = 2},
  [2236] = {.lex_state = 0, .external_lex_state = 2},
  [2237] = {.lex_state = 0, .external_lex_state = 2},
  [2238] = {.lex_state = 0, .external_lex_state = 2},
  [2239] = {.lex_state = 92, .external_lex_state = 2},
  [2240] = {.lex_state = 0, .external_lex_state = 2},
  [2241] = {.lex_state = 0, .external_lex_state = 2},
  [2242] = {.lex_state = 92, .external_lex_state = 2},
  [2243] = {.lex_state = 0, .external_lex_state = 2},
  [2244] = {.lex_state = 92, .external_lex_state = 2},
  [2245] = {.lex_state = 0, .external_lex_state = 2},
  [2246] = {.lex_state = 87, .external_lex_state = 2},
  [2247] = {.lex_state = 0, .external_lex_state = 2},
  [2248] = {.lex_state = 92, .external_lex_state = 2},
  [2249] = {.lex_state = 0, .external_lex_state = 2},
  [2250] = {.lex_state = 92, .external_lex_state = 2},
  [2251] = {.lex_state = 0, .external_lex_state = 2},
  [2252] = {.lex_state = 44, .external_lex_state = 2},
  [2253] = {.lex_state = 0, .external_lex_state = 2},
  [2254] = {.lex_state = 92, .external_lex_state = 2},
  [2255] = {.lex_state = 92, .external_lex_state = 2},
  [2256] = {.lex_state = 0, .external_lex_state = 2},
  [2257] = {.lex_state = 92, .external_lex_state = 2},
  [2258] = {.lex_state = 0, .external_lex_state = 2},
  [2259] = {.lex_state = 0, .external_lex_state = 2},
  [2260] = {.lex_state = 92, .external_lex_state = 2},
  [2261] = {.lex_state = 0, .external_lex_state = 2},
  [2262] = {.lex_state = 92, .external_lex_state = 2},
  [2263] = {.lex_state = 0, .external_lex_state = 2},
  [2264] = {.lex_state = 0, .external_lex_state = 2},
  [2265] = {.lex_state = 0, .external_lex_state = 2},
  [2266] = {.lex_state = 92, .external_lex_state = 2},
  [2267] = {.lex_state = 0, .external_lex_state = 2},
  [2268] = {.lex_state = 0, .external_lex_state = 2},
  [2269] = {.lex_state = 0, .external_lex_state = 2},
  [2270] = {.lex_state = 0, .external_lex_state = 2},
  [2271] = {.lex_state = 92, .external_lex_state = 2},
  [2272] = {.lex_state = 0, .external_lex_state = 2},
  [2273] = {.lex_state = 0, .external_lex_state = 2},
  [2274] = {.lex_state = 0, .external_lex_state = 2},
  [2275] = {.lex_state = 0, .external_lex_state = 2},
  [2276] = {.lex_state = 0, .external_lex_state = 2},
  [2277] = {.lex_state = 0, .external_lex_state = 2},
  [2278] = {.lex_state = 0, .external_lex_state = 2},
  [2279] = {.lex_state = 92, .external_lex_state = 2},
  [2280] = {.lex_state = 0, .external_lex_state = 2},
  [2281] = {.lex_state = 0, .external_lex_state = 2},
  [2282] = {.lex_state = 0, .external_lex_state = 2},
  [2283] = {.lex_state = 92, .external_lex_state = 2},
  [2284] = {.lex_state = 92, .external_lex_state = 2},
  [2285] = {.lex_state = 0, .external_lex_state = 2},
  [2286] = {.lex_state = 92, .external_lex_state = 2},
  [2287] = {.lex_state = 0, .external_lex_state = 2},
  [2288] = {.lex_state = 0, .external_lex_state = 2},
  [2289] = {.lex_state = 0, .external_lex_state = 2},
  [2290] = {.lex_state = 92, .external_lex_state = 2},
  [2291] = {.lex_state = 0, .external_lex_state = 2},
  [2292] = {.lex_state = 92, .external_lex_state = 2},
  [2293] = {.lex_state = 0, .external_lex_state = 2},
  [2294] = {.lex_state = 0, .external_lex_state = 2},
  [2295] = {.lex_state = 0, .external_lex_state = 2},
  [2296] = {.lex_state = 44, .external_lex_state = 2},
  [2297] = {.lex_state = 0, .external_lex_state = 2},
  [2298] = {.lex_state = 92, .external_lex_state = 2},
  [2299] = {.lex_state = 0, .external_lex_state = 2},
  [2300] = {.lex_state = 92, .external_lex_state = 2},
  [2301] = {.lex_state = 44, .external_lex_state = 2},
  [2302] = {.lex_state = 92, .external_lex_state = 2},
  [2303] = {.lex_state = 0, .external_lex_state = 2},
  [2304] = {.lex_state = 0, .external_lex_state = 2},
  [2305] = {.lex_state = 0, .external_lex_state = 2},
  [2306] = {.lex_state = 92, .external_lex_state = 2},
  [2307] = {.lex_state = 0, .external_lex_state = 2},
  [2308] = {.lex_state = 0, .external_lex_state = 2},
  [2309] = {.lex_state = 92, .external_lex_state = 2},
  [2310] = {.lex_state = 92, .external_lex_state = 2},
  [2311] = {.lex_state = 0, .external_lex_state = 2},
  [2312] = {.lex_state = 0, .external_lex_state = 2},
  [2313] = {.lex_state = 0, .external_lex_state = 2},
  [2314] = {.lex_state = 92, .external_lex_state = 2},
  [2315] = {.lex_state = 0, .external_lex_state = 2},
  [2316] = {.lex_state = 92, .external_lex_state = 2},
  [2317] = {.lex_state = 0, .external_lex_state = 2},
  [2318] = {.lex_state = 92, .external_lex_state = 2},
  [2319] = {.lex_state = 92, .external_lex_state = 2},
  [2320] = {.lex_state = 0, .external_lex_state = 2},
  [2321] = {.lex_state = 0, .external_lex_state = 2},
  [2322] = {.lex_state = 92, .external_lex_state = 2},
  [2323] = {.lex_state = 92, .external_lex_state = 2},
  [2324] = {.lex_state = 92, .external_lex_state = 2},
  [2325] = {.lex_state = 0, .external_lex_state = 2},
  [2326] = {.lex_state = 0, .external_lex_state = 2},
  [2327] = {.lex_state = 0, .external_lex_state = 2},
  [2328] = {.lex_state = 0, .external_lex_state = 2},
  [2329] = {.lex_state = 0, .external_lex_state = 2},
  [2330] = {.lex_state = 0, .external_lex_state = 2},
  [2331] = {.lex_state = 0, .external_lex_state = 2},
  [2332] = {.lex_state = 0, .external_lex_state = 2},
  [2333] = {.lex_state = 0, .external_lex_state = 2},
  [2334] = {.lex_state = 0, .external_lex_state = 2},
  [2335] = {.lex_state = 0, .external_lex_state = 2},
  [2336] = {.lex_state = 0, .external_lex_state = 2},
  [2337] = {.lex_state = 92, .external_lex_state = 2},
  [2338] = {.lex_state = 0, .external_lex_state = 2},
  [2339] = {.lex_state = 0, .external_lex_state = 2},
  [2340] = {.lex_state = 0, .external_lex_state = 2},
  [2341] = {.lex_state = 0, .external_lex_state = 2},
  [2342] = {.lex_state = 92, .external_lex_state = 2},
  [2343] = {.lex_state = 92, .external_lex_state = 2},
  [2344] = {.lex_state = 0, .external_lex_state = 2},
  [2345] = {.lex_state = 92, .external_lex_state = 2},
  [2346] = {.lex_state = 92, .external_lex_state = 2},
  [2347] = {.lex_state = 0, .external_lex_state = 2},
  [2348] = {.lex_state = 0, .external_lex_state = 2},
  [2349] = {.lex_state = 0, .external_lex_state = 2},
  [2350] = {.lex_state = 0, .external_lex_state = 2},
  [2351] = {.lex_state = 92, .external_lex_state = 2},
  [2352] = {.lex_state = 0, .external_lex_state = 2},
  [2353] = {.lex_state = 0, .external_lex_state = 2},
  [2354] = {.lex_state = 0, .external_lex_state = 2},
  [2355] = {.lex_state = 0, .external_lex_state = 2},
  [2356] = {.lex_state = 0, .external_lex_state = 2},
  [2357] = {.lex_state = 0, .external_lex_state = 2},
  [2358] = {.lex_state = 0, .external_lex_state = 2},
  [2359] = {.lex_state = 0, .external_lex_state = 2},
  [2360] = {.lex_state = 92, .external_lex_state = 2},
  [2361] = {.lex_state = 0, .external_lex_state = 2},
  [2362] = {.lex_state = 0, .external_lex_state = 2},
  [2363] = {.lex_state = 0, .external_lex_state = 2},
  [2364] = {.lex_state = 0, .external_lex_state = 2},
  [2365] = {.lex_state = 0, .external_lex_state = 2},
  [2366] = {.lex_state = 0, .external_lex_state = 2},
  [2367] = {.lex_state = 0, .external_lex_state = 2},
  [2368] = {.lex_state = 0, .external_lex_state = 2},
  [2369] = {.lex_state = 0, .external_lex_state = 2},
  [2370] = {.lex_state = 0, .external_lex_state = 2},
  [2371] = {.lex_state = 0, .external_lex_state = 2},
  [2372] = {.lex_state = 0, .external_lex_state = 2},
  [2373] = {.lex_state = 0, .external_lex_state = 2},
  [2374] = {.lex_state = 0, .external_lex_state = 2},
  [2375] = {.lex_state = 0, .external_lex_state = 2},
  [2376] = {.lex_state = 0, .external_lex_state = 2},
  [2377] = {.lex_state = 0, .external_lex_state = 2},
  [2378] = {.lex_state = 0, .external_lex_state = 2},
  [2379] = {.lex_state = 0, .external_lex_state = 2},
  [2380] = {.lex_state = 0, .external_lex_state = 2},
  [2381] = {.lex_state = 0, .external_lex_state = 2},
  [2382] = {.lex_state = 0, .external_lex_state = 2},
  [2383] = {.lex_state = 0, .external_lex_state = 2},
  [2384] = {.lex_state = 0, .external_lex_state = 2},
  [2385] = {.lex_state = 0, .external_lex_state = 2},
  [2386] = {.lex_state = 0, .external_lex_state = 2},
  [2387] = {.lex_state = 92, .external_lex_state = 2},
  [2388] = {.lex_state = 0, .external_lex_state = 2},
  [2389] = {.lex_state = 0, .external_lex_state = 2},
  [2390] = {.lex_state = 0, .external_lex_state = 2},
  [2391] = {.lex_state = 0, .external_lex_state = 2},
  [2392] = {.lex_state = 87, .external_lex_state = 2},
  [2393] = {.lex_state = 0, .external_lex_state = 2},
  [2394] = {.lex_state = 0, .external_lex_state = 2},
  [2395] = {.lex_state = 0, .external_lex_state = 2},
  [2396] = {.lex_state = 0, .external_lex_state = 2},
  [2397] = {.lex_state = 0, .external_lex_state = 2},
  [2398] = {.lex_state = 92, .external_lex_state = 2},
  [2399] = {.lex_state = 92, .external_lex_state = 2},
  [2400] = {.lex_state = 87, .external_lex_state = 2},
  [2401] = {.lex_state = 0, .external_lex_state = 2},
  [2402] = {.lex_state = 0, .external_lex_state = 2},
  [2403] = {.lex_state = 0, .external_lex_state = 2},
  [2404] = {.lex_state = 92, .external_lex_state = 2},
  [2405] = {.lex_state = 87, .external_lex_state = 2},
  [2406] = {.lex_state = 0, .external_lex_state = 2},
  [2407] = {.lex_state = 0, .external_lex_state = 2},
  [2408] = {.lex_state = 0, .external_lex_state = 2},
  [2409] = {.lex_state = 0, .external_lex_state = 2},
  [2410] = {.lex_state = 0, .external_lex_state = 2},
  [2411] = {.lex_state = 0, .external_lex_state = 2},
  [2412] = {.lex_state = 0, .external_lex_state = 2},
  [2413] = {.lex_state = 92, .external_lex_state = 2},
  [2414] = {.lex_state = 0, .external_lex_state = 2},
  [2415] = {.lex_state = 92, .external_lex_state = 2},
  [2416] = {.lex_state = 0, .external_lex_state = 2},
  [2417] = {.lex_state = 0, .external_lex_state = 2},
  [2418] = {.lex_state = 0, .external_lex_state = 2},
  [2419] = {.lex_state = 93, .external_lex_state = 2},
  [2420] = {.lex_state = 0, .external_lex_state = 2},
  [2421] = {.lex_state = 0, .external_lex_state = 2},
  [2422] = {.lex_state = 92, .external_lex_state = 2},
  [2423] = {.lex_state = 0, .external_lex_state = 2},
  [2424] = {.lex_state = 0, .external_lex_state = 2},
  [2425] = {.lex_state = 0, .external_lex_state = 2},
  [2426] = {.lex_state = 0, .external_lex_state = 2},
  [2427] = {.lex_state = 0, .external_lex_state = 2},
  [2428] = {.lex_state = 0, .external_lex_state = 2},
  [2429] = {.lex_state = 0, .external_lex_state = 2},
  [2430] = {.lex_state = 0, .external_lex_state = 2},
  [2431] = {.lex_state = 0, .external_lex_state = 2},
  [2432] = {.lex_state = 92, .external_lex_state = 2},
  [2433] = {.lex_state = 0, .external_lex_state = 2},
  [2434] = {.lex_state = 92, .external_lex_state = 2},
  [2435] = {.lex_state = 0, .external_lex_state = 2},
  [2436] = {.lex_state = 0, .external_lex_state = 2},
  [2437] = {.lex_state = 92, .external_lex_state = 2},
  [2438] = {.lex_state = 92, .external_lex_state = 2},
  [2439] = {.lex_state = 0, .external_lex_state = 2},
  [2440] = {.lex_state = 0, .external_lex_state = 2},
  [2441] = {.lex_state = 0, .external_lex_state = 2},
  [2442] = {.lex_state = 92, .external_lex_state = 2},
  [2443] = {.lex_state = 0, .external_lex_state = 2},
  [2444] = {.lex_state = 92, .external_lex_state = 2},
  [2445] = {.lex_state = 0, .external_lex_state = 2},
  [2446] = {.lex_state = 0, .external_lex_state = 2},
  [2447] = {.lex_state = 0, .external_lex_state = 2},
  [2448] = {.lex_state = 92, .external_lex_state = 2},
  [2449] = {.lex_state = 0, .external_lex_state = 2},
  [2450] = {.lex_state = 0, .external_lex_state = 2},
  [2451] = {.lex_state = 0, .external_lex_state = 2},
  [2452] = {.lex_state = 0, .external_lex_state = 2},
  [2453] = {.lex_state = 92, .external_lex_state = 2},
  [2454] = {.lex_state = 0, .external_lex_state = 2},
  [2455] = {.lex_state = 0, .external_lex_state = 2},
  [2456] = {.lex_state = 0, .external_lex_state = 2},
  [2457] = {.lex_state = 92, .external_lex_state = 2},
  [2458] = {.lex_state = 0, .external_lex_state = 2},
  [2459] = {.lex_state = 92, .external_lex_state = 2},
  [2460] = {.lex_state = 0, .external_lex_state = 2},
  [2461] = {.lex_state = 92, .external_lex_state = 2},
  [2462] = {.lex_state = 0, .external_lex_state = 2},
  [2463] = {.lex_state = 87, .external_lex_state = 2},
  [2464] = {.lex_state = 0, .external_lex_state = 2},
  [2465] = {.lex_state = 0, .external_lex_state = 2},
  [2466] = {.lex_state = 0, .external_lex_state = 2},
  [2467] = {.lex_state = 0, .external_lex_state = 2},
  [2468] = {.lex_state = 0, .external_lex_state = 2},
  [2469] = {.lex_state = 0, .external_lex_state = 2},
  [2470] = {.lex_state = 0, .external_lex_state = 2},
  [2471] = {.lex_state = 0, .external_lex_state = 2},
  [2472] = {.lex_state = 0, .external_lex_state = 2},
  [2473] = {.lex_state = 92, .external_lex_state = 2},
  [2474] = {.lex_state = 0, .external_lex_state = 2},
  [2475] = {.lex_state = 0, .external_lex_state = 2},
  [2476] = {.lex_state = 0, .external_lex_state = 2},
  [2477] = {.lex_state = 0, .external_lex_state = 2},
  [2478] = {.lex_state = 92, .external_lex_state = 2},
  [2479] = {.lex_state = 0, .external_lex_state = 2},
  [2480] = {.lex_state = 0, .external_lex_state = 2},
  [2481] = {.lex_state = 17, .external_lex_state = 2},
  [2482] = {.lex_state = 0, .external_lex_state = 2},
  [2483] = {.lex_state = 0, .external_lex_state = 2},
  [2484] = {.lex_state = 0, .external_lex_state = 2},
  [2485] = {.lex_state = 92, .external_lex_state = 2},
  [2486] = {.lex_state = 92, .external_lex_state = 2},
  [2487] = {.lex_state = 0, .external_lex_state = 2},
  [2488] = {.lex_state = 92, .external_lex_state = 2},
  [2489] = {.lex_state = 92, .external_lex_state = 2},
  [2490] = {.lex_state = 92, .external_lex_state = 2},
  [2491] = {.lex_state = 92, .external_lex_state = 2},
  [2492] = {.lex_state = 92, .external_lex_state = 2},
  [2493] = {.lex_state = 0, .external_lex_state = 2},
  [2494] = {.lex_state = 0, .external_lex_state = 2},
  [2495] = {.lex_state = 0, .external_lex_state = 2},
  [2496] = {.lex_state = 0, .external_lex_state = 2},
  [2497] = {.lex_state = 0, .external_lex_state = 2},
  [2498] = {.lex_state = 0, .external_lex_state = 2},
  [2499] = {.lex_state = 0, .external_lex_state = 2},
  [2500] = {.lex_state = 0, .external_lex_state = 2},
  [2501] = {.lex_state = 0, .external_lex_state = 2},
  [2502] = {.lex_state = 0, .external_lex_state = 2},
  [2503] = {.lex_state = 0, .external_lex_state = 2},
  [2504] = {.lex_state = 0, .external_lex_state = 2},
  [2505] = {.lex_state = 0, .external_lex_state = 2},
  [2506] = {.lex_state = 0, .external_lex_state = 2},
  [2507] = {.lex_state = 0, .external_lex_state = 2},
  [2508] = {.lex_state = 0, .external_lex_state = 2},
  [2509] = {.lex_state = 92, .external_lex_state = 2},
  [2510] = {.lex_state = 0, .external_lex_state = 2},
  [2511] = {.lex_state = 0, .external_lex_state = 2},
  [2512] = {.lex_state = 0, .external_lex_state = 2},
  [2513] = {.lex_state = 0, .external_lex_state = 2},
  [2514] = {.lex_state = 0, .external_lex_state = 2},
  [2515] = {.lex_state = 0, .external_lex_state = 2},
  [2516] = {.lex_state = 0, .external_lex_state = 2},
  [2517] = {.lex_state = 0, .external_lex_state = 2},
  [2518] = {.lex_state = 0, .external_lex_state = 2},
  [2519] = {.lex_state = 0, .external_lex_state = 2},
  [2520] = {.lex_state = 0, .external_lex_state = 2},
  [2521] = {.lex_state = 0, .external_lex_state = 2},
  [2522] = {.lex_state = 0, .external_lex_state = 2},
  [2523] = {.lex_state = 92, .external_lex_state = 2},
  [2524] = {.lex_state = 0, .external_lex_state = 2},
  [2525] = {.lex_state = 0, .external_lex_state = 2},
  [2526] = {.lex_state = 0, .external_lex_state = 2},
  [2527] = {.lex_state = 92, .external_lex_state = 2},
  [2528] = {.lex_state = 92, .external_lex_state = 2},
  [2529] = {.lex_state = 0, .external_lex_state = 2},
  [2530] = {.lex_state = 0, .external_lex_state = 2},
  [2531] = {.lex_state = 0, .external_lex_state = 2},
  [2532] = {.lex_state = 0, .external_lex_state = 2},
  [2533] = {.lex_state = 0, .external_lex_state = 2},
  [2534] = {.lex_state = 0, .external_lex_state = 2},
  [2535] = {.lex_state = 92, .external_lex_state = 2},
  [2536] = {.lex_state = 0, .external_lex_state = 2},
  [2537] = {.lex_state = 0, .external_lex_state = 2},
  [2538] = {.lex_state = 92, .external_lex_state = 2},
  [2539] = {.lex_state = 92, .external_lex_state = 2},
  [2540] = {.lex_state = 92, .external_lex_state = 2},
  [2541] = {.lex_state = 92, .external_lex_state = 2},
  [2542] = {.lex_state = 92, .external_lex_state = 2},
  [2543] = {.lex_state = 0, .external_lex_state = 2},
  [2544] = {.lex_state = 92, .external_lex_state = 2},
  [2545] = {.lex_state = 0, .external_lex_state = 2},
  [2546] = {.lex_state = 0, .external_lex_state = 2},
  [2547] = {.lex_state = 0, .external_lex_state = 2},
  [2548] = {.lex_state = 0, .external_lex_state = 2},
  [2549] = {.lex_state = 0, .external_lex_state = 2},
  [2550] = {.lex_state = 0, .external_lex_state = 2},
  [2551] = {.lex_state = 0, .external_lex_state = 2},
  [2552] = {.lex_state = 0, .external_lex_state = 2},
  [2553] = {.lex_state = 0, .external_lex_state = 2},
  [2554] = {.lex_state = 92, .external_lex_state = 2},
  [2555] = {.lex_state = 0, .external_lex_state = 2},
  [2556] = {.lex_state = 0, .external_lex_state = 2},
  [2557] = {.lex_state = 0, .external_lex_state = 2},
  [2558] = {.lex_state = 92, .external_lex_state = 2},
  [2559] = {.lex_state = 0, .external_lex_state = 2},
  [2560] = {.lex_state = 92, .external_lex_state = 2},
  [2561] = {.lex_state = 0, .external_lex_state = 2},
  [2562] = {.lex_state = 92, .external_lex_state = 2},
  [2563] = {.lex_state = 92, .external_lex_state = 2},
  [2564] = {.lex_state = 92, .external_lex_state = 2},
  [2565] = {.lex_state = 92, .external_lex_state = 2},
  [2566] = {.lex_state = 92, .external_lex_state = 2},
  [2567] = {.lex_state = 92, .external_lex_state = 2},
  [2568] = {.lex_state = 92, .external_lex_state = 2},
  [2569] = {.lex_state = 1, .external_lex_state = 2},
  [2570] = {.lex_state = 92, .external_lex_state = 2},
  [2571] = {.lex_state = 0, .external_lex_state = 2},
  [2572] = {.lex_state = 92, .external_lex_state = 2},
  [2573] = {.lex_state = 0, .external_lex_state = 2},
  [2574] = {.lex_state = 92, .external_lex_state = 2},
  [2575] = {.lex_state = 92, .external_lex_state = 2},
  [2576] = {.lex_state = 0, .external_lex_state = 2},
  [2577] = {.lex_state = 0, .external_lex_state = 2},
  [2578] = {.lex_state = 92, .external_lex_state = 2},
  [2579] = {.lex_state = 92, .external_lex_state = 2},
  [2580] = {.lex_state = 0, .external_lex_state = 2},
  [2581] = {.lex_state = 92, .external_lex_state = 2},
  [2582] = {.lex_state = 0, .external_lex_state = 2},
  [2583] = {.lex_state = 0, .external_lex_state = 2},
  [2584] = {.lex_state = 0, .external_lex_state = 2},
  [2585] = {.lex_state = 92, .external_lex_state = 2},
  [2586] = {.lex_state = 92, .external_lex_state = 2},
  [2587] = {.lex_state = 92, .external_lex_state = 2},
  [2588] = {.lex_state = 0, .external_lex_state = 2},
  [2589] = {.lex_state = 92, .external_lex_state = 2},
  [2590] = {.lex_state = 0, .external_lex_state = 2},
  [2591] = {.lex_state = 0, .external_lex_state = 2},
  [2592] = {.lex_state = 0, .external_lex_state = 2},
  [2593] = {.lex_state = 0, .external_lex_state = 2},
  [2594] = {.lex_state = 0, .external_lex_state = 2},
  [2595] = {.lex_state = 92, .external_lex_state = 2},
  [2596] = {.lex_state = 92, .external_lex_state = 2},
  [2597] = {.lex_state = 0, .external_lex_state = 2},
  [2598] = {.lex_state = 0, .external_lex_state = 2},
  [2599] = {.lex_state = 0, .external_lex_state = 2},
  [2600] = {.lex_state = 92, .external_lex_state = 2},
  [2601] = {.lex_state = 92, .external_lex_state = 2},
  [2602] = {.lex_state = 92, .external_lex_state = 2},
  [2603] = {.lex_state = 0, .external_lex_state = 2},
  [2604] = {.lex_state = 92, .external_lex_state = 2},
  [2605] = {.lex_state = 92, .external_lex_state = 2},
  [2606] = {.lex_state = 92, .external_lex_state = 2},
  [2607] = {.lex_state = 92, .external_lex_state = 2},
  [2608] = {.lex_state = 0, .external_lex_state = 2},
  [2609] = {.lex_state = 92, .external_lex_state = 2},
  [2610] = {.lex_state = 92, .external_lex_state = 2},
  [2611] = {.lex_state = 92, .external_lex_state = 2},
  [2612] = {.lex_state = 92, .external_lex_state = 2},
  [2613] = {.lex_state = 0, .external_lex_state = 2},
  [2614] = {.lex_state = 92, .external_lex_state = 2},
  [2615] = {.lex_state = 92, .external_lex_state = 2},
  [2616] = {.lex_state = 92, .external_lex_state = 2},
  [2617] = {.lex_state = 87, .external_lex_state = 2},
  [2618] = {.lex_state = 0, .external_lex_state = 2},
  [2619] = {.lex_state = 92, .external_lex_state = 2},
  [2620] = {.lex_state = 92, .external_lex_state = 2},
  [2621] = {.lex_state = 92, .external_lex_state = 2},
  [2622] = {.lex_state = 0, .external_lex_state = 2},
  [2623] = {.lex_state = 0, .external_lex_state = 2},
  [2624] = {.lex_state = 92, .external_lex_state = 2},
  [2625] = {.lex_state = 87, .external_lex_state = 2},
  [2626] = {.lex_state = 92, .external_lex_state = 2},
  [2627] = {.lex_state = 87, .external_lex_state = 2},
  [2628] = {.lex_state = 87, .external_lex_state = 2},
  [2629] = {.lex_state = 87, .external_lex_state = 2},
  [2630] = {.lex_state = 87, .external_lex_state = 2},
  [2631] = {.lex_state = 92, .external_lex_state = 2},
  [2632] = {.lex_state = 92, .external_lex_state = 2},
  [2633] = {.lex_state = 92, .external_lex_state = 2},
  [2634] = {.lex_state = 92, .external_lex_state = 2},
  [2635] = {.lex_state = 0, .external_lex_state = 2},
  [2636] = {.lex_state = 92, .external_lex_state = 2},
  [2637] = {.lex_state = 92, .external_lex_state = 2},
  [2638] = {.lex_state = 92, .external_lex_state = 2},
  [2639] = {.lex_state = 92, .external_lex_state = 2},
  [2640] = {.lex_state = 0, .external_lex_state = 2},
  [2641] = {.lex_state = 0, .external_lex_state = 2},
  [2642] = {.lex_state = 0, .external_lex_state = 2},
  [2643] = {.lex_state = 92, .external_lex_state = 2},
  [2644] = {.lex_state = 0, .external_lex_state = 2},
  [2645] = {.lex_state = 92, .external_lex_state = 2},
  [2646] = {.lex_state = 92, .external_lex_state = 2},
  [2647] = {.lex_state = 92, .external_lex_state = 2},
  [2648] = {.lex_state = 0, .external_lex_state = 2},
  [2649] = {.lex_state = 0, .external_lex_state = 2},
  [2650] = {.lex_state = 17, .external_lex_state = 2},
  [2651] = {.lex_state = 92, .external_lex_state = 2},
  [2652] = {.lex_state = 92, .external_lex_state = 2},
  [2653] = {.lex_state = 0, .external_lex_state = 2},
  [2654] = {.lex_state = 92, .external_lex_state = 2},
  [2655] = {.lex_state = 92, .external_lex_state = 2},
  [2656] = {.lex_state = 0, .external_lex_state = 2},
  [2657] = {.lex_state = 92, .external_lex_state = 2},
  [2658] = {.lex_state = 0, .external_lex_state = 2},
  [2659] = {.lex_state = 92, .external_lex_state = 2},
  [2660] = {.lex_state = 0, .external_lex_state = 2},
  [2661] = {.lex_state = 0, .external_lex_state = 2},
  [2662] = {.lex_state = 92, .external_lex_state = 2},
  [2663] = {.lex_state = 92, .external_lex_state = 2},
  [2664] = {.lex_state = 92, .external_lex_state = 2},
  [2665] = {.lex_state = 92, .external_lex_state = 2},
  [2666] = {.lex_state = 92, .external_lex_state = 2},
  [2667] = {.lex_state = 87, .external_lex_state = 2},
  [2668] = {.lex_state = 0, .external_lex_state = 2},
  [2669] = {.lex_state = 0, .external_lex_state = 2},
  [2670] = {.lex_state = 0, .external_lex_state = 2},
  [2671] = {.lex_state = 92, .external_lex_state = 2},
  [2672] = {.lex_state = 0, .external_lex_state = 2},
  [2673] = {.lex_state = 92, .external_lex_state = 2},
  [2674] = {.lex_state = 0, .external_lex_state = 2},
  [2675] = {.lex_state = 0, .external_lex_state = 2},
  [2676] = {.lex_state = 0, .external_lex_state = 2},
  [2677] = {.lex_state = 0, .external_lex_state = 2},
  [2678] = {.lex_state = 92, .external_lex_state = 2},
  [2679] = {.lex_state = 92, .external_lex_state = 2},
  [2680] = {.lex_state = 92, .external_lex_state = 2},
  [2681] = {.lex_state = 0, .external_lex_state = 2},
  [2682] = {.lex_state = 0, .external_lex_state = 2},
  [2683] = {.lex_state = 0, .external_lex_state = 2},
  [2684] = {.lex_state = 0, .external_lex_state = 2},
  [2685] = {.lex_state = 0, .external_lex_state = 2},
  [2686] = {.lex_state = 0, .external_lex_state = 2},
  [2687] = {.lex_state = 92, .external_lex_state = 2},
  [2688] = {.lex_state = 92, .external_lex_state = 2},
  [2689] = {.lex_state = 0, .external_lex_state = 2},
  [2690] = {.lex_state = 92, .external_lex_state = 2},
  [2691] = {.lex_state = 0, .external_lex_state = 2},
  [2692] = {.lex_state = 2, .external_lex_state = 2},
  [2693] = {.lex_state = 0, .external_lex_state = 2},
  [2694] = {.lex_state = 0, .external_lex_state = 2},
  [2695] = {.lex_state = 92, .external_lex_state = 2},
  [2696] = {.lex_state = 92, .external_lex_state = 2},
  [2697] = {.lex_state = 0, .external_lex_state = 2},
  [2698] = {.lex_state = 92, .external_lex_state = 2},
  [2699] = {.lex_state = 0, .external_lex_state = 2},
  [2700] = {.lex_state = 92, .external_lex_state = 2},
  [2701] = {.lex_state = 0, .external_lex_state = 2},
  [2702] = {.lex_state = 92, .external_lex_state = 2},
  [2703] = {.lex_state = 0, .external_lex_state = 2},
  [2704] = {.lex_state = 0, .external_lex_state = 2},
  [2705] = {.lex_state = 0, .external_lex_state = 2},
  [2706] = {.lex_state = 0, .external_lex_state = 2},
  [2707] = {.lex_state = 0, .external_lex_state = 2},
  [2708] = {.lex_state = 0, .external_lex_state = 2},
  [2709] = {.lex_state = 0, .external_lex_state = 2},
  [2710] = {.lex_state = 92, .external_lex_state = 2},
  [2711] = {.lex_state = 92, .external_lex_state = 2},
  [2712] = {.lex_state = 92, .external_lex_state = 2},
  [2713] = {.lex_state = 92, .external_lex_state = 2},
  [2714] = {.lex_state = 0, .external_lex_state = 2},
  [2715] = {.lex_state = 0, .external_lex_state = 2},
  [2716] = {.lex_state = 0, .external_lex_state = 2},
  [2717] = {.lex_state = 92, .external_lex_state = 2},
  [2718] = {.lex_state = 0, .external_lex_state = 2},
  [2719] = {.lex_state = 0, .external_lex_state = 2},
  [2720] = {.lex_state = 0, .external_lex_state = 2},
  [2721] = {.lex_state = 0, .external_lex_state = 2},
  [2722] = {.lex_state = 0, .external_lex_state = 2},
  [2723] = {.lex_state = 0, .external_lex_state = 2},
  [2724] = {.lex_state = 92, .external_lex_state = 2},
  [2725] = {.lex_state = 0, .external_lex_state = 2},
  [2726] = {.lex_state = 0, .external_lex_state = 2},
  [2727] = {.lex_state = 0, .external_lex_state = 2},
  [2728] = {.lex_state = 0, .external_lex_state = 2},
  [2729] = {.lex_state = 0, .external_lex_state = 2},
  [2730] = {.lex_state = 0, .external_lex_state = 2},
  [2731] = {.lex_state = 0, .external_lex_state = 2},
  [2732] = {.lex_state = 87, .external_lex_state = 2},
  [2733] = {.lex_state = 0, .external_lex_state = 2},
  [2734] = {.lex_state = 0, .external_lex_state = 2},
  [2735] = {.lex_state = 87, .external_lex_state = 2},
  [2736] = {.lex_state = 92, .external_lex_state = 2},
  [2737] = {.lex_state = 0, .external_lex_state = 2},
  [2738] = {.lex_state = 92, .external_lex_state = 2},
  [2739] = {.lex_state = 92, .external_lex_state = 2},
  [2740] = {.lex_state = 92, .external_lex_state = 2},
  [2741] = {.lex_state = 0, .external_lex_state = 2},
  [2742] = {.lex_state = 0, .external_lex_state = 2},
  [2743] = {.lex_state = 92, .external_lex_state = 2},
  [2744] = {.lex_state = 279, .external_lex_state = 2},
  [2745] = {.lex_state = 35, .external_lex_state = 2},
  [2746] = {.lex_state = 265, .external_lex_state = 2},
  [2747] = {.lex_state = 87, .external_lex_state = 2},
  [2748] = {(TSStateId)(-1)},
  [2749] = {(TSStateId)(-1)},
  [2750] = {(TSStateId)(-1)},
  [2751] = {(TSStateId)(-1)},
  [2752] = {(TSStateId)(-1)},
};

enum {
  ts_external_token__template_chars_double = 0,
  ts_external_token__template_chars_single = 1,
  ts_external_token__template_chars_double_single = 2,
  ts_external_token__template_chars_single_single = 3,
  ts_external_token__template_chars_raw_slash = 4,
  ts_external_token__block_comment = 5,
  ts_external_token__documentation_block_comment = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__template_chars_double] = sym__template_chars_double,
  [ts_external_token__template_chars_single] = sym__template_chars_single,
  [ts_external_token__template_chars_double_single] = sym__template_chars_double_single,
  [ts_external_token__template_chars_single_single] = sym__template_chars_single_single,
  [ts_external_token__template_chars_raw_slash] = sym__template_chars_raw_slash,
  [ts_external_token__block_comment] = sym__block_comment,
  [ts_external_token__documentation_block_comment] = sym__documentation_block_comment,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__template_chars_double] = true,
    [ts_external_token__template_chars_single] = true,
    [ts_external_token__template_chars_double_single] = true,
    [ts_external_token__template_chars_single_single] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [2] = {
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [3] = {
    [ts_external_token__template_chars_double] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [4] = {
    [ts_external_token__template_chars_single] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [5] = {
    [ts_external_token__template_chars_double_single] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars_single_single] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [7] = {
    [ts_external_token__template_chars_double] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [8] = {
    [ts_external_token__template_chars_single] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [9] = {
    [ts_external_token__template_chars_double_single] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [10] = {
    [ts_external_token__template_chars_single_single] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [sym_documentation_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hex_integer_literal] = ACTIONS(1),
    [sym_decimal_floating_point_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_r_DQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_r_SQUOTE] = ACTIONS(1),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym__unused_escape_sequence] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [sym_equality_operator] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [sym__additive_operator] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_TILDE_SLASH] = ACTIONS(1),
    [sym_increment_operator] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [sym_minus_operator] = ACTIONS(1),
    [sym__exclamation_operator] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_transitive] = ACTIONS(1),
    [anon_sym_part] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_show] = ACTIONS(1),
    [anon_sym_hide] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extension] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_super] = ACTIONS(1),
    [sym_floating_point_type] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [sym_void_type] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_async_STAR] = ACTIONS(1),
    [anon_sym_sync_STAR] = ACTIONS(1),
    [anon_sym_throws] = ACTIONS(1),
    [anon_sym_POUND_BANG] = ACTIONS(1),
    [anon_sym_library] = ACTIONS(1),
    [sym__break_builtin] = ACTIONS(1),
    [sym__assert_builtin] = ACTIONS(1),
    [sym_case_builtin] = ACTIONS(1),
    [anon_sym_covariant] = ACTIONS(1),
    [anon_sym_deferred] = ACTIONS(1),
    [anon_sym_dynamic] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_factory] = ACTIONS(1),
    [anon_sym_Function] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_native] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_mixin] = ACTIONS(1),
    [anon_sym_required] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [sym_const_builtin] = ACTIONS(1),
    [sym_final_builtin] = ACTIONS(1),
    [anon_sym_late] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__template_chars_double] = ACTIONS(1),
    [sym__template_chars_single] = ACTIONS(1),
    [sym__template_chars_double_single] = ACTIONS(1),
    [sym__template_chars_single_single] = ACTIONS(1),
    [sym__template_chars_raw_slash] = ACTIONS(1),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [1] = {
    [sym_program] = STATE(2672),
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2211),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_or_export] = STATE(382),
    [sym_library_import] = STATE(378),
    [sym_library_export] = STATE(378),
    [sym_import_specification] = STATE(377),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(433),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym_script_tag] = STATE(2),
    [sym_library_name] = STATE(7),
    [sym__covariant] = STATE(1484),
    [sym__export] = STATE(1463),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__import] = STATE(1471),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(1),
    [sym_documentation_comment] = STATE(1),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_program_repeat2] = STATE(8),
    [aux_sym_program_repeat3] = STATE(16),
    [aux_sym_program_repeat4] = STATE(18),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(13),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(17),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_POUND_BANG] = ACTIONS(101),
    [anon_sym_library] = ACTIONS(103),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [2] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2128),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_or_export] = STATE(382),
    [sym_library_import] = STATE(378),
    [sym_library_export] = STATE(378),
    [sym_import_specification] = STATE(377),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(433),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym_library_name] = STATE(4),
    [sym__covariant] = STATE(1484),
    [sym__export] = STATE(1463),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__import] = STATE(1471),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(2),
    [sym_documentation_comment] = STATE(2),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_program_repeat2] = STATE(11),
    [aux_sym_program_repeat3] = STATE(14),
    [aux_sym_program_repeat4] = STATE(23),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_library] = ACTIONS(103),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [3] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2097),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_or_export] = STATE(382),
    [sym_library_import] = STATE(378),
    [sym_library_export] = STATE(378),
    [sym_import_specification] = STATE(377),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(458),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__export] = STATE(1463),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__import] = STATE(1471),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(3),
    [sym_documentation_comment] = STATE(3),
    [aux_sym_program_repeat1] = STATE(306),
    [aux_sym_program_repeat2] = STATE(10),
    [aux_sym_program_repeat3] = STATE(15),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [4] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2097),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_or_export] = STATE(382),
    [sym_library_import] = STATE(378),
    [sym_library_export] = STATE(378),
    [sym_import_specification] = STATE(377),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(458),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__export] = STATE(1463),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__import] = STATE(1471),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(4),
    [sym_documentation_comment] = STATE(4),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_program_repeat2] = STATE(10),
    [aux_sym_program_repeat3] = STATE(15),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [5] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2128),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_or_export] = STATE(382),
    [sym_library_import] = STATE(378),
    [sym_library_export] = STATE(378),
    [sym_import_specification] = STATE(377),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(458),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__export] = STATE(1463),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__import] = STATE(1471),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(5),
    [sym_documentation_comment] = STATE(5),
    [aux_sym_program_repeat1] = STATE(306),
    [aux_sym_program_repeat2] = STATE(11),
    [aux_sym_program_repeat3] = STATE(14),
    [aux_sym_program_repeat4] = STATE(23),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [6] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2320),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_or_export] = STATE(382),
    [sym_library_import] = STATE(378),
    [sym_library_export] = STATE(378),
    [sym_import_specification] = STATE(377),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(458),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__export] = STATE(1463),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__import] = STATE(1471),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(6),
    [sym_documentation_comment] = STATE(6),
    [aux_sym_program_repeat1] = STATE(306),
    [aux_sym_program_repeat2] = STATE(9),
    [aux_sym_program_repeat3] = STATE(12),
    [aux_sym_program_repeat4] = STATE(17),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [7] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2128),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_or_export] = STATE(382),
    [sym_library_import] = STATE(378),
    [sym_library_export] = STATE(378),
    [sym_import_specification] = STATE(377),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(458),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__export] = STATE(1463),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__import] = STATE(1471),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(7),
    [sym_documentation_comment] = STATE(7),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_program_repeat2] = STATE(11),
    [aux_sym_program_repeat3] = STATE(14),
    [aux_sym_program_repeat4] = STATE(23),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [8] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2128),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(504),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(8),
    [sym_documentation_comment] = STATE(8),
    [aux_sym_program_repeat2] = STATE(332),
    [aux_sym_program_repeat3] = STATE(14),
    [aux_sym_program_repeat4] = STATE(23),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [9] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2125),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(504),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(9),
    [sym_documentation_comment] = STATE(9),
    [aux_sym_program_repeat2] = STATE(332),
    [aux_sym_program_repeat3] = STATE(13),
    [aux_sym_program_repeat4] = STATE(22),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [10] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2320),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(504),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(10),
    [sym_documentation_comment] = STATE(10),
    [aux_sym_program_repeat2] = STATE(332),
    [aux_sym_program_repeat3] = STATE(12),
    [aux_sym_program_repeat4] = STATE(17),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [11] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2097),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_directive] = STATE(400),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(504),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(11),
    [sym_documentation_comment] = STATE(11),
    [aux_sym_program_repeat2] = STATE(332),
    [aux_sym_program_repeat3] = STATE(15),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [12] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2125),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(501),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(12),
    [sym_documentation_comment] = STATE(12),
    [aux_sym_program_repeat3] = STATE(331),
    [aux_sym_program_repeat4] = STATE(22),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [13] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2251),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(501),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(13),
    [sym_documentation_comment] = STATE(13),
    [aux_sym_program_repeat3] = STATE(331),
    [aux_sym_program_repeat4] = STATE(20),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(149),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [14] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2097),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(501),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(14),
    [sym_documentation_comment] = STATE(14),
    [aux_sym_program_repeat3] = STATE(331),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [15] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2320),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(501),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(15),
    [sym_documentation_comment] = STATE(15),
    [aux_sym_program_repeat3] = STATE(331),
    [aux_sym_program_repeat4] = STATE(17),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [16] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2128),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_of_directive] = STATE(394),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(501),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(16),
    [sym_documentation_comment] = STATE(16),
    [aux_sym_program_repeat3] = STATE(331),
    [aux_sym_program_repeat4] = STATE(23),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [17] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2125),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(532),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(17),
    [sym_documentation_comment] = STATE(17),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [18] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2128),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(532),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(18),
    [sym_documentation_comment] = STATE(18),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [19] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2320),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(532),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(19),
    [sym_documentation_comment] = STATE(19),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [20] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2303),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(532),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(20),
    [sym_documentation_comment] = STATE(20),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [21] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(532),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(21),
    [sym_documentation_comment] = STATE(21),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(153),
    [sym_identifier] = ACTIONS(155),
    [anon_sym_POUND] = ACTIONS(158),
    [sym_decimal_integer_literal] = ACTIONS(161),
    [sym_hex_integer_literal] = ACTIONS(164),
    [sym_decimal_floating_point_literal] = ACTIONS(161),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(170),
    [anon_sym_DQUOTE] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(176),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(182),
    [anon_sym_r_DQUOTE] = ACTIONS(185),
    [anon_sym_r_SQUOTE] = ACTIONS(188),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(191),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(194),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LBRACK] = ACTIONS(200),
    [anon_sym_null] = ACTIONS(203),
    [anon_sym_throw] = ACTIONS(206),
    [anon_sym_LPAREN] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(212),
    [sym_increment_operator] = ACTIONS(215),
    [sym_minus_operator] = ACTIONS(218),
    [sym__exclamation_operator] = ACTIONS(221),
    [anon_sym_TILDE] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(230),
    [anon_sym_do] = ACTIONS(233),
    [anon_sym_while] = ACTIONS(236),
    [anon_sym_continue] = ACTIONS(239),
    [anon_sym_yield] = ACTIONS(242),
    [anon_sym_return] = ACTIONS(245),
    [anon_sym_try] = ACTIONS(248),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_for] = ACTIONS(254),
    [anon_sym_AT] = ACTIONS(257),
    [anon_sym_enum] = ACTIONS(260),
    [anon_sym_abstract] = ACTIONS(263),
    [anon_sym_class] = ACTIONS(266),
    [anon_sym_extension] = ACTIONS(269),
    [anon_sym_super] = ACTIONS(272),
    [sym_void_type] = ACTIONS(275),
    [anon_sym_var] = ACTIONS(278),
    [sym__break_builtin] = ACTIONS(281),
    [sym__assert_builtin] = ACTIONS(284),
    [anon_sym_covariant] = ACTIONS(287),
    [anon_sym_Function] = ACTIONS(290),
    [anon_sym_get] = ACTIONS(293),
    [anon_sym_mixin] = ACTIONS(296),
    [anon_sym_set] = ACTIONS(299),
    [anon_sym_typedef] = ACTIONS(302),
    [anon_sym_new] = ACTIONS(305),
    [sym_const_builtin] = ACTIONS(308),
    [sym_final_builtin] = ACTIONS(311),
    [anon_sym_late] = ACTIONS(314),
    [anon_sym_external] = ACTIONS(317),
    [anon_sym_this] = ACTIONS(320),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [22] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2251),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(532),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(22),
    [sym_documentation_comment] = STATE(22),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(149),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [23] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(407),
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2097),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(407),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(532),
    [sym_type_parameters] = STATE(2132),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(23),
    [sym_documentation_comment] = STATE(23),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [24] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2243),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1933),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_element] = STATE(2049),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_for_element] = STATE(2049),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(24),
    [sym_documentation_comment] = STATE(24),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(44),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(327),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [25] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2243),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1933),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_element] = STATE(2049),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_for_element] = STATE(2049),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(25),
    [sym_documentation_comment] = STATE(25),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(44),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(327),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [26] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2243),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1933),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_element] = STATE(2049),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_for_element] = STATE(2049),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(26),
    [sym_documentation_comment] = STATE(26),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(44),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(327),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [27] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(496),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_switch_label] = STATE(496),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(2136),
    [sym_comment] = STATE(27),
    [sym_documentation_comment] = STATE(27),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_switch_block_repeat1] = STATE(28),
    [aux_sym_switch_case_repeat1] = STATE(2028),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(347),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [sym_case_builtin] = ACTIONS(349),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [28] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(496),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_switch_label] = STATE(496),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(2136),
    [sym_comment] = STATE(28),
    [sym_documentation_comment] = STATE(28),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_switch_block_repeat1] = STATE(28),
    [aux_sym_switch_case_repeat1] = STATE(2028),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(351),
    [anon_sym_POUND] = ACTIONS(354),
    [sym_decimal_integer_literal] = ACTIONS(357),
    [sym_hex_integer_literal] = ACTIONS(360),
    [sym_decimal_floating_point_literal] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(363),
    [anon_sym_false] = ACTIONS(366),
    [anon_sym_DQUOTE] = ACTIONS(369),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(375),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(378),
    [anon_sym_r_DQUOTE] = ACTIONS(381),
    [anon_sym_r_SQUOTE] = ACTIONS(384),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(387),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(390),
    [anon_sym_LBRACE] = ACTIONS(393),
    [anon_sym_RBRACE] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_null] = ACTIONS(401),
    [anon_sym_throw] = ACTIONS(404),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LT] = ACTIONS(410),
    [sym_increment_operator] = ACTIONS(413),
    [sym_minus_operator] = ACTIONS(416),
    [sym__exclamation_operator] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(422),
    [anon_sym_await] = ACTIONS(425),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(431),
    [anon_sym_do] = ACTIONS(434),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_continue] = ACTIONS(440),
    [anon_sym_yield] = ACTIONS(443),
    [anon_sym_return] = ACTIONS(446),
    [anon_sym_try] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(452),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_AT] = ACTIONS(458),
    [anon_sym_super] = ACTIONS(461),
    [sym_void_type] = ACTIONS(464),
    [anon_sym_var] = ACTIONS(467),
    [sym__break_builtin] = ACTIONS(470),
    [sym__assert_builtin] = ACTIONS(473),
    [sym_case_builtin] = ACTIONS(476),
    [anon_sym_covariant] = ACTIONS(479),
    [anon_sym_Function] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(485),
    [anon_sym_set] = ACTIONS(488),
    [anon_sym_new] = ACTIONS(491),
    [sym_const_builtin] = ACTIONS(494),
    [sym_final_builtin] = ACTIONS(497),
    [anon_sym_late] = ACTIONS(500),
    [anon_sym_this] = ACTIONS(503),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [29] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(496),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_switch_label] = STATE(496),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(2136),
    [sym_comment] = STATE(29),
    [sym_documentation_comment] = STATE(29),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_switch_block_repeat1] = STATE(27),
    [aux_sym_switch_case_repeat1] = STATE(2028),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(347),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [sym_case_builtin] = ACTIONS(349),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [30] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2042),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1933),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(373),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_element] = STATE(2049),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_for_element] = STATE(2049),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(30),
    [sym_documentation_comment] = STATE(30),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(327),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [31] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2065),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1933),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(359),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_element] = STATE(2049),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_for_element] = STATE(2049),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(31),
    [sym_documentation_comment] = STATE(31),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(327),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [32] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2060),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1933),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(370),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_element] = STATE(2049),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_for_element] = STATE(2049),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(32),
    [sym_documentation_comment] = STATE(32),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(327),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [33] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(33),
    [sym_documentation_comment] = STATE(33),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(41),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [34] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(34),
    [sym_documentation_comment] = STATE(34),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(41),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [35] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(35),
    [sym_documentation_comment] = STATE(35),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(40),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [36] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(36),
    [sym_documentation_comment] = STATE(36),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(43),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [37] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(37),
    [sym_documentation_comment] = STATE(37),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(44),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [38] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(38),
    [sym_documentation_comment] = STATE(38),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(34),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [39] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(39),
    [sym_documentation_comment] = STATE(39),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(44),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [40] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(40),
    [sym_documentation_comment] = STATE(40),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(41),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [41] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(41),
    [sym_documentation_comment] = STATE(41),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(41),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(522),
    [anon_sym_POUND] = ACTIONS(525),
    [sym_decimal_integer_literal] = ACTIONS(528),
    [sym_hex_integer_literal] = ACTIONS(531),
    [sym_decimal_floating_point_literal] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(534),
    [anon_sym_false] = ACTIONS(537),
    [anon_sym_DQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(546),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(549),
    [anon_sym_r_DQUOTE] = ACTIONS(552),
    [anon_sym_r_SQUOTE] = ACTIONS(555),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(558),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(561),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_LBRACK] = ACTIONS(569),
    [anon_sym_null] = ACTIONS(572),
    [anon_sym_throw] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(581),
    [sym_increment_operator] = ACTIONS(584),
    [sym_minus_operator] = ACTIONS(587),
    [sym__exclamation_operator] = ACTIONS(590),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_await] = ACTIONS(596),
    [anon_sym_switch] = ACTIONS(599),
    [anon_sym_do] = ACTIONS(602),
    [anon_sym_while] = ACTIONS(605),
    [anon_sym_continue] = ACTIONS(608),
    [anon_sym_yield] = ACTIONS(611),
    [anon_sym_return] = ACTIONS(614),
    [anon_sym_try] = ACTIONS(617),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_super] = ACTIONS(629),
    [sym_void_type] = ACTIONS(632),
    [anon_sym_var] = ACTIONS(635),
    [sym__break_builtin] = ACTIONS(638),
    [sym__assert_builtin] = ACTIONS(641),
    [anon_sym_covariant] = ACTIONS(644),
    [anon_sym_Function] = ACTIONS(647),
    [anon_sym_get] = ACTIONS(650),
    [anon_sym_set] = ACTIONS(653),
    [anon_sym_new] = ACTIONS(656),
    [sym_const_builtin] = ACTIONS(659),
    [sym_final_builtin] = ACTIONS(662),
    [anon_sym_late] = ACTIONS(665),
    [anon_sym_this] = ACTIONS(668),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [42] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(42),
    [sym_documentation_comment] = STATE(42),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(33),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [43] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(43),
    [sym_documentation_comment] = STATE(43),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(41),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(673),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [44] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(547),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(44),
    [sym_documentation_comment] = STATE(44),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym_block_repeat1] = STATE(41),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_RBRACE] = ACTIONS(675),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [45] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(349),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(45),
    [sym_documentation_comment] = STATE(45),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [46] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(373),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1862),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1327),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1860),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(46),
    [sym_documentation_comment] = STATE(46),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(679),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [47] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(370),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(47),
    [sym_documentation_comment] = STATE(47),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [48] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(349),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1862),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1327),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1860),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(48),
    [sym_documentation_comment] = STATE(48),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(679),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [49] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(370),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1862),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1327),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1860),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(49),
    [sym_documentation_comment] = STATE(49),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(679),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [50] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(366),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1862),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1327),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1860),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(50),
    [sym_documentation_comment] = STATE(50),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(679),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [51] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(2563),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1862),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1327),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1860),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(51),
    [sym_documentation_comment] = STATE(51),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(679),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [52] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(2404),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1862),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1327),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1860),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(52),
    [sym_documentation_comment] = STATE(52),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(677),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(679),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [53] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(373),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(53),
    [sym_documentation_comment] = STATE(53),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [54] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(366),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(54),
    [sym_documentation_comment] = STATE(54),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [55] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2377),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_lambda_expression] = STATE(364),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__statement] = STATE(359),
    [sym_block] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym_assert_statement] = STATE(363),
    [sym_assertion] = STATE(2668),
    [sym_switch_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_yield_statement] = STATE(363),
    [sym_yield_each_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym__try_head] = STATE(1881),
    [sym_if_statement] = STATE(363),
    [sym_while_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1338),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2053),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2033),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym_function_signature] = STATE(1884),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(355),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1903),
    [sym__set] = STATE(1903),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(55),
    [sym_documentation_comment] = STATE(55),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(343),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [56] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2243),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(981),
    [sym_type_parameters] = STATE(2132),
    [sym__declared_identifier] = STATE(1950),
    [sym__final_const_var_or_type] = STATE(2009),
    [sym__type] = STATE(2131),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_formal_parameter] = STATE(2079),
    [sym__default_named_parameter] = STATE(2115),
    [sym__normal_formal_parameter] = STATE(1931),
    [sym__function_formal_parameter] = STATE(1930),
    [sym__simple_formal_parameter] = STATE(1928),
    [sym_super_formal_parameter] = STATE(1930),
    [sym_constructor_param] = STATE(1930),
    [sym__covariant] = STATE(1505),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__required] = STATE(791),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(1078),
    [sym_super] = STATE(1069),
    [sym_comment] = STATE(56),
    [sym_documentation_comment] = STATE(56),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(687),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_required] = ACTIONS(699),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [57] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2117),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(981),
    [sym_type_parameters] = STATE(2132),
    [sym__declared_identifier] = STATE(1950),
    [sym__final_const_var_or_type] = STATE(2009),
    [sym__type] = STATE(2131),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_formal_parameter] = STATE(2114),
    [sym__default_formal_parameter] = STATE(2113),
    [sym__normal_formal_parameter] = STATE(1931),
    [sym__function_formal_parameter] = STATE(1930),
    [sym__simple_formal_parameter] = STATE(1928),
    [sym_super_formal_parameter] = STATE(1930),
    [sym_constructor_param] = STATE(1930),
    [sym__covariant] = STATE(1505),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(1078),
    [sym_super] = STATE(1071),
    [sym_comment] = STATE(57),
    [sym_documentation_comment] = STATE(57),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(703),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [58] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2583),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(981),
    [sym_type_parameters] = STATE(2132),
    [sym__declared_identifier] = STATE(1950),
    [sym__final_const_var_or_type] = STATE(2009),
    [sym__type] = STATE(2131),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__normal_formal_parameters] = STATE(2416),
    [sym_optional_formal_parameters] = STATE(2546),
    [sym__optional_postional_formal_parameters] = STATE(2548),
    [sym__named_formal_parameters] = STATE(2548),
    [sym_formal_parameter] = STATE(2141),
    [sym__normal_formal_parameter] = STATE(1931),
    [sym__function_formal_parameter] = STATE(1930),
    [sym__simple_formal_parameter] = STATE(1928),
    [sym_super_formal_parameter] = STATE(1930),
    [sym_constructor_param] = STATE(1930),
    [sym__covariant] = STATE(1505),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(1078),
    [sym_super] = STATE(1061),
    [sym_comment] = STATE(58),
    [sym_documentation_comment] = STATE(58),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [59] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2571),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(981),
    [sym_type_parameters] = STATE(2132),
    [sym__declared_identifier] = STATE(1950),
    [sym__final_const_var_or_type] = STATE(2009),
    [sym__type] = STATE(2131),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__normal_formal_parameters] = STATE(2416),
    [sym_optional_formal_parameters] = STATE(2546),
    [sym__optional_postional_formal_parameters] = STATE(2548),
    [sym__named_formal_parameters] = STATE(2548),
    [sym_formal_parameter] = STATE(2141),
    [sym__normal_formal_parameter] = STATE(1931),
    [sym__function_formal_parameter] = STATE(1930),
    [sym__simple_formal_parameter] = STATE(1928),
    [sym_super_formal_parameter] = STATE(1930),
    [sym_constructor_param] = STATE(1930),
    [sym__covariant] = STATE(1505),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(1078),
    [sym_super] = STATE(1061),
    [sym_comment] = STATE(59),
    [sym_documentation_comment] = STATE(59),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [60] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2545),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(981),
    [sym_type_parameters] = STATE(2132),
    [sym__declared_identifier] = STATE(1950),
    [sym__final_const_var_or_type] = STATE(2009),
    [sym__type] = STATE(2131),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__normal_formal_parameters] = STATE(2416),
    [sym_optional_formal_parameters] = STATE(2546),
    [sym__optional_postional_formal_parameters] = STATE(2548),
    [sym__named_formal_parameters] = STATE(2548),
    [sym_formal_parameter] = STATE(2141),
    [sym__normal_formal_parameter] = STATE(1931),
    [sym__function_formal_parameter] = STATE(1930),
    [sym__simple_formal_parameter] = STATE(1928),
    [sym_super_formal_parameter] = STATE(1930),
    [sym_constructor_param] = STATE(1930),
    [sym__covariant] = STATE(1505),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(1078),
    [sym_super] = STATE(1061),
    [sym_comment] = STATE(60),
    [sym_documentation_comment] = STATE(60),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [61] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2543),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(981),
    [sym_type_parameters] = STATE(2132),
    [sym__declared_identifier] = STATE(1950),
    [sym__final_const_var_or_type] = STATE(2009),
    [sym__type] = STATE(2131),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__normal_formal_parameters] = STATE(2416),
    [sym_optional_formal_parameters] = STATE(2546),
    [sym__optional_postional_formal_parameters] = STATE(2548),
    [sym__named_formal_parameters] = STATE(2548),
    [sym_formal_parameter] = STATE(2141),
    [sym__normal_formal_parameter] = STATE(1931),
    [sym__function_formal_parameter] = STATE(1930),
    [sym__simple_formal_parameter] = STATE(1928),
    [sym_super_formal_parameter] = STATE(1930),
    [sym_constructor_param] = STATE(1930),
    [sym__covariant] = STATE(1505),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(1078),
    [sym_super] = STATE(1061),
    [sym_comment] = STATE(61),
    [sym_documentation_comment] = STATE(61),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [62] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2064),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym__for_loop_parts] = STATE(2635),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym__metadata] = STATE(1423),
    [sym_type_parameters] = STATE(2132),
    [sym_initialized_variable_definition] = STATE(2451),
    [sym__declared_identifier] = STATE(2011),
    [sym__final_const_var_or_type] = STATE(2634),
    [sym__type] = STATE(2095),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1685),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1582),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_local_variable_declaration] = STATE(136),
    [sym__covariant] = STATE(1484),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__new_builtin] = STATE(1654),
    [sym__late_builtin] = STATE(1562),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym__semicolon] = STATE(133),
    [sym_comment] = STATE(62),
    [sym_documentation_comment] = STATE(62),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [aux_sym__metadata_repeat1] = STATE(1098),
    [sym_identifier] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(717),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(333),
    [sym_final_builtin] = ACTIONS(335),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [63] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(63),
    [sym_documentation_comment] = STATE(63),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(721),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [64] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2197),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(64),
    [sym_documentation_comment] = STATE(64),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(725),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [65] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(65),
    [sym_documentation_comment] = STATE(65),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(727),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [66] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2236),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(66),
    [sym_documentation_comment] = STATE(66),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [67] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2259),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(67),
    [sym_documentation_comment] = STATE(67),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(727),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [68] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(68),
    [sym_documentation_comment] = STATE(68),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(731),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [69] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(69),
    [sym_documentation_comment] = STATE(69),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(733),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [70] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(70),
    [sym_documentation_comment] = STATE(70),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [71] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2143),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(71),
    [sym_documentation_comment] = STATE(71),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(737),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [72] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(72),
    [sym_documentation_comment] = STATE(72),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(739),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [73] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2179),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(73),
    [sym_documentation_comment] = STATE(73),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [74] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2226),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(74),
    [sym_documentation_comment] = STATE(74),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [75] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(75),
    [sym_documentation_comment] = STATE(75),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [76] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(76),
    [sym_documentation_comment] = STATE(76),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [77] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(77),
    [sym_documentation_comment] = STATE(77),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(749),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [78] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2174),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(78),
    [sym_documentation_comment] = STATE(78),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(731),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [79] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(79),
    [sym_documentation_comment] = STATE(79),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [80] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2167),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(80),
    [sym_documentation_comment] = STATE(80),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [81] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2294),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(81),
    [sym_documentation_comment] = STATE(81),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [82] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(82),
    [sym_documentation_comment] = STATE(82),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [83] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(83),
    [sym_documentation_comment] = STATE(83),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(759),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [84] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(84),
    [sym_documentation_comment] = STATE(84),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [85] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2225),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(85),
    [sym_documentation_comment] = STATE(85),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [86] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(86),
    [sym_documentation_comment] = STATE(86),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [87] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(87),
    [sym_documentation_comment] = STATE(87),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [88] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2202),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(88),
    [sym_documentation_comment] = STATE(88),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(767),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [89] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2243),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(89),
    [sym_documentation_comment] = STATE(89),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [90] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(90),
    [sym_documentation_comment] = STATE(90),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [91] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(91),
    [sym_documentation_comment] = STATE(91),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [92] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2285),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(92),
    [sym_documentation_comment] = STATE(92),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(771),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [93] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2278),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(93),
    [sym_documentation_comment] = STATE(93),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [94] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(94),
    [sym_documentation_comment] = STATE(94),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [95] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(95),
    [sym_documentation_comment] = STATE(95),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [96] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(96),
    [sym_documentation_comment] = STATE(96),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(777),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [97] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(97),
    [sym_documentation_comment] = STATE(97),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(779),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [98] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(98),
    [sym_documentation_comment] = STATE(98),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(781),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [99] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2196),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(99),
    [sym_documentation_comment] = STATE(99),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [100] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2307),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(100),
    [sym_documentation_comment] = STATE(100),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(785),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [101] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2280),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(101),
    [sym_documentation_comment] = STATE(101),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(787),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [102] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(102),
    [sym_documentation_comment] = STATE(102),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(789),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [103] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(103),
    [sym_documentation_comment] = STATE(103),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(791),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [104] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2276),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(104),
    [sym_documentation_comment] = STATE(104),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(793),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [105] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(105),
    [sym_documentation_comment] = STATE(105),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(795),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [106] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(106),
    [sym_documentation_comment] = STATE(106),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(771),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [107] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2203),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(107),
    [sym_documentation_comment] = STATE(107),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(797),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [108] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2173),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(108),
    [sym_documentation_comment] = STATE(108),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(739),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [109] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(109),
    [sym_documentation_comment] = STATE(109),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(799),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [110] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(110),
    [sym_documentation_comment] = STATE(110),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(801),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [111] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2117),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(111),
    [sym_documentation_comment] = STATE(111),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(703),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [112] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2304),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(112),
    [sym_documentation_comment] = STATE(112),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [113] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2145),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(113),
    [sym_documentation_comment] = STATE(113),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(805),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [114] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(114),
    [sym_documentation_comment] = STATE(114),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [115] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(115),
    [sym_documentation_comment] = STATE(115),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [116] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(116),
    [sym_documentation_comment] = STATE(116),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [117] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2206),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(117),
    [sym_documentation_comment] = STATE(117),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(811),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [118] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(118),
    [sym_documentation_comment] = STATE(118),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(813),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [119] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2065),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(119),
    [sym_documentation_comment] = STATE(119),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [120] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2042),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(120),
    [sym_documentation_comment] = STATE(120),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [121] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2060),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(121),
    [sym_documentation_comment] = STATE(121),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [122] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2140),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(122),
    [sym_documentation_comment] = STATE(122),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [123] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_pair] = STATE(2049),
    [sym__element] = STATE(2043),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1999),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_spread_element] = STATE(2049),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_if_element] = STATE(2049),
    [sym_for_element] = STATE(2049),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(123),
    [sym_documentation_comment] = STATE(123),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(325),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(695),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [124] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym__argument_list] = STATE(2338),
    [sym_argument] = STATE(2048),
    [sym_named_argument] = STATE(2295),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(157),
    [sym_comment] = STATE(124),
    [sym_documentation_comment] = STATE(124),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [125] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym__argument_list] = STATE(2385),
    [sym_argument] = STATE(2048),
    [sym_named_argument] = STATE(2295),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(157),
    [sym_comment] = STATE(125),
    [sym_documentation_comment] = STATE(125),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(819),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [126] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym__argument_list] = STATE(2412),
    [sym_argument] = STATE(2048),
    [sym_named_argument] = STATE(2295),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(157),
    [sym_comment] = STATE(126),
    [sym_documentation_comment] = STATE(126),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(821),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [127] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym__argument_list] = STATE(2497),
    [sym_argument] = STATE(2048),
    [sym_named_argument] = STATE(2295),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(157),
    [sym_comment] = STATE(127),
    [sym_documentation_comment] = STATE(127),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(823),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [128] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym__argument_list] = STATE(2375),
    [sym_argument] = STATE(2048),
    [sym_named_argument] = STATE(2295),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(157),
    [sym_comment] = STATE(128),
    [sym_documentation_comment] = STATE(128),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [129] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym__argument_list] = STATE(2372),
    [sym_argument] = STATE(2048),
    [sym_named_argument] = STATE(2295),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(157),
    [sym_comment] = STATE(129),
    [sym_documentation_comment] = STATE(129),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [130] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym__argument_list] = STATE(2455),
    [sym_argument] = STATE(2048),
    [sym_named_argument] = STATE(2295),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(157),
    [sym_comment] = STATE(130),
    [sym_documentation_comment] = STATE(130),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [131] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_argument] = STATE(2428),
    [sym_named_argument] = STATE(2110),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_label] = STATE(157),
    [sym_comment] = STATE(131),
    [sym_documentation_comment] = STATE(131),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [132] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2014),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym__semicolon] = STATE(147),
    [sym_comment] = STATE(132),
    [sym_documentation_comment] = STATE(132),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(717),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [133] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2032),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym__semicolon] = STATE(142),
    [sym_comment] = STATE(133),
    [sym_documentation_comment] = STATE(133),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(717),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [134] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2403),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym__semicolon] = STATE(146),
    [sym_comment] = STATE(134),
    [sym_documentation_comment] = STATE(134),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(717),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [135] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2362),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym__semicolon] = STATE(354),
    [sym_comment] = STATE(135),
    [sym_documentation_comment] = STATE(135),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(717),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [136] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2496),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym__semicolon] = STATE(140),
    [sym_comment] = STATE(136),
    [sym_documentation_comment] = STATE(136),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(717),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [137] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2275),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(137),
    [sym_documentation_comment] = STATE(137),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [138] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2311),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(138),
    [sym_documentation_comment] = STATE(138),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(837),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [139] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2168),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(139),
    [sym_documentation_comment] = STATE(139),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [140] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2105),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(140),
    [sym_documentation_comment] = STATE(140),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [141] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2364),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(141),
    [sym_documentation_comment] = STATE(141),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(843),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [142] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2102),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(142),
    [sym_documentation_comment] = STATE(142),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(845),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [143] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2430),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(143),
    [sym_documentation_comment] = STATE(143),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [144] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2164),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(144),
    [sym_documentation_comment] = STATE(144),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(849),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [145] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2082),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(145),
    [sym_documentation_comment] = STATE(145),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_QMARK] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [146] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2282),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(146),
    [sym_documentation_comment] = STATE(146),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [147] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2157),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(147),
    [sym_documentation_comment] = STATE(147),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [148] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2454),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_argument] = STATE(2428),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(148),
    [sym_documentation_comment] = STATE(148),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [149] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1240),
    [sym__real_expression] = STATE(582),
    [sym_throw_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(1265),
    [sym_assignable_expression] = STATE(1531),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(149),
    [sym_documentation_comment] = STATE(149),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [150] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(1296),
    [sym__real_expression] = STATE(644),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1539),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(150),
    [sym_documentation_comment] = STATE(150),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [151] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(927),
    [sym__real_expression] = STATE(470),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1540),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(151),
    [sym_documentation_comment] = STATE(151),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [152] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1885),
    [sym__real_expression] = STATE(672),
    [sym_throw_expression] = STATE(1839),
    [sym_assignment_expression] = STATE(1839),
    [sym_assignable_expression] = STATE(1535),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(152),
    [sym_documentation_comment] = STATE(152),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [153] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(1558),
    [sym__real_expression] = STATE(688),
    [sym_throw_expression_without_cascade] = STATE(1553),
    [sym_assignment_expression_without_cascade] = STATE(1553),
    [sym_assignable_expression] = STATE(1530),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(153),
    [sym_documentation_comment] = STATE(153),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [154] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(1559),
    [sym__real_expression] = STATE(688),
    [sym_throw_expression_without_cascade] = STATE(1553),
    [sym_assignment_expression_without_cascade] = STATE(1553),
    [sym_assignable_expression] = STATE(1530),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(154),
    [sym_documentation_comment] = STATE(154),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [155] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2516),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(155),
    [sym_documentation_comment] = STATE(155),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [156] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(1296),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1528),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(156),
    [sym_documentation_comment] = STATE(156),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [157] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2519),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(157),
    [sym_documentation_comment] = STATE(157),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [158] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2524),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(158),
    [sym_documentation_comment] = STATE(158),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [159] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2525),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(159),
    [sym_documentation_comment] = STATE(159),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [160] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(889),
    [sym__real_expression] = STATE(470),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1540),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(160),
    [sym_documentation_comment] = STATE(160),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [161] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2505),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(161),
    [sym_documentation_comment] = STATE(161),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [162] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2502),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(162),
    [sym_documentation_comment] = STATE(162),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [163] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(1495),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1489),
    [sym_assignment_expression_without_cascade] = STATE(1489),
    [sym_assignable_expression] = STATE(1541),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(163),
    [sym_documentation_comment] = STATE(163),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [164] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(1558),
    [sym__real_expression] = STATE(663),
    [sym_throw_expression_without_cascade] = STATE(1553),
    [sym_assignment_expression_without_cascade] = STATE(1553),
    [sym_assignable_expression] = STATE(1544),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(604),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(603),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1062),
    [sym_comment] = STATE(164),
    [sym_documentation_comment] = STATE(164),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [165] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2684),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(165),
    [sym_documentation_comment] = STATE(165),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [166] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2686),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(166),
    [sym_documentation_comment] = STATE(166),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [167] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2483),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(167),
    [sym_documentation_comment] = STATE(167),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [168] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(1559),
    [sym__real_expression] = STATE(663),
    [sym_throw_expression_without_cascade] = STATE(1553),
    [sym_assignment_expression_without_cascade] = STATE(1553),
    [sym_assignable_expression] = STATE(1544),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(604),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(603),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1062),
    [sym_comment] = STATE(168),
    [sym_documentation_comment] = STATE(168),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [169] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2675),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(169),
    [sym_documentation_comment] = STATE(169),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [170] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(1236),
    [sym__real_expression] = STATE(644),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1539),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(170),
    [sym_documentation_comment] = STATE(170),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [171] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(1235),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1528),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(171),
    [sym_documentation_comment] = STATE(171),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [172] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(813),
    [sym__real_expression] = STATE(644),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1539),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(172),
    [sym_documentation_comment] = STATE(172),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [173] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1267),
    [sym__real_expression] = STATE(582),
    [sym_throw_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(1265),
    [sym_assignable_expression] = STATE(1531),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(173),
    [sym_documentation_comment] = STATE(173),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [174] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression] = STATE(943),
    [sym__real_expression] = STATE(475),
    [sym_throw_expression] = STATE(1009),
    [sym_assignment_expression] = STATE(1009),
    [sym_assignable_expression] = STATE(1548),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(595),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(594),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1079),
    [sym_comment] = STATE(174),
    [sym_documentation_comment] = STATE(174),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [175] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1822),
    [sym__real_expression] = STATE(672),
    [sym_throw_expression] = STATE(1839),
    [sym_assignment_expression] = STATE(1839),
    [sym_assignable_expression] = STATE(1535),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(175),
    [sym_documentation_comment] = STATE(175),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [176] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2410),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(176),
    [sym_documentation_comment] = STATE(176),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [177] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2709),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(177),
    [sym_documentation_comment] = STATE(177),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [178] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(895),
    [sym__real_expression] = STATE(470),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1540),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(178),
    [sym_documentation_comment] = STATE(178),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [179] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2402),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(179),
    [sym_documentation_comment] = STATE(179),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [180] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(861),
    [sym__real_expression] = STATE(492),
    [sym_throw_expression_without_cascade] = STATE(928),
    [sym_assignment_expression_without_cascade] = STATE(928),
    [sym_assignable_expression] = STATE(1527),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(180),
    [sym_documentation_comment] = STATE(180),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [181] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(1514),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1489),
    [sym_assignment_expression_without_cascade] = STATE(1489),
    [sym_assignable_expression] = STATE(1541),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(181),
    [sym_documentation_comment] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [182] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(967),
    [sym__real_expression] = STATE(515),
    [sym_throw_expression_without_cascade] = STATE(937),
    [sym_assignment_expression_without_cascade] = STATE(937),
    [sym_assignable_expression] = STATE(1532),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(595),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(594),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1079),
    [sym_comment] = STATE(182),
    [sym_documentation_comment] = STATE(182),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [183] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(957),
    [sym__real_expression] = STATE(515),
    [sym_throw_expression_without_cascade] = STATE(937),
    [sym_assignment_expression_without_cascade] = STATE(937),
    [sym_assignable_expression] = STATE(1532),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(595),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(594),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1079),
    [sym_comment] = STATE(183),
    [sym_documentation_comment] = STATE(183),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [184] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(922),
    [sym__real_expression] = STATE(688),
    [sym_throw_expression_without_cascade] = STATE(928),
    [sym_assignment_expression_without_cascade] = STATE(928),
    [sym_assignable_expression] = STATE(1542),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(184),
    [sym_documentation_comment] = STATE(184),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [185] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(933),
    [sym__real_expression] = STATE(515),
    [sym_throw_expression_without_cascade] = STATE(937),
    [sym_assignment_expression_without_cascade] = STATE(937),
    [sym_assignable_expression] = STATE(1532),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(595),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(594),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1079),
    [sym_comment] = STATE(185),
    [sym_documentation_comment] = STATE(185),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [186] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(2561),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1528),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(186),
    [sym_documentation_comment] = STATE(186),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [187] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2536),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(187),
    [sym_documentation_comment] = STATE(187),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [188] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(813),
    [sym__real_expression] = STATE(492),
    [sym_throw_expression_without_cascade] = STATE(928),
    [sym_assignment_expression_without_cascade] = STATE(928),
    [sym_assignable_expression] = STATE(1527),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(188),
    [sym_documentation_comment] = STATE(188),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [189] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2556),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(189),
    [sym_documentation_comment] = STATE(189),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [190] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(821),
    [sym__real_expression] = STATE(688),
    [sym_throw_expression_without_cascade] = STATE(928),
    [sym_assignment_expression_without_cascade] = STATE(928),
    [sym_assignable_expression] = STATE(1542),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(190),
    [sym_documentation_comment] = STATE(190),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [191] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(2537),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1528),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(191),
    [sym_documentation_comment] = STATE(191),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [192] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2532),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(192),
    [sym_documentation_comment] = STATE(192),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [193] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2534),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(193),
    [sym_documentation_comment] = STATE(193),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [194] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2186),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(194),
    [sym_documentation_comment] = STATE(194),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [195] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2467),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(195),
    [sym_documentation_comment] = STATE(195),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [196] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2593),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(196),
    [sym_documentation_comment] = STATE(196),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [197] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(821),
    [sym__real_expression] = STATE(492),
    [sym_throw_expression_without_cascade] = STATE(928),
    [sym_assignment_expression_without_cascade] = STATE(928),
    [sym_assignable_expression] = STATE(1527),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(197),
    [sym_documentation_comment] = STATE(197),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [198] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(1324),
    [sym__real_expression] = STATE(663),
    [sym_throw_expression_without_cascade] = STATE(1323),
    [sym_assignment_expression_without_cascade] = STATE(1323),
    [sym_assignable_expression] = STATE(1536),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(604),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(603),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1062),
    [sym_comment] = STATE(198),
    [sym_documentation_comment] = STATE(198),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [199] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2547),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(199),
    [sym_documentation_comment] = STATE(199),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [200] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2573),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(200),
    [sym_documentation_comment] = STATE(200),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [201] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(922),
    [sym__real_expression] = STATE(492),
    [sym_throw_expression_without_cascade] = STATE(928),
    [sym_assignment_expression_without_cascade] = STATE(928),
    [sym_assignable_expression] = STATE(1527),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(201),
    [sym_documentation_comment] = STATE(201),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [202] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(956),
    [sym__real_expression] = STATE(515),
    [sym_throw_expression_without_cascade] = STATE(937),
    [sym_assignment_expression_without_cascade] = STATE(937),
    [sym_assignable_expression] = STATE(1532),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(595),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(594),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1079),
    [sym_comment] = STATE(202),
    [sym_documentation_comment] = STATE(202),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [203] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2597),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(203),
    [sym_documentation_comment] = STATE(203),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [204] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2642),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(204),
    [sym_documentation_comment] = STATE(204),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [205] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(927),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(205),
    [sym_documentation_comment] = STATE(205),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [206] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(2641),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1528),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(206),
    [sym_documentation_comment] = STATE(206),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [207] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2590),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(207),
    [sym_documentation_comment] = STATE(207),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [208] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(2599),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1528),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(208),
    [sym_documentation_comment] = STATE(208),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [209] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1828),
    [sym__real_expression] = STATE(672),
    [sym_throw_expression] = STATE(1839),
    [sym_assignment_expression] = STATE(1839),
    [sym_assignable_expression] = STATE(1535),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(209),
    [sym_documentation_comment] = STATE(209),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [210] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2658),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(210),
    [sym_documentation_comment] = STATE(210),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [211] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2598),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(211),
    [sym_documentation_comment] = STATE(211),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [212] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2603),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(212),
    [sym_documentation_comment] = STATE(212),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [213] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2608),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(213),
    [sym_documentation_comment] = STATE(213),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [214] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2086),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(214),
    [sym_documentation_comment] = STATE(214),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [215] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(864),
    [sym__real_expression] = STATE(470),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1540),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(215),
    [sym_documentation_comment] = STATE(215),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [216] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2613),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(216),
    [sym_documentation_comment] = STATE(216),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [217] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2447),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(217),
    [sym_documentation_comment] = STATE(217),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [218] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(864),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(218),
    [sym_documentation_comment] = STATE(218),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [219] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(1549),
    [sym__real_expression] = STATE(688),
    [sym_throw_expression_without_cascade] = STATE(1553),
    [sym_assignment_expression_without_cascade] = STATE(1553),
    [sym_assignable_expression] = STATE(1530),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(219),
    [sym_documentation_comment] = STATE(219),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [220] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(1314),
    [sym__real_expression] = STATE(663),
    [sym_throw_expression_without_cascade] = STATE(1323),
    [sym_assignment_expression_without_cascade] = STATE(1323),
    [sym_assignable_expression] = STATE(1536),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(604),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(603),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1062),
    [sym_comment] = STATE(220),
    [sym_documentation_comment] = STATE(220),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [221] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(861),
    [sym__real_expression] = STATE(688),
    [sym_throw_expression_without_cascade] = STATE(928),
    [sym_assignment_expression_without_cascade] = STATE(928),
    [sym_assignable_expression] = STATE(1542),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(221),
    [sym_documentation_comment] = STATE(221),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [222] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2618),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(222),
    [sym_documentation_comment] = STATE(222),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [223] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2622),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(223),
    [sym_documentation_comment] = STATE(223),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [224] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(2656),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1528),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(224),
    [sym_documentation_comment] = STATE(224),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [225] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(2701),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1528),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(225),
    [sym_documentation_comment] = STATE(225),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [226] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1288),
    [sym__real_expression] = STATE(582),
    [sym_throw_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(1265),
    [sym_assignable_expression] = STATE(1531),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(226),
    [sym_documentation_comment] = STATE(226),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [227] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(1320),
    [sym__real_expression] = STATE(663),
    [sym_throw_expression_without_cascade] = STATE(1323),
    [sym_assignment_expression_without_cascade] = STATE(1323),
    [sym_assignable_expression] = STATE(1536),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(604),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(603),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1062),
    [sym_comment] = STATE(227),
    [sym_documentation_comment] = STATE(227),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [228] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2087),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(228),
    [sym_documentation_comment] = STATE(228),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [229] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2583),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(229),
    [sym_documentation_comment] = STATE(229),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [230] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2545),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(230),
    [sym_documentation_comment] = STATE(230),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [231] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression] = STATE(1015),
    [sym__real_expression] = STATE(475),
    [sym_throw_expression] = STATE(1009),
    [sym_assignment_expression] = STATE(1009),
    [sym_assignable_expression] = STATE(1548),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(595),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(594),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1079),
    [sym_comment] = STATE(231),
    [sym_documentation_comment] = STATE(231),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [232] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression_without_cascade] = STATE(1549),
    [sym__real_expression] = STATE(663),
    [sym_throw_expression_without_cascade] = STATE(1553),
    [sym_assignment_expression_without_cascade] = STATE(1553),
    [sym_assignable_expression] = STATE(1544),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(604),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(603),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1062),
    [sym_comment] = STATE(232),
    [sym_documentation_comment] = STATE(232),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [233] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression_without_cascade] = STATE(1235),
    [sym__real_expression] = STATE(644),
    [sym_throw_expression_without_cascade] = STATE(1282),
    [sym_assignment_expression_without_cascade] = STATE(1282),
    [sym_assignable_expression] = STATE(1539),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(233),
    [sym_documentation_comment] = STATE(233),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [234] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__expression_without_cascade] = STATE(1511),
    [sym__real_expression] = STATE(1043),
    [sym_throw_expression_without_cascade] = STATE(1489),
    [sym_assignment_expression_without_cascade] = STATE(1489),
    [sym_assignable_expression] = STATE(1541),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(731),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(732),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1067),
    [sym_comment] = STATE(234),
    [sym_documentation_comment] = STATE(234),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(873),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [235] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1861),
    [sym__real_expression] = STATE(672),
    [sym_throw_expression] = STATE(1839),
    [sym_assignment_expression] = STATE(1839),
    [sym_assignable_expression] = STATE(1535),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1066),
    [sym_comment] = STATE(235),
    [sym_documentation_comment] = STATE(235),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [236] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression] = STATE(954),
    [sym__real_expression] = STATE(475),
    [sym_throw_expression] = STATE(1009),
    [sym_assignment_expression] = STATE(1009),
    [sym_assignable_expression] = STATE(1548),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(595),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(594),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1079),
    [sym_comment] = STATE(236),
    [sym_documentation_comment] = STATE(236),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [237] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__expression] = STATE(964),
    [sym__real_expression] = STATE(475),
    [sym_throw_expression] = STATE(1009),
    [sym_assignment_expression] = STATE(1009),
    [sym_assignable_expression] = STATE(1548),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(595),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(594),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1079),
    [sym_comment] = STATE(237),
    [sym_documentation_comment] = STATE(237),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [238] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(2439),
    [sym__real_expression] = STATE(617),
    [sym_throw_expression] = STATE(871),
    [sym_assignment_expression] = STATE(871),
    [sym_assignable_expression] = STATE(1537),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(583),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(590),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1060),
    [sym_comment] = STATE(238),
    [sym_documentation_comment] = STATE(238),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [239] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__expression] = STATE(1251),
    [sym__real_expression] = STATE(582),
    [sym_throw_expression] = STATE(1265),
    [sym_assignment_expression] = STATE(1265),
    [sym_assignable_expression] = STATE(1531),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(588),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(587),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1070),
    [sym_comment] = STATE(239),
    [sym_documentation_comment] = STATE(239),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(719),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [240] = {
    [sym_comment] = STATE(240),
    [sym_documentation_comment] = STATE(240),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_POUND] = ACTIONS(987),
    [sym_decimal_integer_literal] = ACTIONS(989),
    [sym_hex_integer_literal] = ACTIONS(987),
    [sym_decimal_floating_point_literal] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(989),
    [anon_sym_false] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(989),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_null] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_QMARK_QMARK] = ACTIONS(994),
    [anon_sym_QMARK] = ACTIONS(996),
    [anon_sym_PIPE_PIPE] = ACTIONS(994),
    [anon_sym_AMP_AMP] = ACTIONS(994),
    [sym_equality_operator] = ACTIONS(994),
    [anon_sym_LT] = ACTIONS(998),
    [anon_sym_GT] = ACTIONS(996),
    [anon_sym_LT_EQ] = ACTIONS(994),
    [anon_sym_GT_EQ] = ACTIONS(994),
    [anon_sym_PIPE] = ACTIONS(996),
    [anon_sym_CARET] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(996),
    [anon_sym_LT_LT] = ACTIONS(994),
    [anon_sym_GT_GT] = ACTIONS(996),
    [anon_sym_GT_GT_GT] = ACTIONS(994),
    [sym__additive_operator] = ACTIONS(996),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_SLASH] = ACTIONS(996),
    [anon_sym_PERCENT] = ACTIONS(994),
    [anon_sym_TILDE_SLASH] = ACTIONS(994),
    [sym_increment_operator] = ACTIONS(987),
    [sym_minus_operator] = ACTIONS(989),
    [sym__exclamation_operator] = ACTIONS(998),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_is] = ACTIONS(996),
    [anon_sym_as] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(996),
    [anon_sym_QMARK_DOT] = ACTIONS(996),
    [anon_sym_DOT_DOT] = ACTIONS(994),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(994),
    [anon_sym_SEMI] = ACTIONS(994),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_else] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_enum] = ACTIONS(989),
    [anon_sym_abstract] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_extension] = ACTIONS(989),
    [anon_sym_super] = ACTIONS(989),
    [sym_void_type] = ACTIONS(989),
    [anon_sym_var] = ACTIONS(989),
    [sym__break_builtin] = ACTIONS(989),
    [sym__assert_builtin] = ACTIONS(989),
    [sym_case_builtin] = ACTIONS(989),
    [anon_sym_covariant] = ACTIONS(989),
    [anon_sym_Function] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_mixin] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [anon_sym_typedef] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(989),
    [sym_const_builtin] = ACTIONS(989),
    [sym_final_builtin] = ACTIONS(989),
    [anon_sym_late] = ACTIONS(989),
    [anon_sym_external] = ACTIONS(989),
    [anon_sym_this] = ACTIONS(989),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [241] = {
    [sym_comment] = STATE(241),
    [sym_documentation_comment] = STATE(241),
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_POUND] = ACTIONS(987),
    [sym_decimal_integer_literal] = ACTIONS(989),
    [sym_hex_integer_literal] = ACTIONS(987),
    [sym_decimal_floating_point_literal] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(989),
    [anon_sym_false] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(989),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(994),
    [anon_sym_COLON] = ACTIONS(994),
    [anon_sym_null] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_QMARK_QMARK] = ACTIONS(994),
    [anon_sym_QMARK] = ACTIONS(996),
    [anon_sym_PIPE_PIPE] = ACTIONS(994),
    [anon_sym_AMP_AMP] = ACTIONS(994),
    [sym_equality_operator] = ACTIONS(994),
    [anon_sym_LT] = ACTIONS(998),
    [anon_sym_GT] = ACTIONS(996),
    [anon_sym_LT_EQ] = ACTIONS(994),
    [anon_sym_GT_EQ] = ACTIONS(994),
    [anon_sym_PIPE] = ACTIONS(996),
    [anon_sym_CARET] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(996),
    [anon_sym_LT_LT] = ACTIONS(994),
    [anon_sym_GT_GT] = ACTIONS(996),
    [anon_sym_GT_GT_GT] = ACTIONS(994),
    [sym__additive_operator] = ACTIONS(996),
    [anon_sym_STAR] = ACTIONS(994),
    [anon_sym_SLASH] = ACTIONS(996),
    [anon_sym_PERCENT] = ACTIONS(994),
    [anon_sym_TILDE_SLASH] = ACTIONS(994),
    [sym_increment_operator] = ACTIONS(987),
    [sym_minus_operator] = ACTIONS(989),
    [sym__exclamation_operator] = ACTIONS(998),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_is] = ACTIONS(996),
    [anon_sym_as] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(996),
    [anon_sym_QMARK_DOT] = ACTIONS(996),
    [anon_sym_DOT_DOT] = ACTIONS(994),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(994),
    [anon_sym_SEMI] = ACTIONS(994),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_else] = ACTIONS(998),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_enum] = ACTIONS(989),
    [anon_sym_abstract] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_extension] = ACTIONS(989),
    [anon_sym_super] = ACTIONS(989),
    [sym_void_type] = ACTIONS(989),
    [anon_sym_var] = ACTIONS(989),
    [sym__break_builtin] = ACTIONS(989),
    [sym__assert_builtin] = ACTIONS(989),
    [anon_sym_covariant] = ACTIONS(989),
    [anon_sym_Function] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_mixin] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [anon_sym_typedef] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(989),
    [sym_const_builtin] = ACTIONS(989),
    [sym_final_builtin] = ACTIONS(989),
    [anon_sym_late] = ACTIONS(989),
    [anon_sym_external] = ACTIONS(989),
    [anon_sym_this] = ACTIONS(989),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [242] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(668),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(242),
    [sym_documentation_comment] = STATE(242),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [243] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(711),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(243),
    [sym_documentation_comment] = STATE(243),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [244] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(486),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(244),
    [sym_documentation_comment] = STATE(244),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [245] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(481),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(245),
    [sym_documentation_comment] = STATE(245),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [246] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(494),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(246),
    [sym_documentation_comment] = STATE(246),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [247] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(488),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(247),
    [sym_documentation_comment] = STATE(247),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [248] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(699),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(248),
    [sym_documentation_comment] = STATE(248),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [249] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(690),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(249),
    [sym_documentation_comment] = STATE(249),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [250] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(682),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(250),
    [sym_documentation_comment] = STATE(250),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [251] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(692),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(251),
    [sym_documentation_comment] = STATE(251),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [252] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(683),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(252),
    [sym_documentation_comment] = STATE(252),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [253] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(700),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(253),
    [sym_documentation_comment] = STATE(253),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [254] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(478),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(254),
    [sym_documentation_comment] = STATE(254),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [255] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(685),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(255),
    [sym_documentation_comment] = STATE(255),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [256] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(694),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(256),
    [sym_documentation_comment] = STATE(256),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [257] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(693),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(257),
    [sym_documentation_comment] = STATE(257),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [258] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(686),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1073),
    [sym_comment] = STATE(258),
    [sym_documentation_comment] = STATE(258),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [259] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(516),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(259),
    [sym_documentation_comment] = STATE(259),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [260] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(511),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(260),
    [sym_documentation_comment] = STATE(260),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [261] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(484),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(261),
    [sym_documentation_comment] = STATE(261),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [262] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(497),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(262),
    [sym_documentation_comment] = STATE(262),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [263] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(512),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(263),
    [sym_documentation_comment] = STATE(263),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [264] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(514),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(264),
    [sym_documentation_comment] = STATE(264),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [265] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(498),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(265),
    [sym_documentation_comment] = STATE(265),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [266] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(485),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(266),
    [sym_documentation_comment] = STATE(266),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [267] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(662),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(267),
    [sym_documentation_comment] = STATE(267),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [268] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(664),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(268),
    [sym_documentation_comment] = STATE(268),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [269] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(665),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(269),
    [sym_documentation_comment] = STATE(269),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [270] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(666),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(270),
    [sym_documentation_comment] = STATE(270),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [271] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(670),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(271),
    [sym_documentation_comment] = STATE(271),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [272] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(480),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(819),
    [sym_conditional_expression] = STATE(819),
    [sym_logical_or_expression] = STATE(819),
    [sym_logical_and_expression] = STATE(819),
    [sym_equality_expression] = STATE(819),
    [sym_type_cast_expression] = STATE(819),
    [sym_type_test_expression] = STATE(819),
    [sym_relational_expression] = STATE(819),
    [sym_bitwise_or_expression] = STATE(819),
    [sym_bitwise_xor_expression] = STATE(819),
    [sym_bitwise_and_expression] = STATE(819),
    [sym_shift_expression] = STATE(819),
    [sym_additive_expression] = STATE(819),
    [sym_multiplicative_expression] = STATE(819),
    [sym__unary_expression] = STATE(707),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1063),
    [sym_comment] = STATE(272),
    [sym_documentation_comment] = STATE(272),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [273] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(513),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(273),
    [sym_documentation_comment] = STATE(273),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [274] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(673),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(274),
    [sym_documentation_comment] = STATE(274),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [275] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(653),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(275),
    [sym_documentation_comment] = STATE(275),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [276] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(677),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(276),
    [sym_documentation_comment] = STATE(276),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [277] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(661),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(277),
    [sym_documentation_comment] = STATE(277),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [278] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(709),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(278),
    [sym_documentation_comment] = STATE(278),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [279] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(518),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(279),
    [sym_documentation_comment] = STATE(279),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [280] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(517),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(280),
    [sym_documentation_comment] = STATE(280),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [281] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1055),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(281),
    [sym_documentation_comment] = STATE(281),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [282] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(643),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(282),
    [sym_documentation_comment] = STATE(282),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [283] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(500),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(283),
    [sym_documentation_comment] = STATE(283),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [284] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(646),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(284),
    [sym_documentation_comment] = STATE(284),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [285] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(624),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(285),
    [sym_documentation_comment] = STATE(285),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [286] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(648),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(286),
    [sym_documentation_comment] = STATE(286),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [287] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1052),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(287),
    [sym_documentation_comment] = STATE(287),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [288] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(649),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(288),
    [sym_documentation_comment] = STATE(288),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [289] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(651),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(289),
    [sym_documentation_comment] = STATE(289),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [290] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(652),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(290),
    [sym_documentation_comment] = STATE(290),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [291] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1053),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(291),
    [sym_documentation_comment] = STATE(291),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [292] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(520),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(292),
    [sym_documentation_comment] = STATE(292),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [293] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1054),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(293),
    [sym_documentation_comment] = STATE(293),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [294] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1058),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(294),
    [sym_documentation_comment] = STATE(294),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [295] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1057),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(295),
    [sym_documentation_comment] = STATE(295),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [296] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1056),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(296),
    [sym_documentation_comment] = STATE(296),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [297] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(650),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(297),
    [sym_documentation_comment] = STATE(297),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [298] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(638),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(298),
    [sym_documentation_comment] = STATE(298),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [299] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(519),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(959),
    [sym_conditional_expression] = STATE(959),
    [sym_logical_or_expression] = STATE(959),
    [sym_logical_and_expression] = STATE(959),
    [sym_equality_expression] = STATE(959),
    [sym_type_cast_expression] = STATE(959),
    [sym_type_test_expression] = STATE(959),
    [sym_relational_expression] = STATE(959),
    [sym_bitwise_or_expression] = STATE(959),
    [sym_bitwise_xor_expression] = STATE(959),
    [sym_bitwise_and_expression] = STATE(959),
    [sym_shift_expression] = STATE(959),
    [sym_additive_expression] = STATE(959),
    [sym_multiplicative_expression] = STATE(959),
    [sym__unary_expression] = STATE(730),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1064),
    [sym_comment] = STATE(299),
    [sym_documentation_comment] = STATE(299),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [300] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym__real_expression] = STATE(626),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym_if_null_expression] = STATE(1299),
    [sym_conditional_expression] = STATE(1299),
    [sym_logical_or_expression] = STATE(1299),
    [sym_logical_and_expression] = STATE(1299),
    [sym_equality_expression] = STATE(1299),
    [sym_type_cast_expression] = STATE(1299),
    [sym_type_test_expression] = STATE(1299),
    [sym_relational_expression] = STATE(1299),
    [sym_bitwise_or_expression] = STATE(1299),
    [sym_bitwise_xor_expression] = STATE(1299),
    [sym_bitwise_and_expression] = STATE(1299),
    [sym_shift_expression] = STATE(1299),
    [sym_additive_expression] = STATE(1299),
    [sym_multiplicative_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1045),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1072),
    [sym_comment] = STATE(300),
    [sym_documentation_comment] = STATE(300),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [301] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(620),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(301),
    [sym_documentation_comment] = STATE(301),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [302] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1049),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(302),
    [sym_documentation_comment] = STATE(302),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [303] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym__real_expression] = STATE(623),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym_if_null_expression] = STATE(1321),
    [sym_conditional_expression] = STATE(1321),
    [sym_logical_or_expression] = STATE(1321),
    [sym_logical_and_expression] = STATE(1321),
    [sym_equality_expression] = STATE(1321),
    [sym_type_cast_expression] = STATE(1321),
    [sym_type_test_expression] = STATE(1321),
    [sym_relational_expression] = STATE(1321),
    [sym_bitwise_or_expression] = STATE(1321),
    [sym_bitwise_xor_expression] = STATE(1321),
    [sym_bitwise_and_expression] = STATE(1321),
    [sym_shift_expression] = STATE(1321),
    [sym_additive_expression] = STATE(1321),
    [sym_multiplicative_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1077),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1075),
    [sym_comment] = STATE(303),
    [sym_documentation_comment] = STATE(303),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [304] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1048),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(304),
    [sym_documentation_comment] = STATE(304),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [305] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym__real_expression] = STATE(1046),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym_if_null_expression] = STATE(1490),
    [sym_conditional_expression] = STATE(1490),
    [sym_logical_or_expression] = STATE(1490),
    [sym_logical_and_expression] = STATE(1490),
    [sym_equality_expression] = STATE(1490),
    [sym_type_cast_expression] = STATE(1490),
    [sym_type_test_expression] = STATE(1490),
    [sym_relational_expression] = STATE(1490),
    [sym_bitwise_or_expression] = STATE(1490),
    [sym_bitwise_xor_expression] = STATE(1490),
    [sym_bitwise_and_expression] = STATE(1490),
    [sym_shift_expression] = STATE(1490),
    [sym_additive_expression] = STATE(1490),
    [sym_multiplicative_expression] = STATE(1490),
    [sym__unary_expression] = STATE(1336),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1076),
    [sym_comment] = STATE(305),
    [sym_documentation_comment] = STATE(305),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [306] = {
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_or_export] = STATE(382),
    [sym_library_import] = STATE(378),
    [sym_library_export] = STATE(378),
    [sym_import_specification] = STATE(377),
    [sym__metadata] = STATE(2022),
    [sym__export] = STATE(1463),
    [sym__import] = STATE(1471),
    [sym_comment] = STATE(306),
    [sym_documentation_comment] = STATE(306),
    [aux_sym_program_repeat1] = STATE(306),
    [aux_sym__metadata_repeat1] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_identifier] = ACTIONS(1009),
    [anon_sym_POUND] = ACTIONS(1007),
    [sym_decimal_integer_literal] = ACTIONS(1009),
    [sym_hex_integer_literal] = ACTIONS(1007),
    [sym_decimal_floating_point_literal] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1009),
    [anon_sym_false] = ACTIONS(1009),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1007),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1007),
    [anon_sym_r_DQUOTE] = ACTIONS(1009),
    [anon_sym_r_SQUOTE] = ACTIONS(1009),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1007),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_null] = ACTIONS(1009),
    [anon_sym_throw] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LT] = ACTIONS(1007),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_await] = ACTIONS(1009),
    [anon_sym_switch] = ACTIONS(1009),
    [anon_sym_do] = ACTIONS(1009),
    [anon_sym_while] = ACTIONS(1009),
    [anon_sym_continue] = ACTIONS(1009),
    [anon_sym_yield] = ACTIONS(1009),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_try] = ACTIONS(1009),
    [anon_sym_if] = ACTIONS(1009),
    [anon_sym_for] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1011),
    [anon_sym_part] = ACTIONS(1009),
    [anon_sym_enum] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1009),
    [anon_sym_class] = ACTIONS(1009),
    [anon_sym_extension] = ACTIONS(1009),
    [anon_sym_super] = ACTIONS(1009),
    [sym_void_type] = ACTIONS(1009),
    [anon_sym_var] = ACTIONS(1009),
    [sym__break_builtin] = ACTIONS(1009),
    [sym__assert_builtin] = ACTIONS(1009),
    [anon_sym_covariant] = ACTIONS(1009),
    [anon_sym_export] = ACTIONS(1014),
    [anon_sym_Function] = ACTIONS(1009),
    [anon_sym_get] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1017),
    [anon_sym_mixin] = ACTIONS(1009),
    [anon_sym_set] = ACTIONS(1009),
    [anon_sym_typedef] = ACTIONS(1009),
    [anon_sym_new] = ACTIONS(1009),
    [sym_const_builtin] = ACTIONS(1009),
    [sym_final_builtin] = ACTIONS(1009),
    [anon_sym_late] = ACTIONS(1009),
    [anon_sym_external] = ACTIONS(1009),
    [anon_sym_this] = ACTIONS(1009),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [307] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(307),
    [sym_documentation_comment] = STATE(307),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [308] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(308),
    [sym_documentation_comment] = STATE(308),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [309] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(309),
    [sym_documentation_comment] = STATE(309),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(1024),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [310] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(310),
    [sym_documentation_comment] = STATE(310),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(1026),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [311] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1954),
    [sym_comment] = STATE(311),
    [sym_documentation_comment] = STATE(311),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [312] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym__unary_expression] = STATE(1131),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1951),
    [sym_comment] = STATE(312),
    [sym_documentation_comment] = STATE(312),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [313] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym__unary_expression] = STATE(1027),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1951),
    [sym_comment] = STATE(313),
    [sym_documentation_comment] = STATE(313),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [314] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(867),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(314),
    [sym_documentation_comment] = STATE(314),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [315] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(1103),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(315),
    [sym_documentation_comment] = STATE(315),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [316] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(842),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(316),
    [sym_documentation_comment] = STATE(316),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [317] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym__unary_expression] = STATE(1026),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1951),
    [sym_comment] = STATE(317),
    [sym_documentation_comment] = STATE(317),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [318] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1371),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1954),
    [sym_comment] = STATE(318),
    [sym_documentation_comment] = STATE(318),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [319] = {
    [sym__literal] = STATE(1269),
    [sym_symbol_literal] = STATE(1275),
    [sym_true] = STATE(1275),
    [sym_false] = STATE(1275),
    [sym_string_literal] = STATE(1275),
    [sym__string_literal_double_quotes] = STATE(1007),
    [sym__string_literal_single_quotes] = STATE(1007),
    [sym__string_literal_double_quotes_multiple] = STATE(1007),
    [sym__string_literal_single_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_double_quotes] = STATE(1007),
    [sym__raw_string_literal_single_quotes] = STATE(1007),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1007),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1007),
    [sym_list_literal] = STATE(1275),
    [sym_set_or_map_literal] = STATE(1275),
    [sym_null_literal] = STATE(1275),
    [sym_assignable_expression] = STATE(2409),
    [sym_function_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1369),
    [sym_unary_expression] = STATE(1375),
    [sym_member_access] = STATE(1379),
    [sym__postfix_expression] = STATE(1375),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(318),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1138),
    [sym_await_expression] = STATE(1378),
    [sym_new_expression] = STATE(1269),
    [sym_const_object_expression] = STATE(1269),
    [sym__primary] = STATE(735),
    [sym_parenthesized_expression] = STATE(1269),
    [sym_constructor_invocation] = STATE(737),
    [sym_type_arguments] = STATE(2441),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2432),
    [sym__formal_parameter_part] = STATE(1840),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1653),
    [sym_this] = STATE(1269),
    [sym_super] = STATE(1954),
    [sym_comment] = STATE(319),
    [sym_documentation_comment] = STATE(319),
    [aux_sym_string_literal_repeat1] = STATE(621),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_POUND] = ACTIONS(875),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(881),
    [anon_sym_false] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_SQUOTE] = ACTIONS(887),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(889),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(891),
    [anon_sym_r_DQUOTE] = ACTIONS(893),
    [anon_sym_r_SQUOTE] = ACTIONS(895),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(897),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_null] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(911),
    [sym_minus_operator] = ACTIONS(913),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(915),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(917),
    [anon_sym_this] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [320] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym__unary_expression] = STATE(1118),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1951),
    [sym_comment] = STATE(320),
    [sym_documentation_comment] = STATE(320),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [321] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(1083),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(321),
    [sym_documentation_comment] = STATE(321),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [322] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym_assignable_expression] = STATE(2462),
    [sym_function_expression] = STATE(1006),
    [sym__unary_expression] = STATE(1130),
    [sym_unary_expression] = STATE(1110),
    [sym_member_access] = STATE(1117),
    [sym__postfix_expression] = STATE(1110),
    [sym_postfix_expression] = STATE(1117),
    [sym_prefix_operator] = STATE(312),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1147),
    [sym_await_expression] = STATE(1112),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(592),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(598),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1951),
    [sym_comment] = STATE(322),
    [sym_documentation_comment] = STATE(322),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [323] = {
    [sym__literal] = STATE(1006),
    [sym_symbol_literal] = STATE(994),
    [sym_true] = STATE(994),
    [sym_false] = STATE(994),
    [sym_string_literal] = STATE(994),
    [sym__string_literal_double_quotes] = STATE(632),
    [sym__string_literal_single_quotes] = STATE(632),
    [sym__string_literal_double_quotes_multiple] = STATE(632),
    [sym__string_literal_single_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_double_quotes] = STATE(632),
    [sym__raw_string_literal_single_quotes] = STATE(632),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(632),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(632),
    [sym_list_literal] = STATE(994),
    [sym_set_or_map_literal] = STATE(994),
    [sym_null_literal] = STATE(994),
    [sym_assignable_expression] = STATE(2526),
    [sym_function_expression] = STATE(1006),
    [sym__unary_expression] = STATE(940),
    [sym_unary_expression] = STATE(1010),
    [sym_member_access] = STATE(1013),
    [sym__postfix_expression] = STATE(1010),
    [sym_postfix_expression] = STATE(1013),
    [sym_prefix_operator] = STATE(317),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1141),
    [sym_await_expression] = STATE(1014),
    [sym_new_expression] = STATE(1006),
    [sym_const_object_expression] = STATE(1006),
    [sym__primary] = STATE(599),
    [sym_parenthesized_expression] = STATE(1006),
    [sym_constructor_invocation] = STATE(593),
    [sym_type_arguments] = STATE(2411),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2434),
    [sym__formal_parameter_part] = STATE(1819),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1647),
    [sym_this] = STATE(1006),
    [sym_super] = STATE(1951),
    [sym_comment] = STATE(323),
    [sym_documentation_comment] = STATE(323),
    [aux_sym_string_literal_repeat1] = STATE(487),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_POUND] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(927),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(933),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(941),
    [anon_sym_r_DQUOTE] = ACTIONS(943),
    [anon_sym_r_SQUOTE] = ACTIONS(945),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_null] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(973),
    [sym_minus_operator] = ACTIONS(975),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(977),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(967),
    [anon_sym_this] = ACTIONS(969),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [324] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2380),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(1105),
    [sym_unary_expression] = STATE(1091),
    [sym_member_access] = STATE(1092),
    [sym__postfix_expression] = STATE(1091),
    [sym_postfix_expression] = STATE(1092),
    [sym_prefix_operator] = STATE(315),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1151),
    [sym_await_expression] = STATE(1102),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(581),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(585),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(324),
    [sym_documentation_comment] = STATE(324),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(713),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [325] = {
    [sym__literal] = STATE(862),
    [sym_symbol_literal] = STATE(878),
    [sym_true] = STATE(878),
    [sym_false] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_list_literal] = STATE(878),
    [sym_set_or_map_literal] = STATE(878),
    [sym_null_literal] = STATE(878),
    [sym_assignable_expression] = STATE(2333),
    [sym_function_expression] = STATE(862),
    [sym__unary_expression] = STATE(843),
    [sym_unary_expression] = STATE(815),
    [sym_member_access] = STATE(872),
    [sym__postfix_expression] = STATE(815),
    [sym_postfix_expression] = STATE(872),
    [sym_prefix_operator] = STATE(316),
    [sym_negation_operator] = STATE(1190),
    [sym_tilde_operator] = STATE(1148),
    [sym_await_expression] = STATE(827),
    [sym_new_expression] = STATE(862),
    [sym_const_object_expression] = STATE(862),
    [sym__primary] = STATE(584),
    [sym_parenthesized_expression] = STATE(862),
    [sym_constructor_invocation] = STATE(586),
    [sym_type_arguments] = STATE(2494),
    [sym_type_parameters] = STATE(2132),
    [sym__type_name] = STATE(2422),
    [sym__formal_parameter_part] = STATE(1873),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym__new_builtin] = STATE(1654),
    [sym_this] = STATE(862),
    [sym_super] = STATE(1924),
    [sym_comment] = STATE(325),
    [sym_documentation_comment] = STATE(325),
    [aux_sym_string_literal_repeat1] = STATE(423),
    [sym_identifier] = ACTIONS(1003),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(859),
    [sym_minus_operator] = ACTIONS(861),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(863),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(723),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [326] = {
    [sym_comment] = STATE(326),
    [sym_documentation_comment] = STATE(326),
    [ts_builtin_sym_end] = ACTIONS(1028),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_POUND] = ACTIONS(1028),
    [sym_decimal_integer_literal] = ACTIONS(1030),
    [sym_hex_integer_literal] = ACTIONS(1028),
    [sym_decimal_floating_point_literal] = ACTIONS(1030),
    [anon_sym_true] = ACTIONS(1030),
    [anon_sym_false] = ACTIONS(1030),
    [anon_sym_DQUOTE] = ACTIONS(1030),
    [anon_sym_SQUOTE] = ACTIONS(1030),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1028),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1028),
    [anon_sym_r_DQUOTE] = ACTIONS(1030),
    [anon_sym_r_SQUOTE] = ACTIONS(1030),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1028),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1028),
    [anon_sym_LBRACE] = ACTIONS(1028),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [anon_sym_LBRACK] = ACTIONS(1028),
    [anon_sym_null] = ACTIONS(1030),
    [anon_sym_throw] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1028),
    [anon_sym_RPAREN] = ACTIONS(1028),
    [anon_sym_LT] = ACTIONS(1028),
    [sym_increment_operator] = ACTIONS(1028),
    [sym_minus_operator] = ACTIONS(1030),
    [sym__exclamation_operator] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_await] = ACTIONS(1030),
    [anon_sym_SEMI] = ACTIONS(1028),
    [anon_sym_switch] = ACTIONS(1030),
    [anon_sym_default] = ACTIONS(1030),
    [anon_sym_do] = ACTIONS(1030),
    [anon_sym_while] = ACTIONS(1030),
    [anon_sym_continue] = ACTIONS(1030),
    [anon_sym_yield] = ACTIONS(1030),
    [anon_sym_return] = ACTIONS(1030),
    [anon_sym_try] = ACTIONS(1030),
    [anon_sym_if] = ACTIONS(1030),
    [anon_sym_else] = ACTIONS(1030),
    [anon_sym_for] = ACTIONS(1030),
    [anon_sym_AT] = ACTIONS(1028),
    [anon_sym_part] = ACTIONS(1030),
    [anon_sym_enum] = ACTIONS(1030),
    [anon_sym_abstract] = ACTIONS(1030),
    [anon_sym_class] = ACTIONS(1030),
    [anon_sym_extension] = ACTIONS(1030),
    [anon_sym_super] = ACTIONS(1030),
    [sym_void_type] = ACTIONS(1030),
    [anon_sym_var] = ACTIONS(1030),
    [sym__break_builtin] = ACTIONS(1030),
    [sym__assert_builtin] = ACTIONS(1030),
    [sym_case_builtin] = ACTIONS(1030),
    [anon_sym_covariant] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1030),
    [anon_sym_factory] = ACTIONS(1030),
    [anon_sym_Function] = ACTIONS(1030),
    [anon_sym_get] = ACTIONS(1030),
    [anon_sym_import] = ACTIONS(1030),
    [anon_sym_operator] = ACTIONS(1030),
    [anon_sym_mixin] = ACTIONS(1030),
    [anon_sym_set] = ACTIONS(1030),
    [anon_sym_static] = ACTIONS(1030),
    [anon_sym_typedef] = ACTIONS(1030),
    [anon_sym_new] = ACTIONS(1030),
    [sym_const_builtin] = ACTIONS(1030),
    [sym_final_builtin] = ACTIONS(1030),
    [anon_sym_late] = ACTIONS(1030),
    [anon_sym_external] = ACTIONS(1030),
    [anon_sym_this] = ACTIONS(1030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [327] = {
    [sym__on_part] = STATE(338),
    [sym_catch_clause] = STATE(2347),
    [sym_finally_clause] = STATE(362),
    [sym_comment] = STATE(327),
    [sym_documentation_comment] = STATE(327),
    [aux_sym_try_statement_repeat1] = STATE(328),
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_identifier] = ACTIONS(1034),
    [anon_sym_POUND] = ACTIONS(1032),
    [sym_decimal_integer_literal] = ACTIONS(1034),
    [sym_hex_integer_literal] = ACTIONS(1032),
    [sym_decimal_floating_point_literal] = ACTIONS(1034),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(1034),
    [anon_sym_SQUOTE] = ACTIONS(1034),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1032),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1032),
    [anon_sym_r_DQUOTE] = ACTIONS(1034),
    [anon_sym_r_SQUOTE] = ACTIONS(1034),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1032),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_null] = ACTIONS(1034),
    [anon_sym_throw] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(1032),
    [sym_increment_operator] = ACTIONS(1032),
    [sym_minus_operator] = ACTIONS(1034),
    [sym__exclamation_operator] = ACTIONS(1032),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_switch] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1034),
    [anon_sym_do] = ACTIONS(1034),
    [anon_sym_while] = ACTIONS(1034),
    [anon_sym_continue] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1034),
    [anon_sym_return] = ACTIONS(1034),
    [anon_sym_on] = ACTIONS(1036),
    [anon_sym_try] = ACTIONS(1034),
    [anon_sym_catch] = ACTIONS(1038),
    [anon_sym_finally] = ACTIONS(1040),
    [anon_sym_if] = ACTIONS(1034),
    [anon_sym_else] = ACTIONS(1034),
    [anon_sym_for] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(1032),
    [anon_sym_enum] = ACTIONS(1034),
    [anon_sym_abstract] = ACTIONS(1034),
    [anon_sym_class] = ACTIONS(1034),
    [anon_sym_extension] = ACTIONS(1034),
    [anon_sym_super] = ACTIONS(1034),
    [sym_void_type] = ACTIONS(1034),
    [anon_sym_var] = ACTIONS(1034),
    [sym__break_builtin] = ACTIONS(1034),
    [sym__assert_builtin] = ACTIONS(1034),
    [sym_case_builtin] = ACTIONS(1034),
    [anon_sym_covariant] = ACTIONS(1034),
    [anon_sym_Function] = ACTIONS(1034),
    [anon_sym_get] = ACTIONS(1034),
    [anon_sym_mixin] = ACTIONS(1034),
    [anon_sym_set] = ACTIONS(1034),
    [anon_sym_typedef] = ACTIONS(1034),
    [anon_sym_new] = ACTIONS(1034),
    [sym_const_builtin] = ACTIONS(1034),
    [sym_final_builtin] = ACTIONS(1034),
    [anon_sym_late] = ACTIONS(1034),
    [anon_sym_external] = ACTIONS(1034),
    [anon_sym_this] = ACTIONS(1034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [328] = {
    [sym__on_part] = STATE(338),
    [sym_catch_clause] = STATE(2347),
    [sym_comment] = STATE(328),
    [sym_documentation_comment] = STATE(328),
    [aux_sym_try_statement_repeat1] = STATE(328),
    [ts_builtin_sym_end] = ACTIONS(1042),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_POUND] = ACTIONS(1042),
    [sym_decimal_integer_literal] = ACTIONS(1044),
    [sym_hex_integer_literal] = ACTIONS(1042),
    [sym_decimal_floating_point_literal] = ACTIONS(1044),
    [anon_sym_true] = ACTIONS(1044),
    [anon_sym_false] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1044),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1042),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1042),
    [anon_sym_r_DQUOTE] = ACTIONS(1044),
    [anon_sym_r_SQUOTE] = ACTIONS(1044),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1042),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_null] = ACTIONS(1044),
    [anon_sym_throw] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1042),
    [sym_increment_operator] = ACTIONS(1042),
    [sym_minus_operator] = ACTIONS(1044),
    [sym__exclamation_operator] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_await] = ACTIONS(1044),
    [anon_sym_switch] = ACTIONS(1044),
    [anon_sym_default] = ACTIONS(1044),
    [anon_sym_do] = ACTIONS(1044),
    [anon_sym_while] = ACTIONS(1044),
    [anon_sym_continue] = ACTIONS(1044),
    [anon_sym_yield] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1044),
    [anon_sym_on] = ACTIONS(1046),
    [anon_sym_try] = ACTIONS(1044),
    [anon_sym_catch] = ACTIONS(1049),
    [anon_sym_finally] = ACTIONS(1044),
    [anon_sym_if] = ACTIONS(1044),
    [anon_sym_else] = ACTIONS(1044),
    [anon_sym_for] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1042),
    [anon_sym_enum] = ACTIONS(1044),
    [anon_sym_abstract] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(1044),
    [anon_sym_extension] = ACTIONS(1044),
    [anon_sym_super] = ACTIONS(1044),
    [sym_void_type] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1044),
    [sym__break_builtin] = ACTIONS(1044),
    [sym__assert_builtin] = ACTIONS(1044),
    [sym_case_builtin] = ACTIONS(1044),
    [anon_sym_covariant] = ACTIONS(1044),
    [anon_sym_Function] = ACTIONS(1044),
    [anon_sym_get] = ACTIONS(1044),
    [anon_sym_mixin] = ACTIONS(1044),
    [anon_sym_set] = ACTIONS(1044),
    [anon_sym_typedef] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(1044),
    [sym_const_builtin] = ACTIONS(1044),
    [sym_final_builtin] = ACTIONS(1044),
    [anon_sym_late] = ACTIONS(1044),
    [anon_sym_external] = ACTIONS(1044),
    [anon_sym_this] = ACTIONS(1044),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [329] = {
    [sym_comment] = STATE(329),
    [sym_documentation_comment] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_POUND] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(1054),
    [sym_hex_integer_literal] = ACTIONS(1052),
    [sym_decimal_floating_point_literal] = ACTIONS(1054),
    [anon_sym_true] = ACTIONS(1054),
    [anon_sym_false] = ACTIONS(1054),
    [anon_sym_DQUOTE] = ACTIONS(1054),
    [anon_sym_SQUOTE] = ACTIONS(1054),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1052),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1052),
    [anon_sym_r_DQUOTE] = ACTIONS(1054),
    [anon_sym_r_SQUOTE] = ACTIONS(1054),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1052),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_null] = ACTIONS(1054),
    [anon_sym_throw] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_QMARK] = ACTIONS(1054),
    [anon_sym_LT] = ACTIONS(1052),
    [sym_increment_operator] = ACTIONS(1052),
    [sym_minus_operator] = ACTIONS(1054),
    [sym__exclamation_operator] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_DOT] = ACTIONS(1054),
    [anon_sym_QMARK_DOT] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_default] = ACTIONS(1054),
    [anon_sym_do] = ACTIONS(1054),
    [anon_sym_while] = ACTIONS(1054),
    [anon_sym_continue] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1054),
    [anon_sym_return] = ACTIONS(1054),
    [anon_sym_try] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_else] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1052),
    [anon_sym_enum] = ACTIONS(1054),
    [anon_sym_abstract] = ACTIONS(1054),
    [anon_sym_class] = ACTIONS(1054),
    [anon_sym_extension] = ACTIONS(1054),
    [anon_sym_super] = ACTIONS(1054),
    [sym_void_type] = ACTIONS(1054),
    [anon_sym_var] = ACTIONS(1054),
    [sym__break_builtin] = ACTIONS(1054),
    [sym__assert_builtin] = ACTIONS(1054),
    [sym_case_builtin] = ACTIONS(1054),
    [anon_sym_covariant] = ACTIONS(1054),
    [anon_sym_factory] = ACTIONS(1054),
    [anon_sym_Function] = ACTIONS(1054),
    [anon_sym_get] = ACTIONS(1054),
    [anon_sym_operator] = ACTIONS(1054),
    [anon_sym_mixin] = ACTIONS(1054),
    [anon_sym_set] = ACTIONS(1054),
    [anon_sym_static] = ACTIONS(1054),
    [anon_sym_typedef] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(1054),
    [sym_const_builtin] = ACTIONS(1054),
    [sym_final_builtin] = ACTIONS(1054),
    [anon_sym_late] = ACTIONS(1054),
    [anon_sym_external] = ACTIONS(1054),
    [anon_sym_this] = ACTIONS(1054),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [330] = {
    [sym_comment] = STATE(330),
    [sym_documentation_comment] = STATE(330),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_POUND] = ACTIONS(987),
    [sym_decimal_integer_literal] = ACTIONS(989),
    [sym_hex_integer_literal] = ACTIONS(987),
    [sym_decimal_floating_point_literal] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(989),
    [anon_sym_false] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(989),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_null] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_QMARK] = ACTIONS(989),
    [anon_sym_LT] = ACTIONS(987),
    [sym_increment_operator] = ACTIONS(987),
    [sym_minus_operator] = ACTIONS(989),
    [sym__exclamation_operator] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_QMARK_DOT] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_else] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_enum] = ACTIONS(989),
    [anon_sym_abstract] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_extension] = ACTIONS(989),
    [anon_sym_super] = ACTIONS(989),
    [sym_void_type] = ACTIONS(989),
    [anon_sym_var] = ACTIONS(989),
    [sym__break_builtin] = ACTIONS(989),
    [sym__assert_builtin] = ACTIONS(989),
    [sym_case_builtin] = ACTIONS(989),
    [anon_sym_covariant] = ACTIONS(989),
    [anon_sym_factory] = ACTIONS(989),
    [anon_sym_Function] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_operator] = ACTIONS(989),
    [anon_sym_mixin] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_typedef] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(989),
    [sym_const_builtin] = ACTIONS(989),
    [sym_final_builtin] = ACTIONS(989),
    [anon_sym_late] = ACTIONS(989),
    [anon_sym_external] = ACTIONS(989),
    [anon_sym_this] = ACTIONS(989),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [331] = {
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_of_directive] = STATE(394),
    [sym__metadata] = STATE(2657),
    [sym_comment] = STATE(331),
    [sym_documentation_comment] = STATE(331),
    [aux_sym_program_repeat3] = STATE(331),
    [aux_sym__metadata_repeat1] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_POUND] = ACTIONS(1056),
    [sym_decimal_integer_literal] = ACTIONS(1058),
    [sym_hex_integer_literal] = ACTIONS(1056),
    [sym_decimal_floating_point_literal] = ACTIONS(1058),
    [anon_sym_true] = ACTIONS(1058),
    [anon_sym_false] = ACTIONS(1058),
    [anon_sym_DQUOTE] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1058),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1056),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1056),
    [anon_sym_r_DQUOTE] = ACTIONS(1058),
    [anon_sym_r_SQUOTE] = ACTIONS(1058),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1056),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_null] = ACTIONS(1058),
    [anon_sym_throw] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [anon_sym_LT] = ACTIONS(1056),
    [sym_increment_operator] = ACTIONS(1056),
    [sym_minus_operator] = ACTIONS(1058),
    [sym__exclamation_operator] = ACTIONS(1056),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_await] = ACTIONS(1058),
    [anon_sym_switch] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1058),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_continue] = ACTIONS(1058),
    [anon_sym_yield] = ACTIONS(1058),
    [anon_sym_return] = ACTIONS(1058),
    [anon_sym_try] = ACTIONS(1058),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_for] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1060),
    [anon_sym_part] = ACTIONS(1063),
    [anon_sym_enum] = ACTIONS(1058),
    [anon_sym_abstract] = ACTIONS(1058),
    [anon_sym_class] = ACTIONS(1058),
    [anon_sym_extension] = ACTIONS(1058),
    [anon_sym_super] = ACTIONS(1058),
    [sym_void_type] = ACTIONS(1058),
    [anon_sym_var] = ACTIONS(1058),
    [sym__break_builtin] = ACTIONS(1058),
    [sym__assert_builtin] = ACTIONS(1058),
    [anon_sym_covariant] = ACTIONS(1058),
    [anon_sym_Function] = ACTIONS(1058),
    [anon_sym_get] = ACTIONS(1058),
    [anon_sym_mixin] = ACTIONS(1058),
    [anon_sym_set] = ACTIONS(1058),
    [anon_sym_typedef] = ACTIONS(1058),
    [anon_sym_new] = ACTIONS(1058),
    [sym_const_builtin] = ACTIONS(1058),
    [sym_final_builtin] = ACTIONS(1058),
    [anon_sym_late] = ACTIONS(1058),
    [anon_sym_external] = ACTIONS(1058),
    [anon_sym_this] = ACTIONS(1058),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [332] = {
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_part_directive] = STATE(400),
    [sym__metadata] = STATE(2654),
    [sym_comment] = STATE(332),
    [sym_documentation_comment] = STATE(332),
    [aux_sym_program_repeat2] = STATE(332),
    [aux_sym__metadata_repeat1] = STATE(1683),
    [ts_builtin_sym_end] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(1068),
    [anon_sym_POUND] = ACTIONS(1066),
    [sym_decimal_integer_literal] = ACTIONS(1068),
    [sym_hex_integer_literal] = ACTIONS(1066),
    [sym_decimal_floating_point_literal] = ACTIONS(1068),
    [anon_sym_true] = ACTIONS(1068),
    [anon_sym_false] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1066),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1066),
    [anon_sym_r_DQUOTE] = ACTIONS(1068),
    [anon_sym_r_SQUOTE] = ACTIONS(1068),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1066),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_null] = ACTIONS(1068),
    [anon_sym_throw] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1066),
    [anon_sym_LT] = ACTIONS(1066),
    [sym_increment_operator] = ACTIONS(1066),
    [sym_minus_operator] = ACTIONS(1068),
    [sym__exclamation_operator] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_await] = ACTIONS(1068),
    [anon_sym_switch] = ACTIONS(1068),
    [anon_sym_do] = ACTIONS(1068),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_continue] = ACTIONS(1068),
    [anon_sym_yield] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1068),
    [anon_sym_try] = ACTIONS(1068),
    [anon_sym_if] = ACTIONS(1068),
    [anon_sym_for] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1070),
    [anon_sym_part] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1068),
    [anon_sym_abstract] = ACTIONS(1068),
    [anon_sym_class] = ACTIONS(1068),
    [anon_sym_extension] = ACTIONS(1068),
    [anon_sym_super] = ACTIONS(1068),
    [sym_void_type] = ACTIONS(1068),
    [anon_sym_var] = ACTIONS(1068),
    [sym__break_builtin] = ACTIONS(1068),
    [sym__assert_builtin] = ACTIONS(1068),
    [anon_sym_covariant] = ACTIONS(1068),
    [anon_sym_Function] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_mixin] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_typedef] = ACTIONS(1068),
    [anon_sym_new] = ACTIONS(1068),
    [sym_const_builtin] = ACTIONS(1068),
    [sym_final_builtin] = ACTIONS(1068),
    [anon_sym_late] = ACTIONS(1068),
    [anon_sym_external] = ACTIONS(1068),
    [anon_sym_this] = ACTIONS(1068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [333] = {
    [sym_comment] = STATE(333),
    [sym_documentation_comment] = STATE(333),
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_identifier] = ACTIONS(1078),
    [anon_sym_POUND] = ACTIONS(1076),
    [sym_decimal_integer_literal] = ACTIONS(1078),
    [sym_hex_integer_literal] = ACTIONS(1076),
    [sym_decimal_floating_point_literal] = ACTIONS(1078),
    [anon_sym_true] = ACTIONS(1078),
    [anon_sym_false] = ACTIONS(1078),
    [anon_sym_DQUOTE] = ACTIONS(1078),
    [anon_sym_SQUOTE] = ACTIONS(1078),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1076),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1076),
    [anon_sym_r_DQUOTE] = ACTIONS(1078),
    [anon_sym_r_SQUOTE] = ACTIONS(1078),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1076),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_null] = ACTIONS(1078),
    [anon_sym_throw] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_LT] = ACTIONS(1076),
    [sym_increment_operator] = ACTIONS(1076),
    [sym_minus_operator] = ACTIONS(1078),
    [sym__exclamation_operator] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_await] = ACTIONS(1078),
    [anon_sym_switch] = ACTIONS(1078),
    [anon_sym_default] = ACTIONS(1078),
    [anon_sym_do] = ACTIONS(1078),
    [anon_sym_while] = ACTIONS(1078),
    [anon_sym_continue] = ACTIONS(1078),
    [anon_sym_yield] = ACTIONS(1078),
    [anon_sym_return] = ACTIONS(1078),
    [anon_sym_try] = ACTIONS(1078),
    [anon_sym_if] = ACTIONS(1078),
    [anon_sym_else] = ACTIONS(1078),
    [anon_sym_for] = ACTIONS(1078),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_enum] = ACTIONS(1078),
    [anon_sym_abstract] = ACTIONS(1078),
    [anon_sym_class] = ACTIONS(1078),
    [anon_sym_extension] = ACTIONS(1078),
    [anon_sym_super] = ACTIONS(1078),
    [sym_void_type] = ACTIONS(1078),
    [anon_sym_var] = ACTIONS(1078),
    [sym__break_builtin] = ACTIONS(1078),
    [sym__assert_builtin] = ACTIONS(1078),
    [sym_case_builtin] = ACTIONS(1078),
    [anon_sym_covariant] = ACTIONS(1078),
    [anon_sym_factory] = ACTIONS(1078),
    [anon_sym_Function] = ACTIONS(1078),
    [anon_sym_get] = ACTIONS(1078),
    [anon_sym_operator] = ACTIONS(1078),
    [anon_sym_mixin] = ACTIONS(1078),
    [anon_sym_set] = ACTIONS(1078),
    [anon_sym_static] = ACTIONS(1078),
    [anon_sym_typedef] = ACTIONS(1078),
    [anon_sym_new] = ACTIONS(1078),
    [sym_const_builtin] = ACTIONS(1078),
    [sym_final_builtin] = ACTIONS(1078),
    [anon_sym_late] = ACTIONS(1078),
    [anon_sym_external] = ACTIONS(1078),
    [anon_sym_this] = ACTIONS(1078),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [334] = {
    [sym_comment] = STATE(334),
    [sym_documentation_comment] = STATE(334),
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_identifier] = ACTIONS(1082),
    [anon_sym_POUND] = ACTIONS(1080),
    [sym_decimal_integer_literal] = ACTIONS(1082),
    [sym_hex_integer_literal] = ACTIONS(1080),
    [sym_decimal_floating_point_literal] = ACTIONS(1082),
    [anon_sym_true] = ACTIONS(1082),
    [anon_sym_false] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1080),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1080),
    [anon_sym_r_DQUOTE] = ACTIONS(1082),
    [anon_sym_r_SQUOTE] = ACTIONS(1082),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1080),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_null] = ACTIONS(1082),
    [anon_sym_throw] = ACTIONS(1082),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [anon_sym_LT] = ACTIONS(1080),
    [sym_increment_operator] = ACTIONS(1080),
    [sym_minus_operator] = ACTIONS(1082),
    [sym__exclamation_operator] = ACTIONS(1080),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_await] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1082),
    [anon_sym_default] = ACTIONS(1082),
    [anon_sym_do] = ACTIONS(1082),
    [anon_sym_while] = ACTIONS(1082),
    [anon_sym_continue] = ACTIONS(1082),
    [anon_sym_yield] = ACTIONS(1082),
    [anon_sym_return] = ACTIONS(1082),
    [anon_sym_try] = ACTIONS(1082),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_else] = ACTIONS(1082),
    [anon_sym_for] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1080),
    [anon_sym_enum] = ACTIONS(1082),
    [anon_sym_abstract] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(1082),
    [anon_sym_extension] = ACTIONS(1082),
    [anon_sym_super] = ACTIONS(1082),
    [sym_void_type] = ACTIONS(1082),
    [anon_sym_var] = ACTIONS(1082),
    [sym__break_builtin] = ACTIONS(1082),
    [sym__assert_builtin] = ACTIONS(1082),
    [sym_case_builtin] = ACTIONS(1082),
    [anon_sym_covariant] = ACTIONS(1082),
    [anon_sym_factory] = ACTIONS(1082),
    [anon_sym_Function] = ACTIONS(1082),
    [anon_sym_get] = ACTIONS(1082),
    [anon_sym_operator] = ACTIONS(1082),
    [anon_sym_mixin] = ACTIONS(1082),
    [anon_sym_set] = ACTIONS(1082),
    [anon_sym_static] = ACTIONS(1082),
    [anon_sym_typedef] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(1082),
    [sym_const_builtin] = ACTIONS(1082),
    [sym_final_builtin] = ACTIONS(1082),
    [anon_sym_late] = ACTIONS(1082),
    [anon_sym_external] = ACTIONS(1082),
    [anon_sym_this] = ACTIONS(1082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [335] = {
    [sym_comment] = STATE(335),
    [sym_documentation_comment] = STATE(335),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_POUND] = ACTIONS(1084),
    [sym_decimal_integer_literal] = ACTIONS(1086),
    [sym_hex_integer_literal] = ACTIONS(1084),
    [sym_decimal_floating_point_literal] = ACTIONS(1086),
    [anon_sym_true] = ACTIONS(1086),
    [anon_sym_false] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1084),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1084),
    [anon_sym_r_DQUOTE] = ACTIONS(1086),
    [anon_sym_r_SQUOTE] = ACTIONS(1086),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1084),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1084),
    [anon_sym_null] = ACTIONS(1086),
    [anon_sym_throw] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_LT] = ACTIONS(1084),
    [sym_increment_operator] = ACTIONS(1084),
    [sym_minus_operator] = ACTIONS(1086),
    [sym__exclamation_operator] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_await] = ACTIONS(1086),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1086),
    [anon_sym_do] = ACTIONS(1086),
    [anon_sym_while] = ACTIONS(1086),
    [anon_sym_continue] = ACTIONS(1086),
    [anon_sym_yield] = ACTIONS(1086),
    [anon_sym_return] = ACTIONS(1086),
    [anon_sym_try] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1086),
    [anon_sym_else] = ACTIONS(1086),
    [anon_sym_for] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1084),
    [anon_sym_enum] = ACTIONS(1086),
    [anon_sym_abstract] = ACTIONS(1086),
    [anon_sym_class] = ACTIONS(1086),
    [anon_sym_extension] = ACTIONS(1086),
    [anon_sym_super] = ACTIONS(1086),
    [sym_void_type] = ACTIONS(1086),
    [anon_sym_var] = ACTIONS(1086),
    [sym__break_builtin] = ACTIONS(1086),
    [sym__assert_builtin] = ACTIONS(1086),
    [sym_case_builtin] = ACTIONS(1086),
    [anon_sym_covariant] = ACTIONS(1086),
    [anon_sym_factory] = ACTIONS(1086),
    [anon_sym_Function] = ACTIONS(1086),
    [anon_sym_get] = ACTIONS(1086),
    [anon_sym_operator] = ACTIONS(1086),
    [anon_sym_mixin] = ACTIONS(1086),
    [anon_sym_set] = ACTIONS(1086),
    [anon_sym_static] = ACTIONS(1086),
    [anon_sym_typedef] = ACTIONS(1086),
    [anon_sym_new] = ACTIONS(1086),
    [sym_const_builtin] = ACTIONS(1086),
    [sym_final_builtin] = ACTIONS(1086),
    [anon_sym_late] = ACTIONS(1086),
    [anon_sym_external] = ACTIONS(1086),
    [anon_sym_this] = ACTIONS(1086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [336] = {
    [sym_comment] = STATE(336),
    [sym_documentation_comment] = STATE(336),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_POUND] = ACTIONS(987),
    [sym_decimal_integer_literal] = ACTIONS(989),
    [sym_hex_integer_literal] = ACTIONS(987),
    [sym_decimal_floating_point_literal] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(989),
    [anon_sym_false] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(989),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_null] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [sym_increment_operator] = ACTIONS(987),
    [sym_minus_operator] = ACTIONS(989),
    [sym__exclamation_operator] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_on] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_catch] = ACTIONS(989),
    [anon_sym_finally] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_else] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_enum] = ACTIONS(989),
    [anon_sym_abstract] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_extension] = ACTIONS(989),
    [anon_sym_super] = ACTIONS(989),
    [sym_void_type] = ACTIONS(989),
    [anon_sym_var] = ACTIONS(989),
    [sym__break_builtin] = ACTIONS(989),
    [sym__assert_builtin] = ACTIONS(989),
    [sym_case_builtin] = ACTIONS(989),
    [anon_sym_covariant] = ACTIONS(989),
    [anon_sym_Function] = ACTIONS(989),
    [anon_sym_get] = ACTIONS(989),
    [anon_sym_mixin] = ACTIONS(989),
    [anon_sym_set] = ACTIONS(989),
    [anon_sym_typedef] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(989),
    [sym_const_builtin] = ACTIONS(989),
    [sym_final_builtin] = ACTIONS(989),
    [anon_sym_late] = ACTIONS(989),
    [anon_sym_external] = ACTIONS(989),
    [anon_sym_this] = ACTIONS(989),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [337] = {
    [sym_comment] = STATE(337),
    [sym_documentation_comment] = STATE(337),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_identifier] = ACTIONS(1090),
    [anon_sym_POUND] = ACTIONS(1088),
    [sym_decimal_integer_literal] = ACTIONS(1090),
    [sym_hex_integer_literal] = ACTIONS(1088),
    [sym_decimal_floating_point_literal] = ACTIONS(1090),
    [anon_sym_true] = ACTIONS(1090),
    [anon_sym_false] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1088),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1088),
    [anon_sym_r_DQUOTE] = ACTIONS(1090),
    [anon_sym_r_SQUOTE] = ACTIONS(1090),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1088),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_null] = ACTIONS(1090),
    [anon_sym_throw] = ACTIONS(1090),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT] = ACTIONS(1088),
    [sym_increment_operator] = ACTIONS(1088),
    [sym_minus_operator] = ACTIONS(1090),
    [sym__exclamation_operator] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_await] = ACTIONS(1090),
    [anon_sym_switch] = ACTIONS(1090),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_continue] = ACTIONS(1090),
    [anon_sym_yield] = ACTIONS(1090),
    [anon_sym_return] = ACTIONS(1090),
    [anon_sym_on] = ACTIONS(1090),
    [anon_sym_try] = ACTIONS(1090),
    [anon_sym_catch] = ACTIONS(1090),
    [anon_sym_finally] = ACTIONS(1090),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_else] = ACTIONS(1090),
    [anon_sym_for] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1088),
    [anon_sym_enum] = ACTIONS(1090),
    [anon_sym_abstract] = ACTIONS(1090),
    [anon_sym_class] = ACTIONS(1090),
    [anon_sym_extension] = ACTIONS(1090),
    [anon_sym_super] = ACTIONS(1090),
    [sym_void_type] = ACTIONS(1090),
    [anon_sym_var] = ACTIONS(1090),
    [sym__break_builtin] = ACTIONS(1090),
    [sym__assert_builtin] = ACTIONS(1090),
    [sym_case_builtin] = ACTIONS(1090),
    [anon_sym_covariant] = ACTIONS(1090),
    [anon_sym_Function] = ACTIONS(1090),
    [anon_sym_get] = ACTIONS(1090),
    [anon_sym_mixin] = ACTIONS(1090),
    [anon_sym_set] = ACTIONS(1090),
    [anon_sym_typedef] = ACTIONS(1090),
    [anon_sym_new] = ACTIONS(1090),
    [sym_const_builtin] = ACTIONS(1090),
    [sym_final_builtin] = ACTIONS(1090),
    [anon_sym_late] = ACTIONS(1090),
    [anon_sym_external] = ACTIONS(1090),
    [anon_sym_this] = ACTIONS(1090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [338] = {
    [sym_comment] = STATE(338),
    [sym_documentation_comment] = STATE(338),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_POUND] = ACTIONS(1092),
    [sym_decimal_integer_literal] = ACTIONS(1094),
    [sym_hex_integer_literal] = ACTIONS(1092),
    [sym_decimal_floating_point_literal] = ACTIONS(1094),
    [anon_sym_true] = ACTIONS(1094),
    [anon_sym_false] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1092),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1092),
    [anon_sym_r_DQUOTE] = ACTIONS(1094),
    [anon_sym_r_SQUOTE] = ACTIONS(1094),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1092),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_null] = ACTIONS(1094),
    [anon_sym_throw] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_LT] = ACTIONS(1092),
    [sym_increment_operator] = ACTIONS(1092),
    [sym_minus_operator] = ACTIONS(1094),
    [sym__exclamation_operator] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_await] = ACTIONS(1094),
    [anon_sym_switch] = ACTIONS(1094),
    [anon_sym_default] = ACTIONS(1094),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_while] = ACTIONS(1094),
    [anon_sym_continue] = ACTIONS(1094),
    [anon_sym_yield] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1094),
    [anon_sym_on] = ACTIONS(1094),
    [anon_sym_try] = ACTIONS(1094),
    [anon_sym_catch] = ACTIONS(1094),
    [anon_sym_finally] = ACTIONS(1094),
    [anon_sym_if] = ACTIONS(1094),
    [anon_sym_else] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1092),
    [anon_sym_enum] = ACTIONS(1094),
    [anon_sym_abstract] = ACTIONS(1094),
    [anon_sym_class] = ACTIONS(1094),
    [anon_sym_extension] = ACTIONS(1094),
    [anon_sym_super] = ACTIONS(1094),
    [sym_void_type] = ACTIONS(1094),
    [anon_sym_var] = ACTIONS(1094),
    [sym__break_builtin] = ACTIONS(1094),
    [sym__assert_builtin] = ACTIONS(1094),
    [sym_case_builtin] = ACTIONS(1094),
    [anon_sym_covariant] = ACTIONS(1094),
    [anon_sym_Function] = ACTIONS(1094),
    [anon_sym_get] = ACTIONS(1094),
    [anon_sym_mixin] = ACTIONS(1094),
    [anon_sym_set] = ACTIONS(1094),
    [anon_sym_typedef] = ACTIONS(1094),
    [anon_sym_new] = ACTIONS(1094),
    [sym_const_builtin] = ACTIONS(1094),
    [sym_final_builtin] = ACTIONS(1094),
    [anon_sym_late] = ACTIONS(1094),
    [anon_sym_external] = ACTIONS(1094),
    [anon_sym_this] = ACTIONS(1094),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [339] = {
    [sym_comment] = STATE(339),
    [sym_documentation_comment] = STATE(339),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_identifier] = ACTIONS(1054),
    [anon_sym_POUND] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(1054),
    [sym_hex_integer_literal] = ACTIONS(1052),
    [sym_decimal_floating_point_literal] = ACTIONS(1054),
    [anon_sym_true] = ACTIONS(1054),
    [anon_sym_false] = ACTIONS(1054),
    [anon_sym_DQUOTE] = ACTIONS(1054),
    [anon_sym_SQUOTE] = ACTIONS(1054),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1052),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1052),
    [anon_sym_r_DQUOTE] = ACTIONS(1054),
    [anon_sym_r_SQUOTE] = ACTIONS(1054),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1052),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_null] = ACTIONS(1054),
    [anon_sym_throw] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [anon_sym_LT] = ACTIONS(1052),
    [sym_increment_operator] = ACTIONS(1052),
    [sym_minus_operator] = ACTIONS(1054),
    [sym__exclamation_operator] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_await] = ACTIONS(1054),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_default] = ACTIONS(1054),
    [anon_sym_do] = ACTIONS(1054),
    [anon_sym_while] = ACTIONS(1054),
    [anon_sym_continue] = ACTIONS(1054),
    [anon_sym_yield] = ACTIONS(1054),
    [anon_sym_return] = ACTIONS(1054),
    [anon_sym_on] = ACTIONS(1054),
    [anon_sym_try] = ACTIONS(1054),
    [anon_sym_catch] = ACTIONS(1054),
    [anon_sym_finally] = ACTIONS(1054),
    [anon_sym_if] = ACTIONS(1054),
    [anon_sym_else] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1052),
    [anon_sym_enum] = ACTIONS(1054),
    [anon_sym_abstract] = ACTIONS(1054),
    [anon_sym_class] = ACTIONS(1054),
    [anon_sym_extension] = ACTIONS(1054),
    [anon_sym_super] = ACTIONS(1054),
    [sym_void_type] = ACTIONS(1054),
    [anon_sym_var] = ACTIONS(1054),
    [sym__break_builtin] = ACTIONS(1054),
    [sym__assert_builtin] = ACTIONS(1054),
    [sym_case_builtin] = ACTIONS(1054),
    [anon_sym_covariant] = ACTIONS(1054),
    [anon_sym_Function] = ACTIONS(1054),
    [anon_sym_get] = ACTIONS(1054),
    [anon_sym_mixin] = ACTIONS(1054),
    [anon_sym_set] = ACTIONS(1054),
    [anon_sym_typedef] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(1054),
    [sym_const_builtin] = ACTIONS(1054),
    [sym_final_builtin] = ACTIONS(1054),
    [anon_sym_late] = ACTIONS(1054),
    [anon_sym_external] = ACTIONS(1054),
    [anon_sym_this] = ACTIONS(1054),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [340] = {
    [sym_comment] = STATE(340),
    [sym_documentation_comment] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_identifier] = ACTIONS(1098),
    [anon_sym_POUND] = ACTIONS(1096),
    [sym_decimal_integer_literal] = ACTIONS(1098),
    [sym_hex_integer_literal] = ACTIONS(1096),
    [sym_decimal_floating_point_literal] = ACTIONS(1098),
    [anon_sym_true] = ACTIONS(1098),
    [anon_sym_false] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1096),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1096),
    [anon_sym_r_DQUOTE] = ACTIONS(1098),
    [anon_sym_r_SQUOTE] = ACTIONS(1098),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1096),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1096),
    [anon_sym_null] = ACTIONS(1098),
    [anon_sym_throw] = ACTIONS(1098),
    [anon_sym_LPAREN] = ACTIONS(1096),
    [anon_sym_LT] = ACTIONS(1096),
    [sym_increment_operator] = ACTIONS(1096),
    [sym_minus_operator] = ACTIONS(1098),
    [sym__exclamation_operator] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1096),
    [anon_sym_await] = ACTIONS(1098),
    [anon_sym_switch] = ACTIONS(1098),
    [anon_sym_default] = ACTIONS(1098),
    [anon_sym_do] = ACTIONS(1098),
    [anon_sym_while] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1098),
    [anon_sym_yield] = ACTIONS(1098),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_try] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1098),
    [anon_sym_else] = ACTIONS(1098),
    [anon_sym_for] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1096),
    [anon_sym_enum] = ACTIONS(1098),
    [anon_sym_abstract] = ACTIONS(1098),
    [anon_sym_class] = ACTIONS(1098),
    [anon_sym_extension] = ACTIONS(1098),
    [anon_sym_super] = ACTIONS(1098),
    [sym_void_type] = ACTIONS(1098),
    [anon_sym_var] = ACTIONS(1098),
    [sym__break_builtin] = ACTIONS(1098),
    [sym__assert_builtin] = ACTIONS(1098),
    [sym_case_builtin] = ACTIONS(1098),
    [anon_sym_covariant] = ACTIONS(1098),
    [anon_sym_factory] = ACTIONS(1098),
    [anon_sym_Function] = ACTIONS(1098),
    [anon_sym_get] = ACTIONS(1098),
    [anon_sym_operator] = ACTIONS(1098),
    [anon_sym_mixin] = ACTIONS(1098),
    [anon_sym_set] = ACTIONS(1098),
    [anon_sym_static] = ACTIONS(1098),
    [anon_sym_typedef] = ACTIONS(1098),
    [anon_sym_new] = ACTIONS(1098),
    [sym_const_builtin] = ACTIONS(1098),
    [sym_final_builtin] = ACTIONS(1098),
    [anon_sym_late] = ACTIONS(1098),
    [anon_sym_external] = ACTIONS(1098),
    [anon_sym_this] = ACTIONS(1098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [341] = {
    [sym_comment] = STATE(341),
    [sym_documentation_comment] = STATE(341),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_identifier] = ACTIONS(1102),
    [anon_sym_POUND] = ACTIONS(1100),
    [sym_decimal_integer_literal] = ACTIONS(1102),
    [sym_hex_integer_literal] = ACTIONS(1100),
    [sym_decimal_floating_point_literal] = ACTIONS(1102),
    [anon_sym_true] = ACTIONS(1102),
    [anon_sym_false] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [anon_sym_SQUOTE] = ACTIONS(1102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1100),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1100),
    [anon_sym_r_DQUOTE] = ACTIONS(1102),
    [anon_sym_r_SQUOTE] = ACTIONS(1102),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1100),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_null] = ACTIONS(1102),
    [anon_sym_throw] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1100),
    [anon_sym_LT] = ACTIONS(1100),
    [sym_increment_operator] = ACTIONS(1100),
    [sym_minus_operator] = ACTIONS(1102),
    [sym__exclamation_operator] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_await] = ACTIONS(1102),
    [anon_sym_switch] = ACTIONS(1102),
    [anon_sym_default] = ACTIONS(1102),
    [anon_sym_do] = ACTIONS(1102),
    [anon_sym_while] = ACTIONS(1102),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_yield] = ACTIONS(1102),
    [anon_sym_return] = ACTIONS(1102),
    [anon_sym_on] = ACTIONS(1102),
    [anon_sym_try] = ACTIONS(1102),
    [anon_sym_catch] = ACTIONS(1102),
    [anon_sym_finally] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_else] = ACTIONS(1102),
    [anon_sym_for] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1100),
    [anon_sym_enum] = ACTIONS(1102),
    [anon_sym_abstract] = ACTIONS(1102),
    [anon_sym_class] = ACTIONS(1102),
    [anon_sym_extension] = ACTIONS(1102),
    [anon_sym_super] = ACTIONS(1102),
    [sym_void_type] = ACTIONS(1102),
    [anon_sym_var] = ACTIONS(1102),
    [sym__break_builtin] = ACTIONS(1102),
    [sym__assert_builtin] = ACTIONS(1102),
    [sym_case_builtin] = ACTIONS(1102),
    [anon_sym_covariant] = ACTIONS(1102),
    [anon_sym_Function] = ACTIONS(1102),
    [anon_sym_get] = ACTIONS(1102),
    [anon_sym_mixin] = ACTIONS(1102),
    [anon_sym_set] = ACTIONS(1102),
    [anon_sym_typedef] = ACTIONS(1102),
    [anon_sym_new] = ACTIONS(1102),
    [sym_const_builtin] = ACTIONS(1102),
    [sym_final_builtin] = ACTIONS(1102),
    [anon_sym_late] = ACTIONS(1102),
    [anon_sym_external] = ACTIONS(1102),
    [anon_sym_this] = ACTIONS(1102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [342] = {
    [sym_comment] = STATE(342),
    [sym_documentation_comment] = STATE(342),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_identifier] = ACTIONS(1106),
    [anon_sym_POUND] = ACTIONS(1104),
    [sym_decimal_integer_literal] = ACTIONS(1106),
    [sym_hex_integer_literal] = ACTIONS(1104),
    [sym_decimal_floating_point_literal] = ACTIONS(1106),
    [anon_sym_true] = ACTIONS(1106),
    [anon_sym_false] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1104),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1104),
    [anon_sym_r_DQUOTE] = ACTIONS(1106),
    [anon_sym_r_SQUOTE] = ACTIONS(1106),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1104),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_null] = ACTIONS(1106),
    [anon_sym_throw] = ACTIONS(1106),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [anon_sym_LT] = ACTIONS(1104),
    [sym_increment_operator] = ACTIONS(1104),
    [sym_minus_operator] = ACTIONS(1106),
    [sym__exclamation_operator] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_await] = ACTIONS(1106),
    [anon_sym_switch] = ACTIONS(1106),
    [anon_sym_default] = ACTIONS(1106),
    [anon_sym_do] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_yield] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_try] = ACTIONS(1106),
    [anon_sym_catch] = ACTIONS(1106),
    [anon_sym_finally] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1106),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1106),
    [anon_sym_class] = ACTIONS(1106),
    [anon_sym_extension] = ACTIONS(1106),
    [anon_sym_super] = ACTIONS(1106),
    [sym_void_type] = ACTIONS(1106),
    [anon_sym_var] = ACTIONS(1106),
    [sym__break_builtin] = ACTIONS(1106),
    [sym__assert_builtin] = ACTIONS(1106),
    [sym_case_builtin] = ACTIONS(1106),
    [anon_sym_covariant] = ACTIONS(1106),
    [anon_sym_Function] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_mixin] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_typedef] = ACTIONS(1106),
    [anon_sym_new] = ACTIONS(1106),
    [sym_const_builtin] = ACTIONS(1106),
    [sym_final_builtin] = ACTIONS(1106),
    [anon_sym_late] = ACTIONS(1106),
    [anon_sym_external] = ACTIONS(1106),
    [anon_sym_this] = ACTIONS(1106),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [343] = {
    [sym__assignment_operator] = STATE(188),
    [sym_arguments] = STATE(524),
    [sym__cascade_subsection] = STATE(540),
    [sym__cascade_assignment_section] = STATE(856),
    [sym_index_selector] = STATE(538),
    [sym_argument_part] = STATE(523),
    [sym_unconditional_assignable_selector] = STATE(533),
    [sym_conditional_assignable_selector] = STATE(533),
    [sym__assignable_selector] = STATE(467),
    [sym_type_arguments] = STATE(2474),
    [sym__nullable_type] = STATE(2382),
    [sym_comment] = STATE(343),
    [sym_documentation_comment] = STATE(343),
    [aux_sym_cascade_section_repeat1] = STATE(344),
    [aux_sym_cascade_section_repeat2] = STATE(390),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1108),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_COLON] = ACTIONS(1108),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_RPAREN] = ACTIONS(1108),
    [anon_sym_QMARK_QMARK] = ACTIONS(1114),
    [anon_sym_QMARK] = ACTIONS(1114),
    [anon_sym_PIPE_PIPE] = ACTIONS(1108),
    [anon_sym_AMP_AMP] = ACTIONS(1108),
    [sym_equality_operator] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1108),
    [anon_sym_GT_EQ] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1114),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1114),
    [sym__additive_operator] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1114),
    [anon_sym_TILDE_SLASH] = ACTIONS(1114),
    [sym__exclamation_operator] = ACTIONS(1114),
    [anon_sym_is] = ACTIONS(1108),
    [anon_sym_as] = ACTIONS(1108),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_QMARK_DOT] = ACTIONS(1114),
    [anon_sym_DOT_DOT] = ACTIONS(1108),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym_else] = ACTIONS(1108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [344] = {
    [sym__assignment_operator] = STATE(188),
    [sym_arguments] = STATE(524),
    [sym__cascade_subsection] = STATE(540),
    [sym__cascade_assignment_section] = STATE(870),
    [sym_index_selector] = STATE(538),
    [sym_argument_part] = STATE(523),
    [sym_unconditional_assignable_selector] = STATE(533),
    [sym_conditional_assignable_selector] = STATE(533),
    [sym__assignable_selector] = STATE(467),
    [sym_type_arguments] = STATE(2474),
    [sym__nullable_type] = STATE(2382),
    [sym_comment] = STATE(344),
    [sym_documentation_comment] = STATE(344),
    [aux_sym_cascade_section_repeat1] = STATE(468),
    [aux_sym_cascade_section_repeat2] = STATE(391),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_RBRACK] = ACTIONS(1116),
    [anon_sym_COLON] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_RPAREN] = ACTIONS(1116),
    [anon_sym_QMARK_QMARK] = ACTIONS(1118),
    [anon_sym_QMARK] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [sym_equality_operator] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1118),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_PIPE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_LT_LT] = ACTIONS(1118),
    [anon_sym_GT_GT] = ACTIONS(1118),
    [anon_sym_GT_GT_GT] = ACTIONS(1118),
    [sym__additive_operator] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PERCENT] = ACTIONS(1118),
    [anon_sym_TILDE_SLASH] = ACTIONS(1118),
    [sym__exclamation_operator] = ACTIONS(1118),
    [anon_sym_is] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1116),
    [anon_sym_DOT] = ACTIONS(1118),
    [anon_sym_QMARK_DOT] = ACTIONS(1118),
    [anon_sym_DOT_DOT] = ACTIONS(1116),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1116),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [345] = {
    [sym__assignment_operator] = STATE(202),
    [sym_arguments] = STATE(560),
    [sym__cascade_subsection] = STATE(555),
    [sym__cascade_assignment_section] = STATE(1004),
    [sym_index_selector] = STATE(561),
    [sym_argument_part] = STATE(556),
    [sym_unconditional_assignable_selector] = STATE(559),
    [sym_conditional_assignable_selector] = STATE(559),
    [sym__assignable_selector] = STATE(473),
    [sym_type_arguments] = STATE(2365),
    [sym__nullable_type] = STATE(2425),
    [sym_comment] = STATE(345),
    [sym_documentation_comment] = STATE(345),
    [aux_sym_cascade_section_repeat1] = STATE(347),
    [aux_sym_cascade_section_repeat2] = STATE(398),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1108),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_QMARK_QMARK] = ACTIONS(1114),
    [anon_sym_QMARK] = ACTIONS(1114),
    [anon_sym_PIPE_PIPE] = ACTIONS(1108),
    [anon_sym_AMP_AMP] = ACTIONS(1108),
    [sym_equality_operator] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1108),
    [anon_sym_GT_EQ] = ACTIONS(1108),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1114),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1114),
    [sym__additive_operator] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1114),
    [anon_sym_TILDE_SLASH] = ACTIONS(1114),
    [sym__exclamation_operator] = ACTIONS(1114),
    [anon_sym_is] = ACTIONS(1108),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_QMARK_DOT] = ACTIONS(1114),
    [anon_sym_DOT_DOT] = ACTIONS(1108),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym_async] = ACTIONS(1114),
    [anon_sym_EQ_GT] = ACTIONS(1108),
    [anon_sym_async_STAR] = ACTIONS(1108),
    [anon_sym_sync_STAR] = ACTIONS(1108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [346] = {
    [sym_comment] = STATE(346),
    [sym_documentation_comment] = STATE(346),
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_identifier] = ACTIONS(1122),
    [anon_sym_POUND] = ACTIONS(1120),
    [sym_decimal_integer_literal] = ACTIONS(1122),
    [sym_hex_integer_literal] = ACTIONS(1120),
    [sym_decimal_floating_point_literal] = ACTIONS(1122),
    [anon_sym_true] = ACTIONS(1122),
    [anon_sym_false] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1120),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1120),
    [anon_sym_r_DQUOTE] = ACTIONS(1122),
    [anon_sym_r_SQUOTE] = ACTIONS(1122),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1120),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_null] = ACTIONS(1122),
    [anon_sym_throw] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1120),
    [anon_sym_LT] = ACTIONS(1120),
    [sym_increment_operator] = ACTIONS(1120),
    [sym_minus_operator] = ACTIONS(1122),
    [sym__exclamation_operator] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_await] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1122),
    [anon_sym_default] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_continue] = ACTIONS(1122),
    [anon_sym_yield] = ACTIONS(1122),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_try] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1122),
    [anon_sym_else] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1122),
    [anon_sym_abstract] = ACTIONS(1122),
    [anon_sym_class] = ACTIONS(1122),
    [anon_sym_extension] = ACTIONS(1122),
    [anon_sym_super] = ACTIONS(1122),
    [sym_void_type] = ACTIONS(1122),
    [anon_sym_var] = ACTIONS(1122),
    [sym__break_builtin] = ACTIONS(1122),
    [sym__assert_builtin] = ACTIONS(1122),
    [sym_case_builtin] = ACTIONS(1122),
    [anon_sym_covariant] = ACTIONS(1122),
    [anon_sym_Function] = ACTIONS(1122),
    [anon_sym_get] = ACTIONS(1122),
    [anon_sym_mixin] = ACTIONS(1122),
    [anon_sym_set] = ACTIONS(1122),
    [anon_sym_typedef] = ACTIONS(1122),
    [anon_sym_new] = ACTIONS(1122),
    [sym_const_builtin] = ACTIONS(1122),
    [sym_final_builtin] = ACTIONS(1122),
    [anon_sym_late] = ACTIONS(1122),
    [anon_sym_external] = ACTIONS(1122),
    [anon_sym_this] = ACTIONS(1122),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [347] = {
    [sym__assignment_operator] = STATE(202),
    [sym_arguments] = STATE(560),
    [sym__cascade_subsection] = STATE(555),
    [sym__cascade_assignment_section] = STATE(958),
    [sym_index_selector] = STATE(561),
    [sym_argument_part] = STATE(556),
    [sym_unconditional_assignable_selector] = STATE(559),
    [sym_conditional_assignable_selector] = STATE(559),
    [sym__assignable_selector] = STATE(473),
    [sym_type_arguments] = STATE(2365),
    [sym__nullable_type] = STATE(2425),
    [sym_comment] = STATE(347),
    [sym_documentation_comment] = STATE(347),
    [aux_sym_cascade_section_repeat1] = STATE(471),
    [aux_sym_cascade_section_repeat2] = STATE(399),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_QMARK_QMARK] = ACTIONS(1118),
    [anon_sym_QMARK] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [sym_equality_operator] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1118),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_PIPE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_LT_LT] = ACTIONS(1118),
    [anon_sym_GT_GT] = ACTIONS(1118),
    [anon_sym_GT_GT_GT] = ACTIONS(1118),
    [sym__additive_operator] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PERCENT] = ACTIONS(1118),
    [anon_sym_TILDE_SLASH] = ACTIONS(1118),
    [sym__exclamation_operator] = ACTIONS(1118),
    [anon_sym_is] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1118),
    [anon_sym_DOT] = ACTIONS(1118),
    [anon_sym_QMARK_DOT] = ACTIONS(1118),
    [anon_sym_DOT_DOT] = ACTIONS(1116),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1116),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym_async] = ACTIONS(1118),
    [anon_sym_EQ_GT] = ACTIONS(1116),
    [anon_sym_async_STAR] = ACTIONS(1116),
    [anon_sym_sync_STAR] = ACTIONS(1116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [348] = {
    [sym_comment] = STATE(348),
    [sym_documentation_comment] = STATE(348),
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_identifier] = ACTIONS(1126),
    [anon_sym_POUND] = ACTIONS(1124),
    [sym_decimal_integer_literal] = ACTIONS(1126),
    [sym_hex_integer_literal] = ACTIONS(1124),
    [sym_decimal_floating_point_literal] = ACTIONS(1126),
    [anon_sym_true] = ACTIONS(1126),
    [anon_sym_false] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1124),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1124),
    [anon_sym_r_DQUOTE] = ACTIONS(1126),
    [anon_sym_r_SQUOTE] = ACTIONS(1126),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1124),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_null] = ACTIONS(1126),
    [anon_sym_throw] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [anon_sym_LT] = ACTIONS(1124),
    [sym_increment_operator] = ACTIONS(1124),
    [sym_minus_operator] = ACTIONS(1126),
    [sym__exclamation_operator] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_await] = ACTIONS(1126),
    [anon_sym_switch] = ACTIONS(1126),
    [anon_sym_default] = ACTIONS(1126),
    [anon_sym_do] = ACTIONS(1126),
    [anon_sym_while] = ACTIONS(1126),
    [anon_sym_continue] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1126),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1126),
    [anon_sym_else] = ACTIONS(1126),
    [anon_sym_for] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1126),
    [anon_sym_abstract] = ACTIONS(1126),
    [anon_sym_class] = ACTIONS(1126),
    [anon_sym_extension] = ACTIONS(1126),
    [anon_sym_super] = ACTIONS(1126),
    [sym_void_type] = ACTIONS(1126),
    [anon_sym_var] = ACTIONS(1126),
    [sym__break_builtin] = ACTIONS(1126),
    [sym__assert_builtin] = ACTIONS(1126),
    [sym_case_builtin] = ACTIONS(1126),
    [anon_sym_covariant] = ACTIONS(1126),
    [anon_sym_Function] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_mixin] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_typedef] = ACTIONS(1126),
    [anon_sym_new] = ACTIONS(1126),
    [sym_const_builtin] = ACTIONS(1126),
    [sym_final_builtin] = ACTIONS(1126),
    [anon_sym_late] = ACTIONS(1126),
    [anon_sym_external] = ACTIONS(1126),
    [anon_sym_this] = ACTIONS(1126),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [349] = {
    [sym_comment] = STATE(349),
    [sym_documentation_comment] = STATE(349),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_identifier] = ACTIONS(1130),
    [anon_sym_POUND] = ACTIONS(1128),
    [sym_decimal_integer_literal] = ACTIONS(1130),
    [sym_hex_integer_literal] = ACTIONS(1128),
    [sym_decimal_floating_point_literal] = ACTIONS(1130),
    [anon_sym_true] = ACTIONS(1130),
    [anon_sym_false] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1128),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1128),
    [anon_sym_r_DQUOTE] = ACTIONS(1130),
    [anon_sym_r_SQUOTE] = ACTIONS(1130),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1128),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_null] = ACTIONS(1130),
    [anon_sym_throw] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_LT] = ACTIONS(1128),
    [sym_increment_operator] = ACTIONS(1128),
    [sym_minus_operator] = ACTIONS(1130),
    [sym__exclamation_operator] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_await] = ACTIONS(1130),
    [anon_sym_switch] = ACTIONS(1130),
    [anon_sym_default] = ACTIONS(1130),
    [anon_sym_do] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_yield] = ACTIONS(1130),
    [anon_sym_return] = ACTIONS(1130),
    [anon_sym_try] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1130),
    [anon_sym_else] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1130),
    [anon_sym_abstract] = ACTIONS(1130),
    [anon_sym_class] = ACTIONS(1130),
    [anon_sym_extension] = ACTIONS(1130),
    [anon_sym_super] = ACTIONS(1130),
    [sym_void_type] = ACTIONS(1130),
    [anon_sym_var] = ACTIONS(1130),
    [sym__break_builtin] = ACTIONS(1130),
    [sym__assert_builtin] = ACTIONS(1130),
    [sym_case_builtin] = ACTIONS(1130),
    [anon_sym_covariant] = ACTIONS(1130),
    [anon_sym_Function] = ACTIONS(1130),
    [anon_sym_get] = ACTIONS(1130),
    [anon_sym_mixin] = ACTIONS(1130),
    [anon_sym_set] = ACTIONS(1130),
    [anon_sym_typedef] = ACTIONS(1130),
    [anon_sym_new] = ACTIONS(1130),
    [sym_const_builtin] = ACTIONS(1130),
    [sym_final_builtin] = ACTIONS(1130),
    [anon_sym_late] = ACTIONS(1130),
    [anon_sym_external] = ACTIONS(1130),
    [anon_sym_this] = ACTIONS(1130),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [350] = {
    [sym_comment] = STATE(350),
    [sym_documentation_comment] = STATE(350),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_identifier] = ACTIONS(1134),
    [anon_sym_POUND] = ACTIONS(1132),
    [sym_decimal_integer_literal] = ACTIONS(1134),
    [sym_hex_integer_literal] = ACTIONS(1132),
    [sym_decimal_floating_point_literal] = ACTIONS(1134),
    [anon_sym_true] = ACTIONS(1134),
    [anon_sym_false] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1132),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1132),
    [anon_sym_r_DQUOTE] = ACTIONS(1134),
    [anon_sym_r_SQUOTE] = ACTIONS(1134),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1132),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_null] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_LT] = ACTIONS(1132),
    [sym_increment_operator] = ACTIONS(1132),
    [sym_minus_operator] = ACTIONS(1134),
    [sym__exclamation_operator] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_await] = ACTIONS(1134),
    [anon_sym_switch] = ACTIONS(1134),
    [anon_sym_default] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_continue] = ACTIONS(1134),
    [anon_sym_yield] = ACTIONS(1134),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_try] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1134),
    [anon_sym_else] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1134),
    [anon_sym_abstract] = ACTIONS(1134),
    [anon_sym_class] = ACTIONS(1134),
    [anon_sym_extension] = ACTIONS(1134),
    [anon_sym_super] = ACTIONS(1134),
    [sym_void_type] = ACTIONS(1134),
    [anon_sym_var] = ACTIONS(1134),
    [sym__break_builtin] = ACTIONS(1134),
    [sym__assert_builtin] = ACTIONS(1134),
    [sym_case_builtin] = ACTIONS(1134),
    [anon_sym_covariant] = ACTIONS(1134),
    [anon_sym_Function] = ACTIONS(1134),
    [anon_sym_get] = ACTIONS(1134),
    [anon_sym_mixin] = ACTIONS(1134),
    [anon_sym_set] = ACTIONS(1134),
    [anon_sym_typedef] = ACTIONS(1134),
    [anon_sym_new] = ACTIONS(1134),
    [sym_const_builtin] = ACTIONS(1134),
    [sym_final_builtin] = ACTIONS(1134),
    [anon_sym_late] = ACTIONS(1134),
    [anon_sym_external] = ACTIONS(1134),
    [anon_sym_this] = ACTIONS(1134),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [351] = {
    [sym_comment] = STATE(351),
    [sym_documentation_comment] = STATE(351),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_identifier] = ACTIONS(1138),
    [anon_sym_POUND] = ACTIONS(1136),
    [sym_decimal_integer_literal] = ACTIONS(1138),
    [sym_hex_integer_literal] = ACTIONS(1136),
    [sym_decimal_floating_point_literal] = ACTIONS(1138),
    [anon_sym_true] = ACTIONS(1138),
    [anon_sym_false] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1136),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1136),
    [anon_sym_r_DQUOTE] = ACTIONS(1138),
    [anon_sym_r_SQUOTE] = ACTIONS(1138),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1136),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_null] = ACTIONS(1138),
    [anon_sym_throw] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [anon_sym_LT] = ACTIONS(1136),
    [sym_increment_operator] = ACTIONS(1136),
    [sym_minus_operator] = ACTIONS(1138),
    [sym__exclamation_operator] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_await] = ACTIONS(1138),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_default] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_try] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_else] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_abstract] = ACTIONS(1138),
    [anon_sym_class] = ACTIONS(1138),
    [anon_sym_extension] = ACTIONS(1138),
    [anon_sym_super] = ACTIONS(1138),
    [sym_void_type] = ACTIONS(1138),
    [anon_sym_var] = ACTIONS(1138),
    [sym__break_builtin] = ACTIONS(1138),
    [sym__assert_builtin] = ACTIONS(1138),
    [sym_case_builtin] = ACTIONS(1138),
    [anon_sym_covariant] = ACTIONS(1138),
    [anon_sym_Function] = ACTIONS(1138),
    [anon_sym_get] = ACTIONS(1138),
    [anon_sym_mixin] = ACTIONS(1138),
    [anon_sym_set] = ACTIONS(1138),
    [anon_sym_typedef] = ACTIONS(1138),
    [anon_sym_new] = ACTIONS(1138),
    [sym_const_builtin] = ACTIONS(1138),
    [sym_final_builtin] = ACTIONS(1138),
    [anon_sym_late] = ACTIONS(1138),
    [anon_sym_external] = ACTIONS(1138),
    [anon_sym_this] = ACTIONS(1138),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [352] = {
    [sym_comment] = STATE(352),
    [sym_documentation_comment] = STATE(352),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(1142),
    [anon_sym_POUND] = ACTIONS(1140),
    [sym_decimal_integer_literal] = ACTIONS(1142),
    [sym_hex_integer_literal] = ACTIONS(1140),
    [sym_decimal_floating_point_literal] = ACTIONS(1142),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1140),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1140),
    [anon_sym_r_DQUOTE] = ACTIONS(1142),
    [anon_sym_r_SQUOTE] = ACTIONS(1142),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1140),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_null] = ACTIONS(1142),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [anon_sym_LT] = ACTIONS(1140),
    [sym_increment_operator] = ACTIONS(1140),
    [sym_minus_operator] = ACTIONS(1142),
    [sym__exclamation_operator] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_await] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_yield] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_try] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_abstract] = ACTIONS(1142),
    [anon_sym_class] = ACTIONS(1142),
    [anon_sym_extension] = ACTIONS(1142),
    [anon_sym_super] = ACTIONS(1142),
    [sym_void_type] = ACTIONS(1142),
    [anon_sym_var] = ACTIONS(1142),
    [sym__break_builtin] = ACTIONS(1142),
    [sym__assert_builtin] = ACTIONS(1142),
    [sym_case_builtin] = ACTIONS(1142),
    [anon_sym_covariant] = ACTIONS(1142),
    [anon_sym_Function] = ACTIONS(1142),
    [anon_sym_get] = ACTIONS(1142),
    [anon_sym_mixin] = ACTIONS(1142),
    [anon_sym_set] = ACTIONS(1142),
    [anon_sym_typedef] = ACTIONS(1142),
    [anon_sym_new] = ACTIONS(1142),
    [sym_const_builtin] = ACTIONS(1142),
    [sym_final_builtin] = ACTIONS(1142),
    [anon_sym_late] = ACTIONS(1142),
    [anon_sym_external] = ACTIONS(1142),
    [anon_sym_this] = ACTIONS(1142),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [353] = {
    [sym_comment] = STATE(353),
    [sym_documentation_comment] = STATE(353),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [anon_sym_POUND] = ACTIONS(1144),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1144),
    [sym_decimal_floating_point_literal] = ACTIONS(1146),
    [anon_sym_true] = ACTIONS(1146),
    [anon_sym_false] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1144),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1144),
    [anon_sym_r_DQUOTE] = ACTIONS(1146),
    [anon_sym_r_SQUOTE] = ACTIONS(1146),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1144),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_null] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1144),
    [sym_increment_operator] = ACTIONS(1144),
    [sym_minus_operator] = ACTIONS(1146),
    [sym__exclamation_operator] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_await] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1144),
    [anon_sym_part] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_extension] = ACTIONS(1146),
    [anon_sym_super] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_var] = ACTIONS(1146),
    [anon_sym_library] = ACTIONS(1146),
    [sym__break_builtin] = ACTIONS(1146),
    [sym__assert_builtin] = ACTIONS(1146),
    [anon_sym_covariant] = ACTIONS(1146),
    [anon_sym_export] = ACTIONS(1146),
    [anon_sym_Function] = ACTIONS(1146),
    [anon_sym_get] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_mixin] = ACTIONS(1146),
    [anon_sym_set] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_new] = ACTIONS(1146),
    [sym_const_builtin] = ACTIONS(1146),
    [sym_final_builtin] = ACTIONS(1146),
    [anon_sym_late] = ACTIONS(1146),
    [anon_sym_external] = ACTIONS(1146),
    [anon_sym_this] = ACTIONS(1146),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [354] = {
    [sym_comment] = STATE(354),
    [sym_documentation_comment] = STATE(354),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_identifier] = ACTIONS(1150),
    [anon_sym_POUND] = ACTIONS(1148),
    [sym_decimal_integer_literal] = ACTIONS(1150),
    [sym_hex_integer_literal] = ACTIONS(1148),
    [sym_decimal_floating_point_literal] = ACTIONS(1150),
    [anon_sym_true] = ACTIONS(1150),
    [anon_sym_false] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1148),
    [anon_sym_r_DQUOTE] = ACTIONS(1150),
    [anon_sym_r_SQUOTE] = ACTIONS(1150),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1148),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_null] = ACTIONS(1150),
    [anon_sym_throw] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [anon_sym_LT] = ACTIONS(1148),
    [sym_increment_operator] = ACTIONS(1148),
    [sym_minus_operator] = ACTIONS(1150),
    [sym__exclamation_operator] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_await] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_default] = ACTIONS(1150),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_continue] = ACTIONS(1150),
    [anon_sym_yield] = ACTIONS(1150),
    [anon_sym_return] = ACTIONS(1150),
    [anon_sym_try] = ACTIONS(1150),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1148),
    [anon_sym_enum] = ACTIONS(1150),
    [anon_sym_abstract] = ACTIONS(1150),
    [anon_sym_class] = ACTIONS(1150),
    [anon_sym_extension] = ACTIONS(1150),
    [anon_sym_super] = ACTIONS(1150),
    [sym_void_type] = ACTIONS(1150),
    [anon_sym_var] = ACTIONS(1150),
    [sym__break_builtin] = ACTIONS(1150),
    [sym__assert_builtin] = ACTIONS(1150),
    [sym_case_builtin] = ACTIONS(1150),
    [anon_sym_covariant] = ACTIONS(1150),
    [anon_sym_Function] = ACTIONS(1150),
    [anon_sym_get] = ACTIONS(1150),
    [anon_sym_mixin] = ACTIONS(1150),
    [anon_sym_set] = ACTIONS(1150),
    [anon_sym_typedef] = ACTIONS(1150),
    [anon_sym_new] = ACTIONS(1150),
    [sym_const_builtin] = ACTIONS(1150),
    [sym_final_builtin] = ACTIONS(1150),
    [anon_sym_late] = ACTIONS(1150),
    [anon_sym_external] = ACTIONS(1150),
    [anon_sym_this] = ACTIONS(1150),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [355] = {
    [sym_comment] = STATE(355),
    [sym_documentation_comment] = STATE(355),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_identifier] = ACTIONS(1154),
    [anon_sym_POUND] = ACTIONS(1152),
    [sym_decimal_integer_literal] = ACTIONS(1154),
    [sym_hex_integer_literal] = ACTIONS(1152),
    [sym_decimal_floating_point_literal] = ACTIONS(1154),
    [anon_sym_true] = ACTIONS(1154),
    [anon_sym_false] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1152),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1152),
    [anon_sym_r_DQUOTE] = ACTIONS(1154),
    [anon_sym_r_SQUOTE] = ACTIONS(1154),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1152),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_null] = ACTIONS(1154),
    [anon_sym_throw] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [anon_sym_LT] = ACTIONS(1152),
    [sym_increment_operator] = ACTIONS(1152),
    [sym_minus_operator] = ACTIONS(1154),
    [sym__exclamation_operator] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_await] = ACTIONS(1154),
    [anon_sym_switch] = ACTIONS(1154),
    [anon_sym_default] = ACTIONS(1154),
    [anon_sym_do] = ACTIONS(1154),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_continue] = ACTIONS(1154),
    [anon_sym_yield] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_try] = ACTIONS(1154),
    [anon_sym_if] = ACTIONS(1154),
    [anon_sym_else] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1152),
    [anon_sym_enum] = ACTIONS(1154),
    [anon_sym_abstract] = ACTIONS(1154),
    [anon_sym_class] = ACTIONS(1154),
    [anon_sym_extension] = ACTIONS(1154),
    [anon_sym_super] = ACTIONS(1154),
    [sym_void_type] = ACTIONS(1154),
    [anon_sym_var] = ACTIONS(1154),
    [sym__break_builtin] = ACTIONS(1154),
    [sym__assert_builtin] = ACTIONS(1154),
    [sym_case_builtin] = ACTIONS(1154),
    [anon_sym_covariant] = ACTIONS(1154),
    [anon_sym_Function] = ACTIONS(1154),
    [anon_sym_get] = ACTIONS(1154),
    [anon_sym_mixin] = ACTIONS(1154),
    [anon_sym_set] = ACTIONS(1154),
    [anon_sym_typedef] = ACTIONS(1154),
    [anon_sym_new] = ACTIONS(1154),
    [sym_const_builtin] = ACTIONS(1154),
    [sym_final_builtin] = ACTIONS(1154),
    [anon_sym_late] = ACTIONS(1154),
    [anon_sym_external] = ACTIONS(1154),
    [anon_sym_this] = ACTIONS(1154),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [356] = {
    [sym_comment] = STATE(356),
    [sym_documentation_comment] = STATE(356),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_POUND] = ACTIONS(1156),
    [sym_decimal_integer_literal] = ACTIONS(1158),
    [sym_hex_integer_literal] = ACTIONS(1156),
    [sym_decimal_floating_point_literal] = ACTIONS(1158),
    [anon_sym_true] = ACTIONS(1158),
    [anon_sym_false] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1156),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1156),
    [anon_sym_r_DQUOTE] = ACTIONS(1158),
    [anon_sym_r_SQUOTE] = ACTIONS(1158),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1156),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_null] = ACTIONS(1158),
    [anon_sym_throw] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [anon_sym_LT] = ACTIONS(1156),
    [sym_increment_operator] = ACTIONS(1156),
    [sym_minus_operator] = ACTIONS(1158),
    [sym__exclamation_operator] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_await] = ACTIONS(1158),
    [anon_sym_switch] = ACTIONS(1158),
    [anon_sym_default] = ACTIONS(1158),
    [anon_sym_do] = ACTIONS(1158),
    [anon_sym_while] = ACTIONS(1158),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_yield] = ACTIONS(1158),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_try] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1158),
    [anon_sym_else] = ACTIONS(1158),
    [anon_sym_for] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_enum] = ACTIONS(1158),
    [anon_sym_abstract] = ACTIONS(1158),
    [anon_sym_class] = ACTIONS(1158),
    [anon_sym_extension] = ACTIONS(1158),
    [anon_sym_super] = ACTIONS(1158),
    [sym_void_type] = ACTIONS(1158),
    [anon_sym_var] = ACTIONS(1158),
    [sym__break_builtin] = ACTIONS(1158),
    [sym__assert_builtin] = ACTIONS(1158),
    [sym_case_builtin] = ACTIONS(1158),
    [anon_sym_covariant] = ACTIONS(1158),
    [anon_sym_Function] = ACTIONS(1158),
    [anon_sym_get] = ACTIONS(1158),
    [anon_sym_mixin] = ACTIONS(1158),
    [anon_sym_set] = ACTIONS(1158),
    [anon_sym_typedef] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1158),
    [sym_const_builtin] = ACTIONS(1158),
    [sym_final_builtin] = ACTIONS(1158),
    [anon_sym_late] = ACTIONS(1158),
    [anon_sym_external] = ACTIONS(1158),
    [anon_sym_this] = ACTIONS(1158),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [357] = {
    [sym_comment] = STATE(357),
    [sym_documentation_comment] = STATE(357),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_POUND] = ACTIONS(1160),
    [sym_decimal_integer_literal] = ACTIONS(1162),
    [sym_hex_integer_literal] = ACTIONS(1160),
    [sym_decimal_floating_point_literal] = ACTIONS(1162),
    [anon_sym_true] = ACTIONS(1162),
    [anon_sym_false] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1160),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1160),
    [anon_sym_r_DQUOTE] = ACTIONS(1162),
    [anon_sym_r_SQUOTE] = ACTIONS(1162),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1160),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_null] = ACTIONS(1162),
    [anon_sym_throw] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [anon_sym_LT] = ACTIONS(1160),
    [sym_increment_operator] = ACTIONS(1160),
    [sym_minus_operator] = ACTIONS(1162),
    [sym__exclamation_operator] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_await] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_default] = ACTIONS(1162),
    [anon_sym_do] = ACTIONS(1162),
    [anon_sym_while] = ACTIONS(1162),
    [anon_sym_continue] = ACTIONS(1162),
    [anon_sym_yield] = ACTIONS(1162),
    [anon_sym_return] = ACTIONS(1162),
    [anon_sym_try] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(1162),
    [anon_sym_else] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1160),
    [anon_sym_enum] = ACTIONS(1162),
    [anon_sym_abstract] = ACTIONS(1162),
    [anon_sym_class] = ACTIONS(1162),
    [anon_sym_extension] = ACTIONS(1162),
    [anon_sym_super] = ACTIONS(1162),
    [sym_void_type] = ACTIONS(1162),
    [anon_sym_var] = ACTIONS(1162),
    [sym__break_builtin] = ACTIONS(1162),
    [sym__assert_builtin] = ACTIONS(1162),
    [sym_case_builtin] = ACTIONS(1162),
    [anon_sym_covariant] = ACTIONS(1162),
    [anon_sym_Function] = ACTIONS(1162),
    [anon_sym_get] = ACTIONS(1162),
    [anon_sym_mixin] = ACTIONS(1162),
    [anon_sym_set] = ACTIONS(1162),
    [anon_sym_typedef] = ACTIONS(1162),
    [anon_sym_new] = ACTIONS(1162),
    [sym_const_builtin] = ACTIONS(1162),
    [sym_final_builtin] = ACTIONS(1162),
    [anon_sym_late] = ACTIONS(1162),
    [anon_sym_external] = ACTIONS(1162),
    [anon_sym_this] = ACTIONS(1162),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [358] = {
    [sym_comment] = STATE(358),
    [sym_documentation_comment] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_identifier] = ACTIONS(1034),
    [anon_sym_POUND] = ACTIONS(1032),
    [sym_decimal_integer_literal] = ACTIONS(1034),
    [sym_hex_integer_literal] = ACTIONS(1032),
    [sym_decimal_floating_point_literal] = ACTIONS(1034),
    [anon_sym_true] = ACTIONS(1034),
    [anon_sym_false] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(1034),
    [anon_sym_SQUOTE] = ACTIONS(1034),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1032),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1032),
    [anon_sym_r_DQUOTE] = ACTIONS(1034),
    [anon_sym_r_SQUOTE] = ACTIONS(1034),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1032),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_null] = ACTIONS(1034),
    [anon_sym_throw] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [anon_sym_LT] = ACTIONS(1032),
    [sym_increment_operator] = ACTIONS(1032),
    [sym_minus_operator] = ACTIONS(1034),
    [sym__exclamation_operator] = ACTIONS(1032),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_await] = ACTIONS(1034),
    [anon_sym_switch] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1034),
    [anon_sym_do] = ACTIONS(1034),
    [anon_sym_while] = ACTIONS(1034),
    [anon_sym_continue] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1034),
    [anon_sym_return] = ACTIONS(1034),
    [anon_sym_try] = ACTIONS(1034),
    [anon_sym_if] = ACTIONS(1034),
    [anon_sym_else] = ACTIONS(1034),
    [anon_sym_for] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(1032),
    [anon_sym_enum] = ACTIONS(1034),
    [anon_sym_abstract] = ACTIONS(1034),
    [anon_sym_class] = ACTIONS(1034),
    [anon_sym_extension] = ACTIONS(1034),
    [anon_sym_super] = ACTIONS(1034),
    [sym_void_type] = ACTIONS(1034),
    [anon_sym_var] = ACTIONS(1034),
    [sym__break_builtin] = ACTIONS(1034),
    [sym__assert_builtin] = ACTIONS(1034),
    [sym_case_builtin] = ACTIONS(1034),
    [anon_sym_covariant] = ACTIONS(1034),
    [anon_sym_Function] = ACTIONS(1034),
    [anon_sym_get] = ACTIONS(1034),
    [anon_sym_mixin] = ACTIONS(1034),
    [anon_sym_set] = ACTIONS(1034),
    [anon_sym_typedef] = ACTIONS(1034),
    [anon_sym_new] = ACTIONS(1034),
    [sym_const_builtin] = ACTIONS(1034),
    [sym_final_builtin] = ACTIONS(1034),
    [anon_sym_late] = ACTIONS(1034),
    [anon_sym_external] = ACTIONS(1034),
    [anon_sym_this] = ACTIONS(1034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [359] = {
    [sym_comment] = STATE(359),
    [sym_documentation_comment] = STATE(359),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_identifier] = ACTIONS(1166),
    [anon_sym_POUND] = ACTIONS(1164),
    [sym_decimal_integer_literal] = ACTIONS(1166),
    [sym_hex_integer_literal] = ACTIONS(1164),
    [sym_decimal_floating_point_literal] = ACTIONS(1166),
    [anon_sym_true] = ACTIONS(1166),
    [anon_sym_false] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1164),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1164),
    [anon_sym_r_DQUOTE] = ACTIONS(1166),
    [anon_sym_r_SQUOTE] = ACTIONS(1166),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1164),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_null] = ACTIONS(1166),
    [anon_sym_throw] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [anon_sym_LT] = ACTIONS(1164),
    [sym_increment_operator] = ACTIONS(1164),
    [sym_minus_operator] = ACTIONS(1166),
    [sym__exclamation_operator] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_await] = ACTIONS(1166),
    [anon_sym_switch] = ACTIONS(1166),
    [anon_sym_default] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1166),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_continue] = ACTIONS(1166),
    [anon_sym_yield] = ACTIONS(1166),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_try] = ACTIONS(1166),
    [anon_sym_if] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1164),
    [anon_sym_enum] = ACTIONS(1166),
    [anon_sym_abstract] = ACTIONS(1166),
    [anon_sym_class] = ACTIONS(1166),
    [anon_sym_extension] = ACTIONS(1166),
    [anon_sym_super] = ACTIONS(1166),
    [sym_void_type] = ACTIONS(1166),
    [anon_sym_var] = ACTIONS(1166),
    [sym__break_builtin] = ACTIONS(1166),
    [sym__assert_builtin] = ACTIONS(1166),
    [sym_case_builtin] = ACTIONS(1166),
    [anon_sym_covariant] = ACTIONS(1166),
    [anon_sym_Function] = ACTIONS(1166),
    [anon_sym_get] = ACTIONS(1166),
    [anon_sym_mixin] = ACTIONS(1166),
    [anon_sym_set] = ACTIONS(1166),
    [anon_sym_typedef] = ACTIONS(1166),
    [anon_sym_new] = ACTIONS(1166),
    [sym_const_builtin] = ACTIONS(1166),
    [sym_final_builtin] = ACTIONS(1166),
    [anon_sym_late] = ACTIONS(1166),
    [anon_sym_external] = ACTIONS(1166),
    [anon_sym_this] = ACTIONS(1166),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [360] = {
    [sym_comment] = STATE(360),
    [sym_documentation_comment] = STATE(360),
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_identifier] = ACTIONS(1172),
    [anon_sym_POUND] = ACTIONS(1170),
    [sym_decimal_integer_literal] = ACTIONS(1172),
    [sym_hex_integer_literal] = ACTIONS(1170),
    [sym_decimal_floating_point_literal] = ACTIONS(1172),
    [anon_sym_true] = ACTIONS(1172),
    [anon_sym_false] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1170),
    [anon_sym_r_DQUOTE] = ACTIONS(1172),
    [anon_sym_r_SQUOTE] = ACTIONS(1172),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1170),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_null] = ACTIONS(1172),
    [anon_sym_throw] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [anon_sym_LT] = ACTIONS(1170),
    [sym_increment_operator] = ACTIONS(1170),
    [sym_minus_operator] = ACTIONS(1172),
    [sym__exclamation_operator] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_switch] = ACTIONS(1172),
    [anon_sym_default] = ACTIONS(1172),
    [anon_sym_do] = ACTIONS(1172),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_continue] = ACTIONS(1172),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_return] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1172),
    [anon_sym_else] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1170),
    [anon_sym_enum] = ACTIONS(1172),
    [anon_sym_abstract] = ACTIONS(1172),
    [anon_sym_class] = ACTIONS(1172),
    [anon_sym_extension] = ACTIONS(1172),
    [anon_sym_super] = ACTIONS(1172),
    [sym_void_type] = ACTIONS(1172),
    [anon_sym_var] = ACTIONS(1172),
    [sym__break_builtin] = ACTIONS(1172),
    [sym__assert_builtin] = ACTIONS(1172),
    [sym_case_builtin] = ACTIONS(1172),
    [anon_sym_covariant] = ACTIONS(1172),
    [anon_sym_Function] = ACTIONS(1172),
    [anon_sym_get] = ACTIONS(1172),
    [anon_sym_mixin] = ACTIONS(1172),
    [anon_sym_set] = ACTIONS(1172),
    [anon_sym_typedef] = ACTIONS(1172),
    [anon_sym_new] = ACTIONS(1172),
    [sym_const_builtin] = ACTIONS(1172),
    [sym_final_builtin] = ACTIONS(1172),
    [anon_sym_late] = ACTIONS(1172),
    [anon_sym_external] = ACTIONS(1172),
    [anon_sym_this] = ACTIONS(1172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [361] = {
    [sym_comment] = STATE(361),
    [sym_documentation_comment] = STATE(361),
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_identifier] = ACTIONS(1176),
    [anon_sym_POUND] = ACTIONS(1174),
    [sym_decimal_integer_literal] = ACTIONS(1176),
    [sym_hex_integer_literal] = ACTIONS(1174),
    [sym_decimal_floating_point_literal] = ACTIONS(1176),
    [anon_sym_true] = ACTIONS(1176),
    [anon_sym_false] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1174),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1174),
    [anon_sym_r_DQUOTE] = ACTIONS(1176),
    [anon_sym_r_SQUOTE] = ACTIONS(1176),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1174),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_null] = ACTIONS(1176),
    [anon_sym_throw] = ACTIONS(1176),
    [anon_sym_LPAREN] = ACTIONS(1174),
    [anon_sym_LT] = ACTIONS(1174),
    [sym_increment_operator] = ACTIONS(1174),
    [sym_minus_operator] = ACTIONS(1176),
    [sym__exclamation_operator] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_await] = ACTIONS(1176),
    [anon_sym_switch] = ACTIONS(1176),
    [anon_sym_default] = ACTIONS(1176),
    [anon_sym_do] = ACTIONS(1176),
    [anon_sym_while] = ACTIONS(1176),
    [anon_sym_continue] = ACTIONS(1176),
    [anon_sym_yield] = ACTIONS(1176),
    [anon_sym_return] = ACTIONS(1176),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_if] = ACTIONS(1176),
    [anon_sym_else] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1174),
    [anon_sym_enum] = ACTIONS(1176),
    [anon_sym_abstract] = ACTIONS(1176),
    [anon_sym_class] = ACTIONS(1176),
    [anon_sym_extension] = ACTIONS(1176),
    [anon_sym_super] = ACTIONS(1176),
    [sym_void_type] = ACTIONS(1176),
    [anon_sym_var] = ACTIONS(1176),
    [sym__break_builtin] = ACTIONS(1176),
    [sym__assert_builtin] = ACTIONS(1176),
    [sym_case_builtin] = ACTIONS(1176),
    [anon_sym_covariant] = ACTIONS(1176),
    [anon_sym_Function] = ACTIONS(1176),
    [anon_sym_get] = ACTIONS(1176),
    [anon_sym_mixin] = ACTIONS(1176),
    [anon_sym_set] = ACTIONS(1176),
    [anon_sym_typedef] = ACTIONS(1176),
    [anon_sym_new] = ACTIONS(1176),
    [sym_const_builtin] = ACTIONS(1176),
    [sym_final_builtin] = ACTIONS(1176),
    [anon_sym_late] = ACTIONS(1176),
    [anon_sym_external] = ACTIONS(1176),
    [anon_sym_this] = ACTIONS(1176),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [362] = {
    [sym_comment] = STATE(362),
    [sym_documentation_comment] = STATE(362),
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_identifier] = ACTIONS(1180),
    [anon_sym_POUND] = ACTIONS(1178),
    [sym_decimal_integer_literal] = ACTIONS(1180),
    [sym_hex_integer_literal] = ACTIONS(1178),
    [sym_decimal_floating_point_literal] = ACTIONS(1180),
    [anon_sym_true] = ACTIONS(1180),
    [anon_sym_false] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1178),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1178),
    [anon_sym_r_DQUOTE] = ACTIONS(1180),
    [anon_sym_r_SQUOTE] = ACTIONS(1180),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1178),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_null] = ACTIONS(1180),
    [anon_sym_throw] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [anon_sym_LT] = ACTIONS(1178),
    [sym_increment_operator] = ACTIONS(1178),
    [sym_minus_operator] = ACTIONS(1180),
    [sym__exclamation_operator] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_await] = ACTIONS(1180),
    [anon_sym_switch] = ACTIONS(1180),
    [anon_sym_default] = ACTIONS(1180),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_while] = ACTIONS(1180),
    [anon_sym_continue] = ACTIONS(1180),
    [anon_sym_yield] = ACTIONS(1180),
    [anon_sym_return] = ACTIONS(1180),
    [anon_sym_try] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1178),
    [anon_sym_enum] = ACTIONS(1180),
    [anon_sym_abstract] = ACTIONS(1180),
    [anon_sym_class] = ACTIONS(1180),
    [anon_sym_extension] = ACTIONS(1180),
    [anon_sym_super] = ACTIONS(1180),
    [sym_void_type] = ACTIONS(1180),
    [anon_sym_var] = ACTIONS(1180),
    [sym__break_builtin] = ACTIONS(1180),
    [sym__assert_builtin] = ACTIONS(1180),
    [sym_case_builtin] = ACTIONS(1180),
    [anon_sym_covariant] = ACTIONS(1180),
    [anon_sym_Function] = ACTIONS(1180),
    [anon_sym_get] = ACTIONS(1180),
    [anon_sym_mixin] = ACTIONS(1180),
    [anon_sym_set] = ACTIONS(1180),
    [anon_sym_typedef] = ACTIONS(1180),
    [anon_sym_new] = ACTIONS(1180),
    [sym_const_builtin] = ACTIONS(1180),
    [sym_final_builtin] = ACTIONS(1180),
    [anon_sym_late] = ACTIONS(1180),
    [anon_sym_external] = ACTIONS(1180),
    [anon_sym_this] = ACTIONS(1180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [363] = {
    [sym_comment] = STATE(363),
    [sym_documentation_comment] = STATE(363),
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_identifier] = ACTIONS(1184),
    [anon_sym_POUND] = ACTIONS(1182),
    [sym_decimal_integer_literal] = ACTIONS(1184),
    [sym_hex_integer_literal] = ACTIONS(1182),
    [sym_decimal_floating_point_literal] = ACTIONS(1184),
    [anon_sym_true] = ACTIONS(1184),
    [anon_sym_false] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1182),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1182),
    [anon_sym_r_DQUOTE] = ACTIONS(1184),
    [anon_sym_r_SQUOTE] = ACTIONS(1184),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1182),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_null] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_LT] = ACTIONS(1182),
    [sym_increment_operator] = ACTIONS(1182),
    [sym_minus_operator] = ACTIONS(1184),
    [sym__exclamation_operator] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_await] = ACTIONS(1184),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_default] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1184),
    [anon_sym_while] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(1184),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_try] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1184),
    [anon_sym_else] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1184),
    [anon_sym_abstract] = ACTIONS(1184),
    [anon_sym_class] = ACTIONS(1184),
    [anon_sym_extension] = ACTIONS(1184),
    [anon_sym_super] = ACTIONS(1184),
    [sym_void_type] = ACTIONS(1184),
    [anon_sym_var] = ACTIONS(1184),
    [sym__break_builtin] = ACTIONS(1184),
    [sym__assert_builtin] = ACTIONS(1184),
    [sym_case_builtin] = ACTIONS(1184),
    [anon_sym_covariant] = ACTIONS(1184),
    [anon_sym_Function] = ACTIONS(1184),
    [anon_sym_get] = ACTIONS(1184),
    [anon_sym_mixin] = ACTIONS(1184),
    [anon_sym_set] = ACTIONS(1184),
    [anon_sym_typedef] = ACTIONS(1184),
    [anon_sym_new] = ACTIONS(1184),
    [sym_const_builtin] = ACTIONS(1184),
    [sym_final_builtin] = ACTIONS(1184),
    [anon_sym_late] = ACTIONS(1184),
    [anon_sym_external] = ACTIONS(1184),
    [anon_sym_this] = ACTIONS(1184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [364] = {
    [sym_comment] = STATE(364),
    [sym_documentation_comment] = STATE(364),
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_identifier] = ACTIONS(1188),
    [anon_sym_POUND] = ACTIONS(1186),
    [sym_decimal_integer_literal] = ACTIONS(1188),
    [sym_hex_integer_literal] = ACTIONS(1186),
    [sym_decimal_floating_point_literal] = ACTIONS(1188),
    [anon_sym_true] = ACTIONS(1188),
    [anon_sym_false] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1186),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1186),
    [anon_sym_r_DQUOTE] = ACTIONS(1188),
    [anon_sym_r_SQUOTE] = ACTIONS(1188),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1186),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_null] = ACTIONS(1188),
    [anon_sym_throw] = ACTIONS(1188),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1186),
    [sym_increment_operator] = ACTIONS(1186),
    [sym_minus_operator] = ACTIONS(1188),
    [sym__exclamation_operator] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_await] = ACTIONS(1188),
    [anon_sym_switch] = ACTIONS(1188),
    [anon_sym_default] = ACTIONS(1188),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_continue] = ACTIONS(1188),
    [anon_sym_yield] = ACTIONS(1188),
    [anon_sym_return] = ACTIONS(1188),
    [anon_sym_try] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_else] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1188),
    [anon_sym_abstract] = ACTIONS(1188),
    [anon_sym_class] = ACTIONS(1188),
    [anon_sym_extension] = ACTIONS(1188),
    [anon_sym_super] = ACTIONS(1188),
    [sym_void_type] = ACTIONS(1188),
    [anon_sym_var] = ACTIONS(1188),
    [sym__break_builtin] = ACTIONS(1188),
    [sym__assert_builtin] = ACTIONS(1188),
    [sym_case_builtin] = ACTIONS(1188),
    [anon_sym_covariant] = ACTIONS(1188),
    [anon_sym_Function] = ACTIONS(1188),
    [anon_sym_get] = ACTIONS(1188),
    [anon_sym_mixin] = ACTIONS(1188),
    [anon_sym_set] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1188),
    [anon_sym_new] = ACTIONS(1188),
    [sym_const_builtin] = ACTIONS(1188),
    [sym_final_builtin] = ACTIONS(1188),
    [anon_sym_late] = ACTIONS(1188),
    [anon_sym_external] = ACTIONS(1188),
    [anon_sym_this] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [365] = {
    [sym_comment] = STATE(365),
    [sym_documentation_comment] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(1192),
    [anon_sym_POUND] = ACTIONS(1190),
    [sym_decimal_integer_literal] = ACTIONS(1192),
    [sym_hex_integer_literal] = ACTIONS(1190),
    [sym_decimal_floating_point_literal] = ACTIONS(1192),
    [anon_sym_true] = ACTIONS(1192),
    [anon_sym_false] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1190),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1190),
    [anon_sym_r_DQUOTE] = ACTIONS(1192),
    [anon_sym_r_SQUOTE] = ACTIONS(1192),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1190),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_null] = ACTIONS(1192),
    [anon_sym_throw] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1190),
    [sym_increment_operator] = ACTIONS(1190),
    [sym_minus_operator] = ACTIONS(1192),
    [sym__exclamation_operator] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_await] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1192),
    [anon_sym_do] = ACTIONS(1192),
    [anon_sym_while] = ACTIONS(1192),
    [anon_sym_continue] = ACTIONS(1192),
    [anon_sym_yield] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1192),
    [anon_sym_else] = ACTIONS(1192),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1192),
    [anon_sym_abstract] = ACTIONS(1192),
    [anon_sym_class] = ACTIONS(1192),
    [anon_sym_extension] = ACTIONS(1192),
    [anon_sym_super] = ACTIONS(1192),
    [sym_void_type] = ACTIONS(1192),
    [anon_sym_var] = ACTIONS(1192),
    [sym__break_builtin] = ACTIONS(1192),
    [sym__assert_builtin] = ACTIONS(1192),
    [sym_case_builtin] = ACTIONS(1192),
    [anon_sym_covariant] = ACTIONS(1192),
    [anon_sym_Function] = ACTIONS(1192),
    [anon_sym_get] = ACTIONS(1192),
    [anon_sym_mixin] = ACTIONS(1192),
    [anon_sym_set] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1192),
    [sym_const_builtin] = ACTIONS(1192),
    [sym_final_builtin] = ACTIONS(1192),
    [anon_sym_late] = ACTIONS(1192),
    [anon_sym_external] = ACTIONS(1192),
    [anon_sym_this] = ACTIONS(1192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [sym_documentation_comment] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_identifier] = ACTIONS(1196),
    [anon_sym_POUND] = ACTIONS(1194),
    [sym_decimal_integer_literal] = ACTIONS(1196),
    [sym_hex_integer_literal] = ACTIONS(1194),
    [sym_decimal_floating_point_literal] = ACTIONS(1196),
    [anon_sym_true] = ACTIONS(1196),
    [anon_sym_false] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1194),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1194),
    [anon_sym_r_DQUOTE] = ACTIONS(1196),
    [anon_sym_r_SQUOTE] = ACTIONS(1196),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1194),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_null] = ACTIONS(1196),
    [anon_sym_throw] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1194),
    [sym_increment_operator] = ACTIONS(1194),
    [sym_minus_operator] = ACTIONS(1196),
    [sym__exclamation_operator] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_await] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_yield] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_try] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_abstract] = ACTIONS(1196),
    [anon_sym_class] = ACTIONS(1196),
    [anon_sym_extension] = ACTIONS(1196),
    [anon_sym_super] = ACTIONS(1196),
    [sym_void_type] = ACTIONS(1196),
    [anon_sym_var] = ACTIONS(1196),
    [sym__break_builtin] = ACTIONS(1196),
    [sym__assert_builtin] = ACTIONS(1196),
    [sym_case_builtin] = ACTIONS(1196),
    [anon_sym_covariant] = ACTIONS(1196),
    [anon_sym_Function] = ACTIONS(1196),
    [anon_sym_get] = ACTIONS(1196),
    [anon_sym_mixin] = ACTIONS(1196),
    [anon_sym_set] = ACTIONS(1196),
    [anon_sym_typedef] = ACTIONS(1196),
    [anon_sym_new] = ACTIONS(1196),
    [sym_const_builtin] = ACTIONS(1196),
    [sym_final_builtin] = ACTIONS(1196),
    [anon_sym_late] = ACTIONS(1196),
    [anon_sym_external] = ACTIONS(1196),
    [anon_sym_this] = ACTIONS(1196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [367] = {
    [sym_comment] = STATE(367),
    [sym_documentation_comment] = STATE(367),
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_identifier] = ACTIONS(1200),
    [anon_sym_POUND] = ACTIONS(1198),
    [sym_decimal_integer_literal] = ACTIONS(1200),
    [sym_hex_integer_literal] = ACTIONS(1198),
    [sym_decimal_floating_point_literal] = ACTIONS(1200),
    [anon_sym_true] = ACTIONS(1200),
    [anon_sym_false] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1198),
    [anon_sym_r_DQUOTE] = ACTIONS(1200),
    [anon_sym_r_SQUOTE] = ACTIONS(1200),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1198),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_null] = ACTIONS(1200),
    [anon_sym_throw] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [sym_increment_operator] = ACTIONS(1198),
    [sym_minus_operator] = ACTIONS(1200),
    [sym__exclamation_operator] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_await] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_do] = ACTIONS(1200),
    [anon_sym_while] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [anon_sym_yield] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_try] = ACTIONS(1200),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_else] = ACTIONS(1200),
    [anon_sym_for] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1200),
    [anon_sym_abstract] = ACTIONS(1200),
    [anon_sym_class] = ACTIONS(1200),
    [anon_sym_extension] = ACTIONS(1200),
    [anon_sym_super] = ACTIONS(1200),
    [sym_void_type] = ACTIONS(1200),
    [anon_sym_var] = ACTIONS(1200),
    [sym__break_builtin] = ACTIONS(1200),
    [sym__assert_builtin] = ACTIONS(1200),
    [sym_case_builtin] = ACTIONS(1200),
    [anon_sym_covariant] = ACTIONS(1200),
    [anon_sym_Function] = ACTIONS(1200),
    [anon_sym_get] = ACTIONS(1200),
    [anon_sym_mixin] = ACTIONS(1200),
    [anon_sym_set] = ACTIONS(1200),
    [anon_sym_typedef] = ACTIONS(1200),
    [anon_sym_new] = ACTIONS(1200),
    [sym_const_builtin] = ACTIONS(1200),
    [sym_final_builtin] = ACTIONS(1200),
    [anon_sym_late] = ACTIONS(1200),
    [anon_sym_external] = ACTIONS(1200),
    [anon_sym_this] = ACTIONS(1200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [368] = {
    [sym_comment] = STATE(368),
    [sym_documentation_comment] = STATE(368),
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_identifier] = ACTIONS(1204),
    [anon_sym_POUND] = ACTIONS(1202),
    [sym_decimal_integer_literal] = ACTIONS(1204),
    [sym_hex_integer_literal] = ACTIONS(1202),
    [sym_decimal_floating_point_literal] = ACTIONS(1204),
    [anon_sym_true] = ACTIONS(1204),
    [anon_sym_false] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1202),
    [anon_sym_r_DQUOTE] = ACTIONS(1204),
    [anon_sym_r_SQUOTE] = ACTIONS(1204),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1202),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_null] = ACTIONS(1204),
    [anon_sym_throw] = ACTIONS(1204),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [sym_increment_operator] = ACTIONS(1202),
    [sym_minus_operator] = ACTIONS(1204),
    [sym__exclamation_operator] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_await] = ACTIONS(1204),
    [anon_sym_switch] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1204),
    [anon_sym_do] = ACTIONS(1204),
    [anon_sym_while] = ACTIONS(1204),
    [anon_sym_continue] = ACTIONS(1204),
    [anon_sym_yield] = ACTIONS(1204),
    [anon_sym_return] = ACTIONS(1204),
    [anon_sym_try] = ACTIONS(1204),
    [anon_sym_if] = ACTIONS(1204),
    [anon_sym_else] = ACTIONS(1204),
    [anon_sym_for] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1204),
    [anon_sym_abstract] = ACTIONS(1204),
    [anon_sym_class] = ACTIONS(1204),
    [anon_sym_extension] = ACTIONS(1204),
    [anon_sym_super] = ACTIONS(1204),
    [sym_void_type] = ACTIONS(1204),
    [anon_sym_var] = ACTIONS(1204),
    [sym__break_builtin] = ACTIONS(1204),
    [sym__assert_builtin] = ACTIONS(1204),
    [sym_case_builtin] = ACTIONS(1204),
    [anon_sym_covariant] = ACTIONS(1204),
    [anon_sym_Function] = ACTIONS(1204),
    [anon_sym_get] = ACTIONS(1204),
    [anon_sym_mixin] = ACTIONS(1204),
    [anon_sym_set] = ACTIONS(1204),
    [anon_sym_typedef] = ACTIONS(1204),
    [anon_sym_new] = ACTIONS(1204),
    [sym_const_builtin] = ACTIONS(1204),
    [sym_final_builtin] = ACTIONS(1204),
    [anon_sym_late] = ACTIONS(1204),
    [anon_sym_external] = ACTIONS(1204),
    [anon_sym_this] = ACTIONS(1204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [369] = {
    [sym_comment] = STATE(369),
    [sym_documentation_comment] = STATE(369),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_POUND] = ACTIONS(1206),
    [sym_decimal_integer_literal] = ACTIONS(1208),
    [sym_hex_integer_literal] = ACTIONS(1206),
    [sym_decimal_floating_point_literal] = ACTIONS(1208),
    [anon_sym_true] = ACTIONS(1208),
    [anon_sym_false] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1206),
    [anon_sym_r_DQUOTE] = ACTIONS(1208),
    [anon_sym_r_SQUOTE] = ACTIONS(1208),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1206),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_null] = ACTIONS(1208),
    [anon_sym_throw] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1206),
    [sym_increment_operator] = ACTIONS(1206),
    [sym_minus_operator] = ACTIONS(1208),
    [sym__exclamation_operator] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_await] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_yield] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_try] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_abstract] = ACTIONS(1208),
    [anon_sym_class] = ACTIONS(1208),
    [anon_sym_extension] = ACTIONS(1208),
    [anon_sym_super] = ACTIONS(1208),
    [sym_void_type] = ACTIONS(1208),
    [anon_sym_var] = ACTIONS(1208),
    [sym__break_builtin] = ACTIONS(1208),
    [sym__assert_builtin] = ACTIONS(1208),
    [sym_case_builtin] = ACTIONS(1208),
    [anon_sym_covariant] = ACTIONS(1208),
    [anon_sym_Function] = ACTIONS(1208),
    [anon_sym_get] = ACTIONS(1208),
    [anon_sym_mixin] = ACTIONS(1208),
    [anon_sym_set] = ACTIONS(1208),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_new] = ACTIONS(1208),
    [sym_const_builtin] = ACTIONS(1208),
    [sym_final_builtin] = ACTIONS(1208),
    [anon_sym_late] = ACTIONS(1208),
    [anon_sym_external] = ACTIONS(1208),
    [anon_sym_this] = ACTIONS(1208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [370] = {
    [sym_comment] = STATE(370),
    [sym_documentation_comment] = STATE(370),
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_identifier] = ACTIONS(1212),
    [anon_sym_POUND] = ACTIONS(1210),
    [sym_decimal_integer_literal] = ACTIONS(1212),
    [sym_hex_integer_literal] = ACTIONS(1210),
    [sym_decimal_floating_point_literal] = ACTIONS(1212),
    [anon_sym_true] = ACTIONS(1212),
    [anon_sym_false] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1210),
    [anon_sym_r_DQUOTE] = ACTIONS(1212),
    [anon_sym_r_SQUOTE] = ACTIONS(1212),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1210),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_null] = ACTIONS(1212),
    [anon_sym_throw] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [anon_sym_LT] = ACTIONS(1210),
    [sym_increment_operator] = ACTIONS(1210),
    [sym_minus_operator] = ACTIONS(1212),
    [sym__exclamation_operator] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_await] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_yield] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(1212),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1212),
    [anon_sym_abstract] = ACTIONS(1212),
    [anon_sym_class] = ACTIONS(1212),
    [anon_sym_extension] = ACTIONS(1212),
    [anon_sym_super] = ACTIONS(1212),
    [sym_void_type] = ACTIONS(1212),
    [anon_sym_var] = ACTIONS(1212),
    [sym__break_builtin] = ACTIONS(1212),
    [sym__assert_builtin] = ACTIONS(1212),
    [sym_case_builtin] = ACTIONS(1212),
    [anon_sym_covariant] = ACTIONS(1212),
    [anon_sym_Function] = ACTIONS(1212),
    [anon_sym_get] = ACTIONS(1212),
    [anon_sym_mixin] = ACTIONS(1212),
    [anon_sym_set] = ACTIONS(1212),
    [anon_sym_typedef] = ACTIONS(1212),
    [anon_sym_new] = ACTIONS(1212),
    [sym_const_builtin] = ACTIONS(1212),
    [sym_final_builtin] = ACTIONS(1212),
    [anon_sym_late] = ACTIONS(1212),
    [anon_sym_external] = ACTIONS(1212),
    [anon_sym_this] = ACTIONS(1212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [371] = {
    [sym_comment] = STATE(371),
    [sym_documentation_comment] = STATE(371),
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_POUND] = ACTIONS(1214),
    [sym_decimal_integer_literal] = ACTIONS(1216),
    [sym_hex_integer_literal] = ACTIONS(1214),
    [sym_decimal_floating_point_literal] = ACTIONS(1216),
    [anon_sym_true] = ACTIONS(1216),
    [anon_sym_false] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1214),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1214),
    [anon_sym_r_DQUOTE] = ACTIONS(1216),
    [anon_sym_r_SQUOTE] = ACTIONS(1216),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1214),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_null] = ACTIONS(1216),
    [anon_sym_throw] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1214),
    [sym_increment_operator] = ACTIONS(1214),
    [sym_minus_operator] = ACTIONS(1216),
    [sym__exclamation_operator] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_await] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1216),
    [anon_sym_do] = ACTIONS(1216),
    [anon_sym_while] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [anon_sym_yield] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_try] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_else] = ACTIONS(1216),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1216),
    [anon_sym_abstract] = ACTIONS(1216),
    [anon_sym_class] = ACTIONS(1216),
    [anon_sym_extension] = ACTIONS(1216),
    [anon_sym_super] = ACTIONS(1216),
    [sym_void_type] = ACTIONS(1216),
    [anon_sym_var] = ACTIONS(1216),
    [sym__break_builtin] = ACTIONS(1216),
    [sym__assert_builtin] = ACTIONS(1216),
    [sym_case_builtin] = ACTIONS(1216),
    [anon_sym_covariant] = ACTIONS(1216),
    [anon_sym_Function] = ACTIONS(1216),
    [anon_sym_get] = ACTIONS(1216),
    [anon_sym_mixin] = ACTIONS(1216),
    [anon_sym_set] = ACTIONS(1216),
    [anon_sym_typedef] = ACTIONS(1216),
    [anon_sym_new] = ACTIONS(1216),
    [sym_const_builtin] = ACTIONS(1216),
    [sym_final_builtin] = ACTIONS(1216),
    [anon_sym_late] = ACTIONS(1216),
    [anon_sym_external] = ACTIONS(1216),
    [anon_sym_this] = ACTIONS(1216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [372] = {
    [sym_comment] = STATE(372),
    [sym_documentation_comment] = STATE(372),
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1220),
    [anon_sym_POUND] = ACTIONS(1218),
    [sym_decimal_integer_literal] = ACTIONS(1220),
    [sym_hex_integer_literal] = ACTIONS(1218),
    [sym_decimal_floating_point_literal] = ACTIONS(1220),
    [anon_sym_true] = ACTIONS(1220),
    [anon_sym_false] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1218),
    [anon_sym_r_DQUOTE] = ACTIONS(1220),
    [anon_sym_r_SQUOTE] = ACTIONS(1220),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1218),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_null] = ACTIONS(1220),
    [anon_sym_throw] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1218),
    [anon_sym_LT] = ACTIONS(1218),
    [sym_increment_operator] = ACTIONS(1218),
    [sym_minus_operator] = ACTIONS(1220),
    [sym__exclamation_operator] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_await] = ACTIONS(1220),
    [anon_sym_switch] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1220),
    [anon_sym_do] = ACTIONS(1220),
    [anon_sym_while] = ACTIONS(1220),
    [anon_sym_continue] = ACTIONS(1220),
    [anon_sym_yield] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1220),
    [anon_sym_try] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1220),
    [anon_sym_else] = ACTIONS(1220),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1220),
    [anon_sym_abstract] = ACTIONS(1220),
    [anon_sym_class] = ACTIONS(1220),
    [anon_sym_extension] = ACTIONS(1220),
    [anon_sym_super] = ACTIONS(1220),
    [sym_void_type] = ACTIONS(1220),
    [anon_sym_var] = ACTIONS(1220),
    [sym__break_builtin] = ACTIONS(1220),
    [sym__assert_builtin] = ACTIONS(1220),
    [sym_case_builtin] = ACTIONS(1220),
    [anon_sym_covariant] = ACTIONS(1220),
    [anon_sym_Function] = ACTIONS(1220),
    [anon_sym_get] = ACTIONS(1220),
    [anon_sym_mixin] = ACTIONS(1220),
    [anon_sym_set] = ACTIONS(1220),
    [anon_sym_typedef] = ACTIONS(1220),
    [anon_sym_new] = ACTIONS(1220),
    [sym_const_builtin] = ACTIONS(1220),
    [sym_final_builtin] = ACTIONS(1220),
    [anon_sym_late] = ACTIONS(1220),
    [anon_sym_external] = ACTIONS(1220),
    [anon_sym_this] = ACTIONS(1220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [373] = {
    [sym_comment] = STATE(373),
    [sym_documentation_comment] = STATE(373),
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_identifier] = ACTIONS(1224),
    [anon_sym_POUND] = ACTIONS(1222),
    [sym_decimal_integer_literal] = ACTIONS(1224),
    [sym_hex_integer_literal] = ACTIONS(1222),
    [sym_decimal_floating_point_literal] = ACTIONS(1224),
    [anon_sym_true] = ACTIONS(1224),
    [anon_sym_false] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1222),
    [anon_sym_r_DQUOTE] = ACTIONS(1224),
    [anon_sym_r_SQUOTE] = ACTIONS(1224),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1222),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_null] = ACTIONS(1224),
    [anon_sym_throw] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [anon_sym_LT] = ACTIONS(1222),
    [sym_increment_operator] = ACTIONS(1222),
    [sym_minus_operator] = ACTIONS(1224),
    [sym__exclamation_operator] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_await] = ACTIONS(1224),
    [anon_sym_switch] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1224),
    [anon_sym_do] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(1224),
    [anon_sym_yield] = ACTIONS(1224),
    [anon_sym_return] = ACTIONS(1224),
    [anon_sym_try] = ACTIONS(1224),
    [anon_sym_if] = ACTIONS(1224),
    [anon_sym_else] = ACTIONS(1224),
    [anon_sym_for] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1224),
    [anon_sym_abstract] = ACTIONS(1224),
    [anon_sym_class] = ACTIONS(1224),
    [anon_sym_extension] = ACTIONS(1224),
    [anon_sym_super] = ACTIONS(1224),
    [sym_void_type] = ACTIONS(1224),
    [anon_sym_var] = ACTIONS(1224),
    [sym__break_builtin] = ACTIONS(1224),
    [sym__assert_builtin] = ACTIONS(1224),
    [sym_case_builtin] = ACTIONS(1224),
    [anon_sym_covariant] = ACTIONS(1224),
    [anon_sym_Function] = ACTIONS(1224),
    [anon_sym_get] = ACTIONS(1224),
    [anon_sym_mixin] = ACTIONS(1224),
    [anon_sym_set] = ACTIONS(1224),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_new] = ACTIONS(1224),
    [sym_const_builtin] = ACTIONS(1224),
    [sym_final_builtin] = ACTIONS(1224),
    [anon_sym_late] = ACTIONS(1224),
    [anon_sym_external] = ACTIONS(1224),
    [anon_sym_this] = ACTIONS(1224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [374] = {
    [sym_comment] = STATE(374),
    [sym_documentation_comment] = STATE(374),
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_identifier] = ACTIONS(1228),
    [anon_sym_POUND] = ACTIONS(1226),
    [sym_decimal_integer_literal] = ACTIONS(1228),
    [sym_hex_integer_literal] = ACTIONS(1226),
    [sym_decimal_floating_point_literal] = ACTIONS(1228),
    [anon_sym_true] = ACTIONS(1228),
    [anon_sym_false] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1226),
    [anon_sym_r_DQUOTE] = ACTIONS(1228),
    [anon_sym_r_SQUOTE] = ACTIONS(1228),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1226),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_null] = ACTIONS(1228),
    [anon_sym_throw] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1226),
    [sym_increment_operator] = ACTIONS(1226),
    [sym_minus_operator] = ACTIONS(1228),
    [sym__exclamation_operator] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_await] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_yield] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1226),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_abstract] = ACTIONS(1228),
    [anon_sym_class] = ACTIONS(1228),
    [anon_sym_extension] = ACTIONS(1228),
    [anon_sym_super] = ACTIONS(1228),
    [sym_void_type] = ACTIONS(1228),
    [anon_sym_var] = ACTIONS(1228),
    [sym__break_builtin] = ACTIONS(1228),
    [sym__assert_builtin] = ACTIONS(1228),
    [sym_case_builtin] = ACTIONS(1228),
    [anon_sym_covariant] = ACTIONS(1228),
    [anon_sym_Function] = ACTIONS(1228),
    [anon_sym_get] = ACTIONS(1228),
    [anon_sym_mixin] = ACTIONS(1228),
    [anon_sym_set] = ACTIONS(1228),
    [anon_sym_typedef] = ACTIONS(1228),
    [anon_sym_new] = ACTIONS(1228),
    [sym_const_builtin] = ACTIONS(1228),
    [sym_final_builtin] = ACTIONS(1228),
    [anon_sym_late] = ACTIONS(1228),
    [anon_sym_external] = ACTIONS(1228),
    [anon_sym_this] = ACTIONS(1228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [375] = {
    [sym_comment] = STATE(375),
    [sym_documentation_comment] = STATE(375),
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_identifier] = ACTIONS(1232),
    [anon_sym_POUND] = ACTIONS(1230),
    [sym_decimal_integer_literal] = ACTIONS(1232),
    [sym_hex_integer_literal] = ACTIONS(1230),
    [sym_decimal_floating_point_literal] = ACTIONS(1232),
    [anon_sym_true] = ACTIONS(1232),
    [anon_sym_false] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1230),
    [anon_sym_r_DQUOTE] = ACTIONS(1232),
    [anon_sym_r_SQUOTE] = ACTIONS(1232),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1230),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_null] = ACTIONS(1232),
    [anon_sym_throw] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [anon_sym_LT] = ACTIONS(1230),
    [sym_increment_operator] = ACTIONS(1230),
    [sym_minus_operator] = ACTIONS(1232),
    [sym__exclamation_operator] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_await] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_yield] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_else] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1230),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_abstract] = ACTIONS(1232),
    [anon_sym_class] = ACTIONS(1232),
    [anon_sym_extension] = ACTIONS(1232),
    [anon_sym_super] = ACTIONS(1232),
    [sym_void_type] = ACTIONS(1232),
    [anon_sym_var] = ACTIONS(1232),
    [sym__break_builtin] = ACTIONS(1232),
    [sym__assert_builtin] = ACTIONS(1232),
    [sym_case_builtin] = ACTIONS(1232),
    [anon_sym_covariant] = ACTIONS(1232),
    [anon_sym_Function] = ACTIONS(1232),
    [anon_sym_get] = ACTIONS(1232),
    [anon_sym_mixin] = ACTIONS(1232),
    [anon_sym_set] = ACTIONS(1232),
    [anon_sym_typedef] = ACTIONS(1232),
    [anon_sym_new] = ACTIONS(1232),
    [sym_const_builtin] = ACTIONS(1232),
    [sym_final_builtin] = ACTIONS(1232),
    [anon_sym_late] = ACTIONS(1232),
    [anon_sym_external] = ACTIONS(1232),
    [anon_sym_this] = ACTIONS(1232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [376] = {
    [sym_comment] = STATE(376),
    [sym_documentation_comment] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_identifier] = ACTIONS(1236),
    [anon_sym_POUND] = ACTIONS(1234),
    [sym_decimal_integer_literal] = ACTIONS(1236),
    [sym_hex_integer_literal] = ACTIONS(1234),
    [sym_decimal_floating_point_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1236),
    [anon_sym_false] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1234),
    [anon_sym_r_DQUOTE] = ACTIONS(1236),
    [anon_sym_r_SQUOTE] = ACTIONS(1236),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1234),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_null] = ACTIONS(1236),
    [anon_sym_throw] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1234),
    [anon_sym_LT] = ACTIONS(1234),
    [sym_increment_operator] = ACTIONS(1234),
    [sym_minus_operator] = ACTIONS(1236),
    [sym__exclamation_operator] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_await] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_yield] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_try] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1234),
    [anon_sym_part] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_abstract] = ACTIONS(1236),
    [anon_sym_class] = ACTIONS(1236),
    [anon_sym_extension] = ACTIONS(1236),
    [anon_sym_super] = ACTIONS(1236),
    [sym_void_type] = ACTIONS(1236),
    [anon_sym_var] = ACTIONS(1236),
    [sym__break_builtin] = ACTIONS(1236),
    [sym__assert_builtin] = ACTIONS(1236),
    [anon_sym_covariant] = ACTIONS(1236),
    [anon_sym_export] = ACTIONS(1236),
    [anon_sym_Function] = ACTIONS(1236),
    [anon_sym_get] = ACTIONS(1236),
    [anon_sym_import] = ACTIONS(1236),
    [anon_sym_mixin] = ACTIONS(1236),
    [anon_sym_set] = ACTIONS(1236),
    [anon_sym_typedef] = ACTIONS(1236),
    [anon_sym_new] = ACTIONS(1236),
    [sym_const_builtin] = ACTIONS(1236),
    [sym_final_builtin] = ACTIONS(1236),
    [anon_sym_late] = ACTIONS(1236),
    [anon_sym_external] = ACTIONS(1236),
    [anon_sym_this] = ACTIONS(1236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [377] = {
    [sym_comment] = STATE(377),
    [sym_documentation_comment] = STATE(377),
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_POUND] = ACTIONS(1238),
    [sym_decimal_integer_literal] = ACTIONS(1240),
    [sym_hex_integer_literal] = ACTIONS(1238),
    [sym_decimal_floating_point_literal] = ACTIONS(1240),
    [anon_sym_true] = ACTIONS(1240),
    [anon_sym_false] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1238),
    [anon_sym_r_DQUOTE] = ACTIONS(1240),
    [anon_sym_r_SQUOTE] = ACTIONS(1240),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1238),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_null] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_LT] = ACTIONS(1238),
    [sym_increment_operator] = ACTIONS(1238),
    [sym_minus_operator] = ACTIONS(1240),
    [sym__exclamation_operator] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_await] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_yield] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_try] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1238),
    [anon_sym_part] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_abstract] = ACTIONS(1240),
    [anon_sym_class] = ACTIONS(1240),
    [anon_sym_extension] = ACTIONS(1240),
    [anon_sym_super] = ACTIONS(1240),
    [sym_void_type] = ACTIONS(1240),
    [anon_sym_var] = ACTIONS(1240),
    [sym__break_builtin] = ACTIONS(1240),
    [sym__assert_builtin] = ACTIONS(1240),
    [anon_sym_covariant] = ACTIONS(1240),
    [anon_sym_export] = ACTIONS(1240),
    [anon_sym_Function] = ACTIONS(1240),
    [anon_sym_get] = ACTIONS(1240),
    [anon_sym_import] = ACTIONS(1240),
    [anon_sym_mixin] = ACTIONS(1240),
    [anon_sym_set] = ACTIONS(1240),
    [anon_sym_typedef] = ACTIONS(1240),
    [anon_sym_new] = ACTIONS(1240),
    [sym_const_builtin] = ACTIONS(1240),
    [sym_final_builtin] = ACTIONS(1240),
    [anon_sym_late] = ACTIONS(1240),
    [anon_sym_external] = ACTIONS(1240),
    [anon_sym_this] = ACTIONS(1240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [378] = {
    [sym_comment] = STATE(378),
    [sym_documentation_comment] = STATE(378),
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_POUND] = ACTIONS(1242),
    [sym_decimal_integer_literal] = ACTIONS(1244),
    [sym_hex_integer_literal] = ACTIONS(1242),
    [sym_decimal_floating_point_literal] = ACTIONS(1244),
    [anon_sym_true] = ACTIONS(1244),
    [anon_sym_false] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1242),
    [anon_sym_r_DQUOTE] = ACTIONS(1244),
    [anon_sym_r_SQUOTE] = ACTIONS(1244),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1242),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_null] = ACTIONS(1244),
    [anon_sym_throw] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(1242),
    [sym_increment_operator] = ACTIONS(1242),
    [sym_minus_operator] = ACTIONS(1244),
    [sym__exclamation_operator] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_await] = ACTIONS(1244),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_do] = ACTIONS(1244),
    [anon_sym_while] = ACTIONS(1244),
    [anon_sym_continue] = ACTIONS(1244),
    [anon_sym_yield] = ACTIONS(1244),
    [anon_sym_return] = ACTIONS(1244),
    [anon_sym_try] = ACTIONS(1244),
    [anon_sym_if] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1242),
    [anon_sym_part] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_abstract] = ACTIONS(1244),
    [anon_sym_class] = ACTIONS(1244),
    [anon_sym_extension] = ACTIONS(1244),
    [anon_sym_super] = ACTIONS(1244),
    [sym_void_type] = ACTIONS(1244),
    [anon_sym_var] = ACTIONS(1244),
    [sym__break_builtin] = ACTIONS(1244),
    [sym__assert_builtin] = ACTIONS(1244),
    [anon_sym_covariant] = ACTIONS(1244),
    [anon_sym_export] = ACTIONS(1244),
    [anon_sym_Function] = ACTIONS(1244),
    [anon_sym_get] = ACTIONS(1244),
    [anon_sym_import] = ACTIONS(1244),
    [anon_sym_mixin] = ACTIONS(1244),
    [anon_sym_set] = ACTIONS(1244),
    [anon_sym_typedef] = ACTIONS(1244),
    [anon_sym_new] = ACTIONS(1244),
    [sym_const_builtin] = ACTIONS(1244),
    [sym_final_builtin] = ACTIONS(1244),
    [anon_sym_late] = ACTIONS(1244),
    [anon_sym_external] = ACTIONS(1244),
    [anon_sym_this] = ACTIONS(1244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [379] = {
    [sym_comment] = STATE(379),
    [sym_documentation_comment] = STATE(379),
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_POUND] = ACTIONS(1246),
    [sym_decimal_integer_literal] = ACTIONS(1248),
    [sym_hex_integer_literal] = ACTIONS(1246),
    [sym_decimal_floating_point_literal] = ACTIONS(1248),
    [anon_sym_true] = ACTIONS(1248),
    [anon_sym_false] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1246),
    [anon_sym_r_DQUOTE] = ACTIONS(1248),
    [anon_sym_r_SQUOTE] = ACTIONS(1248),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1246),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_null] = ACTIONS(1248),
    [anon_sym_throw] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1246),
    [anon_sym_LT] = ACTIONS(1246),
    [sym_increment_operator] = ACTIONS(1246),
    [sym_minus_operator] = ACTIONS(1248),
    [sym__exclamation_operator] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_await] = ACTIONS(1248),
    [anon_sym_switch] = ACTIONS(1248),
    [anon_sym_do] = ACTIONS(1248),
    [anon_sym_while] = ACTIONS(1248),
    [anon_sym_continue] = ACTIONS(1248),
    [anon_sym_yield] = ACTIONS(1248),
    [anon_sym_return] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1248),
    [anon_sym_if] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1246),
    [anon_sym_part] = ACTIONS(1248),
    [anon_sym_enum] = ACTIONS(1248),
    [anon_sym_abstract] = ACTIONS(1248),
    [anon_sym_class] = ACTIONS(1248),
    [anon_sym_extension] = ACTIONS(1248),
    [anon_sym_super] = ACTIONS(1248),
    [sym_void_type] = ACTIONS(1248),
    [anon_sym_var] = ACTIONS(1248),
    [sym__break_builtin] = ACTIONS(1248),
    [sym__assert_builtin] = ACTIONS(1248),
    [anon_sym_covariant] = ACTIONS(1248),
    [anon_sym_export] = ACTIONS(1248),
    [anon_sym_Function] = ACTIONS(1248),
    [anon_sym_get] = ACTIONS(1248),
    [anon_sym_import] = ACTIONS(1248),
    [anon_sym_mixin] = ACTIONS(1248),
    [anon_sym_set] = ACTIONS(1248),
    [anon_sym_typedef] = ACTIONS(1248),
    [anon_sym_new] = ACTIONS(1248),
    [sym_const_builtin] = ACTIONS(1248),
    [sym_final_builtin] = ACTIONS(1248),
    [anon_sym_late] = ACTIONS(1248),
    [anon_sym_external] = ACTIONS(1248),
    [anon_sym_this] = ACTIONS(1248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [380] = {
    [sym_comment] = STATE(380),
    [sym_documentation_comment] = STATE(380),
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_identifier] = ACTIONS(1252),
    [anon_sym_POUND] = ACTIONS(1250),
    [sym_decimal_integer_literal] = ACTIONS(1252),
    [sym_hex_integer_literal] = ACTIONS(1250),
    [sym_decimal_floating_point_literal] = ACTIONS(1252),
    [anon_sym_true] = ACTIONS(1252),
    [anon_sym_false] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1250),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1250),
    [anon_sym_r_DQUOTE] = ACTIONS(1252),
    [anon_sym_r_SQUOTE] = ACTIONS(1252),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1250),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_null] = ACTIONS(1252),
    [anon_sym_throw] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_LT] = ACTIONS(1250),
    [sym_increment_operator] = ACTIONS(1250),
    [sym_minus_operator] = ACTIONS(1252),
    [sym__exclamation_operator] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_await] = ACTIONS(1252),
    [anon_sym_switch] = ACTIONS(1252),
    [anon_sym_do] = ACTIONS(1252),
    [anon_sym_while] = ACTIONS(1252),
    [anon_sym_continue] = ACTIONS(1252),
    [anon_sym_yield] = ACTIONS(1252),
    [anon_sym_return] = ACTIONS(1252),
    [anon_sym_try] = ACTIONS(1252),
    [anon_sym_if] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1250),
    [anon_sym_part] = ACTIONS(1252),
    [anon_sym_enum] = ACTIONS(1252),
    [anon_sym_abstract] = ACTIONS(1252),
    [anon_sym_class] = ACTIONS(1252),
    [anon_sym_extension] = ACTIONS(1252),
    [anon_sym_super] = ACTIONS(1252),
    [sym_void_type] = ACTIONS(1252),
    [anon_sym_var] = ACTIONS(1252),
    [sym__break_builtin] = ACTIONS(1252),
    [sym__assert_builtin] = ACTIONS(1252),
    [anon_sym_covariant] = ACTIONS(1252),
    [anon_sym_export] = ACTIONS(1252),
    [anon_sym_Function] = ACTIONS(1252),
    [anon_sym_get] = ACTIONS(1252),
    [anon_sym_import] = ACTIONS(1252),
    [anon_sym_mixin] = ACTIONS(1252),
    [anon_sym_set] = ACTIONS(1252),
    [anon_sym_typedef] = ACTIONS(1252),
    [anon_sym_new] = ACTIONS(1252),
    [sym_const_builtin] = ACTIONS(1252),
    [sym_final_builtin] = ACTIONS(1252),
    [anon_sym_late] = ACTIONS(1252),
    [anon_sym_external] = ACTIONS(1252),
    [anon_sym_this] = ACTIONS(1252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [381] = {
    [sym_comment] = STATE(381),
    [sym_documentation_comment] = STATE(381),
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_POUND] = ACTIONS(1254),
    [sym_decimal_integer_literal] = ACTIONS(1256),
    [sym_hex_integer_literal] = ACTIONS(1254),
    [sym_decimal_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1256),
    [anon_sym_false] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1254),
    [anon_sym_r_DQUOTE] = ACTIONS(1256),
    [anon_sym_r_SQUOTE] = ACTIONS(1256),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1254),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_null] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [anon_sym_LT] = ACTIONS(1254),
    [sym_increment_operator] = ACTIONS(1254),
    [sym_minus_operator] = ACTIONS(1256),
    [sym__exclamation_operator] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_await] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_yield] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_try] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1254),
    [anon_sym_part] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_abstract] = ACTIONS(1256),
    [anon_sym_class] = ACTIONS(1256),
    [anon_sym_extension] = ACTIONS(1256),
    [anon_sym_super] = ACTIONS(1256),
    [sym_void_type] = ACTIONS(1256),
    [anon_sym_var] = ACTIONS(1256),
    [sym__break_builtin] = ACTIONS(1256),
    [sym__assert_builtin] = ACTIONS(1256),
    [anon_sym_covariant] = ACTIONS(1256),
    [anon_sym_export] = ACTIONS(1256),
    [anon_sym_Function] = ACTIONS(1256),
    [anon_sym_get] = ACTIONS(1256),
    [anon_sym_import] = ACTIONS(1256),
    [anon_sym_mixin] = ACTIONS(1256),
    [anon_sym_set] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_new] = ACTIONS(1256),
    [sym_const_builtin] = ACTIONS(1256),
    [sym_final_builtin] = ACTIONS(1256),
    [anon_sym_late] = ACTIONS(1256),
    [anon_sym_external] = ACTIONS(1256),
    [anon_sym_this] = ACTIONS(1256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [382] = {
    [sym_comment] = STATE(382),
    [sym_documentation_comment] = STATE(382),
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_identifier] = ACTIONS(1260),
    [anon_sym_POUND] = ACTIONS(1258),
    [sym_decimal_integer_literal] = ACTIONS(1260),
    [sym_hex_integer_literal] = ACTIONS(1258),
    [sym_decimal_floating_point_literal] = ACTIONS(1260),
    [anon_sym_true] = ACTIONS(1260),
    [anon_sym_false] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1258),
    [anon_sym_r_DQUOTE] = ACTIONS(1260),
    [anon_sym_r_SQUOTE] = ACTIONS(1260),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1258),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_null] = ACTIONS(1260),
    [anon_sym_throw] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_LT] = ACTIONS(1258),
    [sym_increment_operator] = ACTIONS(1258),
    [sym_minus_operator] = ACTIONS(1260),
    [sym__exclamation_operator] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_await] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_try] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1258),
    [anon_sym_part] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_abstract] = ACTIONS(1260),
    [anon_sym_class] = ACTIONS(1260),
    [anon_sym_extension] = ACTIONS(1260),
    [anon_sym_super] = ACTIONS(1260),
    [sym_void_type] = ACTIONS(1260),
    [anon_sym_var] = ACTIONS(1260),
    [sym__break_builtin] = ACTIONS(1260),
    [sym__assert_builtin] = ACTIONS(1260),
    [anon_sym_covariant] = ACTIONS(1260),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_Function] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_import] = ACTIONS(1260),
    [anon_sym_mixin] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_new] = ACTIONS(1260),
    [sym_const_builtin] = ACTIONS(1260),
    [sym_final_builtin] = ACTIONS(1260),
    [anon_sym_late] = ACTIONS(1260),
    [anon_sym_external] = ACTIONS(1260),
    [anon_sym_this] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [383] = {
    [sym_comment] = STATE(383),
    [sym_documentation_comment] = STATE(383),
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_identifier] = ACTIONS(1264),
    [anon_sym_POUND] = ACTIONS(1262),
    [sym_decimal_integer_literal] = ACTIONS(1264),
    [sym_hex_integer_literal] = ACTIONS(1262),
    [sym_decimal_floating_point_literal] = ACTIONS(1264),
    [anon_sym_true] = ACTIONS(1264),
    [anon_sym_false] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1262),
    [anon_sym_r_DQUOTE] = ACTIONS(1264),
    [anon_sym_r_SQUOTE] = ACTIONS(1264),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1262),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_null] = ACTIONS(1264),
    [anon_sym_throw] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_LT] = ACTIONS(1262),
    [sym_increment_operator] = ACTIONS(1262),
    [sym_minus_operator] = ACTIONS(1264),
    [sym__exclamation_operator] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_await] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_yield] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_try] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1262),
    [anon_sym_part] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_abstract] = ACTIONS(1264),
    [anon_sym_class] = ACTIONS(1264),
    [anon_sym_extension] = ACTIONS(1264),
    [anon_sym_super] = ACTIONS(1264),
    [sym_void_type] = ACTIONS(1264),
    [anon_sym_var] = ACTIONS(1264),
    [sym__break_builtin] = ACTIONS(1264),
    [sym__assert_builtin] = ACTIONS(1264),
    [anon_sym_covariant] = ACTIONS(1264),
    [anon_sym_export] = ACTIONS(1264),
    [anon_sym_Function] = ACTIONS(1264),
    [anon_sym_get] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1264),
    [anon_sym_mixin] = ACTIONS(1264),
    [anon_sym_set] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_new] = ACTIONS(1264),
    [sym_const_builtin] = ACTIONS(1264),
    [sym_final_builtin] = ACTIONS(1264),
    [anon_sym_late] = ACTIONS(1264),
    [anon_sym_external] = ACTIONS(1264),
    [anon_sym_this] = ACTIONS(1264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [384] = {
    [sym_comment] = STATE(384),
    [sym_documentation_comment] = STATE(384),
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [anon_sym_POUND] = ACTIONS(1266),
    [sym_decimal_integer_literal] = ACTIONS(1268),
    [sym_hex_integer_literal] = ACTIONS(1266),
    [sym_decimal_floating_point_literal] = ACTIONS(1268),
    [anon_sym_true] = ACTIONS(1268),
    [anon_sym_false] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1266),
    [anon_sym_r_DQUOTE] = ACTIONS(1268),
    [anon_sym_r_SQUOTE] = ACTIONS(1268),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1266),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_null] = ACTIONS(1268),
    [anon_sym_throw] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1266),
    [anon_sym_LT] = ACTIONS(1266),
    [sym_increment_operator] = ACTIONS(1266),
    [sym_minus_operator] = ACTIONS(1268),
    [sym__exclamation_operator] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1266),
    [anon_sym_part] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_abstract] = ACTIONS(1268),
    [anon_sym_class] = ACTIONS(1268),
    [anon_sym_extension] = ACTIONS(1268),
    [anon_sym_super] = ACTIONS(1268),
    [sym_void_type] = ACTIONS(1268),
    [anon_sym_var] = ACTIONS(1268),
    [sym__break_builtin] = ACTIONS(1268),
    [sym__assert_builtin] = ACTIONS(1268),
    [anon_sym_covariant] = ACTIONS(1268),
    [anon_sym_export] = ACTIONS(1268),
    [anon_sym_Function] = ACTIONS(1268),
    [anon_sym_get] = ACTIONS(1268),
    [anon_sym_import] = ACTIONS(1268),
    [anon_sym_mixin] = ACTIONS(1268),
    [anon_sym_set] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(1268),
    [sym_const_builtin] = ACTIONS(1268),
    [sym_final_builtin] = ACTIONS(1268),
    [anon_sym_late] = ACTIONS(1268),
    [anon_sym_external] = ACTIONS(1268),
    [anon_sym_this] = ACTIONS(1268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [385] = {
    [sym_comment] = STATE(385),
    [sym_documentation_comment] = STATE(385),
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_POUND] = ACTIONS(1270),
    [sym_decimal_integer_literal] = ACTIONS(1272),
    [sym_hex_integer_literal] = ACTIONS(1270),
    [sym_decimal_floating_point_literal] = ACTIONS(1272),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1270),
    [anon_sym_r_DQUOTE] = ACTIONS(1272),
    [anon_sym_r_SQUOTE] = ACTIONS(1272),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1270),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_null] = ACTIONS(1272),
    [anon_sym_throw] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(1270),
    [sym_increment_operator] = ACTIONS(1270),
    [sym_minus_operator] = ACTIONS(1272),
    [sym__exclamation_operator] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_await] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_yield] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_try] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1270),
    [anon_sym_part] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_abstract] = ACTIONS(1272),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_extension] = ACTIONS(1272),
    [anon_sym_super] = ACTIONS(1272),
    [sym_void_type] = ACTIONS(1272),
    [anon_sym_var] = ACTIONS(1272),
    [sym__break_builtin] = ACTIONS(1272),
    [sym__assert_builtin] = ACTIONS(1272),
    [anon_sym_covariant] = ACTIONS(1272),
    [anon_sym_export] = ACTIONS(1272),
    [anon_sym_Function] = ACTIONS(1272),
    [anon_sym_get] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(1272),
    [anon_sym_mixin] = ACTIONS(1272),
    [anon_sym_set] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_new] = ACTIONS(1272),
    [sym_const_builtin] = ACTIONS(1272),
    [sym_final_builtin] = ACTIONS(1272),
    [anon_sym_late] = ACTIONS(1272),
    [anon_sym_external] = ACTIONS(1272),
    [anon_sym_this] = ACTIONS(1272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [386] = {
    [sym_comment] = STATE(386),
    [sym_documentation_comment] = STATE(386),
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_POUND] = ACTIONS(1274),
    [sym_decimal_integer_literal] = ACTIONS(1276),
    [sym_hex_integer_literal] = ACTIONS(1274),
    [sym_decimal_floating_point_literal] = ACTIONS(1276),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1274),
    [anon_sym_r_DQUOTE] = ACTIONS(1276),
    [anon_sym_r_SQUOTE] = ACTIONS(1276),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1274),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_null] = ACTIONS(1276),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(1274),
    [sym_increment_operator] = ACTIONS(1274),
    [sym_minus_operator] = ACTIONS(1276),
    [sym__exclamation_operator] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_await] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_yield] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_try] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1274),
    [anon_sym_part] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_abstract] = ACTIONS(1276),
    [anon_sym_class] = ACTIONS(1276),
    [anon_sym_extension] = ACTIONS(1276),
    [anon_sym_super] = ACTIONS(1276),
    [sym_void_type] = ACTIONS(1276),
    [anon_sym_var] = ACTIONS(1276),
    [sym__break_builtin] = ACTIONS(1276),
    [sym__assert_builtin] = ACTIONS(1276),
    [anon_sym_covariant] = ACTIONS(1276),
    [anon_sym_export] = ACTIONS(1276),
    [anon_sym_Function] = ACTIONS(1276),
    [anon_sym_get] = ACTIONS(1276),
    [anon_sym_import] = ACTIONS(1276),
    [anon_sym_mixin] = ACTIONS(1276),
    [anon_sym_set] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_new] = ACTIONS(1276),
    [sym_const_builtin] = ACTIONS(1276),
    [sym_final_builtin] = ACTIONS(1276),
    [anon_sym_late] = ACTIONS(1276),
    [anon_sym_external] = ACTIONS(1276),
    [anon_sym_this] = ACTIONS(1276),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [387] = {
    [sym_comment] = STATE(387),
    [sym_documentation_comment] = STATE(387),
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_POUND] = ACTIONS(1278),
    [sym_decimal_integer_literal] = ACTIONS(1280),
    [sym_hex_integer_literal] = ACTIONS(1278),
    [sym_decimal_floating_point_literal] = ACTIONS(1280),
    [anon_sym_true] = ACTIONS(1280),
    [anon_sym_false] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1278),
    [anon_sym_r_DQUOTE] = ACTIONS(1280),
    [anon_sym_r_SQUOTE] = ACTIONS(1280),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1278),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_null] = ACTIONS(1280),
    [anon_sym_throw] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_LT] = ACTIONS(1278),
    [sym_increment_operator] = ACTIONS(1278),
    [sym_minus_operator] = ACTIONS(1280),
    [sym__exclamation_operator] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_await] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_try] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1278),
    [anon_sym_part] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_abstract] = ACTIONS(1280),
    [anon_sym_class] = ACTIONS(1280),
    [anon_sym_extension] = ACTIONS(1280),
    [anon_sym_super] = ACTIONS(1280),
    [sym_void_type] = ACTIONS(1280),
    [anon_sym_var] = ACTIONS(1280),
    [sym__break_builtin] = ACTIONS(1280),
    [sym__assert_builtin] = ACTIONS(1280),
    [anon_sym_covariant] = ACTIONS(1280),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_Function] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_import] = ACTIONS(1280),
    [anon_sym_mixin] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_new] = ACTIONS(1280),
    [sym_const_builtin] = ACTIONS(1280),
    [sym_final_builtin] = ACTIONS(1280),
    [anon_sym_late] = ACTIONS(1280),
    [anon_sym_external] = ACTIONS(1280),
    [anon_sym_this] = ACTIONS(1280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [388] = {
    [sym_comment] = STATE(388),
    [sym_documentation_comment] = STATE(388),
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_POUND] = ACTIONS(1282),
    [sym_decimal_integer_literal] = ACTIONS(1284),
    [sym_hex_integer_literal] = ACTIONS(1282),
    [sym_decimal_floating_point_literal] = ACTIONS(1284),
    [anon_sym_true] = ACTIONS(1284),
    [anon_sym_false] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1282),
    [anon_sym_r_DQUOTE] = ACTIONS(1284),
    [anon_sym_r_SQUOTE] = ACTIONS(1284),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1282),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_null] = ACTIONS(1284),
    [anon_sym_throw] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1282),
    [sym_increment_operator] = ACTIONS(1282),
    [sym_minus_operator] = ACTIONS(1284),
    [sym__exclamation_operator] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_await] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_yield] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_try] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1282),
    [anon_sym_part] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_abstract] = ACTIONS(1284),
    [anon_sym_class] = ACTIONS(1284),
    [anon_sym_extension] = ACTIONS(1284),
    [anon_sym_super] = ACTIONS(1284),
    [sym_void_type] = ACTIONS(1284),
    [anon_sym_var] = ACTIONS(1284),
    [sym__break_builtin] = ACTIONS(1284),
    [sym__assert_builtin] = ACTIONS(1284),
    [anon_sym_covariant] = ACTIONS(1284),
    [anon_sym_export] = ACTIONS(1284),
    [anon_sym_Function] = ACTIONS(1284),
    [anon_sym_get] = ACTIONS(1284),
    [anon_sym_import] = ACTIONS(1284),
    [anon_sym_mixin] = ACTIONS(1284),
    [anon_sym_set] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_new] = ACTIONS(1284),
    [sym_const_builtin] = ACTIONS(1284),
    [sym_final_builtin] = ACTIONS(1284),
    [anon_sym_late] = ACTIONS(1284),
    [anon_sym_external] = ACTIONS(1284),
    [anon_sym_this] = ACTIONS(1284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [389] = {
    [sym_comment] = STATE(389),
    [sym_documentation_comment] = STATE(389),
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_POUND] = ACTIONS(1286),
    [sym_decimal_integer_literal] = ACTIONS(1288),
    [sym_hex_integer_literal] = ACTIONS(1286),
    [sym_decimal_floating_point_literal] = ACTIONS(1288),
    [anon_sym_true] = ACTIONS(1288),
    [anon_sym_false] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1286),
    [anon_sym_r_DQUOTE] = ACTIONS(1288),
    [anon_sym_r_SQUOTE] = ACTIONS(1288),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1286),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_null] = ACTIONS(1288),
    [anon_sym_throw] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1286),
    [sym_increment_operator] = ACTIONS(1286),
    [sym_minus_operator] = ACTIONS(1288),
    [sym__exclamation_operator] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_await] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_yield] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_try] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1286),
    [anon_sym_part] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_abstract] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(1288),
    [anon_sym_extension] = ACTIONS(1288),
    [anon_sym_super] = ACTIONS(1288),
    [sym_void_type] = ACTIONS(1288),
    [anon_sym_var] = ACTIONS(1288),
    [sym__break_builtin] = ACTIONS(1288),
    [sym__assert_builtin] = ACTIONS(1288),
    [anon_sym_covariant] = ACTIONS(1288),
    [anon_sym_export] = ACTIONS(1288),
    [anon_sym_Function] = ACTIONS(1288),
    [anon_sym_get] = ACTIONS(1288),
    [anon_sym_import] = ACTIONS(1288),
    [anon_sym_mixin] = ACTIONS(1288),
    [anon_sym_set] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_new] = ACTIONS(1288),
    [sym_const_builtin] = ACTIONS(1288),
    [sym_final_builtin] = ACTIONS(1288),
    [anon_sym_late] = ACTIONS(1288),
    [anon_sym_external] = ACTIONS(1288),
    [anon_sym_this] = ACTIONS(1288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [390] = {
    [sym__assignment_operator] = STATE(188),
    [sym__cascade_subsection] = STATE(540),
    [sym__cascade_assignment_section] = STATE(870),
    [sym_index_selector] = STATE(538),
    [sym_unconditional_assignable_selector] = STATE(533),
    [sym_conditional_assignable_selector] = STATE(533),
    [sym__assignable_selector] = STATE(467),
    [sym__nullable_type] = STATE(2382),
    [sym_comment] = STATE(390),
    [sym_documentation_comment] = STATE(390),
    [aux_sym_cascade_section_repeat2] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_RBRACK] = ACTIONS(1116),
    [anon_sym_COLON] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_RPAREN] = ACTIONS(1116),
    [anon_sym_QMARK_QMARK] = ACTIONS(1118),
    [anon_sym_QMARK] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [sym_equality_operator] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1118),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_PIPE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_LT_LT] = ACTIONS(1118),
    [anon_sym_GT_GT] = ACTIONS(1118),
    [anon_sym_GT_GT_GT] = ACTIONS(1118),
    [sym__additive_operator] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PERCENT] = ACTIONS(1118),
    [anon_sym_TILDE_SLASH] = ACTIONS(1118),
    [sym__exclamation_operator] = ACTIONS(1118),
    [anon_sym_is] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1116),
    [anon_sym_DOT] = ACTIONS(1118),
    [anon_sym_QMARK_DOT] = ACTIONS(1118),
    [anon_sym_DOT_DOT] = ACTIONS(1116),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1116),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [391] = {
    [sym__assignment_operator] = STATE(188),
    [sym__cascade_subsection] = STATE(540),
    [sym__cascade_assignment_section] = STATE(857),
    [sym_index_selector] = STATE(538),
    [sym_unconditional_assignable_selector] = STATE(533),
    [sym_conditional_assignable_selector] = STATE(533),
    [sym__assignable_selector] = STATE(467),
    [sym__nullable_type] = STATE(2382),
    [sym_comment] = STATE(391),
    [sym_documentation_comment] = STATE(391),
    [aux_sym_cascade_section_repeat2] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_COMMA] = ACTIONS(1290),
    [anon_sym_RBRACK] = ACTIONS(1290),
    [anon_sym_COLON] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_RPAREN] = ACTIONS(1290),
    [anon_sym_QMARK_QMARK] = ACTIONS(1292),
    [anon_sym_QMARK] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [sym_equality_operator] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_CARET] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_LT_LT] = ACTIONS(1292),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_GT_GT_GT] = ACTIONS(1292),
    [sym__additive_operator] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_SLASH] = ACTIONS(1292),
    [anon_sym_PERCENT] = ACTIONS(1292),
    [anon_sym_TILDE_SLASH] = ACTIONS(1292),
    [sym__exclamation_operator] = ACTIONS(1292),
    [anon_sym_is] = ACTIONS(1290),
    [anon_sym_as] = ACTIONS(1290),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_QMARK_DOT] = ACTIONS(1292),
    [anon_sym_DOT_DOT] = ACTIONS(1290),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_else] = ACTIONS(1290),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [392] = {
    [sym_comment] = STATE(392),
    [sym_documentation_comment] = STATE(392),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1294),
    [sym_decimal_integer_literal] = ACTIONS(1296),
    [sym_hex_integer_literal] = ACTIONS(1294),
    [sym_decimal_floating_point_literal] = ACTIONS(1296),
    [anon_sym_true] = ACTIONS(1296),
    [anon_sym_false] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1294),
    [anon_sym_r_DQUOTE] = ACTIONS(1296),
    [anon_sym_r_SQUOTE] = ACTIONS(1296),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1294),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_null] = ACTIONS(1296),
    [anon_sym_throw] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1294),
    [sym_increment_operator] = ACTIONS(1294),
    [sym_minus_operator] = ACTIONS(1296),
    [sym__exclamation_operator] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_await] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_yield] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_try] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1294),
    [anon_sym_part] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_abstract] = ACTIONS(1296),
    [anon_sym_class] = ACTIONS(1296),
    [anon_sym_extension] = ACTIONS(1296),
    [anon_sym_super] = ACTIONS(1296),
    [sym_void_type] = ACTIONS(1296),
    [anon_sym_var] = ACTIONS(1296),
    [sym__break_builtin] = ACTIONS(1296),
    [sym__assert_builtin] = ACTIONS(1296),
    [anon_sym_covariant] = ACTIONS(1296),
    [anon_sym_Function] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_mixin] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_new] = ACTIONS(1296),
    [sym_const_builtin] = ACTIONS(1296),
    [sym_final_builtin] = ACTIONS(1296),
    [anon_sym_late] = ACTIONS(1296),
    [anon_sym_external] = ACTIONS(1296),
    [anon_sym_this] = ACTIONS(1296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [393] = {
    [sym_comment] = STATE(393),
    [sym_documentation_comment] = STATE(393),
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_identifier] = ACTIONS(1300),
    [anon_sym_POUND] = ACTIONS(1298),
    [sym_decimal_integer_literal] = ACTIONS(1300),
    [sym_hex_integer_literal] = ACTIONS(1298),
    [sym_decimal_floating_point_literal] = ACTIONS(1300),
    [anon_sym_true] = ACTIONS(1300),
    [anon_sym_false] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1298),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1298),
    [anon_sym_r_DQUOTE] = ACTIONS(1300),
    [anon_sym_r_SQUOTE] = ACTIONS(1300),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1298),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_null] = ACTIONS(1300),
    [anon_sym_throw] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_LT] = ACTIONS(1298),
    [sym_increment_operator] = ACTIONS(1298),
    [sym_minus_operator] = ACTIONS(1300),
    [sym__exclamation_operator] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_await] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_yield] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_try] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1298),
    [anon_sym_part] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_abstract] = ACTIONS(1300),
    [anon_sym_class] = ACTIONS(1300),
    [anon_sym_extension] = ACTIONS(1300),
    [anon_sym_super] = ACTIONS(1300),
    [sym_void_type] = ACTIONS(1300),
    [anon_sym_var] = ACTIONS(1300),
    [sym__break_builtin] = ACTIONS(1300),
    [sym__assert_builtin] = ACTIONS(1300),
    [anon_sym_covariant] = ACTIONS(1300),
    [anon_sym_Function] = ACTIONS(1300),
    [anon_sym_get] = ACTIONS(1300),
    [anon_sym_mixin] = ACTIONS(1300),
    [anon_sym_set] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_new] = ACTIONS(1300),
    [sym_const_builtin] = ACTIONS(1300),
    [sym_final_builtin] = ACTIONS(1300),
    [anon_sym_late] = ACTIONS(1300),
    [anon_sym_external] = ACTIONS(1300),
    [anon_sym_this] = ACTIONS(1300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [394] = {
    [sym_comment] = STATE(394),
    [sym_documentation_comment] = STATE(394),
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1304),
    [anon_sym_POUND] = ACTIONS(1302),
    [sym_decimal_integer_literal] = ACTIONS(1304),
    [sym_hex_integer_literal] = ACTIONS(1302),
    [sym_decimal_floating_point_literal] = ACTIONS(1304),
    [anon_sym_true] = ACTIONS(1304),
    [anon_sym_false] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1302),
    [anon_sym_r_DQUOTE] = ACTIONS(1304),
    [anon_sym_r_SQUOTE] = ACTIONS(1304),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1302),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_null] = ACTIONS(1304),
    [anon_sym_throw] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [sym_increment_operator] = ACTIONS(1302),
    [sym_minus_operator] = ACTIONS(1304),
    [sym__exclamation_operator] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_try] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1302),
    [anon_sym_part] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_abstract] = ACTIONS(1304),
    [anon_sym_class] = ACTIONS(1304),
    [anon_sym_extension] = ACTIONS(1304),
    [anon_sym_super] = ACTIONS(1304),
    [sym_void_type] = ACTIONS(1304),
    [anon_sym_var] = ACTIONS(1304),
    [sym__break_builtin] = ACTIONS(1304),
    [sym__assert_builtin] = ACTIONS(1304),
    [anon_sym_covariant] = ACTIONS(1304),
    [anon_sym_Function] = ACTIONS(1304),
    [anon_sym_get] = ACTIONS(1304),
    [anon_sym_mixin] = ACTIONS(1304),
    [anon_sym_set] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_new] = ACTIONS(1304),
    [sym_const_builtin] = ACTIONS(1304),
    [sym_final_builtin] = ACTIONS(1304),
    [anon_sym_late] = ACTIONS(1304),
    [anon_sym_external] = ACTIONS(1304),
    [anon_sym_this] = ACTIONS(1304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [395] = {
    [sym_comment] = STATE(395),
    [sym_documentation_comment] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1308),
    [anon_sym_POUND] = ACTIONS(1306),
    [sym_decimal_integer_literal] = ACTIONS(1308),
    [sym_hex_integer_literal] = ACTIONS(1306),
    [sym_decimal_floating_point_literal] = ACTIONS(1308),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1306),
    [anon_sym_r_DQUOTE] = ACTIONS(1308),
    [anon_sym_r_SQUOTE] = ACTIONS(1308),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1306),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_null] = ACTIONS(1308),
    [anon_sym_throw] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_LT] = ACTIONS(1306),
    [sym_increment_operator] = ACTIONS(1306),
    [sym_minus_operator] = ACTIONS(1308),
    [sym__exclamation_operator] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_await] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_yield] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_try] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1306),
    [anon_sym_part] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_abstract] = ACTIONS(1308),
    [anon_sym_class] = ACTIONS(1308),
    [anon_sym_extension] = ACTIONS(1308),
    [anon_sym_super] = ACTIONS(1308),
    [sym_void_type] = ACTIONS(1308),
    [anon_sym_var] = ACTIONS(1308),
    [sym__break_builtin] = ACTIONS(1308),
    [sym__assert_builtin] = ACTIONS(1308),
    [anon_sym_covariant] = ACTIONS(1308),
    [anon_sym_Function] = ACTIONS(1308),
    [anon_sym_get] = ACTIONS(1308),
    [anon_sym_mixin] = ACTIONS(1308),
    [anon_sym_set] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_new] = ACTIONS(1308),
    [sym_const_builtin] = ACTIONS(1308),
    [sym_final_builtin] = ACTIONS(1308),
    [anon_sym_late] = ACTIONS(1308),
    [anon_sym_external] = ACTIONS(1308),
    [anon_sym_this] = ACTIONS(1308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [396] = {
    [sym_comment] = STATE(396),
    [sym_documentation_comment] = STATE(396),
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_POUND] = ACTIONS(1310),
    [sym_decimal_integer_literal] = ACTIONS(1312),
    [sym_hex_integer_literal] = ACTIONS(1310),
    [sym_decimal_floating_point_literal] = ACTIONS(1312),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1310),
    [anon_sym_r_DQUOTE] = ACTIONS(1312),
    [anon_sym_r_SQUOTE] = ACTIONS(1312),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1310),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_null] = ACTIONS(1312),
    [anon_sym_throw] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [anon_sym_LT] = ACTIONS(1310),
    [sym_increment_operator] = ACTIONS(1310),
    [sym_minus_operator] = ACTIONS(1312),
    [sym__exclamation_operator] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_await] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_yield] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_try] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1310),
    [anon_sym_part] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_abstract] = ACTIONS(1312),
    [anon_sym_class] = ACTIONS(1312),
    [anon_sym_extension] = ACTIONS(1312),
    [anon_sym_super] = ACTIONS(1312),
    [sym_void_type] = ACTIONS(1312),
    [anon_sym_var] = ACTIONS(1312),
    [sym__break_builtin] = ACTIONS(1312),
    [sym__assert_builtin] = ACTIONS(1312),
    [anon_sym_covariant] = ACTIONS(1312),
    [anon_sym_Function] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1312),
    [anon_sym_mixin] = ACTIONS(1312),
    [anon_sym_set] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_new] = ACTIONS(1312),
    [sym_const_builtin] = ACTIONS(1312),
    [sym_final_builtin] = ACTIONS(1312),
    [anon_sym_late] = ACTIONS(1312),
    [anon_sym_external] = ACTIONS(1312),
    [anon_sym_this] = ACTIONS(1312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [397] = {
    [sym_type_parameters] = STATE(2132),
    [sym__type_dot_identifier] = STATE(1431),
    [sym__formal_parameter_part] = STATE(1756),
    [sym_formal_parameter_list] = STATE(1571),
    [sym__strict_formal_parameter_list] = STATE(1581),
    [sym_comment] = STATE(397),
    [sym_documentation_comment] = STATE(397),
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_COMMA] = ACTIONS(1314),
    [anon_sym_COLON] = ACTIONS(1314),
    [anon_sym_EQ] = ACTIONS(1318),
    [anon_sym_PLUS_EQ] = ACTIONS(1320),
    [anon_sym_DASH_EQ] = ACTIONS(1320),
    [anon_sym_STAR_EQ] = ACTIONS(1320),
    [anon_sym_SLASH_EQ] = ACTIONS(1320),
    [anon_sym_PERCENT_EQ] = ACTIONS(1320),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1320),
    [anon_sym_LT_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_AMP_EQ] = ACTIONS(1320),
    [anon_sym_CARET_EQ] = ACTIONS(1320),
    [anon_sym_PIPE_EQ] = ACTIONS(1320),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [anon_sym_QMARK_QMARK] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_PIPE_PIPE] = ACTIONS(1314),
    [anon_sym_AMP_AMP] = ACTIONS(1314),
    [sym_equality_operator] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1330),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1314),
    [anon_sym_GT_EQ] = ACTIONS(1314),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_LT_LT] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1325),
    [anon_sym_GT_GT_GT] = ACTIONS(1325),
    [sym__additive_operator] = ACTIONS(1325),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1325),
    [anon_sym_PERCENT] = ACTIONS(1325),
    [anon_sym_TILDE_SLASH] = ACTIONS(1325),
    [sym_increment_operator] = ACTIONS(1320),
    [sym__exclamation_operator] = ACTIONS(1325),
    [anon_sym_is] = ACTIONS(1325),
    [anon_sym_as] = ACTIONS(1325),
    [anon_sym_DOT] = ACTIONS(1334),
    [anon_sym_QMARK_DOT] = ACTIONS(1325),
    [anon_sym_DOT_DOT] = ACTIONS(1314),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1325),
    [anon_sym_Function] = ACTIONS(1316),
    [anon_sym_get] = ACTIONS(1316),
    [anon_sym_set] = ACTIONS(1316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [398] = {
    [sym__assignment_operator] = STATE(202),
    [sym__cascade_subsection] = STATE(555),
    [sym__cascade_assignment_section] = STATE(958),
    [sym_index_selector] = STATE(561),
    [sym_unconditional_assignable_selector] = STATE(559),
    [sym_conditional_assignable_selector] = STATE(559),
    [sym__assignable_selector] = STATE(473),
    [sym__nullable_type] = STATE(2425),
    [sym_comment] = STATE(398),
    [sym_documentation_comment] = STATE(398),
    [aux_sym_cascade_section_repeat2] = STATE(456),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_QMARK_QMARK] = ACTIONS(1118),
    [anon_sym_QMARK] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [sym_equality_operator] = ACTIONS(1116),
    [anon_sym_LT] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1118),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_PIPE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_LT_LT] = ACTIONS(1118),
    [anon_sym_GT_GT] = ACTIONS(1118),
    [anon_sym_GT_GT_GT] = ACTIONS(1118),
    [sym__additive_operator] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PERCENT] = ACTIONS(1118),
    [anon_sym_TILDE_SLASH] = ACTIONS(1118),
    [sym__exclamation_operator] = ACTIONS(1118),
    [anon_sym_is] = ACTIONS(1116),
    [anon_sym_as] = ACTIONS(1118),
    [anon_sym_DOT] = ACTIONS(1118),
    [anon_sym_QMARK_DOT] = ACTIONS(1118),
    [anon_sym_DOT_DOT] = ACTIONS(1116),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1116),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym_async] = ACTIONS(1118),
    [anon_sym_EQ_GT] = ACTIONS(1116),
    [anon_sym_async_STAR] = ACTIONS(1116),
    [anon_sym_sync_STAR] = ACTIONS(1116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [399] = {
    [sym__assignment_operator] = STATE(202),
    [sym__cascade_subsection] = STATE(555),
    [sym__cascade_assignment_section] = STATE(972),
    [sym_index_selector] = STATE(561),
    [sym_unconditional_assignable_selector] = STATE(559),
    [sym_conditional_assignable_selector] = STATE(559),
    [sym__assignable_selector] = STATE(473),
    [sym__nullable_type] = STATE(2425),
    [sym_comment] = STATE(399),
    [sym_documentation_comment] = STATE(399),
    [aux_sym_cascade_section_repeat2] = STATE(456),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_COMMA] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(1110),
    [anon_sym_PLUS_EQ] = ACTIONS(1112),
    [anon_sym_DASH_EQ] = ACTIONS(1112),
    [anon_sym_STAR_EQ] = ACTIONS(1112),
    [anon_sym_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_PERCENT_EQ] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1112),
    [anon_sym_LT_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1112),
    [anon_sym_AMP_EQ] = ACTIONS(1112),
    [anon_sym_CARET_EQ] = ACTIONS(1112),
    [anon_sym_PIPE_EQ] = ACTIONS(1112),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_QMARK_QMARK] = ACTIONS(1292),
    [anon_sym_QMARK] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [sym_equality_operator] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_CARET] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_LT_LT] = ACTIONS(1292),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_GT_GT_GT] = ACTIONS(1292),
    [sym__additive_operator] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_SLASH] = ACTIONS(1292),
    [anon_sym_PERCENT] = ACTIONS(1292),
    [anon_sym_TILDE_SLASH] = ACTIONS(1292),
    [sym__exclamation_operator] = ACTIONS(1292),
    [anon_sym_is] = ACTIONS(1290),
    [anon_sym_as] = ACTIONS(1292),
    [anon_sym_DOT] = ACTIONS(1292),
    [anon_sym_QMARK_DOT] = ACTIONS(1292),
    [anon_sym_DOT_DOT] = ACTIONS(1290),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [anon_sym_async] = ACTIONS(1292),
    [anon_sym_EQ_GT] = ACTIONS(1290),
    [anon_sym_async_STAR] = ACTIONS(1290),
    [anon_sym_sync_STAR] = ACTIONS(1290),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [400] = {
    [sym_comment] = STATE(400),
    [sym_documentation_comment] = STATE(400),
    [ts_builtin_sym_end] = ACTIONS(1337),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_POUND] = ACTIONS(1337),
    [sym_decimal_integer_literal] = ACTIONS(1339),
    [sym_hex_integer_literal] = ACTIONS(1337),
    [sym_decimal_floating_point_literal] = ACTIONS(1339),
    [anon_sym_true] = ACTIONS(1339),
    [anon_sym_false] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1339),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1337),
    [anon_sym_r_DQUOTE] = ACTIONS(1339),
    [anon_sym_r_SQUOTE] = ACTIONS(1339),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1337),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_null] = ACTIONS(1339),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(1337),
    [sym_increment_operator] = ACTIONS(1337),
    [sym_minus_operator] = ACTIONS(1339),
    [sym__exclamation_operator] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_await] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_yield] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_try] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_part] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_abstract] = ACTIONS(1339),
    [anon_sym_class] = ACTIONS(1339),
    [anon_sym_extension] = ACTIONS(1339),
    [anon_sym_super] = ACTIONS(1339),
    [sym_void_type] = ACTIONS(1339),
    [anon_sym_var] = ACTIONS(1339),
    [sym__break_builtin] = ACTIONS(1339),
    [sym__assert_builtin] = ACTIONS(1339),
    [anon_sym_covariant] = ACTIONS(1339),
    [anon_sym_Function] = ACTIONS(1339),
    [anon_sym_get] = ACTIONS(1339),
    [anon_sym_mixin] = ACTIONS(1339),
    [anon_sym_set] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_new] = ACTIONS(1339),
    [sym_const_builtin] = ACTIONS(1339),
    [sym_final_builtin] = ACTIONS(1339),
    [anon_sym_late] = ACTIONS(1339),
    [anon_sym_external] = ACTIONS(1339),
    [anon_sym_this] = ACTIONS(1339),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [401] = {
    [sym_comment] = STATE(401),
    [sym_documentation_comment] = STATE(401),
    [ts_builtin_sym_end] = ACTIONS(1341),
    [sym_identifier] = ACTIONS(1343),
    [anon_sym_POUND] = ACTIONS(1341),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hex_integer_literal] = ACTIONS(1341),
    [sym_decimal_floating_point_literal] = ACTIONS(1343),
    [anon_sym_true] = ACTIONS(1343),
    [anon_sym_false] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [anon_sym_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1341),
    [anon_sym_r_DQUOTE] = ACTIONS(1343),
    [anon_sym_r_SQUOTE] = ACTIONS(1343),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1341),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1341),
    [anon_sym_null] = ACTIONS(1343),
    [anon_sym_throw] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_LT] = ACTIONS(1341),
    [sym_increment_operator] = ACTIONS(1341),
    [sym_minus_operator] = ACTIONS(1343),
    [sym__exclamation_operator] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_await] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_yield] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_abstract] = ACTIONS(1343),
    [anon_sym_class] = ACTIONS(1343),
    [anon_sym_extension] = ACTIONS(1343),
    [anon_sym_super] = ACTIONS(1343),
    [sym_void_type] = ACTIONS(1343),
    [anon_sym_var] = ACTIONS(1343),
    [sym__break_builtin] = ACTIONS(1343),
    [sym__assert_builtin] = ACTIONS(1343),
    [anon_sym_covariant] = ACTIONS(1343),
    [anon_sym_Function] = ACTIONS(1343),
    [anon_sym_get] = ACTIONS(1343),
    [anon_sym_mixin] = ACTIONS(1343),
    [anon_sym_set] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_new] = ACTIONS(1343),
    [sym_const_builtin] = ACTIONS(1343),
    [sym_final_builtin] = ACTIONS(1343),
    [anon_sym_late] = ACTIONS(1343),
    [anon_sym_external] = ACTIONS(1343),
    [anon_sym_this] = ACTIONS(1343),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [402] = {
    [sym_comment] = STATE(402),
    [sym_documentation_comment] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1347),
    [anon_sym_POUND] = ACTIONS(1345),
    [sym_decimal_integer_literal] = ACTIONS(1347),
    [sym_hex_integer_literal] = ACTIONS(1345),
    [sym_decimal_floating_point_literal] = ACTIONS(1347),
    [anon_sym_true] = ACTIONS(1347),
    [anon_sym_false] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1345),
    [anon_sym_r_DQUOTE] = ACTIONS(1347),
    [anon_sym_r_SQUOTE] = ACTIONS(1347),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1345),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_LBRACK] = ACTIONS(1345),
    [anon_sym_null] = ACTIONS(1347),
    [anon_sym_throw] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1345),
    [anon_sym_LT] = ACTIONS(1345),
    [sym_increment_operator] = ACTIONS(1345),
    [sym_minus_operator] = ACTIONS(1347),
    [sym__exclamation_operator] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_yield] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_try] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1345),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_abstract] = ACTIONS(1347),
    [anon_sym_class] = ACTIONS(1347),
    [anon_sym_extension] = ACTIONS(1347),
    [anon_sym_super] = ACTIONS(1347),
    [sym_void_type] = ACTIONS(1347),
    [anon_sym_var] = ACTIONS(1347),
    [sym__break_builtin] = ACTIONS(1347),
    [sym__assert_builtin] = ACTIONS(1347),
    [anon_sym_covariant] = ACTIONS(1347),
    [anon_sym_Function] = ACTIONS(1347),
    [anon_sym_get] = ACTIONS(1347),
    [anon_sym_mixin] = ACTIONS(1347),
    [anon_sym_set] = ACTIONS(1347),
    [anon_sym_typedef] = ACTIONS(1347),
    [anon_sym_new] = ACTIONS(1347),
    [sym_const_builtin] = ACTIONS(1347),
    [sym_final_builtin] = ACTIONS(1347),
    [anon_sym_late] = ACTIONS(1347),
    [anon_sym_external] = ACTIONS(1347),
    [anon_sym_this] = ACTIONS(1347),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [403] = {
    [sym_comment] = STATE(403),
    [sym_documentation_comment] = STATE(403),
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_POUND] = ACTIONS(1349),
    [sym_decimal_integer_literal] = ACTIONS(1352),
    [sym_hex_integer_literal] = ACTIONS(1349),
    [sym_decimal_floating_point_literal] = ACTIONS(1352),
    [anon_sym_true] = ACTIONS(1352),
    [anon_sym_false] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1349),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1349),
    [anon_sym_r_DQUOTE] = ACTIONS(1352),
    [anon_sym_r_SQUOTE] = ACTIONS(1352),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1349),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1349),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_null] = ACTIONS(1352),
    [anon_sym_throw] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_LT] = ACTIONS(1349),
    [sym_increment_operator] = ACTIONS(1349),
    [sym_minus_operator] = ACTIONS(1352),
    [sym__exclamation_operator] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_await] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_yield] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_try] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1349),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_abstract] = ACTIONS(1352),
    [anon_sym_class] = ACTIONS(1352),
    [anon_sym_extension] = ACTIONS(1352),
    [anon_sym_super] = ACTIONS(1352),
    [sym_void_type] = ACTIONS(1352),
    [anon_sym_var] = ACTIONS(1352),
    [sym__break_builtin] = ACTIONS(1352),
    [sym__assert_builtin] = ACTIONS(1352),
    [anon_sym_covariant] = ACTIONS(1352),
    [anon_sym_Function] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_mixin] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_new] = ACTIONS(1352),
    [sym_const_builtin] = ACTIONS(1352),
    [sym_final_builtin] = ACTIONS(1352),
    [anon_sym_late] = ACTIONS(1352),
    [anon_sym_external] = ACTIONS(1352),
    [anon_sym_this] = ACTIONS(1352),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [404] = {
    [sym_comment] = STATE(404),
    [sym_documentation_comment] = STATE(404),
    [ts_builtin_sym_end] = ACTIONS(1355),
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_POUND] = ACTIONS(1355),
    [sym_decimal_integer_literal] = ACTIONS(1357),
    [sym_hex_integer_literal] = ACTIONS(1355),
    [sym_decimal_floating_point_literal] = ACTIONS(1357),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [anon_sym_DQUOTE] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1357),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1355),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1355),
    [anon_sym_r_DQUOTE] = ACTIONS(1357),
    [anon_sym_r_SQUOTE] = ACTIONS(1357),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1355),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_null] = ACTIONS(1357),
    [anon_sym_throw] = ACTIONS(1357),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1355),
    [sym_increment_operator] = ACTIONS(1355),
    [sym_minus_operator] = ACTIONS(1357),
    [sym__exclamation_operator] = ACTIONS(1355),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_await] = ACTIONS(1357),
    [anon_sym_switch] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_continue] = ACTIONS(1357),
    [anon_sym_yield] = ACTIONS(1357),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_try] = ACTIONS(1357),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_AT] = ACTIONS(1355),
    [anon_sym_enum] = ACTIONS(1357),
    [anon_sym_abstract] = ACTIONS(1357),
    [anon_sym_class] = ACTIONS(1357),
    [anon_sym_extension] = ACTIONS(1357),
    [anon_sym_super] = ACTIONS(1357),
    [sym_void_type] = ACTIONS(1357),
    [anon_sym_var] = ACTIONS(1357),
    [sym__break_builtin] = ACTIONS(1357),
    [sym__assert_builtin] = ACTIONS(1357),
    [anon_sym_covariant] = ACTIONS(1357),
    [anon_sym_Function] = ACTIONS(1357),
    [anon_sym_get] = ACTIONS(1357),
    [anon_sym_mixin] = ACTIONS(1357),
    [anon_sym_set] = ACTIONS(1357),
    [anon_sym_typedef] = ACTIONS(1357),
    [anon_sym_new] = ACTIONS(1357),
    [sym_const_builtin] = ACTIONS(1357),
    [sym_final_builtin] = ACTIONS(1357),
    [anon_sym_late] = ACTIONS(1357),
    [anon_sym_external] = ACTIONS(1357),
    [anon_sym_this] = ACTIONS(1357),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [405] = {
    [sym_comment] = STATE(405),
    [sym_documentation_comment] = STATE(405),
    [ts_builtin_sym_end] = ACTIONS(1359),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_POUND] = ACTIONS(1359),
    [sym_decimal_integer_literal] = ACTIONS(1361),
    [sym_hex_integer_literal] = ACTIONS(1359),
    [sym_decimal_floating_point_literal] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(1361),
    [anon_sym_false] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1359),
    [anon_sym_r_DQUOTE] = ACTIONS(1361),
    [anon_sym_r_SQUOTE] = ACTIONS(1361),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1359),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_null] = ACTIONS(1361),
    [anon_sym_throw] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1359),
    [sym_increment_operator] = ACTIONS(1359),
    [sym_minus_operator] = ACTIONS(1361),
    [sym__exclamation_operator] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_await] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_abstract] = ACTIONS(1361),
    [anon_sym_class] = ACTIONS(1361),
    [anon_sym_extension] = ACTIONS(1361),
    [anon_sym_super] = ACTIONS(1361),
    [sym_void_type] = ACTIONS(1361),
    [anon_sym_var] = ACTIONS(1361),
    [sym__break_builtin] = ACTIONS(1361),
    [sym__assert_builtin] = ACTIONS(1361),
    [anon_sym_covariant] = ACTIONS(1361),
    [anon_sym_Function] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_mixin] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_new] = ACTIONS(1361),
    [sym_const_builtin] = ACTIONS(1361),
    [sym_final_builtin] = ACTIONS(1361),
    [anon_sym_late] = ACTIONS(1361),
    [anon_sym_external] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1361),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [406] = {
    [sym_comment] = STATE(406),
    [sym_documentation_comment] = STATE(406),
    [ts_builtin_sym_end] = ACTIONS(1363),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_POUND] = ACTIONS(1363),
    [sym_decimal_integer_literal] = ACTIONS(1365),
    [sym_hex_integer_literal] = ACTIONS(1363),
    [sym_decimal_floating_point_literal] = ACTIONS(1365),
    [anon_sym_true] = ACTIONS(1365),
    [anon_sym_false] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1363),
    [anon_sym_r_DQUOTE] = ACTIONS(1365),
    [anon_sym_r_SQUOTE] = ACTIONS(1365),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1363),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_null] = ACTIONS(1365),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [sym_increment_operator] = ACTIONS(1363),
    [sym_minus_operator] = ACTIONS(1365),
    [sym__exclamation_operator] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_await] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_abstract] = ACTIONS(1365),
    [anon_sym_class] = ACTIONS(1365),
    [anon_sym_extension] = ACTIONS(1365),
    [anon_sym_super] = ACTIONS(1365),
    [sym_void_type] = ACTIONS(1365),
    [anon_sym_var] = ACTIONS(1365),
    [sym__break_builtin] = ACTIONS(1365),
    [sym__assert_builtin] = ACTIONS(1365),
    [anon_sym_covariant] = ACTIONS(1365),
    [anon_sym_Function] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_mixin] = ACTIONS(1365),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1365),
    [sym_const_builtin] = ACTIONS(1365),
    [sym_final_builtin] = ACTIONS(1365),
    [anon_sym_late] = ACTIONS(1365),
    [anon_sym_external] = ACTIONS(1365),
    [anon_sym_this] = ACTIONS(1365),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [407] = {
    [sym_comment] = STATE(407),
    [sym_documentation_comment] = STATE(407),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym_identifier] = ACTIONS(1369),
    [anon_sym_POUND] = ACTIONS(1367),
    [sym_decimal_integer_literal] = ACTIONS(1369),
    [sym_hex_integer_literal] = ACTIONS(1367),
    [sym_decimal_floating_point_literal] = ACTIONS(1369),
    [anon_sym_true] = ACTIONS(1369),
    [anon_sym_false] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1367),
    [anon_sym_r_DQUOTE] = ACTIONS(1369),
    [anon_sym_r_SQUOTE] = ACTIONS(1369),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1367),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_null] = ACTIONS(1369),
    [anon_sym_throw] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [sym_increment_operator] = ACTIONS(1367),
    [sym_minus_operator] = ACTIONS(1369),
    [sym__exclamation_operator] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_switch] = ACTIONS(1369),
    [anon_sym_do] = ACTIONS(1369),
    [anon_sym_while] = ACTIONS(1369),
    [anon_sym_continue] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1369),
    [anon_sym_return] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1369),
    [anon_sym_for] = ACTIONS(1369),
    [anon_sym_AT] = ACTIONS(1367),
    [anon_sym_enum] = ACTIONS(1369),
    [anon_sym_abstract] = ACTIONS(1369),
    [anon_sym_class] = ACTIONS(1369),
    [anon_sym_extension] = ACTIONS(1369),
    [anon_sym_super] = ACTIONS(1369),
    [sym_void_type] = ACTIONS(1369),
    [anon_sym_var] = ACTIONS(1369),
    [sym__break_builtin] = ACTIONS(1369),
    [sym__assert_builtin] = ACTIONS(1369),
    [anon_sym_covariant] = ACTIONS(1369),
    [anon_sym_Function] = ACTIONS(1369),
    [anon_sym_get] = ACTIONS(1369),
    [anon_sym_mixin] = ACTIONS(1369),
    [anon_sym_set] = ACTIONS(1369),
    [anon_sym_typedef] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1369),
    [sym_const_builtin] = ACTIONS(1369),
    [sym_final_builtin] = ACTIONS(1369),
    [anon_sym_late] = ACTIONS(1369),
    [anon_sym_external] = ACTIONS(1369),
    [anon_sym_this] = ACTIONS(1369),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [408] = {
    [sym_comment] = STATE(408),
    [sym_documentation_comment] = STATE(408),
    [ts_builtin_sym_end] = ACTIONS(1371),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_POUND] = ACTIONS(1371),
    [sym_decimal_integer_literal] = ACTIONS(1373),
    [sym_hex_integer_literal] = ACTIONS(1371),
    [sym_decimal_floating_point_literal] = ACTIONS(1373),
    [anon_sym_true] = ACTIONS(1373),
    [anon_sym_false] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1371),
    [anon_sym_r_DQUOTE] = ACTIONS(1373),
    [anon_sym_r_SQUOTE] = ACTIONS(1373),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1371),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1371),
    [anon_sym_LBRACE] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [anon_sym_null] = ACTIONS(1373),
    [anon_sym_throw] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1371),
    [sym_increment_operator] = ACTIONS(1371),
    [sym_minus_operator] = ACTIONS(1373),
    [sym__exclamation_operator] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_await] = ACTIONS(1373),
    [anon_sym_switch] = ACTIONS(1373),
    [anon_sym_do] = ACTIONS(1373),
    [anon_sym_while] = ACTIONS(1373),
    [anon_sym_continue] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_try] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1373),
    [anon_sym_for] = ACTIONS(1373),
    [anon_sym_AT] = ACTIONS(1371),
    [anon_sym_enum] = ACTIONS(1373),
    [anon_sym_abstract] = ACTIONS(1373),
    [anon_sym_class] = ACTIONS(1373),
    [anon_sym_extension] = ACTIONS(1373),
    [anon_sym_super] = ACTIONS(1373),
    [sym_void_type] = ACTIONS(1373),
    [anon_sym_var] = ACTIONS(1373),
    [sym__break_builtin] = ACTIONS(1373),
    [sym__assert_builtin] = ACTIONS(1373),
    [anon_sym_covariant] = ACTIONS(1373),
    [anon_sym_Function] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_mixin] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_typedef] = ACTIONS(1373),
    [anon_sym_new] = ACTIONS(1373),
    [sym_const_builtin] = ACTIONS(1373),
    [sym_final_builtin] = ACTIONS(1373),
    [anon_sym_late] = ACTIONS(1373),
    [anon_sym_external] = ACTIONS(1373),
    [anon_sym_this] = ACTIONS(1373),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [409] = {
    [sym_comment] = STATE(409),
    [sym_documentation_comment] = STATE(409),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym_identifier] = ACTIONS(1377),
    [anon_sym_POUND] = ACTIONS(1375),
    [sym_decimal_integer_literal] = ACTIONS(1377),
    [sym_hex_integer_literal] = ACTIONS(1375),
    [sym_decimal_floating_point_literal] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1377),
    [anon_sym_false] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1375),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1375),
    [anon_sym_r_DQUOTE] = ACTIONS(1377),
    [anon_sym_r_SQUOTE] = ACTIONS(1377),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1375),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_null] = ACTIONS(1377),
    [anon_sym_throw] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1375),
    [sym_increment_operator] = ACTIONS(1375),
    [sym_minus_operator] = ACTIONS(1377),
    [sym__exclamation_operator] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_await] = ACTIONS(1377),
    [anon_sym_switch] = ACTIONS(1377),
    [anon_sym_do] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1377),
    [anon_sym_continue] = ACTIONS(1377),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_return] = ACTIONS(1377),
    [anon_sym_try] = ACTIONS(1377),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_for] = ACTIONS(1377),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_enum] = ACTIONS(1377),
    [anon_sym_abstract] = ACTIONS(1377),
    [anon_sym_class] = ACTIONS(1377),
    [anon_sym_extension] = ACTIONS(1377),
    [anon_sym_super] = ACTIONS(1377),
    [sym_void_type] = ACTIONS(1377),
    [anon_sym_var] = ACTIONS(1377),
    [sym__break_builtin] = ACTIONS(1377),
    [sym__assert_builtin] = ACTIONS(1377),
    [anon_sym_covariant] = ACTIONS(1377),
    [anon_sym_Function] = ACTIONS(1377),
    [anon_sym_get] = ACTIONS(1377),
    [anon_sym_mixin] = ACTIONS(1377),
    [anon_sym_set] = ACTIONS(1377),
    [anon_sym_typedef] = ACTIONS(1377),
    [anon_sym_new] = ACTIONS(1377),
    [sym_const_builtin] = ACTIONS(1377),
    [sym_final_builtin] = ACTIONS(1377),
    [anon_sym_late] = ACTIONS(1377),
    [anon_sym_external] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1377),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [410] = {
    [sym_comment] = STATE(410),
    [sym_documentation_comment] = STATE(410),
    [ts_builtin_sym_end] = ACTIONS(1379),
    [sym_identifier] = ACTIONS(1381),
    [anon_sym_POUND] = ACTIONS(1379),
    [sym_decimal_integer_literal] = ACTIONS(1381),
    [sym_hex_integer_literal] = ACTIONS(1379),
    [sym_decimal_floating_point_literal] = ACTIONS(1381),
    [anon_sym_true] = ACTIONS(1381),
    [anon_sym_false] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1379),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1379),
    [anon_sym_r_DQUOTE] = ACTIONS(1381),
    [anon_sym_r_SQUOTE] = ACTIONS(1381),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1379),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1379),
    [anon_sym_null] = ACTIONS(1381),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_LT] = ACTIONS(1379),
    [sym_increment_operator] = ACTIONS(1379),
    [sym_minus_operator] = ACTIONS(1381),
    [sym__exclamation_operator] = ACTIONS(1379),
    [anon_sym_TILDE] = ACTIONS(1379),
    [anon_sym_await] = ACTIONS(1381),
    [anon_sym_switch] = ACTIONS(1381),
    [anon_sym_do] = ACTIONS(1381),
    [anon_sym_while] = ACTIONS(1381),
    [anon_sym_continue] = ACTIONS(1381),
    [anon_sym_yield] = ACTIONS(1381),
    [anon_sym_return] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1381),
    [anon_sym_if] = ACTIONS(1381),
    [anon_sym_for] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1379),
    [anon_sym_enum] = ACTIONS(1381),
    [anon_sym_abstract] = ACTIONS(1381),
    [anon_sym_class] = ACTIONS(1381),
    [anon_sym_extension] = ACTIONS(1381),
    [anon_sym_super] = ACTIONS(1381),
    [sym_void_type] = ACTIONS(1381),
    [anon_sym_var] = ACTIONS(1381),
    [sym__break_builtin] = ACTIONS(1381),
    [sym__assert_builtin] = ACTIONS(1381),
    [anon_sym_covariant] = ACTIONS(1381),
    [anon_sym_Function] = ACTIONS(1381),
    [anon_sym_get] = ACTIONS(1381),
    [anon_sym_mixin] = ACTIONS(1381),
    [anon_sym_set] = ACTIONS(1381),
    [anon_sym_typedef] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1381),
    [sym_const_builtin] = ACTIONS(1381),
    [sym_final_builtin] = ACTIONS(1381),
    [anon_sym_late] = ACTIONS(1381),
    [anon_sym_external] = ACTIONS(1381),
    [anon_sym_this] = ACTIONS(1381),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [411] = {
    [sym_comment] = STATE(411),
    [sym_documentation_comment] = STATE(411),
    [ts_builtin_sym_end] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_POUND] = ACTIONS(1383),
    [sym_decimal_integer_literal] = ACTIONS(1385),
    [sym_hex_integer_literal] = ACTIONS(1383),
    [sym_decimal_floating_point_literal] = ACTIONS(1385),
    [anon_sym_true] = ACTIONS(1385),
    [anon_sym_false] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1383),
    [anon_sym_r_DQUOTE] = ACTIONS(1385),
    [anon_sym_r_SQUOTE] = ACTIONS(1385),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1383),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_null] = ACTIONS(1385),
    [anon_sym_throw] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [sym_increment_operator] = ACTIONS(1383),
    [sym_minus_operator] = ACTIONS(1385),
    [sym__exclamation_operator] = ACTIONS(1383),
    [anon_sym_TILDE] = ACTIONS(1383),
    [anon_sym_await] = ACTIONS(1385),
    [anon_sym_switch] = ACTIONS(1385),
    [anon_sym_do] = ACTIONS(1385),
    [anon_sym_while] = ACTIONS(1385),
    [anon_sym_continue] = ACTIONS(1385),
    [anon_sym_yield] = ACTIONS(1385),
    [anon_sym_return] = ACTIONS(1385),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_if] = ACTIONS(1385),
    [anon_sym_for] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1383),
    [anon_sym_enum] = ACTIONS(1385),
    [anon_sym_abstract] = ACTIONS(1385),
    [anon_sym_class] = ACTIONS(1385),
    [anon_sym_extension] = ACTIONS(1385),
    [anon_sym_super] = ACTIONS(1385),
    [sym_void_type] = ACTIONS(1385),
    [anon_sym_var] = ACTIONS(1385),
    [sym__break_builtin] = ACTIONS(1385),
    [sym__assert_builtin] = ACTIONS(1385),
    [anon_sym_covariant] = ACTIONS(1385),
    [anon_sym_Function] = ACTIONS(1385),
    [anon_sym_get] = ACTIONS(1385),
    [anon_sym_mixin] = ACTIONS(1385),
    [anon_sym_set] = ACTIONS(1385),
    [anon_sym_typedef] = ACTIONS(1385),
    [anon_sym_new] = ACTIONS(1385),
    [sym_const_builtin] = ACTIONS(1385),
    [sym_final_builtin] = ACTIONS(1385),
    [anon_sym_late] = ACTIONS(1385),
    [anon_sym_external] = ACTIONS(1385),
    [anon_sym_this] = ACTIONS(1385),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [412] = {
    [sym_comment] = STATE(412),
    [sym_documentation_comment] = STATE(412),
    [ts_builtin_sym_end] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1389),
    [anon_sym_POUND] = ACTIONS(1387),
    [sym_decimal_integer_literal] = ACTIONS(1389),
    [sym_hex_integer_literal] = ACTIONS(1387),
    [sym_decimal_floating_point_literal] = ACTIONS(1389),
    [anon_sym_true] = ACTIONS(1389),
    [anon_sym_false] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1387),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1387),
    [anon_sym_r_DQUOTE] = ACTIONS(1389),
    [anon_sym_r_SQUOTE] = ACTIONS(1389),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1387),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1387),
    [anon_sym_null] = ACTIONS(1389),
    [anon_sym_throw] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [sym_increment_operator] = ACTIONS(1387),
    [sym_minus_operator] = ACTIONS(1389),
    [sym__exclamation_operator] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1389),
    [anon_sym_switch] = ACTIONS(1389),
    [anon_sym_do] = ACTIONS(1389),
    [anon_sym_while] = ACTIONS(1389),
    [anon_sym_continue] = ACTIONS(1389),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_return] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1389),
    [anon_sym_if] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1387),
    [anon_sym_enum] = ACTIONS(1389),
    [anon_sym_abstract] = ACTIONS(1389),
    [anon_sym_class] = ACTIONS(1389),
    [anon_sym_extension] = ACTIONS(1389),
    [anon_sym_super] = ACTIONS(1389),
    [sym_void_type] = ACTIONS(1389),
    [anon_sym_var] = ACTIONS(1389),
    [sym__break_builtin] = ACTIONS(1389),
    [sym__assert_builtin] = ACTIONS(1389),
    [anon_sym_covariant] = ACTIONS(1389),
    [anon_sym_Function] = ACTIONS(1389),
    [anon_sym_get] = ACTIONS(1389),
    [anon_sym_mixin] = ACTIONS(1389),
    [anon_sym_set] = ACTIONS(1389),
    [anon_sym_typedef] = ACTIONS(1389),
    [anon_sym_new] = ACTIONS(1389),
    [sym_const_builtin] = ACTIONS(1389),
    [sym_final_builtin] = ACTIONS(1389),
    [anon_sym_late] = ACTIONS(1389),
    [anon_sym_external] = ACTIONS(1389),
    [anon_sym_this] = ACTIONS(1389),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [413] = {
    [sym_comment] = STATE(413),
    [sym_documentation_comment] = STATE(413),
    [ts_builtin_sym_end] = ACTIONS(1391),
    [sym_identifier] = ACTIONS(1393),
    [anon_sym_POUND] = ACTIONS(1391),
    [sym_decimal_integer_literal] = ACTIONS(1393),
    [sym_hex_integer_literal] = ACTIONS(1391),
    [sym_decimal_floating_point_literal] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1391),
    [anon_sym_r_DQUOTE] = ACTIONS(1393),
    [anon_sym_r_SQUOTE] = ACTIONS(1393),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1391),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_null] = ACTIONS(1393),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LT] = ACTIONS(1391),
    [sym_increment_operator] = ACTIONS(1391),
    [sym_minus_operator] = ACTIONS(1393),
    [sym__exclamation_operator] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_await] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_do] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_continue] = ACTIONS(1393),
    [anon_sym_yield] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_try] = ACTIONS(1393),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1391),
    [anon_sym_enum] = ACTIONS(1393),
    [anon_sym_abstract] = ACTIONS(1393),
    [anon_sym_class] = ACTIONS(1393),
    [anon_sym_extension] = ACTIONS(1393),
    [anon_sym_super] = ACTIONS(1393),
    [sym_void_type] = ACTIONS(1393),
    [anon_sym_var] = ACTIONS(1393),
    [sym__break_builtin] = ACTIONS(1393),
    [sym__assert_builtin] = ACTIONS(1393),
    [anon_sym_covariant] = ACTIONS(1393),
    [anon_sym_Function] = ACTIONS(1393),
    [anon_sym_get] = ACTIONS(1393),
    [anon_sym_mixin] = ACTIONS(1393),
    [anon_sym_set] = ACTIONS(1393),
    [anon_sym_typedef] = ACTIONS(1393),
    [anon_sym_new] = ACTIONS(1393),
    [sym_const_builtin] = ACTIONS(1393),
    [sym_final_builtin] = ACTIONS(1393),
    [anon_sym_late] = ACTIONS(1393),
    [anon_sym_external] = ACTIONS(1393),
    [anon_sym_this] = ACTIONS(1393),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [414] = {
    [sym_comment] = STATE(414),
    [sym_documentation_comment] = STATE(414),
    [ts_builtin_sym_end] = ACTIONS(1395),
    [sym_identifier] = ACTIONS(1397),
    [anon_sym_POUND] = ACTIONS(1395),
    [sym_decimal_integer_literal] = ACTIONS(1397),
    [sym_hex_integer_literal] = ACTIONS(1395),
    [sym_decimal_floating_point_literal] = ACTIONS(1397),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_DQUOTE] = ACTIONS(1397),
    [anon_sym_SQUOTE] = ACTIONS(1397),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1395),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1395),
    [anon_sym_r_DQUOTE] = ACTIONS(1397),
    [anon_sym_r_SQUOTE] = ACTIONS(1397),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1395),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_null] = ACTIONS(1397),
    [anon_sym_throw] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [sym_increment_operator] = ACTIONS(1395),
    [sym_minus_operator] = ACTIONS(1397),
    [sym__exclamation_operator] = ACTIONS(1395),
    [anon_sym_TILDE] = ACTIONS(1395),
    [anon_sym_await] = ACTIONS(1397),
    [anon_sym_switch] = ACTIONS(1397),
    [anon_sym_do] = ACTIONS(1397),
    [anon_sym_while] = ACTIONS(1397),
    [anon_sym_continue] = ACTIONS(1397),
    [anon_sym_yield] = ACTIONS(1397),
    [anon_sym_return] = ACTIONS(1397),
    [anon_sym_try] = ACTIONS(1397),
    [anon_sym_if] = ACTIONS(1397),
    [anon_sym_for] = ACTIONS(1397),
    [anon_sym_AT] = ACTIONS(1395),
    [anon_sym_enum] = ACTIONS(1397),
    [anon_sym_abstract] = ACTIONS(1397),
    [anon_sym_class] = ACTIONS(1397),
    [anon_sym_extension] = ACTIONS(1397),
    [anon_sym_super] = ACTIONS(1397),
    [sym_void_type] = ACTIONS(1397),
    [anon_sym_var] = ACTIONS(1397),
    [sym__break_builtin] = ACTIONS(1397),
    [sym__assert_builtin] = ACTIONS(1397),
    [anon_sym_covariant] = ACTIONS(1397),
    [anon_sym_Function] = ACTIONS(1397),
    [anon_sym_get] = ACTIONS(1397),
    [anon_sym_mixin] = ACTIONS(1397),
    [anon_sym_set] = ACTIONS(1397),
    [anon_sym_typedef] = ACTIONS(1397),
    [anon_sym_new] = ACTIONS(1397),
    [sym_const_builtin] = ACTIONS(1397),
    [sym_final_builtin] = ACTIONS(1397),
    [anon_sym_late] = ACTIONS(1397),
    [anon_sym_external] = ACTIONS(1397),
    [anon_sym_this] = ACTIONS(1397),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [415] = {
    [sym_comment] = STATE(415),
    [sym_documentation_comment] = STATE(415),
    [ts_builtin_sym_end] = ACTIONS(1399),
    [sym_identifier] = ACTIONS(1401),
    [anon_sym_POUND] = ACTIONS(1399),
    [sym_decimal_integer_literal] = ACTIONS(1401),
    [sym_hex_integer_literal] = ACTIONS(1399),
    [sym_decimal_floating_point_literal] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1401),
    [anon_sym_false] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1401),
    [anon_sym_SQUOTE] = ACTIONS(1401),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1399),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1399),
    [anon_sym_r_DQUOTE] = ACTIONS(1401),
    [anon_sym_r_SQUOTE] = ACTIONS(1401),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1399),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1399),
    [anon_sym_null] = ACTIONS(1401),
    [anon_sym_throw] = ACTIONS(1401),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [sym_increment_operator] = ACTIONS(1399),
    [sym_minus_operator] = ACTIONS(1401),
    [sym__exclamation_operator] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1399),
    [anon_sym_await] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1401),
    [anon_sym_do] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1401),
    [anon_sym_continue] = ACTIONS(1401),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_return] = ACTIONS(1401),
    [anon_sym_try] = ACTIONS(1401),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_for] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(1399),
    [anon_sym_enum] = ACTIONS(1401),
    [anon_sym_abstract] = ACTIONS(1401),
    [anon_sym_class] = ACTIONS(1401),
    [anon_sym_extension] = ACTIONS(1401),
    [anon_sym_super] = ACTIONS(1401),
    [sym_void_type] = ACTIONS(1401),
    [anon_sym_var] = ACTIONS(1401),
    [sym__break_builtin] = ACTIONS(1401),
    [sym__assert_builtin] = ACTIONS(1401),
    [anon_sym_covariant] = ACTIONS(1401),
    [anon_sym_Function] = ACTIONS(1401),
    [anon_sym_get] = ACTIONS(1401),
    [anon_sym_mixin] = ACTIONS(1401),
    [anon_sym_set] = ACTIONS(1401),
    [anon_sym_typedef] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1401),
    [sym_const_builtin] = ACTIONS(1401),
    [sym_final_builtin] = ACTIONS(1401),
    [anon_sym_late] = ACTIONS(1401),
    [anon_sym_external] = ACTIONS(1401),
    [anon_sym_this] = ACTIONS(1401),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [416] = {
    [sym_comment] = STATE(416),
    [sym_documentation_comment] = STATE(416),
    [ts_builtin_sym_end] = ACTIONS(1403),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_POUND] = ACTIONS(1403),
    [sym_decimal_integer_literal] = ACTIONS(1405),
    [sym_hex_integer_literal] = ACTIONS(1403),
    [sym_decimal_floating_point_literal] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [anon_sym_DQUOTE] = ACTIONS(1405),
    [anon_sym_SQUOTE] = ACTIONS(1405),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1403),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1403),
    [anon_sym_r_DQUOTE] = ACTIONS(1405),
    [anon_sym_r_SQUOTE] = ACTIONS(1405),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1403),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_null] = ACTIONS(1405),
    [anon_sym_throw] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [sym_increment_operator] = ACTIONS(1403),
    [sym_minus_operator] = ACTIONS(1405),
    [sym__exclamation_operator] = ACTIONS(1403),
    [anon_sym_TILDE] = ACTIONS(1403),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1405),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_yield] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_enum] = ACTIONS(1405),
    [anon_sym_abstract] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_extension] = ACTIONS(1405),
    [anon_sym_super] = ACTIONS(1405),
    [sym_void_type] = ACTIONS(1405),
    [anon_sym_var] = ACTIONS(1405),
    [sym__break_builtin] = ACTIONS(1405),
    [sym__assert_builtin] = ACTIONS(1405),
    [anon_sym_covariant] = ACTIONS(1405),
    [anon_sym_Function] = ACTIONS(1405),
    [anon_sym_get] = ACTIONS(1405),
    [anon_sym_mixin] = ACTIONS(1405),
    [anon_sym_set] = ACTIONS(1405),
    [anon_sym_typedef] = ACTIONS(1405),
    [anon_sym_new] = ACTIONS(1405),
    [sym_const_builtin] = ACTIONS(1405),
    [sym_final_builtin] = ACTIONS(1405),
    [anon_sym_late] = ACTIONS(1405),
    [anon_sym_external] = ACTIONS(1405),
    [anon_sym_this] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [417] = {
    [sym_comment] = STATE(417),
    [sym_documentation_comment] = STATE(417),
    [ts_builtin_sym_end] = ACTIONS(1407),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_POUND] = ACTIONS(1407),
    [sym_decimal_integer_literal] = ACTIONS(1409),
    [sym_hex_integer_literal] = ACTIONS(1407),
    [sym_decimal_floating_point_literal] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1409),
    [anon_sym_false] = ACTIONS(1409),
    [anon_sym_DQUOTE] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1407),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1407),
    [anon_sym_r_DQUOTE] = ACTIONS(1409),
    [anon_sym_r_SQUOTE] = ACTIONS(1409),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1407),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_null] = ACTIONS(1409),
    [anon_sym_throw] = ACTIONS(1409),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [sym_increment_operator] = ACTIONS(1407),
    [sym_minus_operator] = ACTIONS(1409),
    [sym__exclamation_operator] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_await] = ACTIONS(1409),
    [anon_sym_switch] = ACTIONS(1409),
    [anon_sym_do] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_continue] = ACTIONS(1409),
    [anon_sym_yield] = ACTIONS(1409),
    [anon_sym_return] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1409),
    [anon_sym_AT] = ACTIONS(1407),
    [anon_sym_enum] = ACTIONS(1409),
    [anon_sym_abstract] = ACTIONS(1409),
    [anon_sym_class] = ACTIONS(1409),
    [anon_sym_extension] = ACTIONS(1409),
    [anon_sym_super] = ACTIONS(1409),
    [sym_void_type] = ACTIONS(1409),
    [anon_sym_var] = ACTIONS(1409),
    [sym__break_builtin] = ACTIONS(1409),
    [sym__assert_builtin] = ACTIONS(1409),
    [anon_sym_covariant] = ACTIONS(1409),
    [anon_sym_Function] = ACTIONS(1409),
    [anon_sym_get] = ACTIONS(1409),
    [anon_sym_mixin] = ACTIONS(1409),
    [anon_sym_set] = ACTIONS(1409),
    [anon_sym_typedef] = ACTIONS(1409),
    [anon_sym_new] = ACTIONS(1409),
    [sym_const_builtin] = ACTIONS(1409),
    [sym_final_builtin] = ACTIONS(1409),
    [anon_sym_late] = ACTIONS(1409),
    [anon_sym_external] = ACTIONS(1409),
    [anon_sym_this] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [418] = {
    [sym_comment] = STATE(418),
    [sym_documentation_comment] = STATE(418),
    [ts_builtin_sym_end] = ACTIONS(1411),
    [sym_identifier] = ACTIONS(1413),
    [anon_sym_POUND] = ACTIONS(1411),
    [sym_decimal_integer_literal] = ACTIONS(1413),
    [sym_hex_integer_literal] = ACTIONS(1411),
    [sym_decimal_floating_point_literal] = ACTIONS(1413),
    [anon_sym_true] = ACTIONS(1413),
    [anon_sym_false] = ACTIONS(1413),
    [anon_sym_DQUOTE] = ACTIONS(1413),
    [anon_sym_SQUOTE] = ACTIONS(1413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1411),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1411),
    [anon_sym_r_DQUOTE] = ACTIONS(1413),
    [anon_sym_r_SQUOTE] = ACTIONS(1413),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1411),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1411),
    [anon_sym_null] = ACTIONS(1413),
    [anon_sym_throw] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [sym_increment_operator] = ACTIONS(1411),
    [sym_minus_operator] = ACTIONS(1413),
    [sym__exclamation_operator] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_await] = ACTIONS(1413),
    [anon_sym_switch] = ACTIONS(1413),
    [anon_sym_do] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1413),
    [anon_sym_continue] = ACTIONS(1413),
    [anon_sym_yield] = ACTIONS(1413),
    [anon_sym_return] = ACTIONS(1413),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_for] = ACTIONS(1413),
    [anon_sym_AT] = ACTIONS(1411),
    [anon_sym_enum] = ACTIONS(1413),
    [anon_sym_abstract] = ACTIONS(1413),
    [anon_sym_class] = ACTIONS(1413),
    [anon_sym_extension] = ACTIONS(1413),
    [anon_sym_super] = ACTIONS(1413),
    [sym_void_type] = ACTIONS(1413),
    [anon_sym_var] = ACTIONS(1413),
    [sym__break_builtin] = ACTIONS(1413),
    [sym__assert_builtin] = ACTIONS(1413),
    [anon_sym_covariant] = ACTIONS(1413),
    [anon_sym_Function] = ACTIONS(1413),
    [anon_sym_get] = ACTIONS(1413),
    [anon_sym_mixin] = ACTIONS(1413),
    [anon_sym_set] = ACTIONS(1413),
    [anon_sym_typedef] = ACTIONS(1413),
    [anon_sym_new] = ACTIONS(1413),
    [sym_const_builtin] = ACTIONS(1413),
    [sym_final_builtin] = ACTIONS(1413),
    [anon_sym_late] = ACTIONS(1413),
    [anon_sym_external] = ACTIONS(1413),
    [anon_sym_this] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [419] = {
    [sym_comment] = STATE(419),
    [sym_documentation_comment] = STATE(419),
    [ts_builtin_sym_end] = ACTIONS(1415),
    [sym_identifier] = ACTIONS(1417),
    [anon_sym_POUND] = ACTIONS(1415),
    [sym_decimal_integer_literal] = ACTIONS(1417),
    [sym_hex_integer_literal] = ACTIONS(1415),
    [sym_decimal_floating_point_literal] = ACTIONS(1417),
    [anon_sym_true] = ACTIONS(1417),
    [anon_sym_false] = ACTIONS(1417),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_SQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1415),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1415),
    [anon_sym_r_DQUOTE] = ACTIONS(1417),
    [anon_sym_r_SQUOTE] = ACTIONS(1417),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1415),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1415),
    [anon_sym_LBRACE] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1415),
    [anon_sym_null] = ACTIONS(1417),
    [anon_sym_throw] = ACTIONS(1417),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [sym_increment_operator] = ACTIONS(1415),
    [sym_minus_operator] = ACTIONS(1417),
    [sym__exclamation_operator] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [anon_sym_await] = ACTIONS(1417),
    [anon_sym_switch] = ACTIONS(1417),
    [anon_sym_do] = ACTIONS(1417),
    [anon_sym_while] = ACTIONS(1417),
    [anon_sym_continue] = ACTIONS(1417),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_return] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(1417),
    [anon_sym_for] = ACTIONS(1417),
    [anon_sym_AT] = ACTIONS(1415),
    [anon_sym_enum] = ACTIONS(1417),
    [anon_sym_abstract] = ACTIONS(1417),
    [anon_sym_class] = ACTIONS(1417),
    [anon_sym_extension] = ACTIONS(1417),
    [anon_sym_super] = ACTIONS(1417),
    [sym_void_type] = ACTIONS(1417),
    [anon_sym_var] = ACTIONS(1417),
    [sym__break_builtin] = ACTIONS(1417),
    [sym__assert_builtin] = ACTIONS(1417),
    [anon_sym_covariant] = ACTIONS(1417),
    [anon_sym_Function] = ACTIONS(1417),
    [anon_sym_get] = ACTIONS(1417),
    [anon_sym_mixin] = ACTIONS(1417),
    [anon_sym_set] = ACTIONS(1417),
    [anon_sym_typedef] = ACTIONS(1417),
    [anon_sym_new] = ACTIONS(1417),
    [sym_const_builtin] = ACTIONS(1417),
    [sym_final_builtin] = ACTIONS(1417),
    [anon_sym_late] = ACTIONS(1417),
    [anon_sym_external] = ACTIONS(1417),
    [anon_sym_this] = ACTIONS(1417),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [420] = {
    [sym_comment] = STATE(420),
    [sym_documentation_comment] = STATE(420),
    [ts_builtin_sym_end] = ACTIONS(1419),
    [sym_identifier] = ACTIONS(1421),
    [anon_sym_POUND] = ACTIONS(1419),
    [sym_decimal_integer_literal] = ACTIONS(1421),
    [sym_hex_integer_literal] = ACTIONS(1419),
    [sym_decimal_floating_point_literal] = ACTIONS(1421),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_DQUOTE] = ACTIONS(1421),
    [anon_sym_SQUOTE] = ACTIONS(1421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1419),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1419),
    [anon_sym_r_DQUOTE] = ACTIONS(1421),
    [anon_sym_r_SQUOTE] = ACTIONS(1421),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1419),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_null] = ACTIONS(1421),
    [anon_sym_throw] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [sym_increment_operator] = ACTIONS(1419),
    [sym_minus_operator] = ACTIONS(1421),
    [sym__exclamation_operator] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_await] = ACTIONS(1421),
    [anon_sym_switch] = ACTIONS(1421),
    [anon_sym_do] = ACTIONS(1421),
    [anon_sym_while] = ACTIONS(1421),
    [anon_sym_continue] = ACTIONS(1421),
    [anon_sym_yield] = ACTIONS(1421),
    [anon_sym_return] = ACTIONS(1421),
    [anon_sym_try] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_AT] = ACTIONS(1419),
    [anon_sym_enum] = ACTIONS(1421),
    [anon_sym_abstract] = ACTIONS(1421),
    [anon_sym_class] = ACTIONS(1421),
    [anon_sym_extension] = ACTIONS(1421),
    [anon_sym_super] = ACTIONS(1421),
    [sym_void_type] = ACTIONS(1421),
    [anon_sym_var] = ACTIONS(1421),
    [sym__break_builtin] = ACTIONS(1421),
    [sym__assert_builtin] = ACTIONS(1421),
    [anon_sym_covariant] = ACTIONS(1421),
    [anon_sym_Function] = ACTIONS(1421),
    [anon_sym_get] = ACTIONS(1421),
    [anon_sym_mixin] = ACTIONS(1421),
    [anon_sym_set] = ACTIONS(1421),
    [anon_sym_typedef] = ACTIONS(1421),
    [anon_sym_new] = ACTIONS(1421),
    [sym_const_builtin] = ACTIONS(1421),
    [sym_final_builtin] = ACTIONS(1421),
    [anon_sym_late] = ACTIONS(1421),
    [anon_sym_external] = ACTIONS(1421),
    [anon_sym_this] = ACTIONS(1421),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [421] = {
    [sym_comment] = STATE(421),
    [sym_documentation_comment] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(1423),
    [sym_identifier] = ACTIONS(1425),
    [anon_sym_POUND] = ACTIONS(1423),
    [sym_decimal_integer_literal] = ACTIONS(1425),
    [sym_hex_integer_literal] = ACTIONS(1423),
    [sym_decimal_floating_point_literal] = ACTIONS(1425),
    [anon_sym_true] = ACTIONS(1425),
    [anon_sym_false] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1423),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1423),
    [anon_sym_r_DQUOTE] = ACTIONS(1425),
    [anon_sym_r_SQUOTE] = ACTIONS(1425),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1423),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1423),
    [anon_sym_null] = ACTIONS(1425),
    [anon_sym_throw] = ACTIONS(1425),
    [anon_sym_LPAREN] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [sym_increment_operator] = ACTIONS(1423),
    [sym_minus_operator] = ACTIONS(1425),
    [sym__exclamation_operator] = ACTIONS(1423),
    [anon_sym_TILDE] = ACTIONS(1423),
    [anon_sym_await] = ACTIONS(1425),
    [anon_sym_switch] = ACTIONS(1425),
    [anon_sym_do] = ACTIONS(1425),
    [anon_sym_while] = ACTIONS(1425),
    [anon_sym_continue] = ACTIONS(1425),
    [anon_sym_yield] = ACTIONS(1425),
    [anon_sym_return] = ACTIONS(1425),
    [anon_sym_try] = ACTIONS(1425),
    [anon_sym_if] = ACTIONS(1425),
    [anon_sym_for] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1425),
    [anon_sym_abstract] = ACTIONS(1425),
    [anon_sym_class] = ACTIONS(1425),
    [anon_sym_extension] = ACTIONS(1425),
    [anon_sym_super] = ACTIONS(1425),
    [sym_void_type] = ACTIONS(1425),
    [anon_sym_var] = ACTIONS(1425),
    [sym__break_builtin] = ACTIONS(1425),
    [sym__assert_builtin] = ACTIONS(1425),
    [anon_sym_covariant] = ACTIONS(1425),
    [anon_sym_Function] = ACTIONS(1425),
    [anon_sym_get] = ACTIONS(1425),
    [anon_sym_mixin] = ACTIONS(1425),
    [anon_sym_set] = ACTIONS(1425),
    [anon_sym_typedef] = ACTIONS(1425),
    [anon_sym_new] = ACTIONS(1425),
    [sym_const_builtin] = ACTIONS(1425),
    [sym_final_builtin] = ACTIONS(1425),
    [anon_sym_late] = ACTIONS(1425),
    [anon_sym_external] = ACTIONS(1425),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [422] = {
    [sym_comment] = STATE(422),
    [sym_documentation_comment] = STATE(422),
    [ts_builtin_sym_end] = ACTIONS(1427),
    [sym_identifier] = ACTIONS(1429),
    [anon_sym_POUND] = ACTIONS(1427),
    [sym_decimal_integer_literal] = ACTIONS(1429),
    [sym_hex_integer_literal] = ACTIONS(1427),
    [sym_decimal_floating_point_literal] = ACTIONS(1429),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1429),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1427),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1427),
    [anon_sym_r_DQUOTE] = ACTIONS(1429),
    [anon_sym_r_SQUOTE] = ACTIONS(1429),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1427),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1427),
    [anon_sym_null] = ACTIONS(1429),
    [anon_sym_throw] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [sym_increment_operator] = ACTIONS(1427),
    [sym_minus_operator] = ACTIONS(1429),
    [sym__exclamation_operator] = ACTIONS(1427),
    [anon_sym_TILDE] = ACTIONS(1427),
    [anon_sym_await] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1429),
    [anon_sym_do] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(1429),
    [anon_sym_continue] = ACTIONS(1429),
    [anon_sym_yield] = ACTIONS(1429),
    [anon_sym_return] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_for] = ACTIONS(1429),
    [anon_sym_AT] = ACTIONS(1427),
    [anon_sym_enum] = ACTIONS(1429),
    [anon_sym_abstract] = ACTIONS(1429),
    [anon_sym_class] = ACTIONS(1429),
    [anon_sym_extension] = ACTIONS(1429),
    [anon_sym_super] = ACTIONS(1429),
    [sym_void_type] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1429),
    [sym__break_builtin] = ACTIONS(1429),
    [sym__assert_builtin] = ACTIONS(1429),
    [anon_sym_covariant] = ACTIONS(1429),
    [anon_sym_Function] = ACTIONS(1429),
    [anon_sym_get] = ACTIONS(1429),
    [anon_sym_mixin] = ACTIONS(1429),
    [anon_sym_set] = ACTIONS(1429),
    [anon_sym_typedef] = ACTIONS(1429),
    [anon_sym_new] = ACTIONS(1429),
    [sym_const_builtin] = ACTIONS(1429),
    [sym_final_builtin] = ACTIONS(1429),
    [anon_sym_late] = ACTIONS(1429),
    [anon_sym_external] = ACTIONS(1429),
    [anon_sym_this] = ACTIONS(1429),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [423] = {
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_comment] = STATE(423),
    [sym_documentation_comment] = STATE(423),
    [aux_sym_string_literal_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1431),
    [anon_sym_RBRACK] = ACTIONS(1431),
    [anon_sym_COLON] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1431),
    [anon_sym_RPAREN] = ACTIONS(1431),
    [anon_sym_QMARK_QMARK] = ACTIONS(1431),
    [anon_sym_QMARK] = ACTIONS(1433),
    [anon_sym_PIPE_PIPE] = ACTIONS(1431),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [sym_equality_operator] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1433),
    [anon_sym_GT] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1431),
    [anon_sym_PIPE] = ACTIONS(1433),
    [anon_sym_CARET] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1431),
    [anon_sym_GT_GT] = ACTIONS(1433),
    [anon_sym_GT_GT_GT] = ACTIONS(1431),
    [sym__additive_operator] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_SLASH] = ACTIONS(1433),
    [anon_sym_PERCENT] = ACTIONS(1431),
    [anon_sym_TILDE_SLASH] = ACTIONS(1431),
    [sym__exclamation_operator] = ACTIONS(1433),
    [anon_sym_is] = ACTIONS(1431),
    [anon_sym_as] = ACTIONS(1431),
    [anon_sym_DOT] = ACTIONS(1433),
    [anon_sym_QMARK_DOT] = ACTIONS(1433),
    [anon_sym_DOT_DOT] = ACTIONS(1431),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1431),
    [anon_sym_if] = ACTIONS(1431),
    [anon_sym_else] = ACTIONS(1431),
    [anon_sym_show] = ACTIONS(1431),
    [anon_sym_hide] = ACTIONS(1431),
    [anon_sym_deferred] = ACTIONS(1431),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [424] = {
    [sym_comment] = STATE(424),
    [sym_documentation_comment] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym_identifier] = ACTIONS(1437),
    [anon_sym_POUND] = ACTIONS(1435),
    [sym_decimal_integer_literal] = ACTIONS(1437),
    [sym_hex_integer_literal] = ACTIONS(1435),
    [sym_decimal_floating_point_literal] = ACTIONS(1437),
    [anon_sym_true] = ACTIONS(1437),
    [anon_sym_false] = ACTIONS(1437),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [anon_sym_SQUOTE] = ACTIONS(1437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1435),
    [anon_sym_r_DQUOTE] = ACTIONS(1437),
    [anon_sym_r_SQUOTE] = ACTIONS(1437),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1435),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_null] = ACTIONS(1437),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_LPAREN] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1435),
    [sym_increment_operator] = ACTIONS(1435),
    [sym_minus_operator] = ACTIONS(1437),
    [sym__exclamation_operator] = ACTIONS(1435),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_await] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_continue] = ACTIONS(1437),
    [anon_sym_yield] = ACTIONS(1437),
    [anon_sym_return] = ACTIONS(1437),
    [anon_sym_try] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(1437),
    [anon_sym_AT] = ACTIONS(1435),
    [anon_sym_enum] = ACTIONS(1437),
    [anon_sym_abstract] = ACTIONS(1437),
    [anon_sym_class] = ACTIONS(1437),
    [anon_sym_extension] = ACTIONS(1437),
    [anon_sym_super] = ACTIONS(1437),
    [sym_void_type] = ACTIONS(1437),
    [anon_sym_var] = ACTIONS(1437),
    [sym__break_builtin] = ACTIONS(1437),
    [sym__assert_builtin] = ACTIONS(1437),
    [anon_sym_covariant] = ACTIONS(1437),
    [anon_sym_Function] = ACTIONS(1437),
    [anon_sym_get] = ACTIONS(1437),
    [anon_sym_mixin] = ACTIONS(1437),
    [anon_sym_set] = ACTIONS(1437),
    [anon_sym_typedef] = ACTIONS(1437),
    [anon_sym_new] = ACTIONS(1437),
    [sym_const_builtin] = ACTIONS(1437),
    [sym_final_builtin] = ACTIONS(1437),
    [anon_sym_late] = ACTIONS(1437),
    [anon_sym_external] = ACTIONS(1437),
    [anon_sym_this] = ACTIONS(1437),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [425] = {
    [sym_comment] = STATE(425),
    [sym_documentation_comment] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(1439),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_POUND] = ACTIONS(1439),
    [sym_decimal_integer_literal] = ACTIONS(1441),
    [sym_hex_integer_literal] = ACTIONS(1439),
    [sym_decimal_floating_point_literal] = ACTIONS(1441),
    [anon_sym_true] = ACTIONS(1441),
    [anon_sym_false] = ACTIONS(1441),
    [anon_sym_DQUOTE] = ACTIONS(1441),
    [anon_sym_SQUOTE] = ACTIONS(1441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1439),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1439),
    [anon_sym_r_DQUOTE] = ACTIONS(1441),
    [anon_sym_r_SQUOTE] = ACTIONS(1441),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1439),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1439),
    [anon_sym_null] = ACTIONS(1441),
    [anon_sym_throw] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_LT] = ACTIONS(1439),
    [sym_increment_operator] = ACTIONS(1439),
    [sym_minus_operator] = ACTIONS(1441),
    [sym__exclamation_operator] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(1439),
    [anon_sym_await] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1441),
    [anon_sym_do] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1441),
    [anon_sym_continue] = ACTIONS(1441),
    [anon_sym_yield] = ACTIONS(1441),
    [anon_sym_return] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_AT] = ACTIONS(1439),
    [anon_sym_enum] = ACTIONS(1441),
    [anon_sym_abstract] = ACTIONS(1441),
    [anon_sym_class] = ACTIONS(1441),
    [anon_sym_extension] = ACTIONS(1441),
    [anon_sym_super] = ACTIONS(1441),
    [sym_void_type] = ACTIONS(1441),
    [anon_sym_var] = ACTIONS(1441),
    [sym__break_builtin] = ACTIONS(1441),
    [sym__assert_builtin] = ACTIONS(1441),
    [anon_sym_covariant] = ACTIONS(1441),
    [anon_sym_Function] = ACTIONS(1441),
    [anon_sym_get] = ACTIONS(1441),
    [anon_sym_mixin] = ACTIONS(1441),
    [anon_sym_set] = ACTIONS(1441),
    [anon_sym_typedef] = ACTIONS(1441),
    [anon_sym_new] = ACTIONS(1441),
    [sym_const_builtin] = ACTIONS(1441),
    [sym_final_builtin] = ACTIONS(1441),
    [anon_sym_late] = ACTIONS(1441),
    [anon_sym_external] = ACTIONS(1441),
    [anon_sym_this] = ACTIONS(1441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [426] = {
    [sym_comment] = STATE(426),
    [sym_documentation_comment] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(1443),
    [sym_identifier] = ACTIONS(1445),
    [anon_sym_POUND] = ACTIONS(1443),
    [sym_decimal_integer_literal] = ACTIONS(1445),
    [sym_hex_integer_literal] = ACTIONS(1443),
    [sym_decimal_floating_point_literal] = ACTIONS(1445),
    [anon_sym_true] = ACTIONS(1445),
    [anon_sym_false] = ACTIONS(1445),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_SQUOTE] = ACTIONS(1445),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1443),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1443),
    [anon_sym_r_DQUOTE] = ACTIONS(1445),
    [anon_sym_r_SQUOTE] = ACTIONS(1445),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1443),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(1443),
    [anon_sym_LBRACK] = ACTIONS(1443),
    [anon_sym_null] = ACTIONS(1445),
    [anon_sym_throw] = ACTIONS(1445),
    [anon_sym_LPAREN] = ACTIONS(1443),
    [anon_sym_LT] = ACTIONS(1443),
    [sym_increment_operator] = ACTIONS(1443),
    [sym_minus_operator] = ACTIONS(1445),
    [sym__exclamation_operator] = ACTIONS(1443),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_await] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1445),
    [anon_sym_do] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1445),
    [anon_sym_continue] = ACTIONS(1445),
    [anon_sym_yield] = ACTIONS(1445),
    [anon_sym_return] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1445),
    [anon_sym_if] = ACTIONS(1445),
    [anon_sym_for] = ACTIONS(1445),
    [anon_sym_AT] = ACTIONS(1443),
    [anon_sym_enum] = ACTIONS(1445),
    [anon_sym_abstract] = ACTIONS(1445),
    [anon_sym_class] = ACTIONS(1445),
    [anon_sym_extension] = ACTIONS(1445),
    [anon_sym_super] = ACTIONS(1445),
    [sym_void_type] = ACTIONS(1445),
    [anon_sym_var] = ACTIONS(1445),
    [sym__break_builtin] = ACTIONS(1445),
    [sym__assert_builtin] = ACTIONS(1445),
    [anon_sym_covariant] = ACTIONS(1445),
    [anon_sym_Function] = ACTIONS(1445),
    [anon_sym_get] = ACTIONS(1445),
    [anon_sym_mixin] = ACTIONS(1445),
    [anon_sym_set] = ACTIONS(1445),
    [anon_sym_typedef] = ACTIONS(1445),
    [anon_sym_new] = ACTIONS(1445),
    [sym_const_builtin] = ACTIONS(1445),
    [sym_final_builtin] = ACTIONS(1445),
    [anon_sym_late] = ACTIONS(1445),
    [anon_sym_external] = ACTIONS(1445),
    [anon_sym_this] = ACTIONS(1445),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [sym_documentation_comment] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(1447),
    [sym_identifier] = ACTIONS(1449),
    [anon_sym_POUND] = ACTIONS(1447),
    [sym_decimal_integer_literal] = ACTIONS(1449),
    [sym_hex_integer_literal] = ACTIONS(1447),
    [sym_decimal_floating_point_literal] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_DQUOTE] = ACTIONS(1449),
    [anon_sym_SQUOTE] = ACTIONS(1449),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1447),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1447),
    [anon_sym_r_DQUOTE] = ACTIONS(1449),
    [anon_sym_r_SQUOTE] = ACTIONS(1449),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1447),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_null] = ACTIONS(1449),
    [anon_sym_throw] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LT] = ACTIONS(1447),
    [sym_increment_operator] = ACTIONS(1447),
    [sym_minus_operator] = ACTIONS(1449),
    [sym__exclamation_operator] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1447),
    [anon_sym_await] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_yield] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_try] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_AT] = ACTIONS(1447),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_abstract] = ACTIONS(1449),
    [anon_sym_class] = ACTIONS(1449),
    [anon_sym_extension] = ACTIONS(1449),
    [anon_sym_super] = ACTIONS(1449),
    [sym_void_type] = ACTIONS(1449),
    [anon_sym_var] = ACTIONS(1449),
    [sym__break_builtin] = ACTIONS(1449),
    [sym__assert_builtin] = ACTIONS(1449),
    [anon_sym_covariant] = ACTIONS(1449),
    [anon_sym_Function] = ACTIONS(1449),
    [anon_sym_get] = ACTIONS(1449),
    [anon_sym_mixin] = ACTIONS(1449),
    [anon_sym_set] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_new] = ACTIONS(1449),
    [sym_const_builtin] = ACTIONS(1449),
    [sym_final_builtin] = ACTIONS(1449),
    [anon_sym_late] = ACTIONS(1449),
    [anon_sym_external] = ACTIONS(1449),
    [anon_sym_this] = ACTIONS(1449),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [428] = {
    [sym_comment] = STATE(428),
    [sym_documentation_comment] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(1451),
    [sym_identifier] = ACTIONS(1453),
    [anon_sym_POUND] = ACTIONS(1451),
    [sym_decimal_integer_literal] = ACTIONS(1453),
    [sym_hex_integer_literal] = ACTIONS(1451),
    [sym_decimal_floating_point_literal] = ACTIONS(1453),
    [anon_sym_true] = ACTIONS(1453),
    [anon_sym_false] = ACTIONS(1453),
    [anon_sym_DQUOTE] = ACTIONS(1453),
    [anon_sym_SQUOTE] = ACTIONS(1453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1451),
    [anon_sym_r_DQUOTE] = ACTIONS(1453),
    [anon_sym_r_SQUOTE] = ACTIONS(1453),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1451),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_null] = ACTIONS(1453),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_LT] = ACTIONS(1451),
    [sym_increment_operator] = ACTIONS(1451),
    [sym_minus_operator] = ACTIONS(1453),
    [sym__exclamation_operator] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_await] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_continue] = ACTIONS(1453),
    [anon_sym_yield] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_try] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_AT] = ACTIONS(1451),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_abstract] = ACTIONS(1453),
    [anon_sym_class] = ACTIONS(1453),
    [anon_sym_extension] = ACTIONS(1453),
    [anon_sym_super] = ACTIONS(1453),
    [sym_void_type] = ACTIONS(1453),
    [anon_sym_var] = ACTIONS(1453),
    [sym__break_builtin] = ACTIONS(1453),
    [sym__assert_builtin] = ACTIONS(1453),
    [anon_sym_covariant] = ACTIONS(1453),
    [anon_sym_Function] = ACTIONS(1453),
    [anon_sym_get] = ACTIONS(1453),
    [anon_sym_mixin] = ACTIONS(1453),
    [anon_sym_set] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(1453),
    [anon_sym_new] = ACTIONS(1453),
    [sym_const_builtin] = ACTIONS(1453),
    [sym_final_builtin] = ACTIONS(1453),
    [anon_sym_late] = ACTIONS(1453),
    [anon_sym_external] = ACTIONS(1453),
    [anon_sym_this] = ACTIONS(1453),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [429] = {
    [sym__string_literal_double_quotes] = STATE(566),
    [sym__string_literal_single_quotes] = STATE(566),
    [sym__string_literal_double_quotes_multiple] = STATE(566),
    [sym__string_literal_single_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_double_quotes] = STATE(566),
    [sym__raw_string_literal_single_quotes] = STATE(566),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(566),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(566),
    [sym_comment] = STATE(429),
    [sym_documentation_comment] = STATE(429),
    [aux_sym_string_literal_repeat1] = STATE(429),
    [ts_builtin_sym_end] = ACTIONS(1455),
    [anon_sym_DQUOTE] = ACTIONS(1457),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1463),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1466),
    [anon_sym_r_DQUOTE] = ACTIONS(1469),
    [anon_sym_r_SQUOTE] = ACTIONS(1472),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1475),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1455),
    [anon_sym_RBRACK] = ACTIONS(1455),
    [anon_sym_COLON] = ACTIONS(1455),
    [anon_sym_LPAREN] = ACTIONS(1455),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_QMARK_QMARK] = ACTIONS(1455),
    [anon_sym_QMARK] = ACTIONS(1481),
    [anon_sym_PIPE_PIPE] = ACTIONS(1455),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [sym_equality_operator] = ACTIONS(1455),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1455),
    [anon_sym_GT_EQ] = ACTIONS(1455),
    [anon_sym_PIPE] = ACTIONS(1481),
    [anon_sym_CARET] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_GT_GT] = ACTIONS(1481),
    [anon_sym_GT_GT_GT] = ACTIONS(1455),
    [sym__additive_operator] = ACTIONS(1455),
    [anon_sym_STAR] = ACTIONS(1455),
    [anon_sym_SLASH] = ACTIONS(1481),
    [anon_sym_PERCENT] = ACTIONS(1455),
    [anon_sym_TILDE_SLASH] = ACTIONS(1455),
    [sym__exclamation_operator] = ACTIONS(1481),
    [anon_sym_is] = ACTIONS(1455),
    [anon_sym_as] = ACTIONS(1455),
    [anon_sym_DOT] = ACTIONS(1481),
    [anon_sym_QMARK_DOT] = ACTIONS(1481),
    [anon_sym_DOT_DOT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_if] = ACTIONS(1455),
    [anon_sym_else] = ACTIONS(1455),
    [anon_sym_show] = ACTIONS(1455),
    [anon_sym_hide] = ACTIONS(1455),
    [anon_sym_deferred] = ACTIONS(1455),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [430] = {
    [sym_comment] = STATE(430),
    [sym_documentation_comment] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(1483),
    [sym_identifier] = ACTIONS(1485),
    [anon_sym_POUND] = ACTIONS(1483),
    [sym_decimal_integer_literal] = ACTIONS(1485),
    [sym_hex_integer_literal] = ACTIONS(1483),
    [sym_decimal_floating_point_literal] = ACTIONS(1485),
    [anon_sym_true] = ACTIONS(1485),
    [anon_sym_false] = ACTIONS(1485),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [anon_sym_SQUOTE] = ACTIONS(1485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1483),
    [anon_sym_r_DQUOTE] = ACTIONS(1485),
    [anon_sym_r_SQUOTE] = ACTIONS(1485),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1483),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1483),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1483),
    [anon_sym_null] = ACTIONS(1485),
    [anon_sym_throw] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [sym_increment_operator] = ACTIONS(1483),
    [sym_minus_operator] = ACTIONS(1485),
    [sym__exclamation_operator] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_await] = ACTIONS(1485),
    [anon_sym_switch] = ACTIONS(1485),
    [anon_sym_do] = ACTIONS(1485),
    [anon_sym_while] = ACTIONS(1485),
    [anon_sym_continue] = ACTIONS(1485),
    [anon_sym_yield] = ACTIONS(1485),
    [anon_sym_return] = ACTIONS(1485),
    [anon_sym_try] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(1485),
    [anon_sym_AT] = ACTIONS(1483),
    [anon_sym_enum] = ACTIONS(1485),
    [anon_sym_abstract] = ACTIONS(1485),
    [anon_sym_class] = ACTIONS(1485),
    [anon_sym_extension] = ACTIONS(1485),
    [anon_sym_super] = ACTIONS(1485),
    [sym_void_type] = ACTIONS(1485),
    [anon_sym_var] = ACTIONS(1485),
    [sym__break_builtin] = ACTIONS(1485),
    [sym__assert_builtin] = ACTIONS(1485),
    [anon_sym_covariant] = ACTIONS(1485),
    [anon_sym_Function] = ACTIONS(1485),
    [anon_sym_get] = ACTIONS(1485),
    [anon_sym_mixin] = ACTIONS(1485),
    [anon_sym_set] = ACTIONS(1485),
    [anon_sym_typedef] = ACTIONS(1485),
    [anon_sym_new] = ACTIONS(1485),
    [sym_const_builtin] = ACTIONS(1485),
    [sym_final_builtin] = ACTIONS(1485),
    [anon_sym_late] = ACTIONS(1485),
    [anon_sym_external] = ACTIONS(1485),
    [anon_sym_this] = ACTIONS(1485),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [431] = {
    [sym_comment] = STATE(431),
    [sym_documentation_comment] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1487),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_POUND] = ACTIONS(1487),
    [sym_decimal_integer_literal] = ACTIONS(1489),
    [sym_hex_integer_literal] = ACTIONS(1487),
    [sym_decimal_floating_point_literal] = ACTIONS(1489),
    [anon_sym_true] = ACTIONS(1489),
    [anon_sym_false] = ACTIONS(1489),
    [anon_sym_DQUOTE] = ACTIONS(1489),
    [anon_sym_SQUOTE] = ACTIONS(1489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1487),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1487),
    [anon_sym_r_DQUOTE] = ACTIONS(1489),
    [anon_sym_r_SQUOTE] = ACTIONS(1489),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1487),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1487),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_null] = ACTIONS(1489),
    [anon_sym_throw] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [sym_increment_operator] = ACTIONS(1487),
    [sym_minus_operator] = ACTIONS(1489),
    [sym__exclamation_operator] = ACTIONS(1487),
    [anon_sym_TILDE] = ACTIONS(1487),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_switch] = ACTIONS(1489),
    [anon_sym_do] = ACTIONS(1489),
    [anon_sym_while] = ACTIONS(1489),
    [anon_sym_continue] = ACTIONS(1489),
    [anon_sym_yield] = ACTIONS(1489),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_try] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1489),
    [anon_sym_for] = ACTIONS(1489),
    [anon_sym_AT] = ACTIONS(1487),
    [anon_sym_enum] = ACTIONS(1489),
    [anon_sym_abstract] = ACTIONS(1489),
    [anon_sym_class] = ACTIONS(1489),
    [anon_sym_extension] = ACTIONS(1489),
    [anon_sym_super] = ACTIONS(1489),
    [sym_void_type] = ACTIONS(1489),
    [anon_sym_var] = ACTIONS(1489),
    [sym__break_builtin] = ACTIONS(1489),
    [sym__assert_builtin] = ACTIONS(1489),
    [anon_sym_covariant] = ACTIONS(1489),
    [anon_sym_Function] = ACTIONS(1489),
    [anon_sym_get] = ACTIONS(1489),
    [anon_sym_mixin] = ACTIONS(1489),
    [anon_sym_set] = ACTIONS(1489),
    [anon_sym_typedef] = ACTIONS(1489),
    [anon_sym_new] = ACTIONS(1489),
    [sym_const_builtin] = ACTIONS(1489),
    [sym_final_builtin] = ACTIONS(1489),
    [anon_sym_late] = ACTIONS(1489),
    [anon_sym_external] = ACTIONS(1489),
    [anon_sym_this] = ACTIONS(1489),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [432] = {
    [sym_comment] = STATE(432),
    [sym_documentation_comment] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(1491),
    [sym_identifier] = ACTIONS(1493),
    [anon_sym_POUND] = ACTIONS(1491),
    [sym_decimal_integer_literal] = ACTIONS(1493),
    [sym_hex_integer_literal] = ACTIONS(1491),
    [sym_decimal_floating_point_literal] = ACTIONS(1493),
    [anon_sym_true] = ACTIONS(1493),
    [anon_sym_false] = ACTIONS(1493),
    [anon_sym_DQUOTE] = ACTIONS(1493),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1491),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1491),
    [anon_sym_r_DQUOTE] = ACTIONS(1493),
    [anon_sym_r_SQUOTE] = ACTIONS(1493),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1491),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1491),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_null] = ACTIONS(1493),
    [anon_sym_throw] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [sym_increment_operator] = ACTIONS(1491),
    [sym_minus_operator] = ACTIONS(1493),
    [sym__exclamation_operator] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1491),
    [anon_sym_await] = ACTIONS(1493),
    [anon_sym_switch] = ACTIONS(1493),
    [anon_sym_do] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1493),
    [anon_sym_continue] = ACTIONS(1493),
    [anon_sym_yield] = ACTIONS(1493),
    [anon_sym_return] = ACTIONS(1493),
    [anon_sym_try] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_for] = ACTIONS(1493),
    [anon_sym_AT] = ACTIONS(1491),
    [anon_sym_enum] = ACTIONS(1493),
    [anon_sym_abstract] = ACTIONS(1493),
    [anon_sym_class] = ACTIONS(1493),
    [anon_sym_extension] = ACTIONS(1493),
    [anon_sym_super] = ACTIONS(1493),
    [sym_void_type] = ACTIONS(1493),
    [anon_sym_var] = ACTIONS(1493),
    [sym__break_builtin] = ACTIONS(1493),
    [sym__assert_builtin] = ACTIONS(1493),
    [anon_sym_covariant] = ACTIONS(1493),
    [anon_sym_Function] = ACTIONS(1493),
    [anon_sym_get] = ACTIONS(1493),
    [anon_sym_mixin] = ACTIONS(1493),
    [anon_sym_set] = ACTIONS(1493),
    [anon_sym_typedef] = ACTIONS(1493),
    [anon_sym_new] = ACTIONS(1493),
    [sym_const_builtin] = ACTIONS(1493),
    [sym_final_builtin] = ACTIONS(1493),
    [anon_sym_late] = ACTIONS(1493),
    [anon_sym_external] = ACTIONS(1493),
    [anon_sym_this] = ACTIONS(1493),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [433] = {
    [sym_external_declaration] = STATE(413),
    [sym__top_level_definition] = STATE(426),
    [sym__annotation] = STATE(1278),
    [sym_marker_annotation] = STATE(1232),
    [sym_annotation] = STATE(1232),
    [sym_import_specification] = STATE(388),
    [sym_enum_declaration] = STATE(413),
    [sym_type_alias] = STATE(413),
    [sym_class_definition] = STATE(413),
    [sym_extension_declaration] = STATE(413),
    [sym__metadata] = STATE(2345),
    [sym_mixin_declaration] = STATE(413),
    [sym_getter_signature] = STATE(1872),
    [sym_setter_signature] = STATE(1872),
    [sym__final_const_var_or_type] = STATE(2581),
    [sym__type] = STATE(1821),
    [sym__type_not_function] = STATE(1568),
    [sym__type_not_void_not_function] = STATE(1606),
    [sym_function_type] = STATE(1593),
    [aux_sym__function_type_tails] = STATE(1396),
    [sym__function_type_tail] = STATE(1492),
    [sym__type_name] = STATE(1387),
    [sym__var_or_type] = STATE(2171),
    [sym_inferred_type] = STATE(1587),
    [sym_function_signature] = STATE(1857),
    [sym__covariant] = STATE(1513),
    [sym__export] = STATE(1442),
    [sym__function_builtin_identifier] = STATE(1370),
    [sym__get] = STATE(1859),
    [sym__import] = STATE(1471),
    [sym__mixin] = STATE(2558),
    [sym__set] = STATE(1894),
    [sym__typedef] = STATE(1659),
    [sym__late_builtin] = STATE(1566),
    [sym__external_builtin] = STATE(1523),
    [sym_comment] = STATE(433),
    [sym_documentation_comment] = STATE(433),
    [aux_sym__metadata_repeat1] = STATE(1683),
    [sym_identifier] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(1497),
    [anon_sym_part] = ACTIONS(1499),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_extension] = ACTIONS(93),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_library] = ACTIONS(1505),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [sym_const_builtin] = ACTIONS(129),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [434] = {
    [sym_comment] = STATE(434),
    [sym_documentation_comment] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1509),
    [anon_sym_POUND] = ACTIONS(1507),
    [sym_decimal_integer_literal] = ACTIONS(1509),
    [sym_hex_integer_literal] = ACTIONS(1507),
    [sym_decimal_floating_point_literal] = ACTIONS(1509),
    [anon_sym_true] = ACTIONS(1509),
    [anon_sym_false] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1509),
    [anon_sym_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1507),
    [anon_sym_r_DQUOTE] = ACTIONS(1509),
    [anon_sym_r_SQUOTE] = ACTIONS(1509),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1507),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_null] = ACTIONS(1509),
    [anon_sym_throw] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1507),
    [sym_increment_operator] = ACTIONS(1507),
    [sym_minus_operator] = ACTIONS(1509),
    [sym__exclamation_operator] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_await] = ACTIONS(1509),
    [anon_sym_switch] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1509),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1509),
    [anon_sym_yield] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_try] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [anon_sym_AT] = ACTIONS(1507),
    [anon_sym_enum] = ACTIONS(1509),
    [anon_sym_abstract] = ACTIONS(1509),
    [anon_sym_class] = ACTIONS(1509),
    [anon_sym_extension] = ACTIONS(1509),
    [anon_sym_super] = ACTIONS(1509),
    [sym_void_type] = ACTIONS(1509),
    [anon_sym_var] = ACTIONS(1509),
    [sym__break_builtin] = ACTIONS(1509),
    [sym__assert_builtin] = ACTIONS(1509),
    [anon_sym_covariant] = ACTIONS(1509),
    [anon_sym_Function] = ACTIONS(1509),
    [anon_sym_get] = ACTIONS(1509),
    [anon_sym_mixin] = ACTIONS(1509),
    [anon_sym_set] = ACTIONS(1509),
    [anon_sym_typedef] = ACTIONS(1509),
    [anon_sym_new] = ACTIONS(1509),
    [sym_const_builtin] = ACTIONS(1509),
    [sym_final_builtin] = ACTIONS(1509),
    [anon_sym_late] = ACTIONS(1509),
    [anon_sym_external] = ACTIONS(1509),
    [anon_sym_this] = ACTIONS(1509),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [435] = {
    [sym_comment] = STATE(435),
    [sym_documentation_comment] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(1511),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_POUND] = ACTIONS(1511),
    [sym_decimal_integer_literal] = ACTIONS(1513),
    [sym_hex_integer_literal] = ACTIONS(1511),
    [sym_decimal_floating_point_literal] = ACTIONS(1513),
    [anon_sym_true] = ACTIONS(1513),
    [anon_sym_false] = ACTIONS(1513),
    [anon_sym_DQUOTE] = ACTIONS(1513),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1511),
    [anon_sym_r_DQUOTE] = ACTIONS(1513),
    [anon_sym_r_SQUOTE] = ACTIONS(1513),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1511),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_null] = ACTIONS(1513),
    [anon_sym_throw] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [sym_increment_operator] = ACTIONS(1511),
    [sym_minus_operator] = ACTIONS(1513),
    [sym__exclamation_operator] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_await] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_yield] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_try] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_AT] = ACTIONS(1511),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_class] = ACTIONS(1513),
    [anon_sym_extension] = ACTIONS(1513),
    [anon_sym_super] = ACTIONS(1513),
    [sym_void_type] = ACTIONS(1513),
    [anon_sym_var] = ACTIONS(1513),
    [sym__break_builtin] = ACTIONS(1513),
    [sym__assert_builtin] = ACTIONS(1513),
    [anon_sym_covariant] = ACTIONS(1513),
    [anon_sym_Function] = ACTIONS(1513),
    [anon_sym_get] = ACTIONS(1513),
    [anon_sym_mixin] = ACTIONS(1513),
    [anon_sym_set] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_new] = ACTIONS(1513),
    [sym_const_builtin] = ACTIONS(1513),
    [sym_final_builtin] = ACTIONS(1513),
    [anon_sym_late] = ACTIONS(1513),
    [anon_sym_external] = ACTIONS(1513),
    [anon_sym_this] = ACTIONS(1513),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [436] = {
    [sym_comment] = STATE(436),
    [sym_documentation_comment] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1517),
    [anon_sym_POUND] = ACTIONS(1515),
    [sym_decimal_integer_literal] = ACTIONS(1517),
    [sym_hex_integer_literal] = ACTIONS(1515),
    [sym_decimal_floating_point_literal] = ACTIONS(1517),
    [anon_sym_true] = ACTIONS(1517),
    [anon_sym_false] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [anon_sym_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1515),
    [anon_sym_r_DQUOTE] = ACTIONS(1517),
    [anon_sym_r_SQUOTE] = ACTIONS(1517),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1515),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_null] = ACTIONS(1517),
    [anon_sym_throw] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1515),
    [anon_sym_LT] = ACTIONS(1515),
    [sym_increment_operator] = ACTIONS(1515),
    [sym_minus_operator] = ACTIONS(1517),
    [sym__exclamation_operator] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_await] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_yield] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_abstract] = ACTIONS(1517),
    [anon_sym_class] = ACTIONS(1517),
    [anon_sym_extension] = ACTIONS(1517),
    [anon_sym_super] = ACTIONS(1517),
    [sym_void_type] = ACTIONS(1517),
    [anon_sym_var] = ACTIONS(1517),
    [sym__break_builtin] = ACTIONS(1517),
    [sym__assert_builtin] = ACTIONS(1517),
    [anon_sym_covariant] = ACTIONS(1517),
    [anon_sym_Function] = ACTIONS(1517),
    [anon_sym_get] = ACTIONS(1517),
    [anon_sym_mixin] = ACTIONS(1517),
    [anon_sym_set] = ACTIONS(1517),
    [anon_sym_typedef] = ACTIONS(1517),
    [anon_sym_new] = ACTIONS(1517),
    [sym_const_builtin] = ACTIONS(1517),
    [sym_final_builtin] = ACTIONS(1517),
    [anon_sym_late] = ACTIONS(1517),
    [anon_sym_external] = ACTIONS(1517),
    [anon_sym_this] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [437] = {
    [sym_comment] = STATE(437),
    [sym_documentation_comment] = STATE(437),
    [ts_builtin_sym_end] = ACTIONS(1519),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_POUND] = ACTIONS(1519),
    [sym_decimal_integer_literal] = ACTIONS(1521),
    [sym_hex_integer_literal] = ACTIONS(1519),
    [sym_decimal_floating_point_literal] = ACTIONS(1521),
    [anon_sym_true] = ACTIONS(1521),
    [anon_sym_false] = ACTIONS(1521),
    [anon_sym_DQUOTE] = ACTIONS(1521),
    [anon_sym_SQUOTE] = ACTIONS(1521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1519),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1519),
    [anon_sym_r_DQUOTE] = ACTIONS(1521),
    [anon_sym_r_SQUOTE] = ACTIONS(1521),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1519),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1519),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1519),
    [anon_sym_null] = ACTIONS(1521),
    [anon_sym_throw] = ACTIONS(1521),
    [anon_sym_LPAREN] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1519),
    [sym_increment_operator] = ACTIONS(1519),
    [sym_minus_operator] = ACTIONS(1521),
    [sym__exclamation_operator] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1519),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_switch] = ACTIONS(1521),
    [anon_sym_do] = ACTIONS(1521),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_continue] = ACTIONS(1521),
    [anon_sym_yield] = ACTIONS(1521),
    [anon_sym_return] = ACTIONS(1521),
    [anon_sym_try] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_for] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1519),
    [anon_sym_enum] = ACTIONS(1521),
    [anon_sym_abstract] = ACTIONS(1521),
    [anon_sym_class] = ACTIONS(1521),
    [anon_sym_extension] = ACTIONS(1521),
    [anon_sym_super] = ACTIONS(1521),
    [sym_void_type] = ACTIONS(1521),
    [anon_sym_var] = ACTIONS(1521),
    [sym__break_builtin] = ACTIONS(1521),
    [sym__assert_builtin] = ACTIONS(1521),
    [anon_sym_covariant] = ACTIONS(1521),
    [anon_sym_Function] = ACTIONS(1521),
    [anon_sym_get] = ACTIONS(1521),
    [anon_sym_mixin] = ACTIONS(1521),
    [anon_sym_set] = ACTIONS(1521),
    [anon_sym_typedef] = ACTIONS(1521),
    [anon_sym_new] = ACTIONS(1521),
    [sym_const_builtin] = ACTIONS(1521),
    [sym_final_builtin] = ACTIONS(1521),
    [anon_sym_late] = ACTIONS(1521),
    [anon_sym_external] = ACTIONS(1521),
    [anon_sym_this] = ACTIONS(1521),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [438] = {
    [sym_comment] = STATE(438),
    [sym_documentation_comment] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(1523),
    [sym_identifier] = ACTIONS(1525),
    [anon_sym_POUND] = ACTIONS(1523),
    [sym_decimal_integer_literal] = ACTIONS(1525),
    [sym_hex_integer_literal] = ACTIONS(1523),
    [sym_decimal_floating_point_literal] = ACTIONS(1525),
    [anon_sym_true] = ACTIONS(1525),
    [anon_sym_false] = ACTIONS(1525),
    [anon_sym_DQUOTE] = ACTIONS(1525),
    [anon_sym_SQUOTE] = ACTIONS(1525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1523),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1523),
    [anon_sym_r_DQUOTE] = ACTIONS(1525),
    [anon_sym_r_SQUOTE] = ACTIONS(1525),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1523),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(1523),
    [anon_sym_null] = ACTIONS(1525),
    [anon_sym_throw] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1523),
    [anon_sym_LT] = ACTIONS(1523),
    [sym_increment_operator] = ACTIONS(1523),
    [sym_minus_operator] = ACTIONS(1525),
    [sym__exclamation_operator] = ACTIONS(1523),
    [anon_sym_TILDE] = ACTIONS(1523),
    [anon_sym_await] = ACTIONS(1525),
    [anon_sym_switch] = ACTIONS(1525),
    [anon_sym_do] = ACTIONS(1525),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_continue] = ACTIONS(1525),
    [anon_sym_yield] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_try] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_AT] = ACTIONS(1523),
    [anon_sym_enum] = ACTIONS(1525),
    [anon_sym_abstract] = ACTIONS(1525),
    [anon_sym_class] = ACTIONS(1525),
    [anon_sym_extension] = ACTIONS(1525),
    [anon_sym_super] = ACTIONS(1525),
    [sym_void_type] = ACTIONS(1525),
    [anon_sym_var] = ACTIONS(1525),
    [sym__break_builtin] = ACTIONS(1525),
    [sym__assert_builtin] = ACTIONS(1525),
    [anon_sym_covariant] = ACTIONS(1525),
    [anon_sym_Function] = ACTIONS(1525),
    [anon_sym_get] = ACTIONS(1525),
    [anon_sym_mixin] = ACTIONS(1525),
    [anon_sym_set] = ACTIONS(1525),
    [anon_sym_typedef] = ACTIONS(1525),
    [anon_sym_new] = ACTIONS(1525),
    [sym_const_builtin] = ACTIONS(1525),
    [sym_final_builtin] = ACTIONS(1525),
    [anon_sym_late] = ACTIONS(1525),
    [anon_sym_external] = ACTIONS(1525),
    [anon_sym_this] = ACTIONS(1525),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [439] = {
    [sym_comment] = STATE(439),
    [sym_documentation_comment] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(1527),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_POUND] = ACTIONS(1527),
    [sym_decimal_integer_literal] = ACTIONS(1529),
    [sym_hex_integer_literal] = ACTIONS(1527),
    [sym_decimal_floating_point_literal] = ACTIONS(1529),
    [anon_sym_true] = ACTIONS(1529),
    [anon_sym_false] = ACTIONS(1529),
    [anon_sym_DQUOTE] = ACTIONS(1529),
    [anon_sym_SQUOTE] = ACTIONS(1529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1527),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1527),
    [anon_sym_r_DQUOTE] = ACTIONS(1529),
    [anon_sym_r_SQUOTE] = ACTIONS(1529),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1527),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(1527),
    [anon_sym_null] = ACTIONS(1529),
    [anon_sym_throw] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(1527),
    [anon_sym_LT] = ACTIONS(1527),
    [sym_increment_operator] = ACTIONS(1527),
    [sym_minus_operator] = ACTIONS(1529),
    [sym__exclamation_operator] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_switch] = ACTIONS(1529),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_try] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [anon_sym_AT] = ACTIONS(1527),
    [anon_sym_enum] = ACTIONS(1529),
    [anon_sym_abstract] = ACTIONS(1529),
    [anon_sym_class] = ACTIONS(1529),
    [anon_sym_extension] = ACTIONS(1529),
    [anon_sym_super] = ACTIONS(1529),
    [sym_void_type] = ACTIONS(1529),
    [anon_sym_var] = ACTIONS(1529),
    [sym__break_builtin] = ACTIONS(1529),
    [sym__assert_builtin] = ACTIONS(1529),
    [anon_sym_covariant] = ACTIONS(1529),
    [anon_sym_Function] = ACTIONS(1529),
    [anon_sym_get] = ACTIONS(1529),
    [anon_sym_mixin] = ACTIONS(1529),
    [anon_sym_set] = ACTIONS(1529),
    [anon_sym_typedef] = ACTIONS(1529),
    [anon_sym_new] = ACTIONS(1529),
    [sym_const_builtin] = ACTIONS(1529),
    [sym_final_builtin] = ACTIONS(1529),
    [anon_sym_late] = ACTIONS(1529),
    [anon_sym_external] = ACTIONS(1529),
    [anon_sym_this] = ACTIONS(1529),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [440] = {
    [sym_comment] = STATE(440),
    [sym_documentation_comment] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(1531),
    [sym_identifier] = ACTIONS(1533),
    [anon_sym_POUND] = ACTIONS(1531),
    [sym_decimal_integer_literal] = ACTIONS(1533),
    [sym_hex_integer_literal] = ACTIONS(1531),
    [sym_decimal_floating_point_literal] = ACTIONS(1533),
    [anon_sym_true] = ACTIONS(1533),
    [anon_sym_false] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1533),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1531),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1531),
    [anon_sym_r_DQUOTE] = ACTIONS(1533),
    [anon_sym_r_SQUOTE] = ACTIONS(1533),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1531),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1531),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [anon_sym_null] = ACTIONS(1533),
    [anon_sym_throw] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [anon_sym_LT] = ACTIONS(1531),
    [sym_increment_operator] = ACTIONS(1531),
    [sym_minus_operator] = ACTIONS(1533),
    [sym__exclamation_operator] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_await] = ACTIONS(1533),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_do] = ACTIONS(1533),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1533),
    [anon_sym_yield] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_AT] = ACTIONS(1531),
    [anon_sym_enum] = ACTIONS(1533),
    [anon_sym_abstract] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(1533),
    [anon_sym_extension] = ACTIONS(1533),
    [anon_sym_super] = ACTIONS(1533),
    [sym_void_type] = ACTIONS(1533),
    [anon_sym_var] = ACTIONS(1533),
    [sym__break_builtin] = ACTIONS(1533),
    [sym__assert_builtin] = ACTIONS(1533),
    [anon_sym_covariant] = ACTIONS(1533),
    [anon_sym_Function] = ACTIONS(1533),
    [anon_sym_get] = ACTIONS(1533),
    [anon_sym_mixin] = ACTIONS(1533),
    [anon_sym_set] = ACTIONS(1533),
    [anon_sym_typedef] = ACTIONS(1533),
    [anon_sym_new] = ACTIONS(1533),
    [sym_const_builtin] = ACTIONS(1533),
    [sym_final_builtin] = ACTIONS(1533),
    [anon_sym_late] = ACTIONS(1533),
    [anon_sym_external] = ACTIONS(1533),
    [anon_sym_this] = ACTIONS(1533),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [441] = {
    [sym_comment] = STATE(441),
    [sym_documentation_comment] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(1535),
    [sym_identifier] = ACTIONS(1537),
    [anon_sym_POUND] = ACTIONS(1535),
    [sym_decimal_integer_literal] = ACTIONS(1537),
    [sym_hex_integer_literal] = ACTIONS(1535),
    [sym_decimal_floating_point_literal] = ACTIONS(1537),
    [anon_sym_true] = ACTIONS(1537),
    [anon_sym_false] = ACTIONS(1537),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [anon_sym_SQUOTE] = ACTIONS(1537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1535),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1535),
    [anon_sym_r_DQUOTE] = ACTIONS(1537),
    [anon_sym_r_SQUOTE] = ACTIONS(1537),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1535),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_null] = ACTIONS(1537),
    [anon_sym_throw] = ACTIONS(1537),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [anon_sym_LT] = ACTIONS(1535),
    [sym_increment_operator] = ACTIONS(1535),
    [sym_minus_operator] = ACTIONS(1537),
    [sym__exclamation_operator] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_await] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_yield] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_try] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_AT] = ACTIONS(1535),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_abstract] = ACTIONS(1537),
    [anon_sym_class] = ACTIONS(1537),
    [anon_sym_extension] = ACTIONS(1537),
    [anon_sym_super] = ACTIONS(1537),
    [sym_void_type] = ACTIONS(1537),
    [anon_sym_var] = ACTIONS(1537),
    [sym__break_builtin] = ACTIONS(1537),
    [sym__assert_builtin] = ACTIONS(1537),
    [anon_sym_covariant] = ACTIONS(1537),
    [anon_sym_Function] = ACTIONS(1537),
    [anon_sym_get] = ACTIONS(1537),
    [anon_sym_mixin] = ACTIONS(1537),
    [anon_sym_set] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_new] = ACTIONS(1537),
    [sym_const_builtin] = ACTIONS(1537),
    [sym_final_builtin] = ACTIONS(1537),
    [anon_sym_late] = ACTIONS(1537),
    [anon_sym_external] = ACTIONS(1537),
    [anon_sym_this] = ACTIONS(1537),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [sym_documentation_comment] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1539),
    [sym_identifier] = ACTIONS(1541),
    [anon_sym_POUND] = ACTIONS(1539),
    [sym_decimal_integer_literal] = ACTIONS(1541),
    [sym_hex_integer_literal] = ACTIONS(1539),
    [sym_decimal_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1541),
    [anon_sym_false] = ACTIONS(1541),
    [anon_sym_DQUOTE] = ACTIONS(1541),
    [anon_sym_SQUOTE] = ACTIONS(1541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1539),
    [anon_sym_r_DQUOTE] = ACTIONS(1541),
    [anon_sym_r_SQUOTE] = ACTIONS(1541),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1539),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_null] = ACTIONS(1541),
    [anon_sym_throw] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1539),
    [sym_increment_operator] = ACTIONS(1539),
    [sym_minus_operator] = ACTIONS(1541),
    [sym__exclamation_operator] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_await] = ACTIONS(1541),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_try] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_AT] = ACTIONS(1539),
    [anon_sym_enum] = ACTIONS(1541),
    [anon_sym_abstract] = ACTIONS(1541),
    [anon_sym_class] = ACTIONS(1541),
    [anon_sym_extension] = ACTIONS(1541),
    [anon_sym_super] = ACTIONS(1541),
    [sym_void_type] = ACTIONS(1541),
    [anon_sym_var] = ACTIONS(1541),
    [sym__break_builtin] = ACTIONS(1541),
    [sym__assert_builtin] = ACTIONS(1541),
    [anon_sym_covariant] = ACTIONS(1541),
    [anon_sym_Function] = ACTIONS(1541),
    [anon_sym_get] = ACTIONS(1541),
    [anon_sym_mixin] = ACTIONS(1541),
    [anon_sym_set] = ACTIONS(1541),
    [anon_sym_typedef] = ACTIONS(1541),
    [anon_sym_new] = ACTIONS(1541),
    [sym_const_builtin] = ACTIONS(1541),
    [sym_final_builtin] = ACTIONS(1541),
    [anon_sym_late] = ACTIONS(1541),
    [anon_sym_external] = ACTIONS(1541),
    [anon_sym_this] = ACTIONS(1541),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [sym_documentation_comment] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1543),
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_POUND] = ACTIONS(1543),
    [sym_decimal_integer_literal] = ACTIONS(1545),
    [sym_hex_integer_literal] = ACTIONS(1543),
    [sym_decimal_floating_point_literal] = ACTIONS(1545),
    [anon_sym_true] = ACTIONS(1545),
    [anon_sym_false] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1543),
    [anon_sym_r_DQUOTE] = ACTIONS(1545),
    [anon_sym_r_SQUOTE] = ACTIONS(1545),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1543),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_null] = ACTIONS(1545),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1543),
    [sym_increment_operator] = ACTIONS(1543),
    [sym_minus_operator] = ACTIONS(1545),
    [sym__exclamation_operator] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_await] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_try] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_AT] = ACTIONS(1543),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_abstract] = ACTIONS(1545),
    [anon_sym_class] = ACTIONS(1545),
    [anon_sym_extension] = ACTIONS(1545),
    [anon_sym_super] = ACTIONS(1545),
    [sym_void_type] = ACTIONS(1545),
    [anon_sym_var] = ACTIONS(1545),
    [sym__break_builtin] = ACTIONS(1545),
    [sym__assert_builtin] = ACTIONS(1545),
    [anon_sym_covariant] = ACTIONS(1545),
    [anon_sym_Function] = ACTIONS(1545),
    [anon_sym_get] = ACTIONS(1545),
    [anon_sym_mixin] = ACTIONS(1545),
    [anon_sym_set] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(1545),
    [sym_const_builtin] = ACTIONS(1545),
    [sym_final_builtin] = ACTIONS(1545),
    [anon_sym_late] = ACTIONS(1545),
    [anon_sym_external] = ACTIONS(1545),
    [anon_sym_this] = ACTIONS(1545),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [sym_documentation_comment] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_POUND] = ACTIONS(1547),
    [sym_decimal_integer_literal] = ACTIONS(1549),
    [sym_hex_integer_literal] = ACTIONS(1547),
    [sym_decimal_floating_point_literal] = ACTIONS(1549),
    [anon_sym_true] = ACTIONS(1549),
    [anon_sym_false] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1547),
    [anon_sym_r_DQUOTE] = ACTIONS(1549),
    [anon_sym_r_SQUOTE] = ACTIONS(1549),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1547),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1547),
    [anon_sym_null] = ACTIONS(1549),
    [anon_sym_throw] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1547),
    [sym_increment_operator] = ACTIONS(1547),
    [sym_minus_operator] = ACTIONS(1549),
    [sym__exclamation_operator] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_await] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_yield] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_try] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_AT] = ACTIONS(1547),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_abstract] = ACTIONS(1549),
    [anon_sym_class] = ACTIONS(1549),
    [anon_sym_extension] = ACTIONS(1549),
    [anon_sym_super] = ACTIONS(1549),
    [sym_void_type] = ACTIONS(1549),
    [anon_sym_var] = ACTIONS(1549),
    [sym__break_builtin] = ACTIONS(1549),
    [sym__assert_builtin] = ACTIONS(1549),
    [anon_sym_covariant] = ACTIONS(1549),
    [anon_sym_Function] = ACTIONS(1549),
    [anon_sym_get] = ACTIONS(1549),
    [anon_sym_mixin] = ACTIONS(1549),
    [anon_sym_set] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1549),
    [sym_const_builtin] = ACTIONS(1549),
    [sym_final_builtin] = ACTIONS(1549),
    [anon_sym_late] = ACTIONS(1549),
    [anon_sym_external] = ACTIONS(1549),
    [anon_sym_this] = ACTIONS(1549),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [sym_documentation_comment] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_POUND] = ACTIONS(1551),
    [sym_decimal_integer_literal] = ACTIONS(1553),
    [sym_hex_integer_literal] = ACTIONS(1551),
    [sym_decimal_floating_point_literal] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DQUOTE] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1551),
    [anon_sym_r_DQUOTE] = ACTIONS(1553),
    [anon_sym_r_SQUOTE] = ACTIONS(1553),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1551),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_null] = ACTIONS(1553),
    [anon_sym_throw] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [sym_increment_operator] = ACTIONS(1551),
    [sym_minus_operator] = ACTIONS(1553),
    [sym__exclamation_operator] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_AT] = ACTIONS(1551),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_abstract] = ACTIONS(1553),
    [anon_sym_class] = ACTIONS(1553),
    [anon_sym_extension] = ACTIONS(1553),
    [anon_sym_super] = ACTIONS(1553),
    [sym_void_type] = ACTIONS(1553),
    [anon_sym_var] = ACTIONS(1553),
    [sym__break_builtin] = ACTIONS(1553),
    [sym__assert_builtin] = ACTIONS(1553),
    [anon_sym_covariant] = ACTIONS(1553),
    [anon_sym_Function] = ACTIONS(1553),
    [anon_sym_get] = ACTIONS(1553),
    [anon_sym_mixin] = ACTIONS(1553),
    [anon_sym_set] = ACTIONS(1553),
    [anon_sym_typedef] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1553),
    [sym_const_builtin] = ACTIONS(1553),
    [sym_final_builtin] = ACTIONS(1553),
    [anon_sym_late] = ACTIONS(1553),
    [anon_sym_external] = ACTIONS(1553),
    [anon_sym_this] = ACTIONS(1553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [446] = {
    [sym_comment] = STATE(446),
    [sym_documentation_comment] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_POUND] = ACTIONS(1555),
    [sym_decimal_integer_literal] = ACTIONS(1557),
    [sym_hex_integer_literal] = ACTIONS(1555),
    [sym_decimal_floating_point_literal] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1557),
    [anon_sym_false] = ACTIONS(1557),
    [anon_sym_DQUOTE] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1555),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1555),
    [anon_sym_r_DQUOTE] = ACTIONS(1557),
    [anon_sym_r_SQUOTE] = ACTIONS(1557),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1555),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_null] = ACTIONS(1557),
    [anon_sym_throw] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1555),
    [sym_increment_operator] = ACTIONS(1555),
    [sym_minus_operator] = ACTIONS(1557),
    [sym__exclamation_operator] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_await] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_yield] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_try] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_AT] = ACTIONS(1555),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_abstract] = ACTIONS(1557),
    [anon_sym_class] = ACTIONS(1557),
    [anon_sym_extension] = ACTIONS(1557),
    [anon_sym_super] = ACTIONS(1557),
    [sym_void_type] = ACTIONS(1557),
    [anon_sym_var] = ACTIONS(1557),
    [sym__break_builtin] = ACTIONS(1557),
    [sym__assert_builtin] = ACTIONS(1557),
    [anon_sym_covariant] = ACTIONS(1557),
    [anon_sym_Function] = ACTIONS(1557),
    [anon_sym_get] = ACTIONS(1557),
    [anon_sym_mixin] = ACTIONS(1557),
    [anon_sym_set] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(1557),
    [anon_sym_new] = ACTIONS(1557),
    [sym_const_builtin] = ACTIONS(1557),
    [sym_final_builtin] = ACTIONS(1557),
    [anon_sym_late] = ACTIONS(1557),
    [anon_sym_external] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1557),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [447] = {
    [sym__cascade_subsection] = STATE(540),
    [sym_index_selector] = STATE(538),
    [sym_unconditional_assignable_selector] = STATE(533),
    [sym_conditional_assignable_selector] = STATE(533),
    [sym__assignable_selector] = STATE(467),
    [sym__nullable_type] = STATE(2382),
    [sym_comment] = STATE(447),
    [sym_documentation_comment] = STATE(447),
    [aux_sym_cascade_section_repeat2] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_LBRACK] = ACTIONS(1561),
    [anon_sym_COMMA] = ACTIONS(1559),
    [anon_sym_RBRACK] = ACTIONS(1559),
    [anon_sym_COLON] = ACTIONS(1559),
    [anon_sym_EQ] = ACTIONS(1564),
    [anon_sym_PLUS_EQ] = ACTIONS(1559),
    [anon_sym_DASH_EQ] = ACTIONS(1559),
    [anon_sym_STAR_EQ] = ACTIONS(1559),
    [anon_sym_SLASH_EQ] = ACTIONS(1559),
    [anon_sym_PERCENT_EQ] = ACTIONS(1559),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1559),
    [anon_sym_LT_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT_GT_EQ] = ACTIONS(1559),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1559),
    [anon_sym_AMP_EQ] = ACTIONS(1559),
    [anon_sym_CARET_EQ] = ACTIONS(1559),
    [anon_sym_PIPE_EQ] = ACTIONS(1559),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1559),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_RPAREN] = ACTIONS(1559),
    [anon_sym_QMARK_QMARK] = ACTIONS(1564),
    [anon_sym_QMARK] = ACTIONS(1566),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [sym_equality_operator] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1564),
    [anon_sym_GT] = ACTIONS(1564),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_PIPE] = ACTIONS(1564),
    [anon_sym_CARET] = ACTIONS(1564),
    [anon_sym_AMP] = ACTIONS(1564),
    [anon_sym_LT_LT] = ACTIONS(1564),
    [anon_sym_GT_GT] = ACTIONS(1564),
    [anon_sym_GT_GT_GT] = ACTIONS(1564),
    [sym__additive_operator] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1564),
    [anon_sym_SLASH] = ACTIONS(1564),
    [anon_sym_PERCENT] = ACTIONS(1564),
    [anon_sym_TILDE_SLASH] = ACTIONS(1564),
    [sym__exclamation_operator] = ACTIONS(1564),
    [anon_sym_is] = ACTIONS(1559),
    [anon_sym_as] = ACTIONS(1559),
    [anon_sym_DOT] = ACTIONS(1569),
    [anon_sym_QMARK_DOT] = ACTIONS(1572),
    [anon_sym_DOT_DOT] = ACTIONS(1559),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1559),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_else] = ACTIONS(1559),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [sym_documentation_comment] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1575),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_POUND] = ACTIONS(1575),
    [sym_decimal_integer_literal] = ACTIONS(1577),
    [sym_hex_integer_literal] = ACTIONS(1575),
    [sym_decimal_floating_point_literal] = ACTIONS(1577),
    [anon_sym_true] = ACTIONS(1577),
    [anon_sym_false] = ACTIONS(1577),
    [anon_sym_DQUOTE] = ACTIONS(1577),
    [anon_sym_SQUOTE] = ACTIONS(1577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1575),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1575),
    [anon_sym_r_DQUOTE] = ACTIONS(1577),
    [anon_sym_r_SQUOTE] = ACTIONS(1577),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1575),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1575),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_LBRACK] = ACTIONS(1575),
    [anon_sym_null] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1575),
    [anon_sym_LT] = ACTIONS(1575),
    [sym_increment_operator] = ACTIONS(1575),
    [sym_minus_operator] = ACTIONS(1577),
    [sym__exclamation_operator] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_await] = ACTIONS(1577),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [anon_sym_yield] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_try] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_AT] = ACTIONS(1575),
    [anon_sym_enum] = ACTIONS(1577),
    [anon_sym_abstract] = ACTIONS(1577),
    [anon_sym_class] = ACTIONS(1577),
    [anon_sym_extension] = ACTIONS(1577),
    [anon_sym_super] = ACTIONS(1577),
    [sym_void_type] = ACTIONS(1577),
    [anon_sym_var] = ACTIONS(1577),
    [sym__break_builtin] = ACTIONS(1577),
    [sym__assert_builtin] = ACTIONS(1577),
    [anon_sym_covariant] = ACTIONS(1577),
    [anon_sym_Function] = ACTIONS(1577),
    [anon_sym_get] = ACTIONS(1577),
    [anon_sym_mixin] = ACTIONS(1577),
    [anon_sym_set] = ACTIONS(1577),
    [anon_sym_typedef] = ACTIONS(1577),
    [anon_sym_new] = ACTIONS(1577),
    [sym_const_builtin] = ACTIONS(1577),
    [sym_final_builtin] = ACTIONS(1577),
    [anon_sym_late] = ACTIONS(1577),
    [anon_sym_external] = ACTIONS(1577),
    [anon_sym_this] = ACTIONS(1577),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [sym_documentation_comment] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1579),
    [sym_identifier] = ACTIONS(1581),
    [anon_sym_POUND] = ACTIONS(1579),
    [sym_decimal_integer_literal] = ACTIONS(1581),
    [sym_hex_integer_literal] = ACTIONS(1579),
    [sym_decimal_floating_point_literal] = ACTIONS(1581),
    [anon_sym_true] = ACTIONS(1581),
    [anon_sym_false] = ACTIONS(1581),
    [anon_sym_DQUOTE] = ACTIONS(1581),
    [anon_sym_SQUOTE] = ACTIONS(1581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1579),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1579),
    [anon_sym_r_DQUOTE] = ACTIONS(1581),
    [anon_sym_r_SQUOTE] = ACTIONS(1581),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1579),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1579),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_LBRACK] = ACTIONS(1579),
    [anon_sym_null] = ACTIONS(1581),
    [anon_sym_throw] = ACTIONS(1581),
    [anon_sym_LPAREN] = ACTIONS(1579),
    [anon_sym_LT] = ACTIONS(1579),
    [sym_increment_operator] = ACTIONS(1579),
    [sym_minus_operator] = ACTIONS(1581),
    [sym__exclamation_operator] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_try] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_AT] = ACTIONS(1579),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_abstract] = ACTIONS(1581),
    [anon_sym_class] = ACTIONS(1581),
    [anon_sym_extension] = ACTIONS(1581),
    [anon_sym_super] = ACTIONS(1581),
    [sym_void_type] = ACTIONS(1581),
    [anon_sym_var] = ACTIONS(1581),
    [sym__break_builtin] = ACTIONS(1581),
    [sym__assert_builtin] = ACTIONS(1581),
    [anon_sym_covariant] = ACTIONS(1581),
    [anon_sym_Function] = ACTIONS(1581),
    [anon_sym_get] = ACTIONS(1581),
    [anon_sym_mixin] = ACTIONS(1581),
    [anon_sym_set] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_new] = ACTIONS(1581),
    [sym_const_builtin] = ACTIONS(1581),
    [sym_final_builtin] = ACTIONS(1581),
    [anon_sym_late] = ACTIONS(1581),
    [anon_sym_external] = ACTIONS(1581),
    [anon_sym_this] = ACTIONS(1581),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_documentation_comment] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_POUND] = ACTIONS(1583),
    [sym_decimal_integer_literal] = ACTIONS(1585),
    [sym_hex_integer_literal] = ACTIONS(1583),
    [sym_decimal_floating_point_literal] = ACTIONS(1585),
    [anon_sym_true] = ACTIONS(1585),
    [anon_sym_false] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1585),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1583),
    [anon_sym_r_DQUOTE] = ACTIONS(1585),
    [anon_sym_r_SQUOTE] = ACTIONS(1585),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1583),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_LBRACK] = ACTIONS(1583),
    [anon_sym_null] = ACTIONS(1585),
    [anon_sym_throw] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_LT] = ACTIONS(1583),
    [sym_increment_operator] = ACTIONS(1583),
    [sym_minus_operator] = ACTIONS(1585),
    [sym__exclamation_operator] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_await] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_yield] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_try] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_AT] = ACTIONS(1583),
    [anon_sym_enum] = ACTIONS(1585),
    [anon_sym_abstract] = ACTIONS(1585),
    [anon_sym_class] = ACTIONS(1585),
    [anon_sym_extension] = ACTIONS(1585),
    [anon_sym_super] = ACTIONS(1585),
    [sym_void_type] = ACTIONS(1585),
    [anon_sym_var] = ACTIONS(1585),
    [sym__break_builtin] = ACTIONS(1585),
    [sym__assert_builtin] = ACTIONS(1585),
    [anon_sym_covariant] = ACTIONS(1585),
    [anon_sym_Function] = ACTIONS(1585),
    [anon_sym_get] = ACTIONS(1585),
    [anon_sym_mixin] = ACTIONS(1585),
    [anon_sym_set] = ACTIONS(1585),
    [anon_sym_typedef] = ACTIONS(1585),
    [anon_sym_new] = ACTIONS(1585),
    [sym_const_builtin] = ACTIONS(1585),
    [sym_final_builtin] = ACTIONS(1585),
    [anon_sym_late] = ACTIONS(1585),
    [anon_sym_external] = ACTIONS(1585),
    [anon_sym_this] = ACTIONS(1585),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [sym_documentation_comment] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1587),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_POUND] = ACTIONS(1587),
    [sym_decimal_integer_literal] = ACTIONS(1589),
    [sym_hex_integer_literal] = ACTIONS(1587),
    [sym_decimal_floating_point_literal] = ACTIONS(1589),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [anon_sym_SQUOTE] = ACTIONS(1589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1587),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1587),
    [anon_sym_r_DQUOTE] = ACTIONS(1589),
    [anon_sym_r_SQUOTE] = ACTIONS(1589),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1587),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_null] = ACTIONS(1589),
    [anon_sym_throw] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_LT] = ACTIONS(1587),
    [sym_increment_operator] = ACTIONS(1587),
    [sym_minus_operator] = ACTIONS(1589),
    [sym__exclamation_operator] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_await] = ACTIONS(1589),
    [anon_sym_switch] = ACTIONS(1589),
    [anon_sym_do] = ACTIONS(1589),
    [anon_sym_while] = ACTIONS(1589),
    [anon_sym_continue] = ACTIONS(1589),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_return] = ACTIONS(1589),
    [anon_sym_try] = ACTIONS(1589),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_for] = ACTIONS(1589),
    [anon_sym_AT] = ACTIONS(1587),
    [anon_sym_enum] = ACTIONS(1589),
    [anon_sym_abstract] = ACTIONS(1589),
    [anon_sym_class] = ACTIONS(1589),
    [anon_sym_extension] = ACTIONS(1589),
    [anon_sym_super] = ACTIONS(1589),
    [sym_void_type] = ACTIONS(1589),
    [anon_sym_var] = ACTIONS(1589),
    [sym__break_builtin] = ACTIONS(1589),
    [sym__assert_builtin] = ACTIONS(1589),
    [anon_sym_covariant] = ACTIONS(1589),
    [anon_sym_Function] = ACTIONS(1589),
    [anon_sym_get] = ACTIONS(1589),
    [anon_sym_mixin] = ACTIONS(1589),
    [anon_sym_set] = ACTIONS(1589),
    [anon_sym_typedef] = ACTIONS(1589),
    [anon_sym_new] = ACTIONS(1589),
    [sym_const_builtin] = ACTIONS(1589),
    [sym_final_builtin] = ACTIONS(1589),
    [anon_sym_late] = ACTIONS(1589),
    [anon_sym_external] = ACTIONS(1589),
    [anon_sym_this] = ACTIONS(1589),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [sym_documentation_comment] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1591),
    [sym_identifier] = ACTIONS(1593),
    [anon_sym_POUND] = ACTIONS(1591),
    [sym_decimal_integer_literal] = ACTIONS(1593),
    [sym_hex_integer_literal] = ACTIONS(1591),
    [sym_decimal_floating_point_literal] = ACTIONS(1593),
    [anon_sym_true] = ACTIONS(1593),
    [anon_sym_false] = ACTIONS(1593),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [anon_sym_SQUOTE] = ACTIONS(1593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1591),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1591),
    [anon_sym_r_DQUOTE] = ACTIONS(1593),
    [anon_sym_r_SQUOTE] = ACTIONS(1593),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1591),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_null] = ACTIONS(1593),
    [anon_sym_throw] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(1591),
    [sym_increment_operator] = ACTIONS(1591),
    [sym_minus_operator] = ACTIONS(1593),
    [sym__exclamation_operator] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_await] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_do] = ACTIONS(1593),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_continue] = ACTIONS(1593),
    [anon_sym_yield] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_try] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_AT] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1593),
    [anon_sym_abstract] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(1593),
    [anon_sym_extension] = ACTIONS(1593),
    [anon_sym_super] = ACTIONS(1593),
    [sym_void_type] = ACTIONS(1593),
    [anon_sym_var] = ACTIONS(1593),
    [sym__break_builtin] = ACTIONS(1593),
    [sym__assert_builtin] = ACTIONS(1593),
    [anon_sym_covariant] = ACTIONS(1593),
    [anon_sym_Function] = ACTIONS(1593),
    [anon_sym_get] = ACTIONS(1593),
    [anon_sym_mixin] = ACTIONS(1593),
    [anon_sym_set] = ACTIONS(1593),
    [anon_sym_typedef] = ACTIONS(1593),
    [anon_sym_new] = ACTIONS(1593),
    [sym_const_builtin] = ACTIONS(1593),
    [sym_final_builtin] = ACTIONS(1593),
    [anon_sym_late] = ACTIONS(1593),
    [anon_sym_external] = ACTIONS(1593),
    [anon_sym_this] = ACTIONS(1593),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [453] = {
    [sym_comment] = STATE(453),
    [sym_documentation_comment] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1595),
    [sym_identifier] = ACTIONS(1597),
    [anon_sym_POUND] = ACTIONS(1595),
    [sym_decimal_integer_literal] = ACTIONS(1597),
    [sym_hex_integer_literal] = ACTIONS(1595),
    [sym_decimal_floating_point_literal] = ACTIONS(1597),
    [anon_sym_true] = ACTIONS(1597),
    [anon_sym_false] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1597),
    [anon_sym_SQUOTE] = ACTIONS(1597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1595),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1595),
    [anon_sym_r_DQUOTE] = ACTIONS(1597),
    [anon_sym_r_SQUOTE] = ACTIONS(1597),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1595),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_null] = ACTIONS(1597),
    [anon_sym_throw] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1595),
    [anon_sym_LT] = ACTIONS(1595),
    [sym_increment_operator] = ACTIONS(1595),
    [sym_minus_operator] = ACTIONS(1597),
    [sym__exclamation_operator] = ACTIONS(1595),
    [anon_sym_TILDE] = ACTIONS(1595),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_switch] = ACTIONS(1597),
    [anon_sym_do] = ACTIONS(1597),
    [anon_sym_while] = ACTIONS(1597),
    [anon_sym_continue] = ACTIONS(1597),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_return] = ACTIONS(1597),
    [anon_sym_try] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1597),
    [anon_sym_for] = ACTIONS(1597),
    [anon_sym_AT] = ACTIONS(1595),
    [anon_sym_enum] = ACTIONS(1597),
    [anon_sym_abstract] = ACTIONS(1597),
    [anon_sym_class] = ACTIONS(1597),
    [anon_sym_extension] = ACTIONS(1597),
    [anon_sym_super] = ACTIONS(1597),
    [sym_void_type] = ACTIONS(1597),
    [anon_sym_var] = ACTIONS(1597),
    [sym__break_builtin] = ACTIONS(1597),
    [sym__assert_builtin] = ACTIONS(1597),
    [anon_sym_covariant] = ACTIONS(1597),
    [anon_sym_Function] = ACTIONS(1597),
    [anon_sym_get] = ACTIONS(1597),
    [anon_sym_mixin] = ACTIONS(1597),
    [anon_sym_set] = ACTIONS(1597),
    [anon_sym_typedef] = ACTIONS(1597),
    [anon_sym_new] = ACTIONS(1597),
    [sym_const_builtin] = ACTIONS(1597),
    [sym_final_builtin] = ACTIONS(1597),
    [anon_sym_late] = ACTIONS(1597),
    [anon_sym_external] = ACTIONS(1597),
    [anon_sym_this] = ACTIONS(1597),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_documentation_comment] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1599),
    [sym_identifier] = ACTIONS(1601),
    [anon_sym_POUND] = ACTIONS(1599),
    [sym_decimal_integer_literal] = ACTIONS(1601),
    [sym_hex_integer_literal] = ACTIONS(1599),
    [sym_decimal_floating_point_literal] = ACTIONS(1601),
    [anon_sym_true] = ACTIONS(1601),
    [anon_sym_false] = ACTIONS(1601),
    [anon_sym_DQUOTE] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1599),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1599),
    [anon_sym_r_DQUOTE] = ACTIONS(1601),
    [anon_sym_r_SQUOTE] = ACTIONS(1601),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1599),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(1599),
    [anon_sym_LBRACK] = ACTIONS(1599),
    [anon_sym_null] = ACTIONS(1601),
    [anon_sym_throw] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_LT] = ACTIONS(1599),
    [sym_increment_operator] = ACTIONS(1599),
    [sym_minus_operator] = ACTIONS(1601),
    [sym__exclamation_operator] = ACTIONS(1599),
    [anon_sym_TILDE] = ACTIONS(1599),
    [anon_sym_await] = ACTIONS(1601),
    [anon_sym_switch] = ACTIONS(1601),
    [anon_sym_do] = ACTIONS(1601),
    [anon_sym_while] = ACTIONS(1601),
    [anon_sym_continue] = ACTIONS(1601),
    [anon_sym_yield] = ACTIONS(1601),
    [anon_sym_return] = ACTIONS(1601),
    [anon_sym_try] = ACTIONS(1601),
    [anon_sym_if] = ACTIONS(1601),
    [anon_sym_for] = ACTIONS(1601),
    [anon_sym_AT] = ACTIONS(1599),
    [anon_sym_enum] = ACTIONS(1601),
    [anon_sym_abstract] = ACTIONS(1601),
    [anon_sym_class] = ACTIONS(1601),
    [anon_sym_extension] = ACTIONS(1601),
    [anon_sym_super] = ACTIONS(1601),
    [sym_void_type] = ACTIONS(1601),
    [anon_sym_var] = ACTIONS(1601),
    [sym__break_builtin] = ACTIONS(1601),
    [sym__assert_builtin] = ACTIONS(1601),
    [anon_sym_covariant] = ACTIONS(1601),
    [anon_sym_Function] = ACTIONS(1601),
    [anon_sym_get] = ACTIONS(1601),
    [anon_sym_mixin] = ACTIONS(1601),
    [anon_sym_set] = ACTIONS(1601),
    [anon_sym_typedef] = ACTIONS(1601),
    [anon_sym_new] = ACTIONS(1601),
    [sym_const_builtin] = ACTIONS(1601),
    [sym_final_builtin] = ACTIONS(1601),
    [anon_sym_late] = ACTIONS(1601),
    [anon_sym_external] = ACTIONS(1601),
    [anon_sym_this] = ACTIONS(1601),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_documentation_comment] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1603),
    [sym_identifier] = ACTIONS(1606),
    [anon_sym_POUND] = ACTIONS(1603),
    [sym_decimal_integer_literal] = ACTIONS(1606),
    [sym_hex_integer_literal] = ACTIONS(1603),
    [sym_decimal_floating_point_literal] = ACTIONS(1606),
    [anon_sym_true] = ACTIONS(1606),
    [anon_sym_false] = ACTIONS(1606),
    [anon_sym_DQUOTE] = ACTIONS(1606),
    [anon_sym_SQUOTE] = ACTIONS(1606),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1603),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1603),
    [anon_sym_r_DQUOTE] = ACTIONS(1606),
    [anon_sym_r_SQUOTE] = ACTIONS(1606),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1603),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1603),
    [anon_sym_null] = ACTIONS(1606),
    [anon_sym_throw] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LT] = ACTIONS(1603),
    [sym_increment_operator] = ACTIONS(1603),
    [sym_minus_operator] = ACTIONS(1606),
    [sym__exclamation_operator] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_await] = ACTIONS(1606),
    [anon_sym_switch] = ACTIONS(1606),
    [anon_sym_do] = ACTIONS(1606),
    [anon_sym_while] = ACTIONS(1606),
    [anon_sym_continue] = ACTIONS(1606),
    [anon_sym_yield] = ACTIONS(1606),
    [anon_sym_return] = ACTIONS(1606),
    [anon_sym_try] = ACTIONS(1606),
    [anon_sym_if] = ACTIONS(1606),
    [anon_sym_for] = ACTIONS(1606),
    [anon_sym_AT] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1606),
    [anon_sym_abstract] = ACTIONS(1606),
    [anon_sym_class] = ACTIONS(1606),
    [anon_sym_extension] = ACTIONS(1606),
    [anon_sym_super] = ACTIONS(1606),
    [sym_void_type] = ACTIONS(1606),
    [anon_sym_var] = ACTIONS(1606),
    [sym__break_builtin] = ACTIONS(1606),
    [sym__assert_builtin] = ACTIONS(1606),
    [anon_sym_covariant] = ACTIONS(1606),
    [anon_sym_Function] = ACTIONS(1606),
    [anon_sym_get] = ACTIONS(1606),
    [anon_sym_mixin] = ACTIONS(1606),
    [anon_sym_set] = ACTIONS(1606),
    [anon_sym_typedef] = ACTIONS(1606),
    [anon_sym_new] = ACTIONS(1606),
    [sym_const_builtin] = ACTIONS(1606),
    [sym_final_builtin] = ACTIONS(1606),
    [anon_sym_late] = ACTIONS(1606),
    [anon_sym_external] = ACTIONS(1606),
    [anon_sym_this] = ACTIONS(1606),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1566), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1612), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK_DOT,
    STATE(473), 1,
      sym__assignable_selector,
    STATE(555), 1,
      sym__cascade_subsection,
    STATE(561), 1,
      sym_index_selector,
    STATE(2425), 1,
      sym__nullable_type,
    STATE(559), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(456), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1564), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1559), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [99] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1618), 1,
      sym_identifier,
    ACTIONS(1620), 1,
      anon_sym_POUND,
    ACTIONS(1624), 1,
      sym_hex_integer_literal,
    ACTIONS(1626), 1,
      anon_sym_true,
    ACTIONS(1628), 1,
      anon_sym_false,
    ACTIONS(1630), 1,
      anon_sym_DQUOTE,
    ACTIONS(1632), 1,
      anon_sym_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1636), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1638), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1640), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1642), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1644), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_null,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    ACTIONS(1654), 1,
      sym_const_builtin,
    ACTIONS(1656), 1,
      anon_sym_this,
    STATE(1131), 1,
      sym_assignable_expression,
    STATE(1142), 1,
      aux_sym_string_literal_repeat1,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1634), 1,
      sym__new_builtin,
    STATE(1878), 1,
      sym__formal_parameter_part,
    STATE(1937), 1,
      sym_super,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2415), 1,
      sym__type_name,
    STATE(2429), 1,
      sym_type_arguments,
    ACTIONS(1622), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(457), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1518), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(1841), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(1869), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1407), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [250] = 55,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(111), 1,
      anon_sym_export,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(117), 1,
      anon_sym_import,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1495), 1,
      sym_identifier,
    ACTIONS(1497), 1,
      anon_sym_AT,
    ACTIONS(1499), 1,
      anon_sym_part,
    ACTIONS(1501), 1,
      anon_sym_abstract,
    ACTIONS(1503), 1,
      anon_sym_class,
    STATE(388), 1,
      sym_import_specification,
    STATE(426), 1,
      sym__top_level_definition,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1442), 1,
      sym__export,
    STATE(1471), 1,
      sym__import,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1513), 1,
      sym__covariant,
    STATE(1523), 1,
      sym__external_builtin,
    STATE(1566), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1587), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1659), 1,
      sym__typedef,
    STATE(1683), 1,
      aux_sym__metadata_repeat1,
    STATE(1821), 1,
      sym__type,
    STATE(1857), 1,
      sym_function_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1894), 1,
      sym__set,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2345), 1,
      sym__metadata,
    STATE(2558), 1,
      sym__mixin,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    ACTIONS(129), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(458), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1872), 2,
      sym_getter_signature,
      sym_setter_signature,
    STATE(413), 6,
      sym_external_declaration,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [425] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1620), 1,
      anon_sym_POUND,
    ACTIONS(1624), 1,
      sym_hex_integer_literal,
    ACTIONS(1626), 1,
      anon_sym_true,
    ACTIONS(1628), 1,
      anon_sym_false,
    ACTIONS(1630), 1,
      anon_sym_DQUOTE,
    ACTIONS(1632), 1,
      anon_sym_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1636), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1638), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1640), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1642), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1644), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_null,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    ACTIONS(1654), 1,
      sym_const_builtin,
    ACTIONS(1656), 1,
      anon_sym_this,
    ACTIONS(1658), 1,
      sym_identifier,
    STATE(1026), 1,
      sym_assignable_expression,
    STATE(1142), 1,
      aux_sym_string_literal_repeat1,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1634), 1,
      sym__new_builtin,
    STATE(1878), 1,
      sym__formal_parameter_part,
    STATE(1901), 1,
      sym_super,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2415), 1,
      sym__type_name,
    STATE(2429), 1,
      sym_type_arguments,
    ACTIONS(1622), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(459), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1524), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(1841), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(1869), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1407), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [576] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1620), 1,
      anon_sym_POUND,
    ACTIONS(1624), 1,
      sym_hex_integer_literal,
    ACTIONS(1626), 1,
      anon_sym_true,
    ACTIONS(1628), 1,
      anon_sym_false,
    ACTIONS(1630), 1,
      anon_sym_DQUOTE,
    ACTIONS(1632), 1,
      anon_sym_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1636), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1638), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1640), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1642), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1644), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_null,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    ACTIONS(1654), 1,
      sym_const_builtin,
    ACTIONS(1656), 1,
      anon_sym_this,
    ACTIONS(1660), 1,
      sym_identifier,
    STATE(1103), 1,
      sym_assignable_expression,
    STATE(1142), 1,
      aux_sym_string_literal_repeat1,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1634), 1,
      sym__new_builtin,
    STATE(1878), 1,
      sym__formal_parameter_part,
    STATE(1914), 1,
      sym_super,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2415), 1,
      sym__type_name,
    STATE(2429), 1,
      sym_type_arguments,
    ACTIONS(1622), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(460), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1526), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(1841), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(1869), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1407), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [727] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1620), 1,
      anon_sym_POUND,
    ACTIONS(1624), 1,
      sym_hex_integer_literal,
    ACTIONS(1626), 1,
      anon_sym_true,
    ACTIONS(1628), 1,
      anon_sym_false,
    ACTIONS(1630), 1,
      anon_sym_DQUOTE,
    ACTIONS(1632), 1,
      anon_sym_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1636), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1638), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1640), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1642), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1644), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_null,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    ACTIONS(1654), 1,
      sym_const_builtin,
    ACTIONS(1656), 1,
      anon_sym_this,
    ACTIONS(1662), 1,
      sym_identifier,
    STATE(1142), 1,
      aux_sym_string_literal_repeat1,
    STATE(1371), 1,
      sym_assignable_expression,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1634), 1,
      sym__new_builtin,
    STATE(1878), 1,
      sym__formal_parameter_part,
    STATE(1947), 1,
      sym_super,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2415), 1,
      sym__type_name,
    STATE(2429), 1,
      sym_type_arguments,
    ACTIONS(1622), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(461), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1517), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(1841), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(1869), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1407), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [878] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1620), 1,
      anon_sym_POUND,
    ACTIONS(1624), 1,
      sym_hex_integer_literal,
    ACTIONS(1626), 1,
      anon_sym_true,
    ACTIONS(1628), 1,
      anon_sym_false,
    ACTIONS(1630), 1,
      anon_sym_DQUOTE,
    ACTIONS(1632), 1,
      anon_sym_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1636), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1638), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1640), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1642), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1644), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(1648), 1,
      anon_sym_LBRACK,
    ACTIONS(1650), 1,
      anon_sym_null,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    ACTIONS(1654), 1,
      sym_const_builtin,
    ACTIONS(1656), 1,
      anon_sym_this,
    ACTIONS(1664), 1,
      sym_identifier,
    STATE(842), 1,
      sym_assignable_expression,
    STATE(1142), 1,
      aux_sym_string_literal_repeat1,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1634), 1,
      sym__new_builtin,
    STATE(1878), 1,
      sym__formal_parameter_part,
    STATE(1920), 1,
      sym_super,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2415), 1,
      sym__type_name,
    STATE(2429), 1,
      sym_type_arguments,
    ACTIONS(1622), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(462), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1516), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(1841), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(1869), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1407), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [1029] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1322), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_QMARK,
    ACTIONS(1330), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    ACTIONS(1669), 1,
      anon_sym_EQ,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1777), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    ACTIONS(1666), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(463), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(1314), 9,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1325), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [1135] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1322), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_QMARK,
    ACTIONS(1330), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    ACTIONS(1669), 1,
      anon_sym_EQ,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1777), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(464), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1666), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1316), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(1314), 8,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1325), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [1241] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1318), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_QMARK,
    ACTIONS(1330), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    ACTIONS(1672), 1,
      anon_sym_COLON,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1756), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(465), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
    ACTIONS(1314), 9,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1325), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [1346] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_LT,
    STATE(468), 1,
      aux_sym_cascade_section_repeat1,
    STATE(523), 1,
      sym_argument_part,
    STATE(524), 1,
      sym_arguments,
    STATE(2474), 1,
      sym_type_arguments,
    STATE(466), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1676), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1674), 31,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [1437] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1688), 1,
      anon_sym_LPAREN,
    ACTIONS(1691), 1,
      anon_sym_LT,
    STATE(466), 1,
      aux_sym_cascade_section_repeat1,
    STATE(523), 1,
      sym_argument_part,
    STATE(524), 1,
      sym_arguments,
    STATE(2474), 1,
      sym_type_arguments,
    STATE(467), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1686), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1684), 31,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [1528] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1698), 1,
      anon_sym_LPAREN,
    ACTIONS(1701), 1,
      anon_sym_LT,
    STATE(523), 1,
      sym_argument_part,
    STATE(524), 1,
      sym_arguments,
    STATE(2474), 1,
      sym_type_arguments,
    STATE(468), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat1,
    ACTIONS(1696), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1694), 31,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [1617] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1318), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_QMARK,
    ACTIONS(1330), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_RPAREN,
    ACTIONS(1704), 1,
      anon_sym_COMMA,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1777), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(469), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(1314), 8,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1325), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [1724] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(724), 1,
      aux_sym__expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(877), 1,
      sym_cascade_section,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1740), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(470), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1734), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1706), 13,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_SEMI,
      anon_sym_else,
  [1871] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1701), 1,
      anon_sym_LT,
    ACTIONS(1743), 1,
      anon_sym_LPAREN,
    STATE(556), 1,
      sym_argument_part,
    STATE(560), 1,
      sym_arguments,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(471), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat1,
    ACTIONS(1696), 20,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1694), 28,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [1959] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(472), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1748), 16,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      anon_sym_DOT_DOT_DOT,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_QMARK_DOT,
      anon_sym_AT,
    ACTIONS(1746), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      anon_sym_QMARK,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_DOT,
      anon_sym_switch,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2037] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1691), 1,
      anon_sym_LT,
    ACTIONS(1750), 1,
      anon_sym_LPAREN,
    STATE(474), 1,
      aux_sym_cascade_section_repeat1,
    STATE(556), 1,
      sym_argument_part,
    STATE(560), 1,
      sym_arguments,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(473), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1686), 20,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1684), 28,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [2127] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1681), 1,
      anon_sym_LT,
    ACTIONS(1753), 1,
      anon_sym_LPAREN,
    STATE(471), 1,
      aux_sym_cascade_section_repeat1,
    STATE(556), 1,
      sym_argument_part,
    STATE(560), 1,
      sym_arguments,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(474), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1676), 20,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1674), 28,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [2217] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(784), 1,
      aux_sym__expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1028), 1,
      sym_cascade_section,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1774), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(475), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1734), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1706), 11,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [2363] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(476), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1779), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1777), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2440] = 55,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1781), 1,
      sym_identifier,
    ACTIONS(1783), 1,
      anon_sym_RBRACE,
    ACTIONS(1785), 1,
      anon_sym_factory,
    ACTIONS(1787), 1,
      anon_sym_operator,
    ACTIONS(1789), 1,
      anon_sym_static,
    ACTIONS(1791), 1,
      sym_const_builtin,
    ACTIONS(1793), 1,
      sym_final_builtin,
    STATE(482), 1,
      aux_sym_class_body_repeat1,
    STATE(618), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1247), 1,
      sym__operator,
    STATE(1278), 1,
      sym__annotation,
    STATE(1353), 1,
      sym__static,
    STATE(1366), 1,
      sym__external,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1474), 1,
      sym__external_builtin,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1543), 1,
      sym__external_and_static,
    STATE(1554), 1,
      sym_class_member_definition,
    STATE(1561), 1,
      sym__late_builtin,
    STATE(1567), 1,
      sym__covariant,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1724), 1,
      sym_constructor_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1875), 1,
      sym__type,
    STATE(1879), 1,
      sym_factory_constructor_signature,
    STATE(1882), 1,
      sym_method_signature,
    STATE(1894), 1,
      sym__set,
    STATE(2059), 1,
      sym_constant_constructor_signature,
    STATE(2244), 1,
      sym__var_or_type,
    STATE(2504), 1,
      sym_declaration,
    STATE(2646), 1,
      sym__factory,
    STATE(2674), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(477), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1968), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [2611] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(478), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1797), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1795), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [2750] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(479), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1801), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1799), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2827] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(480), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1805), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1803), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [2966] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1811), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1814), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(481), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1809), 5,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1807), 19,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [3095] = 55,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1781), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym_factory,
    ACTIONS(1787), 1,
      anon_sym_operator,
    ACTIONS(1789), 1,
      anon_sym_static,
    ACTIONS(1791), 1,
      sym_const_builtin,
    ACTIONS(1793), 1,
      sym_final_builtin,
    ACTIONS(1817), 1,
      anon_sym_RBRACE,
    STATE(489), 1,
      aux_sym_class_body_repeat1,
    STATE(618), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1247), 1,
      sym__operator,
    STATE(1278), 1,
      sym__annotation,
    STATE(1353), 1,
      sym__static,
    STATE(1366), 1,
      sym__external,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1474), 1,
      sym__external_builtin,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1543), 1,
      sym__external_and_static,
    STATE(1554), 1,
      sym_class_member_definition,
    STATE(1561), 1,
      sym__late_builtin,
    STATE(1567), 1,
      sym__covariant,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1724), 1,
      sym_constructor_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1875), 1,
      sym__type,
    STATE(1879), 1,
      sym_factory_constructor_signature,
    STATE(1882), 1,
      sym_method_signature,
    STATE(1894), 1,
      sym__set,
    STATE(2059), 1,
      sym_constant_constructor_signature,
    STATE(2244), 1,
      sym__var_or_type,
    STATE(2504), 1,
      sym_declaration,
    STATE(2646), 1,
      sym__factory,
    STATE(2674), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(482), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1968), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [3266] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1318), 1,
      anon_sym_EQ,
    ACTIONS(1327), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(483), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1325), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1314), 19,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [3353] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1823), 1,
      sym_equality_operator,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(484), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1821), 5,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1819), 18,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [3484] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(485), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1828), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1826), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [3623] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(486), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1832), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1830), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [3762] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(941), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(943), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(945), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(949), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(491), 1,
      aux_sym_string_literal_repeat1,
    STATE(487), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(632), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1433), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1431), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [3859] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(488), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1836), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1834), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [3998] = 54,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1838), 1,
      sym_identifier,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(1843), 1,
      anon_sym_AT,
    ACTIONS(1846), 1,
      sym_void_type,
    ACTIONS(1849), 1,
      anon_sym_var,
    ACTIONS(1852), 1,
      anon_sym_covariant,
    ACTIONS(1855), 1,
      anon_sym_factory,
    ACTIONS(1858), 1,
      anon_sym_Function,
    ACTIONS(1861), 1,
      anon_sym_get,
    ACTIONS(1864), 1,
      anon_sym_operator,
    ACTIONS(1867), 1,
      anon_sym_set,
    ACTIONS(1870), 1,
      anon_sym_static,
    ACTIONS(1873), 1,
      sym_const_builtin,
    ACTIONS(1876), 1,
      sym_final_builtin,
    ACTIONS(1879), 1,
      anon_sym_late,
    ACTIONS(1882), 1,
      anon_sym_external,
    STATE(618), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1247), 1,
      sym__operator,
    STATE(1278), 1,
      sym__annotation,
    STATE(1353), 1,
      sym__static,
    STATE(1366), 1,
      sym__external,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1474), 1,
      sym__external_builtin,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1543), 1,
      sym__external_and_static,
    STATE(1554), 1,
      sym_class_member_definition,
    STATE(1561), 1,
      sym__late_builtin,
    STATE(1567), 1,
      sym__covariant,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1724), 1,
      sym_constructor_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1875), 1,
      sym__type,
    STATE(1879), 1,
      sym_factory_constructor_signature,
    STATE(1882), 1,
      sym_method_signature,
    STATE(1894), 1,
      sym__set,
    STATE(2059), 1,
      sym_constant_constructor_signature,
    STATE(2244), 1,
      sym__var_or_type,
    STATE(2504), 1,
      sym_declaration,
    STATE(2646), 1,
      sym__factory,
    STATE(2674), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(489), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_class_body_repeat1,
    STATE(1968), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [4167] = 55,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1781), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym_factory,
    ACTIONS(1787), 1,
      anon_sym_operator,
    ACTIONS(1789), 1,
      anon_sym_static,
    ACTIONS(1791), 1,
      sym_const_builtin,
    ACTIONS(1793), 1,
      sym_final_builtin,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    STATE(489), 1,
      aux_sym_class_body_repeat1,
    STATE(618), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1247), 1,
      sym__operator,
    STATE(1278), 1,
      sym__annotation,
    STATE(1353), 1,
      sym__static,
    STATE(1366), 1,
      sym__external,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1474), 1,
      sym__external_builtin,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1543), 1,
      sym__external_and_static,
    STATE(1554), 1,
      sym_class_member_definition,
    STATE(1561), 1,
      sym__late_builtin,
    STATE(1567), 1,
      sym__covariant,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1724), 1,
      sym_constructor_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1875), 1,
      sym__type,
    STATE(1879), 1,
      sym_factory_constructor_signature,
    STATE(1882), 1,
      sym_method_signature,
    STATE(1894), 1,
      sym__set,
    STATE(2059), 1,
      sym_constant_constructor_signature,
    STATE(2244), 1,
      sym__var_or_type,
    STATE(2504), 1,
      sym_declaration,
    STATE(2646), 1,
      sym__factory,
    STATE(2674), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(490), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1968), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [4338] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1887), 1,
      anon_sym_DQUOTE,
    ACTIONS(1890), 1,
      anon_sym_SQUOTE,
    ACTIONS(1893), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1896), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1899), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1902), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1905), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1908), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(491), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_string_literal_repeat1,
    STATE(632), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1481), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1455), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [4433] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(492), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1911), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [4572] = 55,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1781), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym_factory,
    ACTIONS(1787), 1,
      anon_sym_operator,
    ACTIONS(1789), 1,
      anon_sym_static,
    ACTIONS(1791), 1,
      sym_const_builtin,
    ACTIONS(1793), 1,
      sym_final_builtin,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    STATE(490), 1,
      aux_sym_class_body_repeat1,
    STATE(618), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1247), 1,
      sym__operator,
    STATE(1278), 1,
      sym__annotation,
    STATE(1353), 1,
      sym__static,
    STATE(1366), 1,
      sym__external,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1474), 1,
      sym__external_builtin,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1543), 1,
      sym__external_and_static,
    STATE(1554), 1,
      sym_class_member_definition,
    STATE(1561), 1,
      sym__late_builtin,
    STATE(1567), 1,
      sym__covariant,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1724), 1,
      sym_constructor_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1875), 1,
      sym__type,
    STATE(1879), 1,
      sym_factory_constructor_signature,
    STATE(1882), 1,
      sym_method_signature,
    STATE(1894), 1,
      sym__set,
    STATE(2059), 1,
      sym_constant_constructor_signature,
    STATE(2244), 1,
      sym__var_or_type,
    STATE(2504), 1,
      sym_declaration,
    STATE(2646), 1,
      sym__factory,
    STATE(2674), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(493), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1968), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [4743] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(494), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1919), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1917), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [4882] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(495), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1923), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1921), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [4959] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(496), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1927), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1925), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [5036] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(497), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1931), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1929), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [5175] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(498), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1935), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1933), 15,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [5314] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(499), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1937), 33,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [5390] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(500), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1935), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1933), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [5528] = 50,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1495), 1,
      sym_identifier,
    ACTIONS(1497), 1,
      anon_sym_AT,
    ACTIONS(1501), 1,
      anon_sym_abstract,
    ACTIONS(1503), 1,
      anon_sym_class,
    ACTIONS(1941), 1,
      anon_sym_part,
    STATE(426), 1,
      sym__top_level_definition,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1513), 1,
      sym__covariant,
    STATE(1523), 1,
      sym__external_builtin,
    STATE(1566), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1587), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1659), 1,
      sym__typedef,
    STATE(1683), 1,
      aux_sym__metadata_repeat1,
    STATE(1821), 1,
      sym__type,
    STATE(1857), 1,
      sym_function_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1894), 1,
      sym__set,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2345), 1,
      sym__metadata,
    STATE(2558), 1,
      sym__mixin,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    ACTIONS(129), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(501), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1872), 2,
      sym_getter_signature,
      sym_setter_signature,
    STATE(413), 6,
      sym_external_declaration,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [5688] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    STATE(502), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1947), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1949), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1943), 19,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [5768] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1318), 1,
      anon_sym_EQ,
    ACTIONS(1327), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(503), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1314), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1325), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_QMARK_DOT,
      anon_sym_async,
  [5854] = 50,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1495), 1,
      sym_identifier,
    ACTIONS(1497), 1,
      anon_sym_AT,
    ACTIONS(1499), 1,
      anon_sym_part,
    ACTIONS(1501), 1,
      anon_sym_abstract,
    ACTIONS(1503), 1,
      anon_sym_class,
    STATE(426), 1,
      sym__top_level_definition,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1513), 1,
      sym__covariant,
    STATE(1523), 1,
      sym__external_builtin,
    STATE(1566), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1587), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1659), 1,
      sym__typedef,
    STATE(1683), 1,
      aux_sym__metadata_repeat1,
    STATE(1821), 1,
      sym__type,
    STATE(1857), 1,
      sym_function_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1894), 1,
      sym__set,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2345), 1,
      sym__metadata,
    STATE(2558), 1,
      sym__mixin,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    ACTIONS(129), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(504), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1872), 2,
      sym_getter_signature,
      sym_setter_signature,
    STATE(413), 6,
      sym_external_declaration,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [6014] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1953), 1,
      anon_sym_EQ,
    STATE(505), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1955), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1957), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1951), 19,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [6094] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1959), 1,
      anon_sym_EQ,
    STATE(506), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1961), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1949), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1943), 19,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [6174] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(507), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1963), 33,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [6250] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(508), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1967), 33,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [6326] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(509), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1971), 33,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [6402] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(510), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1975), 33,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [6478] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(511), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1836), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1834), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [6616] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(512), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1919), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1917), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [6754] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(513), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1828), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1826), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [6892] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1811), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1814), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(514), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1809), 6,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1807), 17,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7020] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(515), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1911), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7158] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(516), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1832), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1830), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7296] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(517), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1797), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1795), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7434] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(518), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1805), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1803), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7572] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1756), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1758), 1,
      anon_sym_QMARK,
    ACTIONS(1760), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(519), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1931), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1929), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7710] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1766), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1979), 1,
      sym_equality_operator,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(826), 1,
      aux_sym__if_null_expression,
    STATE(829), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(830), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 1,
      sym_type_test,
    STATE(1032), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1635), 1,
      sym_is_operator,
    STATE(1640), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(520), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1821), 6,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1819), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7840] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1985), 1,
      anon_sym_EQ,
    ACTIONS(1988), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LT,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1922), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(521), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1982), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1969), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1967), 24,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [7931] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1985), 1,
      anon_sym_EQ,
    ACTIONS(1988), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LT,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1922), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    ACTIONS(1982), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(522), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1967), 25,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [8022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(523), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1996), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1994), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [8097] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(524), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1998), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [8172] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(525), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1975), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [8247] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(526), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1971), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [8322] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(527), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1963), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [8397] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(528), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1967), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [8472] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(529), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1963), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [8547] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(530), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1937), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [8622] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(531), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1967), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [8697] = 49,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1495), 1,
      sym_identifier,
    ACTIONS(1497), 1,
      anon_sym_AT,
    ACTIONS(1501), 1,
      anon_sym_abstract,
    ACTIONS(1503), 1,
      anon_sym_class,
    STATE(426), 1,
      sym__top_level_definition,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1513), 1,
      sym__covariant,
    STATE(1523), 1,
      sym__external_builtin,
    STATE(1566), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1587), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1659), 1,
      sym__typedef,
    STATE(1683), 1,
      aux_sym__metadata_repeat1,
    STATE(1821), 1,
      sym__type,
    STATE(1857), 1,
      sym_function_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1894), 1,
      sym__set,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2345), 1,
      sym__metadata,
    STATE(2558), 1,
      sym__mixin,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    ACTIONS(129), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(532), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1872), 2,
      sym_getter_signature,
      sym_setter_signature,
    STATE(413), 6,
      sym_external_declaration,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [8854] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(533), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1971), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [8929] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    STATE(534), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1947), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1943), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1949), 20,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
  [9008] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(535), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2002), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9083] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1953), 1,
      anon_sym_EQ,
    STATE(536), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1955), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1951), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1957), 20,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
  [9162] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(537), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1937), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9237] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(538), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1975), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9312] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(539), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2008), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2006), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9387] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(540), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2012), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2010), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9462] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(541), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2014), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9537] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1959), 1,
      anon_sym_EQ,
    STATE(542), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1961), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1943), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1949), 20,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
  [9616] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(543), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2018), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9691] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(544), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2024), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      anon_sym_DOT_DOT_DOT,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(2022), 36,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [9766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(545), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2028), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2026), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9841] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(546), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2032), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2030), 32,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9916] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(547), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2036), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(2034), 36,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [9991] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(548), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2028), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2026), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10065] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(549), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2008), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2006), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10139] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(550), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2002), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10213] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(551), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2014), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10287] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(552), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1937), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10361] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(553), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2018), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10435] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(554), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1963), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10509] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(555), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2012), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2010), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10583] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(556), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1996), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1994), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10657] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(557), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1967), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10731] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1982), 1,
      anon_sym_RPAREN,
    ACTIONS(1988), 1,
      anon_sym_LPAREN,
    ACTIONS(1991), 1,
      anon_sym_LT,
    ACTIONS(2038), 1,
      anon_sym_COMMA,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1922), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(558), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1967), 24,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [10821] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(559), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1971), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10895] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(560), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1998), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10969] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(561), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1975), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [11043] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(562), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2032), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2030), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [11117] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1318), 1,
      anon_sym_EQ,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_in,
    STATE(1431), 1,
      sym__type_dot_identifier,
    ACTIONS(1316), 2,
      anon_sym_Function,
      sym_identifier,
    ACTIONS(1327), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(563), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1314), 11,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1325), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [11205] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(564), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2044), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2042), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11278] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(565), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2048), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2046), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(566), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2052), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2050), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11424] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(567), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2056), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2054), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11497] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(568), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2060), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2058), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(569), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2064), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2062), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11643] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(570), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2068), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2066), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(571), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2072), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2070), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11789] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(572), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2076), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2074), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(573), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2080), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2078), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [11935] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(574), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2084), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2082), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [12008] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(575), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2088), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2086), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [12081] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(576), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2092), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2090), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [12154] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(577), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2096), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2094), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [12227] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(578), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2100), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2098), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [12300] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(579), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2104), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2102), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [12373] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(580), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2108), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2106), 35,
      ts_builtin_sym_end,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [12446] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2124), 1,
      sym__exclamation_operator,
    ACTIONS(2126), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_QMARK_DOT,
    STATE(601), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(802), 1,
      sym__assignable_selector,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(581), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(793), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2122), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2110), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12552] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(1712), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1714), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1722), 1,
      anon_sym_PIPE,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1726), 1,
      anon_sym_AMP,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(766), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(770), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(787), 1,
      aux_sym__if_null_expression,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(877), 1,
      sym_cascade_section,
    STATE(1100), 1,
      aux_sym__expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2130), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(582), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1734), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1706), 6,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [12692] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2124), 1,
      sym__exclamation_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2134), 1,
      anon_sym_DOT,
    ACTIONS(2136), 1,
      anon_sym_QMARK_DOT,
    STATE(506), 1,
      sym__assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(597), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2327), 1,
      sym__nullable_type,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(509), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(583), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2110), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12798] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2138), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    ACTIONS(2144), 1,
      sym__exclamation_operator,
    ACTIONS(2147), 1,
      anon_sym_DOT,
    ACTIONS(2150), 1,
      anon_sym_QMARK_DOT,
    STATE(607), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(802), 1,
      sym__assignable_selector,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(584), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(793), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2122), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2110), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12904] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(2124), 1,
      sym__exclamation_operator,
    ACTIONS(2126), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    STATE(605), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(802), 1,
      sym__assignable_selector,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(585), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(793), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2161), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2153), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13010] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    ACTIONS(2163), 1,
      anon_sym_LBRACK,
    ACTIONS(2166), 1,
      anon_sym_LPAREN,
    ACTIONS(2169), 1,
      sym__exclamation_operator,
    ACTIONS(2172), 1,
      anon_sym_DOT,
    ACTIONS(2175), 1,
      anon_sym_QMARK_DOT,
    STATE(606), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(802), 1,
      sym__assignable_selector,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(586), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(793), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2161), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2153), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13116] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    ACTIONS(2166), 1,
      anon_sym_LPAREN,
    ACTIONS(2169), 1,
      sym__exclamation_operator,
    ACTIONS(2178), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_QMARK_DOT,
    STATE(506), 1,
      sym__assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(602), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2327), 1,
      sym__nullable_type,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(509), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(587), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2161), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2153), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13222] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2141), 1,
      anon_sym_LPAREN,
    ACTIONS(2144), 1,
      sym__exclamation_operator,
    ACTIONS(2187), 1,
      anon_sym_LBRACK,
    ACTIONS(2190), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_QMARK_DOT,
    STATE(506), 1,
      sym__assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(600), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2327), 1,
      sym__nullable_type,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(509), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(588), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2110), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13328] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1318), 1,
      anon_sym_EQ,
    ACTIONS(1327), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    ACTIONS(1672), 1,
      anon_sym_COLON,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(589), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1314), 13,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1325), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
  [13412] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(2124), 1,
      sym__exclamation_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2134), 1,
      anon_sym_DOT,
    ACTIONS(2136), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    STATE(506), 1,
      sym__assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(596), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2327), 1,
      sym__nullable_type,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(509), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(590), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2161), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2153), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13518] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2198), 1,
      anon_sym_LBRACK,
    ACTIONS(2201), 1,
      anon_sym_LPAREN,
    ACTIONS(2204), 1,
      anon_sym_QMARK,
    ACTIONS(2207), 1,
      anon_sym_LT,
    ACTIONS(2212), 1,
      sym__exclamation_operator,
    ACTIONS(2215), 1,
      anon_sym_DOT,
    ACTIONS(2218), 1,
      anon_sym_QMARK_DOT,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(879), 1,
      sym_index_selector,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2396), 1,
      sym__nullable_type,
    STATE(814), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(880), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(591), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
    ACTIONS(2210), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2196), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13617] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2221), 1,
      anon_sym_LBRACK,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      sym__exclamation_operator,
    ACTIONS(2227), 1,
      anon_sym_DOT,
    ACTIONS(2229), 1,
      anon_sym_QMARK_DOT,
    STATE(611), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(896), 1,
      sym__assignable_selector,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(592), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(859), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2122), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2110), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [13722] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    ACTIONS(2231), 1,
      anon_sym_LBRACK,
    ACTIONS(2234), 1,
      anon_sym_LPAREN,
    ACTIONS(2237), 1,
      sym__exclamation_operator,
    ACTIONS(2240), 1,
      anon_sym_DOT,
    ACTIONS(2243), 1,
      anon_sym_QMARK_DOT,
    STATE(614), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(896), 1,
      sym__assignable_selector,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(593), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(859), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2161), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2153), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [13827] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    ACTIONS(2234), 1,
      anon_sym_LPAREN,
    ACTIONS(2237), 1,
      sym__exclamation_operator,
    ACTIONS(2246), 1,
      anon_sym_LBRACK,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    ACTIONS(2252), 1,
      anon_sym_QMARK_DOT,
    STATE(525), 1,
      sym_index_selector,
    STATE(542), 1,
      sym__assignable_selector,
    STATE(615), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym__nullable_type,
    STATE(526), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(594), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2161), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2153), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [13932] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2255), 1,
      anon_sym_LBRACK,
    ACTIONS(2258), 1,
      anon_sym_LPAREN,
    ACTIONS(2261), 1,
      sym__exclamation_operator,
    ACTIONS(2264), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_QMARK_DOT,
    STATE(525), 1,
      sym_index_selector,
    STATE(542), 1,
      sym__assignable_selector,
    STATE(608), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym__nullable_type,
    STATE(526), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(595), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2110), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14037] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(2124), 1,
      sym__exclamation_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2134), 1,
      anon_sym_DOT,
    ACTIONS(2136), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    STATE(502), 1,
      sym__assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(591), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(2327), 1,
      sym__nullable_type,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(509), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(596), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2270), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [14140] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(2124), 1,
      sym__exclamation_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2134), 1,
      anon_sym_DOT,
    ACTIONS(2136), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    STATE(502), 1,
      sym__assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(591), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(2327), 1,
      sym__nullable_type,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(509), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(597), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2288), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2280), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [14243] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    ACTIONS(2221), 1,
      anon_sym_LBRACK,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      sym__exclamation_operator,
    ACTIONS(2227), 1,
      anon_sym_DOT,
    ACTIONS(2229), 1,
      anon_sym_QMARK_DOT,
    STATE(612), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(896), 1,
      sym__assignable_selector,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(598), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(859), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2161), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2153), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14348] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2258), 1,
      anon_sym_LPAREN,
    ACTIONS(2261), 1,
      sym__exclamation_operator,
    ACTIONS(2290), 1,
      anon_sym_LBRACK,
    ACTIONS(2293), 1,
      anon_sym_DOT,
    ACTIONS(2296), 1,
      anon_sym_QMARK_DOT,
    STATE(613), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(896), 1,
      sym__assignable_selector,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(599), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(859), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2122), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2110), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14453] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    ACTIONS(2299), 1,
      anon_sym_LBRACK,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2305), 1,
      sym__exclamation_operator,
    ACTIONS(2308), 1,
      anon_sym_DOT,
    ACTIONS(2311), 1,
      anon_sym_QMARK_DOT,
    STATE(502), 1,
      sym__assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(591), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(2327), 1,
      sym__nullable_type,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(509), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(600), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2288), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2280), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [14556] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(2124), 1,
      sym__exclamation_operator,
    ACTIONS(2126), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    STATE(591), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(799), 1,
      sym__assignable_selector,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(601), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(793), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2288), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2280), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [14659] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2314), 1,
      anon_sym_LBRACK,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2320), 1,
      sym__exclamation_operator,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2326), 1,
      anon_sym_QMARK_DOT,
    STATE(502), 1,
      sym__assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(591), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(2327), 1,
      sym__nullable_type,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(509), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(602), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2270), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [14762] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      sym__exclamation_operator,
    ACTIONS(2329), 1,
      anon_sym_LBRACK,
    ACTIONS(2331), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOT,
    STATE(525), 1,
      sym_index_selector,
    STATE(542), 1,
      sym__assignable_selector,
    STATE(610), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym__nullable_type,
    STATE(526), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(603), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2161), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2153), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14867] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      sym__exclamation_operator,
    ACTIONS(2329), 1,
      anon_sym_LBRACK,
    ACTIONS(2331), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOT,
    STATE(525), 1,
      sym_index_selector,
    STATE(542), 1,
      sym__assignable_selector,
    STATE(609), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym__nullable_type,
    STATE(526), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(604), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2110), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14972] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(2124), 1,
      sym__exclamation_operator,
    ACTIONS(2126), 1,
      anon_sym_DOT,
    ACTIONS(2128), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    STATE(591), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(799), 1,
      sym__assignable_selector,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(605), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(793), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2278), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2270), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [15075] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2320), 1,
      sym__exclamation_operator,
    ACTIONS(2335), 1,
      anon_sym_LBRACK,
    ACTIONS(2338), 1,
      anon_sym_DOT,
    ACTIONS(2341), 1,
      anon_sym_QMARK_DOT,
    STATE(591), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(799), 1,
      sym__assignable_selector,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(606), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(793), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2278), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2270), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [15178] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2305), 1,
      sym__exclamation_operator,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(2347), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_QMARK_DOT,
    STATE(591), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(799), 1,
      sym__assignable_selector,
    STATE(814), 1,
      sym_argument_part,
    STATE(866), 1,
      sym_arguments,
    STATE(868), 1,
      sym_selector,
    STATE(2328), 1,
      sym_type_arguments,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(607), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(793), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2288), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2280), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [15281] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    ACTIONS(2353), 1,
      anon_sym_LBRACK,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2359), 1,
      sym__exclamation_operator,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    ACTIONS(2365), 1,
      anon_sym_QMARK_DOT,
    STATE(525), 1,
      sym_index_selector,
    STATE(534), 1,
      sym__assignable_selector,
    STATE(616), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym__nullable_type,
    STATE(526), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(608), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2288), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2280), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [15383] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      sym__exclamation_operator,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    ACTIONS(2329), 1,
      anon_sym_LBRACK,
    ACTIONS(2331), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOT,
    STATE(525), 1,
      sym_index_selector,
    STATE(534), 1,
      sym__assignable_selector,
    STATE(616), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym__nullable_type,
    STATE(526), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(609), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2288), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2280), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [15485] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      sym__exclamation_operator,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2329), 1,
      anon_sym_LBRACK,
    ACTIONS(2331), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK_DOT,
    STATE(525), 1,
      sym_index_selector,
    STATE(534), 1,
      sym__assignable_selector,
    STATE(616), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym__nullable_type,
    STATE(526), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(610), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2270), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [15587] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2221), 1,
      anon_sym_LBRACK,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      sym__exclamation_operator,
    ACTIONS(2227), 1,
      anon_sym_DOT,
    ACTIONS(2229), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    STATE(616), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(887), 1,
      sym__assignable_selector,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(611), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(859), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2288), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2280), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [15689] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2221), 1,
      anon_sym_LBRACK,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(2225), 1,
      sym__exclamation_operator,
    ACTIONS(2227), 1,
      anon_sym_DOT,
    ACTIONS(2229), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    STATE(616), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(887), 1,
      sym__assignable_selector,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(612), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(859), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2278), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2270), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [15791] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2359), 1,
      sym__exclamation_operator,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_DOT,
    ACTIONS(2374), 1,
      anon_sym_QMARK_DOT,
    STATE(616), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(887), 1,
      sym__assignable_selector,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(613), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(859), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2288), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2280), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [15893] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2377), 1,
      anon_sym_LBRACK,
    ACTIONS(2380), 1,
      anon_sym_LPAREN,
    ACTIONS(2383), 1,
      sym__exclamation_operator,
    ACTIONS(2386), 1,
      anon_sym_DOT,
    ACTIONS(2389), 1,
      anon_sym_QMARK_DOT,
    STATE(616), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(887), 1,
      sym__assignable_selector,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(614), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(859), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2278), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2270), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [15995] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2380), 1,
      anon_sym_LPAREN,
    ACTIONS(2383), 1,
      sym__exclamation_operator,
    ACTIONS(2392), 1,
      anon_sym_LBRACK,
    ACTIONS(2395), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_QMARK_DOT,
    STATE(525), 1,
      sym_index_selector,
    STATE(534), 1,
      sym__assignable_selector,
    STATE(616), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(992), 1,
      sym_argument_part,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2423), 1,
      sym__nullable_type,
    STATE(526), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(615), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2270), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [16097] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2204), 1,
      anon_sym_QMARK,
    ACTIONS(2207), 1,
      anon_sym_LT,
    ACTIONS(2401), 1,
      anon_sym_LBRACK,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2407), 1,
      sym__exclamation_operator,
    ACTIONS(2410), 1,
      anon_sym_DOT,
    ACTIONS(2413), 1,
      anon_sym_QMARK_DOT,
    STATE(934), 1,
      sym_arguments,
    STATE(988), 1,
      sym_selector,
    STATE(1025), 1,
      sym_index_selector,
    STATE(2340), 1,
      sym_type_arguments,
    STATE(2408), 1,
      sym__nullable_type,
    STATE(992), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(1030), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(616), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
    ACTIONS(2210), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2196), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [16195] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(877), 1,
      sym_cascade_section,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1612), 1,
      aux_sym__expression_repeat1,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2432), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(617), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1706), 8,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [16331] = 48,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1781), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym_factory,
    ACTIONS(1787), 1,
      anon_sym_operator,
    ACTIONS(1789), 1,
      anon_sym_static,
    ACTIONS(1791), 1,
      sym_const_builtin,
    ACTIONS(1793), 1,
      sym_final_builtin,
    STATE(1247), 1,
      sym__operator,
    STATE(1353), 1,
      sym__static,
    STATE(1366), 1,
      sym__external,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1474), 1,
      sym__external_builtin,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1543), 1,
      sym__external_and_static,
    STATE(1557), 1,
      sym_class_member_definition,
    STATE(1561), 1,
      sym__late_builtin,
    STATE(1567), 1,
      sym__covariant,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1724), 1,
      sym_constructor_signature,
    STATE(1859), 1,
      sym__get,
    STATE(1875), 1,
      sym__type,
    STATE(1879), 1,
      sym_factory_constructor_signature,
    STATE(1882), 1,
      sym_method_signature,
    STATE(1894), 1,
      sym__set,
    STATE(2059), 1,
      sym_constant_constructor_signature,
    STATE(2244), 1,
      sym__var_or_type,
    STATE(2504), 1,
      sym_declaration,
    STATE(2646), 1,
      sym__factory,
    STATE(2674), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(618), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1968), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [16480] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2434), 1,
      anon_sym_DQUOTE,
    ACTIONS(2437), 1,
      anon_sym_SQUOTE,
    ACTIONS(2440), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2443), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2446), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(2449), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(2452), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2455), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(619), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_string_literal_repeat1,
    ACTIONS(1481), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    STATE(1007), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1455), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [16567] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    ACTIONS(2478), 1,
      anon_sym_async,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1552), 1,
      sym_cascade_section,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    STATE(1651), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(620), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2458), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [16704] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(885), 1,
      anon_sym_DQUOTE,
    ACTIONS(887), 1,
      anon_sym_SQUOTE,
    ACTIONS(889), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(891), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(893), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(895), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(619), 1,
      aux_sym_string_literal_repeat1,
    STATE(621), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1433), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    STATE(1007), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1431), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [16793] = 46,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(711), 1,
      anon_sym_RPAREN,
    ACTIONS(2480), 1,
      sym_identifier,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    ACTIONS(2484), 1,
      anon_sym_LBRACK,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2131), 1,
      sym__type,
    STATE(2141), 1,
      sym_formal_parameter,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2416), 1,
      sym__normal_formal_parameters,
    STATE(2546), 1,
      sym_optional_formal_parameters,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(622), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2548), 2,
      sym__optional_postional_formal_parameters,
      sym__named_formal_parameters,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [16938] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    ACTIONS(2488), 1,
      anon_sym_async,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1552), 1,
      sym_cascade_section,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    STATE(1648), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2476), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(623), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17075] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(624), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1929), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [17203] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(625), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2056), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2054), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17271] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(626), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1834), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [17399] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(627), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2068), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2066), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17467] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(628), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2072), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2070), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17535] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(629), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2076), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2074), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17603] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(630), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2092), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2090), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17671] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(631), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2096), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2094), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17739] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(632), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2052), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2050), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17807] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(633), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2064), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2062), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17875] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(634), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2080), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2078), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17943] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(635), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2104), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2102), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [18011] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(636), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2108), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2106), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [18079] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(637), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2100), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2098), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [18147] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(638), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1917), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [18275] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(639), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2048), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2046), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [18343] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(640), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2088), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2086), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [18411] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(641), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2084), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2082), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [18479] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(642), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2060), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2058), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [18547] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(643), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1826), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [18675] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(644), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1911), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [18803] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1318), 1,
      anon_sym_EQ,
    ACTIONS(1327), 1,
      anon_sym_LT,
    ACTIONS(2490), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(645), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1314), 11,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
    ACTIONS(1320), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1325), 15,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
  [18881] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(646), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1933), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [19009] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(647), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2044), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2042), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [19077] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1821), 1,
      anon_sym_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    ACTIONS(2493), 1,
      sym_equality_operator,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(648), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1819), 13,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [19199] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(649), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1795), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [19327] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1809), 1,
      anon_sym_QMARK,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1811), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1814), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(650), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1807), 14,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [19447] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(651), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1803), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [19575] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(652), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1830), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [19703] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1832), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(653), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1830), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [19832] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(654), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2008), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2006), 33,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [19899] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(655), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2018), 33,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [19966] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(656), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(1967), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [20033] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(657), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(1963), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [20100] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(658), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2014), 33,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [20167] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(659), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(1975), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [20234] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1945), 1,
      anon_sym_EQ,
    STATE(660), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1943), 12,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1947), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1949), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
  [20305] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1836), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(661), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1834), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [20434] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1828), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(662), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1826), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [20563] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1913), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(663), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1911), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [20692] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1935), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(664), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1933), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [20821] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1931), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(665), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1929), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [20950] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    ACTIONS(2496), 1,
      sym_equality_operator,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1821), 2,
      anon_sym_QMARK,
      anon_sym_async,
    STATE(666), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1819), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [21071] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1953), 1,
      anon_sym_EQ,
    STATE(667), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1951), 12,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1955), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1957), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
  [21142] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1809), 2,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(1811), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1814), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(668), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1807), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [21261] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(2505), 1,
      anon_sym_LT,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_QMARK_DOT,
    STATE(172), 1,
      sym__assignment_operator,
    STATE(713), 1,
      aux_sym_cascade_section_repeat1,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(870), 1,
      sym__cascade_assignment_section,
    STATE(882), 1,
      aux_sym_cascade_section_repeat2,
    STATE(979), 1,
      sym_argument_part,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(986), 1,
      sym_arguments,
    STATE(1038), 1,
      sym_index_selector,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(669), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1116), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [21364] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1797), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(670), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1795), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [21493] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(671), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(1937), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [21560] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1552), 1,
      sym_cascade_section,
    STATE(1628), 1,
      aux_sym__expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1706), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2527), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(672), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1734), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [21695] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1805), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(673), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1803), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [21824] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(674), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(1971), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [21891] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1959), 1,
      anon_sym_EQ,
    STATE(675), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1943), 12,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1961), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1949), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
  [21962] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(2505), 1,
      anon_sym_LT,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_QMARK_DOT,
    STATE(172), 1,
      sym__assignment_operator,
    STATE(669), 1,
      aux_sym_cascade_section_repeat1,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(856), 1,
      sym__cascade_assignment_section,
    STATE(860), 1,
      aux_sym_cascade_section_repeat2,
    STATE(979), 1,
      sym_argument_part,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(986), 1,
      sym_arguments,
    STATE(1038), 1,
      sym_index_selector,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(676), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1108), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [22065] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1772), 1,
      anon_sym_as,
    ACTIONS(1919), 1,
      anon_sym_async,
    ACTIONS(2460), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2462), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2470), 1,
      anon_sym_PIPE,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2474), 1,
      anon_sym_AMP,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1264), 1,
      aux_sym__if_null_expression,
    STATE(1281), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1283), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1315), 1,
      sym_type_test,
    STATE(1317), 1,
      sym_type_cast,
    STATE(1643), 1,
      sym_as_operator,
    STATE(1644), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(677), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1917), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [22194] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1110), 1,
      anon_sym_EQ,
    ACTIONS(1118), 1,
      anon_sym_async,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(2505), 1,
      anon_sym_LT,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_QMARK_DOT,
    STATE(232), 1,
      sym__assignment_operator,
    STATE(713), 1,
      aux_sym_cascade_section_repeat1,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(979), 1,
      sym_argument_part,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(986), 1,
      sym_arguments,
    STATE(991), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1555), 1,
      sym__cascade_assignment_section,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(678), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1116), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1112), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [22300] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1110), 1,
      anon_sym_EQ,
    ACTIONS(1114), 1,
      anon_sym_async,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(2505), 1,
      anon_sym_LT,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_QMARK_DOT,
    STATE(232), 1,
      sym__assignment_operator,
    STATE(678), 1,
      aux_sym_cascade_section_repeat1,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(979), 1,
      sym_argument_part,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(986), 1,
      sym_arguments,
    STATE(993), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1551), 1,
      sym__cascade_assignment_section,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(679), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1108), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1112), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [22406] = 44,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(2480), 1,
      sym_identifier,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    STATE(791), 1,
      sym__required,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2079), 1,
      sym_formal_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2503), 1,
      sym__default_named_parameter,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(680), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [22544] = 44,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(2480), 1,
      sym_identifier,
    ACTIONS(2531), 1,
      anon_sym_RBRACE,
    STATE(791), 1,
      sym__required,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2079), 1,
      sym_formal_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2503), 1,
      sym__default_named_parameter,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(681), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [22682] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1811), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1814), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(682), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1809), 4,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1807), 8,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [22799] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(683), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1805), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1803), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [22926] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2535), 1,
      anon_sym_LPAREN,
    ACTIONS(2538), 1,
      anon_sym_QMARK,
    ACTIONS(2541), 1,
      anon_sym_LT,
    STATE(705), 1,
      sym__nullable_type,
    STATE(708), 1,
      sym_type_parameters,
    STATE(743), 1,
      sym_parameter_type_list,
    STATE(684), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2544), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2533), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [23003] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    ACTIONS(2546), 1,
      sym_equality_operator,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(685), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1821), 4,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1819), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [23122] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(686), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1828), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1826), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [23249] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(687), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1054), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1052), 31,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_while,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
  [23314] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(688), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1911), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [23441] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2553), 1,
      anon_sym_Function,
    STATE(684), 1,
      sym__function_builtin_identifier,
    STATE(696), 1,
      aux_sym__function_type_tails,
    STATE(804), 1,
      sym__function_type_tail,
    STATE(689), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2551), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2549), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [23514] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(690), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1919), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1917), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [23641] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(691), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(989), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(987), 31,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_while,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
  [23706] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(692), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1832), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1830), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [23833] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(693), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1935), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1933), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [23960] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(694), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1931), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1929), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [24087] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2553), 1,
      anon_sym_Function,
    STATE(684), 1,
      sym__function_builtin_identifier,
    STATE(696), 1,
      aux_sym__function_type_tails,
    STATE(804), 1,
      sym__function_type_tail,
    STATE(695), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2557), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2555), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [24160] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2563), 1,
      anon_sym_Function,
    STATE(684), 1,
      sym__function_builtin_identifier,
    STATE(804), 1,
      sym__function_type_tail,
    STATE(696), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2561), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2559), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [24231] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(2480), 1,
      sym_identifier,
    STATE(791), 1,
      sym__required,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2079), 1,
      sym_formal_parameter,
    STATE(2115), 1,
      sym__default_named_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(697), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [24366] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2569), 1,
      anon_sym_LPAREN,
    ACTIONS(2573), 1,
      anon_sym_QMARK,
    ACTIONS(2577), 1,
      anon_sym_LT,
    STATE(708), 1,
      sym_type_parameters,
    STATE(715), 1,
      sym__nullable_type,
    STATE(743), 1,
      sym_parameter_type_list,
    STATE(698), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2581), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2566), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [24443] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(699), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1836), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1834), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [24570] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2511), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2513), 1,
      anon_sym_QMARK,
    ACTIONS(2515), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2517), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2521), 1,
      anon_sym_PIPE,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2525), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(847), 1,
      sym_type_test,
    STATE(848), 1,
      sym_type_cast,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1333), 1,
      aux_sym__if_null_expression,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1340), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1656), 1,
      sym_is_operator,
    STATE(1658), 1,
      sym_as_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(700), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1797), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1795), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [24697] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(2480), 1,
      sym_identifier,
    STATE(791), 1,
      sym__required,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2079), 1,
      sym_formal_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2503), 1,
      sym__default_named_parameter,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(701), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [24832] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2586), 1,
      anon_sym_LPAREN,
    ACTIONS(2589), 1,
      anon_sym_QMARK,
    STATE(728), 1,
      sym_parameter_type_list,
    STATE(768), 1,
      sym__nullable_type,
    STATE(702), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2584), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [24904] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2594), 1,
      anon_sym_Function,
    STATE(720), 1,
      sym__function_builtin_identifier,
    STATE(721), 1,
      aux_sym__function_type_tails,
    STATE(844), 1,
      sym__function_type_tail,
    STATE(703), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2551), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2549), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24976] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2594), 1,
      anon_sym_Function,
    STATE(720), 1,
      sym__function_builtin_identifier,
    STATE(721), 1,
      aux_sym__function_type_tails,
    STATE(844), 1,
      sym__function_type_tail,
    STATE(704), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2557), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2555), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25048] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2598), 1,
      anon_sym_LPAREN,
    ACTIONS(2601), 1,
      anon_sym_QMARK,
    STATE(726), 1,
      sym_parameter_type_list,
    STATE(756), 1,
      sym__nullable_type,
    STATE(705), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2596), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [25120] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2609), 1,
      anon_sym_GT_GT,
    STATE(246), 1,
      sym_shift_operator,
    STATE(1197), 1,
      sym__shift_operator,
    ACTIONS(2606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(706), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(1919), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1917), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [25192] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(722), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(707), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2614), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2612), 24,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [25266] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2598), 1,
      anon_sym_LPAREN,
    ACTIONS(2601), 1,
      anon_sym_QMARK,
    STATE(702), 1,
      sym__nullable_type,
    STATE(726), 1,
      sym_parameter_type_list,
    STATE(708), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2596), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [25338] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(877), 1,
      sym_cascade_section,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    STATE(1972), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2432), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(2486), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(709), 2,
      sym_comment,
      sym_documentation_comment,
  [25468] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2622), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_LT,
    STATE(729), 1,
      sym_type_arguments,
    STATE(774), 1,
      sym__nullable_type,
    STATE(710), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2628), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2620), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [25540] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(2416), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2418), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2426), 1,
      anon_sym_PIPE,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2430), 1,
      anon_sym_AMP,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(877), 1,
      sym_cascade_section,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1175), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1182), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1198), 1,
      aux_sym__if_null_expression,
    STATE(1271), 1,
      sym_type_test,
    STATE(1276), 1,
      sym_type_cast,
    STATE(1641), 1,
      sym_as_operator,
    STATE(1645), 1,
      sym_is_operator,
    STATE(1960), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2432), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(2458), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(711), 2,
      sym_comment,
      sym_documentation_comment,
  [25670] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2637), 1,
      anon_sym_SLASH,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(1159), 1,
      sym__multiplicative_operator,
    ACTIONS(2634), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(712), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(2632), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2630), 24,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [25742] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1701), 1,
      anon_sym_LT,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    STATE(979), 1,
      sym_argument_part,
    STATE(986), 1,
      sym_arguments,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(713), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat1,
    ACTIONS(1696), 5,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1694), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25816] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1566), 1,
      anon_sym_QMARK,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2646), 1,
      anon_sym_DOT,
    ACTIONS(2649), 1,
      anon_sym_QMARK_DOT,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(1038), 1,
      sym_index_selector,
    STATE(2468), 1,
      sym__nullable_type,
    ACTIONS(1564), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(714), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1559), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25898] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2655), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_QMARK,
    STATE(726), 1,
      sym_parameter_type_list,
    STATE(756), 1,
      sym__nullable_type,
    STATE(715), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2663), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2652), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [25970] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(246), 1,
      sym_shift_operator,
    STATE(706), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(716), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2668), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2666), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [26040] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(2480), 1,
      sym_identifier,
    ACTIONS(2670), 1,
      anon_sym_RBRACK,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2114), 1,
      sym_formal_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2501), 1,
      sym__default_formal_parameter,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(717), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [26172] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2672), 1,
      anon_sym_LPAREN,
    ACTIONS(2676), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_LT,
    STATE(745), 1,
      sym_type_parameters,
    STATE(746), 1,
      sym__nullable_type,
    STATE(772), 1,
      sym_parameter_type_list,
    STATE(718), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2581), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2566), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [26248] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(2480), 1,
      sym_identifier,
    ACTIONS(2684), 1,
      anon_sym_RBRACK,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2114), 1,
      sym_formal_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2501), 1,
      sym__default_formal_parameter,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(719), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [26380] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2686), 1,
      anon_sym_LPAREN,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2692), 1,
      anon_sym_LT,
    STATE(742), 1,
      sym__nullable_type,
    STATE(745), 1,
      sym_type_parameters,
    STATE(772), 1,
      sym_parameter_type_list,
    STATE(720), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2544), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2533), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [26456] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2695), 1,
      anon_sym_Function,
    STATE(720), 1,
      sym__function_builtin_identifier,
    STATE(844), 1,
      sym__function_type_tail,
    STATE(721), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2561), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2559), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [26526] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(712), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(722), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2700), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2698), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [26596] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(2480), 1,
      sym_identifier,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2113), 1,
      sym__default_formal_parameter,
    STATE(2114), 1,
      sym_formal_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(723), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [26725] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(736), 1,
      aux_sym__expression_repeat1,
    STATE(877), 1,
      sym_cascade_section,
    ACTIONS(2706), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(724), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2704), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2702), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_else,
  [26794] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(2480), 1,
      sym_identifier,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2114), 1,
      sym_formal_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2501), 1,
      sym__default_formal_parameter,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(725), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [26923] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2589), 1,
      anon_sym_QMARK,
    STATE(768), 1,
      sym__nullable_type,
    STATE(726), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2584), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [26990] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2609), 1,
      anon_sym_GT_GT,
    STATE(263), 1,
      sym_shift_operator,
    STATE(1197), 1,
      sym__shift_operator,
    ACTIONS(2606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(727), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(1919), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1917), 22,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [27061] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2711), 1,
      anon_sym_QMARK,
    STATE(788), 1,
      sym__nullable_type,
    STATE(728), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2709), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [27128] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2718), 1,
      anon_sym_QMARK,
    STATE(754), 1,
      sym__nullable_type,
    STATE(729), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2716), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [27195] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(323), 1,
      sym_multiplicative_operator,
    STATE(740), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(730), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2614), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2612), 21,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [27268] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(2727), 1,
      sym__exclamation_operator,
    ACTIONS(2729), 1,
      anon_sym_DOT,
    ACTIONS(2731), 1,
      anon_sym_QMARK_DOT,
    STATE(659), 1,
      sym_index_selector,
    STATE(675), 1,
      sym__assignable_selector,
    STATE(762), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1229), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2477), 1,
      sym__nullable_type,
    STATE(674), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(731), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2110), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [27365] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(2727), 1,
      sym__exclamation_operator,
    ACTIONS(2729), 1,
      anon_sym_DOT,
    ACTIONS(2731), 1,
      anon_sym_QMARK_DOT,
    STATE(659), 1,
      sym_index_selector,
    STATE(675), 1,
      sym__assignable_selector,
    STATE(758), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1229), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2477), 1,
      sym__nullable_type,
    STATE(674), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(732), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2161), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2153), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [27462] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(263), 1,
      sym_shift_operator,
    STATE(727), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(733), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2668), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2666), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [27531] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1320), 1,
      sym_increment_operator,
    ACTIONS(1327), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(734), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1325), 9,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1314), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [27602] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2116), 1,
      anon_sym_QMARK,
    ACTIONS(2119), 1,
      anon_sym_LT,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(2727), 1,
      sym__exclamation_operator,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DOT,
    ACTIONS(2737), 1,
      anon_sym_QMARK_DOT,
    STATE(779), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1192), 1,
      sym__assignable_selector,
    STATE(1200), 1,
      sym_index_selector,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1229), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2381), 1,
      sym__nullable_type,
    STATE(735), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1201), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2122), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2110), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [27699] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(877), 1,
      sym_cascade_section,
    ACTIONS(2743), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(736), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(2741), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2739), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_else,
  [27766] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2155), 1,
      anon_sym_QMARK,
    ACTIONS(2158), 1,
      anon_sym_LT,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(2727), 1,
      sym__exclamation_operator,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DOT,
    ACTIONS(2737), 1,
      anon_sym_QMARK_DOT,
    STATE(773), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1192), 1,
      sym__assignable_selector,
    STATE(1200), 1,
      sym_index_selector,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1229), 1,
      sym_argument_part,
    STATE(1560), 1,
      sym__assignable_selector_part,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2381), 1,
      sym__nullable_type,
    STATE(737), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1201), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2161), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2153), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [27863] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2746), 1,
      anon_sym_QMARK,
    ACTIONS(2749), 1,
      anon_sym_LT,
    STATE(800), 1,
      sym_type_arguments,
    STATE(897), 1,
      sym__nullable_type,
    STATE(738), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2628), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2620), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [27934] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    ACTIONS(2505), 1,
      anon_sym_LT,
    STATE(741), 1,
      aux_sym_cascade_section_repeat1,
    STATE(979), 1,
      sym_argument_part,
    STATE(986), 1,
      sym_arguments,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(739), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1686), 5,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1684), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [28009] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(323), 1,
      sym_multiplicative_operator,
    STATE(750), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(740), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2700), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2698), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [28078] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    ACTIONS(2505), 1,
      anon_sym_LT,
    STATE(713), 1,
      aux_sym_cascade_section_repeat1,
    STATE(979), 1,
      sym_argument_part,
    STATE(986), 1,
      sym_arguments,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(741), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1676), 5,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1674), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [28153] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2752), 1,
      anon_sym_LPAREN,
    ACTIONS(2755), 1,
      anon_sym_QMARK,
    STATE(797), 1,
      sym_parameter_type_list,
    STATE(918), 1,
      sym__nullable_type,
    STATE(742), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2596), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [28224] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2601), 1,
      anon_sym_QMARK,
    STATE(756), 1,
      sym__nullable_type,
    STATE(743), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2596), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [28291] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2758), 1,
      sym__additive_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(744), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(1836), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1834), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [28358] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2752), 1,
      anon_sym_LPAREN,
    ACTIONS(2755), 1,
      anon_sym_QMARK,
    STATE(747), 1,
      sym__nullable_type,
    STATE(797), 1,
      sym_parameter_type_list,
    STATE(745), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2596), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [28429] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2761), 1,
      anon_sym_LPAREN,
    ACTIONS(2765), 1,
      anon_sym_QMARK,
    STATE(797), 1,
      sym_parameter_type_list,
    STATE(918), 1,
      sym__nullable_type,
    STATE(746), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2663), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2652), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [28500] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2769), 1,
      anon_sym_LPAREN,
    ACTIONS(2772), 1,
      anon_sym_QMARK,
    STATE(778), 1,
      sym_parameter_type_list,
    STATE(926), 1,
      sym__nullable_type,
    STATE(747), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2584), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [28571] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2777), 1,
      anon_sym_DOT,
    STATE(806), 1,
      sym__type_dot_identifier,
    STATE(748), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(2775), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [28638] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(247), 1,
      sym_additive_operator,
    STATE(744), 1,
      aux_sym_additive_expression_repeat1,
    STATE(749), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2782), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2780), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [28705] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2637), 1,
      anon_sym_SLASH,
    STATE(323), 1,
      sym_multiplicative_operator,
    STATE(1159), 1,
      sym__multiplicative_operator,
    ACTIONS(2634), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(750), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(2632), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2630), 21,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [28776] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(751), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2786), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2784), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [28838] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2788), 1,
      anon_sym_PIPE_PIPE,
    STATE(752), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(1935), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1933), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [28902] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2791), 1,
      anon_sym_CARET,
    STATE(753), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(1805), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1803), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [28966] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(754), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2796), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2794), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [29028] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(755), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2800), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2798), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [29090] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(756), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2584), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [29152] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(764), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(757), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2804), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2802), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [29216] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(2727), 1,
      sym__exclamation_operator,
    ACTIONS(2729), 1,
      anon_sym_DOT,
    ACTIONS(2731), 1,
      anon_sym_QMARK_DOT,
    STATE(659), 1,
      sym_index_selector,
    STATE(660), 1,
      sym__assignable_selector,
    STATE(767), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1229), 1,
      sym_argument_part,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2477), 1,
      sym__nullable_type,
    STATE(674), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(758), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2270), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [29310] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(759), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2808), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2806), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [29372] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(760), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2812), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2810), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [29434] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(761), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2816), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2814), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [29496] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(2727), 1,
      sym__exclamation_operator,
    ACTIONS(2729), 1,
      anon_sym_DOT,
    ACTIONS(2731), 1,
      anon_sym_QMARK_DOT,
    STATE(659), 1,
      sym_index_selector,
    STATE(660), 1,
      sym__assignable_selector,
    STATE(767), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1229), 1,
      sym_argument_part,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2477), 1,
      sym__nullable_type,
    STATE(674), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(762), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2288), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2280), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [29590] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(753), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(763), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2820), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2818), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [29654] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2822), 1,
      anon_sym_AMP,
    STATE(764), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(1832), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1830), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [29718] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(782), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(765), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2827), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2825), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [29782] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(780), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(766), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2831), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2829), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [29846] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2204), 1,
      anon_sym_QMARK,
    ACTIONS(2207), 1,
      anon_sym_LT,
    ACTIONS(2833), 1,
      anon_sym_LBRACK,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      sym__exclamation_operator,
    ACTIONS(2842), 1,
      anon_sym_DOT,
    ACTIONS(2845), 1,
      anon_sym_QMARK_DOT,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1257), 1,
      sym_index_selector,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2368), 1,
      sym__nullable_type,
    STATE(1229), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(1255), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(767), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
    ACTIONS(2210), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2196), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [29936] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(768), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2709), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [29998] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2758), 1,
      sym__additive_operator,
    STATE(260), 1,
      sym_additive_operator,
    STATE(769), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(1836), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1834), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [30064] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(752), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(770), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2850), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2848), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [30128] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2854), 1,
      anon_sym_QMARK,
    STATE(886), 1,
      sym__nullable_type,
    STATE(771), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2852), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [30194] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2755), 1,
      anon_sym_QMARK,
    STATE(918), 1,
      sym__nullable_type,
    STATE(772), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2596), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [30260] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(2727), 1,
      sym__exclamation_operator,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DOT,
    ACTIONS(2737), 1,
      anon_sym_QMARK_DOT,
    STATE(767), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1168), 1,
      sym__assignable_selector,
    STATE(1200), 1,
      sym_index_selector,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1229), 1,
      sym_argument_part,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2381), 1,
      sym__nullable_type,
    STATE(773), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1201), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2278), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2270), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [30354] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(774), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2716), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [30416] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(775), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1975), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [30478] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1320), 1,
      sym_increment_operator,
    ACTIONS(1327), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(776), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1325), 11,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1314), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [30548] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(2480), 1,
      sym_identifier,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2487), 1,
      sym_formal_parameter,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(777), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [30674] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2859), 1,
      anon_sym_QMARK,
    STATE(822), 1,
      sym__nullable_type,
    STATE(778), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2709), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [30740] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2285), 1,
      anon_sym_LT,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(2727), 1,
      sym__exclamation_operator,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DOT,
    ACTIONS(2737), 1,
      anon_sym_QMARK_DOT,
    STATE(767), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1168), 1,
      sym__assignable_selector,
    STATE(1200), 1,
      sym_index_selector,
    STATE(1226), 1,
      sym_arguments,
    STATE(1227), 1,
      sym_selector,
    STATE(1229), 1,
      sym_argument_part,
    STATE(2357), 1,
      sym_type_arguments,
    STATE(2381), 1,
      sym__nullable_type,
    STATE(779), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1201), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2288), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2280), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [30834] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2862), 1,
      anon_sym_AMP_AMP,
    STATE(780), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(1931), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1929), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [30898] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(781), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1937), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [30960] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2865), 1,
      anon_sym_PIPE,
    STATE(782), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(1797), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1795), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [31024] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1028), 1,
      sym_cascade_section,
    ACTIONS(2868), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(783), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(2741), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2739), 22,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [31090] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(783), 1,
      aux_sym__expression_repeat1,
    STATE(1028), 1,
      sym_cascade_section,
    ACTIONS(2871), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(784), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2704), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2702), 22,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [31158] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    ACTIONS(2874), 1,
      anon_sym_QMARK,
    ACTIONS(2877), 1,
      anon_sym_LT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    ACTIONS(1314), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1325), 2,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    STATE(785), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1318), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1320), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [31232] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(786), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2883), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2881), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [31294] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(803), 1,
      aux_sym__if_null_expression,
    STATE(787), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2887), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2885), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [31358] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(788), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2891), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2889), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [31420] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(789), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1746), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1748), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [31482] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(790), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1967), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [31544] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(2480), 1,
      sym_identifier,
    STATE(981), 1,
      sym__metadata,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1505), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1928), 1,
      sym__simple_formal_parameter,
    STATE(1931), 1,
      sym__normal_formal_parameter,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(2009), 1,
      sym__final_const_var_or_type,
    STATE(2080), 1,
      sym_formal_parameter,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(791), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1930), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [31670] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(792), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2895), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2893), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [31732] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(793), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1971), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [31794] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(794), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2899), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2897), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [31856] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2901), 1,
      anon_sym_DOT,
    STATE(855), 1,
      sym__type_dot_identifier,
    STATE(795), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2775), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [31922] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(260), 1,
      sym_additive_operator,
    STATE(769), 1,
      aux_sym_additive_expression_repeat1,
    STATE(796), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2782), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2780), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [31988] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2772), 1,
      anon_sym_QMARK,
    STATE(926), 1,
      sym__nullable_type,
    STATE(797), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2584), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [32054] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(798), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1963), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [32116] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1947), 1,
      sym_increment_operator,
    STATE(799), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1943), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [32180] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2904), 1,
      anon_sym_QMARK,
    STATE(912), 1,
      sym__nullable_type,
    STATE(800), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2716), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [32246] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(801), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2909), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2907), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [32308] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1961), 1,
      sym_increment_operator,
    STATE(802), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1943), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [32372] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2913), 1,
      anon_sym_QMARK_QMARK,
    STATE(803), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2916), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2911), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [32436] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(804), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2920), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2918), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [32498] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(805), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2924), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2922), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [32560] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(806), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2926), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [32622] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2930), 1,
      anon_sym_Function,
    STATE(807), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2852), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [32686] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(808), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2934), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2932), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [32748] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(809), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2938), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2936), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [32810] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1955), 1,
      sym_increment_operator,
    STATE(810), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1957), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1951), 26,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [32874] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2877), 1,
      anon_sym_LT,
    ACTIONS(2943), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    ACTIONS(2940), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(811), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2874), 3,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1318), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1320), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [32946] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(812), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2949), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2947), 28,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [33008] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(813), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2953), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2951), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33069] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(814), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1943), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33130] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(815), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2957), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2955), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(816), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2961), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2959), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33252] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(817), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2965), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2963), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33313] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(818), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2899), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2897), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [33374] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(819), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2614), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2612), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33435] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(820), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2895), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2893), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [33496] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(821), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2969), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2967), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33557] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(822), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2891), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2889), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [33618] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(823), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2883), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2881), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [33679] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(824), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2973), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2971), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33740] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(825), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2977), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2975), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33801] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(898), 1,
      aux_sym__if_null_expression,
    STATE(826), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2887), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2885), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [33864] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(827), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2981), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2979), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33925] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(828), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2985), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2983), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33986] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(903), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(829), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2850), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2848), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [34049] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(907), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(830), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2831), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2829), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [34112] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(917), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(831), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2827), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2825), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [34175] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(919), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(832), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2820), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2818), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [34238] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(833), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1953), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1955), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34299] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(921), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(834), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2804), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2802), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [34362] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(835), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2989), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2987), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(836), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2993), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2991), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34484] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(837), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2997), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2995), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34545] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(838), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1937), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34606] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(839), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(996), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(994), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(840), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3001), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2999), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34728] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(841), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2812), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2810), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [34789] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(842), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3005), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3003), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34850] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(843), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3009), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3007), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34911] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(844), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2920), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2918), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [34972] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(845), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3013), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3011), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35033] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(846), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2938), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2936), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [35094] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(847), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3017), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3015), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35155] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(848), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3021), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3019), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35216] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(849), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3025), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3023), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35277] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(850), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3029), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3027), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(851), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1937), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35399] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(852), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3033), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3031), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35460] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(853), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1963), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35521] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2930), 1,
      anon_sym_Function,
    STATE(854), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2852), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35584] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(855), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2926), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [35645] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(856), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1118), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1116), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35706] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(857), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3037), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3035), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35767] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(858), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1967), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35828] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(859), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1971), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35889] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_QMARK_DOT,
    STATE(172), 1,
      sym__assignment_operator,
    STATE(714), 1,
      aux_sym_cascade_section_repeat2,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(870), 1,
      sym__cascade_assignment_section,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(1038), 1,
      sym_index_selector,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(860), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1116), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [35974] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(861), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3041), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3039), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36035] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(862), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1325), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1314), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36096] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(863), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1975), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [36157] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(864), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3045), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3043), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36218] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(865), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2909), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2907), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [36279] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(866), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1998), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36340] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(867), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2632), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2630), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36401] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(868), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3047), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36462] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(869), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3053), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3051), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36523] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(870), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1292), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1290), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36584] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(871), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1734), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1706), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36645] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(872), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2110), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36706] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(873), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3057), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3055), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36767] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3059), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(874), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1953), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3062), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1955), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36832] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1334), 1,
      anon_sym_DOT,
    ACTIONS(2874), 1,
      anon_sym_QMARK,
    ACTIONS(2877), 1,
      anon_sym_LT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    ACTIONS(1314), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1325), 2,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    STATE(875), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1318), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1320), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [36905] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(876), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3067), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3065), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36966] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(877), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3071), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3069), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37027] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(878), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3075), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3073), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37088] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(879), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1975), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37149] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(880), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1971), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37210] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1943), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3077), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(881), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1959), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1961), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37277] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_QMARK_DOT,
    STATE(172), 1,
      sym__assignment_operator,
    STATE(714), 1,
      aux_sym_cascade_section_repeat2,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(857), 1,
      sym__cascade_assignment_section,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(1038), 1,
      sym_index_selector,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(882), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1290), 10,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [37362] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3080), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(883), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1945), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3083), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1947), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37427] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3086), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(884), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1959), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3077), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1961), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37492] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(885), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3091), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3089), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37553] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(886), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3095), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3093), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37614] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1947), 1,
      sym_increment_operator,
    STATE(887), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1943), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [37677] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2877), 1,
      anon_sym_LT,
    ACTIONS(2943), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    ACTIONS(2940), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(888), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2874), 3,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1318), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1320), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [37748] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(889), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3099), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3097), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37809] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1955), 1,
      sym_increment_operator,
    STATE(890), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1957), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1951), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [37872] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(891), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2270), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37933] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(892), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3103), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3101), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37994] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(893), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3107), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3105), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [38055] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1943), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3083), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(894), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1945), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1947), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [38122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(895), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3109), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [38183] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1961), 1,
      sym_increment_operator,
    STATE(896), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1943), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [38246] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(897), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2716), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [38307] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3113), 1,
      anon_sym_QMARK_QMARK,
    STATE(898), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2916), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2911), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [38370] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(899), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3118), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3116), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [38431] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3120), 1,
      anon_sym_QMARK,
    STATE(955), 1,
      sym__nullable_type,
    STATE(900), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2852), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [38496] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(901), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1963), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [38557] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(902), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1967), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [38618] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    STATE(903), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(1935), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1933), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [38681] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1951), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3062), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(904), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1957), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1953), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1955), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [38748] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(905), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2949), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2947), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [38809] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(906), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2934), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2932), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [38870] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3126), 1,
      anon_sym_AMP_AMP,
    STATE(907), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(1931), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1929), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [38933] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(908), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2924), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2922), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [38994] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(909), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3131), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3129), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [39055] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(910), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3135), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3133), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [39116] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(911), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3139), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3137), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [39177] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(912), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2796), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2794), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [39238] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(913), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2800), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2798), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [39299] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(914), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3143), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3141), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [39360] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(915), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3145), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [39421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(916), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3151), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3149), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [39482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3153), 1,
      anon_sym_PIPE,
    STATE(917), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(1797), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1795), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [39545] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(918), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2584), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [39606] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3156), 1,
      anon_sym_CARET,
    STATE(919), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(1805), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1803), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [39669] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(920), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2808), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2806), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [39730] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3159), 1,
      anon_sym_AMP,
    STATE(921), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(1832), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1830), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [39793] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(922), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3164), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3162), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [39854] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(923), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2002), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [39915] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(924), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2816), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2814), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [39976] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(925), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2786), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2784), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [40037] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(926), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2709), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [40098] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(927), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3168), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3166), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [40159] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(928), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1911), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [40220] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(929), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3172), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3170), 27,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [40281] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(219), 1,
      sym__assignment_operator,
    STATE(713), 1,
      aux_sym_cascade_section_repeat1,
    STATE(979), 1,
      sym_argument_part,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(986), 1,
      sym_arguments,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1085), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1313), 1,
      sym__assignable_selector,
    STATE(1555), 1,
      sym__cascade_assignment_section,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(930), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1118), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1116), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [40367] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(931), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1054), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1052), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(932), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3091), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3089), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40487] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(933), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3041), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3039), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40547] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(934), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1998), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40607] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(935), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1963), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(936), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1967), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40727] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(937), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1911), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40787] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(938), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2973), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2971), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40847] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(939), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2961), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2959), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40907] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(940), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2632), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2630), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40967] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(941), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2965), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2963), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41027] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(942), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2002), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41087] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(943), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3109), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41147] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(944), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2018), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41207] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(945), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3145), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41267] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(946), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1746), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1748), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41327] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(947), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2018), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41387] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(948), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3001), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2999), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41447] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(949), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(996), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(994), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41507] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(950), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2002), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41567] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(951), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2989), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2987), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41627] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(219), 1,
      sym__assignment_operator,
    STATE(930), 1,
      aux_sym_cascade_section_repeat1,
    STATE(979), 1,
      sym_argument_part,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(986), 1,
      sym_arguments,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1104), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1313), 1,
      sym__assignable_selector,
    STATE(1551), 1,
      sym__cascade_assignment_section,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(952), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1114), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1108), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [41713] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1951), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3062), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(953), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1957), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1953), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1955), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41779] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(954), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3168), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3166), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41839] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(955), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3095), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3093), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41899] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(956), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2953), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2951), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41959] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(957), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2969), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2967), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42019] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(958), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1292), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1290), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42079] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(959), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2614), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2612), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42139] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(960), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3025), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3023), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42199] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(961), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1937), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42259] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(962), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2008), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2006), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42319] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(963), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2008), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2006), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42379] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(964), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3099), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3097), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42439] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(965), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3131), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3129), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42499] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(966), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3143), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3141), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42559] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(967), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3164), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3162), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42619] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(968), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3151), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3149), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42679] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(969), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2028), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2026), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42739] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(970), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2993), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2991), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42799] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(971), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2014), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42859] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(972), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3037), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3035), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42919] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(973), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2997), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2995), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42979] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(974), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2064), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2062), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [43039] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(975), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2096), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2094), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [43099] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(976), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2032), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2030), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43159] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(977), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3135), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3133), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43219] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(978), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2092), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2090), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [43279] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(979), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1996), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1994), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43339] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(980), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2012), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2010), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43399] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(2480), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1423), 1,
      sym__metadata,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1503), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1950), 1,
      sym__declared_identifier,
    STATE(1970), 1,
      sym__simple_formal_parameter,
    STATE(1998), 1,
      sym__final_const_var_or_type,
    STATE(2131), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2627), 1,
      sym_this,
    STATE(2628), 1,
      sym_super,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(981), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1967), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [43519] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(982), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3139), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3137), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43579] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(983), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2014), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43639] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(984), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3118), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3116), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43699] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(985), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3172), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3170), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43759] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(986), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1998), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43819] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(987), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2977), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2975), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43879] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(988), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3047), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43939] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(989), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3053), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3051), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43999] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(990), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3029), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3027), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44059] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1110), 1,
      anon_sym_EQ,
    ACTIONS(1292), 1,
      anon_sym_async,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_QMARK_DOT,
    STATE(232), 1,
      sym__assignment_operator,
    STATE(714), 1,
      aux_sym_cascade_section_repeat2,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1550), 1,
      sym__cascade_assignment_section,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(991), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1290), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1112), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44147] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(992), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1943), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44207] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1110), 1,
      anon_sym_EQ,
    ACTIONS(1118), 1,
      anon_sym_async,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_QMARK_DOT,
    STATE(232), 1,
      sym__assignment_operator,
    STATE(714), 1,
      aux_sym_cascade_section_repeat2,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1555), 1,
      sym__cascade_assignment_section,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(993), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1116), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1112), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44295] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(994), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3075), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3073), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44355] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(995), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2076), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2074), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [44415] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(996), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2072), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2070), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [44475] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(997), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3067), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3065), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44535] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(998), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(989), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(987), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44595] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(999), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2068), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2066), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [44655] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1000), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3057), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3055), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44715] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1001), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3103), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3101), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44775] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1002), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2044), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2042), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [44835] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1003), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2056), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2054), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [44895] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1004), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1118), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1116), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44955] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1005), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3033), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3031), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45015] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1006), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1325), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1314), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45075] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1007), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2052), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2050), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [45135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1008), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1953), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1955), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45195] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1009), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1734), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1706), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45255] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1010), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2957), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2955), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45315] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1943), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3077), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1011), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1959), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1961), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45381] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1943), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3083), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1012), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1945), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1947), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45447] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1013), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2110), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45507] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1014), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2981), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2979), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45567] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1015), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3045), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3043), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45627] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1016), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2080), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2078), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [45687] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1017), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3013), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3011), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45747] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1018), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2104), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2102), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [45807] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1019), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2108), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2106), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [45867] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1020), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2100), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2098), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [45927] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1021), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2048), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2046), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [45987] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1022), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2088), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2086), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [46047] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1023), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2084), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2082), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [46107] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1024), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2060), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2058), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [46167] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1025), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1975), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46227] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1026), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3005), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3003), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46287] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1027), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3009), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3007), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46347] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1028), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3071), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3069), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46407] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1029), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2985), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2983), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46467] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1030), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1971), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46527] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1031), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3017), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3015), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46587] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1032), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3021), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3019), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46647] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1033), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3107), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3105), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46707] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1034), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2270), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46767] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3086), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1035), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3077), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1959), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1961), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46831] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1036), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1937), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46891] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3080), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1037), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3083), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1945), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1947), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46955] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1038), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1975), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47015] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1039), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1971), 30,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47075] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1040), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1963), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1041), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1967), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47195] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3059), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1042), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3062), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1953), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1955), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47259] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1911), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1043), 2,
      sym_comment,
      sym_documentation_comment,
  [47378] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1044), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2018), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AT,
    ACTIONS(2020), 28,
      anon_sym_QMARK,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [47437] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(321), 1,
      sym_multiplicative_operator,
    STATE(1047), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1045), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2614), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2612), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [47506] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1834), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1046), 2,
      sym_comment,
      sym_documentation_comment,
  [47625] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(321), 1,
      sym_multiplicative_operator,
    STATE(1059), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1047), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2700), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2698), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [47694] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1917), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1048), 2,
      sym_comment,
      sym_documentation_comment,
  [47813] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1809), 1,
      anon_sym_QMARK,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1811), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1814), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(1049), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1807), 5,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
  [47924] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1050), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2006), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AT,
    ACTIONS(2008), 28,
      anon_sym_QMARK,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [47983] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1051), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2014), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AT,
    ACTIONS(2016), 28,
      anon_sym_QMARK,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [48042] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1933), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1052), 2,
      sym_comment,
      sym_documentation_comment,
  [48161] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1053), 2,
      sym_comment,
      sym_documentation_comment,
  [48280] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1821), 1,
      anon_sym_QMARK,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    ACTIONS(3190), 1,
      sym_equality_operator,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1054), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1819), 4,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [48393] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1826), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1055), 2,
      sym_comment,
      sym_documentation_comment,
  [48512] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1830), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1056), 2,
      sym_comment,
      sym_documentation_comment,
  [48631] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1057), 2,
      sym_comment,
      sym_documentation_comment,
  [48750] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1736), 1,
      anon_sym_is,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1795), 1,
      anon_sym_COLON,
    ACTIONS(3174), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3176), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3184), 1,
      anon_sym_PIPE,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3188), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1448), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1449), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1454), 1,
      aux_sym__if_null_expression,
    STATE(1483), 1,
      sym_type_test,
    STATE(1488), 1,
      sym_type_cast,
    STATE(1629), 1,
      sym_as_operator,
    STATE(1631), 1,
      sym_is_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1058), 2,
      sym_comment,
      sym_documentation_comment,
  [48869] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2637), 1,
      anon_sym_SLASH,
    STATE(321), 1,
      sym_multiplicative_operator,
    STATE(1159), 1,
      sym__multiplicative_operator,
    ACTIONS(2634), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(1059), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(2632), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2630), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48936] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3195), 1,
      anon_sym_PIPE,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3199), 1,
      anon_sym_DOT,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(321), 1,
      sym_multiplicative_operator,
    STATE(505), 1,
      sym_unconditional_assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(1047), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2327), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1060), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [49048] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3195), 1,
      anon_sym_PIPE,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3201), 1,
      anon_sym_DOT,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(321), 1,
      sym_multiplicative_operator,
    STATE(505), 1,
      sym_unconditional_assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(1047), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2327), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1061), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [49160] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2329), 1,
      anon_sym_LBRACK,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3203), 1,
      anon_sym_PIPE,
    ACTIONS(3205), 1,
      anon_sym_AMP,
    ACTIONS(3207), 1,
      anon_sym_DOT,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(320), 1,
      sym_multiplicative_operator,
    STATE(525), 1,
      sym_index_selector,
    STATE(536), 1,
      sym_unconditional_assignable_selector,
    STATE(1074), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(2423), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1062), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [49272] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3209), 1,
      anon_sym_PIPE,
    ACTIONS(3211), 1,
      anon_sym_AMP,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(722), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(775), 1,
      sym_index_selector,
    STATE(810), 1,
      sym_unconditional_assignable_selector,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2358), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1063), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [49384] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(2221), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_AMP,
    ACTIONS(3219), 1,
      anon_sym_DOT,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(323), 1,
      sym_multiplicative_operator,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(740), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(863), 1,
      sym_index_selector,
    STATE(890), 1,
      sym_unconditional_assignable_selector,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2407), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1064), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [49496] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1065), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3095), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3093), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_with,
      anon_sym_implements,
  [49554] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3199), 1,
      anon_sym_DOT,
    ACTIONS(3221), 1,
      anon_sym_PIPE,
    ACTIONS(3223), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(505), 1,
      sym_unconditional_assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(1094), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(2327), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1066), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [49666] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    ACTIONS(2729), 1,
      anon_sym_DOT,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3225), 1,
      anon_sym_PIPE,
    ACTIONS(3227), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(319), 1,
      sym_multiplicative_operator,
    STATE(659), 1,
      sym_index_selector,
    STATE(667), 1,
      sym_unconditional_assignable_selector,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1342), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(2477), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1067), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [49778] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2637), 1,
      anon_sym_SLASH,
    STATE(320), 1,
      sym_multiplicative_operator,
    STATE(1159), 1,
      sym__multiplicative_operator,
    ACTIONS(2634), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(1068), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(2632), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2630), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [49844] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3195), 1,
      anon_sym_PIPE,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_DOT,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(321), 1,
      sym_multiplicative_operator,
    STATE(505), 1,
      sym_unconditional_assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(1047), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2327), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1069), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [49956] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1716), 1,
      sym_equality_operator,
    ACTIONS(1724), 1,
      anon_sym_CARET,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3199), 1,
      anon_sym_DOT,
    ACTIONS(3209), 1,
      anon_sym_PIPE,
    ACTIONS(3211), 1,
      anon_sym_AMP,
    STATE(245), 1,
      sym_relational_operator,
    STATE(246), 1,
      sym_shift_operator,
    STATE(247), 1,
      sym_additive_operator,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(505), 1,
      sym_unconditional_assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(716), 1,
      aux_sym_shift_expression_repeat1,
    STATE(722), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(749), 1,
      aux_sym_additive_expression_repeat1,
    STATE(757), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(763), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(765), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2327), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1070), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [50068] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3195), 1,
      anon_sym_PIPE,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3231), 1,
      anon_sym_DOT,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(321), 1,
      sym_multiplicative_operator,
    STATE(505), 1,
      sym_unconditional_assignable_selector,
    STATE(510), 1,
      sym_index_selector,
    STATE(1047), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2327), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1071), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [50180] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      sym_equality_operator,
    ACTIONS(2428), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3195), 1,
      anon_sym_PIPE,
    ACTIONS(3197), 1,
      anon_sym_AMP,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    STATE(297), 1,
      sym_relational_operator,
    STATE(298), 1,
      sym_shift_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(321), 1,
      sym_multiplicative_operator,
    STATE(775), 1,
      sym_index_selector,
    STATE(810), 1,
      sym_unconditional_assignable_selector,
    STATE(1047), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1116), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1153), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1171), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1173), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1174), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2358), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1072), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [50292] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2519), 1,
      sym_equality_operator,
    ACTIONS(2523), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    ACTIONS(3221), 1,
      anon_sym_PIPE,
    ACTIONS(3223), 1,
      anon_sym_AMP,
    STATE(248), 1,
      sym_additive_operator,
    STATE(249), 1,
      sym_shift_operator,
    STATE(250), 1,
      sym_relational_operator,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(775), 1,
      sym_index_selector,
    STATE(810), 1,
      sym_unconditional_assignable_selector,
    STATE(1094), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1277), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1325), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1330), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1332), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1337), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(2358), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1073), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [50404] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(320), 1,
      sym_multiplicative_operator,
    STATE(1068), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1074), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2700), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2698), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50472] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2221), 1,
      anon_sym_LBRACK,
    ACTIONS(2468), 1,
      sym_equality_operator,
    ACTIONS(2472), 1,
      anon_sym_CARET,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3203), 1,
      anon_sym_PIPE,
    ACTIONS(3205), 1,
      anon_sym_AMP,
    ACTIONS(3219), 1,
      anon_sym_DOT,
    STATE(242), 1,
      sym_relational_operator,
    STATE(276), 1,
      sym_shift_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(320), 1,
      sym_multiplicative_operator,
    STATE(863), 1,
      sym_index_selector,
    STATE(890), 1,
      sym_unconditional_assignable_selector,
    STATE(1074), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1143), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1176), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1284), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1293), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1298), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(2407), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1075), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [50584] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DOT,
    ACTIONS(3182), 1,
      sym_equality_operator,
    ACTIONS(3186), 1,
      anon_sym_CARET,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3225), 1,
      anon_sym_PIPE,
    ACTIONS(3227), 1,
      anon_sym_AMP,
    STATE(302), 1,
      sym_relational_operator,
    STATE(304), 1,
      sym_shift_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(319), 1,
      sym_multiplicative_operator,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1179), 1,
      sym_unconditional_assignable_selector,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1200), 1,
      sym_index_selector,
    STATE(1342), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1394), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1427), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1443), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1444), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1447), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(2381), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1076), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [50696] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(320), 1,
      sym_multiplicative_operator,
    STATE(1074), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1077), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2614), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2612), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50764] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3233), 1,
      anon_sym_DOT,
    STATE(1078), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1325), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1314), 24,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [50824] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(1764), 1,
      sym_equality_operator,
    ACTIONS(1768), 1,
      anon_sym_CARET,
    ACTIONS(2329), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3207), 1,
      anon_sym_DOT,
    ACTIONS(3215), 1,
      anon_sym_PIPE,
    ACTIONS(3217), 1,
      anon_sym_AMP,
    STATE(260), 1,
      sym_additive_operator,
    STATE(263), 1,
      sym_shift_operator,
    STATE(264), 1,
      sym_relational_operator,
    STATE(323), 1,
      sym_multiplicative_operator,
    STATE(525), 1,
      sym_index_selector,
    STATE(536), 1,
      sym_unconditional_assignable_selector,
    STATE(733), 1,
      aux_sym_shift_expression_repeat1,
    STATE(740), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(796), 1,
      aux_sym_additive_expression_repeat1,
    STATE(831), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(832), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(834), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2423), 1,
      sym__nullable_type,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1079), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [50936] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    ACTIONS(3238), 1,
      anon_sym_QMARK,
    ACTIONS(3242), 1,
      anon_sym_LT,
    STATE(1107), 1,
      sym__nullable_type,
    STATE(1108), 1,
      sym_type_parameters,
    STATE(1149), 1,
      sym_parameter_type_list,
    STATE(1080), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2581), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2566), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [51005] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    ACTIONS(3246), 1,
      anon_sym_QMARK,
    ACTIONS(3249), 1,
      anon_sym_LT,
    STATE(1106), 1,
      sym__nullable_type,
    STATE(1108), 1,
      sym_type_parameters,
    STATE(1149), 1,
      sym_parameter_type_list,
    STATE(1081), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2544), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2533), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [51074] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(1094), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1082), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2614), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2612), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [51140] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1083), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2632), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2630), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51196] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3252), 1,
      anon_sym_Function,
    STATE(1081), 1,
      sym__function_builtin_identifier,
    STATE(1185), 1,
      sym__function_type_tail,
    STATE(1084), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2561), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2559), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51258] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(219), 1,
      sym__assignment_operator,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1150), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1313), 1,
      sym__assignable_selector,
    STATE(1550), 1,
      sym__cascade_assignment_section,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1085), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1292), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1290), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [51332] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3260), 1,
      anon_sym_LT,
    STATE(1121), 1,
      sym__nullable_type,
    STATE(1128), 1,
      sym_type_parameters,
    STATE(1180), 1,
      sym_parameter_type_list,
    STATE(1086), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2544), 6,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2533), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [51400] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3263), 1,
      anon_sym_Function,
    STATE(1081), 1,
      sym__function_builtin_identifier,
    STATE(1084), 1,
      aux_sym__function_type_tails,
    STATE(1185), 1,
      sym__function_type_tail,
    STATE(1087), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2557), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2555), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51464] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1088), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1953), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1955), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1089), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3265), 19,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_default,
      anon_sym_super,
      sym_case_builtin,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [51576] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1090), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3107), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3105), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51632] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1091), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2957), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2955), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51688] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1092), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2110), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51744] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1093), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2270), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51800] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(314), 1,
      sym_multiplicative_operator,
    STATE(712), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1094), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2700), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2698), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [51866] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(987), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(1095), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(996), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(994), 20,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [51924] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3263), 1,
      anon_sym_Function,
    STATE(1081), 1,
      sym__function_builtin_identifier,
    STATE(1084), 1,
      aux_sym__function_type_tails,
    STATE(1185), 1,
      sym__function_type_tail,
    STATE(1096), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2551), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2549), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51988] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3271), 1,
      anon_sym_AT,
    STATE(1278), 1,
      sym__annotation,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1097), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__metadata_repeat1,
    ACTIONS(3269), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [52048] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    STATE(1097), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1098), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    ACTIONS(3274), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [52110] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1099), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3091), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3089), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [52166] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(736), 1,
      aux_sym__expression_repeat1,
    STATE(877), 1,
      sym_cascade_section,
    ACTIONS(2130), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1100), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2704), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2702), 18,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [52228] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3276), 1,
      anon_sym_QMARK,
    ACTIONS(3280), 1,
      anon_sym_LT,
    STATE(1126), 1,
      sym__nullable_type,
    STATE(1128), 1,
      sym_type_parameters,
    STATE(1180), 1,
      sym_parameter_type_list,
    STATE(1101), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2581), 6,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2566), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [52296] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1102), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2981), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2979), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [52352] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1103), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3005), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3003), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [52408] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(219), 1,
      sym__assignment_operator,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1150), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1313), 1,
      sym__assignable_selector,
    STATE(1555), 1,
      sym__cascade_assignment_section,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1104), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1118), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1116), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [52482] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1105), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3009), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3007), 25,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [52538] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    ACTIONS(3284), 1,
      anon_sym_QMARK,
    STATE(1134), 1,
      sym_parameter_type_list,
    STATE(1194), 1,
      sym__nullable_type,
    STATE(1106), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2596), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [52602] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(1134), 1,
      sym_parameter_type_list,
    STATE(1194), 1,
      sym__nullable_type,
    STATE(1107), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2663), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2652), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [52666] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    ACTIONS(3284), 1,
      anon_sym_QMARK,
    STATE(1109), 1,
      sym__nullable_type,
    STATE(1134), 1,
      sym_parameter_type_list,
    STATE(1108), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2596), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [52730] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    ACTIONS(3291), 1,
      anon_sym_QMARK,
    STATE(1133), 1,
      sym_parameter_type_list,
    STATE(1178), 1,
      sym__nullable_type,
    STATE(1109), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2584), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [52794] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1110), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2957), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2955), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52849] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3294), 1,
      anon_sym_Function,
    STATE(1086), 1,
      sym__function_builtin_identifier,
    STATE(1115), 1,
      aux_sym__function_type_tails,
    STATE(1215), 1,
      sym__function_type_tail,
    STATE(1111), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2551), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2549), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52912] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1112), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2981), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2979), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52967] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3300), 1,
      anon_sym_DOT,
    ACTIONS(3302), 1,
      anon_sym_AT,
    STATE(1230), 1,
      sym_arguments,
    STATE(1113), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3296), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [53028] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2609), 1,
      anon_sym_GT_GT,
    STATE(298), 1,
      sym_shift_operator,
    STATE(1197), 1,
      sym__shift_operator,
    ACTIONS(2606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1114), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(1919), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1917), 20,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [53091] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3304), 1,
      anon_sym_Function,
    STATE(1086), 1,
      sym__function_builtin_identifier,
    STATE(1215), 1,
      sym__function_type_tail,
    STATE(1115), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2561), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2559), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53152] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(298), 1,
      sym_shift_operator,
    STATE(1114), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1116), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2668), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2666), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [53213] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1117), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2110), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53268] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1118), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2632), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2630), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53323] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3307), 1,
      anon_sym_QMARK,
    STATE(1167), 1,
      sym_parameter_type_list,
    STATE(1256), 1,
      sym__nullable_type,
    STATE(1119), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2584), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [53386] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3294), 1,
      anon_sym_Function,
    STATE(1086), 1,
      sym__function_builtin_identifier,
    STATE(1115), 1,
      aux_sym__function_type_tails,
    STATE(1215), 1,
      sym__function_type_tail,
    STATE(1120), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2557), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2555), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53449] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3310), 1,
      anon_sym_QMARK,
    STATE(1193), 1,
      sym_parameter_type_list,
    STATE(1219), 1,
      sym__nullable_type,
    STATE(1121), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2596), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [53512] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1122), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3091), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3089), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53567] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3313), 1,
      anon_sym_QMARK,
    ACTIONS(3316), 1,
      anon_sym_LT,
    STATE(1137), 1,
      sym_type_arguments,
    STATE(1208), 1,
      sym__nullable_type,
    STATE(1123), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2628), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2620), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [53630] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1124), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2270), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53685] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1125), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3107), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3105), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53740] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3319), 1,
      anon_sym_QMARK,
    STATE(1193), 1,
      sym_parameter_type_list,
    STATE(1219), 1,
      sym__nullable_type,
    STATE(1126), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2663), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2652), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [53803] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1127), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1953), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1955), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53858] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3310), 1,
      anon_sym_QMARK,
    STATE(1119), 1,
      sym__nullable_type,
    STATE(1193), 1,
      sym_parameter_type_list,
    STATE(1128), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2596), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [53921] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3323), 1,
      anon_sym_DOT,
    STATE(1160), 1,
      sym__type_dot_identifier,
    STATE(1129), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2775), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [53980] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1130), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3009), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3007), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54035] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1131), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3005), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3003), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54090] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3325), 1,
      anon_sym_DQUOTE,
    ACTIONS(3328), 1,
      anon_sym_SQUOTE,
    ACTIONS(3331), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3334), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3337), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(3340), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(3343), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3346), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1481), 2,
      anon_sym_QMARK,
      anon_sym_async,
    STATE(1132), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_string_literal_repeat1,
    STATE(1407), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1455), 11,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54162] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3349), 1,
      anon_sym_QMARK,
    STATE(1183), 1,
      sym__nullable_type,
    STATE(1133), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2709), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [54220] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3291), 1,
      anon_sym_QMARK,
    STATE(1178), 1,
      sym__nullable_type,
    STATE(1134), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2584), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [54278] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1135), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2909), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2907), 24,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [54332] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1320), 1,
      sym_increment_operator,
    ACTIONS(1327), 1,
      anon_sym_LT,
    ACTIONS(2490), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1136), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1325), 8,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1314), 18,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [54394] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3352), 1,
      anon_sym_QMARK,
    STATE(1207), 1,
      sym__nullable_type,
    STATE(1137), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2716), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [54452] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3359), 1,
      anon_sym_super,
    STATE(1371), 1,
      sym_super,
    STATE(1138), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3357), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3355), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [54510] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1139), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2808), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2806), 24,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [54564] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1140), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2812), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2810), 24,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [54618] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3361), 1,
      anon_sym_super,
    STATE(1026), 1,
      sym_super,
    STATE(1141), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3357), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3355), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [54676] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1630), 1,
      anon_sym_DQUOTE,
    ACTIONS(1632), 1,
      anon_sym_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1636), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1638), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1640), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1642), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1644), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(1132), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(1433), 2,
      anon_sym_QMARK,
      anon_sym_async,
    STATE(1142), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1407), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1431), 11,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54750] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(276), 1,
      sym_shift_operator,
    STATE(1152), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1143), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2668), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2666), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54810] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3363), 1,
      anon_sym_DOT,
    STATE(1241), 1,
      sym__type_dot_identifier,
    STATE(1144), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2775), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [54868] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3365), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_LT,
    STATE(1188), 1,
      sym_type_arguments,
    STATE(1231), 1,
      sym__nullable_type,
    STATE(1145), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2628), 6,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2620), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [54930] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1146), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3373), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_AT,
    ACTIONS(3371), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [54984] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3375), 1,
      anon_sym_super,
    STATE(1131), 1,
      sym_super,
    STATE(1147), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3357), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3355), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [55042] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3377), 1,
      anon_sym_super,
    STATE(842), 1,
      sym_super,
    STATE(1148), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3357), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3355), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [55100] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3284), 1,
      anon_sym_QMARK,
    STATE(1194), 1,
      sym__nullable_type,
    STATE(1149), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2596), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [55158] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1564), 1,
      anon_sym_LT,
    ACTIONS(1566), 1,
      anon_sym_QMARK,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2646), 1,
      anon_sym_DOT,
    ACTIONS(2649), 1,
      anon_sym_QMARK_DOT,
    STATE(980), 1,
      sym__cascade_subsection,
    STATE(1038), 1,
      sym_index_selector,
    STATE(1313), 1,
      sym__assignable_selector,
    STATE(2468), 1,
      sym__nullable_type,
    STATE(1039), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1150), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1559), 18,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [55230] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3379), 1,
      anon_sym_super,
    STATE(1103), 1,
      sym_super,
    STATE(1151), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3357), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3355), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [55288] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2609), 1,
      anon_sym_GT_GT,
    STATE(276), 1,
      sym_shift_operator,
    STATE(1197), 1,
      sym__shift_operator,
    ACTIONS(2606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1152), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(1919), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1917), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [55350] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1155), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1153), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2782), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2780), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1154), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3383), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3381), 17,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [55462] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2758), 1,
      sym__additive_operator,
    STATE(300), 1,
      sym_additive_operator,
    STATE(1155), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(1836), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1834), 21,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1156), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2949), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2947), 24,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [55574] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3385), 1,
      anon_sym_CARET,
    STATE(1157), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(1805), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1803), 21,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55629] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1158), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2816), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2814), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [55682] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1159), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3390), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3388), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [55735] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1160), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2926), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [55788] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2930), 1,
      anon_sym_Function,
    STATE(1161), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2852), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55843] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3392), 1,
      anon_sym_AMP,
    STATE(1162), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(1832), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1830), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55898] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1163), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2924), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2922), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [55951] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE,
    STATE(1164), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(1797), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1795), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56006] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3398), 1,
      anon_sym_AMP_AMP,
    STATE(1165), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(1931), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1929), 21,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56061] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3401), 1,
      anon_sym_PIPE_PIPE,
    STATE(1166), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(1935), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1933), 21,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56116] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3404), 1,
      anon_sym_QMARK,
    STATE(1261), 1,
      sym__nullable_type,
    STATE(1167), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2709), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [56173] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1947), 1,
      sym_increment_operator,
    STATE(1168), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1943), 19,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [56228] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1169), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2812), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2810), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [56281] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3407), 1,
      anon_sym_QMARK_QMARK,
    STATE(1170), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2916), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2911), 21,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56336] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1162), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1171), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2804), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2802), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1172), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2938), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2936), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [56444] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1157), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1173), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2820), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2818), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56499] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1164), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1174), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2827), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2825), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56554] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1165), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1175), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2831), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2829), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56609] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1212), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1176), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2782), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2780), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [56666] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1177), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2786), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2784), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [56719] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1178), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2709), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [56772] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1955), 1,
      sym_increment_operator,
    STATE(1179), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1957), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1951), 19,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [56827] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3310), 1,
      anon_sym_QMARK,
    STATE(1219), 1,
      sym__nullable_type,
    STATE(1180), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2596), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [56884] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1181), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2883), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2881), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [56937] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1166), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1182), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2850), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2848), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56992] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1183), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2891), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2889), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [57045] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1184), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3410), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [57098] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1185), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2920), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2918), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [57151] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1186), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3416), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3414), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [57204] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1187), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2895), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2893), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [57257] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3418), 1,
      anon_sym_QMARK,
    STATE(1252), 1,
      sym__nullable_type,
    STATE(1188), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2716), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [57314] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1189), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2899), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2897), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [57367] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1190), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3357), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3355), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [57420] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1191), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2949), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2947), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [57473] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1961), 1,
      sym_increment_operator,
    STATE(1192), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1943), 19,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [57528] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3307), 1,
      anon_sym_QMARK,
    STATE(1256), 1,
      sym__nullable_type,
    STATE(1193), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2584), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [57585] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1194), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2584), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [57638] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1195), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2800), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2798), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [57691] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1325), 1,
      sym__exclamation_operator,
    ACTIONS(2490), 1,
      anon_sym_DOT,
    ACTIONS(2874), 1,
      anon_sym_QMARK,
    ACTIONS(2877), 1,
      anon_sym_LT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1196), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1314), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
    ACTIONS(1318), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1320), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [57756] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1197), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3423), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3421), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [57809] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1170), 1,
      aux_sym__if_null_expression,
    STATE(1198), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2887), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2885), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [57864] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1199), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3427), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3425), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [57917] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1200), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1975), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [57970] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1201), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1971), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [58023] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1202), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2909), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2907), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [58076] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1203), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1967), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [58129] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1204), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3431), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3429), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [58182] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1205), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1963), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [58235] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1206), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3435), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3433), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [58288] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1207), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2796), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2794), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [58341] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1208), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2716), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [58394] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1209), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1937), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [58447] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3437), 1,
      anon_sym_QMARK,
    STATE(1065), 1,
      sym__nullable_type,
    STATE(1210), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2852), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [58504] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1211), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3442), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3440), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [58557] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2758), 1,
      sym__additive_operator,
    STATE(277), 1,
      sym_additive_operator,
    STATE(1212), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(1836), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1834), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58614] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1213), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2808), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2806), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [58667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1214), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2934), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2932), 23,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [58720] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1215), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2920), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2918), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [58772] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1216), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2899), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2897), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [58824] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1217), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2993), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2991), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [58876] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1218), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2997), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2995), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [58928] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1219), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2584), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [58980] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1220), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3025), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3023), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59032] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3444), 1,
      anon_sym_PIPE_PIPE,
    STATE(1221), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(1935), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1933), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [59086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1222), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(989), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(987), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59138] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1223), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1969), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1967), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59190] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1224), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1965), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1963), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59242] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1225), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1939), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1937), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59294] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1226), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1998), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59346] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1227), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3047), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59398] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3447), 1,
      anon_sym_QMARK_QMARK,
    STATE(1228), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2916), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2911), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [59452] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1229), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1949), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1943), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59504] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3452), 1,
      anon_sym_AT,
    STATE(1230), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3450), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [59556] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1231), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2716), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [59608] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3456), 1,
      anon_sym_AT,
    STATE(1232), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3454), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [59660] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1233), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1054), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1052), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [59712] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1234), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2816), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2814), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [59764] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1235), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3164), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3162), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [59816] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1236), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3041), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3039), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [59868] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3458), 1,
      anon_sym_PIPE,
    STATE(1237), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(1797), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1795), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [59922] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1949), 1,
      sym__exclamation_operator,
    ACTIONS(3077), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1238), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1943), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1959), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1961), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [59980] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1239), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3145), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [60032] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1240), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3045), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3043), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [60084] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1241), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2926), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [60136] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1242), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3013), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3011), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [60188] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3461), 1,
      anon_sym_AMP,
    STATE(1243), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(1832), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1830), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60242] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2930), 1,
      anon_sym_Function,
    STATE(1244), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2852), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60296] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3464), 1,
      anon_sym_CARET,
    STATE(1245), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(1805), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1803), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60350] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1246), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2973), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2971), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [60402] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3473), 1,
      anon_sym_LBRACK_RBRACK_EQ,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2235), 1,
      sym_binary_operator,
    STATE(2694), 1,
      sym__bitwise_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3469), 2,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    STATE(1247), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3467), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(2693), 5,
      sym_relational_operator,
      sym_bitwise_operator,
      sym_shift_operator,
      sym_additive_operator,
      sym_multiplicative_operator,
  [60482] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1248), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2965), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2963), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [60534] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1249), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2938), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2936), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [60586] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3475), 1,
      anon_sym_QMARK,
    STATE(1316), 1,
      sym__nullable_type,
    STATE(1250), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2852), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60642] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1251), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3109), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [60694] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1252), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2796), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2794), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [60746] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1253), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2985), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2983), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [60798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1254), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2786), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2784), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [60850] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1255), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1973), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1971), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [60902] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1256), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2709), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [60954] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1257), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1977), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1975), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61006] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1258), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2002), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61058] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1259), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2883), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2881), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [61110] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1260), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2018), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61162] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1261), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2891), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2889), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [61214] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1957), 1,
      sym__exclamation_operator,
    ACTIONS(3062), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1262), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1951), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1953), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1955), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [61272] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1263), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2895), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2893), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [61324] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1228), 1,
      aux_sym__if_null_expression,
    STATE(1264), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2887), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2885), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [61378] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1265), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1734), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1706), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61430] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3480), 1,
      anon_sym_LBRACK_RBRACK_EQ,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2153), 1,
      sym_binary_operator,
    STATE(2694), 1,
      sym__bitwise_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3478), 2,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    STATE(1266), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3467), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(2693), 5,
      sym_relational_operator,
      sym_bitwise_operator,
      sym_shift_operator,
      sym_additive_operator,
      sym_multiplicative_operator,
  [61510] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1267), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3168), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3166), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61562] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3482), 1,
      anon_sym_AMP_AMP,
    STATE(1268), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(1931), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1929), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [61616] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1269), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1325), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1314), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61668] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1270), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3033), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3031), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61720] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1271), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3017), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3015), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [61772] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1272), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3103), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3101), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61824] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1273), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3057), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3055), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61876] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1274), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3067), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3065), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61928] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1275), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3075), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3073), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [61980] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1276), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3021), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3019), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [62032] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(249), 1,
      sym_shift_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1292), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1277), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2668), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2666), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [62090] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3487), 1,
      anon_sym_AT,
    STATE(1278), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3485), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [62142] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1279), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2800), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2798), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [62194] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3491), 1,
      anon_sym_LBRACK_RBRACK_EQ,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2198), 1,
      sym_binary_operator,
    STATE(2694), 1,
      sym__bitwise_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3489), 2,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    STATE(1280), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3467), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(2693), 5,
      sym_relational_operator,
      sym_bitwise_operator,
      sym_shift_operator,
      sym_additive_operator,
      sym_multiplicative_operator,
  [62274] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1221), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1281), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2850), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2848), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [62328] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1282), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1911), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [62380] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1268), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1283), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2831), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2829), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [62434] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1237), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1284), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2827), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2825), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [62488] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1285), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2934), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2932), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [62540] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1949), 1,
      sym__exclamation_operator,
    ACTIONS(3083), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1286), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1943), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1945), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1947), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [62598] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1287), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2008), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2006), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [62650] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1288), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3099), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3097), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [62702] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1289), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2924), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2922), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [62754] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1290), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3131), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3129), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [62806] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1291), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3143), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3141), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [62858] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2609), 1,
      anon_sym_GT_GT,
    STATE(249), 1,
      sym_shift_operator,
    STATE(1197), 1,
      sym__shift_operator,
    ACTIONS(2606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1292), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(1919), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1917), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [62918] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1245), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1293), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2820), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2818), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [62972] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1294), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3151), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3149), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63024] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1295), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3029), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3027), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63076] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1296), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2969), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2967), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [63128] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1297), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3053), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3051), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63180] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1243), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1298), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2804), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2802), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [63234] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1299), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2614), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2612), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [63286] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1300), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3135), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3133), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [63338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1301), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3139), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3137), 22,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [63390] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1302), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2977), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2975), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63442] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1303), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2989), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2987), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63494] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1304), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3172), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3170), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63546] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1305), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(996), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(994), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63598] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1306), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3001), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2999), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63650] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1307), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1746), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1748), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63702] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1730), 1,
      anon_sym_GT_GT,
    ACTIONS(1732), 1,
      sym__additive_operator,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    ACTIONS(3471), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3495), 1,
      anon_sym_LBRACK_RBRACK_EQ,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(2150), 1,
      sym_binary_operator,
    STATE(2694), 1,
      sym__bitwise_operator,
    ACTIONS(1718), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1728), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3493), 2,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    STATE(1308), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3467), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(2693), 5,
      sym_relational_operator,
      sym_bitwise_operator,
      sym_shift_operator,
      sym_additive_operator,
      sym_multiplicative_operator,
  [63782] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1309), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2014), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63834] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1310), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3118), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3116), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63886] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1311), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2961), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2959), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [63938] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1681), 1,
      anon_sym_LT,
    ACTIONS(3497), 1,
      anon_sym_LPAREN,
    STATE(713), 1,
      aux_sym_cascade_section_repeat1,
    STATE(979), 1,
      sym_argument_part,
    STATE(986), 1,
      sym_arguments,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(1312), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1676), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1674), 18,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [64001] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1691), 1,
      anon_sym_LT,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    STATE(979), 1,
      sym_argument_part,
    STATE(986), 1,
      sym_arguments,
    STATE(1312), 1,
      aux_sym_cascade_section_repeat1,
    STATE(2476), 1,
      sym_type_arguments,
    STATE(1313), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1686), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1684), 18,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [64064] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1314), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3164), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3162), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64115] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1315), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3017), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3015), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64166] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1316), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3095), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3093), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64217] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1317), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3021), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3019), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64268] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1318), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3135), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3133), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64319] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1319), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3139), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3137), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64370] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1320), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2969), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2967), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1321), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2614), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2612), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64472] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2758), 1,
      sym__additive_operator,
    STATE(248), 1,
      sym_additive_operator,
    STATE(1322), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(1836), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1834), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [64527] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1323), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1911), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64578] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1324), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3041), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3039), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [64629] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(248), 1,
      sym_additive_operator,
    STATE(1322), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1325), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2782), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2780), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [64684] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3503), 1,
      anon_sym_PIPE_PIPE,
    STATE(1326), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(1935), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1933), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [64736] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(1495), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1513), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1827), 1,
      sym_function_signature,
    STATE(2033), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1327), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1903), 2,
      sym__get,
      sym__set,
  [64830] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2637), 1,
      anon_sym_SLASH,
    STATE(319), 1,
      sym_multiplicative_operator,
    STATE(1159), 1,
      sym__multiplicative_operator,
    ACTIONS(2634), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(1328), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(2632), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2630), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [64888] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3506), 1,
      anon_sym_AMP,
    STATE(1329), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(1832), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1830), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [64940] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1335), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1330), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2827), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2825), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [64992] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1326), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2850), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2848), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65044] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1341), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1332), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2820), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2818), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65096] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1339), 1,
      aux_sym__if_null_expression,
    STATE(1333), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2887), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2885), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65148] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3509), 1,
      anon_sym_AMP_AMP,
    STATE(1334), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(1931), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1929), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65200] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3512), 1,
      anon_sym_PIPE,
    STATE(1335), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(1797), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1795), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65252] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(319), 1,
      sym_multiplicative_operator,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1342), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1336), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2614), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2612), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [65312] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1329), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1337), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2804), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2802), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65364] = 30,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(1495), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1513), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1857), 1,
      sym_function_signature,
    STATE(2033), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1338), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1903), 2,
      sym__get,
      sym__set,
  [65458] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3515), 1,
      anon_sym_QMARK_QMARK,
    STATE(1339), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2916), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2911), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65510] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1334), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1340), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2831), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2829), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65562] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3518), 1,
      anon_sym_CARET,
    STATE(1341), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(1805), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1803), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [65614] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2618), 1,
      anon_sym_SLASH,
    STATE(319), 1,
      sym_multiplicative_operator,
    STATE(1159), 1,
      sym__multiplicative_operator,
    STATE(1328), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1342), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2616), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(2700), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2698), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [65674] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3527), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2557), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1343), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [65765] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3529), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2640), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1344), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [65856] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3531), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2705), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1345), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [65947] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3533), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2208), 1,
      sym_normal_parameter_type,
    STATE(2529), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1346), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66038] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2530), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1347), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66129] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3537), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2551), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1348), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66220] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3539), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2108), 1,
      sym_normal_parameter_type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2648), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1349), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66311] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3541), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2555), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1350), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66402] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3543), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2584), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1351), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66493] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3545), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2183), 1,
      sym_normal_parameter_type,
    STATE(2559), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1352), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66584] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(1495), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1576), 1,
      sym__late_builtin,
    STATE(1584), 1,
      sym__final_or_const,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1825), 1,
      sym__type,
    STATE(1859), 1,
      sym__get,
    STATE(1894), 1,
      sym__set,
    STATE(2036), 1,
      sym_setter_signature,
    STATE(2284), 1,
      sym_inferred_type,
    ACTIONS(3547), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1353), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1897), 2,
      sym_getter_signature,
      sym_function_signature,
  [66675] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3549), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2274), 1,
      sym_normal_parameter_type,
    STATE(2576), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1354), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66766] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3551), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2580), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1355), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66857] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3553), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2588), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1356), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [66948] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2582), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1357), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [67039] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3557), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2151), 1,
      sym_normal_parameter_type,
    STATE(2550), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1358), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [67130] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2722), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1359), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [67221] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2216), 1,
      sym_normal_parameter_type,
    STATE(2594), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1360), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [67312] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(2549), 1,
      sym_optional_parameter_types,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1361), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2649), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [67403] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1630), 1,
      anon_sym_DQUOTE,
    ACTIONS(1632), 1,
      anon_sym_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1636), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1638), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1640), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1642), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1644), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3567), 1,
      anon_sym_async,
    STATE(1142), 1,
      aux_sym_string_literal_repeat1,
    STATE(1973), 1,
      sym_string_literal,
    STATE(1362), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3565), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1407), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [67473] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3569), 1,
      anon_sym_LPAREN,
    ACTIONS(3571), 1,
      anon_sym_QMARK,
    ACTIONS(3575), 1,
      anon_sym_LT,
    STATE(1368), 1,
      sym_type_parameters,
    STATE(1376), 1,
      sym__nullable_type,
    STATE(1419), 1,
      sym_parameter_type_list,
    STATE(1363), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2581), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2566), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [67533] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3569), 1,
      anon_sym_LPAREN,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3582), 1,
      anon_sym_LT,
    STATE(1368), 1,
      sym_type_parameters,
    STATE(1380), 1,
      sym__nullable_type,
    STATE(1419), 1,
      sym_parameter_type_list,
    STATE(1364), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2544), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2533), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [67593] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1365), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2909), 11,
      anon_sym_extends,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
    ACTIONS(2907), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
  [67641] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1785), 1,
      anon_sym_factory,
    ACTIONS(1787), 1,
      anon_sym_operator,
    ACTIONS(1789), 1,
      anon_sym_static,
    ACTIONS(3585), 1,
      sym_identifier,
    ACTIONS(3588), 1,
      sym_void_type,
    ACTIONS(3591), 1,
      anon_sym_Function,
    ACTIONS(3596), 1,
      sym_const_builtin,
    STATE(1308), 1,
      sym__operator,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2019), 1,
      sym__static,
    STATE(2444), 1,
      sym__type,
    STATE(2690), 1,
      sym__factory,
    ACTIONS(3594), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1366), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2689), 4,
      sym_operator_signature,
      sym_factory_constructor_signature,
      sym_constructor_signature,
      sym_constant_constructor_signature,
  [67725] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_QMARK,
    ACTIONS(3603), 1,
      anon_sym_LT,
    STATE(1412), 1,
      sym_type_parameters,
    STATE(1434), 1,
      sym__nullable_type,
    STATE(1469), 1,
      sym_parameter_type_list,
    STATE(1367), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2533), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2544), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [67784] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3569), 1,
      anon_sym_LPAREN,
    ACTIONS(3605), 1,
      anon_sym_QMARK,
    STATE(1372), 1,
      sym__nullable_type,
    STATE(1430), 1,
      sym_parameter_type_list,
    STATE(1368), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2596), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [67839] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1369), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2632), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2630), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [67886] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3600), 1,
      anon_sym_QMARK,
    ACTIONS(3603), 1,
      anon_sym_LT,
    STATE(1408), 1,
      sym__nullable_type,
    STATE(1412), 1,
      sym_type_parameters,
    STATE(1469), 1,
      sym_parameter_type_list,
    STATE(1370), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2566), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2581), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [67945] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1371), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3005), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3003), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [67992] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3569), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_QMARK,
    STATE(1433), 1,
      sym_parameter_type_list,
    STATE(1468), 1,
      sym__nullable_type,
    STATE(1372), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2584), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [68047] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1373), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3009), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3007), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [68094] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3611), 1,
      anon_sym_Function,
    STATE(1364), 1,
      sym__function_builtin_identifier,
    STATE(1377), 1,
      aux_sym__function_type_tails,
    STATE(1476), 1,
      sym__function_type_tail,
    STATE(1374), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2551), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2549), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [68149] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1375), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2957), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2955), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [68196] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3569), 1,
      anon_sym_LPAREN,
    ACTIONS(3613), 1,
      anon_sym_QMARK,
    STATE(1430), 1,
      sym_parameter_type_list,
    STATE(1441), 1,
      sym__nullable_type,
    STATE(1376), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2663), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2652), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [68251] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3617), 1,
      anon_sym_Function,
    STATE(1364), 1,
      sym__function_builtin_identifier,
    STATE(1476), 1,
      sym__function_type_tail,
    STATE(1377), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2561), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2559), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [68304] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1378), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2981), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2979), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [68351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1379), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2122), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2110), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [68398] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3569), 1,
      anon_sym_LPAREN,
    ACTIONS(3605), 1,
      anon_sym_QMARK,
    STATE(1430), 1,
      sym_parameter_type_list,
    STATE(1441), 1,
      sym__nullable_type,
    STATE(1380), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2596), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [68453] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1381), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1953), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1955), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [68500] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3611), 1,
      anon_sym_Function,
    STATE(1364), 1,
      sym__function_builtin_identifier,
    STATE(1377), 1,
      aux_sym__function_type_tails,
    STATE(1476), 1,
      sym__function_type_tail,
    STATE(1382), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2557), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2555), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [68555] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1383), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3091), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3089), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [68602] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1384), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2278), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2270), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [68649] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1385), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3107), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3105), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [68696] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1386), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2947), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2949), 12,
      anon_sym_extends,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [68742] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3620), 1,
      anon_sym_LT,
    STATE(1481), 1,
      sym_type_arguments,
    STATE(1525), 1,
      sym__nullable_type,
    STATE(1387), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2620), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2628), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [68796] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1577), 1,
      sym__metadata,
    STATE(1593), 1,
      sym_function_type,
    STATE(1600), 1,
      sym__required,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2354), 1,
      sym__named_parameter_type,
    STATE(2506), 1,
      sym_typed_identifier,
    STATE(2678), 1,
      sym__type,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1388), 2,
      sym_comment,
      sym_documentation_comment,
  [68880] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1389), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2806), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2808), 12,
      anon_sym_extends,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [68926] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3624), 1,
      anon_sym_QMARK,
    ACTIONS(3627), 1,
      anon_sym_LT,
    STATE(1426), 1,
      sym_type_arguments,
    STATE(1440), 1,
      sym__nullable_type,
    STATE(1390), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2628), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2620), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [68980] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3630), 1,
      anon_sym_RBRACE,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1577), 1,
      sym__metadata,
    STATE(1593), 1,
      sym_function_type,
    STATE(1600), 1,
      sym__required,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2354), 1,
      sym__named_parameter_type,
    STATE(2506), 1,
      sym_typed_identifier,
    STATE(2678), 1,
      sym__type,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1391), 2,
      sym_comment,
      sym_documentation_comment,
  [69064] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2609), 1,
      anon_sym_GT_GT,
    STATE(304), 1,
      sym_shift_operator,
    STATE(1197), 1,
      sym__shift_operator,
    ACTIONS(2606), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1392), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(1919), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1917), 11,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [69118] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3632), 1,
      anon_sym_DOT,
    STATE(1436), 1,
      sym__type_dot_identifier,
    STATE(1393), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2775), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [69168] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(304), 1,
      sym_shift_operator,
    STATE(1197), 1,
      sym__shift_operator,
    STATE(1392), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1394), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2668), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2666), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [69220] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1395), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2044), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2042), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69265] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1367), 1,
      sym__function_builtin_identifier,
    STATE(1421), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1396), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2549), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2551), 9,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [69318] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1397), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2068), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2066), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69363] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1398), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2072), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2070), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1399), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2076), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2074), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69453] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1400), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2092), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2090), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69498] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1401), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2096), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2094), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69543] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1402), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2064), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2062), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69588] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1403), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2080), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2078), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69633] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1404), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2104), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2102), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69678] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1405), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2108), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2106), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69723] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1406), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2100), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2098), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69768] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1407), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2052), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2050), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69813] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3634), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_parameter_type_list,
    STATE(1502), 1,
      sym__nullable_type,
    STATE(1408), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2652), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2663), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [69866] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3637), 1,
      sym_identifier,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1919), 1,
      sym_string_literal,
    STATE(1409), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2440), 2,
      sym_uri,
      sym_dotted_identifier_list,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [69933] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1410), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2048), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2046), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [69978] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1411), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2088), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2086), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [70023] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3634), 1,
      anon_sym_QMARK,
    STATE(1424), 1,
      sym__nullable_type,
    STATE(1446), 1,
      sym_parameter_type_list,
    STATE(1412), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2596), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2604), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [70076] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1413), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2084), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2082), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [70121] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1414), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2060), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2058), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [70166] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1577), 1,
      sym__metadata,
    STATE(1593), 1,
      sym_function_type,
    STATE(1600), 1,
      sym__required,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2354), 1,
      sym__named_parameter_type,
    STATE(2506), 1,
      sym_typed_identifier,
    STATE(2678), 1,
      sym__type,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1415), 2,
      sym_comment,
      sym_documentation_comment,
  [70247] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1416), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2808), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2806), 15,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [70292] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1417), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2812), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2810), 15,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [70337] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1418), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2909), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2907), 15,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [70382] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3605), 1,
      anon_sym_QMARK,
    STATE(1441), 1,
      sym__nullable_type,
    STATE(1419), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2596), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [70431] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2758), 1,
      sym__additive_operator,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1420), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(1836), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1834), 12,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_as,
  [70480] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3639), 1,
      anon_sym_Function,
    STATE(1367), 1,
      sym__function_builtin_identifier,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1421), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2559), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2561), 9,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [70531] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1367), 1,
      sym__function_builtin_identifier,
    STATE(1421), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1422), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2555), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2557), 9,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [70584] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1513), 1,
      sym__covariant,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2095), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1423), 2,
      sym_comment,
      sym_documentation_comment,
  [70665] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3642), 1,
      anon_sym_QMARK,
    STATE(1464), 1,
      sym_parameter_type_list,
    STATE(1500), 1,
      sym__nullable_type,
    STATE(1424), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2592), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [70718] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1425), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2056), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2054), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [70763] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3645), 1,
      anon_sym_QMARK,
    STATE(1473), 1,
      sym__nullable_type,
    STATE(1426), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2716), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [70812] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(305), 1,
      sym_additive_operator,
    STATE(1420), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1427), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2782), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2780), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [70861] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1428), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2949), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2947), 15,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [70906] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1577), 1,
      sym__metadata,
    STATE(1593), 1,
      sym_function_type,
    STATE(1600), 1,
      sym__required,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2258), 1,
      sym__named_parameter_type,
    STATE(2506), 1,
      sym_typed_identifier,
    STATE(2678), 1,
      sym__type,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1429), 2,
      sym_comment,
      sym_documentation_comment,
  [70987] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3608), 1,
      anon_sym_QMARK,
    STATE(1468), 1,
      sym__nullable_type,
    STATE(1430), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2584), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [71036] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1431), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
    ACTIONS(2926), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
  [71081] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3637), 1,
      sym_identifier,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1919), 1,
      sym_string_literal,
    STATE(1432), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2522), 2,
      sym_uri,
      sym_dotted_identifier_list,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [71148] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3648), 1,
      anon_sym_QMARK,
    STATE(1482), 1,
      sym__nullable_type,
    STATE(1433), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2709), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [71197] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3634), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_parameter_type_list,
    STATE(1502), 1,
      sym__nullable_type,
    STATE(1434), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2596), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2604), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [71250] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3651), 1,
      anon_sym_CARET,
    STATE(1435), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(1805), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1803), 12,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [71296] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1436), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2926), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [71340] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3654), 1,
      anon_sym_of,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1919), 1,
      sym_string_literal,
    STATE(2458), 1,
      sym_uri,
    STATE(1437), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [71406] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1438), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2899), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2897), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [71450] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3656), 1,
      anon_sym_QMARK,
    STATE(1487), 1,
      sym__nullable_type,
    STATE(1439), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2852), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [71498] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1440), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2716), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [71542] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1441), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2584), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [71586] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1902), 1,
      sym_uri,
    STATE(1919), 1,
      sym_string_literal,
    STATE(1983), 1,
      sym_configurable_uri,
    STATE(1442), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [71652] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1453), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1443), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2804), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2802), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [71698] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1435), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1444), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2820), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2818), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [71744] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1445), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2816), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2814), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [71788] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3642), 1,
      anon_sym_QMARK,
    STATE(1500), 1,
      sym__nullable_type,
    STATE(1446), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2584), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2592), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [71836] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1456), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1447), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2827), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2825), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [71882] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1460), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1448), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2831), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2829), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [71928] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1461), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1449), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2850), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2848), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [71974] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1450), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2934), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2932), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [72018] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1451), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2924), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2922), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [72062] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1452), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2924), 9,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
    ACTIONS(2922), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
  [72106] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3659), 1,
      anon_sym_AMP,
    STATE(1453), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(1832), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1830), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [72152] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1470), 1,
      aux_sym__if_null_expression,
    STATE(1454), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2887), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2885), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [72198] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1455), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2810), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2812), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [72242] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3662), 1,
      anon_sym_PIPE,
    STATE(1456), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(1797), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1795), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [72288] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1457), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2814), 10,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2816), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [72332] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3665), 1,
      anon_sym_RBRACK,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1458), 2,
      sym_comment,
      sym_documentation_comment,
  [72410] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2930), 1,
      anon_sym_Function,
    STATE(1459), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2852), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [72456] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3667), 1,
      anon_sym_AMP_AMP,
    STATE(1460), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(1931), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1929), 12,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [72502] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3670), 1,
      anon_sym_PIPE_PIPE,
    STATE(1461), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(1935), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1933), 12,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [72548] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1462), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 8,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_this,
      sym_identifier,
    ACTIONS(2775), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SEMI,
  [72596] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1902), 1,
      sym_uri,
    STATE(1906), 1,
      sym_configurable_uri,
    STATE(1919), 1,
      sym_string_literal,
    STATE(1463), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [72662] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3675), 1,
      anon_sym_QMARK,
    STATE(1509), 1,
      sym__nullable_type,
    STATE(1464), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2709), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2714), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [72710] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1465), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2938), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2936), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [72754] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1466), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2895), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2893), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [72798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1467), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2786), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2784), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [72842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1468), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2714), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2709), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [72886] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3634), 1,
      anon_sym_QMARK,
    STATE(1502), 1,
      sym__nullable_type,
    STATE(1469), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2596), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2604), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [72934] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3678), 1,
      anon_sym_QMARK_QMARK,
    STATE(1470), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2916), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2911), 12,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [72980] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1722), 1,
      sym_uri,
    STATE(1786), 1,
      sym_configurable_uri,
    STATE(1919), 1,
      sym_string_literal,
    STATE(1471), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [73046] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3681), 1,
      anon_sym_of,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1919), 1,
      sym_string_literal,
    STATE(2349), 1,
      sym_uri,
    STATE(1472), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [73112] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1473), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2796), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2794), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [73156] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3683), 1,
      sym_identifier,
    ACTIONS(3686), 1,
      sym_void_type,
    ACTIONS(3691), 1,
      anon_sym_Function,
    ACTIONS(3694), 1,
      anon_sym_get,
    ACTIONS(3697), 1,
      anon_sym_static,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1572), 1,
      sym__static,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2438), 1,
      sym__type,
    STATE(2689), 1,
      sym_getter_signature,
    STATE(2695), 1,
      sym__get,
    STATE(1474), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3689), 4,
      anon_sym_factory,
      anon_sym_operator,
      anon_sym_set,
      sym_const_builtin,
  [73230] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1475), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2936), 10,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2938), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [73274] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1476), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2920), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2918), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [73318] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1477), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2800), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2798), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [73362] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1478), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2932), 10,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2934), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [73406] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1479), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2883), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2881), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [73450] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3700), 1,
      anon_sym_RBRACK,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1480), 2,
      sym_comment,
      sym_documentation_comment,
  [73528] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1520), 1,
      sym__nullable_type,
    STATE(1481), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2716), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2721), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [73576] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1482), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2891), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2889), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [73620] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1483), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3017), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3015), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [73663] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2095), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1484), 2,
      sym_comment,
      sym_documentation_comment,
  [73738] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1485), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3091), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3089), 15,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT,
  [73781] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1919), 1,
      sym_string_literal,
    STATE(2458), 1,
      sym_uri,
    STATE(1486), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [73844] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1487), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3095), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3093), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [73887] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1488), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3021), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3019), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [73930] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1489), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1911), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [73973] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1490), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2614), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2612), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [74016] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1919), 1,
      sym_string_literal,
    STATE(2349), 1,
      sym_uri,
    STATE(1491), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [74079] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1492), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2918), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2920), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [74122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1493), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2798), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2800), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [74165] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2270), 1,
      sym_normal_parameter_type,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1494), 2,
      sym_comment,
      sym_documentation_comment,
  [74240] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1495), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2969), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2967), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [74283] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1919), 1,
      sym_string_literal,
    STATE(2037), 1,
      sym_uri,
    STATE(1496), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [74346] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1497), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3139), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3137), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [74389] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1498), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2784), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2786), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [74432] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1499), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3135), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3133), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [74475] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1500), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2709), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2714), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [74518] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3565), 1,
      anon_sym_SEMI,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(1973), 1,
      sym_string_literal,
    STATE(1501), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [74581] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1502), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2584), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2592), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [74624] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(3702), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2631), 1,
      sym__type,
    STATE(2662), 1,
      sym__final_const_var_or_type,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1503), 2,
      sym_comment,
      sym_documentation_comment,
  [74699] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1504), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3704), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(3706), 13,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_LBRACK_RBRACK_EQ,
  [74742] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(3702), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2581), 1,
      sym__final_const_var_or_type,
    STATE(2631), 1,
      sym__type,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1505), 2,
      sym_comment,
      sym_documentation_comment,
  [74817] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1506), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2897), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2899), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [74860] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1507), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2881), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2883), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [74903] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym__metadata,
    STATE(2089), 1,
      sym__type,
    STATE(2109), 1,
      sym_typed_identifier,
    STATE(2137), 1,
      sym_normal_parameter_type,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1508), 2,
      sym_comment,
      sym_documentation_comment,
  [74978] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1509), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2889), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2891), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [75021] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3708), 1,
      sym_identifier,
    ACTIONS(3710), 1,
      anon_sym_GT,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2170), 1,
      sym_type_parameter,
    STATE(2172), 1,
      sym__type,
    STATE(2554), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1510), 2,
      sym_comment,
      sym_documentation_comment,
  [75096] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1511), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3041), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3039), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [75139] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1512), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2893), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2895), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [75182] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1562), 1,
      sym__late_builtin,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2095), 1,
      sym__type,
    STATE(2171), 1,
      sym__var_or_type,
    STATE(2626), 1,
      sym__final_const_var_or_type,
    ACTIONS(335), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1513), 2,
      sym_comment,
      sym_documentation_comment,
  [75257] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1514), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3164), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3162), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [75300] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2775), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3714), 1,
      anon_sym_LT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1777), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1515), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(1704), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [75361] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3717), 1,
      anon_sym_LBRACK,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3721), 1,
      anon_sym_DOT,
    ACTIONS(3723), 1,
      anon_sym_QMARK_DOT,
    STATE(833), 1,
      sym__assignable_selector_part,
    STATE(879), 1,
      sym_index_selector,
    STATE(884), 1,
      sym__assignable_selector,
    STATE(1546), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2396), 1,
      sym__nullable_type,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(880), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1516), 2,
      sym_comment,
      sym_documentation_comment,
  [75433] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3725), 1,
      anon_sym_LBRACK,
    ACTIONS(3727), 1,
      anon_sym_DOT,
    ACTIONS(3729), 1,
      anon_sym_QMARK_DOT,
    STATE(1238), 1,
      sym__assignable_selector,
    STATE(1257), 1,
      sym_index_selector,
    STATE(1381), 1,
      sym__assignable_selector_part,
    STATE(1534), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2368), 1,
      sym__nullable_type,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(1255), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1517), 2,
      sym_comment,
      sym_documentation_comment,
  [75505] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3731), 1,
      anon_sym_LBRACK,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    ACTIONS(3735), 1,
      anon_sym_QMARK_DOT,
    STATE(1011), 1,
      sym__assignable_selector,
    STATE(1025), 1,
      sym_index_selector,
    STATE(1127), 1,
      sym__assignable_selector_part,
    STATE(1538), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(2408), 1,
      sym__nullable_type,
    STATE(1030), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1518), 2,
      sym_comment,
      sym_documentation_comment,
  [75577] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3737), 1,
      sym_identifier,
    ACTIONS(3740), 1,
      anon_sym_LBRACE,
    ACTIONS(3742), 1,
      anon_sym_LBRACK,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1846), 1,
      sym_function_type,
    STATE(1877), 1,
      sym__type_not_function,
    STATE(2051), 1,
      sym__type_not_void,
    STATE(2162), 1,
      sym__type,
    STATE(2330), 1,
      sym_type_arguments,
    ACTIONS(3744), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(1519), 2,
      sym_comment,
      sym_documentation_comment,
  [75649] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1520), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2794), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2796), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [75691] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(423), 1,
      aux_sym_string_literal_repeat1,
    STATE(2729), 1,
      sym_string_literal,
    STATE(1521), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(566), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [75751] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3740), 1,
      anon_sym_LBRACE,
    ACTIONS(3742), 1,
      anon_sym_LBRACK,
    ACTIONS(3746), 1,
      sym_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1846), 1,
      sym_function_type,
    STATE(1877), 1,
      sym__type_not_function,
    STATE(2051), 1,
      sym__type_not_void,
    STATE(2292), 1,
      sym__type,
    STATE(2293), 1,
      sym_static_final_declaration,
    STATE(2329), 1,
      sym_static_final_declaration_list,
    STATE(2330), 1,
      sym_type_arguments,
    STATE(1522), 2,
      sym_comment,
      sym_documentation_comment,
  [75825] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(3749), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1830), 1,
      sym__get,
    STATE(1854), 1,
      sym__set,
    STATE(2025), 1,
      sym__type,
    STATE(1523), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2406), 3,
      sym_getter_signature,
      sym_setter_signature,
      sym_function_signature,
  [75895] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3731), 1,
      anon_sym_LBRACK,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    ACTIONS(3735), 1,
      anon_sym_QMARK_DOT,
    STATE(1008), 1,
      sym__assignable_selector_part,
    STATE(1025), 1,
      sym_index_selector,
    STATE(1035), 1,
      sym__assignable_selector,
    STATE(1533), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(2408), 1,
      sym__nullable_type,
    STATE(1030), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1524), 2,
      sym_comment,
      sym_documentation_comment,
  [75967] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1525), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2716), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2721), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [76009] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3717), 1,
      anon_sym_LBRACK,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3721), 1,
      anon_sym_DOT,
    ACTIONS(3723), 1,
      anon_sym_QMARK_DOT,
    STATE(879), 1,
      sym_index_selector,
    STATE(881), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym__assignable_selector_part,
    STATE(1529), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2396), 1,
      sym__nullable_type,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(880), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1526), 2,
      sym_comment,
      sym_documentation_comment,
  [76081] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3751), 1,
      sym_increment_operator,
    STATE(201), 1,
      sym__assignment_operator,
    STATE(891), 1,
      sym_postfix_operator,
    STATE(1527), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76126] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3753), 1,
      sym_increment_operator,
    STATE(171), 1,
      sym__assignment_operator,
    STATE(1384), 1,
      sym_postfix_operator,
    STATE(1528), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76171] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3717), 1,
      anon_sym_LBRACK,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3721), 1,
      anon_sym_DOT,
    ACTIONS(3723), 1,
      anon_sym_QMARK_DOT,
    STATE(879), 1,
      sym_index_selector,
    STATE(894), 1,
      sym__assignable_selector,
    STATE(1545), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2396), 1,
      sym__nullable_type,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(880), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1529), 2,
      sym_comment,
      sym_documentation_comment,
  [76240] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3751), 1,
      sym_increment_operator,
    STATE(153), 1,
      sym__assignment_operator,
    STATE(891), 1,
      sym_postfix_operator,
    STATE(1530), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76285] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3751), 1,
      sym_increment_operator,
    STATE(173), 1,
      sym__assignment_operator,
    STATE(891), 1,
      sym_postfix_operator,
    STATE(1531), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76330] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3755), 1,
      sym_increment_operator,
    STATE(182), 1,
      sym__assignment_operator,
    STATE(1034), 1,
      sym_postfix_operator,
    STATE(1532), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76375] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3731), 1,
      anon_sym_LBRACK,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    ACTIONS(3735), 1,
      anon_sym_QMARK_DOT,
    STATE(1025), 1,
      sym_index_selector,
    STATE(1037), 1,
      sym__assignable_selector,
    STATE(1545), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(2408), 1,
      sym__nullable_type,
    STATE(1030), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1533), 2,
      sym_comment,
      sym_documentation_comment,
  [76444] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3725), 1,
      anon_sym_LBRACK,
    ACTIONS(3727), 1,
      anon_sym_DOT,
    ACTIONS(3729), 1,
      anon_sym_QMARK_DOT,
    STATE(1257), 1,
      sym_index_selector,
    STATE(1286), 1,
      sym__assignable_selector,
    STATE(1545), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2368), 1,
      sym__nullable_type,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(1255), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1534), 2,
      sym_comment,
      sym_documentation_comment,
  [76513] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3751), 1,
      sym_increment_operator,
    STATE(235), 1,
      sym__assignment_operator,
    STATE(891), 1,
      sym_postfix_operator,
    STATE(1535), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76558] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3757), 1,
      sym_increment_operator,
    STATE(220), 1,
      sym__assignment_operator,
    STATE(1124), 1,
      sym_postfix_operator,
    STATE(1536), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76603] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3759), 1,
      sym_increment_operator,
    STATE(205), 1,
      sym__assignment_operator,
    STATE(1093), 1,
      sym_postfix_operator,
    STATE(1537), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76648] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3731), 1,
      anon_sym_LBRACK,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    ACTIONS(3735), 1,
      anon_sym_QMARK_DOT,
    STATE(1012), 1,
      sym__assignable_selector,
    STATE(1025), 1,
      sym_index_selector,
    STATE(1545), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(2408), 1,
      sym__nullable_type,
    STATE(1030), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1538), 2,
      sym_comment,
      sym_documentation_comment,
  [76717] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3759), 1,
      sym_increment_operator,
    STATE(233), 1,
      sym__assignment_operator,
    STATE(1093), 1,
      sym_postfix_operator,
    STATE(1539), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76762] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3751), 1,
      sym_increment_operator,
    STATE(151), 1,
      sym__assignment_operator,
    STATE(891), 1,
      sym_postfix_operator,
    STATE(1540), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76807] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3753), 1,
      sym_increment_operator,
    STATE(181), 1,
      sym__assignment_operator,
    STATE(1384), 1,
      sym_postfix_operator,
    STATE(1541), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3751), 1,
      sym_increment_operator,
    STATE(184), 1,
      sym__assignment_operator,
    STATE(891), 1,
      sym_postfix_operator,
    STATE(1542), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [76897] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(3749), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1854), 1,
      sym__set,
    STATE(1898), 1,
      sym__get,
    STATE(2027), 1,
      sym__type,
    STATE(1543), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2689), 2,
      sym_setter_signature,
      sym_function_signature,
  [76966] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3757), 1,
      sym_increment_operator,
    STATE(164), 1,
      sym__assignment_operator,
    STATE(1124), 1,
      sym_postfix_operator,
    STATE(1544), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [77011] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2204), 1,
      anon_sym_QMARK,
    ACTIONS(3761), 1,
      anon_sym_LBRACK,
    ACTIONS(3764), 1,
      anon_sym_LPAREN,
    ACTIONS(3767), 1,
      anon_sym_LT,
    ACTIONS(3770), 1,
      sym__exclamation_operator,
    ACTIONS(3773), 1,
      anon_sym_DOT,
    ACTIONS(3776), 1,
      anon_sym_QMARK_DOT,
    STATE(1852), 1,
      sym_index_selector,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2339), 1,
      sym__nullable_type,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(1851), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1856), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(1545), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
  [77076] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2503), 1,
      anon_sym_QMARK,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3717), 1,
      anon_sym_LBRACK,
    ACTIONS(3719), 1,
      sym__exclamation_operator,
    ACTIONS(3721), 1,
      anon_sym_DOT,
    ACTIONS(3723), 1,
      anon_sym_QMARK_DOT,
    STATE(879), 1,
      sym_index_selector,
    STATE(883), 1,
      sym__assignable_selector,
    STATE(1545), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1856), 1,
      sym_argument_part,
    STATE(1870), 1,
      sym_selector,
    STATE(1890), 1,
      sym_arguments,
    STATE(2396), 1,
      sym__nullable_type,
    STATE(2397), 1,
      sym_type_arguments,
    STATE(880), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1546), 2,
      sym_comment,
      sym_documentation_comment,
  [77145] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2775), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3714), 1,
      anon_sym_LT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1762), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    ACTIONS(1316), 2,
      anon_sym_Function,
      sym_identifier,
    STATE(1547), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3779), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [77204] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3755), 1,
      sym_increment_operator,
    STATE(236), 1,
      sym__assignment_operator,
    STATE(1034), 1,
      sym_postfix_operator,
    STATE(1548), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [77249] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1549), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2953), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2951), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [77289] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1550), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3037), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3035), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [77329] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1551), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1118), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1116), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [77369] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1552), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3071), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3069), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [77409] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1553), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1913), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1911), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [77449] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3783), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    STATE(1554), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3781), 14,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      sym_identifier,
  [77489] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1555), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1292), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1290), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [77529] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3787), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    STATE(1556), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3785), 14,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      sym_identifier,
  [77569] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1841), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    STATE(1557), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3789), 14,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      sym_identifier,
  [77609] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1558), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3164), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3162), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [77649] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1559), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2969), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2967), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [77689] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1560), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1955), 15,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
  [77726] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3791), 1,
      sym_final_builtin,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2095), 1,
      sym__type,
    STATE(2284), 1,
      sym__var_or_type,
    STATE(1561), 2,
      sym_comment,
      sym_documentation_comment,
  [77791] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3793), 1,
      sym_final_builtin,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1582), 1,
      sym_inferred_type,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2095), 1,
      sym__type,
    STATE(2162), 1,
      sym__var_or_type,
    STATE(1562), 2,
      sym_comment,
      sym_documentation_comment,
  [77856] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3740), 1,
      anon_sym_LBRACE,
    ACTIONS(3742), 1,
      anon_sym_LBRACK,
    ACTIONS(3795), 1,
      sym_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1691), 1,
      sym_function_type,
    STATE(2051), 1,
      sym__type_not_void,
    STATE(2084), 1,
      sym__type_not_function,
    STATE(2330), 1,
      sym_type_arguments,
    STATE(1563), 2,
      sym_comment,
      sym_documentation_comment,
  [77921] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3795), 1,
      sym_identifier,
    ACTIONS(3797), 1,
      anon_sym_LBRACE,
    ACTIONS(3799), 1,
      anon_sym_LBRACK,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1691), 1,
      sym_function_type,
    STATE(2071), 1,
      sym__type_not_void,
    STATE(2084), 1,
      sym__type_not_function,
    STATE(2391), 1,
      sym_type_arguments,
    STATE(1564), 2,
      sym_comment,
      sym_documentation_comment,
  [77986] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3795), 1,
      sym_identifier,
    ACTIONS(3801), 1,
      anon_sym_LBRACE,
    ACTIONS(3803), 1,
      anon_sym_LBRACK,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1691), 1,
      sym_function_type,
    STATE(2084), 1,
      sym__type_not_function,
    STATE(2088), 1,
      sym__type_not_void,
    STATE(2446), 1,
      sym_type_arguments,
    STATE(1565), 2,
      sym_comment,
      sym_documentation_comment,
  [78051] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3805), 1,
      sym_final_builtin,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1596), 1,
      sym_inferred_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2162), 1,
      sym__var_or_type,
    STATE(2163), 1,
      sym__type,
    STATE(1566), 2,
      sym_comment,
      sym_documentation_comment,
  [78116] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1573), 1,
      sym__late_builtin,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1567), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2284), 2,
      sym__type,
      sym_inferred_type,
  [78179] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1367), 1,
      sym__function_builtin_identifier,
    STATE(1422), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3809), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(3807), 6,
      anon_sym_super,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [78226] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3620), 1,
      anon_sym_LT,
    ACTIONS(3795), 1,
      sym_identifier,
    ACTIONS(3811), 1,
      anon_sym_LBRACE,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1691), 1,
      sym_function_type,
    STATE(2044), 1,
      sym__type_not_void,
    STATE(2084), 1,
      sym__type_not_function,
    STATE(2420), 1,
      sym_type_arguments,
    STATE(1569), 2,
      sym_comment,
      sym_documentation_comment,
  [78291] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3817), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1570), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3815), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [78329] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3821), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1571), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3819), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [78367] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2438), 1,
      sym__type,
    STATE(2695), 1,
      sym__get,
    STATE(2714), 1,
      sym_getter_signature,
    STATE(1572), 2,
      sym_comment,
      sym_documentation_comment,
  [78429] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3823), 1,
      sym_final_builtin,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1573), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2199), 2,
      sym__type,
      sym_inferred_type,
  [78489] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3827), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1574), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3825), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [78527] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3831), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1575), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3829), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [78565] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3833), 1,
      sym_final_builtin,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1576), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2199), 2,
      sym__type,
      sym_inferred_type,
  [78625] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(699), 1,
      anon_sym_required,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1601), 1,
      sym__required,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2417), 1,
      sym_typed_identifier,
    STATE(2678), 1,
      sym__type,
    STATE(1577), 2,
      sym_comment,
      sym_documentation_comment,
  [78687] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3837), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1578), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3835), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [78725] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2775), 1,
      anon_sym_QMARK,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3714), 1,
      anon_sym_LT,
    ACTIONS(3839), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1756), 1,
      sym__formal_parameter_part,
    STATE(1767), 1,
      sym_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1579), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 5,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      sym_identifier,
  [78779] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3843), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1580), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3841), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [78817] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3847), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1581), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3845), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [78855] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3849), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2121), 1,
      sym__type,
    ACTIONS(3852), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(1582), 2,
      sym_comment,
      sym_documentation_comment,
  [78912] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3854), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2300), 1,
      sym__type,
    STATE(2726), 1,
      sym_initialized_identifier_list,
    STATE(1583), 2,
      sym_comment,
      sym_documentation_comment,
  [78971] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3856), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2239), 1,
      sym__type,
    STATE(2293), 1,
      sym_static_final_declaration,
    STATE(2714), 1,
      sym_static_final_declaration_list,
    STATE(1584), 2,
      sym_comment,
      sym_documentation_comment,
  [79030] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3858), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2162), 1,
      sym__type,
    ACTIONS(3744), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(1585), 2,
      sym_comment,
      sym_documentation_comment,
  [79087] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3854), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2284), 1,
      sym__type,
    STATE(2689), 1,
      sym_initialized_identifier_list,
    STATE(1586), 2,
      sym_comment,
      sym_documentation_comment,
  [79146] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3861), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2228), 1,
      sym__type,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2329), 1,
      sym_initialized_identifier_list,
    STATE(1587), 2,
      sym_comment,
      sym_documentation_comment,
  [79205] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3864), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2142), 1,
      sym__type,
    ACTIONS(3867), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(1588), 2,
      sym_comment,
      sym_documentation_comment,
  [79262] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3869), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2292), 1,
      sym__type,
    STATE(2293), 1,
      sym_static_final_declaration,
    STATE(2329), 1,
      sym_static_final_declaration_list,
    STATE(1589), 2,
      sym_comment,
      sym_documentation_comment,
  [79321] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2775), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3714), 1,
      anon_sym_LT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2271), 1,
      sym__formal_parameter_part,
    STATE(1590), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
  [79374] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3854), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2199), 1,
      sym__type,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2714), 1,
      sym_initialized_identifier_list,
    STATE(1591), 2,
      sym_comment,
      sym_documentation_comment,
  [79433] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2775), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3714), 1,
      anon_sym_LT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1756), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1592), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
  [79486] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1632), 1,
      sym__nullable_type,
    STATE(1593), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3809), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(3807), 6,
      anon_sym_super,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [79527] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2127), 1,
      sym__type,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2449), 1,
      sym_initialized_identifier_list,
    STATE(1594), 2,
      sym_comment,
      sym_documentation_comment,
  [79586] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1595), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2857), 3,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_implements,
    ACTIONS(3875), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(2852), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
  [79625] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3861), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2129), 1,
      sym__type,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2449), 1,
      sym_initialized_identifier_list,
    STATE(1596), 2,
      sym_comment,
      sym_documentation_comment,
  [79684] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1895), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1597), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3877), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [79730] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3879), 1,
      anon_sym_GT,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2310), 1,
      sym__type,
    STATE(1598), 2,
      sym_comment,
      sym_documentation_comment,
  [79786] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(2435), 1,
      sym_mixin_application,
    STATE(2509), 1,
      sym__type_not_void,
    STATE(1599), 2,
      sym_comment,
      sym_documentation_comment,
  [79842] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2417), 1,
      sym_typed_identifier,
    STATE(2678), 1,
      sym__type,
    STATE(1600), 2,
      sym_comment,
      sym_documentation_comment,
  [79898] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2356), 1,
      sym_typed_identifier,
    STATE(2678), 1,
      sym__type,
    STATE(1601), 2,
      sym_comment,
      sym_documentation_comment,
  [79954] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1922), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1602), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2038), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [80000] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1917), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1603), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3881), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [80046] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3883), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2337), 1,
      sym__type,
    STATE(2726), 1,
      sym_identifier_list,
    STATE(1604), 2,
      sym_comment,
      sym_documentation_comment,
  [80102] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1936), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1605), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3885), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [80148] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1606), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2930), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(3875), 7,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [80184] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3887), 1,
      anon_sym_GT,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2148), 1,
      sym__type,
    STATE(1607), 2,
      sym_comment,
      sym_documentation_comment,
  [80240] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_EQ,
    ACTIONS(3893), 1,
      anon_sym_extends,
    ACTIONS(3895), 1,
      anon_sym_with,
    ACTIONS(3897), 1,
      anon_sym_implements,
    STATE(430), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(1666), 1,
      sym_type_parameters,
    STATE(2035), 1,
      sym_superclass,
    STATE(2442), 1,
      sym_mixins,
    STATE(2500), 1,
      sym_interfaces,
    STATE(1608), 2,
      sym_comment,
      sym_documentation_comment,
  [80296] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(1994), 1,
      sym__type_not_void,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(2513), 1,
      sym__type_not_void_list,
    STATE(1609), 2,
      sym_comment,
      sym_documentation_comment,
  [80352] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(877), 1,
      sym_cascade_section,
    ACTIONS(3899), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1610), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(2739), 8,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [80390] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3902), 1,
      anon_sym_GT,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2231), 1,
      sym__type,
    STATE(1611), 2,
      sym_comment,
      sym_documentation_comment,
  [80446] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(877), 1,
      sym_cascade_section,
    STATE(1610), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2432), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1612), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2702), 8,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [80486] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(1994), 1,
      sym__type_not_void,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(2262), 1,
      sym__type_not_void_list,
    STATE(1613), 2,
      sym_comment,
      sym_documentation_comment,
  [80542] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3904), 1,
      anon_sym_GT,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2201), 1,
      sym__type,
    STATE(1614), 2,
      sym_comment,
      sym_documentation_comment,
  [80598] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      anon_sym_EQ,
    STATE(1481), 1,
      sym_type_arguments,
    STATE(1525), 1,
      sym__nullable_type,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2092), 1,
      sym_type_parameters,
    STATE(2653), 1,
      sym__formal_parameter_part,
    ACTIONS(2628), 2,
      anon_sym_Function,
      sym_identifier,
    STATE(1615), 2,
      sym_comment,
      sym_documentation_comment,
  [80652] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(1994), 1,
      sym__type_not_void,
    STATE(2013), 1,
      sym__type_not_void_list,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(1616), 2,
      sym_comment,
      sym_documentation_comment,
  [80708] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2050), 1,
      sym__type,
    STATE(2291), 1,
      sym_typed_identifier,
    STATE(1617), 2,
      sym_comment,
      sym_documentation_comment,
  [80764] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_EQ,
    ACTIONS(3893), 1,
      anon_sym_extends,
    ACTIONS(3895), 1,
      anon_sym_with,
    ACTIONS(3897), 1,
      anon_sym_implements,
    STATE(448), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(1688), 1,
      sym_type_parameters,
    STATE(2018), 1,
      sym_superclass,
    STATE(2442), 1,
      sym_mixins,
    STATE(2443), 1,
      sym_interfaces,
    STATE(1618), 2,
      sym_comment,
      sym_documentation_comment,
  [80820] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(1994), 1,
      sym__type_not_void,
    STATE(2017), 1,
      sym__type_not_void_list,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(1619), 2,
      sym_comment,
      sym_documentation_comment,
  [80876] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3908), 1,
      anon_sym_GT,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2314), 1,
      sym__type,
    STATE(1620), 2,
      sym_comment,
      sym_documentation_comment,
  [80932] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    ACTIONS(3710), 1,
      anon_sym_GT,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2172), 1,
      sym__type,
    STATE(1621), 2,
      sym_comment,
      sym_documentation_comment,
  [80988] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(2508), 1,
      sym_mixin_application,
    STATE(2509), 1,
      sym__type_not_void,
    STATE(1622), 2,
      sym_comment,
      sym_documentation_comment,
  [81044] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3795), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(2392), 1,
      sym__type_not_void,
    STATE(1623), 2,
      sym_comment,
      sym_documentation_comment,
  [81097] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2566), 1,
      anon_sym_DOT,
    ACTIONS(3600), 1,
      anon_sym_QMARK,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3910), 1,
      anon_sym_LPAREN,
    STATE(1469), 1,
      sym_parameter_type_list,
    STATE(1697), 1,
      sym__nullable_type,
    STATE(1698), 1,
      sym_type_parameters,
    STATE(1624), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2581), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [81144] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2515), 1,
      sym__type,
    STATE(1625), 2,
      sym_comment,
      sym_documentation_comment,
  [81197] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2514), 1,
      sym__type,
    STATE(1626), 2,
      sym_comment,
      sym_documentation_comment,
  [81250] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2046), 1,
      sym__type_not_void,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(1627), 2,
      sym_comment,
      sym_documentation_comment,
  [81303] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1552), 1,
      sym_cascade_section,
    STATE(1633), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2527), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1628), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2704), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2702), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
  [81344] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3914), 1,
      sym_identifier,
    ACTIONS(3916), 1,
      anon_sym_Function,
    STATE(1363), 1,
      sym__function_builtin_identifier,
    STATE(1374), 1,
      aux_sym__function_type_tails,
    STATE(1390), 1,
      sym__type_name,
    STATE(1439), 1,
      sym_function_type,
    STATE(1459), 1,
      sym__type_not_void_not_function,
    STATE(1476), 1,
      sym__function_type_tail,
    STATE(1499), 1,
      sym__type_not_void,
    STATE(2055), 1,
      sym__type_not_function,
    STATE(1629), 2,
      sym_comment,
      sym_documentation_comment,
  [81397] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2067), 1,
      sym__type_not_void,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(1630), 2,
      sym_comment,
      sym_documentation_comment,
  [81450] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3914), 1,
      sym_identifier,
    ACTIONS(3916), 1,
      anon_sym_Function,
    STATE(1363), 1,
      sym__function_builtin_identifier,
    STATE(1374), 1,
      aux_sym__function_type_tails,
    STATE(1390), 1,
      sym__type_name,
    STATE(1439), 1,
      sym_function_type,
    STATE(1459), 1,
      sym__type_not_void_not_function,
    STATE(1476), 1,
      sym__function_type_tail,
    STATE(1497), 1,
      sym__type_not_void,
    STATE(2055), 1,
      sym__type_not_function,
    STATE(1631), 2,
      sym_comment,
      sym_documentation_comment,
  [81503] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1632), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3920), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(3918), 6,
      anon_sym_super,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [81538] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1552), 1,
      sym_cascade_section,
    ACTIONS(3922), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(2741), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    STATE(1633), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(2739), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
  [81577] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3795), 1,
      sym_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1691), 1,
      sym_function_type,
    STATE(2069), 1,
      sym__type_not_void,
    STATE(2084), 1,
      sym__type_not_function,
    STATE(1634), 2,
      sym_comment,
      sym_documentation_comment,
  [81630] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3925), 1,
      sym_identifier,
    ACTIONS(3927), 1,
      anon_sym_Function,
    STATE(703), 1,
      aux_sym__function_type_tails,
    STATE(718), 1,
      sym__function_builtin_identifier,
    STATE(738), 1,
      sym__type_name,
    STATE(844), 1,
      sym__function_type_tail,
    STATE(854), 1,
      sym__type_not_void_not_function,
    STATE(900), 1,
      sym_function_type,
    STATE(982), 1,
      sym__type_not_void,
    STATE(2076), 1,
      sym__type_not_function,
    STATE(1635), 2,
      sym_comment,
      sym_documentation_comment,
  [81683] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2431), 1,
      sym__type,
    STATE(1636), 2,
      sym_comment,
      sym_documentation_comment,
  [81736] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2741), 1,
      anon_sym_async,
    STATE(1552), 1,
      sym_cascade_section,
    ACTIONS(3929), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1637), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(2739), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [81775] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3934), 1,
      anon_sym_AT,
    STATE(1638), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3932), 10,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_Function,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [81810] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2057), 1,
      sym__type_not_void,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(1639), 2,
      sym_comment,
      sym_documentation_comment,
  [81863] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3925), 1,
      sym_identifier,
    ACTIONS(3927), 1,
      anon_sym_Function,
    STATE(703), 1,
      aux_sym__function_type_tails,
    STATE(718), 1,
      sym__function_builtin_identifier,
    STATE(738), 1,
      sym__type_name,
    STATE(844), 1,
      sym__function_type_tail,
    STATE(854), 1,
      sym__type_not_void_not_function,
    STATE(900), 1,
      sym_function_type,
    STATE(977), 1,
      sym__type_not_void,
    STATE(2076), 1,
      sym__type_not_function,
    STATE(1640), 2,
      sym_comment,
      sym_documentation_comment,
  [81916] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_Function,
    STATE(1080), 1,
      sym__function_builtin_identifier,
    STATE(1096), 1,
      aux_sym__function_type_tails,
    STATE(1123), 1,
      sym__type_name,
    STATE(1161), 1,
      sym__type_not_void_not_function,
    STATE(1185), 1,
      sym__function_type_tail,
    STATE(1210), 1,
      sym_function_type,
    STATE(1300), 1,
      sym__type_not_void,
    STATE(2068), 1,
      sym__type_not_function,
    STATE(1641), 2,
      sym_comment,
      sym_documentation_comment,
  [81969] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2533), 1,
      anon_sym_DOT,
    ACTIONS(3600), 1,
      anon_sym_QMARK,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3940), 1,
      anon_sym_LPAREN,
    STATE(1469), 1,
      sym_parameter_type_list,
    STATE(1698), 1,
      sym_type_parameters,
    STATE(1700), 1,
      sym__nullable_type,
    STATE(1642), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2544), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [82016] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3943), 1,
      sym_identifier,
    ACTIONS(3945), 1,
      anon_sym_Function,
    STATE(1101), 1,
      sym__function_builtin_identifier,
    STATE(1111), 1,
      aux_sym__function_type_tails,
    STATE(1145), 1,
      sym__type_name,
    STATE(1215), 1,
      sym__function_type_tail,
    STATE(1244), 1,
      sym__type_not_void_not_function,
    STATE(1250), 1,
      sym_function_type,
    STATE(1318), 1,
      sym__type_not_void,
    STATE(2074), 1,
      sym__type_not_function,
    STATE(1643), 2,
      sym_comment,
      sym_documentation_comment,
  [82069] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3943), 1,
      sym_identifier,
    ACTIONS(3945), 1,
      anon_sym_Function,
    STATE(1101), 1,
      sym__function_builtin_identifier,
    STATE(1111), 1,
      aux_sym__function_type_tails,
    STATE(1145), 1,
      sym__type_name,
    STATE(1215), 1,
      sym__function_type_tail,
    STATE(1244), 1,
      sym__type_not_void_not_function,
    STATE(1250), 1,
      sym_function_type,
    STATE(1319), 1,
      sym__type_not_void,
    STATE(2074), 1,
      sym__type_not_function,
    STATE(1644), 2,
      sym_comment,
      sym_documentation_comment,
  [82122] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_Function,
    STATE(1080), 1,
      sym__function_builtin_identifier,
    STATE(1096), 1,
      aux_sym__function_type_tails,
    STATE(1123), 1,
      sym__type_name,
    STATE(1161), 1,
      sym__type_not_void_not_function,
    STATE(1185), 1,
      sym__function_type_tail,
    STATE(1210), 1,
      sym_function_type,
    STATE(1301), 1,
      sym__type_not_void,
    STATE(2068), 1,
      sym__type_not_function,
    STATE(1645), 2,
      sym_comment,
      sym_documentation_comment,
  [82175] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(2070), 1,
      sym_function_type,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(2488), 1,
      sym__type_not_void,
    STATE(1646), 2,
      sym_comment,
      sym_documentation_comment,
  [82228] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3795), 1,
      sym_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1691), 1,
      sym_function_type,
    STATE(2084), 1,
      sym__type_not_function,
    STATE(2091), 1,
      sym__type_not_void,
    STATE(1647), 2,
      sym_comment,
      sym_documentation_comment,
  [82281] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3949), 1,
      anon_sym_async,
    STATE(1552), 1,
      sym_cascade_section,
    STATE(1637), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2476), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1648), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3947), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [82322] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2492), 1,
      sym__type,
    STATE(1649), 2,
      sym_comment,
      sym_documentation_comment,
  [82375] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2063), 1,
      sym__type_not_void,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(1650), 2,
      sym_comment,
      sym_documentation_comment,
  [82428] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3953), 1,
      anon_sym_async,
    STATE(1552), 1,
      sym_cascade_section,
    STATE(1637), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2476), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1651), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3951), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [82469] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3795), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(2400), 1,
      sym__type_not_void,
    STATE(1652), 2,
      sym_comment,
      sym_documentation_comment,
  [82522] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3795), 1,
      sym_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1691), 1,
      sym_function_type,
    STATE(2062), 1,
      sym__type_not_void,
    STATE(2084), 1,
      sym__type_not_function,
    STATE(1653), 2,
      sym_comment,
      sym_documentation_comment,
  [82575] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3795), 1,
      sym_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1624), 1,
      sym__function_builtin_identifier,
    STATE(1663), 1,
      aux_sym__function_type_tails,
    STATE(1691), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__type_not_void,
    STATE(2084), 1,
      sym__type_not_function,
    STATE(1654), 2,
      sym_comment,
      sym_documentation_comment,
  [82628] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(2445), 1,
      sym__type,
    STATE(1655), 2,
      sym_comment,
      sym_documentation_comment,
  [82681] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3955), 1,
      sym_identifier,
    ACTIONS(3957), 1,
      anon_sym_Function,
    STATE(689), 1,
      aux_sym__function_type_tails,
    STATE(698), 1,
      sym__function_builtin_identifier,
    STATE(710), 1,
      sym__type_name,
    STATE(771), 1,
      sym_function_type,
    STATE(804), 1,
      sym__function_type_tail,
    STATE(807), 1,
      sym__type_not_void_not_function,
    STATE(911), 1,
      sym__type_not_void,
    STATE(2090), 1,
      sym__type_not_function,
    STATE(1656), 2,
      sym_comment,
      sym_documentation_comment,
  [82734] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3795), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1595), 1,
      sym__type_not_void_not_function,
    STATE(1691), 1,
      sym_function_type,
    STATE(2072), 1,
      sym__type_not_function,
    STATE(2405), 1,
      sym__type_not_void,
    STATE(1657), 2,
      sym_comment,
      sym_documentation_comment,
  [82787] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(3955), 1,
      sym_identifier,
    ACTIONS(3957), 1,
      anon_sym_Function,
    STATE(689), 1,
      aux_sym__function_type_tails,
    STATE(698), 1,
      sym__function_builtin_identifier,
    STATE(710), 1,
      sym__type_name,
    STATE(771), 1,
      sym_function_type,
    STATE(804), 1,
      sym__function_type_tail,
    STATE(807), 1,
      sym__type_not_void_not_function,
    STATE(910), 1,
      sym__type_not_void,
    STATE(2090), 1,
      sym__type_not_function,
    STATE(1658), 2,
      sym_comment,
      sym_documentation_comment,
  [82840] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1370), 1,
      sym__function_builtin_identifier,
    STATE(1396), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1568), 1,
      sym__type_not_function,
    STATE(1593), 1,
      sym_function_type,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1615), 1,
      sym__type_name,
    STATE(2399), 1,
      sym__type,
    STATE(1659), 2,
      sym_comment,
      sym_documentation_comment,
  [82893] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3959), 1,
      anon_sym_DQUOTE,
    ACTIONS(3963), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym__unused_escape_sequence,
    STATE(1671), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(3961), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1660), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [82937] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_SQUOTE,
    ACTIONS(3973), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3975), 1,
      anon_sym_DOLLAR,
    ACTIONS(3977), 1,
      sym__unused_escape_sequence,
    STATE(1669), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(3969), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1661), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [82981] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3959), 1,
      anon_sym_DQUOTE,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym__unused_escape_sequence,
    ACTIONS(3979), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1671), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(3961), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1662), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83025] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1642), 1,
      sym__function_builtin_identifier,
    STATE(1687), 1,
      aux_sym__function_type_tails,
    STATE(1663), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2549), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOT,
    ACTIONS(2551), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [83067] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3981), 1,
      anon_sym_AT,
    STATE(1278), 1,
      sym__annotation,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1664), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__metadata_repeat1,
    ACTIONS(3984), 5,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [83105] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_QMARK,
    ACTIONS(3992), 1,
      anon_sym_extends,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(2073), 1,
      sym__nullable_type,
    STATE(2398), 1,
      sym_type_bound,
    ACTIONS(2775), 2,
      anon_sym_LT,
      anon_sym_Function,
    ACTIONS(3986), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(1665), 2,
      sym_comment,
      sym_documentation_comment,
  [83151] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3893), 1,
      anon_sym_extends,
    ACTIONS(3895), 1,
      anon_sym_with,
    ACTIONS(3897), 1,
      anon_sym_implements,
    ACTIONS(3994), 1,
      anon_sym_EQ,
    STATE(445), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(1990), 1,
      sym_superclass,
    STATE(2442), 1,
      sym_mixins,
    STATE(2471), 1,
      sym_interfaces,
    STATE(1666), 2,
      sym_comment,
      sym_documentation_comment,
  [83201] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_SQUOTE,
    ACTIONS(3975), 1,
      anon_sym_DOLLAR,
    ACTIONS(3977), 1,
      sym__unused_escape_sequence,
    ACTIONS(3996), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1690), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(3969), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1667), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83245] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_SQUOTE,
    ACTIONS(3975), 1,
      anon_sym_DOLLAR,
    ACTIONS(3977), 1,
      sym__unused_escape_sequence,
    ACTIONS(3998), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1669), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(3969), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1668), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83289] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4003), 1,
      anon_sym_SQUOTE,
    ACTIONS(4006), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4008), 1,
      anon_sym_DOLLAR,
    ACTIONS(4011), 1,
      sym__unused_escape_sequence,
    ACTIONS(4000), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1669), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83331] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3959), 1,
      anon_sym_DQUOTE,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym__unused_escape_sequence,
    ACTIONS(4014), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1662), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(3961), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1670), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83375] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4016), 1,
      anon_sym_DQUOTE,
    ACTIONS(4022), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4024), 1,
      anon_sym_DOLLAR,
    ACTIONS(4027), 1,
      sym__unused_escape_sequence,
    ACTIONS(4019), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1671), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83417] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3959), 1,
      anon_sym_DQUOTE,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym__unused_escape_sequence,
    ACTIONS(4030), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1677), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(3961), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1672), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83461] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_SQUOTE,
    ACTIONS(3975), 1,
      anon_sym_DOLLAR,
    ACTIONS(3977), 1,
      sym__unused_escape_sequence,
    ACTIONS(4032), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1678), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(3969), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1673), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83505] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3959), 1,
      anon_sym_DQUOTE,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym__unused_escape_sequence,
    ACTIONS(4034), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1671), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(3961), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1674), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83549] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1799), 1,
      sym__function_builtin_identifier,
    STATE(1993), 1,
      aux_sym__function_type_tails,
    STATE(2061), 1,
      sym__type_not_function,
    STATE(2681), 1,
      sym_function_type,
    STATE(1675), 2,
      sym_comment,
      sym_documentation_comment,
  [83599] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(3521), 1,
      sym_identifier,
    STATE(1387), 1,
      sym__type_name,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1606), 1,
      sym__type_not_void_not_function,
    STATE(1799), 1,
      sym__function_builtin_identifier,
    STATE(1993), 1,
      aux_sym__function_type_tails,
    STATE(2061), 1,
      sym__type_not_function,
    STATE(2706), 1,
      sym_function_type,
    STATE(1676), 2,
      sym_comment,
      sym_documentation_comment,
  [83649] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3959), 1,
      anon_sym_DQUOTE,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym__unused_escape_sequence,
    ACTIONS(4036), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1671), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(3961), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1677), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83693] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_SQUOTE,
    ACTIONS(3975), 1,
      anon_sym_DOLLAR,
    ACTIONS(3977), 1,
      sym__unused_escape_sequence,
    ACTIONS(4038), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1669), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(3969), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1678), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83737] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_SQUOTE,
    ACTIONS(3975), 1,
      anon_sym_DOLLAR,
    ACTIONS(3977), 1,
      sym__unused_escape_sequence,
    ACTIONS(4040), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1668), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(3969), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1679), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83781] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3959), 1,
      anon_sym_DQUOTE,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym__unused_escape_sequence,
    ACTIONS(4042), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1674), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(3961), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1680), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83825] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_SQUOTE,
    ACTIONS(3975), 1,
      anon_sym_DOLLAR,
    ACTIONS(3977), 1,
      sym__unused_escape_sequence,
    ACTIONS(4044), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1661), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(3969), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1681), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83869] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3959), 1,
      anon_sym_DQUOTE,
    ACTIONS(3965), 1,
      anon_sym_DOLLAR,
    ACTIONS(3967), 1,
      sym__unused_escape_sequence,
    ACTIONS(4046), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1660), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(3961), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(1682), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1985), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [83913] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1497), 1,
      anon_sym_AT,
    STATE(1278), 1,
      sym__annotation,
    STATE(1664), 1,
      aux_sym__metadata_repeat1,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1683), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4048), 5,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [83953] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1642), 1,
      sym__function_builtin_identifier,
    STATE(1687), 1,
      aux_sym__function_type_tails,
    STATE(1684), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2555), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOT,
    ACTIONS(2557), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [83995] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3620), 1,
      anon_sym_LT,
    STATE(1525), 1,
      sym__nullable_type,
    STATE(1731), 1,
      sym_type_arguments,
    STATE(1685), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2628), 6,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [84035] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4050), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1686), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1316), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(2775), 4,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_SEMI,
  [84073] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3639), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1642), 1,
      sym__function_builtin_identifier,
    ACTIONS(2559), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOT,
    ACTIONS(2561), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
    STATE(1687), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
  [84113] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3893), 1,
      anon_sym_extends,
    ACTIONS(3895), 1,
      anon_sym_with,
    ACTIONS(3897), 1,
      anon_sym_implements,
    ACTIONS(3994), 1,
      anon_sym_EQ,
    STATE(428), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(1989), 1,
      sym_superclass,
    STATE(2442), 1,
      sym_mixins,
    STATE(2511), 1,
      sym_interfaces,
    STATE(1688), 2,
      sym_comment,
      sym_documentation_comment,
  [84163] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1843), 1,
      sym_formal_parameter_list,
    ACTIONS(2922), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1689), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2924), 5,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      sym_identifier,
  [84203] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_SQUOTE,
    ACTIONS(3975), 1,
      anon_sym_DOLLAR,
    ACTIONS(3977), 1,
      sym__unused_escape_sequence,
    ACTIONS(4053), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1669), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(3969), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(1690), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [84247] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1065), 1,
      sym__nullable_type,
    STATE(1691), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2852), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_implements,
  [84283] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4055), 1,
      anon_sym_DQUOTE,
    ACTIONS(4059), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      sym__unused_escape_sequence,
    STATE(1732), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4057), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1692), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [84324] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4065), 1,
      anon_sym_SQUOTE,
    ACTIONS(4067), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      sym__unused_escape_sequence,
    STATE(1696), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4063), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1693), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [84365] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4059), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      sym__unused_escape_sequence,
    ACTIONS(4071), 1,
      anon_sym_DQUOTE,
    STATE(1707), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4057), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1694), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [84406] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4067), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      sym__unused_escape_sequence,
    ACTIONS(4073), 1,
      anon_sym_SQUOTE,
    STATE(1708), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4063), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1695), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [84447] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4067), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      sym__unused_escape_sequence,
    ACTIONS(4075), 1,
      anon_sym_SQUOTE,
    STATE(1715), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4063), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1696), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [84488] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2652), 1,
      anon_sym_DOT,
    ACTIONS(3634), 1,
      anon_sym_QMARK,
    ACTIONS(4077), 1,
      anon_sym_LPAREN,
    STATE(1446), 1,
      sym_parameter_type_list,
    STATE(1502), 1,
      sym__nullable_type,
    STATE(1697), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2663), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [84529] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2596), 1,
      anon_sym_DOT,
    ACTIONS(3634), 1,
      anon_sym_QMARK,
    ACTIONS(4081), 1,
      anon_sym_LPAREN,
    STATE(1446), 1,
      sym_parameter_type_list,
    STATE(1705), 1,
      sym__nullable_type,
    STATE(1698), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [84570] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4084), 1,
      anon_sym_DQUOTE,
    ACTIONS(4088), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR,
    STATE(1713), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1699), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4086), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [84611] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2596), 1,
      anon_sym_DOT,
    ACTIONS(3634), 1,
      anon_sym_QMARK,
    ACTIONS(4081), 1,
      anon_sym_LPAREN,
    STATE(1446), 1,
      sym_parameter_type_list,
    STATE(1502), 1,
      sym__nullable_type,
    STATE(1700), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2604), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [84652] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4084), 1,
      anon_sym_DQUOTE,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR,
    ACTIONS(4092), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1704), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1701), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4086), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [84693] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4096), 1,
      anon_sym_SQUOTE,
    ACTIONS(4098), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    STATE(1714), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1702), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4094), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [84734] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4105), 1,
      anon_sym_SQUOTE,
    ACTIONS(4108), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4110), 1,
      anon_sym_DOLLAR,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1703), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4102), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [84773] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4113), 1,
      anon_sym_DQUOTE,
    ACTIONS(4119), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4121), 1,
      anon_sym_DOLLAR,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1704), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4116), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [84812] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2584), 1,
      anon_sym_DOT,
    ACTIONS(3642), 1,
      anon_sym_QMARK,
    ACTIONS(4124), 1,
      anon_sym_LPAREN,
    STATE(1464), 1,
      sym_parameter_type_list,
    STATE(1500), 1,
      sym__nullable_type,
    STATE(1705), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2592), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [84853] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4084), 1,
      anon_sym_DQUOTE,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR,
    ACTIONS(4127), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1701), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1706), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4086), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [84894] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4059), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      sym__unused_escape_sequence,
    ACTIONS(4129), 1,
      anon_sym_DQUOTE,
    STATE(1716), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4057), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1707), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [84935] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4067), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      sym__unused_escape_sequence,
    ACTIONS(4131), 1,
      anon_sym_SQUOTE,
    STATE(1715), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4063), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1708), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [84976] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(3300), 1,
      anon_sym_DOT,
    STATE(1230), 1,
      sym_arguments,
    STATE(1709), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3302), 6,
      anon_sym_AT,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [85013] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4096), 1,
      anon_sym_SQUOTE,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4133), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1703), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1710), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4094), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [85054] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4096), 1,
      anon_sym_SQUOTE,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4135), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1703), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1711), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4094), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [85095] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4084), 1,
      anon_sym_DQUOTE,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR,
    ACTIONS(4137), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1704), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1712), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4086), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [85136] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4084), 1,
      anon_sym_DQUOTE,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR,
    ACTIONS(4139), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1704), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1713), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4086), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [85177] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4096), 1,
      anon_sym_SQUOTE,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4141), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1703), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1714), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4094), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [85218] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4146), 1,
      anon_sym_SQUOTE,
    ACTIONS(4148), 1,
      anon_sym_DOLLAR,
    ACTIONS(4151), 1,
      sym__unused_escape_sequence,
    ACTIONS(4143), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1715), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__string_literal_single_quotes_repeat1,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [85257] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4154), 1,
      anon_sym_DQUOTE,
    ACTIONS(4159), 1,
      anon_sym_DOLLAR,
    ACTIONS(4162), 1,
      sym__unused_escape_sequence,
    ACTIONS(4156), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1716), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__string_literal_double_quotes_repeat1,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [85296] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4067), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      sym__unused_escape_sequence,
    ACTIONS(4165), 1,
      anon_sym_SQUOTE,
    STATE(1715), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4063), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1717), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [85337] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4059), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      sym__unused_escape_sequence,
    ACTIONS(4167), 1,
      anon_sym_DQUOTE,
    STATE(1716), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4057), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1718), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [85378] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4169), 1,
      sym_identifier,
    ACTIONS(4171), 1,
      anon_sym_RBRACE,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2395), 1,
      sym_enum_constant,
    STATE(2671), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1719), 2,
      sym_comment,
      sym_documentation_comment,
  [85423] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4096), 1,
      anon_sym_SQUOTE,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1711), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1720), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4094), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [85464] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4175), 1,
      anon_sym_on,
    ACTIONS(4177), 1,
      anon_sym_catch,
    ACTIONS(4179), 1,
      anon_sym_finally,
    STATE(338), 1,
      sym__on_part,
    STATE(362), 1,
      sym_finally_clause,
    STATE(1779), 1,
      aux_sym_try_statement_repeat1,
    STATE(2394), 1,
      sym_catch_clause,
    ACTIONS(1032), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(1721), 2,
      sym_comment,
      sym_documentation_comment,
  [85509] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4183), 1,
      anon_sym_if,
    ACTIONS(4185), 1,
      anon_sym_deferred,
    STATE(1855), 1,
      aux_sym_configurable_uri_repeat1,
    STATE(2029), 1,
      sym_configuration_uri,
    STATE(2481), 1,
      sym__deferred,
    STATE(1722), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4181), 4,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [85550] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4084), 1,
      anon_sym_DQUOTE,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR,
    ACTIONS(4187), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1712), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1723), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4086), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [85591] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4191), 1,
      anon_sym_COLON,
    ACTIONS(4193), 1,
      anon_sym_SEMI,
    ACTIONS(4195), 1,
      anon_sym_async,
    STATE(1897), 1,
      sym_initializers,
    STATE(2689), 1,
      sym_redirection,
    STATE(1724), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4189), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [85632] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3839), 1,
      anon_sym_DOT,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2716), 1,
      sym_formal_parameter_list,
    STATE(1725), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2775), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_Function,
      anon_sym_operator,
  [85673] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1726), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4197), 9,
      sym_void_type,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_identifier,
  [85704] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4067), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      sym__unused_escape_sequence,
    ACTIONS(4199), 1,
      anon_sym_SQUOTE,
    STATE(1717), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4063), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1727), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [85745] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4059), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      sym__unused_escape_sequence,
    ACTIONS(4201), 1,
      anon_sym_DQUOTE,
    STATE(1718), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4057), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1728), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [85786] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1729), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4203), 9,
      sym_void_type,
      anon_sym_var,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      sym_identifier,
  [85817] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    STATE(1431), 1,
      sym__type_dot_identifier,
    ACTIONS(1316), 2,
      anon_sym_Function,
      sym_identifier,
    ACTIONS(2775), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    ACTIONS(4205), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1730), 2,
      sym_comment,
      sym_documentation_comment,
  [85858] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(4209), 1,
      anon_sym_DOT,
    STATE(1520), 1,
      sym__nullable_type,
    STATE(1731), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2721), 6,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [85895] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4059), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      sym__unused_escape_sequence,
    ACTIONS(4211), 1,
      anon_sym_DQUOTE,
    STATE(1716), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4057), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1732), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [85936] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4096), 1,
      anon_sym_SQUOTE,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4213), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1703), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1733), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4094), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [85977] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1753), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    ACTIONS(4205), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1734), 2,
      sym_comment,
      sym_documentation_comment,
  [86022] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4084), 1,
      anon_sym_DQUOTE,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR,
    ACTIONS(4215), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1704), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1735), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4086), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [86063] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4067), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      sym__unused_escape_sequence,
    ACTIONS(4217), 1,
      anon_sym_SQUOTE,
    STATE(1715), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4063), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1736), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [86104] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4059), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      sym__unused_escape_sequence,
    ACTIONS(4219), 1,
      anon_sym_DQUOTE,
    STATE(1716), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4057), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1737), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [86145] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    ACTIONS(4223), 1,
      anon_sym_SEMI,
    STATE(1431), 1,
      sym__type_dot_identifier,
    STATE(2263), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(1316), 2,
      anon_sym_Function,
      sym_identifier,
    ACTIONS(2775), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1738), 2,
      sym_comment,
      sym_documentation_comment,
  [86188] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4096), 1,
      anon_sym_SQUOTE,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4225), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1733), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1739), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4094), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [86229] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4084), 1,
      anon_sym_DQUOTE,
    ACTIONS(4090), 1,
      anon_sym_DOLLAR,
    ACTIONS(4227), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(1735), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(1883), 1,
      sym__sub_string_test,
    STATE(1740), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4086), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [86270] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4067), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      sym__unused_escape_sequence,
    ACTIONS(4229), 1,
      anon_sym_SQUOTE,
    STATE(1736), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4063), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(1741), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2001), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [86311] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4169), 1,
      sym_identifier,
    ACTIONS(4231), 1,
      anon_sym_RBRACE,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2395), 1,
      sym_enum_constant,
    STATE(2671), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1742), 2,
      sym_comment,
      sym_documentation_comment,
  [86356] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4059), 1,
      anon_sym_DOLLAR,
    ACTIONS(4061), 1,
      sym__unused_escape_sequence,
    ACTIONS(4233), 1,
      anon_sym_DQUOTE,
    STATE(1737), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4057), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(1743), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2006), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [86397] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4096), 1,
      anon_sym_SQUOTE,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4235), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1710), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(1867), 1,
      sym__sub_string_test,
    STATE(1744), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4094), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [86438] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4169), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2395), 1,
      sym_enum_constant,
    STATE(2671), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1745), 2,
      sym_comment,
      sym_documentation_comment,
  [86480] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4239), 1,
      anon_sym_async,
    ACTIONS(4241), 1,
      anon_sym_native,
    STATE(1939), 1,
      sym__native,
    STATE(1746), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4237), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [86516] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4245), 1,
      anon_sym_async,
    STATE(1944), 1,
      sym__native,
    STATE(1747), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4243), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [86552] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3603), 1,
      anon_sym_LT,
    STATE(1904), 1,
      sym__nullable_type,
    STATE(1965), 1,
      sym_type_parameters,
    STATE(2052), 1,
      sym_parameter_type_list,
    ACTIONS(2533), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(1748), 2,
      sym_comment,
      sym_documentation_comment,
  [86594] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4247), 1,
      anon_sym_DQUOTE,
    ACTIONS(4251), 1,
      anon_sym_DOLLAR,
    STATE(1764), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1749), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4249), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [86632] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4255), 1,
      anon_sym_SQUOTE,
    ACTIONS(4257), 1,
      anon_sym_DOLLAR,
    STATE(1765), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1750), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4253), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [86670] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(107), 1,
      sym__assert_builtin,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(4259), 1,
      sym_identifier,
    ACTIONS(4261), 1,
      anon_sym_super,
    STATE(1820), 1,
      sym_initializer_list_entry,
    STATE(2732), 1,
      sym_this,
    STATE(1751), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1891), 2,
      sym_assertion,
      sym_field_initializer,
  [86712] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4265), 1,
      anon_sym_COMMA,
    ACTIONS(4267), 1,
      anon_sym_async,
    STATE(1772), 1,
      aux_sym_initializers_repeat1,
    STATE(1752), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4263), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [86748] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4271), 1,
      anon_sym_async,
    STATE(1945), 1,
      sym__native,
    STATE(1753), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4269), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [86784] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1754), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4273), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_in,
  [86814] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4277), 1,
      anon_sym_async,
    STATE(1979), 1,
      sym__native,
    STATE(1755), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4275), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [86850] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4281), 1,
      anon_sym_async,
    STATE(1911), 1,
      sym__native,
    STATE(1756), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4279), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [86886] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4285), 1,
      anon_sym_async,
    STATE(1953), 1,
      sym__native,
    STATE(1757), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4283), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [86922] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4050), 1,
      anon_sym_DOT,
    ACTIONS(4287), 1,
      anon_sym_EQ,
    STATE(1431), 1,
      sym__type_dot_identifier,
    ACTIONS(1316), 2,
      anon_sym_Function,
      sym_identifier,
    STATE(1758), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2775), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
  [86960] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(107), 1,
      sym__assert_builtin,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(4289), 1,
      sym_identifier,
    ACTIONS(4291), 1,
      anon_sym_super,
    STATE(1820), 1,
      sym_initializer_list_entry,
    STATE(2667), 1,
      sym_this,
    STATE(1759), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1891), 2,
      sym_assertion,
      sym_field_initializer,
  [87002] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1760), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4293), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
    ACTIONS(4295), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
  [87034] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(107), 1,
      sym__assert_builtin,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(4289), 1,
      sym_identifier,
    ACTIONS(4291), 1,
      anon_sym_super,
    STATE(2133), 1,
      sym_this,
    STATE(2152), 1,
      sym_initializer_list_entry,
    STATE(1761), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1891), 2,
      sym_assertion,
      sym_field_initializer,
  [87076] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1912), 1,
      sym__nullable_type,
    STATE(1762), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4297), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [87110] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1763), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4299), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
    ACTIONS(4301), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
  [87142] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4251), 1,
      anon_sym_DOLLAR,
    ACTIONS(4303), 1,
      anon_sym_DQUOTE,
    STATE(1804), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1764), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4249), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [87180] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4257), 1,
      anon_sym_DOLLAR,
    ACTIONS(4305), 1,
      anon_sym_SQUOTE,
    STATE(1797), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1765), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4253), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [87218] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1766), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4307), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_in,
  [87248] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3819), 1,
      anon_sym_native,
    ACTIONS(4312), 1,
      anon_sym_COLON,
    ACTIONS(4314), 1,
      anon_sym_async,
    STATE(1767), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4309), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [87284] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1923), 1,
      sym__nullable_type,
    STATE(1768), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4317), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [87318] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2302), 1,
      sym_type_parameter,
    STATE(2554), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1769), 2,
      sym_comment,
      sym_documentation_comment,
  [87360] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2309), 1,
      sym_type_parameter,
    STATE(2554), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1770), 2,
      sym_comment,
      sym_documentation_comment,
  [87402] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2170), 1,
      sym_type_parameter,
    STATE(2554), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1771), 2,
      sym_comment,
      sym_documentation_comment,
  [87444] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4323), 1,
      anon_sym_COMMA,
    ACTIONS(4326), 1,
      anon_sym_async,
    STATE(1772), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_initializers_repeat1,
    ACTIONS(4321), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [87478] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2190), 1,
      sym_type_parameter,
    STATE(2554), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1773), 2,
      sym_comment,
      sym_documentation_comment,
  [87520] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4257), 1,
      anon_sym_DOLLAR,
    ACTIONS(4328), 1,
      anon_sym_SQUOTE,
    STATE(1802), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1774), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4253), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [87558] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4251), 1,
      anon_sym_DOLLAR,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1805), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1775), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4249), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [87596] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(107), 1,
      sym__assert_builtin,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(4259), 1,
      sym_identifier,
    ACTIONS(4261), 1,
      anon_sym_super,
    STATE(1782), 1,
      sym_initializer_list_entry,
    STATE(2195), 1,
      sym_this,
    STATE(1776), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1891), 2,
      sym_assertion,
      sym_field_initializer,
  [87638] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1927), 1,
      sym__nullable_type,
    STATE(1777), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4332), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [87672] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4336), 1,
      anon_sym_async,
    STATE(1956), 1,
      sym__native,
    STATE(1778), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4334), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [87708] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4338), 1,
      anon_sym_on,
    ACTIONS(4341), 1,
      anon_sym_catch,
    STATE(338), 1,
      sym__on_part,
    STATE(2394), 1,
      sym_catch_clause,
    ACTIONS(1042), 3,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_else,
    STATE(1779), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_try_statement_repeat1,
  [87746] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4251), 1,
      anon_sym_DOLLAR,
    ACTIONS(4344), 1,
      anon_sym_DQUOTE,
    STATE(1789), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1780), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4249), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [87784] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1781), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4346), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
    ACTIONS(4348), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
  [87816] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4265), 1,
      anon_sym_COMMA,
    ACTIONS(4352), 1,
      anon_sym_async,
    STATE(1752), 1,
      aux_sym_initializers_repeat1,
    STATE(1782), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4350), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [87852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4356), 1,
      anon_sym_async,
    STATE(1963), 1,
      sym__native,
    STATE(1783), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4354), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [87888] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4257), 1,
      anon_sym_DOLLAR,
    ACTIONS(4358), 1,
      anon_sym_SQUOTE,
    STATE(1790), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1784), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4253), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [87926] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4362), 1,
      anon_sym_async,
    STATE(1962), 1,
      sym__native,
    STATE(1785), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4360), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [87962] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(4364), 1,
      anon_sym_as,
    STATE(379), 1,
      sym__semicolon,
    STATE(1957), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    STATE(2652), 1,
      sym__as,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1786), 2,
      sym_comment,
      sym_documentation_comment,
  [88004] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_implements,
    ACTIONS(4368), 1,
      anon_sym_on,
    STATE(406), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(1955), 1,
      sym_type_parameters,
    STATE(2482), 1,
      sym_interfaces,
    STATE(1787), 2,
      sym_comment,
      sym_documentation_comment,
  [88048] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2147), 1,
      sym_type_parameter,
    STATE(2554), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1788), 2,
      sym_comment,
      sym_documentation_comment,
  [88090] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4251), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    STATE(1804), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1789), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4249), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [88128] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4257), 1,
      anon_sym_DOLLAR,
    ACTIONS(4372), 1,
      anon_sym_SQUOTE,
    STATE(1797), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1790), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4253), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [88166] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4169), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2204), 1,
      sym_enum_constant,
    STATE(2671), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1791), 2,
      sym_comment,
      sym_documentation_comment,
  [88208] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4257), 1,
      anon_sym_DOLLAR,
    ACTIONS(4374), 1,
      anon_sym_SQUOTE,
    STATE(1797), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1792), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4253), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [88246] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2181), 1,
      sym_type_parameter,
    STATE(2554), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1793), 2,
      sym_comment,
      sym_documentation_comment,
  [88288] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4251), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      anon_sym_DQUOTE,
    STATE(1804), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1794), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4249), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [88326] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4380), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    STATE(1795), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4382), 3,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      sym__unused_escape_sequence,
    ACTIONS(4378), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
  [88360] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_native,
    ACTIONS(4390), 1,
      anon_sym_async,
    STATE(1948), 1,
      sym__native,
    STATE(1796), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4388), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [88396] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4395), 1,
      anon_sym_SQUOTE,
    ACTIONS(4397), 1,
      anon_sym_DOLLAR,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1797), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    ACTIONS(4392), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [88432] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1798), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4400), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_in,
  [88462] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2533), 1,
      anon_sym_SEMI,
    ACTIONS(2566), 1,
      anon_sym_Function,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    ACTIONS(3603), 1,
      anon_sym_LT,
    STATE(1964), 1,
      sym__nullable_type,
    STATE(1965), 1,
      sym_type_parameters,
    STATE(2052), 1,
      sym_parameter_type_list,
    STATE(1799), 2,
      sym_comment,
      sym_documentation_comment,
  [88506] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(4404), 1,
      aux_sym__sub_string_test_token1,
    STATE(1800), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4406), 3,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      sym__unused_escape_sequence,
    ACTIONS(4402), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
  [88540] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      sym_identifier,
    STATE(1098), 1,
      aux_sym__metadata_repeat1,
    STATE(1278), 1,
      sym__annotation,
    STATE(2491), 1,
      sym_type_parameter,
    STATE(2554), 1,
      sym__metadata,
    STATE(1232), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1801), 2,
      sym_comment,
      sym_documentation_comment,
  [88582] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4257), 1,
      anon_sym_DOLLAR,
    ACTIONS(4408), 1,
      anon_sym_SQUOTE,
    STATE(1797), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1802), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4253), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [88620] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4257), 1,
      anon_sym_DOLLAR,
    ACTIONS(4410), 1,
      anon_sym_SQUOTE,
    STATE(1792), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(1900), 1,
      sym__sub_string_test,
    STATE(1803), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4253), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [88658] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4412), 1,
      anon_sym_DQUOTE,
    ACTIONS(4417), 1,
      anon_sym_DOLLAR,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1804), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    ACTIONS(4414), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [88694] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4251), 1,
      anon_sym_DOLLAR,
    ACTIONS(4420), 1,
      anon_sym_DQUOTE,
    STATE(1804), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1805), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4249), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [88732] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4251), 1,
      anon_sym_DOLLAR,
    ACTIONS(4422), 1,
      anon_sym_DQUOTE,
    STATE(1794), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(1896), 1,
      sym__sub_string_test,
    STATE(1806), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4249), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [88770] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4424), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1746), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1807), 2,
      sym_comment,
      sym_documentation_comment,
  [88811] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(1808), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3170), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [88842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2977), 1,
      anon_sym_QMARK,
    STATE(1809), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2975), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [88873] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4426), 1,
      anon_sym_DQUOTE,
    STATE(1810), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4428), 6,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [88904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2985), 1,
      anon_sym_QMARK,
    STATE(1811), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2983), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [88935] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4432), 1,
      anon_sym_if,
    STATE(2029), 1,
      sym_configuration_uri,
    STATE(1812), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_configurable_uri_repeat1,
    ACTIONS(4430), 4,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [88968] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3118), 1,
      anon_sym_QMARK,
    STATE(1813), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3116), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [88999] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3151), 1,
      anon_sym_QMARK,
    STATE(1814), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3149), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89030] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3143), 1,
      anon_sym_QMARK,
    STATE(1815), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3141), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89061] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4426), 1,
      anon_sym_SQUOTE,
    STATE(1816), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4428), 6,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [89092] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3131), 1,
      anon_sym_QMARK,
    STATE(1817), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3129), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89123] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    STATE(1818), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1937), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89154] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(4437), 1,
      anon_sym_async,
    ACTIONS(4439), 1,
      anon_sym_EQ_GT,
    STATE(970), 1,
      sym_function_expression_body,
    STATE(973), 1,
      sym_block,
    ACTIONS(4441), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1819), 2,
      sym_comment,
      sym_documentation_comment,
  [89193] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4326), 1,
      anon_sym_async,
    STATE(1820), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4321), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [89224] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(4443), 1,
      sym_identifier,
    STATE(1807), 1,
      sym__get,
    STATE(1876), 1,
      sym__set,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2329), 1,
      sym_initialized_identifier_list,
    STATE(1821), 2,
      sym_comment,
      sym_documentation_comment,
  [89265] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3099), 1,
      anon_sym_QMARK,
    STATE(1822), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3097), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89296] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3013), 1,
      anon_sym_QMARK,
    STATE(1823), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3011), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89327] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(996), 1,
      anon_sym_QMARK,
    STATE(1824), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(994), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89358] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(4446), 1,
      sym_identifier,
    STATE(1807), 1,
      sym__get,
    STATE(1876), 1,
      sym__set,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2714), 1,
      sym_initialized_identifier_list,
    STATE(1825), 2,
      sym_comment,
      sym_documentation_comment,
  [89399] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3053), 1,
      anon_sym_QMARK,
    STATE(1826), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3051), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89430] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    ACTIONS(4450), 1,
      anon_sym_async,
    ACTIONS(4452), 1,
      anon_sym_EQ_GT,
    STATE(334), 1,
      sym_block,
    STATE(350), 1,
      sym_function_body,
    ACTIONS(4454), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1827), 2,
      sym_comment,
      sym_documentation_comment,
  [89469] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3045), 1,
      anon_sym_QMARK,
    STATE(1828), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3043), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89500] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4458), 1,
      anon_sym_async,
    STATE(1829), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4456), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [89531] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4460), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2122), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1830), 2,
      sym_comment,
      sym_documentation_comment,
  [89572] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4464), 1,
      anon_sym_async,
    STATE(1831), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4462), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [89603] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1965), 1,
      anon_sym_QMARK,
    STATE(1832), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1963), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89634] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1969), 1,
      anon_sym_QMARK,
    STATE(1833), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1967), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89665] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(4287), 1,
      anon_sym_EQ,
    STATE(1431), 1,
      sym__type_dot_identifier,
    ACTIONS(1316), 2,
      anon_sym_Function,
      sym_identifier,
    ACTIONS(2775), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1834), 2,
      sym_comment,
      sym_documentation_comment,
  [89702] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3001), 1,
      anon_sym_QMARK,
    STATE(1835), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2999), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89733] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4468), 1,
      anon_sym_EQ,
    ACTIONS(4470), 1,
      anon_sym_async,
    STATE(1836), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4466), 5,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [89766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3025), 1,
      anon_sym_QMARK,
    STATE(1837), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3023), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89797] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3029), 1,
      anon_sym_QMARK,
    STATE(1838), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3027), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89828] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1734), 1,
      anon_sym_QMARK,
    STATE(1839), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1706), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89859] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4472), 1,
      anon_sym_LBRACE,
    ACTIONS(4474), 1,
      anon_sym_async,
    ACTIONS(4476), 1,
      anon_sym_EQ_GT,
    STATE(1217), 1,
      sym_function_expression_body,
    STATE(1218), 1,
      sym_block,
    ACTIONS(4478), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1840), 2,
      sym_comment,
      sym_documentation_comment,
  [89898] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1325), 1,
      anon_sym_QMARK,
    STATE(1841), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1314), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [89929] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4482), 1,
      anon_sym_async,
    STATE(1842), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4480), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [89960] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4486), 1,
      anon_sym_async,
    STATE(1843), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4484), 6,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [89991] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3147), 1,
      anon_sym_QMARK,
    STATE(1844), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3145), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2973), 1,
      anon_sym_QMARK,
    STATE(1845), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2971), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90053] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(2030), 1,
      sym__nullable_type,
    ACTIONS(2852), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    STATE(1846), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3807), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [90088] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2961), 1,
      anon_sym_QMARK,
    STATE(1847), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2959), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90119] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3033), 1,
      anon_sym_QMARK,
    STATE(1848), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3031), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90150] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3103), 1,
      anon_sym_QMARK,
    STATE(1849), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3101), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90181] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2965), 1,
      anon_sym_QMARK,
    STATE(1850), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2963), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1973), 1,
      anon_sym_QMARK,
    STATE(1851), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1971), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90243] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1977), 1,
      anon_sym_QMARK,
    STATE(1852), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1975), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90274] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4490), 1,
      anon_sym_async,
    STATE(1853), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4488), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [90305] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4492), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2122), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1854), 2,
      sym_comment,
      sym_documentation_comment,
  [90346] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4183), 1,
      anon_sym_if,
    STATE(1812), 1,
      aux_sym_configurable_uri_repeat1,
    STATE(2029), 1,
      sym_configuration_uri,
    STATE(1855), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4494), 4,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [90381] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1949), 1,
      anon_sym_QMARK,
    STATE(1856), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1943), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90412] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4452), 1,
      anon_sym_EQ_GT,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4498), 1,
      anon_sym_async,
    STATE(334), 1,
      sym_block,
    STATE(350), 1,
      sym_function_body,
    ACTIONS(4500), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1857), 2,
      sym_comment,
      sym_documentation_comment,
  [90451] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4504), 1,
      anon_sym_async,
    STATE(1858), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4502), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [90482] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4506), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1785), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1859), 2,
      sym_comment,
      sym_documentation_comment,
  [90523] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    ACTIONS(4450), 1,
      anon_sym_async,
    ACTIONS(4452), 1,
      anon_sym_EQ_GT,
    STATE(334), 1,
      sym_block,
    STATE(365), 1,
      sym_function_body,
    ACTIONS(4454), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1860), 2,
      sym_comment,
      sym_documentation_comment,
  [90562] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3168), 1,
      anon_sym_QMARK,
    STATE(1861), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3166), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90593] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4175), 1,
      anon_sym_on,
    ACTIONS(4177), 1,
      anon_sym_catch,
    ACTIONS(4179), 1,
      anon_sym_finally,
    STATE(338), 1,
      sym__on_part,
    STATE(358), 1,
      sym_finally_clause,
    STATE(1721), 1,
      aux_sym_try_statement_repeat1,
    STATE(2394), 1,
      sym_catch_clause,
    STATE(1862), 2,
      sym_comment,
      sym_documentation_comment,
  [90634] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3057), 1,
      anon_sym_QMARK,
    STATE(1863), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3055), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90665] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3067), 1,
      anon_sym_QMARK,
    STATE(1864), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3065), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90696] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4508), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2214), 1,
      sym__formal_parameter_part,
    STATE(1865), 2,
      sym_comment,
      sym_documentation_comment,
  [90737] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4510), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2214), 1,
      sym__formal_parameter_part,
    STATE(1866), 2,
      sym_comment,
      sym_documentation_comment,
  [90778] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4378), 1,
      anon_sym_SQUOTE,
    STATE(1867), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4382), 6,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [90809] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(4514), 1,
      aux_sym__sub_string_test_token1,
    STATE(1868), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4512), 3,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(4516), 3,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      sym__unused_escape_sequence,
  [90842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3075), 1,
      anon_sym_QMARK,
    STATE(1869), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3073), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90873] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3049), 1,
      anon_sym_QMARK,
    STATE(1870), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3047), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [90904] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1871), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4518), 7,
      sym_void_type,
      anon_sym_var,
      anon_sym_Function,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      sym_identifier,
  [90933] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4452), 1,
      anon_sym_EQ_GT,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4498), 1,
      anon_sym_async,
    STATE(334), 1,
      sym_block,
    STATE(419), 1,
      sym_function_body,
    ACTIONS(4500), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1872), 2,
      sym_comment,
      sym_documentation_comment,
  [90972] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(4522), 1,
      anon_sym_async,
    ACTIONS(4524), 1,
      anon_sym_EQ_GT,
    STATE(836), 1,
      sym_function_expression_body,
    STATE(837), 1,
      sym_block,
    ACTIONS(4526), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1873), 2,
      sym_comment,
      sym_documentation_comment,
  [91011] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4530), 1,
      anon_sym_async,
    STATE(1874), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4528), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [91042] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(1787), 1,
      anon_sym_operator,
    ACTIONS(4532), 1,
      sym_identifier,
    STATE(1280), 1,
      sym__operator,
    STATE(1807), 1,
      sym__get,
    STATE(1876), 1,
      sym__set,
    STATE(1875), 2,
      sym_comment,
      sym_documentation_comment,
  [91083] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4535), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1746), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1876), 2,
      sym_comment,
      sym_documentation_comment,
  [91124] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1642), 1,
      sym__function_builtin_identifier,
    STATE(1684), 1,
      aux_sym__function_type_tails,
    STATE(1877), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3807), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [91161] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4537), 1,
      anon_sym_async,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    STATE(1889), 1,
      sym_function_expression_body,
    STATE(1892), 1,
      sym_block,
    ACTIONS(4541), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1878), 2,
      sym_comment,
      sym_documentation_comment,
  [91200] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4195), 1,
      anon_sym_async,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(2689), 1,
      sym__native,
    STATE(1879), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4189), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [91235] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(4547), 1,
      aux_sym__sub_string_test_token1,
    STATE(1880), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4545), 3,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(4549), 3,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      sym__unused_escape_sequence,
  [91268] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4177), 1,
      anon_sym_catch,
    ACTIONS(4551), 1,
      anon_sym_on,
    ACTIONS(4553), 1,
      anon_sym_finally,
    STATE(327), 1,
      aux_sym_try_statement_repeat1,
    STATE(338), 1,
      sym__on_part,
    STATE(358), 1,
      sym_finally_clause,
    STATE(2347), 1,
      sym_catch_clause,
    STATE(1881), 2,
      sym_comment,
      sym_documentation_comment,
  [91309] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4452), 1,
      anon_sym_EQ_GT,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4498), 1,
      anon_sym_async,
    STATE(334), 1,
      sym_block,
    STATE(1556), 1,
      sym_function_body,
    ACTIONS(4500), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1882), 2,
      sym_comment,
      sym_documentation_comment,
  [91348] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4402), 1,
      anon_sym_DQUOTE,
    STATE(1883), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4406), 6,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [91379] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4452), 1,
      anon_sym_EQ_GT,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4498), 1,
      anon_sym_async,
    STATE(334), 1,
      sym_block,
    STATE(365), 1,
      sym_function_body,
    ACTIONS(4500), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1884), 2,
      sym_comment,
      sym_documentation_comment,
  [91418] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3111), 1,
      anon_sym_QMARK,
    STATE(1885), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3109), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [91449] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2004), 1,
      anon_sym_QMARK,
    STATE(1886), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2002), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [91480] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4557), 1,
      anon_sym_async,
    STATE(1887), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4555), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [91511] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4561), 1,
      anon_sym_EQ,
    ACTIONS(4563), 1,
      anon_sym_async,
    STATE(1888), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4559), 5,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [91544] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2993), 1,
      anon_sym_QMARK,
    STATE(1889), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2991), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [91575] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2000), 1,
      anon_sym_QMARK,
    STATE(1890), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1998), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [91606] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4567), 1,
      anon_sym_async,
    STATE(1891), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4565), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [91637] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2997), 1,
      anon_sym_QMARK,
    STATE(1892), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2995), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [91668] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2989), 1,
      anon_sym_QMARK,
    STATE(1893), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2987), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [91699] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4569), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1785), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1894), 2,
      sym_comment,
      sym_documentation_comment,
  [91740] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1895), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4571), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [91768] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1896), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4516), 6,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [91796] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4575), 1,
      anon_sym_SEMI,
    ACTIONS(4577), 1,
      anon_sym_async,
    STATE(1897), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4573), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [91828] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2122), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1898), 2,
      sym_comment,
      sym_documentation_comment,
  [91866] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(389), 1,
      sym__semicolon,
    STATE(1934), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1899), 2,
      sym_comment,
      sym_documentation_comment,
  [91902] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1900), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4549), 6,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [91930] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3731), 1,
      anon_sym_LBRACK,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    STATE(1025), 1,
      sym_index_selector,
    STATE(1042), 1,
      sym_unconditional_assignable_selector,
    STATE(2408), 1,
      sym__nullable_type,
    STATE(1901), 2,
      sym_comment,
      sym_documentation_comment,
  [91968] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4183), 1,
      anon_sym_if,
    STATE(1855), 1,
      aux_sym_configurable_uri_repeat1,
    STATE(2029), 1,
      sym_configuration_uri,
    STATE(1902), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4181), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [92002] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1785), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1903), 2,
      sym_comment,
      sym_documentation_comment,
  [92040] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    STATE(1502), 1,
      sym__nullable_type,
    STATE(2093), 1,
      sym_parameter_type_list,
    ACTIONS(2596), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(1904), 2,
      sym_comment,
      sym_documentation_comment,
  [92076] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1905), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4579), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92104] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(380), 1,
      sym__semicolon,
    STATE(1977), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1906), 2,
      sym_comment,
      sym_documentation_comment,
  [92140] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4582), 1,
      anon_sym_DQUOTE,
    STATE(1907), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4584), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [92170] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1746), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1908), 2,
      sym_comment,
      sym_documentation_comment,
  [92208] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(4586), 1,
      sym_identifier,
    STATE(679), 1,
      sym_cascade_selector,
    STATE(969), 1,
      sym_index_selector,
    STATE(2452), 1,
      sym__nullable_type,
    STATE(1909), 2,
      sym_comment,
      sym_documentation_comment,
  [92246] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_DOT,
    STATE(1910), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_factory_constructor_signature_repeat1,
    ACTIONS(4588), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
  [92276] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4595), 1,
      anon_sym_async,
    STATE(1911), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4593), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [92306] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1912), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4317), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92334] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1913), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4428), 6,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [92362] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3717), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_DOT,
    STATE(879), 1,
      sym_index_selector,
    STATE(904), 1,
      sym_unconditional_assignable_selector,
    STATE(2396), 1,
      sym__nullable_type,
    STATE(1914), 2,
      sym_comment,
      sym_documentation_comment,
  [92400] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1757), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1915), 2,
      sym_comment,
      sym_documentation_comment,
  [92438] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(4597), 1,
      sym_identifier,
    ACTIONS(4599), 1,
      anon_sym_LBRACK,
    STATE(343), 1,
      sym_cascade_selector,
    STATE(545), 1,
      sym_index_selector,
    STATE(2376), 1,
      sym__nullable_type,
    STATE(1916), 2,
      sym_comment,
      sym_documentation_comment,
  [92476] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1917), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3885), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92504] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1768), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1918), 2,
      sym_comment,
      sym_documentation_comment,
  [92542] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1919), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4601), 6,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [92570] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3717), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_DOT,
    STATE(874), 1,
      sym_unconditional_assignable_selector,
    STATE(879), 1,
      sym_index_selector,
    STATE(2396), 1,
      sym__nullable_type,
    STATE(1920), 2,
      sym_comment,
      sym_documentation_comment,
  [92608] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(4586), 1,
      sym_identifier,
    STATE(952), 1,
      sym_cascade_selector,
    STATE(969), 1,
      sym_index_selector,
    STATE(2452), 1,
      sym__nullable_type,
    STATE(1921), 2,
      sym_comment,
      sym_documentation_comment,
  [92646] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1922), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3877), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92674] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1923), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4603), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92702] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    STATE(775), 1,
      sym_index_selector,
    STATE(810), 1,
      sym_unconditional_assignable_selector,
    STATE(2358), 1,
      sym__nullable_type,
    STATE(1924), 2,
      sym_comment,
      sym_documentation_comment,
  [92740] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4607), 1,
      anon_sym_SQUOTE,
    STATE(1925), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4605), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [92770] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1926), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4609), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92798] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1927), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4297), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92826] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1928), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4612), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92854] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4614), 1,
      anon_sym_DQUOTE,
    STATE(1929), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4616), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [92884] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1930), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4618), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92912] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1931), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4620), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [92940] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2234), 1,
      sym__formal_parameter_part,
    STATE(1932), 2,
      sym_comment,
      sym_documentation_comment,
  [92978] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(4624), 1,
      anon_sym_COLON,
    STATE(369), 1,
      sym__semicolon,
    STATE(1933), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4622), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_else,
  [93012] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(381), 1,
      sym__semicolon,
    STATE(2020), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1934), 2,
      sym_comment,
      sym_documentation_comment,
  [93048] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(381), 1,
      sym__semicolon,
    STATE(1982), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1935), 2,
      sym_comment,
      sym_documentation_comment,
  [93084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1936), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4626), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [93112] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3731), 1,
      anon_sym_LBRACK,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    STATE(953), 1,
      sym_unconditional_assignable_selector,
    STATE(1025), 1,
      sym_index_selector,
    STATE(2408), 1,
      sym__nullable_type,
    STATE(1937), 2,
      sym_comment,
      sym_documentation_comment,
  [93150] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    STATE(1500), 1,
      sym__nullable_type,
    STATE(2081), 1,
      sym_parameter_type_list,
    ACTIONS(2584), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(1938), 2,
      sym_comment,
      sym_documentation_comment,
  [93186] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4630), 1,
      anon_sym_async,
    STATE(1939), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4628), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [93216] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4426), 1,
      anon_sym_SQUOTE,
    STATE(1940), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4428), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [93246] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1753), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1941), 2,
      sym_comment,
      sym_documentation_comment,
  [93284] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2214), 1,
      sym__formal_parameter_part,
    STATE(1942), 2,
      sym_comment,
      sym_documentation_comment,
  [93322] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2212), 1,
      sym__formal_parameter_part,
    STATE(1943), 2,
      sym_comment,
      sym_documentation_comment,
  [93360] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4634), 1,
      anon_sym_async,
    STATE(1944), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4632), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [93390] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4638), 1,
      anon_sym_async,
    STATE(1945), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4636), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [93420] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3992), 1,
      anon_sym_extends,
    STATE(2073), 1,
      sym__nullable_type,
    STATE(2398), 1,
      sym_type_bound,
    ACTIONS(4640), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(1946), 2,
      sym_comment,
      sym_documentation_comment,
  [93456] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3725), 1,
      anon_sym_LBRACK,
    ACTIONS(3727), 1,
      anon_sym_DOT,
    STATE(1257), 1,
      sym_index_selector,
    STATE(1262), 1,
      sym_unconditional_assignable_selector,
    STATE(2368), 1,
      sym__nullable_type,
    STATE(1947), 2,
      sym_comment,
      sym_documentation_comment,
  [93494] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4644), 1,
      anon_sym_async,
    STATE(1948), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4642), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [93524] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(387), 1,
      sym__semicolon,
    STATE(2020), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1949), 2,
      sym_comment,
      sym_documentation_comment,
  [93560] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1950), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4646), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [93588] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2221), 1,
      anon_sym_LBRACK,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3219), 1,
      anon_sym_DOT,
    STATE(863), 1,
      sym_index_selector,
    STATE(890), 1,
      sym_unconditional_assignable_selector,
    STATE(2407), 1,
      sym__nullable_type,
    STATE(1951), 2,
      sym_comment,
      sym_documentation_comment,
  [93626] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2681), 1,
      sym__formal_parameter_part,
    STATE(1952), 2,
      sym_comment,
      sym_documentation_comment,
  [93664] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4650), 1,
      anon_sym_async,
    STATE(1953), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4648), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [93694] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_DOT,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1179), 1,
      sym_unconditional_assignable_selector,
    STATE(1200), 1,
      sym_index_selector,
    STATE(2381), 1,
      sym__nullable_type,
    STATE(1954), 2,
      sym_comment,
      sym_documentation_comment,
  [93732] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_implements,
    ACTIONS(4652), 1,
      anon_sym_on,
    STATE(415), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(2518), 1,
      sym_interfaces,
    STATE(1955), 2,
      sym_comment,
      sym_documentation_comment,
  [93770] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4277), 1,
      anon_sym_async,
    STATE(1956), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4275), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [93800] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(384), 1,
      sym__semicolon,
    STATE(2020), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1957), 2,
      sym_comment,
      sym_documentation_comment,
  [93836] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(2218), 1,
      sym__formal_parameter_part,
    STATE(1958), 2,
      sym_comment,
      sym_documentation_comment,
  [93874] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4582), 1,
      anon_sym_SQUOTE,
    STATE(1959), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4584), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [93904] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(877), 1,
      sym_cascade_section,
    STATE(1610), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2432), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(3951), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1960), 2,
      sym_comment,
      sym_documentation_comment,
  [93938] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4614), 1,
      anon_sym_SQUOTE,
    STATE(1961), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4616), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [93968] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4656), 1,
      anon_sym_async,
    STATE(1962), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4654), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [93998] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4660), 1,
      anon_sym_async,
    STATE(1963), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4658), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [94028] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2596), 1,
      anon_sym_SEMI,
    ACTIONS(2652), 1,
      anon_sym_Function,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    STATE(1502), 1,
      sym__nullable_type,
    STATE(2093), 1,
      sym_parameter_type_list,
    STATE(1964), 2,
      sym_comment,
      sym_documentation_comment,
  [94066] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3598), 1,
      anon_sym_LPAREN,
    STATE(1938), 1,
      sym__nullable_type,
    STATE(2093), 1,
      sym_parameter_type_list,
    ACTIONS(2596), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(1965), 2,
      sym_comment,
      sym_documentation_comment,
  [94102] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(3992), 1,
      anon_sym_extends,
    STATE(2078), 1,
      sym__nullable_type,
    STATE(2490), 1,
      sym_type_bound,
    ACTIONS(4662), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(1966), 2,
      sym_comment,
      sym_documentation_comment,
  [94138] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1967), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4664), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [94166] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4193), 1,
      anon_sym_SEMI,
    ACTIONS(4195), 1,
      anon_sym_async,
    STATE(1968), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4189), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [94198] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1969), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4428), 6,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [94226] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1970), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4666), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [94254] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(4668), 1,
      sym_identifier,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    STATE(345), 1,
      sym_cascade_selector,
    STATE(548), 1,
      sym_index_selector,
    STATE(2383), 1,
      sym__nullable_type,
    STATE(1971), 2,
      sym_comment,
      sym_documentation_comment,
  [94292] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(877), 1,
      sym_cascade_section,
    STATE(1610), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2432), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(3947), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1972), 2,
      sym_comment,
      sym_documentation_comment,
  [94326] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4674), 1,
      anon_sym_async,
    STATE(1973), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4672), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [94356] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1796), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1974), 2,
      sym_comment,
      sym_documentation_comment,
  [94394] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1762), 1,
      sym__formal_parameter_part,
    STATE(2132), 1,
      sym_type_parameters,
    STATE(1975), 2,
      sym_comment,
      sym_documentation_comment,
  [94432] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    ACTIONS(2484), 1,
      anon_sym_LBRACK,
    ACTIONS(4676), 1,
      anon_sym_RPAREN,
    STATE(2669), 1,
      sym_optional_formal_parameters,
    STATE(1976), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2548), 2,
      sym__optional_postional_formal_parameters,
      sym__named_formal_parameters,
  [94468] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(385), 1,
      sym__semicolon,
    STATE(2020), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1977), 2,
      sym_comment,
      sym_documentation_comment,
  [94504] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4680), 1,
      anon_sym_SQUOTE,
    STATE(1978), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4678), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [94534] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4684), 1,
      anon_sym_async,
    STATE(1979), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4682), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [94564] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    ACTIONS(4586), 1,
      sym_identifier,
    STATE(676), 1,
      sym_cascade_selector,
    STATE(969), 1,
      sym_index_selector,
    STATE(2452), 1,
      sym__nullable_type,
    STATE(1980), 2,
      sym_comment,
      sym_documentation_comment,
  [94602] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4426), 1,
      anon_sym_DQUOTE,
    STATE(1981), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4428), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [94632] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(376), 1,
      sym__semicolon,
    STATE(2020), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1982), 2,
      sym_comment,
      sym_documentation_comment,
  [94668] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(385), 1,
      sym__semicolon,
    STATE(1949), 1,
      aux_sym_library_export_repeat1,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4366), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(1983), 2,
      sym_comment,
      sym_documentation_comment,
  [94704] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4607), 1,
      anon_sym_DQUOTE,
    STATE(1984), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4605), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [94734] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    STATE(1985), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4688), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [94764] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4690), 1,
      sym_identifier,
    STATE(2136), 1,
      sym_label,
    ACTIONS(4693), 2,
      anon_sym_default,
      sym_case_builtin,
    STATE(1986), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_switch_case_repeat1,
  [94795] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1987), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4616), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [94822] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1988), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4605), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [94849] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_implements,
    STATE(440), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(2433), 1,
      sym_interfaces,
    STATE(1989), 2,
      sym_comment,
      sym_documentation_comment,
  [94884] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_implements,
    STATE(451), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(2393), 1,
      sym_interfaces,
    STATE(1990), 2,
      sym_comment,
      sym_documentation_comment,
  [94919] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4695), 1,
      anon_sym_DOT,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1910), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2343), 1,
      sym_formal_parameter_list,
    STATE(1991), 2,
      sym_comment,
      sym_documentation_comment,
  [94954] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2555), 1,
      anon_sym_SEMI,
    ACTIONS(4697), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1748), 1,
      sym__function_builtin_identifier,
    STATE(2003), 1,
      aux_sym__function_type_tails,
    STATE(1992), 2,
      sym_comment,
      sym_documentation_comment,
  [94989] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2549), 1,
      anon_sym_SEMI,
    ACTIONS(4697), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1748), 1,
      sym__function_builtin_identifier,
    STATE(2003), 1,
      aux_sym__function_type_tails,
    STATE(1993), 2,
      sym_comment,
      sym_documentation_comment,
  [95024] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4701), 1,
      anon_sym_COMMA,
    STATE(1997), 1,
      aux_sym__type_not_void_list_repeat1,
    STATE(1994), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4699), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
  [95055] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4703), 1,
      anon_sym_COMMA,
    ACTIONS(4706), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
    STATE(1995), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_inferred_parameters_repeat1,
  [95084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1996), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4588), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
  [95111] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4701), 1,
      anon_sym_COMMA,
    STATE(2016), 1,
      aux_sym__type_not_void_list_repeat1,
    STATE(1997), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4708), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
  [95142] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(4710), 1,
      sym_identifier,
    STATE(2629), 1,
      sym_this,
    STATE(2630), 1,
      sym_super,
    STATE(1998), 2,
      sym_comment,
      sym_documentation_comment,
  [95177] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4624), 1,
      anon_sym_COLON,
    STATE(1999), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4622), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [95206] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4695), 1,
      anon_sym_DOT,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1910), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2734), 1,
      sym_formal_parameter_list,
    STATE(2000), 2,
      sym_comment,
      sym_documentation_comment,
  [95241] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2001), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4712), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [95268] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2002), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4584), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [95295] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2559), 1,
      anon_sym_SEMI,
    ACTIONS(4714), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1748), 1,
      sym__function_builtin_identifier,
    STATE(2003), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
  [95328] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1785), 1,
      anon_sym_factory,
    ACTIONS(4717), 1,
      sym_identifier,
    STATE(2315), 1,
      sym_qualified,
    STATE(2690), 1,
      sym__factory,
    STATE(2714), 1,
      sym_factory_constructor_signature,
    STATE(2004), 2,
      sym_comment,
      sym_documentation_comment,
  [95363] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2005), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4719), 5,
      anon_sym_super,
      sym_void_type,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [95390] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2006), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4721), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [95417] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2007), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4723), 5,
      sym_void_type,
      anon_sym_var,
      anon_sym_Function,
      sym_final_builtin,
      sym_identifier,
  [95444] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2008), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4616), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [95471] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(135), 1,
      anon_sym_this,
    ACTIONS(4725), 1,
      sym_identifier,
    STATE(2629), 1,
      sym_this,
    STATE(2630), 1,
      sym_super,
    STATE(2009), 2,
      sym_comment,
      sym_documentation_comment,
  [95506] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4695), 1,
      anon_sym_DOT,
    STATE(2038), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2010), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4727), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
  [95537] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4729), 1,
      anon_sym_COMMA,
    ACTIONS(4731), 1,
      anon_sym_EQ,
    ACTIONS(4733), 1,
      anon_sym_SEMI,
    ACTIONS(4735), 1,
      anon_sym_in,
    STATE(2261), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2011), 2,
      sym_comment,
      sym_documentation_comment,
  [95572] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1785), 1,
      anon_sym_factory,
    ACTIONS(4717), 1,
      sym_identifier,
    STATE(2315), 1,
      sym_qualified,
    STATE(2457), 1,
      sym_factory_constructor_signature,
    STATE(2688), 1,
      sym__factory,
    STATE(2012), 2,
      sym_comment,
      sym_documentation_comment,
  [95607] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_implements,
    STATE(437), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(2414), 1,
      sym_interfaces,
    STATE(2013), 2,
      sym_comment,
      sym_documentation_comment,
  [95642] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(4739), 1,
      anon_sym_RPAREN,
    STATE(137), 1,
      sym__semicolon,
    STATE(2154), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2014), 2,
      sym_comment,
      sym_documentation_comment,
  [95677] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    STATE(1995), 1,
      aux_sym_inferred_parameters_repeat1,
    STATE(2015), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4741), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [95708] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4745), 1,
      anon_sym_COMMA,
    ACTIONS(4743), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
    STATE(2016), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__type_not_void_list_repeat1,
  [95737] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_implements,
    STATE(411), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(2332), 1,
      sym_interfaces,
    STATE(2017), 2,
      sym_comment,
      sym_documentation_comment,
  [95772] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_implements,
    STATE(404), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(2512), 1,
      sym_interfaces,
    STATE(2018), 2,
      sym_comment,
      sym_documentation_comment,
  [95807] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2019), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4748), 5,
      sym_void_type,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
  [95834] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4750), 1,
      anon_sym_SEMI,
    STATE(2101), 1,
      sym_combinator,
    ACTIONS(4752), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2020), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_library_export_repeat1,
  [95865] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2021), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4605), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [95892] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4755), 1,
      anon_sym_export,
    ACTIONS(4757), 1,
      anon_sym_import,
    STATE(388), 1,
      sym_import_specification,
    STATE(1442), 1,
      sym__export,
    STATE(1471), 1,
      sym__import,
    STATE(2022), 2,
      sym_comment,
      sym_documentation_comment,
  [95927] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2023), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4428), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [95954] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4695), 1,
      anon_sym_DOT,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1888), 1,
      sym_formal_parameter_list,
    STATE(2041), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2024), 2,
      sym_comment,
      sym_documentation_comment,
  [95989] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(4759), 1,
      sym_identifier,
    STATE(1865), 1,
      sym__get,
    STATE(1866), 1,
      sym__set,
    STATE(2025), 2,
      sym_comment,
      sym_documentation_comment,
  [96024] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4695), 1,
      anon_sym_DOT,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1991), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2351), 1,
      sym_formal_parameter_list,
    STATE(2026), 2,
      sym_comment,
      sym_documentation_comment,
  [96059] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(4759), 1,
      sym_identifier,
    STATE(1866), 1,
      sym__set,
    STATE(1942), 1,
      sym__get,
    STATE(2027), 2,
      sym_comment,
      sym_documentation_comment,
  [96094] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4761), 1,
      sym_identifier,
    ACTIONS(4763), 1,
      anon_sym_default,
    ACTIONS(4765), 1,
      sym_case_builtin,
    STATE(1986), 1,
      aux_sym_switch_case_repeat1,
    STATE(2136), 1,
      sym_label,
    STATE(2028), 2,
      sym_comment,
      sym_documentation_comment,
  [96129] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2029), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4767), 5,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_show,
      anon_sym_hide,
  [96156] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3093), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    STATE(2030), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3918), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [96185] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2031), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4584), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [96212] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(4769), 1,
      anon_sym_RPAREN,
    STATE(139), 1,
      sym__semicolon,
    STATE(2104), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2032), 2,
      sym_comment,
      sym_documentation_comment,
  [96247] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(4532), 1,
      sym_identifier,
    STATE(1908), 2,
      sym__get,
      sym__set,
    STATE(2033), 2,
      sym_comment,
      sym_documentation_comment,
  [96280] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4695), 1,
      anon_sym_DOT,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2000), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2727), 1,
      sym_formal_parameter_list,
    STATE(2034), 2,
      sym_comment,
      sym_documentation_comment,
  [96315] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    ACTIONS(3897), 1,
      anon_sym_implements,
    STATE(410), 1,
      sym_class_body,
    STATE(1609), 1,
      sym__implements,
    STATE(2470), 1,
      sym_interfaces,
    STATE(2035), 2,
      sym_comment,
      sym_documentation_comment,
  [96350] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4577), 1,
      anon_sym_async,
    STATE(2036), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4573), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96379] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2037), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4771), 5,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_show,
      anon_sym_hide,
  [96406] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4695), 1,
      anon_sym_DOT,
    STATE(1910), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2038), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4773), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
  [96437] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    STATE(2015), 1,
      aux_sym_inferred_parameters_repeat1,
    STATE(2039), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4775), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [96468] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2040), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4428), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [96495] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4695), 1,
      anon_sym_DOT,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1836), 1,
      sym_formal_parameter_list,
    STATE(1910), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2041), 2,
      sym_comment,
      sym_documentation_comment,
  [96530] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2042), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4777), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [96556] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2043), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4779), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [96582] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_DOT,
    STATE(1311), 1,
      sym_arguments,
    STATE(2379), 1,
      sym__dot_identifier,
    STATE(2044), 2,
      sym_comment,
      sym_documentation_comment,
  [96614] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4783), 1,
      anon_sym_COMMA,
    ACTIONS(4786), 1,
      anon_sym_RPAREN,
    STATE(2111), 1,
      aux_sym__argument_list_repeat2,
    STATE(2112), 1,
      aux_sym__argument_list_repeat3,
    STATE(2045), 2,
      sym_comment,
      sym_documentation_comment,
  [96646] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4177), 1,
      anon_sym_catch,
    ACTIONS(4788), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_block,
    STATE(2520), 1,
      sym_catch_clause,
    STATE(2046), 2,
      sym_comment,
      sym_documentation_comment,
  [96678] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2047), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4790), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [96704] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4792), 1,
      anon_sym_COMMA,
    ACTIONS(4795), 1,
      anon_sym_RPAREN,
    STATE(2045), 1,
      aux_sym__argument_list_repeat2,
    STATE(2297), 1,
      aux_sym__argument_list_repeat3,
    STATE(2048), 2,
      sym_comment,
      sym_documentation_comment,
  [96736] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2049), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4622), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [96762] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4797), 1,
      sym_identifier,
    STATE(2050), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4799), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [96790] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_DOT,
    STATE(816), 1,
      sym_arguments,
    STATE(2450), 1,
      sym__dot_identifier,
    STATE(2051), 2,
      sym_comment,
      sym_documentation_comment,
  [96822] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1502), 1,
      sym__nullable_type,
    ACTIONS(2596), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2052), 2,
      sym_comment,
      sym_documentation_comment,
  [96852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4729), 1,
      anon_sym_COMMA,
    ACTIONS(4731), 1,
      anon_sym_EQ,
    ACTIONS(4733), 1,
      anon_sym_SEMI,
    STATE(2261), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2053), 2,
      sym_comment,
      sym_documentation_comment,
  [96884] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4803), 1,
      sym__exclamation_operator,
    STATE(2054), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4801), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [96912] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3611), 1,
      anon_sym_Function,
    STATE(1364), 1,
      sym__function_builtin_identifier,
    STATE(1382), 1,
      aux_sym__function_type_tails,
    STATE(1476), 1,
      sym__function_type_tail,
    STATE(2055), 2,
      sym_comment,
      sym_documentation_comment,
  [96944] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(4805), 1,
      anon_sym_COMMA,
    STATE(134), 1,
      sym__semicolon,
    STATE(2107), 1,
      aux_sym__for_loop_parts_repeat1,
    STATE(2056), 2,
      sym_comment,
      sym_documentation_comment,
  [96976] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3895), 1,
      anon_sym_with,
    STATE(2437), 1,
      sym_mixins,
    ACTIONS(4807), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(2057), 2,
      sym_comment,
      sym_documentation_comment,
  [97006] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2058), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4706), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [97032] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4193), 1,
      anon_sym_SEMI,
    ACTIONS(4809), 1,
      anon_sym_COLON,
    STATE(2059), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2689), 2,
      sym_initializers,
      sym_redirection,
  [97062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2060), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4811), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [97088] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4697), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1748), 1,
      sym__function_builtin_identifier,
    STATE(1992), 1,
      aux_sym__function_type_tails,
    STATE(2061), 2,
      sym_comment,
      sym_documentation_comment,
  [97120] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_DOT,
    STATE(1248), 1,
      sym_arguments,
    STATE(2389), 1,
      sym__dot_identifier,
    STATE(2062), 2,
      sym_comment,
      sym_documentation_comment,
  [97152] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2063), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4743), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_implements,
  [97178] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(4805), 1,
      anon_sym_COMMA,
    STATE(132), 1,
      sym__semicolon,
    STATE(2056), 1,
      aux_sym__for_loop_parts_repeat1,
    STATE(2064), 2,
      sym_comment,
      sym_documentation_comment,
  [97210] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4815), 1,
      anon_sym_else,
    STATE(2065), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4813), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [97238] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3897), 1,
      anon_sym_implements,
    ACTIONS(4817), 1,
      anon_sym_SEMI,
    STATE(1609), 1,
      sym__implements,
    STATE(2718), 1,
      sym_interfaces,
    STATE(2066), 2,
      sym_comment,
      sym_documentation_comment,
  [97270] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4177), 1,
      anon_sym_catch,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_block,
    STATE(2367), 1,
      sym_catch_clause,
    STATE(2067), 2,
      sym_comment,
      sym_documentation_comment,
  [97302] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3263), 1,
      anon_sym_Function,
    STATE(1081), 1,
      sym__function_builtin_identifier,
    STATE(1087), 1,
      aux_sym__function_type_tails,
    STATE(1185), 1,
      sym__function_type_tail,
    STATE(2068), 2,
      sym_comment,
      sym_documentation_comment,
  [97334] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_DOT,
    STATE(1850), 1,
      sym_arguments,
    STATE(2373), 1,
      sym__dot_identifier,
    STATE(2069), 2,
      sym_comment,
      sym_documentation_comment,
  [97366] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(2473), 1,
      sym__nullable_type,
    ACTIONS(2852), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2070), 2,
      sym_comment,
      sym_documentation_comment,
  [97396] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_DOT,
    STATE(939), 1,
      sym_arguments,
    STATE(2493), 1,
      sym__dot_identifier,
    STATE(2071), 2,
      sym_comment,
      sym_documentation_comment,
  [97428] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4697), 1,
      anon_sym_Function,
    STATE(1367), 1,
      sym__function_builtin_identifier,
    STATE(1422), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(2072), 2,
      sym_comment,
      sym_documentation_comment,
  [97460] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3992), 1,
      anon_sym_extends,
    STATE(2489), 1,
      sym_type_bound,
    ACTIONS(4819), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2073), 2,
      sym_comment,
      sym_documentation_comment,
  [97490] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3294), 1,
      anon_sym_Function,
    STATE(1086), 1,
      sym__function_builtin_identifier,
    STATE(1120), 1,
      aux_sym__function_type_tails,
    STATE(1215), 1,
      sym__function_type_tail,
    STATE(2074), 2,
      sym_comment,
      sym_documentation_comment,
  [97522] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_DOT,
    STATE(817), 1,
      sym_arguments,
    STATE(2436), 1,
      sym__dot_identifier,
    STATE(2075), 2,
      sym_comment,
      sym_documentation_comment,
  [97554] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2594), 1,
      anon_sym_Function,
    STATE(704), 1,
      aux_sym__function_type_tails,
    STATE(720), 1,
      sym__function_builtin_identifier,
    STATE(844), 1,
      sym__function_type_tail,
    STATE(2076), 2,
      sym_comment,
      sym_documentation_comment,
  [97586] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4821), 1,
      anon_sym_COMMA,
    ACTIONS(4824), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(2077), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_parameter_type_list_repeat1,
  [97614] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3992), 1,
      anon_sym_extends,
    STATE(2485), 1,
      sym_type_bound,
    ACTIONS(4826), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2078), 2,
      sym_comment,
      sym_documentation_comment,
  [97644] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4828), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(4830), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(2079), 2,
      sym_comment,
      sym_documentation_comment,
  [97672] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4832), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(4834), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(2080), 2,
      sym_comment,
      sym_documentation_comment,
  [97700] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1509), 1,
      sym__nullable_type,
    ACTIONS(2709), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2081), 2,
      sym_comment,
      sym_documentation_comment,
  [97730] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2082), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4836), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [97756] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4840), 1,
      anon_sym_COMMA,
    ACTIONS(4838), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    STATE(2083), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_list_literal_repeat1,
  [97784] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4697), 1,
      anon_sym_Function,
    STATE(1492), 1,
      sym__function_type_tail,
    STATE(1642), 1,
      sym__function_builtin_identifier,
    STATE(1684), 1,
      aux_sym__function_type_tails,
    STATE(2084), 2,
      sym_comment,
      sym_documentation_comment,
  [97816] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      sym_identifier,
    ACTIONS(4845), 1,
      anon_sym_on,
    STATE(2589), 1,
      sym_type_parameters,
    STATE(2085), 2,
      sym_comment,
      sym_documentation_comment,
  [97848] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2086), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4847), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [97874] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2087), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4849), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [97900] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_DOT,
    STATE(1847), 1,
      sym_arguments,
    STATE(2384), 1,
      sym__dot_identifier,
    STATE(2088), 2,
      sym_comment,
      sym_documentation_comment,
  [97932] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4797), 1,
      sym_identifier,
    STATE(2089), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4851), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [97960] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2553), 1,
      anon_sym_Function,
    STATE(684), 1,
      sym__function_builtin_identifier,
    STATE(695), 1,
      aux_sym__function_type_tails,
    STATE(804), 1,
      sym__function_type_tail,
    STATE(2090), 2,
      sym_comment,
      sym_documentation_comment,
  [97992] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(4781), 1,
      anon_sym_DOT,
    STATE(941), 1,
      sym_arguments,
    STATE(2499), 1,
      sym__dot_identifier,
    STATE(2091), 2,
      sym_comment,
      sym_documentation_comment,
  [98024] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4853), 1,
      anon_sym_EQ,
    STATE(1580), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2092), 2,
      sym_comment,
      sym_documentation_comment,
  [98056] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(1500), 1,
      sym__nullable_type,
    ACTIONS(2584), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2093), 2,
      sym_comment,
      sym_documentation_comment,
  [98086] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4855), 1,
      anon_sym_EQ_GT,
    STATE(1885), 1,
      sym_block,
    STATE(2094), 2,
      sym_comment,
      sym_documentation_comment,
  [98115] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2095), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3852), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [98140] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4231), 1,
      anon_sym_RBRACE,
    ACTIONS(4857), 1,
      anon_sym_COMMA,
    STATE(2178), 1,
      aux_sym_enum_body_repeat1,
    STATE(2096), 2,
      sym_comment,
      sym_documentation_comment,
  [98169] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(143), 1,
      ts_builtin_sym_end,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(369), 1,
      sym__semicolon,
    STATE(2097), 2,
      sym_comment,
      sym_documentation_comment,
  [98198] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(4861), 1,
      anon_sym_GT,
    STATE(2182), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2098), 2,
      sym_comment,
      sym_documentation_comment,
  [98227] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4863), 1,
      anon_sym_COMMA,
    ACTIONS(4866), 1,
      anon_sym_RPAREN,
    STATE(2161), 1,
      aux_sym__normal_formal_parameters_repeat1,
    STATE(2099), 2,
      sym_comment,
      sym_documentation_comment,
  [98256] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(761), 1,
      anon_sym_RBRACE,
    ACTIONS(4868), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2100), 2,
      sym_comment,
      sym_documentation_comment,
  [98285] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2101), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4870), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [98310] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(4872), 1,
      anon_sym_RPAREN,
    STATE(2175), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2102), 2,
      sym_comment,
      sym_documentation_comment,
  [98339] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(791), 1,
      anon_sym_RBRACK,
    ACTIONS(4874), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2103), 2,
      sym_comment,
      sym_documentation_comment,
  [98368] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(4876), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2104), 2,
      sym_comment,
      sym_documentation_comment,
  [98397] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(4878), 1,
      anon_sym_RPAREN,
    STATE(2166), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2105), 2,
      sym_comment,
      sym_documentation_comment,
  [98426] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    ACTIONS(4880), 1,
      anon_sym_EQ_GT,
    STATE(943), 1,
      sym_block,
    STATE(2106), 2,
      sym_comment,
      sym_documentation_comment,
  [98455] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4882), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_SEMI,
    STATE(2107), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__for_loop_parts_repeat1,
  [98482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4887), 1,
      anon_sym_COMMA,
    ACTIONS(4889), 1,
      anon_sym_RPAREN,
    STATE(2312), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2108), 2,
      sym_comment,
      sym_documentation_comment,
  [98511] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2109), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4851), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [98536] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4891), 1,
      anon_sym_COMMA,
    ACTIONS(4894), 1,
      anon_sym_RPAREN,
    STATE(2249), 1,
      aux_sym__argument_list_repeat1,
    STATE(2110), 2,
      sym_comment,
      sym_documentation_comment,
  [98565] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4896), 1,
      anon_sym_COMMA,
    ACTIONS(4899), 1,
      anon_sym_RPAREN,
    STATE(2111), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__argument_list_repeat2,
  [98592] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4901), 1,
      anon_sym_COMMA,
    ACTIONS(4904), 1,
      anon_sym_RPAREN,
    STATE(2120), 1,
      aux_sym__argument_list_repeat3,
    STATE(2112), 2,
      sym_comment,
      sym_documentation_comment,
  [98621] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4906), 1,
      anon_sym_COMMA,
    ACTIONS(4908), 1,
      anon_sym_RBRACK,
    STATE(2149), 1,
      aux_sym_positional_parameters_repeat1,
    STATE(2113), 2,
      sym_comment,
      sym_documentation_comment,
  [98650] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4912), 1,
      anon_sym_EQ,
    ACTIONS(4910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2114), 2,
      sym_comment,
      sym_documentation_comment,
  [98677] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4914), 1,
      anon_sym_RBRACE,
    ACTIONS(4916), 1,
      anon_sym_COMMA,
    STATE(2144), 1,
      aux_sym__named_formal_parameters_repeat1,
    STATE(2115), 2,
      sym_comment,
      sym_documentation_comment,
  [98706] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4918), 1,
      sym_identifier,
    STATE(157), 1,
      sym_label,
    STATE(2110), 1,
      sym_named_argument,
    STATE(2116), 2,
      sym_comment,
      sym_documentation_comment,
  [98735] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(787), 1,
      anon_sym_RBRACK,
    ACTIONS(4920), 1,
      anon_sym_COMMA,
    STATE(2118), 1,
      aux_sym_list_literal_repeat1,
    STATE(2117), 2,
      sym_comment,
      sym_documentation_comment,
  [98764] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(771), 1,
      anon_sym_RBRACK,
    ACTIONS(4922), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2118), 2,
      sym_comment,
      sym_documentation_comment,
  [98793] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4354), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1963), 1,
      sym__native,
    STATE(2119), 2,
      sym_comment,
      sym_documentation_comment,
  [98822] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4894), 1,
      anon_sym_RPAREN,
    ACTIONS(4924), 1,
      anon_sym_COMMA,
    STATE(2120), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__argument_list_repeat3,
  [98849] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2121), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [98874] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4360), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1962), 1,
      sym__native,
    STATE(2122), 2,
      sym_comment,
      sym_documentation_comment,
  [98903] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(4931), 1,
      anon_sym_GT,
    STATE(2192), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2123), 2,
      sym_comment,
      sym_documentation_comment,
  [98932] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4933), 1,
      anon_sym_COMMA,
    ACTIONS(4936), 1,
      anon_sym_RPAREN,
    STATE(2124), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__argument_list_repeat1,
  [98959] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(149), 1,
      ts_builtin_sym_end,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(369), 1,
      sym__semicolon,
    STATE(2125), 2,
      sym_comment,
      sym_documentation_comment,
  [98988] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(4938), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2126), 2,
      sym_comment,
      sym_documentation_comment,
  [99017] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4940), 1,
      sym_identifier,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2510), 1,
      sym_initialized_identifier_list,
    STATE(2127), 2,
      sym_comment,
      sym_documentation_comment,
  [99046] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(141), 1,
      ts_builtin_sym_end,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(369), 1,
      sym__semicolon,
    STATE(2128), 2,
      sym_comment,
      sym_documentation_comment,
  [99075] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4943), 1,
      sym_identifier,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2510), 1,
      sym_initialized_identifier_list,
    STATE(2129), 2,
      sym_comment,
      sym_documentation_comment,
  [99104] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(773), 1,
      anon_sym_RBRACE,
    ACTIONS(4946), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2130), 2,
      sym_comment,
      sym_documentation_comment,
  [99133] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4948), 1,
      sym_identifier,
    ACTIONS(3852), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(2131), 2,
      sym_comment,
      sym_documentation_comment,
  [99160] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1580), 1,
      sym_formal_parameter_list,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2132), 2,
      sym_comment,
      sym_documentation_comment,
  [99189] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(4951), 1,
      anon_sym_DOT,
    STATE(2725), 1,
      sym_arguments,
    STATE(2133), 2,
      sym_comment,
      sym_documentation_comment,
  [99218] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3630), 1,
      anon_sym_RBRACE,
    ACTIONS(4953), 1,
      anon_sym_COMMA,
    STATE(2146), 1,
      aux_sym_named_parameter_types_repeat1,
    STATE(2134), 2,
      sym_comment,
      sym_documentation_comment,
  [99247] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3700), 1,
      anon_sym_RBRACK,
    ACTIONS(4955), 1,
      anon_sym_COMMA,
    STATE(2077), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2135), 2,
      sym_comment,
      sym_documentation_comment,
  [99276] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2136), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4957), 3,
      anon_sym_default,
      sym_case_builtin,
      sym_identifier,
  [99301] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2137), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4824), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [99326] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(4959), 1,
      anon_sym_LBRACE,
    ACTIONS(4961), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(4963), 1,
      sym_identifier_dollar_escaped,
    STATE(2138), 2,
      sym_comment,
      sym_documentation_comment,
  [99355] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(4965), 1,
      anon_sym_EQ,
    STATE(2737), 1,
      sym_arguments,
    STATE(2139), 2,
      sym_comment,
      sym_documentation_comment,
  [99384] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2140), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4838), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [99409] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4967), 1,
      anon_sym_COMMA,
    ACTIONS(4970), 1,
      anon_sym_RPAREN,
    STATE(2099), 1,
      aux_sym__normal_formal_parameters_repeat1,
    STATE(2141), 2,
      sym_comment,
      sym_documentation_comment,
  [99438] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2142), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4972), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [99463] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(783), 1,
      anon_sym_RBRACE,
    ACTIONS(4974), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_list_literal_repeat1,
    STATE(2143), 2,
      sym_comment,
      sym_documentation_comment,
  [99492] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2531), 1,
      anon_sym_RBRACE,
    ACTIONS(4976), 1,
      anon_sym_COMMA,
    STATE(2247), 1,
      aux_sym__named_formal_parameters_repeat1,
    STATE(2144), 2,
      sym_comment,
      sym_documentation_comment,
  [99521] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(725), 1,
      anon_sym_RBRACK,
    ACTIONS(4978), 1,
      anon_sym_COMMA,
    STATE(2191), 1,
      aux_sym_list_literal_repeat1,
    STATE(2145), 2,
      sym_comment,
      sym_documentation_comment,
  [99550] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    ACTIONS(4982), 1,
      anon_sym_COMMA,
    STATE(2146), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_named_parameter_types_repeat1,
  [99577] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(4985), 1,
      anon_sym_GT,
    STATE(2193), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2147), 2,
      sym_comment,
      sym_documentation_comment,
  [99606] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(4987), 1,
      anon_sym_GT,
    STATE(2194), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2148), 2,
      sym_comment,
      sym_documentation_comment,
  [99635] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2670), 1,
      anon_sym_RBRACK,
    ACTIONS(4989), 1,
      anon_sym_COMMA,
    STATE(2205), 1,
      aux_sym_positional_parameters_repeat1,
    STATE(2149), 2,
      sym_comment,
      sym_documentation_comment,
  [99664] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2248), 1,
      sym_formal_parameter_list,
    STATE(2150), 2,
      sym_comment,
      sym_documentation_comment,
  [99693] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4991), 1,
      anon_sym_COMMA,
    ACTIONS(4993), 1,
      anon_sym_RPAREN,
    STATE(2180), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2151), 2,
      sym_comment,
      sym_documentation_comment,
  [99722] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4350), 1,
      anon_sym_SEMI,
    ACTIONS(4995), 1,
      anon_sym_COMMA,
    STATE(2253), 1,
      aux_sym_initializers_repeat1,
    STATE(2152), 2,
      sym_comment,
      sym_documentation_comment,
  [99751] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2254), 1,
      sym_formal_parameter_list,
    STATE(2153), 2,
      sym_comment,
      sym_documentation_comment,
  [99780] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2154), 2,
      sym_comment,
      sym_documentation_comment,
  [99809] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(727), 1,
      anon_sym_RBRACK,
    ACTIONS(4999), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2155), 2,
      sym_comment,
      sym_documentation_comment,
  [99838] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(795), 1,
      anon_sym_RBRACK,
    ACTIONS(5001), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2156), 2,
      sym_comment,
      sym_documentation_comment,
  [99867] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5003), 1,
      anon_sym_RPAREN,
    STATE(2277), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2157), 2,
      sym_comment,
      sym_documentation_comment,
  [99896] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(799), 1,
      anon_sym_RBRACE,
    ACTIONS(5005), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2158), 2,
      sym_comment,
      sym_documentation_comment,
  [99925] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5007), 1,
      anon_sym_GT,
    STATE(2182), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2159), 2,
      sym_comment,
      sym_documentation_comment,
  [99954] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3537), 1,
      anon_sym_RPAREN,
    ACTIONS(5009), 1,
      anon_sym_COMMA,
    STATE(2077), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2160), 2,
      sym_comment,
      sym_documentation_comment,
  [99983] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5011), 1,
      anon_sym_COMMA,
    ACTIONS(5014), 1,
      anon_sym_RPAREN,
    STATE(2161), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__normal_formal_parameters_repeat1,
  [100010] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2162), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3867), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [100035] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5016), 1,
      sym_identifier,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2449), 1,
      sym_initialized_identifier_list,
    STATE(2163), 2,
      sym_comment,
      sym_documentation_comment,
  [100064] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5019), 1,
      anon_sym_RPAREN,
    STATE(2287), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2164), 2,
      sym_comment,
      sym_documentation_comment,
  [100093] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5021), 1,
      anon_sym_GT,
    STATE(2192), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2165), 2,
      sym_comment,
      sym_documentation_comment,
  [100122] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5023), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2166), 2,
      sym_comment,
      sym_documentation_comment,
  [100151] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(4938), 1,
      anon_sym_COMMA,
    STATE(2220), 1,
      aux_sym_list_literal_repeat1,
    STATE(2167), 2,
      sym_comment,
      sym_documentation_comment,
  [100180] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5025), 1,
      anon_sym_RPAREN,
    STATE(2288), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2168), 2,
      sym_comment,
      sym_documentation_comment,
  [100209] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5027), 1,
      anon_sym_COMMA,
    ACTIONS(5030), 1,
      anon_sym_RPAREN,
    STATE(2169), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__for_loop_parts_repeat2,
  [100236] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5032), 1,
      anon_sym_GT,
    STATE(2187), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2170), 2,
      sym_comment,
      sym_documentation_comment,
  [100265] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2171), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3744), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [100290] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5034), 1,
      anon_sym_GT,
    STATE(2221), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2172), 2,
      sym_comment,
      sym_documentation_comment,
  [100319] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(807), 1,
      anon_sym_RBRACK,
    ACTIONS(5036), 1,
      anon_sym_COMMA,
    STATE(2156), 1,
      aux_sym_list_literal_repeat1,
    STATE(2173), 2,
      sym_comment,
      sym_documentation_comment,
  [100348] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(813), 1,
      anon_sym_RBRACE,
    ACTIONS(5038), 1,
      anon_sym_COMMA,
    STATE(2158), 1,
      aux_sym_list_literal_repeat1,
    STATE(2174), 2,
      sym_comment,
      sym_documentation_comment,
  [100377] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2175), 2,
      sym_comment,
      sym_documentation_comment,
  [100406] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(807), 1,
      anon_sym_RBRACK,
    ACTIONS(5036), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2176), 2,
      sym_comment,
      sym_documentation_comment,
  [100435] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(813), 1,
      anon_sym_RBRACE,
    ACTIONS(5038), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2177), 2,
      sym_comment,
      sym_documentation_comment,
  [100464] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5042), 1,
      anon_sym_RBRACE,
    ACTIONS(5044), 1,
      anon_sym_COMMA,
    STATE(2178), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_enum_body_repeat1,
  [100491] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(727), 1,
      anon_sym_RBRACK,
    ACTIONS(4999), 1,
      anon_sym_COMMA,
    STATE(2232), 1,
      aux_sym_list_literal_repeat1,
    STATE(2179), 2,
      sym_comment,
      sym_documentation_comment,
  [100520] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3541), 1,
      anon_sym_RPAREN,
    ACTIONS(5047), 1,
      anon_sym_COMMA,
    STATE(2077), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2180), 2,
      sym_comment,
      sym_documentation_comment,
  [100549] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5049), 1,
      anon_sym_GT,
    STATE(2159), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2181), 2,
      sym_comment,
      sym_documentation_comment,
  [100578] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5054), 1,
      anon_sym_GT,
    STATE(2182), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_type_parameters_repeat1,
  [100605] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5056), 1,
      anon_sym_COMMA,
    ACTIONS(5058), 1,
      anon_sym_RPAREN,
    STATE(2160), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2183), 2,
      sym_comment,
      sym_documentation_comment,
  [100634] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(4205), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2184), 2,
      sym_comment,
      sym_documentation_comment,
  [100661] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5060), 1,
      anon_sym_COMMA,
    ACTIONS(5063), 1,
      anon_sym_SEMI,
    STATE(2185), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_initialized_identifier_list_repeat1,
  [100688] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4729), 1,
      anon_sym_COMMA,
    ACTIONS(5065), 1,
      anon_sym_SEMI,
    STATE(2317), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2186), 2,
      sym_comment,
      sym_documentation_comment,
  [100717] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5067), 1,
      anon_sym_GT,
    STATE(2182), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2187), 2,
      sym_comment,
      sym_documentation_comment,
  [100746] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    ACTIONS(5069), 1,
      anon_sym_DOT,
    STATE(1842), 1,
      sym_arguments,
    STATE(2188), 2,
      sym_comment,
      sym_documentation_comment,
  [100775] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(763), 1,
      anon_sym_RBRACE,
    ACTIONS(5071), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2189), 2,
      sym_comment,
      sym_documentation_comment,
  [100804] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5073), 1,
      anon_sym_GT,
    STATE(2286), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2190), 2,
      sym_comment,
      sym_documentation_comment,
  [100833] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(743), 1,
      anon_sym_RBRACK,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2191), 2,
      sym_comment,
      sym_documentation_comment,
  [100862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5077), 1,
      anon_sym_COMMA,
    ACTIONS(5080), 1,
      anon_sym_GT,
    STATE(2192), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_type_arguments_repeat1,
  [100889] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_GT,
    STATE(2182), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2193), 2,
      sym_comment,
      sym_documentation_comment,
  [100918] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5084), 1,
      anon_sym_GT,
    STATE(2192), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2194), 2,
      sym_comment,
      sym_documentation_comment,
  [100947] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(5086), 1,
      anon_sym_DOT,
    STATE(2725), 1,
      sym_arguments,
    STATE(2195), 2,
      sym_comment,
      sym_documentation_comment,
  [100976] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(763), 1,
      anon_sym_RBRACE,
    ACTIONS(5071), 1,
      anon_sym_COMMA,
    STATE(2223), 1,
      aux_sym_list_literal_repeat1,
    STATE(2196), 2,
      sym_comment,
      sym_documentation_comment,
  [101005] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(743), 1,
      anon_sym_RBRACK,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    STATE(2224), 1,
      aux_sym_list_literal_repeat1,
    STATE(2197), 2,
      sym_comment,
      sym_documentation_comment,
  [101034] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1755), 1,
      sym_formal_parameter_list,
    STATE(2198), 2,
      sym_comment,
      sym_documentation_comment,
  [101063] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5088), 1,
      sym_identifier,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2726), 1,
      sym_initialized_identifier_list,
    STATE(2199), 2,
      sym_comment,
      sym_documentation_comment,
  [101092] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2200), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5090), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [101117] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5092), 1,
      anon_sym_GT,
    STATE(2283), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2201), 2,
      sym_comment,
      sym_documentation_comment,
  [101146] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(741), 1,
      anon_sym_RBRACK,
    ACTIONS(5094), 1,
      anon_sym_COMMA,
    STATE(2155), 1,
      aux_sym_list_literal_repeat1,
    STATE(2202), 2,
      sym_comment,
      sym_documentation_comment,
  [101175] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(739), 1,
      anon_sym_RBRACK,
    ACTIONS(5096), 1,
      anon_sym_COMMA,
    STATE(2176), 1,
      aux_sym_list_literal_repeat1,
    STATE(2203), 2,
      sym_comment,
      sym_documentation_comment,
  [101204] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5098), 1,
      anon_sym_RBRACE,
    ACTIONS(5100), 1,
      anon_sym_COMMA,
    STATE(2096), 1,
      aux_sym_enum_body_repeat1,
    STATE(2204), 2,
      sym_comment,
      sym_documentation_comment,
  [101233] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5102), 1,
      anon_sym_COMMA,
    ACTIONS(5105), 1,
      anon_sym_RBRACK,
    STATE(2205), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_positional_parameters_repeat1,
  [101260] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(731), 1,
      anon_sym_RBRACE,
    ACTIONS(5107), 1,
      anon_sym_COMMA,
    STATE(2177), 1,
      aux_sym_list_literal_repeat1,
    STATE(2206), 2,
      sym_comment,
      sym_documentation_comment,
  [101289] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4729), 1,
      anon_sym_COMMA,
    ACTIONS(5109), 1,
      anon_sym_SEMI,
    STATE(2185), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2207), 2,
      sym_comment,
      sym_documentation_comment,
  [101318] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5111), 1,
      anon_sym_COMMA,
    ACTIONS(5113), 1,
      anon_sym_RPAREN,
    STATE(2265), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2208), 2,
      sym_comment,
      sym_documentation_comment,
  [101347] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5115), 1,
      anon_sym_GT,
    STATE(2192), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2209), 2,
      sym_comment,
      sym_documentation_comment,
  [101376] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    ACTIONS(5117), 1,
      anon_sym_EQ_GT,
    STATE(333), 1,
      sym_block,
    STATE(2210), 2,
      sym_comment,
      sym_documentation_comment,
  [101405] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(137), 1,
      ts_builtin_sym_end,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(369), 1,
      sym__semicolon,
    STATE(2211), 2,
      sym_comment,
      sym_documentation_comment,
  [101434] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4269), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1945), 1,
      sym__native,
    STATE(2212), 2,
      sym_comment,
      sym_documentation_comment,
  [101463] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4243), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1944), 1,
      sym__native,
    STATE(2213), 2,
      sym_comment,
      sym_documentation_comment,
  [101492] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4237), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1939), 1,
      sym__native,
    STATE(2214), 2,
      sym_comment,
      sym_documentation_comment,
  [101521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2215), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5119), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_identifier,
  [101546] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5121), 1,
      anon_sym_COMMA,
    ACTIONS(5123), 1,
      anon_sym_RPAREN,
    STATE(2237), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2216), 2,
      sym_comment,
      sym_documentation_comment,
  [101575] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(5125), 1,
      sym_identifier,
    STATE(367), 1,
      sym__semicolon,
    STATE(2217), 2,
      sym_comment,
      sym_documentation_comment,
  [101604] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4283), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1953), 1,
      sym__native,
    STATE(2218), 2,
      sym_comment,
      sym_documentation_comment,
  [101633] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5127), 1,
      anon_sym_GT,
    STATE(2182), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2219), 2,
      sym_comment,
      sym_documentation_comment,
  [101662] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(733), 1,
      anon_sym_RBRACE,
    ACTIONS(5129), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2220), 2,
      sym_comment,
      sym_documentation_comment,
  [101691] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5131), 1,
      anon_sym_GT,
    STATE(2192), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2221), 2,
      sym_comment,
      sym_documentation_comment,
  [101720] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(739), 1,
      anon_sym_RBRACK,
    ACTIONS(5096), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2222), 2,
      sym_comment,
      sym_documentation_comment,
  [101749] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(757), 1,
      anon_sym_RBRACE,
    ACTIONS(5133), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2223), 2,
      sym_comment,
      sym_documentation_comment,
  [101778] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(759), 1,
      anon_sym_RBRACK,
    ACTIONS(5135), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2224), 2,
      sym_comment,
      sym_documentation_comment,
  [101807] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(757), 1,
      anon_sym_RBRACE,
    ACTIONS(5133), 1,
      anon_sym_COMMA,
    STATE(2240), 1,
      aux_sym_list_literal_repeat1,
    STATE(2225), 2,
      sym_comment,
      sym_documentation_comment,
  [101836] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(759), 1,
      anon_sym_RBRACK,
    ACTIONS(5135), 1,
      anon_sym_COMMA,
    STATE(2241), 1,
      aux_sym_list_literal_repeat1,
    STATE(2226), 2,
      sym_comment,
      sym_documentation_comment,
  [101865] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    ACTIONS(5137), 1,
      anon_sym_EQ_GT,
    STATE(895), 1,
      sym_block,
    STATE(2227), 2,
      sym_comment,
      sym_documentation_comment,
  [101894] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4943), 1,
      sym_identifier,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2449), 1,
      sym_initialized_identifier_list,
    STATE(2228), 2,
      sym_comment,
      sym_documentation_comment,
  [101923] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    ACTIONS(4223), 1,
      anon_sym_SEMI,
    STATE(2263), 1,
      aux_sym_inferred_parameters_repeat1,
    STATE(2229), 2,
      sym_comment,
      sym_documentation_comment,
  [101952] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(731), 1,
      anon_sym_RBRACE,
    ACTIONS(5107), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2230), 2,
      sym_comment,
      sym_documentation_comment,
  [101981] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5139), 1,
      anon_sym_GT,
    STATE(2165), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2231), 2,
      sym_comment,
      sym_documentation_comment,
  [102010] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(735), 1,
      anon_sym_RBRACK,
    ACTIONS(5141), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2232), 2,
      sym_comment,
      sym_documentation_comment,
  [102039] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2233), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5143), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [102064] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4388), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1948), 1,
      sym__native,
    STATE(2234), 2,
      sym_comment,
      sym_documentation_comment,
  [102093] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(1778), 1,
      sym_formal_parameter_list,
    STATE(2235), 2,
      sym_comment,
      sym_documentation_comment,
  [102122] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(733), 1,
      anon_sym_RBRACE,
    ACTIONS(5129), 1,
      anon_sym_COMMA,
    STATE(2267), 1,
      aux_sym_list_literal_repeat1,
    STATE(2236), 2,
      sym_comment,
      sym_documentation_comment,
  [102151] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3553), 1,
      anon_sym_RPAREN,
    ACTIONS(5145), 1,
      anon_sym_COMMA,
    STATE(2077), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2237), 2,
      sym_comment,
      sym_documentation_comment,
  [102180] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4472), 1,
      anon_sym_LBRACE,
    ACTIONS(5147), 1,
      anon_sym_EQ_GT,
    STATE(1251), 1,
      sym_block,
    STATE(2238), 2,
      sym_comment,
      sym_documentation_comment,
  [102209] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5149), 1,
      sym_identifier,
    STATE(2293), 1,
      sym_static_final_declaration,
    STATE(2726), 1,
      sym_static_final_declaration_list,
    STATE(2239), 2,
      sym_comment,
      sym_documentation_comment,
  [102238] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(775), 1,
      anon_sym_RBRACE,
    ACTIONS(5151), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2240), 2,
      sym_comment,
      sym_documentation_comment,
  [102267] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(777), 1,
      anon_sym_RBRACK,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2241), 2,
      sym_comment,
      sym_documentation_comment,
  [102296] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2242), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5155), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [102321] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(793), 1,
      anon_sym_RBRACE,
    ACTIONS(5157), 1,
      anon_sym_COMMA,
    STATE(2130), 1,
      aux_sym_list_literal_repeat1,
    STATE(2243), 2,
      sym_comment,
      sym_documentation_comment,
  [102350] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5088), 1,
      sym_identifier,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2689), 1,
      sym_initialized_identifier_list,
    STATE(2244), 2,
      sym_comment,
      sym_documentation_comment,
  [102379] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4729), 1,
      anon_sym_COMMA,
    ACTIONS(5159), 1,
      anon_sym_SEMI,
    STATE(2207), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2245), 2,
      sym_comment,
      sym_documentation_comment,
  [102408] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(5161), 1,
      anon_sym_DOT,
    STATE(1842), 1,
      sym_arguments,
    STATE(2246), 2,
      sym_comment,
      sym_documentation_comment,
  [102437] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5163), 1,
      anon_sym_RBRACE,
    ACTIONS(5165), 1,
      anon_sym_COMMA,
    STATE(2247), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__named_formal_parameters_repeat1,
  [102464] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4334), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1956), 1,
      sym__native,
    STATE(2248), 2,
      sym_comment,
      sym_documentation_comment,
  [102493] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5168), 1,
      anon_sym_COMMA,
    ACTIONS(5171), 1,
      anon_sym_RPAREN,
    STATE(2124), 1,
      aux_sym__argument_list_repeat1,
    STATE(2249), 2,
      sym_comment,
      sym_documentation_comment,
  [102522] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(5173), 1,
      sym_identifier,
    STATE(352), 1,
      sym__semicolon,
    STATE(2250), 2,
      sym_comment,
      sym_documentation_comment,
  [102551] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(151), 1,
      ts_builtin_sym_end,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(369), 1,
      sym__semicolon,
    STATE(2251), 2,
      sym_comment,
      sym_documentation_comment,
  [102580] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    ACTIONS(5177), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(5179), 1,
      sym_identifier_dollar_escaped,
    STATE(2252), 2,
      sym_comment,
      sym_documentation_comment,
  [102609] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4263), 1,
      anon_sym_SEMI,
    ACTIONS(4995), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_initializers_repeat1,
    STATE(2253), 2,
      sym_comment,
      sym_documentation_comment,
  [102638] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4275), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1979), 1,
      sym__native,
    STATE(2254), 2,
      sym_comment,
      sym_documentation_comment,
  [102667] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2255), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5181), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [102692] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4321), 1,
      anon_sym_SEMI,
    ACTIONS(5183), 1,
      anon_sym_COMMA,
    STATE(2256), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_initializers_repeat1,
  [102719] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    ACTIONS(5186), 1,
      anon_sym_EQ,
    STATE(2737), 1,
      sym_arguments,
    STATE(2257), 2,
      sym_comment,
      sym_documentation_comment,
  [102748] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5188), 1,
      anon_sym_RBRACE,
    ACTIONS(5190), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_named_parameter_types_repeat1,
    STATE(2258), 2,
      sym_comment,
      sym_documentation_comment,
  [102777] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(735), 1,
      anon_sym_RBRACK,
    ACTIONS(5141), 1,
      anon_sym_COMMA,
    STATE(2268), 1,
      aux_sym_list_literal_repeat1,
    STATE(2259), 2,
      sym_comment,
      sym_documentation_comment,
  [102806] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5192), 1,
      sym_identifier,
    STATE(2419), 1,
      sym_dotted_identifier_list,
    STATE(2699), 1,
      sym_uri_test,
    STATE(2260), 2,
      sym_comment,
      sym_documentation_comment,
  [102835] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4729), 1,
      anon_sym_COMMA,
    ACTIONS(5194), 1,
      anon_sym_SEMI,
    STATE(2185), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2261), 2,
      sym_comment,
      sym_documentation_comment,
  [102864] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2262), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5196), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
  [102889] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    ACTIONS(5198), 1,
      anon_sym_SEMI,
    STATE(1995), 1,
      aux_sym_inferred_parameters_repeat1,
    STATE(2263), 2,
      sym_comment,
      sym_documentation_comment,
  [102918] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(5117), 1,
      anon_sym_EQ_GT,
    STATE(333), 1,
      sym_block,
    STATE(2264), 2,
      sym_comment,
      sym_documentation_comment,
  [102947] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3535), 1,
      anon_sym_RPAREN,
    ACTIONS(5200), 1,
      anon_sym_COMMA,
    STATE(2077), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2265), 2,
      sym_comment,
      sym_documentation_comment,
  [102976] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2266), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5202), 3,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_finally,
  [103001] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(745), 1,
      anon_sym_RBRACE,
    ACTIONS(5204), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2267), 2,
      sym_comment,
      sym_documentation_comment,
  [103030] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(747), 1,
      anon_sym_RBRACK,
    ACTIONS(5206), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2268), 2,
      sym_comment,
      sym_documentation_comment,
  [103059] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3551), 1,
      anon_sym_RPAREN,
    ACTIONS(5208), 1,
      anon_sym_COMMA,
    STATE(2077), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2269), 2,
      sym_comment,
      sym_documentation_comment,
  [103088] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5210), 1,
      anon_sym_COMMA,
    ACTIONS(5212), 1,
      anon_sym_RBRACK,
    STATE(2135), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2270), 2,
      sym_comment,
      sym_documentation_comment,
  [103117] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4279), 1,
      anon_sym_SEMI,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(1911), 1,
      sym__native,
    STATE(2271), 2,
      sym_comment,
      sym_documentation_comment,
  [103146] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    ACTIONS(5214), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2272), 2,
      sym_comment,
      sym_documentation_comment,
  [103175] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(749), 1,
      anon_sym_RBRACK,
    ACTIONS(5216), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_list_literal_repeat1,
    STATE(2273), 2,
      sym_comment,
      sym_documentation_comment,
  [103204] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5218), 1,
      anon_sym_COMMA,
    ACTIONS(5220), 1,
      anon_sym_RPAREN,
    STATE(2269), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2274), 2,
      sym_comment,
      sym_documentation_comment,
  [103233] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5222), 1,
      anon_sym_RPAREN,
    STATE(2308), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2275), 2,
      sym_comment,
      sym_documentation_comment,
  [103262] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(773), 1,
      anon_sym_RBRACE,
    ACTIONS(4946), 1,
      anon_sym_COMMA,
    STATE(2272), 1,
      aux_sym_list_literal_repeat1,
    STATE(2276), 2,
      sym_comment,
      sym_documentation_comment,
  [103291] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5224), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2277), 2,
      sym_comment,
      sym_documentation_comment,
  [103320] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    ACTIONS(5214), 1,
      anon_sym_COMMA,
    STATE(2100), 1,
      aux_sym_list_literal_repeat1,
    STATE(2278), 2,
      sym_comment,
      sym_documentation_comment,
  [103349] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2279), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5226), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [103374] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(771), 1,
      anon_sym_RBRACK,
    ACTIONS(4922), 1,
      anon_sym_COMMA,
    STATE(2273), 1,
      aux_sym_list_literal_repeat1,
    STATE(2280), 2,
      sym_comment,
      sym_documentation_comment,
  [103403] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5228), 1,
      anon_sym_COMMA,
    ACTIONS(5230), 1,
      anon_sym_SEMI,
    STATE(2289), 1,
      aux_sym_static_final_declaration_list_repeat1,
    STATE(2281), 2,
      sym_comment,
      sym_documentation_comment,
  [103432] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5232), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2282), 2,
      sym_comment,
      sym_documentation_comment,
  [103461] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5234), 1,
      anon_sym_GT,
    STATE(2192), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2283), 2,
      sym_comment,
      sym_documentation_comment,
  [103490] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5088), 1,
      sym_identifier,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2714), 1,
      sym_initialized_identifier_list,
    STATE(2284), 2,
      sym_comment,
      sym_documentation_comment,
  [103519] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(749), 1,
      anon_sym_RBRACK,
    ACTIONS(5216), 1,
      anon_sym_COMMA,
    STATE(2103), 1,
      aux_sym_list_literal_repeat1,
    STATE(2285), 2,
      sym_comment,
      sym_documentation_comment,
  [103548] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5236), 1,
      anon_sym_GT,
    STATE(2182), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2286), 2,
      sym_comment,
      sym_documentation_comment,
  [103577] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5238), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2287), 2,
      sym_comment,
      sym_documentation_comment,
  [103606] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5240), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2288), 2,
      sym_comment,
      sym_documentation_comment,
  [103635] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5242), 1,
      anon_sym_COMMA,
    ACTIONS(5245), 1,
      anon_sym_SEMI,
    STATE(2289), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_static_final_declaration_list_repeat1,
  [103662] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2290), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5247), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [103687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2291), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4799), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [103712] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5249), 1,
      sym_identifier,
    STATE(2293), 1,
      sym_static_final_declaration,
    STATE(2449), 1,
      sym_static_final_declaration_list,
    STATE(2292), 2,
      sym_comment,
      sym_documentation_comment,
  [103741] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5228), 1,
      anon_sym_COMMA,
    ACTIONS(5252), 1,
      anon_sym_SEMI,
    STATE(2281), 1,
      aux_sym_static_final_declaration_list_repeat1,
    STATE(2293), 2,
      sym_comment,
      sym_documentation_comment,
  [103770] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(753), 1,
      anon_sym_RBRACE,
    ACTIONS(5254), 1,
      anon_sym_COMMA,
    STATE(2126), 1,
      aux_sym_list_literal_repeat1,
    STATE(2294), 2,
      sym_comment,
      sym_documentation_comment,
  [103799] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4795), 1,
      anon_sym_RPAREN,
    ACTIONS(5256), 1,
      anon_sym_COMMA,
    STATE(2299), 1,
      aux_sym__argument_list_repeat1,
    STATE(2295), 2,
      sym_comment,
      sym_documentation_comment,
  [103828] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5259), 1,
      anon_sym_LBRACE,
    ACTIONS(5261), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(5263), 1,
      sym_identifier_dollar_escaped,
    STATE(2296), 2,
      sym_comment,
      sym_documentation_comment,
  [103857] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4786), 1,
      anon_sym_RPAREN,
    ACTIONS(5265), 1,
      anon_sym_COMMA,
    STATE(2120), 1,
      aux_sym__argument_list_repeat3,
    STATE(2297), 2,
      sym_comment,
      sym_documentation_comment,
  [103886] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4918), 1,
      sym_identifier,
    STATE(157), 1,
      sym_label,
    STATE(2421), 1,
      sym_named_argument,
    STATE(2298), 2,
      sym_comment,
      sym_documentation_comment,
  [103915] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4786), 1,
      anon_sym_RPAREN,
    ACTIONS(5268), 1,
      anon_sym_COMMA,
    STATE(2124), 1,
      aux_sym__argument_list_repeat1,
    STATE(2299), 2,
      sym_comment,
      sym_documentation_comment,
  [103944] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5088), 1,
      sym_identifier,
    STATE(2245), 1,
      sym_initialized_identifier,
    STATE(2733), 1,
      sym_initialized_identifier_list,
    STATE(2300), 2,
      sym_comment,
      sym_documentation_comment,
  [103973] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5271), 1,
      anon_sym_LBRACE,
    ACTIONS(5273), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(5275), 1,
      sym_identifier_dollar_escaped,
    STATE(2301), 2,
      sym_comment,
      sym_documentation_comment,
  [104002] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5277), 1,
      anon_sym_GT,
    STATE(2098), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2302), 2,
      sym_comment,
      sym_documentation_comment,
  [104031] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(5279), 1,
      ts_builtin_sym_end,
    STATE(369), 1,
      sym__semicolon,
    STATE(2303), 2,
      sym_comment,
      sym_documentation_comment,
  [104060] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(811), 1,
      anon_sym_RBRACE,
    ACTIONS(5281), 1,
      anon_sym_COMMA,
    STATE(2230), 1,
      aux_sym_list_literal_repeat1,
    STATE(2304), 2,
      sym_comment,
      sym_documentation_comment,
  [104089] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5283), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2305), 2,
      sym_comment,
      sym_documentation_comment,
  [104118] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(3891), 1,
      anon_sym_EQ,
    STATE(2698), 1,
      sym_type_parameters,
    STATE(2306), 2,
      sym_comment,
      sym_documentation_comment,
  [104147] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(797), 1,
      anon_sym_RBRACK,
    ACTIONS(5285), 1,
      anon_sym_COMMA,
    STATE(2222), 1,
      aux_sym_list_literal_repeat1,
    STATE(2307), 2,
      sym_comment,
      sym_documentation_comment,
  [104176] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5287), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2308), 2,
      sym_comment,
      sym_documentation_comment,
  [104205] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4859), 1,
      anon_sym_COMMA,
    ACTIONS(5289), 1,
      anon_sym_GT,
    STATE(2219), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2309), 2,
      sym_comment,
      sym_documentation_comment,
  [104234] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5291), 1,
      anon_sym_GT,
    STATE(2209), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2310), 2,
      sym_comment,
      sym_documentation_comment,
  [104263] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5293), 1,
      anon_sym_RPAREN,
    STATE(2305), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2311), 2,
      sym_comment,
      sym_documentation_comment,
  [104292] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3531), 1,
      anon_sym_RPAREN,
    ACTIONS(5295), 1,
      anon_sym_COMMA,
    STATE(2077), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2312), 2,
      sym_comment,
      sym_documentation_comment,
  [104321] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    ACTIONS(5297), 1,
      anon_sym_RPAREN,
    STATE(2169), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2313), 2,
      sym_comment,
      sym_documentation_comment,
  [104350] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_COMMA,
    ACTIONS(5299), 1,
      anon_sym_GT,
    STATE(2123), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2314), 2,
      sym_comment,
      sym_documentation_comment,
  [104379] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    STATE(1581), 1,
      sym__strict_formal_parameter_list,
    STATE(2390), 1,
      sym_formal_parameter_list,
    STATE(2315), 2,
      sym_comment,
      sym_documentation_comment,
  [104408] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3603), 1,
      anon_sym_LT,
    ACTIONS(5301), 1,
      anon_sym_on,
    STATE(2637), 1,
      sym_type_parameters,
    STATE(2316), 2,
      sym_comment,
      sym_documentation_comment,
  [104437] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4729), 1,
      anon_sym_COMMA,
    ACTIONS(5303), 1,
      anon_sym_SEMI,
    STATE(2185), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2317), 2,
      sym_comment,
      sym_documentation_comment,
  [104466] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2318), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5305), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_identifier,
  [104491] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2319), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5307), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [104516] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(145), 1,
      ts_builtin_sym_end,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(369), 1,
      sym__semicolon,
    STATE(2320), 2,
      sym_comment,
      sym_documentation_comment,
  [104545] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_block,
    STATE(2321), 2,
      sym_comment,
      sym_documentation_comment,
  [104571] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5192), 1,
      sym_identifier,
    STATE(2460), 1,
      sym_dotted_identifier_list,
    STATE(2322), 2,
      sym_comment,
      sym_documentation_comment,
  [104597] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5309), 1,
      sym_identifier,
    STATE(2344), 1,
      sym_qualified,
    STATE(2323), 2,
      sym_comment,
      sym_documentation_comment,
  [104623] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5311), 1,
      sym_identifier,
    STATE(403), 1,
      sym_mixin_application_class,
    STATE(2324), 2,
      sym_comment,
      sym_documentation_comment,
  [104649] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5313), 1,
      anon_sym_LPAREN,
    STATE(50), 1,
      sym_parenthesized_expression,
    STATE(2325), 2,
      sym_comment,
      sym_documentation_comment,
  [104675] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5313), 1,
      anon_sym_LPAREN,
    STATE(52), 1,
      sym_parenthesized_expression,
    STATE(2326), 2,
      sym_comment,
      sym_documentation_comment,
  [104701] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2132), 1,
      anon_sym_LBRACK,
    STATE(508), 1,
      sym_index_selector,
    STATE(2327), 2,
      sym_comment,
      sym_documentation_comment,
  [104727] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(923), 1,
      sym_arguments,
    STATE(2328), 2,
      sym_comment,
      sym_documentation_comment,
  [104753] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(431), 1,
      sym__semicolon,
    STATE(2329), 2,
      sym_comment,
      sym_documentation_comment,
  [104779] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5315), 1,
      anon_sym_LBRACE,
    ACTIONS(5317), 1,
      anon_sym_LBRACK,
    STATE(2330), 2,
      sym_comment,
      sym_documentation_comment,
  [104805] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_LPAREN,
    STATE(46), 1,
      sym_for_loop_parts,
    STATE(2331), 2,
      sym_comment,
      sym_documentation_comment,
  [104831] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_class_body,
    STATE(2332), 2,
      sym_comment,
      sym_documentation_comment,
  [104857] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3751), 1,
      sym_increment_operator,
    STATE(891), 1,
      sym_postfix_operator,
    STATE(2333), 2,
      sym_comment,
      sym_documentation_comment,
  [104883] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(361), 1,
      sym__semicolon,
    STATE(2334), 2,
      sym_comment,
      sym_documentation_comment,
  [104909] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5321), 1,
      anon_sym_LPAREN,
    STATE(2378), 1,
      sym_parenthesized_expression,
    STATE(2335), 2,
      sym_comment,
      sym_documentation_comment,
  [104935] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(386), 1,
      sym__semicolon,
    STATE(2336), 2,
      sym_comment,
      sym_documentation_comment,
  [104961] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5323), 1,
      sym_identifier,
    STATE(2733), 1,
      sym_identifier_list,
    STATE(2337), 2,
      sym_comment,
      sym_documentation_comment,
  [104987] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5325), 1,
      anon_sym_COMMA,
    ACTIONS(5327), 1,
      anon_sym_RPAREN,
    STATE(2338), 2,
      sym_comment,
      sym_documentation_comment,
  [105013] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5329), 1,
      anon_sym_LBRACK,
    STATE(1833), 1,
      sym_index_selector,
    STATE(2339), 2,
      sym_comment,
      sym_documentation_comment,
  [105039] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    STATE(950), 1,
      sym_arguments,
    STATE(2340), 2,
      sym_comment,
      sym_documentation_comment,
  [105065] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(357), 1,
      sym__semicolon,
    STATE(2341), 2,
      sym_comment,
      sym_documentation_comment,
  [105091] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5331), 1,
      sym_identifier,
    STATE(1709), 1,
      sym_scoped_identifier,
    STATE(2342), 2,
      sym_comment,
      sym_documentation_comment,
  [105117] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4466), 1,
      anon_sym_native,
    ACTIONS(5333), 1,
      anon_sym_EQ,
    STATE(2343), 2,
      sym_comment,
      sym_documentation_comment,
  [105143] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    STATE(1887), 1,
      sym_arguments,
    STATE(2344), 2,
      sym_comment,
      sym_documentation_comment,
  [105169] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5335), 1,
      anon_sym_abstract,
    ACTIONS(5337), 1,
      anon_sym_class,
    STATE(2345), 2,
      sym_comment,
      sym_documentation_comment,
  [105195] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5339), 1,
      sym_identifier,
    STATE(444), 1,
      sym_mixin_application_class,
    STATE(2346), 2,
      sym_comment,
      sym_documentation_comment,
  [105221] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4788), 1,
      anon_sym_LBRACE,
    STATE(342), 1,
      sym_block,
    STATE(2347), 2,
      sym_comment,
      sym_documentation_comment,
  [105247] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5341), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_enum_body,
    STATE(2348), 2,
      sym_comment,
      sym_documentation_comment,
  [105273] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(395), 1,
      sym__semicolon,
    STATE(2349), 2,
      sym_comment,
      sym_documentation_comment,
  [105299] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(375), 1,
      sym_block,
    STATE(2350), 2,
      sym_comment,
      sym_documentation_comment,
  [105325] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4559), 1,
      anon_sym_native,
    ACTIONS(5343), 1,
      anon_sym_EQ,
    STATE(2351), 2,
      sym_comment,
      sym_documentation_comment,
  [105351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5345), 1,
      anon_sym_LPAREN,
    STATE(2644), 1,
      sym_catch_parameters,
    STATE(2352), 2,
      sym_comment,
      sym_documentation_comment,
  [105377] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_LPAREN,
    STATE(53), 1,
      sym_for_loop_parts,
    STATE(2353), 2,
      sym_comment,
      sym_documentation_comment,
  [105403] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4980), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2354), 2,
      sym_comment,
      sym_documentation_comment,
  [105427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5313), 1,
      anon_sym_LPAREN,
    STATE(54), 1,
      sym_parenthesized_expression,
    STATE(2355), 2,
      sym_comment,
      sym_documentation_comment,
  [105453] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5347), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2356), 2,
      sym_comment,
      sym_documentation_comment,
  [105477] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    STATE(1258), 1,
      sym_arguments,
    STATE(2357), 2,
      sym_comment,
      sym_documentation_comment,
  [105503] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    STATE(790), 1,
      sym_index_selector,
    STATE(2358), 2,
      sym_comment,
      sym_documentation_comment,
  [105529] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_block,
    STATE(2359), 2,
      sym_comment,
      sym_documentation_comment,
  [105555] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5088), 1,
      sym_identifier,
    STATE(2469), 1,
      sym_initialized_identifier,
    STATE(2360), 2,
      sym_comment,
      sym_documentation_comment,
  [105581] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(1887), 1,
      sym_arguments,
    STATE(2361), 2,
      sym_comment,
      sym_documentation_comment,
  [105607] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(356), 1,
      sym__semicolon,
    STATE(2362), 2,
      sym_comment,
      sym_documentation_comment,
  [105633] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4472), 1,
      anon_sym_LBRACE,
    STATE(1251), 1,
      sym_block,
    STATE(2363), 2,
      sym_comment,
      sym_documentation_comment,
  [105659] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(348), 1,
      sym__semicolon,
    STATE(2364), 2,
      sym_comment,
      sym_documentation_comment,
  [105685] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5349), 1,
      anon_sym_LPAREN,
    STATE(550), 1,
      sym_arguments,
    STATE(2365), 2,
      sym_comment,
      sym_documentation_comment,
  [105711] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    STATE(1813), 1,
      sym_arguments,
    STATE(2366), 2,
      sym_comment,
      sym_documentation_comment,
  [105737] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    STATE(341), 1,
      sym_block,
    STATE(2367), 2,
      sym_comment,
      sym_documentation_comment,
  [105763] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3725), 1,
      anon_sym_LBRACK,
    STATE(1223), 1,
      sym_index_selector,
    STATE(2368), 2,
      sym_comment,
      sym_documentation_comment,
  [105789] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    STATE(2266), 1,
      sym_block,
    STATE(2369), 2,
      sym_comment,
      sym_documentation_comment,
  [105815] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5313), 1,
      anon_sym_LPAREN,
    STATE(55), 1,
      sym_parenthesized_expression,
    STATE(2370), 2,
      sym_comment,
      sym_documentation_comment,
  [105841] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_block,
    STATE(2371), 2,
      sym_comment,
      sym_documentation_comment,
  [105867] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5351), 1,
      anon_sym_COMMA,
    ACTIONS(5353), 1,
      anon_sym_RPAREN,
    STATE(2372), 2,
      sym_comment,
      sym_documentation_comment,
  [105893] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    STATE(1817), 1,
      sym_arguments,
    STATE(2373), 2,
      sym_comment,
      sym_documentation_comment,
  [105919] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_for_loop_parts,
    STATE(2374), 2,
      sym_comment,
      sym_documentation_comment,
  [105945] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5355), 1,
      anon_sym_COMMA,
    ACTIONS(5357), 1,
      anon_sym_RPAREN,
    STATE(2375), 2,
      sym_comment,
      sym_documentation_comment,
  [105971] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4599), 1,
      anon_sym_LBRACK,
    STATE(546), 1,
      sym_index_selector,
    STATE(2376), 2,
      sym_comment,
      sym_documentation_comment,
  [105997] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(369), 1,
      sym__semicolon,
    STATE(2377), 2,
      sym_comment,
      sym_documentation_comment,
  [106023] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5359), 1,
      anon_sym_LBRACE,
    STATE(368), 1,
      sym_switch_block,
    STATE(2378), 2,
      sym_comment,
      sym_documentation_comment,
  [106049] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    STATE(1220), 1,
      sym_arguments,
    STATE(2379), 2,
      sym_comment,
      sym_documentation_comment,
  [106075] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3759), 1,
      sym_increment_operator,
    STATE(1093), 1,
      sym_postfix_operator,
    STATE(2380), 2,
      sym_comment,
      sym_documentation_comment,
  [106101] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2733), 1,
      anon_sym_LBRACK,
    STATE(1203), 1,
      sym_index_selector,
    STATE(2381), 2,
      sym_comment,
      sym_documentation_comment,
  [106127] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4599), 1,
      anon_sym_LBRACK,
    STATE(531), 1,
      sym_index_selector,
    STATE(2382), 2,
      sym_comment,
      sym_documentation_comment,
  [106153] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    STATE(562), 1,
      sym_index_selector,
    STATE(2383), 2,
      sym_comment,
      sym_documentation_comment,
  [106179] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    STATE(1837), 1,
      sym_arguments,
    STATE(2384), 2,
      sym_comment,
      sym_documentation_comment,
  [106205] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5361), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_RPAREN,
    STATE(2385), 2,
      sym_comment,
      sym_documentation_comment,
  [106231] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_for_loop_parts,
    STATE(2386), 2,
      sym_comment,
      sym_documentation_comment,
  [106257] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5365), 1,
      sym_identifier,
    STATE(1113), 1,
      sym_scoped_identifier,
    STATE(2387), 2,
      sym_comment,
      sym_documentation_comment,
  [106283] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(1885), 1,
      sym_block,
    STATE(2388), 2,
      sym_comment,
      sym_documentation_comment,
  [106309] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    STATE(1290), 1,
      sym_arguments,
    STATE(2389), 2,
      sym_comment,
      sym_documentation_comment,
  [106335] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5367), 2,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(2390), 2,
      sym_comment,
      sym_documentation_comment,
  [106359] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5369), 1,
      anon_sym_LBRACE,
    ACTIONS(5371), 1,
      anon_sym_LBRACK,
    STATE(2391), 2,
      sym_comment,
      sym_documentation_comment,
  [106385] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5373), 1,
      anon_sym_DOT,
    ACTIONS(5375), 1,
      anon_sym_SEMI,
    STATE(2392), 2,
      sym_comment,
      sym_documentation_comment,
  [106411] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_class_body,
    STATE(2393), 2,
      sym_comment,
      sym_documentation_comment,
  [106437] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    STATE(342), 1,
      sym_block,
    STATE(2394), 2,
      sym_comment,
      sym_documentation_comment,
  [106463] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5042), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2395), 2,
      sym_comment,
      sym_documentation_comment,
  [106487] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3717), 1,
      anon_sym_LBRACK,
    STATE(902), 1,
      sym_index_selector,
    STATE(2396), 2,
      sym_comment,
      sym_documentation_comment,
  [106513] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3298), 1,
      anon_sym_LPAREN,
    STATE(1886), 1,
      sym_arguments,
    STATE(2397), 2,
      sym_comment,
      sym_documentation_comment,
  [106539] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4819), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2398), 2,
      sym_comment,
      sym_documentation_comment,
  [106563] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5377), 1,
      sym_identifier,
    STATE(1952), 1,
      sym__type_name,
    STATE(2399), 2,
      sym_comment,
      sym_documentation_comment,
  [106589] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5379), 1,
      anon_sym_DOT,
    ACTIONS(5381), 1,
      anon_sym_SEMI,
    STATE(2400), 2,
      sym_comment,
      sym_documentation_comment,
  [106615] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2725), 1,
      anon_sym_LPAREN,
    STATE(1310), 1,
      sym_arguments,
    STATE(2401), 2,
      sym_comment,
      sym_documentation_comment,
  [106641] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5383), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2402), 2,
      sym_comment,
      sym_documentation_comment,
  [106665] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(138), 1,
      sym__semicolon,
    STATE(2403), 2,
      sym_comment,
      sym_documentation_comment,
  [106691] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1164), 1,
      anon_sym_while,
    ACTIONS(5385), 1,
      anon_sym_else,
    STATE(2404), 2,
      sym_comment,
      sym_documentation_comment,
  [106717] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5387), 1,
      anon_sym_DOT,
    ACTIONS(5389), 1,
      anon_sym_SEMI,
    STATE(2405), 2,
      sym_comment,
      sym_documentation_comment,
  [106743] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(422), 1,
      sym__semicolon,
    STATE(2406), 2,
      sym_comment,
      sym_documentation_comment,
  [106769] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2221), 1,
      anon_sym_LBRACK,
    STATE(858), 1,
      sym_index_selector,
    STATE(2407), 2,
      sym_comment,
      sym_documentation_comment,
  [106795] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3731), 1,
      anon_sym_LBRACK,
    STATE(1041), 1,
      sym_index_selector,
    STATE(2408), 2,
      sym_comment,
      sym_documentation_comment,
  [106821] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3753), 1,
      sym_increment_operator,
    STATE(1384), 1,
      sym_postfix_operator,
    STATE(2409), 2,
      sym_comment,
      sym_documentation_comment,
  [106847] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5391), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2410), 2,
      sym_comment,
      sym_documentation_comment,
  [106871] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3797), 1,
      anon_sym_LBRACE,
    ACTIONS(3799), 1,
      anon_sym_LBRACK,
    STATE(2411), 2,
      sym_comment,
      sym_documentation_comment,
  [106897] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5393), 1,
      anon_sym_COMMA,
    ACTIONS(5395), 1,
      anon_sym_RPAREN,
    STATE(2412), 2,
      sym_comment,
      sym_documentation_comment,
  [106923] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5311), 1,
      sym_identifier,
    STATE(402), 1,
      sym_mixin_application_class,
    STATE(2413), 2,
      sym_comment,
      sym_documentation_comment,
  [106949] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(411), 1,
      sym_class_body,
    STATE(2414), 2,
      sym_comment,
      sym_documentation_comment,
  [106975] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3620), 1,
      anon_sym_LT,
    STATE(2735), 1,
      sym_type_arguments,
    STATE(2415), 2,
      sym_comment,
      sym_documentation_comment,
  [107001] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5397), 1,
      anon_sym_COMMA,
    ACTIONS(5399), 1,
      anon_sym_RPAREN,
    STATE(2416), 2,
      sym_comment,
      sym_documentation_comment,
  [107027] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5401), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2417), 2,
      sym_comment,
      sym_documentation_comment,
  [107051] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_for_loop_parts,
    STATE(2418), 2,
      sym_comment,
      sym_documentation_comment,
  [107077] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5403), 1,
      anon_sym_RPAREN,
    ACTIONS(5405), 1,
      anon_sym_EQ_EQ,
    STATE(2419), 2,
      sym_comment,
      sym_documentation_comment,
  [107103] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5407), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    STATE(2420), 2,
      sym_comment,
      sym_documentation_comment,
  [107129] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2421), 2,
      sym_comment,
      sym_documentation_comment,
  [107153] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3620), 1,
      anon_sym_LT,
    STATE(2617), 1,
      sym_type_arguments,
    STATE(2422), 2,
      sym_comment,
      sym_documentation_comment,
  [107179] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2329), 1,
      anon_sym_LBRACK,
    STATE(528), 1,
      sym_index_selector,
    STATE(2423), 2,
      sym_comment,
      sym_documentation_comment,
  [107205] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_LPAREN,
    STATE(121), 1,
      sym_for_loop_parts,
    STATE(2424), 2,
      sym_comment,
      sym_documentation_comment,
  [107231] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4670), 1,
      anon_sym_LBRACK,
    STATE(557), 1,
      sym_index_selector,
    STATE(2425), 2,
      sym_comment,
      sym_documentation_comment,
  [107257] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_LPAREN,
    STATE(120), 1,
      sym_for_loop_parts,
    STATE(2426), 2,
      sym_comment,
      sym_documentation_comment,
  [107283] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5313), 1,
      anon_sym_LPAREN,
    STATE(119), 1,
      sym_parenthesized_expression,
    STATE(2427), 2,
      sym_comment,
      sym_documentation_comment,
  [107309] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4899), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2428), 2,
      sym_comment,
      sym_documentation_comment,
  [107333] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3801), 1,
      anon_sym_LBRACE,
    ACTIONS(3803), 1,
      anon_sym_LBRACK,
    STATE(2429), 2,
      sym_comment,
      sym_documentation_comment,
  [107359] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5411), 1,
      anon_sym_COMMA,
    ACTIONS(5413), 1,
      anon_sym_RPAREN,
    STATE(2430), 2,
      sym_comment,
      sym_documentation_comment,
  [107385] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5415), 1,
      anon_sym_LBRACE,
    STATE(401), 1,
      sym_extension_body,
    STATE(2431), 2,
      sym_comment,
      sym_documentation_comment,
  [107411] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3620), 1,
      anon_sym_LT,
    STATE(2747), 1,
      sym_type_arguments,
    STATE(2432), 2,
      sym_comment,
      sym_documentation_comment,
  [107437] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_class_body,
    STATE(2433), 2,
      sym_comment,
      sym_documentation_comment,
  [107463] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3620), 1,
      anon_sym_LT,
    STATE(2625), 1,
      sym_type_arguments,
    STATE(2434), 2,
      sym_comment,
      sym_documentation_comment,
  [107489] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(453), 1,
      sym__semicolon,
    STATE(2435), 2,
      sym_comment,
      sym_documentation_comment,
  [107515] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(909), 1,
      sym_arguments,
    STATE(2436), 2,
      sym_comment,
      sym_documentation_comment,
  [107541] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5417), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(2437), 2,
      sym_comment,
      sym_documentation_comment,
  [107565] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5419), 1,
      anon_sym_get,
    STATE(2717), 1,
      sym__get,
    STATE(2438), 2,
      sym_comment,
      sym_documentation_comment,
  [107591] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(372), 1,
      sym__semicolon,
    STATE(2439), 2,
      sym_comment,
      sym_documentation_comment,
  [107617] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(393), 1,
      sym__semicolon,
    STATE(2440), 2,
      sym_comment,
      sym_documentation_comment,
  [107643] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3811), 1,
      anon_sym_LBRACE,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    STATE(2441), 2,
      sym_comment,
      sym_documentation_comment,
  [107669] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5421), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(2442), 2,
      sym_comment,
      sym_documentation_comment,
  [107693] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_class_body,
    STATE(2443), 2,
      sym_comment,
      sym_documentation_comment,
  [107719] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5423), 1,
      anon_sym_operator,
    STATE(1266), 1,
      sym__operator,
    STATE(2444), 2,
      sym_comment,
      sym_documentation_comment,
  [107745] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5415), 1,
      anon_sym_LBRACE,
    STATE(417), 1,
      sym_extension_body,
    STATE(2445), 2,
      sym_comment,
      sym_documentation_comment,
  [107771] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5425), 1,
      anon_sym_LBRACE,
    ACTIONS(5427), 1,
      anon_sym_LBRACK,
    STATE(2446), 2,
      sym_comment,
      sym_documentation_comment,
  [107797] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5429), 1,
      anon_sym_COMMA,
    ACTIONS(5431), 1,
      anon_sym_RPAREN,
    STATE(2447), 2,
      sym_comment,
      sym_documentation_comment,
  [107823] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5149), 1,
      sym_identifier,
    STATE(2517), 1,
      sym_static_final_declaration,
    STATE(2448), 2,
      sym_comment,
      sym_documentation_comment,
  [107849] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(421), 1,
      sym__semicolon,
    STATE(2449), 2,
      sym_comment,
      sym_documentation_comment,
  [107875] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(849), 1,
      sym_arguments,
    STATE(2450), 2,
      sym_comment,
      sym_documentation_comment,
  [107901] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(346), 1,
      sym__semicolon,
    STATE(2451), 2,
      sym_comment,
      sym_documentation_comment,
  [107927] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    STATE(976), 1,
      sym_index_selector,
    STATE(2452), 2,
      sym_comment,
      sym_documentation_comment,
  [107953] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5192), 1,
      sym_identifier,
    STATE(2336), 1,
      sym_dotted_identifier_list,
    STATE(2453), 2,
      sym_comment,
      sym_documentation_comment,
  [107979] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5433), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2454), 2,
      sym_comment,
      sym_documentation_comment,
  [108003] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5435), 1,
      anon_sym_COMMA,
    ACTIONS(5437), 1,
      anon_sym_RPAREN,
    STATE(2455), 2,
      sym_comment,
      sym_documentation_comment,
  [108029] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    STATE(375), 1,
      sym_block,
    STATE(2456), 2,
      sym_comment,
      sym_documentation_comment,
  [108055] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4543), 1,
      anon_sym_native,
    STATE(2714), 1,
      sym__native,
    STATE(2457), 2,
      sym_comment,
      sym_documentation_comment,
  [108081] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(396), 1,
      sym__semicolon,
    STATE(2458), 2,
      sym_comment,
      sym_documentation_comment,
  [108107] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5339), 1,
      sym_identifier,
    STATE(455), 1,
      sym_mixin_application_class,
    STATE(2459), 2,
      sym_comment,
      sym_documentation_comment,
  [108133] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(383), 1,
      sym__semicolon,
    STATE(2460), 2,
      sym_comment,
      sym_documentation_comment,
  [108159] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5439), 1,
      sym_identifier,
    STATE(444), 1,
      sym_mixin_application_class,
    STATE(2461), 2,
      sym_comment,
      sym_documentation_comment,
  [108185] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3757), 1,
      sym_increment_operator,
    STATE(1124), 1,
      sym_postfix_operator,
    STATE(2462), 2,
      sym_comment,
      sym_documentation_comment,
  [108211] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5441), 1,
      anon_sym_LPAREN,
    ACTIONS(5443), 1,
      anon_sym_DOT,
    STATE(2463), 2,
      sym_comment,
      sym_documentation_comment,
  [108237] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5321), 1,
      anon_sym_LPAREN,
    STATE(2495), 1,
      sym_parenthesized_expression,
    STATE(2464), 2,
      sym_comment,
      sym_documentation_comment,
  [108263] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_LPAREN,
    STATE(30), 1,
      sym_for_loop_parts,
    STATE(2465), 2,
      sym_comment,
      sym_documentation_comment,
  [108289] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5313), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
    STATE(2466), 2,
      sym_comment,
      sym_documentation_comment,
  [108315] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(340), 1,
      sym__semicolon,
    STATE(2467), 2,
      sym_comment,
      sym_documentation_comment,
  [108341] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2499), 1,
      anon_sym_LBRACK,
    STATE(936), 1,
      sym_index_selector,
    STATE(2468), 2,
      sym_comment,
      sym_documentation_comment,
  [108367] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5063), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2469), 2,
      sym_comment,
      sym_documentation_comment,
  [108391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(416), 1,
      sym_class_body,
    STATE(2470), 2,
      sym_comment,
      sym_documentation_comment,
  [108417] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_class_body,
    STATE(2471), 2,
      sym_comment,
      sym_documentation_comment,
  [108443] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5445), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2472), 2,
      sym_comment,
      sym_documentation_comment,
  [108467] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3093), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2473), 2,
      sym_comment,
      sym_documentation_comment,
  [108491] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5447), 1,
      anon_sym_LPAREN,
    STATE(535), 1,
      sym_arguments,
    STATE(2474), 2,
      sym_comment,
      sym_documentation_comment,
  [108517] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5449), 1,
      anon_sym_LPAREN,
    STATE(1496), 1,
      sym_configuration_uri_condition,
    STATE(2475), 2,
      sym_comment,
      sym_documentation_comment,
  [108543] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2501), 1,
      anon_sym_LPAREN,
    STATE(942), 1,
      sym_arguments,
    STATE(2476), 2,
      sym_comment,
      sym_documentation_comment,
  [108569] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2723), 1,
      anon_sym_LBRACK,
    STATE(656), 1,
      sym_index_selector,
    STATE(2477), 2,
      sym_comment,
      sym_documentation_comment,
  [108595] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5451), 1,
      sym_identifier,
    STATE(2200), 1,
      sym__identifier_list,
    STATE(2478), 2,
      sym_comment,
      sym_documentation_comment,
  [108621] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4435), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_block,
    STATE(2479), 2,
      sym_comment,
      sym_documentation_comment,
  [108647] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5453), 1,
      anon_sym_LPAREN,
    STATE(1829), 1,
      sym_assertion_arguments,
    STATE(2480), 2,
      sym_comment,
      sym_documentation_comment,
  [108673] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4364), 1,
      anon_sym_as,
    STATE(2679), 1,
      sym__as,
    STATE(2481), 2,
      sym_comment,
      sym_documentation_comment,
  [108699] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym_class_body,
    STATE(2482), 2,
      sym_comment,
      sym_documentation_comment,
  [108725] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5455), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2483), 2,
      sym_comment,
      sym_documentation_comment,
  [108749] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(899), 1,
      sym_arguments,
    STATE(2484), 2,
      sym_comment,
      sym_documentation_comment,
  [108775] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5457), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2485), 2,
      sym_comment,
      sym_documentation_comment,
  [108799] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5309), 1,
      sym_identifier,
    STATE(2361), 1,
      sym_qualified,
    STATE(2486), 2,
      sym_comment,
      sym_documentation_comment,
  [108825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5014), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2487), 2,
      sym_comment,
      sym_documentation_comment,
  [108849] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5459), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2488), 2,
      sym_comment,
      sym_documentation_comment,
  [108873] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5461), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2489), 2,
      sym_comment,
      sym_documentation_comment,
  [108897] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4826), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2490), 2,
      sym_comment,
      sym_documentation_comment,
  [108921] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5054), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2491), 2,
      sym_comment,
      sym_documentation_comment,
  [108945] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5080), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2492), 2,
      sym_comment,
      sym_documentation_comment,
  [108969] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    STATE(960), 1,
      sym_arguments,
    STATE(2493), 2,
      sym_comment,
      sym_documentation_comment,
  [108995] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3740), 1,
      anon_sym_LBRACE,
    ACTIONS(3742), 1,
      anon_sym_LBRACK,
    STATE(2494), 2,
      sym_comment,
      sym_documentation_comment,
  [109021] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(371), 1,
      sym__semicolon,
    STATE(2495), 2,
      sym_comment,
      sym_documentation_comment,
  [109047] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(144), 1,
      sym__semicolon,
    STATE(2496), 2,
      sym_comment,
      sym_documentation_comment,
  [109073] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5463), 1,
      anon_sym_COMMA,
    ACTIONS(5465), 1,
      anon_sym_RPAREN,
    STATE(2497), 2,
      sym_comment,
      sym_documentation_comment,
  [109099] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5467), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2498), 2,
      sym_comment,
      sym_documentation_comment,
  [109123] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    STATE(965), 1,
      sym_arguments,
    STATE(2499), 2,
      sym_comment,
      sym_documentation_comment,
  [109149] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_class_body,
    STATE(2500), 2,
      sym_comment,
      sym_documentation_comment,
  [109175] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5105), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2501), 2,
      sym_comment,
      sym_documentation_comment,
  [109199] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5469), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2502), 2,
      sym_comment,
      sym_documentation_comment,
  [109223] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5163), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2503), 2,
      sym_comment,
      sym_documentation_comment,
  [109247] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(1556), 1,
      sym__semicolon,
    STATE(2504), 2,
      sym_comment,
      sym_documentation_comment,
  [109273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5471), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2505), 2,
      sym_comment,
      sym_documentation_comment,
  [109297] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5473), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2506), 2,
      sym_comment,
      sym_documentation_comment,
  [109321] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    STATE(984), 1,
      sym_arguments,
    STATE(2507), 2,
      sym_comment,
      sym_documentation_comment,
  [109347] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(450), 1,
      sym__semicolon,
    STATE(2508), 2,
      sym_comment,
      sym_documentation_comment,
  [109373] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3895), 1,
      anon_sym_with,
    STATE(2066), 1,
      sym_mixins,
    STATE(2509), 2,
      sym_comment,
      sym_documentation_comment,
  [109399] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(408), 1,
      sym__semicolon,
    STATE(2510), 2,
      sym_comment,
      sym_documentation_comment,
  [109425] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_class_body,
    STATE(2511), 2,
      sym_comment,
      sym_documentation_comment,
  [109451] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(427), 1,
      sym_class_body,
    STATE(2512), 2,
      sym_comment,
      sym_documentation_comment,
  [109477] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5475), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    STATE(2513), 2,
      sym_comment,
      sym_documentation_comment,
  [109501] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5415), 1,
      anon_sym_LBRACE,
    STATE(418), 1,
      sym_extension_body,
    STATE(2514), 2,
      sym_comment,
      sym_documentation_comment,
  [109527] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5415), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_extension_body,
    STATE(2515), 2,
      sym_comment,
      sym_documentation_comment,
  [109553] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5477), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2516), 2,
      sym_comment,
      sym_documentation_comment,
  [109577] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5245), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2517), 2,
      sym_comment,
      sym_documentation_comment,
  [109601] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3889), 1,
      anon_sym_LBRACE,
    STATE(437), 1,
      sym_class_body,
    STATE(2518), 2,
      sym_comment,
      sym_documentation_comment,
  [109627] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5479), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2519), 2,
      sym_comment,
      sym_documentation_comment,
  [109651] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4788), 1,
      anon_sym_LBRACE,
    STATE(341), 1,
      sym_block,
    STATE(2520), 2,
      sym_comment,
      sym_documentation_comment,
  [109677] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5481), 1,
      anon_sym_COMMA,
    ACTIONS(5483), 1,
      anon_sym_RPAREN,
    STATE(2521), 2,
      sym_comment,
      sym_documentation_comment,
  [109703] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(392), 1,
      sym__semicolon,
    STATE(2522), 2,
      sym_comment,
      sym_documentation_comment,
  [109729] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5439), 1,
      sym_identifier,
    STATE(412), 1,
      sym_mixin_application_class,
    STATE(2523), 2,
      sym_comment,
      sym_documentation_comment,
  [109755] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    STATE(335), 1,
      sym__semicolon,
    STATE(2524), 2,
      sym_comment,
      sym_documentation_comment,
  [109781] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5485), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2525), 2,
      sym_comment,
      sym_documentation_comment,
  [109805] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3755), 1,
      sym_increment_operator,
    STATE(1034), 1,
      sym_postfix_operator,
    STATE(2526), 2,
      sym_comment,
      sym_documentation_comment,
  [109831] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5487), 1,
      sym_identifier,
    STATE(2527), 2,
      sym_comment,
      sym_documentation_comment,
  [109854] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5489), 1,
      sym_identifier,
    STATE(2528), 2,
      sym_comment,
      sym_documentation_comment,
  [109877] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5113), 1,
      anon_sym_RPAREN,
    STATE(2529), 2,
      sym_comment,
      sym_documentation_comment,
  [109900] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3529), 1,
      anon_sym_RPAREN,
    STATE(2530), 2,
      sym_comment,
      sym_documentation_comment,
  [109923] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5491), 1,
      anon_sym_RPAREN,
    STATE(2531), 2,
      sym_comment,
      sym_documentation_comment,
  [109946] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5493), 1,
      anon_sym_RBRACK,
    STATE(2532), 2,
      sym_comment,
      sym_documentation_comment,
  [109969] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5495), 1,
      anon_sym_SLASH,
    STATE(2533), 2,
      sym_comment,
      sym_documentation_comment,
  [109992] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5497), 1,
      anon_sym_RBRACE,
    STATE(2534), 2,
      sym_comment,
      sym_documentation_comment,
  [110015] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5499), 1,
      sym_identifier,
    STATE(2535), 2,
      sym_comment,
      sym_documentation_comment,
  [110038] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5501), 1,
      anon_sym_RBRACK,
    STATE(2536), 2,
      sym_comment,
      sym_documentation_comment,
  [110061] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5503), 1,
      anon_sym_COLON,
    STATE(2537), 2,
      sym_comment,
      sym_documentation_comment,
  [110084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5505), 1,
      sym_identifier,
    STATE(2538), 2,
      sym_comment,
      sym_documentation_comment,
  [110107] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5507), 1,
      sym_identifier,
    STATE(2539), 2,
      sym_comment,
      sym_documentation_comment,
  [110130] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5509), 1,
      sym_identifier,
    STATE(2540), 2,
      sym_comment,
      sym_documentation_comment,
  [110153] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5511), 1,
      sym_identifier,
    STATE(2541), 2,
      sym_comment,
      sym_documentation_comment,
  [110176] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5513), 1,
      sym_identifier,
    STATE(2542), 2,
      sym_comment,
      sym_documentation_comment,
  [110199] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5515), 1,
      anon_sym_RPAREN,
    STATE(2543), 2,
      sym_comment,
      sym_documentation_comment,
  [110222] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5517), 1,
      sym_identifier,
    STATE(2544), 2,
      sym_comment,
      sym_documentation_comment,
  [110245] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5519), 1,
      anon_sym_RPAREN,
    STATE(2545), 2,
      sym_comment,
      sym_documentation_comment,
  [110268] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5399), 1,
      anon_sym_RPAREN,
    STATE(2546), 2,
      sym_comment,
      sym_documentation_comment,
  [110291] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5521), 1,
      anon_sym_RBRACK,
    STATE(2547), 2,
      sym_comment,
      sym_documentation_comment,
  [110314] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5523), 1,
      anon_sym_RPAREN,
    STATE(2548), 2,
      sym_comment,
      sym_documentation_comment,
  [110337] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5525), 1,
      anon_sym_RPAREN,
    STATE(2549), 2,
      sym_comment,
      sym_documentation_comment,
  [110360] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4993), 1,
      anon_sym_RPAREN,
    STATE(2550), 2,
      sym_comment,
      sym_documentation_comment,
  [110383] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    STATE(2551), 2,
      sym_comment,
      sym_documentation_comment,
  [110406] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5527), 1,
      anon_sym_RPAREN,
    STATE(2552), 2,
      sym_comment,
      sym_documentation_comment,
  [110429] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5529), 1,
      anon_sym_RPAREN,
    STATE(2553), 2,
      sym_comment,
      sym_documentation_comment,
  [110452] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5531), 1,
      sym_identifier,
    STATE(2554), 2,
      sym_comment,
      sym_documentation_comment,
  [110475] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3527), 1,
      anon_sym_RPAREN,
    STATE(2555), 2,
      sym_comment,
      sym_documentation_comment,
  [110498] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5533), 1,
      anon_sym_RBRACE,
    STATE(2556), 2,
      sym_comment,
      sym_documentation_comment,
  [110521] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5535), 1,
      anon_sym_RPAREN,
    STATE(2557), 2,
      sym_comment,
      sym_documentation_comment,
  [110544] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      sym_identifier,
    STATE(2558), 2,
      sym_comment,
      sym_documentation_comment,
  [110567] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5058), 1,
      anon_sym_RPAREN,
    STATE(2559), 2,
      sym_comment,
      sym_documentation_comment,
  [110590] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5539), 1,
      sym_identifier,
    STATE(2560), 2,
      sym_comment,
      sym_documentation_comment,
  [110613] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COLON,
    STATE(2561), 2,
      sym_comment,
      sym_documentation_comment,
  [110636] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5543), 1,
      sym_identifier,
    STATE(2562), 2,
      sym_comment,
      sym_documentation_comment,
  [110659] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5545), 1,
      anon_sym_while,
    STATE(2563), 2,
      sym_comment,
      sym_documentation_comment,
  [110682] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5547), 1,
      sym_identifier,
    STATE(2564), 2,
      sym_comment,
      sym_documentation_comment,
  [110705] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5549), 1,
      sym_identifier,
    STATE(2565), 2,
      sym_comment,
      sym_documentation_comment,
  [110728] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5551), 1,
      sym_identifier,
    STATE(2566), 2,
      sym_comment,
      sym_documentation_comment,
  [110751] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5553), 1,
      sym_identifier,
    STATE(2567), 2,
      sym_comment,
      sym_documentation_comment,
  [110774] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5555), 1,
      sym_identifier,
    STATE(2568), 2,
      sym_comment,
      sym_documentation_comment,
  [110797] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5557), 1,
      anon_sym_LF,
    STATE(2569), 2,
      sym_comment,
      sym_documentation_comment,
  [110820] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5559), 1,
      sym_identifier,
    STATE(2570), 2,
      sym_comment,
      sym_documentation_comment,
  [110843] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5561), 1,
      anon_sym_RPAREN,
    STATE(2571), 2,
      sym_comment,
      sym_documentation_comment,
  [110866] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5563), 1,
      sym_identifier,
    STATE(2572), 2,
      sym_comment,
      sym_documentation_comment,
  [110889] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5565), 1,
      anon_sym_RBRACK,
    STATE(2573), 2,
      sym_comment,
      sym_documentation_comment,
  [110912] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5567), 1,
      sym_identifier,
    STATE(2574), 2,
      sym_comment,
      sym_documentation_comment,
  [110935] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5569), 1,
      sym_identifier,
    STATE(2575), 2,
      sym_comment,
      sym_documentation_comment,
  [110958] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5220), 1,
      anon_sym_RPAREN,
    STATE(2576), 2,
      sym_comment,
      sym_documentation_comment,
  [110981] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5571), 1,
      anon_sym_RPAREN,
    STATE(2577), 2,
      sym_comment,
      sym_documentation_comment,
  [111004] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5573), 1,
      sym_identifier,
    STATE(2578), 2,
      sym_comment,
      sym_documentation_comment,
  [111027] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5575), 1,
      anon_sym_class,
    STATE(2579), 2,
      sym_comment,
      sym_documentation_comment,
  [111050] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3555), 1,
      anon_sym_RPAREN,
    STATE(2580), 2,
      sym_comment,
      sym_documentation_comment,
  [111073] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5577), 1,
      sym_identifier,
    STATE(2581), 2,
      sym_comment,
      sym_documentation_comment,
  [111096] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5579), 1,
      anon_sym_RPAREN,
    STATE(2582), 2,
      sym_comment,
      sym_documentation_comment,
  [111119] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5581), 1,
      anon_sym_RPAREN,
    STATE(2583), 2,
      sym_comment,
      sym_documentation_comment,
  [111142] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5583), 1,
      anon_sym_RPAREN,
    STATE(2584), 2,
      sym_comment,
      sym_documentation_comment,
  [111165] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5585), 1,
      anon_sym_EQ,
    STATE(2585), 2,
      sym_comment,
      sym_documentation_comment,
  [111188] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5587), 1,
      sym_identifier,
    STATE(2586), 2,
      sym_comment,
      sym_documentation_comment,
  [111211] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5589), 1,
      sym_identifier,
    STATE(2587), 2,
      sym_comment,
      sym_documentation_comment,
  [111234] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3543), 1,
      anon_sym_RPAREN,
    STATE(2588), 2,
      sym_comment,
      sym_documentation_comment,
  [111257] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5591), 1,
      anon_sym_on,
    STATE(2589), 2,
      sym_comment,
      sym_documentation_comment,
  [111280] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5593), 1,
      anon_sym_RBRACK,
    STATE(2590), 2,
      sym_comment,
      sym_documentation_comment,
  [111303] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5595), 1,
      anon_sym_RPAREN,
    STATE(2591), 2,
      sym_comment,
      sym_documentation_comment,
  [111326] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5597), 1,
      anon_sym_RPAREN,
    STATE(2592), 2,
      sym_comment,
      sym_documentation_comment,
  [111349] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5599), 1,
      anon_sym_RBRACE,
    STATE(2593), 2,
      sym_comment,
      sym_documentation_comment,
  [111372] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5123), 1,
      anon_sym_RPAREN,
    STATE(2594), 2,
      sym_comment,
      sym_documentation_comment,
  [111395] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5601), 1,
      sym_identifier,
    STATE(2595), 2,
      sym_comment,
      sym_documentation_comment,
  [111418] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5603), 1,
      sym_identifier,
    STATE(2596), 2,
      sym_comment,
      sym_documentation_comment,
  [111441] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5605), 1,
      anon_sym_RBRACK,
    STATE(2597), 2,
      sym_comment,
      sym_documentation_comment,
  [111464] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5607), 1,
      anon_sym_RBRACK,
    STATE(2598), 2,
      sym_comment,
      sym_documentation_comment,
  [111487] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5609), 1,
      anon_sym_COLON,
    STATE(2599), 2,
      sym_comment,
      sym_documentation_comment,
  [111510] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5611), 1,
      sym_identifier,
    STATE(2600), 2,
      sym_comment,
      sym_documentation_comment,
  [111533] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5613), 1,
      sym_identifier,
    STATE(2601), 2,
      sym_comment,
      sym_documentation_comment,
  [111556] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5615), 1,
      sym_identifier,
    STATE(2602), 2,
      sym_comment,
      sym_documentation_comment,
  [111579] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5617), 1,
      anon_sym_RBRACK,
    STATE(2603), 2,
      sym_comment,
      sym_documentation_comment,
  [111602] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5619), 1,
      sym_identifier,
    STATE(2604), 2,
      sym_comment,
      sym_documentation_comment,
  [111625] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5621), 1,
      sym_identifier,
    STATE(2605), 2,
      sym_comment,
      sym_documentation_comment,
  [111648] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5623), 1,
      sym_identifier,
    STATE(2606), 2,
      sym_comment,
      sym_documentation_comment,
  [111671] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5625), 1,
      sym_identifier,
    STATE(2607), 2,
      sym_comment,
      sym_documentation_comment,
  [111694] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5627), 1,
      anon_sym_RBRACK,
    STATE(2608), 2,
      sym_comment,
      sym_documentation_comment,
  [111717] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3681), 1,
      anon_sym_of,
    STATE(2609), 2,
      sym_comment,
      sym_documentation_comment,
  [111740] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5629), 1,
      sym_identifier,
    STATE(2610), 2,
      sym_comment,
      sym_documentation_comment,
  [111763] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5631), 1,
      sym_identifier,
    STATE(2611), 2,
      sym_comment,
      sym_documentation_comment,
  [111786] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5633), 1,
      sym_identifier,
    STATE(2612), 2,
      sym_comment,
      sym_documentation_comment,
  [111809] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5635), 1,
      anon_sym_RBRACK,
    STATE(2613), 2,
      sym_comment,
      sym_documentation_comment,
  [111832] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5637), 1,
      sym_identifier,
    STATE(2614), 2,
      sym_comment,
      sym_documentation_comment,
  [111855] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5639), 1,
      sym_identifier,
    STATE(2615), 2,
      sym_comment,
      sym_documentation_comment,
  [111878] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5186), 1,
      anon_sym_EQ,
    STATE(2616), 2,
      sym_comment,
      sym_documentation_comment,
  [111901] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4209), 1,
      anon_sym_DOT,
    STATE(2617), 2,
      sym_comment,
      sym_documentation_comment,
  [111924] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5641), 1,
      anon_sym_RBRACK,
    STATE(2618), 2,
      sym_comment,
      sym_documentation_comment,
  [111947] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5643), 1,
      sym_identifier,
    STATE(2619), 2,
      sym_comment,
      sym_documentation_comment,
  [111970] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5645), 1,
      sym_identifier,
    STATE(2620), 2,
      sym_comment,
      sym_documentation_comment,
  [111993] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5647), 1,
      sym_identifier,
    STATE(2621), 2,
      sym_comment,
      sym_documentation_comment,
  [112016] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5649), 1,
      anon_sym_RBRACK,
    STATE(2622), 2,
      sym_comment,
      sym_documentation_comment,
  [112039] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5651), 1,
      anon_sym_SEMI,
    STATE(2623), 2,
      sym_comment,
      sym_documentation_comment,
  [112062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5653), 1,
      sym_identifier,
    STATE(2624), 2,
      sym_comment,
      sym_documentation_comment,
  [112085] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5655), 1,
      anon_sym_DOT,
    STATE(2625), 2,
      sym_comment,
      sym_documentation_comment,
  [112108] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5657), 1,
      sym_identifier,
    STATE(2626), 2,
      sym_comment,
      sym_documentation_comment,
  [112131] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5659), 1,
      anon_sym_DOT,
    STATE(2627), 2,
      sym_comment,
      sym_documentation_comment,
  [112154] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5661), 1,
      anon_sym_DOT,
    STATE(2628), 2,
      sym_comment,
      sym_documentation_comment,
  [112177] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5663), 1,
      anon_sym_DOT,
    STATE(2629), 2,
      sym_comment,
      sym_documentation_comment,
  [112200] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5665), 1,
      anon_sym_DOT,
    STATE(2630), 2,
      sym_comment,
      sym_documentation_comment,
  [112223] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5667), 1,
      sym_identifier,
    STATE(2631), 2,
      sym_comment,
      sym_documentation_comment,
  [112246] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5670), 1,
      sym_identifier,
    STATE(2632), 2,
      sym_comment,
      sym_documentation_comment,
  [112269] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5672), 1,
      sym_identifier,
    STATE(2633), 2,
      sym_comment,
      sym_documentation_comment,
  [112292] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5674), 1,
      sym_identifier,
    STATE(2634), 2,
      sym_comment,
      sym_documentation_comment,
  [112315] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5676), 1,
      anon_sym_RPAREN,
    STATE(2635), 2,
      sym_comment,
      sym_documentation_comment,
  [112338] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5678), 1,
      sym_identifier,
    STATE(2636), 2,
      sym_comment,
      sym_documentation_comment,
  [112361] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5680), 1,
      anon_sym_on,
    STATE(2637), 2,
      sym_comment,
      sym_documentation_comment,
  [112384] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5682), 1,
      sym_identifier,
    STATE(2638), 2,
      sym_comment,
      sym_documentation_comment,
  [112407] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4287), 1,
      anon_sym_EQ,
    STATE(2639), 2,
      sym_comment,
      sym_documentation_comment,
  [112430] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5684), 1,
      anon_sym_RPAREN,
    STATE(2640), 2,
      sym_comment,
      sym_documentation_comment,
  [112453] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5686), 1,
      anon_sym_COLON,
    STATE(2641), 2,
      sym_comment,
      sym_documentation_comment,
  [112476] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5688), 1,
      anon_sym_RBRACK,
    STATE(2642), 2,
      sym_comment,
      sym_documentation_comment,
  [112499] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5690), 1,
      sym_identifier,
    STATE(2643), 2,
      sym_comment,
      sym_documentation_comment,
  [112522] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5692), 1,
      anon_sym_LBRACE,
    STATE(2644), 2,
      sym_comment,
      sym_documentation_comment,
  [112545] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5694), 1,
      anon_sym_class,
    STATE(2645), 2,
      sym_comment,
      sym_documentation_comment,
  [112568] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5696), 1,
      sym_identifier,
    STATE(2646), 2,
      sym_comment,
      sym_documentation_comment,
  [112591] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5698), 1,
      sym_identifier,
    STATE(2647), 2,
      sym_comment,
      sym_documentation_comment,
  [112614] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4889), 1,
      anon_sym_RPAREN,
    STATE(2648), 2,
      sym_comment,
      sym_documentation_comment,
  [112637] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5700), 1,
      anon_sym_RPAREN,
    STATE(2649), 2,
      sym_comment,
      sym_documentation_comment,
  [112660] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5702), 1,
      anon_sym_as,
    STATE(2650), 2,
      sym_comment,
      sym_documentation_comment,
  [112683] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5704), 1,
      sym_identifier,
    STATE(2651), 2,
      sym_comment,
      sym_documentation_comment,
  [112706] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5706), 1,
      sym_identifier,
    STATE(2652), 2,
      sym_comment,
      sym_documentation_comment,
  [112729] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5708), 1,
      anon_sym_SEMI,
    STATE(2653), 2,
      sym_comment,
      sym_documentation_comment,
  [112752] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5710), 1,
      anon_sym_part,
    STATE(2654), 2,
      sym_comment,
      sym_documentation_comment,
  [112775] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3654), 1,
      anon_sym_of,
    STATE(2655), 2,
      sym_comment,
      sym_documentation_comment,
  [112798] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5712), 1,
      anon_sym_COLON,
    STATE(2656), 2,
      sym_comment,
      sym_documentation_comment,
  [112821] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5714), 1,
      anon_sym_part,
    STATE(2657), 2,
      sym_comment,
      sym_documentation_comment,
  [112844] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5716), 1,
      anon_sym_RBRACE,
    STATE(2658), 2,
      sym_comment,
      sym_documentation_comment,
  [112867] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5718), 1,
      sym_identifier,
    STATE(2659), 2,
      sym_comment,
      sym_documentation_comment,
  [112890] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    STATE(2660), 2,
      sym_comment,
      sym_documentation_comment,
  [112913] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5722), 1,
      anon_sym_RPAREN,
    STATE(2661), 2,
      sym_comment,
      sym_documentation_comment,
  [112936] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5724), 1,
      sym_identifier,
    STATE(2662), 2,
      sym_comment,
      sym_documentation_comment,
  [112959] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5726), 1,
      sym_identifier,
    STATE(2663), 2,
      sym_comment,
      sym_documentation_comment,
  [112982] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5728), 1,
      sym_identifier,
    STATE(2664), 2,
      sym_comment,
      sym_documentation_comment,
  [113005] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5730), 1,
      sym_identifier,
    STATE(2665), 2,
      sym_comment,
      sym_documentation_comment,
  [113028] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5732), 1,
      sym_identifier,
    STATE(2666), 2,
      sym_comment,
      sym_documentation_comment,
  [113051] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5734), 1,
      anon_sym_DOT,
    STATE(2667), 2,
      sym_comment,
      sym_documentation_comment,
  [113074] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5736), 1,
      anon_sym_SEMI,
    STATE(2668), 2,
      sym_comment,
      sym_documentation_comment,
  [113097] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5738), 1,
      anon_sym_RPAREN,
    STATE(2669), 2,
      sym_comment,
      sym_documentation_comment,
  [113120] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5740), 1,
      anon_sym_COLON,
    STATE(2670), 2,
      sym_comment,
      sym_documentation_comment,
  [113143] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5742), 1,
      sym_identifier,
    STATE(2671), 2,
      sym_comment,
      sym_documentation_comment,
  [113166] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5744), 1,
      ts_builtin_sym_end,
    STATE(2672), 2,
      sym_comment,
      sym_documentation_comment,
  [113189] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5746), 1,
      sym_identifier,
    STATE(2673), 2,
      sym_comment,
      sym_documentation_comment,
  [113212] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4193), 1,
      anon_sym_SEMI,
    STATE(2674), 2,
      sym_comment,
      sym_documentation_comment,
  [113235] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5748), 1,
      anon_sym_RPAREN,
    STATE(2675), 2,
      sym_comment,
      sym_documentation_comment,
  [113258] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5750), 1,
      anon_sym_LPAREN,
    STATE(2676), 2,
      sym_comment,
      sym_documentation_comment,
  [113281] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5752), 1,
      anon_sym_RPAREN,
    STATE(2677), 2,
      sym_comment,
      sym_documentation_comment,
  [113304] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4797), 1,
      sym_identifier,
    STATE(2678), 2,
      sym_comment,
      sym_documentation_comment,
  [113327] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5754), 1,
      sym_identifier,
    STATE(2679), 2,
      sym_comment,
      sym_documentation_comment,
  [113350] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    STATE(2680), 2,
      sym_comment,
      sym_documentation_comment,
  [113373] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5758), 1,
      anon_sym_SEMI,
    STATE(2681), 2,
      sym_comment,
      sym_documentation_comment,
  [113396] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5760), 1,
      anon_sym_RPAREN,
    STATE(2682), 2,
      sym_comment,
      sym_documentation_comment,
  [113419] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5762), 1,
      anon_sym_RPAREN,
    STATE(2683), 2,
      sym_comment,
      sym_documentation_comment,
  [113442] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5764), 1,
      anon_sym_COLON,
    STATE(2684), 2,
      sym_comment,
      sym_documentation_comment,
  [113465] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1672), 1,
      anon_sym_COLON,
    STATE(2685), 2,
      sym_comment,
      sym_documentation_comment,
  [113488] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
    STATE(2686), 2,
      sym_comment,
      sym_documentation_comment,
  [113511] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5768), 1,
      anon_sym_EQ,
    STATE(2687), 2,
      sym_comment,
      sym_documentation_comment,
  [113534] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5770), 1,
      sym_identifier,
    STATE(2688), 2,
      sym_comment,
      sym_documentation_comment,
  [113557] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4575), 1,
      anon_sym_SEMI,
    STATE(2689), 2,
      sym_comment,
      sym_documentation_comment,
  [113580] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5772), 1,
      sym_identifier,
    STATE(2690), 2,
      sym_comment,
      sym_documentation_comment,
  [113603] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5774), 1,
      anon_sym_LPAREN,
    STATE(2691), 2,
      sym_comment,
      sym_documentation_comment,
  [113626] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5776), 1,
      aux_sym_script_tag_token1,
    STATE(2692), 2,
      sym_comment,
      sym_documentation_comment,
  [113649] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5778), 1,
      anon_sym_LPAREN,
    STATE(2693), 2,
      sym_comment,
      sym_documentation_comment,
  [113672] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5780), 1,
      anon_sym_LPAREN,
    STATE(2694), 2,
      sym_comment,
      sym_documentation_comment,
  [113695] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4460), 1,
      sym_identifier,
    STATE(2695), 2,
      sym_comment,
      sym_documentation_comment,
  [113718] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5782), 1,
      sym_identifier,
    STATE(2696), 2,
      sym_comment,
      sym_documentation_comment,
  [113741] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5784), 1,
      anon_sym_LBRACE,
    STATE(2697), 2,
      sym_comment,
      sym_documentation_comment,
  [113764] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3994), 1,
      anon_sym_EQ,
    STATE(2698), 2,
      sym_comment,
      sym_documentation_comment,
  [113787] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5786), 1,
      anon_sym_RPAREN,
    STATE(2699), 2,
      sym_comment,
      sym_documentation_comment,
  [113810] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5788), 1,
      sym_identifier,
    STATE(2700), 2,
      sym_comment,
      sym_documentation_comment,
  [113833] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5790), 1,
      anon_sym_COLON,
    STATE(2701), 2,
      sym_comment,
      sym_documentation_comment,
  [113856] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5792), 1,
      sym_identifier,
    STATE(2702), 2,
      sym_comment,
      sym_documentation_comment,
  [113879] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5794), 1,
      anon_sym_RPAREN,
    STATE(2703), 2,
      sym_comment,
      sym_documentation_comment,
  [113902] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5796), 1,
      anon_sym_RPAREN,
    STATE(2704), 2,
      sym_comment,
      sym_documentation_comment,
  [113925] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
    STATE(2705), 2,
      sym_comment,
      sym_documentation_comment,
  [113948] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5798), 1,
      anon_sym_SEMI,
    STATE(2706), 2,
      sym_comment,
      sym_documentation_comment,
  [113971] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5800), 1,
      anon_sym_RPAREN,
    STATE(2707), 2,
      sym_comment,
      sym_documentation_comment,
  [113994] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5802), 1,
      anon_sym_RPAREN,
    STATE(2708), 2,
      sym_comment,
      sym_documentation_comment,
  [114017] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5804), 1,
      anon_sym_COLON,
    STATE(2709), 2,
      sym_comment,
      sym_documentation_comment,
  [114040] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5806), 1,
      anon_sym_class,
    STATE(2710), 2,
      sym_comment,
      sym_documentation_comment,
  [114063] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5808), 1,
      sym_identifier,
    STATE(2711), 2,
      sym_comment,
      sym_documentation_comment,
  [114086] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5810), 1,
      sym_identifier,
    STATE(2712), 2,
      sym_comment,
      sym_documentation_comment,
  [114109] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5812), 1,
      sym_identifier,
    STATE(2713), 2,
      sym_comment,
      sym_documentation_comment,
  [114132] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5814), 1,
      anon_sym_SEMI,
    STATE(2714), 2,
      sym_comment,
      sym_documentation_comment,
  [114155] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5816), 1,
      anon_sym_RPAREN,
    STATE(2715), 2,
      sym_comment,
      sym_documentation_comment,
  [114178] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4312), 1,
      anon_sym_SEMI,
    STATE(2716), 2,
      sym_comment,
      sym_documentation_comment,
  [114201] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4508), 1,
      sym_identifier,
    STATE(2717), 2,
      sym_comment,
      sym_documentation_comment,
  [114224] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5818), 1,
      anon_sym_SEMI,
    STATE(2718), 2,
      sym_comment,
      sym_documentation_comment,
  [114247] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5820), 1,
      anon_sym_RPAREN,
    STATE(2719), 2,
      sym_comment,
      sym_documentation_comment,
  [114270] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5822), 1,
      anon_sym_RPAREN,
    STATE(2720), 2,
      sym_comment,
      sym_documentation_comment,
  [114293] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5824), 1,
      anon_sym_RPAREN,
    STATE(2721), 2,
      sym_comment,
      sym_documentation_comment,
  [114316] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5826), 1,
      anon_sym_RPAREN,
    STATE(2722), 2,
      sym_comment,
      sym_documentation_comment,
  [114339] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5828), 1,
      anon_sym_LPAREN,
    STATE(2723), 2,
      sym_comment,
      sym_documentation_comment,
  [114362] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5830), 1,
      sym_identifier,
    STATE(2724), 2,
      sym_comment,
      sym_documentation_comment,
  [114385] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5832), 1,
      anon_sym_SEMI,
    STATE(2725), 2,
      sym_comment,
      sym_documentation_comment,
  [114408] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5834), 1,
      anon_sym_SEMI,
    STATE(2726), 2,
      sym_comment,
      sym_documentation_comment,
  [114431] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4559), 1,
      anon_sym_SEMI,
    STATE(2727), 2,
      sym_comment,
      sym_documentation_comment,
  [114454] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5836), 1,
      anon_sym_LBRACE,
    STATE(2728), 2,
      sym_comment,
      sym_documentation_comment,
  [114477] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5838), 1,
      anon_sym_RPAREN,
    STATE(2729), 2,
      sym_comment,
      sym_documentation_comment,
  [114500] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5840), 1,
      anon_sym_RPAREN,
    STATE(2730), 2,
      sym_comment,
      sym_documentation_comment,
  [114523] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5842), 1,
      anon_sym_RPAREN,
    STATE(2731), 2,
      sym_comment,
      sym_documentation_comment,
  [114546] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5844), 1,
      anon_sym_DOT,
    STATE(2732), 2,
      sym_comment,
      sym_documentation_comment,
  [114569] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5846), 1,
      anon_sym_SEMI,
    STATE(2733), 2,
      sym_comment,
      sym_documentation_comment,
  [114592] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4466), 1,
      anon_sym_SEMI,
    STATE(2734), 2,
      sym_comment,
      sym_documentation_comment,
  [114615] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5848), 1,
      anon_sym_DOT,
    STATE(2735), 2,
      sym_comment,
      sym_documentation_comment,
  [114638] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5850), 1,
      sym_identifier,
    STATE(2736), 2,
      sym_comment,
      sym_documentation_comment,
  [114661] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5852), 1,
      anon_sym_SEMI,
    STATE(2737), 2,
      sym_comment,
      sym_documentation_comment,
  [114684] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5854), 1,
      sym_identifier,
    STATE(2738), 2,
      sym_comment,
      sym_documentation_comment,
  [114707] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5856), 1,
      sym_identifier,
    STATE(2739), 2,
      sym_comment,
      sym_documentation_comment,
  [114730] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4965), 1,
      anon_sym_EQ,
    STATE(2740), 2,
      sym_comment,
      sym_documentation_comment,
  [114753] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5389), 1,
      anon_sym_SEMI,
    STATE(2741), 2,
      sym_comment,
      sym_documentation_comment,
  [114776] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5858), 1,
      anon_sym_SEMI,
    STATE(2742), 2,
      sym_comment,
      sym_documentation_comment,
  [114799] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5860), 1,
      sym_identifier,
    STATE(2743), 2,
      sym_comment,
      sym_documentation_comment,
  [114822] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5862), 1,
      aux_sym_documentation_comment_token1,
    STATE(2744), 2,
      sym_comment,
      sym_documentation_comment,
  [114845] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5864), 1,
      aux_sym_comment_token2,
    STATE(2745), 2,
      sym_comment,
      sym_documentation_comment,
  [114868] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4384), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4386), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5866), 1,
      aux_sym_comment_token1,
    STATE(2746), 2,
      sym_comment,
      sym_documentation_comment,
  [114891] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5868), 1,
      anon_sym_DOT,
    STATE(2747), 2,
      sym_comment,
      sym_documentation_comment,
  [114914] = 1,
    ACTIONS(5870), 1,
      ts_builtin_sym_end,
  [114918] = 1,
    ACTIONS(5872), 1,
      ts_builtin_sym_end,
  [114922] = 1,
    ACTIONS(5874), 1,
      ts_builtin_sym_end,
  [114926] = 1,
    ACTIONS(5876), 1,
      ts_builtin_sym_end,
  [114930] = 1,
    ACTIONS(5878), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(456)] = 0,
  [SMALL_STATE(457)] = 99,
  [SMALL_STATE(458)] = 250,
  [SMALL_STATE(459)] = 425,
  [SMALL_STATE(460)] = 576,
  [SMALL_STATE(461)] = 727,
  [SMALL_STATE(462)] = 878,
  [SMALL_STATE(463)] = 1029,
  [SMALL_STATE(464)] = 1135,
  [SMALL_STATE(465)] = 1241,
  [SMALL_STATE(466)] = 1346,
  [SMALL_STATE(467)] = 1437,
  [SMALL_STATE(468)] = 1528,
  [SMALL_STATE(469)] = 1617,
  [SMALL_STATE(470)] = 1724,
  [SMALL_STATE(471)] = 1871,
  [SMALL_STATE(472)] = 1959,
  [SMALL_STATE(473)] = 2037,
  [SMALL_STATE(474)] = 2127,
  [SMALL_STATE(475)] = 2217,
  [SMALL_STATE(476)] = 2363,
  [SMALL_STATE(477)] = 2440,
  [SMALL_STATE(478)] = 2611,
  [SMALL_STATE(479)] = 2750,
  [SMALL_STATE(480)] = 2827,
  [SMALL_STATE(481)] = 2966,
  [SMALL_STATE(482)] = 3095,
  [SMALL_STATE(483)] = 3266,
  [SMALL_STATE(484)] = 3353,
  [SMALL_STATE(485)] = 3484,
  [SMALL_STATE(486)] = 3623,
  [SMALL_STATE(487)] = 3762,
  [SMALL_STATE(488)] = 3859,
  [SMALL_STATE(489)] = 3998,
  [SMALL_STATE(490)] = 4167,
  [SMALL_STATE(491)] = 4338,
  [SMALL_STATE(492)] = 4433,
  [SMALL_STATE(493)] = 4572,
  [SMALL_STATE(494)] = 4743,
  [SMALL_STATE(495)] = 4882,
  [SMALL_STATE(496)] = 4959,
  [SMALL_STATE(497)] = 5036,
  [SMALL_STATE(498)] = 5175,
  [SMALL_STATE(499)] = 5314,
  [SMALL_STATE(500)] = 5390,
  [SMALL_STATE(501)] = 5528,
  [SMALL_STATE(502)] = 5688,
  [SMALL_STATE(503)] = 5768,
  [SMALL_STATE(504)] = 5854,
  [SMALL_STATE(505)] = 6014,
  [SMALL_STATE(506)] = 6094,
  [SMALL_STATE(507)] = 6174,
  [SMALL_STATE(508)] = 6250,
  [SMALL_STATE(509)] = 6326,
  [SMALL_STATE(510)] = 6402,
  [SMALL_STATE(511)] = 6478,
  [SMALL_STATE(512)] = 6616,
  [SMALL_STATE(513)] = 6754,
  [SMALL_STATE(514)] = 6892,
  [SMALL_STATE(515)] = 7020,
  [SMALL_STATE(516)] = 7158,
  [SMALL_STATE(517)] = 7296,
  [SMALL_STATE(518)] = 7434,
  [SMALL_STATE(519)] = 7572,
  [SMALL_STATE(520)] = 7710,
  [SMALL_STATE(521)] = 7840,
  [SMALL_STATE(522)] = 7931,
  [SMALL_STATE(523)] = 8022,
  [SMALL_STATE(524)] = 8097,
  [SMALL_STATE(525)] = 8172,
  [SMALL_STATE(526)] = 8247,
  [SMALL_STATE(527)] = 8322,
  [SMALL_STATE(528)] = 8397,
  [SMALL_STATE(529)] = 8472,
  [SMALL_STATE(530)] = 8547,
  [SMALL_STATE(531)] = 8622,
  [SMALL_STATE(532)] = 8697,
  [SMALL_STATE(533)] = 8854,
  [SMALL_STATE(534)] = 8929,
  [SMALL_STATE(535)] = 9008,
  [SMALL_STATE(536)] = 9083,
  [SMALL_STATE(537)] = 9162,
  [SMALL_STATE(538)] = 9237,
  [SMALL_STATE(539)] = 9312,
  [SMALL_STATE(540)] = 9387,
  [SMALL_STATE(541)] = 9462,
  [SMALL_STATE(542)] = 9537,
  [SMALL_STATE(543)] = 9616,
  [SMALL_STATE(544)] = 9691,
  [SMALL_STATE(545)] = 9766,
  [SMALL_STATE(546)] = 9841,
  [SMALL_STATE(547)] = 9916,
  [SMALL_STATE(548)] = 9991,
  [SMALL_STATE(549)] = 10065,
  [SMALL_STATE(550)] = 10139,
  [SMALL_STATE(551)] = 10213,
  [SMALL_STATE(552)] = 10287,
  [SMALL_STATE(553)] = 10361,
  [SMALL_STATE(554)] = 10435,
  [SMALL_STATE(555)] = 10509,
  [SMALL_STATE(556)] = 10583,
  [SMALL_STATE(557)] = 10657,
  [SMALL_STATE(558)] = 10731,
  [SMALL_STATE(559)] = 10821,
  [SMALL_STATE(560)] = 10895,
  [SMALL_STATE(561)] = 10969,
  [SMALL_STATE(562)] = 11043,
  [SMALL_STATE(563)] = 11117,
  [SMALL_STATE(564)] = 11205,
  [SMALL_STATE(565)] = 11278,
  [SMALL_STATE(566)] = 11351,
  [SMALL_STATE(567)] = 11424,
  [SMALL_STATE(568)] = 11497,
  [SMALL_STATE(569)] = 11570,
  [SMALL_STATE(570)] = 11643,
  [SMALL_STATE(571)] = 11716,
  [SMALL_STATE(572)] = 11789,
  [SMALL_STATE(573)] = 11862,
  [SMALL_STATE(574)] = 11935,
  [SMALL_STATE(575)] = 12008,
  [SMALL_STATE(576)] = 12081,
  [SMALL_STATE(577)] = 12154,
  [SMALL_STATE(578)] = 12227,
  [SMALL_STATE(579)] = 12300,
  [SMALL_STATE(580)] = 12373,
  [SMALL_STATE(581)] = 12446,
  [SMALL_STATE(582)] = 12552,
  [SMALL_STATE(583)] = 12692,
  [SMALL_STATE(584)] = 12798,
  [SMALL_STATE(585)] = 12904,
  [SMALL_STATE(586)] = 13010,
  [SMALL_STATE(587)] = 13116,
  [SMALL_STATE(588)] = 13222,
  [SMALL_STATE(589)] = 13328,
  [SMALL_STATE(590)] = 13412,
  [SMALL_STATE(591)] = 13518,
  [SMALL_STATE(592)] = 13617,
  [SMALL_STATE(593)] = 13722,
  [SMALL_STATE(594)] = 13827,
  [SMALL_STATE(595)] = 13932,
  [SMALL_STATE(596)] = 14037,
  [SMALL_STATE(597)] = 14140,
  [SMALL_STATE(598)] = 14243,
  [SMALL_STATE(599)] = 14348,
  [SMALL_STATE(600)] = 14453,
  [SMALL_STATE(601)] = 14556,
  [SMALL_STATE(602)] = 14659,
  [SMALL_STATE(603)] = 14762,
  [SMALL_STATE(604)] = 14867,
  [SMALL_STATE(605)] = 14972,
  [SMALL_STATE(606)] = 15075,
  [SMALL_STATE(607)] = 15178,
  [SMALL_STATE(608)] = 15281,
  [SMALL_STATE(609)] = 15383,
  [SMALL_STATE(610)] = 15485,
  [SMALL_STATE(611)] = 15587,
  [SMALL_STATE(612)] = 15689,
  [SMALL_STATE(613)] = 15791,
  [SMALL_STATE(614)] = 15893,
  [SMALL_STATE(615)] = 15995,
  [SMALL_STATE(616)] = 16097,
  [SMALL_STATE(617)] = 16195,
  [SMALL_STATE(618)] = 16331,
  [SMALL_STATE(619)] = 16480,
  [SMALL_STATE(620)] = 16567,
  [SMALL_STATE(621)] = 16704,
  [SMALL_STATE(622)] = 16793,
  [SMALL_STATE(623)] = 16938,
  [SMALL_STATE(624)] = 17075,
  [SMALL_STATE(625)] = 17203,
  [SMALL_STATE(626)] = 17271,
  [SMALL_STATE(627)] = 17399,
  [SMALL_STATE(628)] = 17467,
  [SMALL_STATE(629)] = 17535,
  [SMALL_STATE(630)] = 17603,
  [SMALL_STATE(631)] = 17671,
  [SMALL_STATE(632)] = 17739,
  [SMALL_STATE(633)] = 17807,
  [SMALL_STATE(634)] = 17875,
  [SMALL_STATE(635)] = 17943,
  [SMALL_STATE(636)] = 18011,
  [SMALL_STATE(637)] = 18079,
  [SMALL_STATE(638)] = 18147,
  [SMALL_STATE(639)] = 18275,
  [SMALL_STATE(640)] = 18343,
  [SMALL_STATE(641)] = 18411,
  [SMALL_STATE(642)] = 18479,
  [SMALL_STATE(643)] = 18547,
  [SMALL_STATE(644)] = 18675,
  [SMALL_STATE(645)] = 18803,
  [SMALL_STATE(646)] = 18881,
  [SMALL_STATE(647)] = 19009,
  [SMALL_STATE(648)] = 19077,
  [SMALL_STATE(649)] = 19199,
  [SMALL_STATE(650)] = 19327,
  [SMALL_STATE(651)] = 19447,
  [SMALL_STATE(652)] = 19575,
  [SMALL_STATE(653)] = 19703,
  [SMALL_STATE(654)] = 19832,
  [SMALL_STATE(655)] = 19899,
  [SMALL_STATE(656)] = 19966,
  [SMALL_STATE(657)] = 20033,
  [SMALL_STATE(658)] = 20100,
  [SMALL_STATE(659)] = 20167,
  [SMALL_STATE(660)] = 20234,
  [SMALL_STATE(661)] = 20305,
  [SMALL_STATE(662)] = 20434,
  [SMALL_STATE(663)] = 20563,
  [SMALL_STATE(664)] = 20692,
  [SMALL_STATE(665)] = 20821,
  [SMALL_STATE(666)] = 20950,
  [SMALL_STATE(667)] = 21071,
  [SMALL_STATE(668)] = 21142,
  [SMALL_STATE(669)] = 21261,
  [SMALL_STATE(670)] = 21364,
  [SMALL_STATE(671)] = 21493,
  [SMALL_STATE(672)] = 21560,
  [SMALL_STATE(673)] = 21695,
  [SMALL_STATE(674)] = 21824,
  [SMALL_STATE(675)] = 21891,
  [SMALL_STATE(676)] = 21962,
  [SMALL_STATE(677)] = 22065,
  [SMALL_STATE(678)] = 22194,
  [SMALL_STATE(679)] = 22300,
  [SMALL_STATE(680)] = 22406,
  [SMALL_STATE(681)] = 22544,
  [SMALL_STATE(682)] = 22682,
  [SMALL_STATE(683)] = 22799,
  [SMALL_STATE(684)] = 22926,
  [SMALL_STATE(685)] = 23003,
  [SMALL_STATE(686)] = 23122,
  [SMALL_STATE(687)] = 23249,
  [SMALL_STATE(688)] = 23314,
  [SMALL_STATE(689)] = 23441,
  [SMALL_STATE(690)] = 23514,
  [SMALL_STATE(691)] = 23641,
  [SMALL_STATE(692)] = 23706,
  [SMALL_STATE(693)] = 23833,
  [SMALL_STATE(694)] = 23960,
  [SMALL_STATE(695)] = 24087,
  [SMALL_STATE(696)] = 24160,
  [SMALL_STATE(697)] = 24231,
  [SMALL_STATE(698)] = 24366,
  [SMALL_STATE(699)] = 24443,
  [SMALL_STATE(700)] = 24570,
  [SMALL_STATE(701)] = 24697,
  [SMALL_STATE(702)] = 24832,
  [SMALL_STATE(703)] = 24904,
  [SMALL_STATE(704)] = 24976,
  [SMALL_STATE(705)] = 25048,
  [SMALL_STATE(706)] = 25120,
  [SMALL_STATE(707)] = 25192,
  [SMALL_STATE(708)] = 25266,
  [SMALL_STATE(709)] = 25338,
  [SMALL_STATE(710)] = 25468,
  [SMALL_STATE(711)] = 25540,
  [SMALL_STATE(712)] = 25670,
  [SMALL_STATE(713)] = 25742,
  [SMALL_STATE(714)] = 25816,
  [SMALL_STATE(715)] = 25898,
  [SMALL_STATE(716)] = 25970,
  [SMALL_STATE(717)] = 26040,
  [SMALL_STATE(718)] = 26172,
  [SMALL_STATE(719)] = 26248,
  [SMALL_STATE(720)] = 26380,
  [SMALL_STATE(721)] = 26456,
  [SMALL_STATE(722)] = 26526,
  [SMALL_STATE(723)] = 26596,
  [SMALL_STATE(724)] = 26725,
  [SMALL_STATE(725)] = 26794,
  [SMALL_STATE(726)] = 26923,
  [SMALL_STATE(727)] = 26990,
  [SMALL_STATE(728)] = 27061,
  [SMALL_STATE(729)] = 27128,
  [SMALL_STATE(730)] = 27195,
  [SMALL_STATE(731)] = 27268,
  [SMALL_STATE(732)] = 27365,
  [SMALL_STATE(733)] = 27462,
  [SMALL_STATE(734)] = 27531,
  [SMALL_STATE(735)] = 27602,
  [SMALL_STATE(736)] = 27699,
  [SMALL_STATE(737)] = 27766,
  [SMALL_STATE(738)] = 27863,
  [SMALL_STATE(739)] = 27934,
  [SMALL_STATE(740)] = 28009,
  [SMALL_STATE(741)] = 28078,
  [SMALL_STATE(742)] = 28153,
  [SMALL_STATE(743)] = 28224,
  [SMALL_STATE(744)] = 28291,
  [SMALL_STATE(745)] = 28358,
  [SMALL_STATE(746)] = 28429,
  [SMALL_STATE(747)] = 28500,
  [SMALL_STATE(748)] = 28571,
  [SMALL_STATE(749)] = 28638,
  [SMALL_STATE(750)] = 28705,
  [SMALL_STATE(751)] = 28776,
  [SMALL_STATE(752)] = 28838,
  [SMALL_STATE(753)] = 28902,
  [SMALL_STATE(754)] = 28966,
  [SMALL_STATE(755)] = 29028,
  [SMALL_STATE(756)] = 29090,
  [SMALL_STATE(757)] = 29152,
  [SMALL_STATE(758)] = 29216,
  [SMALL_STATE(759)] = 29310,
  [SMALL_STATE(760)] = 29372,
  [SMALL_STATE(761)] = 29434,
  [SMALL_STATE(762)] = 29496,
  [SMALL_STATE(763)] = 29590,
  [SMALL_STATE(764)] = 29654,
  [SMALL_STATE(765)] = 29718,
  [SMALL_STATE(766)] = 29782,
  [SMALL_STATE(767)] = 29846,
  [SMALL_STATE(768)] = 29936,
  [SMALL_STATE(769)] = 29998,
  [SMALL_STATE(770)] = 30064,
  [SMALL_STATE(771)] = 30128,
  [SMALL_STATE(772)] = 30194,
  [SMALL_STATE(773)] = 30260,
  [SMALL_STATE(774)] = 30354,
  [SMALL_STATE(775)] = 30416,
  [SMALL_STATE(776)] = 30478,
  [SMALL_STATE(777)] = 30548,
  [SMALL_STATE(778)] = 30674,
  [SMALL_STATE(779)] = 30740,
  [SMALL_STATE(780)] = 30834,
  [SMALL_STATE(781)] = 30898,
  [SMALL_STATE(782)] = 30960,
  [SMALL_STATE(783)] = 31024,
  [SMALL_STATE(784)] = 31090,
  [SMALL_STATE(785)] = 31158,
  [SMALL_STATE(786)] = 31232,
  [SMALL_STATE(787)] = 31294,
  [SMALL_STATE(788)] = 31358,
  [SMALL_STATE(789)] = 31420,
  [SMALL_STATE(790)] = 31482,
  [SMALL_STATE(791)] = 31544,
  [SMALL_STATE(792)] = 31670,
  [SMALL_STATE(793)] = 31732,
  [SMALL_STATE(794)] = 31794,
  [SMALL_STATE(795)] = 31856,
  [SMALL_STATE(796)] = 31922,
  [SMALL_STATE(797)] = 31988,
  [SMALL_STATE(798)] = 32054,
  [SMALL_STATE(799)] = 32116,
  [SMALL_STATE(800)] = 32180,
  [SMALL_STATE(801)] = 32246,
  [SMALL_STATE(802)] = 32308,
  [SMALL_STATE(803)] = 32372,
  [SMALL_STATE(804)] = 32436,
  [SMALL_STATE(805)] = 32498,
  [SMALL_STATE(806)] = 32560,
  [SMALL_STATE(807)] = 32622,
  [SMALL_STATE(808)] = 32686,
  [SMALL_STATE(809)] = 32748,
  [SMALL_STATE(810)] = 32810,
  [SMALL_STATE(811)] = 32874,
  [SMALL_STATE(812)] = 32946,
  [SMALL_STATE(813)] = 33008,
  [SMALL_STATE(814)] = 33069,
  [SMALL_STATE(815)] = 33130,
  [SMALL_STATE(816)] = 33191,
  [SMALL_STATE(817)] = 33252,
  [SMALL_STATE(818)] = 33313,
  [SMALL_STATE(819)] = 33374,
  [SMALL_STATE(820)] = 33435,
  [SMALL_STATE(821)] = 33496,
  [SMALL_STATE(822)] = 33557,
  [SMALL_STATE(823)] = 33618,
  [SMALL_STATE(824)] = 33679,
  [SMALL_STATE(825)] = 33740,
  [SMALL_STATE(826)] = 33801,
  [SMALL_STATE(827)] = 33864,
  [SMALL_STATE(828)] = 33925,
  [SMALL_STATE(829)] = 33986,
  [SMALL_STATE(830)] = 34049,
  [SMALL_STATE(831)] = 34112,
  [SMALL_STATE(832)] = 34175,
  [SMALL_STATE(833)] = 34238,
  [SMALL_STATE(834)] = 34299,
  [SMALL_STATE(835)] = 34362,
  [SMALL_STATE(836)] = 34423,
  [SMALL_STATE(837)] = 34484,
  [SMALL_STATE(838)] = 34545,
  [SMALL_STATE(839)] = 34606,
  [SMALL_STATE(840)] = 34667,
  [SMALL_STATE(841)] = 34728,
  [SMALL_STATE(842)] = 34789,
  [SMALL_STATE(843)] = 34850,
  [SMALL_STATE(844)] = 34911,
  [SMALL_STATE(845)] = 34972,
  [SMALL_STATE(846)] = 35033,
  [SMALL_STATE(847)] = 35094,
  [SMALL_STATE(848)] = 35155,
  [SMALL_STATE(849)] = 35216,
  [SMALL_STATE(850)] = 35277,
  [SMALL_STATE(851)] = 35338,
  [SMALL_STATE(852)] = 35399,
  [SMALL_STATE(853)] = 35460,
  [SMALL_STATE(854)] = 35521,
  [SMALL_STATE(855)] = 35584,
  [SMALL_STATE(856)] = 35645,
  [SMALL_STATE(857)] = 35706,
  [SMALL_STATE(858)] = 35767,
  [SMALL_STATE(859)] = 35828,
  [SMALL_STATE(860)] = 35889,
  [SMALL_STATE(861)] = 35974,
  [SMALL_STATE(862)] = 36035,
  [SMALL_STATE(863)] = 36096,
  [SMALL_STATE(864)] = 36157,
  [SMALL_STATE(865)] = 36218,
  [SMALL_STATE(866)] = 36279,
  [SMALL_STATE(867)] = 36340,
  [SMALL_STATE(868)] = 36401,
  [SMALL_STATE(869)] = 36462,
  [SMALL_STATE(870)] = 36523,
  [SMALL_STATE(871)] = 36584,
  [SMALL_STATE(872)] = 36645,
  [SMALL_STATE(873)] = 36706,
  [SMALL_STATE(874)] = 36767,
  [SMALL_STATE(875)] = 36832,
  [SMALL_STATE(876)] = 36905,
  [SMALL_STATE(877)] = 36966,
  [SMALL_STATE(878)] = 37027,
  [SMALL_STATE(879)] = 37088,
  [SMALL_STATE(880)] = 37149,
  [SMALL_STATE(881)] = 37210,
  [SMALL_STATE(882)] = 37277,
  [SMALL_STATE(883)] = 37362,
  [SMALL_STATE(884)] = 37427,
  [SMALL_STATE(885)] = 37492,
  [SMALL_STATE(886)] = 37553,
  [SMALL_STATE(887)] = 37614,
  [SMALL_STATE(888)] = 37677,
  [SMALL_STATE(889)] = 37748,
  [SMALL_STATE(890)] = 37809,
  [SMALL_STATE(891)] = 37872,
  [SMALL_STATE(892)] = 37933,
  [SMALL_STATE(893)] = 37994,
  [SMALL_STATE(894)] = 38055,
  [SMALL_STATE(895)] = 38122,
  [SMALL_STATE(896)] = 38183,
  [SMALL_STATE(897)] = 38246,
  [SMALL_STATE(898)] = 38307,
  [SMALL_STATE(899)] = 38370,
  [SMALL_STATE(900)] = 38431,
  [SMALL_STATE(901)] = 38496,
  [SMALL_STATE(902)] = 38557,
  [SMALL_STATE(903)] = 38618,
  [SMALL_STATE(904)] = 38681,
  [SMALL_STATE(905)] = 38748,
  [SMALL_STATE(906)] = 38809,
  [SMALL_STATE(907)] = 38870,
  [SMALL_STATE(908)] = 38933,
  [SMALL_STATE(909)] = 38994,
  [SMALL_STATE(910)] = 39055,
  [SMALL_STATE(911)] = 39116,
  [SMALL_STATE(912)] = 39177,
  [SMALL_STATE(913)] = 39238,
  [SMALL_STATE(914)] = 39299,
  [SMALL_STATE(915)] = 39360,
  [SMALL_STATE(916)] = 39421,
  [SMALL_STATE(917)] = 39482,
  [SMALL_STATE(918)] = 39545,
  [SMALL_STATE(919)] = 39606,
  [SMALL_STATE(920)] = 39669,
  [SMALL_STATE(921)] = 39730,
  [SMALL_STATE(922)] = 39793,
  [SMALL_STATE(923)] = 39854,
  [SMALL_STATE(924)] = 39915,
  [SMALL_STATE(925)] = 39976,
  [SMALL_STATE(926)] = 40037,
  [SMALL_STATE(927)] = 40098,
  [SMALL_STATE(928)] = 40159,
  [SMALL_STATE(929)] = 40220,
  [SMALL_STATE(930)] = 40281,
  [SMALL_STATE(931)] = 40367,
  [SMALL_STATE(932)] = 40427,
  [SMALL_STATE(933)] = 40487,
  [SMALL_STATE(934)] = 40547,
  [SMALL_STATE(935)] = 40607,
  [SMALL_STATE(936)] = 40667,
  [SMALL_STATE(937)] = 40727,
  [SMALL_STATE(938)] = 40787,
  [SMALL_STATE(939)] = 40847,
  [SMALL_STATE(940)] = 40907,
  [SMALL_STATE(941)] = 40967,
  [SMALL_STATE(942)] = 41027,
  [SMALL_STATE(943)] = 41087,
  [SMALL_STATE(944)] = 41147,
  [SMALL_STATE(945)] = 41207,
  [SMALL_STATE(946)] = 41267,
  [SMALL_STATE(947)] = 41327,
  [SMALL_STATE(948)] = 41387,
  [SMALL_STATE(949)] = 41447,
  [SMALL_STATE(950)] = 41507,
  [SMALL_STATE(951)] = 41567,
  [SMALL_STATE(952)] = 41627,
  [SMALL_STATE(953)] = 41713,
  [SMALL_STATE(954)] = 41779,
  [SMALL_STATE(955)] = 41839,
  [SMALL_STATE(956)] = 41899,
  [SMALL_STATE(957)] = 41959,
  [SMALL_STATE(958)] = 42019,
  [SMALL_STATE(959)] = 42079,
  [SMALL_STATE(960)] = 42139,
  [SMALL_STATE(961)] = 42199,
  [SMALL_STATE(962)] = 42259,
  [SMALL_STATE(963)] = 42319,
  [SMALL_STATE(964)] = 42379,
  [SMALL_STATE(965)] = 42439,
  [SMALL_STATE(966)] = 42499,
  [SMALL_STATE(967)] = 42559,
  [SMALL_STATE(968)] = 42619,
  [SMALL_STATE(969)] = 42679,
  [SMALL_STATE(970)] = 42739,
  [SMALL_STATE(971)] = 42799,
  [SMALL_STATE(972)] = 42859,
  [SMALL_STATE(973)] = 42919,
  [SMALL_STATE(974)] = 42979,
  [SMALL_STATE(975)] = 43039,
  [SMALL_STATE(976)] = 43099,
  [SMALL_STATE(977)] = 43159,
  [SMALL_STATE(978)] = 43219,
  [SMALL_STATE(979)] = 43279,
  [SMALL_STATE(980)] = 43339,
  [SMALL_STATE(981)] = 43399,
  [SMALL_STATE(982)] = 43519,
  [SMALL_STATE(983)] = 43579,
  [SMALL_STATE(984)] = 43639,
  [SMALL_STATE(985)] = 43699,
  [SMALL_STATE(986)] = 43759,
  [SMALL_STATE(987)] = 43819,
  [SMALL_STATE(988)] = 43879,
  [SMALL_STATE(989)] = 43939,
  [SMALL_STATE(990)] = 43999,
  [SMALL_STATE(991)] = 44059,
  [SMALL_STATE(992)] = 44147,
  [SMALL_STATE(993)] = 44207,
  [SMALL_STATE(994)] = 44295,
  [SMALL_STATE(995)] = 44355,
  [SMALL_STATE(996)] = 44415,
  [SMALL_STATE(997)] = 44475,
  [SMALL_STATE(998)] = 44535,
  [SMALL_STATE(999)] = 44595,
  [SMALL_STATE(1000)] = 44655,
  [SMALL_STATE(1001)] = 44715,
  [SMALL_STATE(1002)] = 44775,
  [SMALL_STATE(1003)] = 44835,
  [SMALL_STATE(1004)] = 44895,
  [SMALL_STATE(1005)] = 44955,
  [SMALL_STATE(1006)] = 45015,
  [SMALL_STATE(1007)] = 45075,
  [SMALL_STATE(1008)] = 45135,
  [SMALL_STATE(1009)] = 45195,
  [SMALL_STATE(1010)] = 45255,
  [SMALL_STATE(1011)] = 45315,
  [SMALL_STATE(1012)] = 45381,
  [SMALL_STATE(1013)] = 45447,
  [SMALL_STATE(1014)] = 45507,
  [SMALL_STATE(1015)] = 45567,
  [SMALL_STATE(1016)] = 45627,
  [SMALL_STATE(1017)] = 45687,
  [SMALL_STATE(1018)] = 45747,
  [SMALL_STATE(1019)] = 45807,
  [SMALL_STATE(1020)] = 45867,
  [SMALL_STATE(1021)] = 45927,
  [SMALL_STATE(1022)] = 45987,
  [SMALL_STATE(1023)] = 46047,
  [SMALL_STATE(1024)] = 46107,
  [SMALL_STATE(1025)] = 46167,
  [SMALL_STATE(1026)] = 46227,
  [SMALL_STATE(1027)] = 46287,
  [SMALL_STATE(1028)] = 46347,
  [SMALL_STATE(1029)] = 46407,
  [SMALL_STATE(1030)] = 46467,
  [SMALL_STATE(1031)] = 46527,
  [SMALL_STATE(1032)] = 46587,
  [SMALL_STATE(1033)] = 46647,
  [SMALL_STATE(1034)] = 46707,
  [SMALL_STATE(1035)] = 46767,
  [SMALL_STATE(1036)] = 46831,
  [SMALL_STATE(1037)] = 46891,
  [SMALL_STATE(1038)] = 46955,
  [SMALL_STATE(1039)] = 47015,
  [SMALL_STATE(1040)] = 47075,
  [SMALL_STATE(1041)] = 47135,
  [SMALL_STATE(1042)] = 47195,
  [SMALL_STATE(1043)] = 47259,
  [SMALL_STATE(1044)] = 47378,
  [SMALL_STATE(1045)] = 47437,
  [SMALL_STATE(1046)] = 47506,
  [SMALL_STATE(1047)] = 47625,
  [SMALL_STATE(1048)] = 47694,
  [SMALL_STATE(1049)] = 47813,
  [SMALL_STATE(1050)] = 47924,
  [SMALL_STATE(1051)] = 47983,
  [SMALL_STATE(1052)] = 48042,
  [SMALL_STATE(1053)] = 48161,
  [SMALL_STATE(1054)] = 48280,
  [SMALL_STATE(1055)] = 48393,
  [SMALL_STATE(1056)] = 48512,
  [SMALL_STATE(1057)] = 48631,
  [SMALL_STATE(1058)] = 48750,
  [SMALL_STATE(1059)] = 48869,
  [SMALL_STATE(1060)] = 48936,
  [SMALL_STATE(1061)] = 49048,
  [SMALL_STATE(1062)] = 49160,
  [SMALL_STATE(1063)] = 49272,
  [SMALL_STATE(1064)] = 49384,
  [SMALL_STATE(1065)] = 49496,
  [SMALL_STATE(1066)] = 49554,
  [SMALL_STATE(1067)] = 49666,
  [SMALL_STATE(1068)] = 49778,
  [SMALL_STATE(1069)] = 49844,
  [SMALL_STATE(1070)] = 49956,
  [SMALL_STATE(1071)] = 50068,
  [SMALL_STATE(1072)] = 50180,
  [SMALL_STATE(1073)] = 50292,
  [SMALL_STATE(1074)] = 50404,
  [SMALL_STATE(1075)] = 50472,
  [SMALL_STATE(1076)] = 50584,
  [SMALL_STATE(1077)] = 50696,
  [SMALL_STATE(1078)] = 50764,
  [SMALL_STATE(1079)] = 50824,
  [SMALL_STATE(1080)] = 50936,
  [SMALL_STATE(1081)] = 51005,
  [SMALL_STATE(1082)] = 51074,
  [SMALL_STATE(1083)] = 51140,
  [SMALL_STATE(1084)] = 51196,
  [SMALL_STATE(1085)] = 51258,
  [SMALL_STATE(1086)] = 51332,
  [SMALL_STATE(1087)] = 51400,
  [SMALL_STATE(1088)] = 51464,
  [SMALL_STATE(1089)] = 51520,
  [SMALL_STATE(1090)] = 51576,
  [SMALL_STATE(1091)] = 51632,
  [SMALL_STATE(1092)] = 51688,
  [SMALL_STATE(1093)] = 51744,
  [SMALL_STATE(1094)] = 51800,
  [SMALL_STATE(1095)] = 51866,
  [SMALL_STATE(1096)] = 51924,
  [SMALL_STATE(1097)] = 51988,
  [SMALL_STATE(1098)] = 52048,
  [SMALL_STATE(1099)] = 52110,
  [SMALL_STATE(1100)] = 52166,
  [SMALL_STATE(1101)] = 52228,
  [SMALL_STATE(1102)] = 52296,
  [SMALL_STATE(1103)] = 52352,
  [SMALL_STATE(1104)] = 52408,
  [SMALL_STATE(1105)] = 52482,
  [SMALL_STATE(1106)] = 52538,
  [SMALL_STATE(1107)] = 52602,
  [SMALL_STATE(1108)] = 52666,
  [SMALL_STATE(1109)] = 52730,
  [SMALL_STATE(1110)] = 52794,
  [SMALL_STATE(1111)] = 52849,
  [SMALL_STATE(1112)] = 52912,
  [SMALL_STATE(1113)] = 52967,
  [SMALL_STATE(1114)] = 53028,
  [SMALL_STATE(1115)] = 53091,
  [SMALL_STATE(1116)] = 53152,
  [SMALL_STATE(1117)] = 53213,
  [SMALL_STATE(1118)] = 53268,
  [SMALL_STATE(1119)] = 53323,
  [SMALL_STATE(1120)] = 53386,
  [SMALL_STATE(1121)] = 53449,
  [SMALL_STATE(1122)] = 53512,
  [SMALL_STATE(1123)] = 53567,
  [SMALL_STATE(1124)] = 53630,
  [SMALL_STATE(1125)] = 53685,
  [SMALL_STATE(1126)] = 53740,
  [SMALL_STATE(1127)] = 53803,
  [SMALL_STATE(1128)] = 53858,
  [SMALL_STATE(1129)] = 53921,
  [SMALL_STATE(1130)] = 53980,
  [SMALL_STATE(1131)] = 54035,
  [SMALL_STATE(1132)] = 54090,
  [SMALL_STATE(1133)] = 54162,
  [SMALL_STATE(1134)] = 54220,
  [SMALL_STATE(1135)] = 54278,
  [SMALL_STATE(1136)] = 54332,
  [SMALL_STATE(1137)] = 54394,
  [SMALL_STATE(1138)] = 54452,
  [SMALL_STATE(1139)] = 54510,
  [SMALL_STATE(1140)] = 54564,
  [SMALL_STATE(1141)] = 54618,
  [SMALL_STATE(1142)] = 54676,
  [SMALL_STATE(1143)] = 54750,
  [SMALL_STATE(1144)] = 54810,
  [SMALL_STATE(1145)] = 54868,
  [SMALL_STATE(1146)] = 54930,
  [SMALL_STATE(1147)] = 54984,
  [SMALL_STATE(1148)] = 55042,
  [SMALL_STATE(1149)] = 55100,
  [SMALL_STATE(1150)] = 55158,
  [SMALL_STATE(1151)] = 55230,
  [SMALL_STATE(1152)] = 55288,
  [SMALL_STATE(1153)] = 55350,
  [SMALL_STATE(1154)] = 55408,
  [SMALL_STATE(1155)] = 55462,
  [SMALL_STATE(1156)] = 55520,
  [SMALL_STATE(1157)] = 55574,
  [SMALL_STATE(1158)] = 55629,
  [SMALL_STATE(1159)] = 55682,
  [SMALL_STATE(1160)] = 55735,
  [SMALL_STATE(1161)] = 55788,
  [SMALL_STATE(1162)] = 55843,
  [SMALL_STATE(1163)] = 55898,
  [SMALL_STATE(1164)] = 55951,
  [SMALL_STATE(1165)] = 56006,
  [SMALL_STATE(1166)] = 56061,
  [SMALL_STATE(1167)] = 56116,
  [SMALL_STATE(1168)] = 56173,
  [SMALL_STATE(1169)] = 56228,
  [SMALL_STATE(1170)] = 56281,
  [SMALL_STATE(1171)] = 56336,
  [SMALL_STATE(1172)] = 56391,
  [SMALL_STATE(1173)] = 56444,
  [SMALL_STATE(1174)] = 56499,
  [SMALL_STATE(1175)] = 56554,
  [SMALL_STATE(1176)] = 56609,
  [SMALL_STATE(1177)] = 56666,
  [SMALL_STATE(1178)] = 56719,
  [SMALL_STATE(1179)] = 56772,
  [SMALL_STATE(1180)] = 56827,
  [SMALL_STATE(1181)] = 56884,
  [SMALL_STATE(1182)] = 56937,
  [SMALL_STATE(1183)] = 56992,
  [SMALL_STATE(1184)] = 57045,
  [SMALL_STATE(1185)] = 57098,
  [SMALL_STATE(1186)] = 57151,
  [SMALL_STATE(1187)] = 57204,
  [SMALL_STATE(1188)] = 57257,
  [SMALL_STATE(1189)] = 57314,
  [SMALL_STATE(1190)] = 57367,
  [SMALL_STATE(1191)] = 57420,
  [SMALL_STATE(1192)] = 57473,
  [SMALL_STATE(1193)] = 57528,
  [SMALL_STATE(1194)] = 57585,
  [SMALL_STATE(1195)] = 57638,
  [SMALL_STATE(1196)] = 57691,
  [SMALL_STATE(1197)] = 57756,
  [SMALL_STATE(1198)] = 57809,
  [SMALL_STATE(1199)] = 57864,
  [SMALL_STATE(1200)] = 57917,
  [SMALL_STATE(1201)] = 57970,
  [SMALL_STATE(1202)] = 58023,
  [SMALL_STATE(1203)] = 58076,
  [SMALL_STATE(1204)] = 58129,
  [SMALL_STATE(1205)] = 58182,
  [SMALL_STATE(1206)] = 58235,
  [SMALL_STATE(1207)] = 58288,
  [SMALL_STATE(1208)] = 58341,
  [SMALL_STATE(1209)] = 58394,
  [SMALL_STATE(1210)] = 58447,
  [SMALL_STATE(1211)] = 58504,
  [SMALL_STATE(1212)] = 58557,
  [SMALL_STATE(1213)] = 58614,
  [SMALL_STATE(1214)] = 58667,
  [SMALL_STATE(1215)] = 58720,
  [SMALL_STATE(1216)] = 58772,
  [SMALL_STATE(1217)] = 58824,
  [SMALL_STATE(1218)] = 58876,
  [SMALL_STATE(1219)] = 58928,
  [SMALL_STATE(1220)] = 58980,
  [SMALL_STATE(1221)] = 59032,
  [SMALL_STATE(1222)] = 59086,
  [SMALL_STATE(1223)] = 59138,
  [SMALL_STATE(1224)] = 59190,
  [SMALL_STATE(1225)] = 59242,
  [SMALL_STATE(1226)] = 59294,
  [SMALL_STATE(1227)] = 59346,
  [SMALL_STATE(1228)] = 59398,
  [SMALL_STATE(1229)] = 59452,
  [SMALL_STATE(1230)] = 59504,
  [SMALL_STATE(1231)] = 59556,
  [SMALL_STATE(1232)] = 59608,
  [SMALL_STATE(1233)] = 59660,
  [SMALL_STATE(1234)] = 59712,
  [SMALL_STATE(1235)] = 59764,
  [SMALL_STATE(1236)] = 59816,
  [SMALL_STATE(1237)] = 59868,
  [SMALL_STATE(1238)] = 59922,
  [SMALL_STATE(1239)] = 59980,
  [SMALL_STATE(1240)] = 60032,
  [SMALL_STATE(1241)] = 60084,
  [SMALL_STATE(1242)] = 60136,
  [SMALL_STATE(1243)] = 60188,
  [SMALL_STATE(1244)] = 60242,
  [SMALL_STATE(1245)] = 60296,
  [SMALL_STATE(1246)] = 60350,
  [SMALL_STATE(1247)] = 60402,
  [SMALL_STATE(1248)] = 60482,
  [SMALL_STATE(1249)] = 60534,
  [SMALL_STATE(1250)] = 60586,
  [SMALL_STATE(1251)] = 60642,
  [SMALL_STATE(1252)] = 60694,
  [SMALL_STATE(1253)] = 60746,
  [SMALL_STATE(1254)] = 60798,
  [SMALL_STATE(1255)] = 60850,
  [SMALL_STATE(1256)] = 60902,
  [SMALL_STATE(1257)] = 60954,
  [SMALL_STATE(1258)] = 61006,
  [SMALL_STATE(1259)] = 61058,
  [SMALL_STATE(1260)] = 61110,
  [SMALL_STATE(1261)] = 61162,
  [SMALL_STATE(1262)] = 61214,
  [SMALL_STATE(1263)] = 61272,
  [SMALL_STATE(1264)] = 61324,
  [SMALL_STATE(1265)] = 61378,
  [SMALL_STATE(1266)] = 61430,
  [SMALL_STATE(1267)] = 61510,
  [SMALL_STATE(1268)] = 61562,
  [SMALL_STATE(1269)] = 61616,
  [SMALL_STATE(1270)] = 61668,
  [SMALL_STATE(1271)] = 61720,
  [SMALL_STATE(1272)] = 61772,
  [SMALL_STATE(1273)] = 61824,
  [SMALL_STATE(1274)] = 61876,
  [SMALL_STATE(1275)] = 61928,
  [SMALL_STATE(1276)] = 61980,
  [SMALL_STATE(1277)] = 62032,
  [SMALL_STATE(1278)] = 62090,
  [SMALL_STATE(1279)] = 62142,
  [SMALL_STATE(1280)] = 62194,
  [SMALL_STATE(1281)] = 62274,
  [SMALL_STATE(1282)] = 62328,
  [SMALL_STATE(1283)] = 62380,
  [SMALL_STATE(1284)] = 62434,
  [SMALL_STATE(1285)] = 62488,
  [SMALL_STATE(1286)] = 62540,
  [SMALL_STATE(1287)] = 62598,
  [SMALL_STATE(1288)] = 62650,
  [SMALL_STATE(1289)] = 62702,
  [SMALL_STATE(1290)] = 62754,
  [SMALL_STATE(1291)] = 62806,
  [SMALL_STATE(1292)] = 62858,
  [SMALL_STATE(1293)] = 62918,
  [SMALL_STATE(1294)] = 62972,
  [SMALL_STATE(1295)] = 63024,
  [SMALL_STATE(1296)] = 63076,
  [SMALL_STATE(1297)] = 63128,
  [SMALL_STATE(1298)] = 63180,
  [SMALL_STATE(1299)] = 63234,
  [SMALL_STATE(1300)] = 63286,
  [SMALL_STATE(1301)] = 63338,
  [SMALL_STATE(1302)] = 63390,
  [SMALL_STATE(1303)] = 63442,
  [SMALL_STATE(1304)] = 63494,
  [SMALL_STATE(1305)] = 63546,
  [SMALL_STATE(1306)] = 63598,
  [SMALL_STATE(1307)] = 63650,
  [SMALL_STATE(1308)] = 63702,
  [SMALL_STATE(1309)] = 63782,
  [SMALL_STATE(1310)] = 63834,
  [SMALL_STATE(1311)] = 63886,
  [SMALL_STATE(1312)] = 63938,
  [SMALL_STATE(1313)] = 64001,
  [SMALL_STATE(1314)] = 64064,
  [SMALL_STATE(1315)] = 64115,
  [SMALL_STATE(1316)] = 64166,
  [SMALL_STATE(1317)] = 64217,
  [SMALL_STATE(1318)] = 64268,
  [SMALL_STATE(1319)] = 64319,
  [SMALL_STATE(1320)] = 64370,
  [SMALL_STATE(1321)] = 64421,
  [SMALL_STATE(1322)] = 64472,
  [SMALL_STATE(1323)] = 64527,
  [SMALL_STATE(1324)] = 64578,
  [SMALL_STATE(1325)] = 64629,
  [SMALL_STATE(1326)] = 64684,
  [SMALL_STATE(1327)] = 64736,
  [SMALL_STATE(1328)] = 64830,
  [SMALL_STATE(1329)] = 64888,
  [SMALL_STATE(1330)] = 64940,
  [SMALL_STATE(1331)] = 64992,
  [SMALL_STATE(1332)] = 65044,
  [SMALL_STATE(1333)] = 65096,
  [SMALL_STATE(1334)] = 65148,
  [SMALL_STATE(1335)] = 65200,
  [SMALL_STATE(1336)] = 65252,
  [SMALL_STATE(1337)] = 65312,
  [SMALL_STATE(1338)] = 65364,
  [SMALL_STATE(1339)] = 65458,
  [SMALL_STATE(1340)] = 65510,
  [SMALL_STATE(1341)] = 65562,
  [SMALL_STATE(1342)] = 65614,
  [SMALL_STATE(1343)] = 65674,
  [SMALL_STATE(1344)] = 65765,
  [SMALL_STATE(1345)] = 65856,
  [SMALL_STATE(1346)] = 65947,
  [SMALL_STATE(1347)] = 66038,
  [SMALL_STATE(1348)] = 66129,
  [SMALL_STATE(1349)] = 66220,
  [SMALL_STATE(1350)] = 66311,
  [SMALL_STATE(1351)] = 66402,
  [SMALL_STATE(1352)] = 66493,
  [SMALL_STATE(1353)] = 66584,
  [SMALL_STATE(1354)] = 66675,
  [SMALL_STATE(1355)] = 66766,
  [SMALL_STATE(1356)] = 66857,
  [SMALL_STATE(1357)] = 66948,
  [SMALL_STATE(1358)] = 67039,
  [SMALL_STATE(1359)] = 67130,
  [SMALL_STATE(1360)] = 67221,
  [SMALL_STATE(1361)] = 67312,
  [SMALL_STATE(1362)] = 67403,
  [SMALL_STATE(1363)] = 67473,
  [SMALL_STATE(1364)] = 67533,
  [SMALL_STATE(1365)] = 67593,
  [SMALL_STATE(1366)] = 67641,
  [SMALL_STATE(1367)] = 67725,
  [SMALL_STATE(1368)] = 67784,
  [SMALL_STATE(1369)] = 67839,
  [SMALL_STATE(1370)] = 67886,
  [SMALL_STATE(1371)] = 67945,
  [SMALL_STATE(1372)] = 67992,
  [SMALL_STATE(1373)] = 68047,
  [SMALL_STATE(1374)] = 68094,
  [SMALL_STATE(1375)] = 68149,
  [SMALL_STATE(1376)] = 68196,
  [SMALL_STATE(1377)] = 68251,
  [SMALL_STATE(1378)] = 68304,
  [SMALL_STATE(1379)] = 68351,
  [SMALL_STATE(1380)] = 68398,
  [SMALL_STATE(1381)] = 68453,
  [SMALL_STATE(1382)] = 68500,
  [SMALL_STATE(1383)] = 68555,
  [SMALL_STATE(1384)] = 68602,
  [SMALL_STATE(1385)] = 68649,
  [SMALL_STATE(1386)] = 68696,
  [SMALL_STATE(1387)] = 68742,
  [SMALL_STATE(1388)] = 68796,
  [SMALL_STATE(1389)] = 68880,
  [SMALL_STATE(1390)] = 68926,
  [SMALL_STATE(1391)] = 68980,
  [SMALL_STATE(1392)] = 69064,
  [SMALL_STATE(1393)] = 69118,
  [SMALL_STATE(1394)] = 69168,
  [SMALL_STATE(1395)] = 69220,
  [SMALL_STATE(1396)] = 69265,
  [SMALL_STATE(1397)] = 69318,
  [SMALL_STATE(1398)] = 69363,
  [SMALL_STATE(1399)] = 69408,
  [SMALL_STATE(1400)] = 69453,
  [SMALL_STATE(1401)] = 69498,
  [SMALL_STATE(1402)] = 69543,
  [SMALL_STATE(1403)] = 69588,
  [SMALL_STATE(1404)] = 69633,
  [SMALL_STATE(1405)] = 69678,
  [SMALL_STATE(1406)] = 69723,
  [SMALL_STATE(1407)] = 69768,
  [SMALL_STATE(1408)] = 69813,
  [SMALL_STATE(1409)] = 69866,
  [SMALL_STATE(1410)] = 69933,
  [SMALL_STATE(1411)] = 69978,
  [SMALL_STATE(1412)] = 70023,
  [SMALL_STATE(1413)] = 70076,
  [SMALL_STATE(1414)] = 70121,
  [SMALL_STATE(1415)] = 70166,
  [SMALL_STATE(1416)] = 70247,
  [SMALL_STATE(1417)] = 70292,
  [SMALL_STATE(1418)] = 70337,
  [SMALL_STATE(1419)] = 70382,
  [SMALL_STATE(1420)] = 70431,
  [SMALL_STATE(1421)] = 70480,
  [SMALL_STATE(1422)] = 70531,
  [SMALL_STATE(1423)] = 70584,
  [SMALL_STATE(1424)] = 70665,
  [SMALL_STATE(1425)] = 70718,
  [SMALL_STATE(1426)] = 70763,
  [SMALL_STATE(1427)] = 70812,
  [SMALL_STATE(1428)] = 70861,
  [SMALL_STATE(1429)] = 70906,
  [SMALL_STATE(1430)] = 70987,
  [SMALL_STATE(1431)] = 71036,
  [SMALL_STATE(1432)] = 71081,
  [SMALL_STATE(1433)] = 71148,
  [SMALL_STATE(1434)] = 71197,
  [SMALL_STATE(1435)] = 71250,
  [SMALL_STATE(1436)] = 71296,
  [SMALL_STATE(1437)] = 71340,
  [SMALL_STATE(1438)] = 71406,
  [SMALL_STATE(1439)] = 71450,
  [SMALL_STATE(1440)] = 71498,
  [SMALL_STATE(1441)] = 71542,
  [SMALL_STATE(1442)] = 71586,
  [SMALL_STATE(1443)] = 71652,
  [SMALL_STATE(1444)] = 71698,
  [SMALL_STATE(1445)] = 71744,
  [SMALL_STATE(1446)] = 71788,
  [SMALL_STATE(1447)] = 71836,
  [SMALL_STATE(1448)] = 71882,
  [SMALL_STATE(1449)] = 71928,
  [SMALL_STATE(1450)] = 71974,
  [SMALL_STATE(1451)] = 72018,
  [SMALL_STATE(1452)] = 72062,
  [SMALL_STATE(1453)] = 72106,
  [SMALL_STATE(1454)] = 72152,
  [SMALL_STATE(1455)] = 72198,
  [SMALL_STATE(1456)] = 72242,
  [SMALL_STATE(1457)] = 72288,
  [SMALL_STATE(1458)] = 72332,
  [SMALL_STATE(1459)] = 72410,
  [SMALL_STATE(1460)] = 72456,
  [SMALL_STATE(1461)] = 72502,
  [SMALL_STATE(1462)] = 72548,
  [SMALL_STATE(1463)] = 72596,
  [SMALL_STATE(1464)] = 72662,
  [SMALL_STATE(1465)] = 72710,
  [SMALL_STATE(1466)] = 72754,
  [SMALL_STATE(1467)] = 72798,
  [SMALL_STATE(1468)] = 72842,
  [SMALL_STATE(1469)] = 72886,
  [SMALL_STATE(1470)] = 72934,
  [SMALL_STATE(1471)] = 72980,
  [SMALL_STATE(1472)] = 73046,
  [SMALL_STATE(1473)] = 73112,
  [SMALL_STATE(1474)] = 73156,
  [SMALL_STATE(1475)] = 73230,
  [SMALL_STATE(1476)] = 73274,
  [SMALL_STATE(1477)] = 73318,
  [SMALL_STATE(1478)] = 73362,
  [SMALL_STATE(1479)] = 73406,
  [SMALL_STATE(1480)] = 73450,
  [SMALL_STATE(1481)] = 73528,
  [SMALL_STATE(1482)] = 73576,
  [SMALL_STATE(1483)] = 73620,
  [SMALL_STATE(1484)] = 73663,
  [SMALL_STATE(1485)] = 73738,
  [SMALL_STATE(1486)] = 73781,
  [SMALL_STATE(1487)] = 73844,
  [SMALL_STATE(1488)] = 73887,
  [SMALL_STATE(1489)] = 73930,
  [SMALL_STATE(1490)] = 73973,
  [SMALL_STATE(1491)] = 74016,
  [SMALL_STATE(1492)] = 74079,
  [SMALL_STATE(1493)] = 74122,
  [SMALL_STATE(1494)] = 74165,
  [SMALL_STATE(1495)] = 74240,
  [SMALL_STATE(1496)] = 74283,
  [SMALL_STATE(1497)] = 74346,
  [SMALL_STATE(1498)] = 74389,
  [SMALL_STATE(1499)] = 74432,
  [SMALL_STATE(1500)] = 74475,
  [SMALL_STATE(1501)] = 74518,
  [SMALL_STATE(1502)] = 74581,
  [SMALL_STATE(1503)] = 74624,
  [SMALL_STATE(1504)] = 74699,
  [SMALL_STATE(1505)] = 74742,
  [SMALL_STATE(1506)] = 74817,
  [SMALL_STATE(1507)] = 74860,
  [SMALL_STATE(1508)] = 74903,
  [SMALL_STATE(1509)] = 74978,
  [SMALL_STATE(1510)] = 75021,
  [SMALL_STATE(1511)] = 75096,
  [SMALL_STATE(1512)] = 75139,
  [SMALL_STATE(1513)] = 75182,
  [SMALL_STATE(1514)] = 75257,
  [SMALL_STATE(1515)] = 75300,
  [SMALL_STATE(1516)] = 75361,
  [SMALL_STATE(1517)] = 75433,
  [SMALL_STATE(1518)] = 75505,
  [SMALL_STATE(1519)] = 75577,
  [SMALL_STATE(1520)] = 75649,
  [SMALL_STATE(1521)] = 75691,
  [SMALL_STATE(1522)] = 75751,
  [SMALL_STATE(1523)] = 75825,
  [SMALL_STATE(1524)] = 75895,
  [SMALL_STATE(1525)] = 75967,
  [SMALL_STATE(1526)] = 76009,
  [SMALL_STATE(1527)] = 76081,
  [SMALL_STATE(1528)] = 76126,
  [SMALL_STATE(1529)] = 76171,
  [SMALL_STATE(1530)] = 76240,
  [SMALL_STATE(1531)] = 76285,
  [SMALL_STATE(1532)] = 76330,
  [SMALL_STATE(1533)] = 76375,
  [SMALL_STATE(1534)] = 76444,
  [SMALL_STATE(1535)] = 76513,
  [SMALL_STATE(1536)] = 76558,
  [SMALL_STATE(1537)] = 76603,
  [SMALL_STATE(1538)] = 76648,
  [SMALL_STATE(1539)] = 76717,
  [SMALL_STATE(1540)] = 76762,
  [SMALL_STATE(1541)] = 76807,
  [SMALL_STATE(1542)] = 76852,
  [SMALL_STATE(1543)] = 76897,
  [SMALL_STATE(1544)] = 76966,
  [SMALL_STATE(1545)] = 77011,
  [SMALL_STATE(1546)] = 77076,
  [SMALL_STATE(1547)] = 77145,
  [SMALL_STATE(1548)] = 77204,
  [SMALL_STATE(1549)] = 77249,
  [SMALL_STATE(1550)] = 77289,
  [SMALL_STATE(1551)] = 77329,
  [SMALL_STATE(1552)] = 77369,
  [SMALL_STATE(1553)] = 77409,
  [SMALL_STATE(1554)] = 77449,
  [SMALL_STATE(1555)] = 77489,
  [SMALL_STATE(1556)] = 77529,
  [SMALL_STATE(1557)] = 77569,
  [SMALL_STATE(1558)] = 77609,
  [SMALL_STATE(1559)] = 77649,
  [SMALL_STATE(1560)] = 77689,
  [SMALL_STATE(1561)] = 77726,
  [SMALL_STATE(1562)] = 77791,
  [SMALL_STATE(1563)] = 77856,
  [SMALL_STATE(1564)] = 77921,
  [SMALL_STATE(1565)] = 77986,
  [SMALL_STATE(1566)] = 78051,
  [SMALL_STATE(1567)] = 78116,
  [SMALL_STATE(1568)] = 78179,
  [SMALL_STATE(1569)] = 78226,
  [SMALL_STATE(1570)] = 78291,
  [SMALL_STATE(1571)] = 78329,
  [SMALL_STATE(1572)] = 78367,
  [SMALL_STATE(1573)] = 78429,
  [SMALL_STATE(1574)] = 78489,
  [SMALL_STATE(1575)] = 78527,
  [SMALL_STATE(1576)] = 78565,
  [SMALL_STATE(1577)] = 78625,
  [SMALL_STATE(1578)] = 78687,
  [SMALL_STATE(1579)] = 78725,
  [SMALL_STATE(1580)] = 78779,
  [SMALL_STATE(1581)] = 78817,
  [SMALL_STATE(1582)] = 78855,
  [SMALL_STATE(1583)] = 78912,
  [SMALL_STATE(1584)] = 78971,
  [SMALL_STATE(1585)] = 79030,
  [SMALL_STATE(1586)] = 79087,
  [SMALL_STATE(1587)] = 79146,
  [SMALL_STATE(1588)] = 79205,
  [SMALL_STATE(1589)] = 79262,
  [SMALL_STATE(1590)] = 79321,
  [SMALL_STATE(1591)] = 79374,
  [SMALL_STATE(1592)] = 79433,
  [SMALL_STATE(1593)] = 79486,
  [SMALL_STATE(1594)] = 79527,
  [SMALL_STATE(1595)] = 79586,
  [SMALL_STATE(1596)] = 79625,
  [SMALL_STATE(1597)] = 79684,
  [SMALL_STATE(1598)] = 79730,
  [SMALL_STATE(1599)] = 79786,
  [SMALL_STATE(1600)] = 79842,
  [SMALL_STATE(1601)] = 79898,
  [SMALL_STATE(1602)] = 79954,
  [SMALL_STATE(1603)] = 80000,
  [SMALL_STATE(1604)] = 80046,
  [SMALL_STATE(1605)] = 80102,
  [SMALL_STATE(1606)] = 80148,
  [SMALL_STATE(1607)] = 80184,
  [SMALL_STATE(1608)] = 80240,
  [SMALL_STATE(1609)] = 80296,
  [SMALL_STATE(1610)] = 80352,
  [SMALL_STATE(1611)] = 80390,
  [SMALL_STATE(1612)] = 80446,
  [SMALL_STATE(1613)] = 80486,
  [SMALL_STATE(1614)] = 80542,
  [SMALL_STATE(1615)] = 80598,
  [SMALL_STATE(1616)] = 80652,
  [SMALL_STATE(1617)] = 80708,
  [SMALL_STATE(1618)] = 80764,
  [SMALL_STATE(1619)] = 80820,
  [SMALL_STATE(1620)] = 80876,
  [SMALL_STATE(1621)] = 80932,
  [SMALL_STATE(1622)] = 80988,
  [SMALL_STATE(1623)] = 81044,
  [SMALL_STATE(1624)] = 81097,
  [SMALL_STATE(1625)] = 81144,
  [SMALL_STATE(1626)] = 81197,
  [SMALL_STATE(1627)] = 81250,
  [SMALL_STATE(1628)] = 81303,
  [SMALL_STATE(1629)] = 81344,
  [SMALL_STATE(1630)] = 81397,
  [SMALL_STATE(1631)] = 81450,
  [SMALL_STATE(1632)] = 81503,
  [SMALL_STATE(1633)] = 81538,
  [SMALL_STATE(1634)] = 81577,
  [SMALL_STATE(1635)] = 81630,
  [SMALL_STATE(1636)] = 81683,
  [SMALL_STATE(1637)] = 81736,
  [SMALL_STATE(1638)] = 81775,
  [SMALL_STATE(1639)] = 81810,
  [SMALL_STATE(1640)] = 81863,
  [SMALL_STATE(1641)] = 81916,
  [SMALL_STATE(1642)] = 81969,
  [SMALL_STATE(1643)] = 82016,
  [SMALL_STATE(1644)] = 82069,
  [SMALL_STATE(1645)] = 82122,
  [SMALL_STATE(1646)] = 82175,
  [SMALL_STATE(1647)] = 82228,
  [SMALL_STATE(1648)] = 82281,
  [SMALL_STATE(1649)] = 82322,
  [SMALL_STATE(1650)] = 82375,
  [SMALL_STATE(1651)] = 82428,
  [SMALL_STATE(1652)] = 82469,
  [SMALL_STATE(1653)] = 82522,
  [SMALL_STATE(1654)] = 82575,
  [SMALL_STATE(1655)] = 82628,
  [SMALL_STATE(1656)] = 82681,
  [SMALL_STATE(1657)] = 82734,
  [SMALL_STATE(1658)] = 82787,
  [SMALL_STATE(1659)] = 82840,
  [SMALL_STATE(1660)] = 82893,
  [SMALL_STATE(1661)] = 82937,
  [SMALL_STATE(1662)] = 82981,
  [SMALL_STATE(1663)] = 83025,
  [SMALL_STATE(1664)] = 83067,
  [SMALL_STATE(1665)] = 83105,
  [SMALL_STATE(1666)] = 83151,
  [SMALL_STATE(1667)] = 83201,
  [SMALL_STATE(1668)] = 83245,
  [SMALL_STATE(1669)] = 83289,
  [SMALL_STATE(1670)] = 83331,
  [SMALL_STATE(1671)] = 83375,
  [SMALL_STATE(1672)] = 83417,
  [SMALL_STATE(1673)] = 83461,
  [SMALL_STATE(1674)] = 83505,
  [SMALL_STATE(1675)] = 83549,
  [SMALL_STATE(1676)] = 83599,
  [SMALL_STATE(1677)] = 83649,
  [SMALL_STATE(1678)] = 83693,
  [SMALL_STATE(1679)] = 83737,
  [SMALL_STATE(1680)] = 83781,
  [SMALL_STATE(1681)] = 83825,
  [SMALL_STATE(1682)] = 83869,
  [SMALL_STATE(1683)] = 83913,
  [SMALL_STATE(1684)] = 83953,
  [SMALL_STATE(1685)] = 83995,
  [SMALL_STATE(1686)] = 84035,
  [SMALL_STATE(1687)] = 84073,
  [SMALL_STATE(1688)] = 84113,
  [SMALL_STATE(1689)] = 84163,
  [SMALL_STATE(1690)] = 84203,
  [SMALL_STATE(1691)] = 84247,
  [SMALL_STATE(1692)] = 84283,
  [SMALL_STATE(1693)] = 84324,
  [SMALL_STATE(1694)] = 84365,
  [SMALL_STATE(1695)] = 84406,
  [SMALL_STATE(1696)] = 84447,
  [SMALL_STATE(1697)] = 84488,
  [SMALL_STATE(1698)] = 84529,
  [SMALL_STATE(1699)] = 84570,
  [SMALL_STATE(1700)] = 84611,
  [SMALL_STATE(1701)] = 84652,
  [SMALL_STATE(1702)] = 84693,
  [SMALL_STATE(1703)] = 84734,
  [SMALL_STATE(1704)] = 84773,
  [SMALL_STATE(1705)] = 84812,
  [SMALL_STATE(1706)] = 84853,
  [SMALL_STATE(1707)] = 84894,
  [SMALL_STATE(1708)] = 84935,
  [SMALL_STATE(1709)] = 84976,
  [SMALL_STATE(1710)] = 85013,
  [SMALL_STATE(1711)] = 85054,
  [SMALL_STATE(1712)] = 85095,
  [SMALL_STATE(1713)] = 85136,
  [SMALL_STATE(1714)] = 85177,
  [SMALL_STATE(1715)] = 85218,
  [SMALL_STATE(1716)] = 85257,
  [SMALL_STATE(1717)] = 85296,
  [SMALL_STATE(1718)] = 85337,
  [SMALL_STATE(1719)] = 85378,
  [SMALL_STATE(1720)] = 85423,
  [SMALL_STATE(1721)] = 85464,
  [SMALL_STATE(1722)] = 85509,
  [SMALL_STATE(1723)] = 85550,
  [SMALL_STATE(1724)] = 85591,
  [SMALL_STATE(1725)] = 85632,
  [SMALL_STATE(1726)] = 85673,
  [SMALL_STATE(1727)] = 85704,
  [SMALL_STATE(1728)] = 85745,
  [SMALL_STATE(1729)] = 85786,
  [SMALL_STATE(1730)] = 85817,
  [SMALL_STATE(1731)] = 85858,
  [SMALL_STATE(1732)] = 85895,
  [SMALL_STATE(1733)] = 85936,
  [SMALL_STATE(1734)] = 85977,
  [SMALL_STATE(1735)] = 86022,
  [SMALL_STATE(1736)] = 86063,
  [SMALL_STATE(1737)] = 86104,
  [SMALL_STATE(1738)] = 86145,
  [SMALL_STATE(1739)] = 86188,
  [SMALL_STATE(1740)] = 86229,
  [SMALL_STATE(1741)] = 86270,
  [SMALL_STATE(1742)] = 86311,
  [SMALL_STATE(1743)] = 86356,
  [SMALL_STATE(1744)] = 86397,
  [SMALL_STATE(1745)] = 86438,
  [SMALL_STATE(1746)] = 86480,
  [SMALL_STATE(1747)] = 86516,
  [SMALL_STATE(1748)] = 86552,
  [SMALL_STATE(1749)] = 86594,
  [SMALL_STATE(1750)] = 86632,
  [SMALL_STATE(1751)] = 86670,
  [SMALL_STATE(1752)] = 86712,
  [SMALL_STATE(1753)] = 86748,
  [SMALL_STATE(1754)] = 86784,
  [SMALL_STATE(1755)] = 86814,
  [SMALL_STATE(1756)] = 86850,
  [SMALL_STATE(1757)] = 86886,
  [SMALL_STATE(1758)] = 86922,
  [SMALL_STATE(1759)] = 86960,
  [SMALL_STATE(1760)] = 87002,
  [SMALL_STATE(1761)] = 87034,
  [SMALL_STATE(1762)] = 87076,
  [SMALL_STATE(1763)] = 87110,
  [SMALL_STATE(1764)] = 87142,
  [SMALL_STATE(1765)] = 87180,
  [SMALL_STATE(1766)] = 87218,
  [SMALL_STATE(1767)] = 87248,
  [SMALL_STATE(1768)] = 87284,
  [SMALL_STATE(1769)] = 87318,
  [SMALL_STATE(1770)] = 87360,
  [SMALL_STATE(1771)] = 87402,
  [SMALL_STATE(1772)] = 87444,
  [SMALL_STATE(1773)] = 87478,
  [SMALL_STATE(1774)] = 87520,
  [SMALL_STATE(1775)] = 87558,
  [SMALL_STATE(1776)] = 87596,
  [SMALL_STATE(1777)] = 87638,
  [SMALL_STATE(1778)] = 87672,
  [SMALL_STATE(1779)] = 87708,
  [SMALL_STATE(1780)] = 87746,
  [SMALL_STATE(1781)] = 87784,
  [SMALL_STATE(1782)] = 87816,
  [SMALL_STATE(1783)] = 87852,
  [SMALL_STATE(1784)] = 87888,
  [SMALL_STATE(1785)] = 87926,
  [SMALL_STATE(1786)] = 87962,
  [SMALL_STATE(1787)] = 88004,
  [SMALL_STATE(1788)] = 88048,
  [SMALL_STATE(1789)] = 88090,
  [SMALL_STATE(1790)] = 88128,
  [SMALL_STATE(1791)] = 88166,
  [SMALL_STATE(1792)] = 88208,
  [SMALL_STATE(1793)] = 88246,
  [SMALL_STATE(1794)] = 88288,
  [SMALL_STATE(1795)] = 88326,
  [SMALL_STATE(1796)] = 88360,
  [SMALL_STATE(1797)] = 88396,
  [SMALL_STATE(1798)] = 88432,
  [SMALL_STATE(1799)] = 88462,
  [SMALL_STATE(1800)] = 88506,
  [SMALL_STATE(1801)] = 88540,
  [SMALL_STATE(1802)] = 88582,
  [SMALL_STATE(1803)] = 88620,
  [SMALL_STATE(1804)] = 88658,
  [SMALL_STATE(1805)] = 88694,
  [SMALL_STATE(1806)] = 88732,
  [SMALL_STATE(1807)] = 88770,
  [SMALL_STATE(1808)] = 88811,
  [SMALL_STATE(1809)] = 88842,
  [SMALL_STATE(1810)] = 88873,
  [SMALL_STATE(1811)] = 88904,
  [SMALL_STATE(1812)] = 88935,
  [SMALL_STATE(1813)] = 88968,
  [SMALL_STATE(1814)] = 88999,
  [SMALL_STATE(1815)] = 89030,
  [SMALL_STATE(1816)] = 89061,
  [SMALL_STATE(1817)] = 89092,
  [SMALL_STATE(1818)] = 89123,
  [SMALL_STATE(1819)] = 89154,
  [SMALL_STATE(1820)] = 89193,
  [SMALL_STATE(1821)] = 89224,
  [SMALL_STATE(1822)] = 89265,
  [SMALL_STATE(1823)] = 89296,
  [SMALL_STATE(1824)] = 89327,
  [SMALL_STATE(1825)] = 89358,
  [SMALL_STATE(1826)] = 89399,
  [SMALL_STATE(1827)] = 89430,
  [SMALL_STATE(1828)] = 89469,
  [SMALL_STATE(1829)] = 89500,
  [SMALL_STATE(1830)] = 89531,
  [SMALL_STATE(1831)] = 89572,
  [SMALL_STATE(1832)] = 89603,
  [SMALL_STATE(1833)] = 89634,
  [SMALL_STATE(1834)] = 89665,
  [SMALL_STATE(1835)] = 89702,
  [SMALL_STATE(1836)] = 89733,
  [SMALL_STATE(1837)] = 89766,
  [SMALL_STATE(1838)] = 89797,
  [SMALL_STATE(1839)] = 89828,
  [SMALL_STATE(1840)] = 89859,
  [SMALL_STATE(1841)] = 89898,
  [SMALL_STATE(1842)] = 89929,
  [SMALL_STATE(1843)] = 89960,
  [SMALL_STATE(1844)] = 89991,
  [SMALL_STATE(1845)] = 90022,
  [SMALL_STATE(1846)] = 90053,
  [SMALL_STATE(1847)] = 90088,
  [SMALL_STATE(1848)] = 90119,
  [SMALL_STATE(1849)] = 90150,
  [SMALL_STATE(1850)] = 90181,
  [SMALL_STATE(1851)] = 90212,
  [SMALL_STATE(1852)] = 90243,
  [SMALL_STATE(1853)] = 90274,
  [SMALL_STATE(1854)] = 90305,
  [SMALL_STATE(1855)] = 90346,
  [SMALL_STATE(1856)] = 90381,
  [SMALL_STATE(1857)] = 90412,
  [SMALL_STATE(1858)] = 90451,
  [SMALL_STATE(1859)] = 90482,
  [SMALL_STATE(1860)] = 90523,
  [SMALL_STATE(1861)] = 90562,
  [SMALL_STATE(1862)] = 90593,
  [SMALL_STATE(1863)] = 90634,
  [SMALL_STATE(1864)] = 90665,
  [SMALL_STATE(1865)] = 90696,
  [SMALL_STATE(1866)] = 90737,
  [SMALL_STATE(1867)] = 90778,
  [SMALL_STATE(1868)] = 90809,
  [SMALL_STATE(1869)] = 90842,
  [SMALL_STATE(1870)] = 90873,
  [SMALL_STATE(1871)] = 90904,
  [SMALL_STATE(1872)] = 90933,
  [SMALL_STATE(1873)] = 90972,
  [SMALL_STATE(1874)] = 91011,
  [SMALL_STATE(1875)] = 91042,
  [SMALL_STATE(1876)] = 91083,
  [SMALL_STATE(1877)] = 91124,
  [SMALL_STATE(1878)] = 91161,
  [SMALL_STATE(1879)] = 91200,
  [SMALL_STATE(1880)] = 91235,
  [SMALL_STATE(1881)] = 91268,
  [SMALL_STATE(1882)] = 91309,
  [SMALL_STATE(1883)] = 91348,
  [SMALL_STATE(1884)] = 91379,
  [SMALL_STATE(1885)] = 91418,
  [SMALL_STATE(1886)] = 91449,
  [SMALL_STATE(1887)] = 91480,
  [SMALL_STATE(1888)] = 91511,
  [SMALL_STATE(1889)] = 91544,
  [SMALL_STATE(1890)] = 91575,
  [SMALL_STATE(1891)] = 91606,
  [SMALL_STATE(1892)] = 91637,
  [SMALL_STATE(1893)] = 91668,
  [SMALL_STATE(1894)] = 91699,
  [SMALL_STATE(1895)] = 91740,
  [SMALL_STATE(1896)] = 91768,
  [SMALL_STATE(1897)] = 91796,
  [SMALL_STATE(1898)] = 91828,
  [SMALL_STATE(1899)] = 91866,
  [SMALL_STATE(1900)] = 91902,
  [SMALL_STATE(1901)] = 91930,
  [SMALL_STATE(1902)] = 91968,
  [SMALL_STATE(1903)] = 92002,
  [SMALL_STATE(1904)] = 92040,
  [SMALL_STATE(1905)] = 92076,
  [SMALL_STATE(1906)] = 92104,
  [SMALL_STATE(1907)] = 92140,
  [SMALL_STATE(1908)] = 92170,
  [SMALL_STATE(1909)] = 92208,
  [SMALL_STATE(1910)] = 92246,
  [SMALL_STATE(1911)] = 92276,
  [SMALL_STATE(1912)] = 92306,
  [SMALL_STATE(1913)] = 92334,
  [SMALL_STATE(1914)] = 92362,
  [SMALL_STATE(1915)] = 92400,
  [SMALL_STATE(1916)] = 92438,
  [SMALL_STATE(1917)] = 92476,
  [SMALL_STATE(1918)] = 92504,
  [SMALL_STATE(1919)] = 92542,
  [SMALL_STATE(1920)] = 92570,
  [SMALL_STATE(1921)] = 92608,
  [SMALL_STATE(1922)] = 92646,
  [SMALL_STATE(1923)] = 92674,
  [SMALL_STATE(1924)] = 92702,
  [SMALL_STATE(1925)] = 92740,
  [SMALL_STATE(1926)] = 92770,
  [SMALL_STATE(1927)] = 92798,
  [SMALL_STATE(1928)] = 92826,
  [SMALL_STATE(1929)] = 92854,
  [SMALL_STATE(1930)] = 92884,
  [SMALL_STATE(1931)] = 92912,
  [SMALL_STATE(1932)] = 92940,
  [SMALL_STATE(1933)] = 92978,
  [SMALL_STATE(1934)] = 93012,
  [SMALL_STATE(1935)] = 93048,
  [SMALL_STATE(1936)] = 93084,
  [SMALL_STATE(1937)] = 93112,
  [SMALL_STATE(1938)] = 93150,
  [SMALL_STATE(1939)] = 93186,
  [SMALL_STATE(1940)] = 93216,
  [SMALL_STATE(1941)] = 93246,
  [SMALL_STATE(1942)] = 93284,
  [SMALL_STATE(1943)] = 93322,
  [SMALL_STATE(1944)] = 93360,
  [SMALL_STATE(1945)] = 93390,
  [SMALL_STATE(1946)] = 93420,
  [SMALL_STATE(1947)] = 93456,
  [SMALL_STATE(1948)] = 93494,
  [SMALL_STATE(1949)] = 93524,
  [SMALL_STATE(1950)] = 93560,
  [SMALL_STATE(1951)] = 93588,
  [SMALL_STATE(1952)] = 93626,
  [SMALL_STATE(1953)] = 93664,
  [SMALL_STATE(1954)] = 93694,
  [SMALL_STATE(1955)] = 93732,
  [SMALL_STATE(1956)] = 93770,
  [SMALL_STATE(1957)] = 93800,
  [SMALL_STATE(1958)] = 93836,
  [SMALL_STATE(1959)] = 93874,
  [SMALL_STATE(1960)] = 93904,
  [SMALL_STATE(1961)] = 93938,
  [SMALL_STATE(1962)] = 93968,
  [SMALL_STATE(1963)] = 93998,
  [SMALL_STATE(1964)] = 94028,
  [SMALL_STATE(1965)] = 94066,
  [SMALL_STATE(1966)] = 94102,
  [SMALL_STATE(1967)] = 94138,
  [SMALL_STATE(1968)] = 94166,
  [SMALL_STATE(1969)] = 94198,
  [SMALL_STATE(1970)] = 94226,
  [SMALL_STATE(1971)] = 94254,
  [SMALL_STATE(1972)] = 94292,
  [SMALL_STATE(1973)] = 94326,
  [SMALL_STATE(1974)] = 94356,
  [SMALL_STATE(1975)] = 94394,
  [SMALL_STATE(1976)] = 94432,
  [SMALL_STATE(1977)] = 94468,
  [SMALL_STATE(1978)] = 94504,
  [SMALL_STATE(1979)] = 94534,
  [SMALL_STATE(1980)] = 94564,
  [SMALL_STATE(1981)] = 94602,
  [SMALL_STATE(1982)] = 94632,
  [SMALL_STATE(1983)] = 94668,
  [SMALL_STATE(1984)] = 94704,
  [SMALL_STATE(1985)] = 94734,
  [SMALL_STATE(1986)] = 94764,
  [SMALL_STATE(1987)] = 94795,
  [SMALL_STATE(1988)] = 94822,
  [SMALL_STATE(1989)] = 94849,
  [SMALL_STATE(1990)] = 94884,
  [SMALL_STATE(1991)] = 94919,
  [SMALL_STATE(1992)] = 94954,
  [SMALL_STATE(1993)] = 94989,
  [SMALL_STATE(1994)] = 95024,
  [SMALL_STATE(1995)] = 95055,
  [SMALL_STATE(1996)] = 95084,
  [SMALL_STATE(1997)] = 95111,
  [SMALL_STATE(1998)] = 95142,
  [SMALL_STATE(1999)] = 95177,
  [SMALL_STATE(2000)] = 95206,
  [SMALL_STATE(2001)] = 95241,
  [SMALL_STATE(2002)] = 95268,
  [SMALL_STATE(2003)] = 95295,
  [SMALL_STATE(2004)] = 95328,
  [SMALL_STATE(2005)] = 95363,
  [SMALL_STATE(2006)] = 95390,
  [SMALL_STATE(2007)] = 95417,
  [SMALL_STATE(2008)] = 95444,
  [SMALL_STATE(2009)] = 95471,
  [SMALL_STATE(2010)] = 95506,
  [SMALL_STATE(2011)] = 95537,
  [SMALL_STATE(2012)] = 95572,
  [SMALL_STATE(2013)] = 95607,
  [SMALL_STATE(2014)] = 95642,
  [SMALL_STATE(2015)] = 95677,
  [SMALL_STATE(2016)] = 95708,
  [SMALL_STATE(2017)] = 95737,
  [SMALL_STATE(2018)] = 95772,
  [SMALL_STATE(2019)] = 95807,
  [SMALL_STATE(2020)] = 95834,
  [SMALL_STATE(2021)] = 95865,
  [SMALL_STATE(2022)] = 95892,
  [SMALL_STATE(2023)] = 95927,
  [SMALL_STATE(2024)] = 95954,
  [SMALL_STATE(2025)] = 95989,
  [SMALL_STATE(2026)] = 96024,
  [SMALL_STATE(2027)] = 96059,
  [SMALL_STATE(2028)] = 96094,
  [SMALL_STATE(2029)] = 96129,
  [SMALL_STATE(2030)] = 96156,
  [SMALL_STATE(2031)] = 96185,
  [SMALL_STATE(2032)] = 96212,
  [SMALL_STATE(2033)] = 96247,
  [SMALL_STATE(2034)] = 96280,
  [SMALL_STATE(2035)] = 96315,
  [SMALL_STATE(2036)] = 96350,
  [SMALL_STATE(2037)] = 96379,
  [SMALL_STATE(2038)] = 96406,
  [SMALL_STATE(2039)] = 96437,
  [SMALL_STATE(2040)] = 96468,
  [SMALL_STATE(2041)] = 96495,
  [SMALL_STATE(2042)] = 96530,
  [SMALL_STATE(2043)] = 96556,
  [SMALL_STATE(2044)] = 96582,
  [SMALL_STATE(2045)] = 96614,
  [SMALL_STATE(2046)] = 96646,
  [SMALL_STATE(2047)] = 96678,
  [SMALL_STATE(2048)] = 96704,
  [SMALL_STATE(2049)] = 96736,
  [SMALL_STATE(2050)] = 96762,
  [SMALL_STATE(2051)] = 96790,
  [SMALL_STATE(2052)] = 96822,
  [SMALL_STATE(2053)] = 96852,
  [SMALL_STATE(2054)] = 96884,
  [SMALL_STATE(2055)] = 96912,
  [SMALL_STATE(2056)] = 96944,
  [SMALL_STATE(2057)] = 96976,
  [SMALL_STATE(2058)] = 97006,
  [SMALL_STATE(2059)] = 97032,
  [SMALL_STATE(2060)] = 97062,
  [SMALL_STATE(2061)] = 97088,
  [SMALL_STATE(2062)] = 97120,
  [SMALL_STATE(2063)] = 97152,
  [SMALL_STATE(2064)] = 97178,
  [SMALL_STATE(2065)] = 97210,
  [SMALL_STATE(2066)] = 97238,
  [SMALL_STATE(2067)] = 97270,
  [SMALL_STATE(2068)] = 97302,
  [SMALL_STATE(2069)] = 97334,
  [SMALL_STATE(2070)] = 97366,
  [SMALL_STATE(2071)] = 97396,
  [SMALL_STATE(2072)] = 97428,
  [SMALL_STATE(2073)] = 97460,
  [SMALL_STATE(2074)] = 97490,
  [SMALL_STATE(2075)] = 97522,
  [SMALL_STATE(2076)] = 97554,
  [SMALL_STATE(2077)] = 97586,
  [SMALL_STATE(2078)] = 97614,
  [SMALL_STATE(2079)] = 97644,
  [SMALL_STATE(2080)] = 97672,
  [SMALL_STATE(2081)] = 97700,
  [SMALL_STATE(2082)] = 97730,
  [SMALL_STATE(2083)] = 97756,
  [SMALL_STATE(2084)] = 97784,
  [SMALL_STATE(2085)] = 97816,
  [SMALL_STATE(2086)] = 97848,
  [SMALL_STATE(2087)] = 97874,
  [SMALL_STATE(2088)] = 97900,
  [SMALL_STATE(2089)] = 97932,
  [SMALL_STATE(2090)] = 97960,
  [SMALL_STATE(2091)] = 97992,
  [SMALL_STATE(2092)] = 98024,
  [SMALL_STATE(2093)] = 98056,
  [SMALL_STATE(2094)] = 98086,
  [SMALL_STATE(2095)] = 98115,
  [SMALL_STATE(2096)] = 98140,
  [SMALL_STATE(2097)] = 98169,
  [SMALL_STATE(2098)] = 98198,
  [SMALL_STATE(2099)] = 98227,
  [SMALL_STATE(2100)] = 98256,
  [SMALL_STATE(2101)] = 98285,
  [SMALL_STATE(2102)] = 98310,
  [SMALL_STATE(2103)] = 98339,
  [SMALL_STATE(2104)] = 98368,
  [SMALL_STATE(2105)] = 98397,
  [SMALL_STATE(2106)] = 98426,
  [SMALL_STATE(2107)] = 98455,
  [SMALL_STATE(2108)] = 98482,
  [SMALL_STATE(2109)] = 98511,
  [SMALL_STATE(2110)] = 98536,
  [SMALL_STATE(2111)] = 98565,
  [SMALL_STATE(2112)] = 98592,
  [SMALL_STATE(2113)] = 98621,
  [SMALL_STATE(2114)] = 98650,
  [SMALL_STATE(2115)] = 98677,
  [SMALL_STATE(2116)] = 98706,
  [SMALL_STATE(2117)] = 98735,
  [SMALL_STATE(2118)] = 98764,
  [SMALL_STATE(2119)] = 98793,
  [SMALL_STATE(2120)] = 98822,
  [SMALL_STATE(2121)] = 98849,
  [SMALL_STATE(2122)] = 98874,
  [SMALL_STATE(2123)] = 98903,
  [SMALL_STATE(2124)] = 98932,
  [SMALL_STATE(2125)] = 98959,
  [SMALL_STATE(2126)] = 98988,
  [SMALL_STATE(2127)] = 99017,
  [SMALL_STATE(2128)] = 99046,
  [SMALL_STATE(2129)] = 99075,
  [SMALL_STATE(2130)] = 99104,
  [SMALL_STATE(2131)] = 99133,
  [SMALL_STATE(2132)] = 99160,
  [SMALL_STATE(2133)] = 99189,
  [SMALL_STATE(2134)] = 99218,
  [SMALL_STATE(2135)] = 99247,
  [SMALL_STATE(2136)] = 99276,
  [SMALL_STATE(2137)] = 99301,
  [SMALL_STATE(2138)] = 99326,
  [SMALL_STATE(2139)] = 99355,
  [SMALL_STATE(2140)] = 99384,
  [SMALL_STATE(2141)] = 99409,
  [SMALL_STATE(2142)] = 99438,
  [SMALL_STATE(2143)] = 99463,
  [SMALL_STATE(2144)] = 99492,
  [SMALL_STATE(2145)] = 99521,
  [SMALL_STATE(2146)] = 99550,
  [SMALL_STATE(2147)] = 99577,
  [SMALL_STATE(2148)] = 99606,
  [SMALL_STATE(2149)] = 99635,
  [SMALL_STATE(2150)] = 99664,
  [SMALL_STATE(2151)] = 99693,
  [SMALL_STATE(2152)] = 99722,
  [SMALL_STATE(2153)] = 99751,
  [SMALL_STATE(2154)] = 99780,
  [SMALL_STATE(2155)] = 99809,
  [SMALL_STATE(2156)] = 99838,
  [SMALL_STATE(2157)] = 99867,
  [SMALL_STATE(2158)] = 99896,
  [SMALL_STATE(2159)] = 99925,
  [SMALL_STATE(2160)] = 99954,
  [SMALL_STATE(2161)] = 99983,
  [SMALL_STATE(2162)] = 100010,
  [SMALL_STATE(2163)] = 100035,
  [SMALL_STATE(2164)] = 100064,
  [SMALL_STATE(2165)] = 100093,
  [SMALL_STATE(2166)] = 100122,
  [SMALL_STATE(2167)] = 100151,
  [SMALL_STATE(2168)] = 100180,
  [SMALL_STATE(2169)] = 100209,
  [SMALL_STATE(2170)] = 100236,
  [SMALL_STATE(2171)] = 100265,
  [SMALL_STATE(2172)] = 100290,
  [SMALL_STATE(2173)] = 100319,
  [SMALL_STATE(2174)] = 100348,
  [SMALL_STATE(2175)] = 100377,
  [SMALL_STATE(2176)] = 100406,
  [SMALL_STATE(2177)] = 100435,
  [SMALL_STATE(2178)] = 100464,
  [SMALL_STATE(2179)] = 100491,
  [SMALL_STATE(2180)] = 100520,
  [SMALL_STATE(2181)] = 100549,
  [SMALL_STATE(2182)] = 100578,
  [SMALL_STATE(2183)] = 100605,
  [SMALL_STATE(2184)] = 100634,
  [SMALL_STATE(2185)] = 100661,
  [SMALL_STATE(2186)] = 100688,
  [SMALL_STATE(2187)] = 100717,
  [SMALL_STATE(2188)] = 100746,
  [SMALL_STATE(2189)] = 100775,
  [SMALL_STATE(2190)] = 100804,
  [SMALL_STATE(2191)] = 100833,
  [SMALL_STATE(2192)] = 100862,
  [SMALL_STATE(2193)] = 100889,
  [SMALL_STATE(2194)] = 100918,
  [SMALL_STATE(2195)] = 100947,
  [SMALL_STATE(2196)] = 100976,
  [SMALL_STATE(2197)] = 101005,
  [SMALL_STATE(2198)] = 101034,
  [SMALL_STATE(2199)] = 101063,
  [SMALL_STATE(2200)] = 101092,
  [SMALL_STATE(2201)] = 101117,
  [SMALL_STATE(2202)] = 101146,
  [SMALL_STATE(2203)] = 101175,
  [SMALL_STATE(2204)] = 101204,
  [SMALL_STATE(2205)] = 101233,
  [SMALL_STATE(2206)] = 101260,
  [SMALL_STATE(2207)] = 101289,
  [SMALL_STATE(2208)] = 101318,
  [SMALL_STATE(2209)] = 101347,
  [SMALL_STATE(2210)] = 101376,
  [SMALL_STATE(2211)] = 101405,
  [SMALL_STATE(2212)] = 101434,
  [SMALL_STATE(2213)] = 101463,
  [SMALL_STATE(2214)] = 101492,
  [SMALL_STATE(2215)] = 101521,
  [SMALL_STATE(2216)] = 101546,
  [SMALL_STATE(2217)] = 101575,
  [SMALL_STATE(2218)] = 101604,
  [SMALL_STATE(2219)] = 101633,
  [SMALL_STATE(2220)] = 101662,
  [SMALL_STATE(2221)] = 101691,
  [SMALL_STATE(2222)] = 101720,
  [SMALL_STATE(2223)] = 101749,
  [SMALL_STATE(2224)] = 101778,
  [SMALL_STATE(2225)] = 101807,
  [SMALL_STATE(2226)] = 101836,
  [SMALL_STATE(2227)] = 101865,
  [SMALL_STATE(2228)] = 101894,
  [SMALL_STATE(2229)] = 101923,
  [SMALL_STATE(2230)] = 101952,
  [SMALL_STATE(2231)] = 101981,
  [SMALL_STATE(2232)] = 102010,
  [SMALL_STATE(2233)] = 102039,
  [SMALL_STATE(2234)] = 102064,
  [SMALL_STATE(2235)] = 102093,
  [SMALL_STATE(2236)] = 102122,
  [SMALL_STATE(2237)] = 102151,
  [SMALL_STATE(2238)] = 102180,
  [SMALL_STATE(2239)] = 102209,
  [SMALL_STATE(2240)] = 102238,
  [SMALL_STATE(2241)] = 102267,
  [SMALL_STATE(2242)] = 102296,
  [SMALL_STATE(2243)] = 102321,
  [SMALL_STATE(2244)] = 102350,
  [SMALL_STATE(2245)] = 102379,
  [SMALL_STATE(2246)] = 102408,
  [SMALL_STATE(2247)] = 102437,
  [SMALL_STATE(2248)] = 102464,
  [SMALL_STATE(2249)] = 102493,
  [SMALL_STATE(2250)] = 102522,
  [SMALL_STATE(2251)] = 102551,
  [SMALL_STATE(2252)] = 102580,
  [SMALL_STATE(2253)] = 102609,
  [SMALL_STATE(2254)] = 102638,
  [SMALL_STATE(2255)] = 102667,
  [SMALL_STATE(2256)] = 102692,
  [SMALL_STATE(2257)] = 102719,
  [SMALL_STATE(2258)] = 102748,
  [SMALL_STATE(2259)] = 102777,
  [SMALL_STATE(2260)] = 102806,
  [SMALL_STATE(2261)] = 102835,
  [SMALL_STATE(2262)] = 102864,
  [SMALL_STATE(2263)] = 102889,
  [SMALL_STATE(2264)] = 102918,
  [SMALL_STATE(2265)] = 102947,
  [SMALL_STATE(2266)] = 102976,
  [SMALL_STATE(2267)] = 103001,
  [SMALL_STATE(2268)] = 103030,
  [SMALL_STATE(2269)] = 103059,
  [SMALL_STATE(2270)] = 103088,
  [SMALL_STATE(2271)] = 103117,
  [SMALL_STATE(2272)] = 103146,
  [SMALL_STATE(2273)] = 103175,
  [SMALL_STATE(2274)] = 103204,
  [SMALL_STATE(2275)] = 103233,
  [SMALL_STATE(2276)] = 103262,
  [SMALL_STATE(2277)] = 103291,
  [SMALL_STATE(2278)] = 103320,
  [SMALL_STATE(2279)] = 103349,
  [SMALL_STATE(2280)] = 103374,
  [SMALL_STATE(2281)] = 103403,
  [SMALL_STATE(2282)] = 103432,
  [SMALL_STATE(2283)] = 103461,
  [SMALL_STATE(2284)] = 103490,
  [SMALL_STATE(2285)] = 103519,
  [SMALL_STATE(2286)] = 103548,
  [SMALL_STATE(2287)] = 103577,
  [SMALL_STATE(2288)] = 103606,
  [SMALL_STATE(2289)] = 103635,
  [SMALL_STATE(2290)] = 103662,
  [SMALL_STATE(2291)] = 103687,
  [SMALL_STATE(2292)] = 103712,
  [SMALL_STATE(2293)] = 103741,
  [SMALL_STATE(2294)] = 103770,
  [SMALL_STATE(2295)] = 103799,
  [SMALL_STATE(2296)] = 103828,
  [SMALL_STATE(2297)] = 103857,
  [SMALL_STATE(2298)] = 103886,
  [SMALL_STATE(2299)] = 103915,
  [SMALL_STATE(2300)] = 103944,
  [SMALL_STATE(2301)] = 103973,
  [SMALL_STATE(2302)] = 104002,
  [SMALL_STATE(2303)] = 104031,
  [SMALL_STATE(2304)] = 104060,
  [SMALL_STATE(2305)] = 104089,
  [SMALL_STATE(2306)] = 104118,
  [SMALL_STATE(2307)] = 104147,
  [SMALL_STATE(2308)] = 104176,
  [SMALL_STATE(2309)] = 104205,
  [SMALL_STATE(2310)] = 104234,
  [SMALL_STATE(2311)] = 104263,
  [SMALL_STATE(2312)] = 104292,
  [SMALL_STATE(2313)] = 104321,
  [SMALL_STATE(2314)] = 104350,
  [SMALL_STATE(2315)] = 104379,
  [SMALL_STATE(2316)] = 104408,
  [SMALL_STATE(2317)] = 104437,
  [SMALL_STATE(2318)] = 104466,
  [SMALL_STATE(2319)] = 104491,
  [SMALL_STATE(2320)] = 104516,
  [SMALL_STATE(2321)] = 104545,
  [SMALL_STATE(2322)] = 104571,
  [SMALL_STATE(2323)] = 104597,
  [SMALL_STATE(2324)] = 104623,
  [SMALL_STATE(2325)] = 104649,
  [SMALL_STATE(2326)] = 104675,
  [SMALL_STATE(2327)] = 104701,
  [SMALL_STATE(2328)] = 104727,
  [SMALL_STATE(2329)] = 104753,
  [SMALL_STATE(2330)] = 104779,
  [SMALL_STATE(2331)] = 104805,
  [SMALL_STATE(2332)] = 104831,
  [SMALL_STATE(2333)] = 104857,
  [SMALL_STATE(2334)] = 104883,
  [SMALL_STATE(2335)] = 104909,
  [SMALL_STATE(2336)] = 104935,
  [SMALL_STATE(2337)] = 104961,
  [SMALL_STATE(2338)] = 104987,
  [SMALL_STATE(2339)] = 105013,
  [SMALL_STATE(2340)] = 105039,
  [SMALL_STATE(2341)] = 105065,
  [SMALL_STATE(2342)] = 105091,
  [SMALL_STATE(2343)] = 105117,
  [SMALL_STATE(2344)] = 105143,
  [SMALL_STATE(2345)] = 105169,
  [SMALL_STATE(2346)] = 105195,
  [SMALL_STATE(2347)] = 105221,
  [SMALL_STATE(2348)] = 105247,
  [SMALL_STATE(2349)] = 105273,
  [SMALL_STATE(2350)] = 105299,
  [SMALL_STATE(2351)] = 105325,
  [SMALL_STATE(2352)] = 105351,
  [SMALL_STATE(2353)] = 105377,
  [SMALL_STATE(2354)] = 105403,
  [SMALL_STATE(2355)] = 105427,
  [SMALL_STATE(2356)] = 105453,
  [SMALL_STATE(2357)] = 105477,
  [SMALL_STATE(2358)] = 105503,
  [SMALL_STATE(2359)] = 105529,
  [SMALL_STATE(2360)] = 105555,
  [SMALL_STATE(2361)] = 105581,
  [SMALL_STATE(2362)] = 105607,
  [SMALL_STATE(2363)] = 105633,
  [SMALL_STATE(2364)] = 105659,
  [SMALL_STATE(2365)] = 105685,
  [SMALL_STATE(2366)] = 105711,
  [SMALL_STATE(2367)] = 105737,
  [SMALL_STATE(2368)] = 105763,
  [SMALL_STATE(2369)] = 105789,
  [SMALL_STATE(2370)] = 105815,
  [SMALL_STATE(2371)] = 105841,
  [SMALL_STATE(2372)] = 105867,
  [SMALL_STATE(2373)] = 105893,
  [SMALL_STATE(2374)] = 105919,
  [SMALL_STATE(2375)] = 105945,
  [SMALL_STATE(2376)] = 105971,
  [SMALL_STATE(2377)] = 105997,
  [SMALL_STATE(2378)] = 106023,
  [SMALL_STATE(2379)] = 106049,
  [SMALL_STATE(2380)] = 106075,
  [SMALL_STATE(2381)] = 106101,
  [SMALL_STATE(2382)] = 106127,
  [SMALL_STATE(2383)] = 106153,
  [SMALL_STATE(2384)] = 106179,
  [SMALL_STATE(2385)] = 106205,
  [SMALL_STATE(2386)] = 106231,
  [SMALL_STATE(2387)] = 106257,
  [SMALL_STATE(2388)] = 106283,
  [SMALL_STATE(2389)] = 106309,
  [SMALL_STATE(2390)] = 106335,
  [SMALL_STATE(2391)] = 106359,
  [SMALL_STATE(2392)] = 106385,
  [SMALL_STATE(2393)] = 106411,
  [SMALL_STATE(2394)] = 106437,
  [SMALL_STATE(2395)] = 106463,
  [SMALL_STATE(2396)] = 106487,
  [SMALL_STATE(2397)] = 106513,
  [SMALL_STATE(2398)] = 106539,
  [SMALL_STATE(2399)] = 106563,
  [SMALL_STATE(2400)] = 106589,
  [SMALL_STATE(2401)] = 106615,
  [SMALL_STATE(2402)] = 106641,
  [SMALL_STATE(2403)] = 106665,
  [SMALL_STATE(2404)] = 106691,
  [SMALL_STATE(2405)] = 106717,
  [SMALL_STATE(2406)] = 106743,
  [SMALL_STATE(2407)] = 106769,
  [SMALL_STATE(2408)] = 106795,
  [SMALL_STATE(2409)] = 106821,
  [SMALL_STATE(2410)] = 106847,
  [SMALL_STATE(2411)] = 106871,
  [SMALL_STATE(2412)] = 106897,
  [SMALL_STATE(2413)] = 106923,
  [SMALL_STATE(2414)] = 106949,
  [SMALL_STATE(2415)] = 106975,
  [SMALL_STATE(2416)] = 107001,
  [SMALL_STATE(2417)] = 107027,
  [SMALL_STATE(2418)] = 107051,
  [SMALL_STATE(2419)] = 107077,
  [SMALL_STATE(2420)] = 107103,
  [SMALL_STATE(2421)] = 107129,
  [SMALL_STATE(2422)] = 107153,
  [SMALL_STATE(2423)] = 107179,
  [SMALL_STATE(2424)] = 107205,
  [SMALL_STATE(2425)] = 107231,
  [SMALL_STATE(2426)] = 107257,
  [SMALL_STATE(2427)] = 107283,
  [SMALL_STATE(2428)] = 107309,
  [SMALL_STATE(2429)] = 107333,
  [SMALL_STATE(2430)] = 107359,
  [SMALL_STATE(2431)] = 107385,
  [SMALL_STATE(2432)] = 107411,
  [SMALL_STATE(2433)] = 107437,
  [SMALL_STATE(2434)] = 107463,
  [SMALL_STATE(2435)] = 107489,
  [SMALL_STATE(2436)] = 107515,
  [SMALL_STATE(2437)] = 107541,
  [SMALL_STATE(2438)] = 107565,
  [SMALL_STATE(2439)] = 107591,
  [SMALL_STATE(2440)] = 107617,
  [SMALL_STATE(2441)] = 107643,
  [SMALL_STATE(2442)] = 107669,
  [SMALL_STATE(2443)] = 107693,
  [SMALL_STATE(2444)] = 107719,
  [SMALL_STATE(2445)] = 107745,
  [SMALL_STATE(2446)] = 107771,
  [SMALL_STATE(2447)] = 107797,
  [SMALL_STATE(2448)] = 107823,
  [SMALL_STATE(2449)] = 107849,
  [SMALL_STATE(2450)] = 107875,
  [SMALL_STATE(2451)] = 107901,
  [SMALL_STATE(2452)] = 107927,
  [SMALL_STATE(2453)] = 107953,
  [SMALL_STATE(2454)] = 107979,
  [SMALL_STATE(2455)] = 108003,
  [SMALL_STATE(2456)] = 108029,
  [SMALL_STATE(2457)] = 108055,
  [SMALL_STATE(2458)] = 108081,
  [SMALL_STATE(2459)] = 108107,
  [SMALL_STATE(2460)] = 108133,
  [SMALL_STATE(2461)] = 108159,
  [SMALL_STATE(2462)] = 108185,
  [SMALL_STATE(2463)] = 108211,
  [SMALL_STATE(2464)] = 108237,
  [SMALL_STATE(2465)] = 108263,
  [SMALL_STATE(2466)] = 108289,
  [SMALL_STATE(2467)] = 108315,
  [SMALL_STATE(2468)] = 108341,
  [SMALL_STATE(2469)] = 108367,
  [SMALL_STATE(2470)] = 108391,
  [SMALL_STATE(2471)] = 108417,
  [SMALL_STATE(2472)] = 108443,
  [SMALL_STATE(2473)] = 108467,
  [SMALL_STATE(2474)] = 108491,
  [SMALL_STATE(2475)] = 108517,
  [SMALL_STATE(2476)] = 108543,
  [SMALL_STATE(2477)] = 108569,
  [SMALL_STATE(2478)] = 108595,
  [SMALL_STATE(2479)] = 108621,
  [SMALL_STATE(2480)] = 108647,
  [SMALL_STATE(2481)] = 108673,
  [SMALL_STATE(2482)] = 108699,
  [SMALL_STATE(2483)] = 108725,
  [SMALL_STATE(2484)] = 108749,
  [SMALL_STATE(2485)] = 108775,
  [SMALL_STATE(2486)] = 108799,
  [SMALL_STATE(2487)] = 108825,
  [SMALL_STATE(2488)] = 108849,
  [SMALL_STATE(2489)] = 108873,
  [SMALL_STATE(2490)] = 108897,
  [SMALL_STATE(2491)] = 108921,
  [SMALL_STATE(2492)] = 108945,
  [SMALL_STATE(2493)] = 108969,
  [SMALL_STATE(2494)] = 108995,
  [SMALL_STATE(2495)] = 109021,
  [SMALL_STATE(2496)] = 109047,
  [SMALL_STATE(2497)] = 109073,
  [SMALL_STATE(2498)] = 109099,
  [SMALL_STATE(2499)] = 109123,
  [SMALL_STATE(2500)] = 109149,
  [SMALL_STATE(2501)] = 109175,
  [SMALL_STATE(2502)] = 109199,
  [SMALL_STATE(2503)] = 109223,
  [SMALL_STATE(2504)] = 109247,
  [SMALL_STATE(2505)] = 109273,
  [SMALL_STATE(2506)] = 109297,
  [SMALL_STATE(2507)] = 109321,
  [SMALL_STATE(2508)] = 109347,
  [SMALL_STATE(2509)] = 109373,
  [SMALL_STATE(2510)] = 109399,
  [SMALL_STATE(2511)] = 109425,
  [SMALL_STATE(2512)] = 109451,
  [SMALL_STATE(2513)] = 109477,
  [SMALL_STATE(2514)] = 109501,
  [SMALL_STATE(2515)] = 109527,
  [SMALL_STATE(2516)] = 109553,
  [SMALL_STATE(2517)] = 109577,
  [SMALL_STATE(2518)] = 109601,
  [SMALL_STATE(2519)] = 109627,
  [SMALL_STATE(2520)] = 109651,
  [SMALL_STATE(2521)] = 109677,
  [SMALL_STATE(2522)] = 109703,
  [SMALL_STATE(2523)] = 109729,
  [SMALL_STATE(2524)] = 109755,
  [SMALL_STATE(2525)] = 109781,
  [SMALL_STATE(2526)] = 109805,
  [SMALL_STATE(2527)] = 109831,
  [SMALL_STATE(2528)] = 109854,
  [SMALL_STATE(2529)] = 109877,
  [SMALL_STATE(2530)] = 109900,
  [SMALL_STATE(2531)] = 109923,
  [SMALL_STATE(2532)] = 109946,
  [SMALL_STATE(2533)] = 109969,
  [SMALL_STATE(2534)] = 109992,
  [SMALL_STATE(2535)] = 110015,
  [SMALL_STATE(2536)] = 110038,
  [SMALL_STATE(2537)] = 110061,
  [SMALL_STATE(2538)] = 110084,
  [SMALL_STATE(2539)] = 110107,
  [SMALL_STATE(2540)] = 110130,
  [SMALL_STATE(2541)] = 110153,
  [SMALL_STATE(2542)] = 110176,
  [SMALL_STATE(2543)] = 110199,
  [SMALL_STATE(2544)] = 110222,
  [SMALL_STATE(2545)] = 110245,
  [SMALL_STATE(2546)] = 110268,
  [SMALL_STATE(2547)] = 110291,
  [SMALL_STATE(2548)] = 110314,
  [SMALL_STATE(2549)] = 110337,
  [SMALL_STATE(2550)] = 110360,
  [SMALL_STATE(2551)] = 110383,
  [SMALL_STATE(2552)] = 110406,
  [SMALL_STATE(2553)] = 110429,
  [SMALL_STATE(2554)] = 110452,
  [SMALL_STATE(2555)] = 110475,
  [SMALL_STATE(2556)] = 110498,
  [SMALL_STATE(2557)] = 110521,
  [SMALL_STATE(2558)] = 110544,
  [SMALL_STATE(2559)] = 110567,
  [SMALL_STATE(2560)] = 110590,
  [SMALL_STATE(2561)] = 110613,
  [SMALL_STATE(2562)] = 110636,
  [SMALL_STATE(2563)] = 110659,
  [SMALL_STATE(2564)] = 110682,
  [SMALL_STATE(2565)] = 110705,
  [SMALL_STATE(2566)] = 110728,
  [SMALL_STATE(2567)] = 110751,
  [SMALL_STATE(2568)] = 110774,
  [SMALL_STATE(2569)] = 110797,
  [SMALL_STATE(2570)] = 110820,
  [SMALL_STATE(2571)] = 110843,
  [SMALL_STATE(2572)] = 110866,
  [SMALL_STATE(2573)] = 110889,
  [SMALL_STATE(2574)] = 110912,
  [SMALL_STATE(2575)] = 110935,
  [SMALL_STATE(2576)] = 110958,
  [SMALL_STATE(2577)] = 110981,
  [SMALL_STATE(2578)] = 111004,
  [SMALL_STATE(2579)] = 111027,
  [SMALL_STATE(2580)] = 111050,
  [SMALL_STATE(2581)] = 111073,
  [SMALL_STATE(2582)] = 111096,
  [SMALL_STATE(2583)] = 111119,
  [SMALL_STATE(2584)] = 111142,
  [SMALL_STATE(2585)] = 111165,
  [SMALL_STATE(2586)] = 111188,
  [SMALL_STATE(2587)] = 111211,
  [SMALL_STATE(2588)] = 111234,
  [SMALL_STATE(2589)] = 111257,
  [SMALL_STATE(2590)] = 111280,
  [SMALL_STATE(2591)] = 111303,
  [SMALL_STATE(2592)] = 111326,
  [SMALL_STATE(2593)] = 111349,
  [SMALL_STATE(2594)] = 111372,
  [SMALL_STATE(2595)] = 111395,
  [SMALL_STATE(2596)] = 111418,
  [SMALL_STATE(2597)] = 111441,
  [SMALL_STATE(2598)] = 111464,
  [SMALL_STATE(2599)] = 111487,
  [SMALL_STATE(2600)] = 111510,
  [SMALL_STATE(2601)] = 111533,
  [SMALL_STATE(2602)] = 111556,
  [SMALL_STATE(2603)] = 111579,
  [SMALL_STATE(2604)] = 111602,
  [SMALL_STATE(2605)] = 111625,
  [SMALL_STATE(2606)] = 111648,
  [SMALL_STATE(2607)] = 111671,
  [SMALL_STATE(2608)] = 111694,
  [SMALL_STATE(2609)] = 111717,
  [SMALL_STATE(2610)] = 111740,
  [SMALL_STATE(2611)] = 111763,
  [SMALL_STATE(2612)] = 111786,
  [SMALL_STATE(2613)] = 111809,
  [SMALL_STATE(2614)] = 111832,
  [SMALL_STATE(2615)] = 111855,
  [SMALL_STATE(2616)] = 111878,
  [SMALL_STATE(2617)] = 111901,
  [SMALL_STATE(2618)] = 111924,
  [SMALL_STATE(2619)] = 111947,
  [SMALL_STATE(2620)] = 111970,
  [SMALL_STATE(2621)] = 111993,
  [SMALL_STATE(2622)] = 112016,
  [SMALL_STATE(2623)] = 112039,
  [SMALL_STATE(2624)] = 112062,
  [SMALL_STATE(2625)] = 112085,
  [SMALL_STATE(2626)] = 112108,
  [SMALL_STATE(2627)] = 112131,
  [SMALL_STATE(2628)] = 112154,
  [SMALL_STATE(2629)] = 112177,
  [SMALL_STATE(2630)] = 112200,
  [SMALL_STATE(2631)] = 112223,
  [SMALL_STATE(2632)] = 112246,
  [SMALL_STATE(2633)] = 112269,
  [SMALL_STATE(2634)] = 112292,
  [SMALL_STATE(2635)] = 112315,
  [SMALL_STATE(2636)] = 112338,
  [SMALL_STATE(2637)] = 112361,
  [SMALL_STATE(2638)] = 112384,
  [SMALL_STATE(2639)] = 112407,
  [SMALL_STATE(2640)] = 112430,
  [SMALL_STATE(2641)] = 112453,
  [SMALL_STATE(2642)] = 112476,
  [SMALL_STATE(2643)] = 112499,
  [SMALL_STATE(2644)] = 112522,
  [SMALL_STATE(2645)] = 112545,
  [SMALL_STATE(2646)] = 112568,
  [SMALL_STATE(2647)] = 112591,
  [SMALL_STATE(2648)] = 112614,
  [SMALL_STATE(2649)] = 112637,
  [SMALL_STATE(2650)] = 112660,
  [SMALL_STATE(2651)] = 112683,
  [SMALL_STATE(2652)] = 112706,
  [SMALL_STATE(2653)] = 112729,
  [SMALL_STATE(2654)] = 112752,
  [SMALL_STATE(2655)] = 112775,
  [SMALL_STATE(2656)] = 112798,
  [SMALL_STATE(2657)] = 112821,
  [SMALL_STATE(2658)] = 112844,
  [SMALL_STATE(2659)] = 112867,
  [SMALL_STATE(2660)] = 112890,
  [SMALL_STATE(2661)] = 112913,
  [SMALL_STATE(2662)] = 112936,
  [SMALL_STATE(2663)] = 112959,
  [SMALL_STATE(2664)] = 112982,
  [SMALL_STATE(2665)] = 113005,
  [SMALL_STATE(2666)] = 113028,
  [SMALL_STATE(2667)] = 113051,
  [SMALL_STATE(2668)] = 113074,
  [SMALL_STATE(2669)] = 113097,
  [SMALL_STATE(2670)] = 113120,
  [SMALL_STATE(2671)] = 113143,
  [SMALL_STATE(2672)] = 113166,
  [SMALL_STATE(2673)] = 113189,
  [SMALL_STATE(2674)] = 113212,
  [SMALL_STATE(2675)] = 113235,
  [SMALL_STATE(2676)] = 113258,
  [SMALL_STATE(2677)] = 113281,
  [SMALL_STATE(2678)] = 113304,
  [SMALL_STATE(2679)] = 113327,
  [SMALL_STATE(2680)] = 113350,
  [SMALL_STATE(2681)] = 113373,
  [SMALL_STATE(2682)] = 113396,
  [SMALL_STATE(2683)] = 113419,
  [SMALL_STATE(2684)] = 113442,
  [SMALL_STATE(2685)] = 113465,
  [SMALL_STATE(2686)] = 113488,
  [SMALL_STATE(2687)] = 113511,
  [SMALL_STATE(2688)] = 113534,
  [SMALL_STATE(2689)] = 113557,
  [SMALL_STATE(2690)] = 113580,
  [SMALL_STATE(2691)] = 113603,
  [SMALL_STATE(2692)] = 113626,
  [SMALL_STATE(2693)] = 113649,
  [SMALL_STATE(2694)] = 113672,
  [SMALL_STATE(2695)] = 113695,
  [SMALL_STATE(2696)] = 113718,
  [SMALL_STATE(2697)] = 113741,
  [SMALL_STATE(2698)] = 113764,
  [SMALL_STATE(2699)] = 113787,
  [SMALL_STATE(2700)] = 113810,
  [SMALL_STATE(2701)] = 113833,
  [SMALL_STATE(2702)] = 113856,
  [SMALL_STATE(2703)] = 113879,
  [SMALL_STATE(2704)] = 113902,
  [SMALL_STATE(2705)] = 113925,
  [SMALL_STATE(2706)] = 113948,
  [SMALL_STATE(2707)] = 113971,
  [SMALL_STATE(2708)] = 113994,
  [SMALL_STATE(2709)] = 114017,
  [SMALL_STATE(2710)] = 114040,
  [SMALL_STATE(2711)] = 114063,
  [SMALL_STATE(2712)] = 114086,
  [SMALL_STATE(2713)] = 114109,
  [SMALL_STATE(2714)] = 114132,
  [SMALL_STATE(2715)] = 114155,
  [SMALL_STATE(2716)] = 114178,
  [SMALL_STATE(2717)] = 114201,
  [SMALL_STATE(2718)] = 114224,
  [SMALL_STATE(2719)] = 114247,
  [SMALL_STATE(2720)] = 114270,
  [SMALL_STATE(2721)] = 114293,
  [SMALL_STATE(2722)] = 114316,
  [SMALL_STATE(2723)] = 114339,
  [SMALL_STATE(2724)] = 114362,
  [SMALL_STATE(2725)] = 114385,
  [SMALL_STATE(2726)] = 114408,
  [SMALL_STATE(2727)] = 114431,
  [SMALL_STATE(2728)] = 114454,
  [SMALL_STATE(2729)] = 114477,
  [SMALL_STATE(2730)] = 114500,
  [SMALL_STATE(2731)] = 114523,
  [SMALL_STATE(2732)] = 114546,
  [SMALL_STATE(2733)] = 114569,
  [SMALL_STATE(2734)] = 114592,
  [SMALL_STATE(2735)] = 114615,
  [SMALL_STATE(2736)] = 114638,
  [SMALL_STATE(2737)] = 114661,
  [SMALL_STATE(2738)] = 114684,
  [SMALL_STATE(2739)] = 114707,
  [SMALL_STATE(2740)] = 114730,
  [SMALL_STATE(2741)] = 114753,
  [SMALL_STATE(2742)] = 114776,
  [SMALL_STATE(2743)] = 114799,
  [SMALL_STATE(2744)] = 114822,
  [SMALL_STATE(2745)] = 114845,
  [SMALL_STATE(2746)] = 114868,
  [SMALL_STATE(2747)] = 114891,
  [SMALL_STATE(2748)] = 114914,
  [SMALL_STATE(2749)] = 114918,
  [SMALL_STATE(2750)] = 114922,
  [SMALL_STATE(2751)] = 114926,
  [SMALL_STATE(2752)] = 114930,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 4),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 5),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 6),
  [153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(397),
  [158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2743),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(878),
  [164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(878),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(876),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(873),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1692),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1693),
  [179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1670),
  [182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1667),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1775),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1774),
  [191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1706),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1744),
  [197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(26),
  [200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(111),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(892),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(218),
  [209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(60),
  [212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1510),
  [215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(460),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1151),
  [221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1211),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1184),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(309),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2335),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(51),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2355),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2250),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(141),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(135),
  [248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2369),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2370),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2353),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2387),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2711),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2710),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2413),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2085),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1485),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1606),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2005),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2217),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2480),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1871),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1455),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2215),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2680),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2318),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2319),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2255),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1522),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1589),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2007),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1726),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(852),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(465),
  [354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2743),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(878),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(878),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(876),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(873),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1692),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1693),
  [375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1670),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1667),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1775),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1774),
  [387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1706),
  [390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1744),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(26),
  [396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(111),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(892),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(218),
  [407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(60),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1510),
  [413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(460),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1151),
  [419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1211),
  [422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1184),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(309),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2335),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2670),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(51),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2355),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2250),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(141),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(135),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2369),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2370),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2353),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2387),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1485),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1606),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2005),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2217),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2480),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(165),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1871),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1455),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2215),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2318),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2255),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1519),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1585),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2007),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(852),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(397),
  [525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2743),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(878),
  [531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(878),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(876),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(873),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1692),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1693),
  [546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1670),
  [549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1667),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1775),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1774),
  [558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1706),
  [561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1744),
  [564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(26),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2),
  [569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(111),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(892),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(218),
  [578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(60),
  [581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1510),
  [584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(460),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1151),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1211),
  [593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1184),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(309),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2335),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(51),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2355),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2250),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(141),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(135),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2369),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2370),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2353),
  [626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2387),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1485),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1606),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2005),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2217),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2480),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1871),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1455),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2215),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2318),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2255),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1519),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(1585),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2007),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(852),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 2, .production_id = 27),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 1),
  [835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 59),
  [837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 75),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 46),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 2, .production_id = 29),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 2),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 44),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 62),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 29),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_set_or_map_literal, 2), REDUCE(sym_block, 2),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 2),
  [996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 2),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_set_or_map_literal, 2), REDUCE(sym_block, 2),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [1011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2342),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1763),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1781),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1),
  [1030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 7),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 7),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1627),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2352),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat3, 2),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat3, 2),
  [1060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat3, 2), SHIFT_REPEAT(2342),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat3, 2), SHIFT_REPEAT(2609),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat2, 2),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat2, 2),
  [1070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat2, 2), SHIFT_REPEAT(2342),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat2, 2), SHIFT_REPEAT(1491),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 2),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 1),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 1),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 4),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 4),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_part, 3),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__on_part, 3),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 3),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 3),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_part, 4),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__on_part, 4),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_part, 2),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__on_part, 2),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_section, 2),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_section, 2),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_section, 3),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_section, 3),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 2),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 2),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 39),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 39),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 21),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 21),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_tag, 3),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_tag, 3),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, .dynamic_precedence = 2),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, .dynamic_precedence = 2),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 13),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 13),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 2),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 7),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 7),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, .dynamic_precedence = 1),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, .dynamic_precedence = 1),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, .production_id = 8),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, .production_id = 8),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 12),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 12),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 12),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 12),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 26),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 26),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 38),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 38),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_each_statement, 4),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_each_statement, 4),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, .production_id = 14),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, .production_id = 14),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 7),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 7),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_import, 1),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_import, 1),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_or_export, 1),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_or_export, 1),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 3),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 3),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_export, 3),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_export, 3),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 6),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 6),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_name, 4),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_name, 4),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 4),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 4),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_export, 4),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_export, 4),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_name, 3),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_name, 3),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_export, 5),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_export, 5),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_import, 2),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_import, 2),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 5),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 5),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_section, 4),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_section, 4),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part_of_directive, 5),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part_of_directive, 5),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part_of_directive, 4),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part_of_directive, 4),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat3, 1),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat3, 1),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part_directive, 3),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part_directive, 3),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part_directive, 4),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part_directive, 4),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary, 1),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_name, 1, .production_id = 1),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignable_expression, 1),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignable_expression, 1),
  [1322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary, 1), SHIFT(622),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary, 1),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary, 1), REDUCE(sym__type_name, 1, .production_id = 1),
  [1330] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__primary, 1), REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(1771),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary, 1), SHIFT(2574),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat2, 1),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat2, 1),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_declaration, 6, .production_id = 72),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_declaration, 6, .production_id = 72),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2),
  [1349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_definition, 2), REDUCE(sym_class_definition, 3),
  [1352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class_definition, 2), REDUCE(sym_class_definition, 3),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 34),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 34),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 4),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 4),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 3),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 3),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 1, .dynamic_precedence = 22),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 1, .dynamic_precedence = 22),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 5),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 5),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_declaration, 5, .production_id = 57),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_declaration, 5, .production_id = 57),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 50),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 50),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 6),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 6),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 1),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 1),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 4),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 4),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 70),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 70),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_declaration, 4, .production_id = 36),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_declaration, 4, .production_id = 36),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_declaration, 5, .production_id = 56),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_declaration, 5, .production_id = 56),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 2),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 2),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 5),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 5),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 4),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 4),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_declaration, 3, .production_id = 24),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_declaration, 3, .production_id = 24),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_body, 2),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_body, 2),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 6),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 6),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2, .dynamic_precedence = 22),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2, .dynamic_precedence = 22),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 55),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 55),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 33),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 33),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1692),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1693),
  [1463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1670),
  [1466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1667),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1775),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1774),
  [1475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1706),
  [1478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1744),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 32),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 32),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 3),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 3),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 7),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 7),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 54),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 54),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 5),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 5),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 69),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 69),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 16),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 16),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 79),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 79),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 49),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 49),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 35),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 35),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(212),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(1365),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(2600),
  [1572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(2601),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 16),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, .production_id = 16),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 51),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 51),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_application_class, 4),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_application_class, 4),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 68),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 68),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_body, 3),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_body, 3),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_application_class, 5),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_application_class, 5),
  [1599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 71),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 71),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_definition, 3), REDUCE(sym_class_definition, 4),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class_definition, 3), REDUCE(sym_class_definition, 4),
  [1609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(223),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(2619),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(2620),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary, 1), REDUCE(sym__simple_formal_parameter, 1),
  [1669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__simple_formal_parameter, 1),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cascade_subsection, 2),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cascade_subsection, 2),
  [1678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 2), SHIFT(126),
  [1681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cascade_subsection, 2), SHIFT(1621),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cascade_subsection, 1),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cascade_subsection, 1),
  [1688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 1), SHIFT(126),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cascade_subsection, 1), SHIFT(1621),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat1, 2),
  [1698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(126),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(1621),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_formal_parameter, 1),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [1740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(1916),
  [1743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(129),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 1), SHIFT(129),
  [1753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 2), SHIFT(129),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(1971),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_label, 2),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 2),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2),
  [1797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2),
  [1799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_label, 4),
  [1801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 4),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2),
  [1805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_relational_expression, 3), SHIFT(1206),
  [1814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_relational_expression, 3), SHIFT(1206),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 3),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 3),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(261),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 17),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 17),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_additive_expression_repeat1, 2),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_additive_expression_repeat1, 2),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1579),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [1843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2387),
  [1846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1606),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2005),
  [1852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1871),
  [1855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2673),
  [1858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1455),
  [1861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2215),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1504),
  [1867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2318),
  [1870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1729),
  [1873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2012),
  [1876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1586),
  [1879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2007),
  [1882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1726),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1728),
  [1890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1727),
  [1893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1672),
  [1896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1673),
  [1899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1780),
  [1902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1784),
  [1905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1723),
  [1908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1720),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_without_cascade, 1),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_without_cascade, 1),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_shift_expression_repeat1, 2),
  [1919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shift_expression_repeat1, 2),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_label, 3),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 3),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_selector, 3),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_selector, 3),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 1),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignable_selector_part, 2),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignable_selector_part, 2),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector, 1),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary, 2),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignable_expression, 2),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignable_expression, 2),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary, 2),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignable_selector_part, 1),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignable_selector_part, 1),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_assignable_selector, 2),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_assignable_selector, 2),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unconditional_assignable_selector, 2),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unconditional_assignable_selector, 2),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignable_selector, 1),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignable_selector, 1),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unconditional_assignable_selector, 1),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unconditional_assignable_selector, 1),
  [1979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(292),
  [1982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unconditional_assignable_selector, 2), REDUCE(sym_super_formal_parameter, 3),
  [1985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unconditional_assignable_selector, 2), REDUCE(sym_super_formal_parameter, 3),
  [1988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unconditional_assignable_selector, 2), SHIFT(622),
  [1991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unconditional_assignable_selector, 2), SHIFT(1771),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 1),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat1, 1),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_part, 1),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_part, 1),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_part, 2),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_part, 2),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 1),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 1),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_loop_parts, 3, .production_id = 28),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_loop_parts, 3, .production_id = 28),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_selector, 1),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_selector, 1),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_selector, 2),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_selector, 2),
  [2034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 1),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 1),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_formal_parameter, 3),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_single_quotes, 3),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_single_quotes, 3),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_double_quotes, 2),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_double_quotes, 2),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 1),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 1),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_double_quotes, 3),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_double_quotes, 3),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_single_quotes_multiple, 2),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_single_quotes_multiple, 2),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_single_quotes_multiple, 3),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_single_quotes_multiple, 3),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_double_quotes_multiple, 3),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_double_quotes_multiple, 3),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_single_quotes_multiple, 3),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_single_quotes_multiple, 3),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_double_quotes, 3),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_double_quotes, 3),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_double_quotes, 2),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_double_quotes, 2),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_double_quotes_multiple, 2),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_double_quotes_multiple, 2),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_single_quotes, 2),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_single_quotes, 2),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_single_quotes, 3),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_single_quotes, 3),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_double_quotes_multiple, 3),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_double_quotes_multiple, 3),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_single_quotes_multiple, 2),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_single_quotes_multiple, 2),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_single_quotes, 2),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_single_quotes, 2),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_double_quotes_multiple, 2),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_double_quotes_multiple, 2),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression, 1),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(1365),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(1621),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression, 1),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [2138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(187),
  [2141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(130),
  [2144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(814),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2568),
  [2150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2565),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 1),
  [2155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(1365),
  [2158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(1621),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 1),
  [2163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(187),
  [2166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(130),
  [2169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(814),
  [2172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2568),
  [2175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2565),
  [2178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(204),
  [2181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2575),
  [2184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2578),
  [2187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(204),
  [2190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2575),
  [2193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2578),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2),
  [2198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(203),
  [2201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(130),
  [2204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1365),
  [2207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1621),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2),
  [2212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(814),
  [2215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2607),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2604),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [2231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(213),
  [2234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(124),
  [2237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(992),
  [2240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2605),
  [2243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2606),
  [2246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(222),
  [2249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2614),
  [2252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2615),
  [2255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(222),
  [2258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(124),
  [2261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(992),
  [2264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2614),
  [2267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2615),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [2272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(1365),
  [2275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(1621),
  [2278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access, 2),
  [2282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(1365),
  [2285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(1621),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access, 2),
  [2290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(213),
  [2293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2605),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2606),
  [2299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_member_access, 2), SHIFT(204),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_member_access, 2), SHIFT(130),
  [2305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(814),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(2575),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(2578),
  [2314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(204),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(130),
  [2320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(814),
  [2323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2575),
  [2326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2578),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [2335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(187),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2568),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2565),
  [2344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_member_access, 2), SHIFT(187),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(2568),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(2565),
  [2353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_member_access, 2), SHIFT(222),
  [2356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_member_access, 2), SHIFT(124),
  [2359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(992),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(2614),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(2615),
  [2368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_member_access, 2), SHIFT(213),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(2605),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_member_access, 2), SHIFT(2606),
  [2377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(213),
  [2380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(124),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(992),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2605),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2606),
  [2392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(222),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2614),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2615),
  [2401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(216),
  [2404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(124),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(992),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2610),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2611),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [2434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1743),
  [2437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1741),
  [2440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1680),
  [2443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1679),
  [2446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1749),
  [2449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1750),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1740),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1739),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer, 3),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 5),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer, 5),
  [2490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary, 1), SHIFT(2574),
  [2493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(286),
  [2496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(270),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [2533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 1),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1346),
  [2538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(801),
  [2541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1793),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 1),
  [2546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(255),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 1),
  [2551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 1),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2),
  [2557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_type_tails, 2),
  [2563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(760),
  [2566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1),
  [2569] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1346),
  [2573] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(801),
  [2577] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1793),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 3),
  [2586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1346),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(801),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 3),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 2),
  [2598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1346),
  [2601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(801),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 2),
  [2606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shift_expression_repeat1, 2), SHIFT_REPEAT(1204),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shift_expression_repeat1, 2), SHIFT_REPEAT(1204),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__real_expression, 1),
  [2614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__real_expression, 1),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1),
  [2622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(801),
  [2625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1611),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multiplicative_expression_repeat1, 2),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multiplicative_expression_repeat1, 2),
  [2634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiplicative_expression_repeat1, 2), SHIFT_REPEAT(1186),
  [2637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multiplicative_expression_repeat1, 2), SHIFT_REPEAT(1186),
  [2640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(127),
  [2643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(192),
  [2646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(2538),
  [2649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(2539),
  [2652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2),
  [2655] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1346),
  [2659] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(801),
  [2663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shift_expression, 2),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shift_expression, 2),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [2672] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1354),
  [2676] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(865),
  [2680] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1773),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [2686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1354),
  [2689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(865),
  [2692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1773),
  [2695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(841),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_expression, 2),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_expression, 2),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 2),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 2),
  [2706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 2), SHIFT(1916),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 4),
  [2711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(801),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 4),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2),
  [2718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(801),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__expression_repeat1, 2),
  [2743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(1916),
  [2746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(865),
  [2749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1614),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1354),
  [2755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(865),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_additive_expression_repeat1, 2), SHIFT_REPEAT(1199),
  [2761] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1354),
  [2765] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(865),
  [2769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1354),
  [2772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(865),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_name, 1, .production_id = 1),
  [2777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(2542),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_expression, 2),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_expression, 2),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 3),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 3),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(265),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(272),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 3),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 3),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 2),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 2),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_and_expression, 2),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_and_expression, 2),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_builtin_identifier, 1),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_builtin_identifier, 1),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_xor_expression, 2),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_xor_expression, 2),
  [2822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(244),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_or_expression, 2),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_or_expression, 2),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_and_expression, 2),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_and_expression, 2),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(207),
  [2836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(125),
  [2839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1229),
  [2842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2586),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2587),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_or_expression, 2),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_or_expression, 2),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void, 1),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(801),
  [2857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void, 1),
  [2859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(865),
  [2862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(262),
  [2865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(254),
  [2868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(1971),
  [2871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 2), SHIFT(1971),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__primary, 1),
  [2877] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__primary, 1), REDUCE(sym__type_name, 1, .production_id = 1),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 4),
  [2883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 4),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_null_expression, 2, .production_id = 6),
  [2887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_null_expression, 2, .production_id = 6),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 5),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 5),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 5),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 5),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 6),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 6),
  [2901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(2564),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(865),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nullable_type, 1),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nullable_type, 1),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18),
  [2913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(266),
  [2916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 1),
  [2920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_type_tails, 1),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_dot_identifier, 2, .production_id = 11),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_dot_identifier, 2, .production_id = 11),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_name, 2, .production_id = 1),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_name, 2, .production_id = 1),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_function, 1),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [2934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 2),
  [2938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 2),
  [2940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__primary, 1),
  [2943] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__primary, 1), SHIFT(2574),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cascade_assignment_section, 2),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cascade_assignment_section, 2),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_object_expression, 3),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_object_expression, 3),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression_without_cascade, 2),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_expression_without_cascade, 2),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 4),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 4),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 6),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 6),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 1),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 1),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_literal, 2),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_literal, 2),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 3),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 3),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, .production_id = 8),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, .production_id = 8),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression_body, 1),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression_body, 1),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 3),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 3),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 2),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 2),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_test_expression, 2),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_test_expression, 2),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_cast_expression, 2),
  [3021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_cast_expression, 2),
  [3023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_object_expression, 4),
  [3025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_object_expression, 4),
  [3027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 7),
  [3029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 7),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_this, 1),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_this, 1),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_section, 5),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_section, 5),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 58),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 58),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_expression, 2),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 1),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 1),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 7),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 7),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_false, 1),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_false, 1),
  [3059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignable_expression, 2), REDUCE(sym__primary, 2),
  [3062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_assignable_expression, 2), REDUCE(sym__primary, 2),
  [3065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_true, 1),
  [3067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_true, 1),
  [3069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 1),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__expression_repeat1, 1),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1),
  [3075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1),
  [3077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__assignable_selector_part, 1), REDUCE(sym_selector, 1),
  [3080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_selector, 1), REDUCE(sym__assignable_selector_part, 2),
  [3083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_selector, 1), REDUCE(sym__assignable_selector_part, 2),
  [3086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__assignable_selector_part, 1), REDUCE(sym_selector, 1),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super, 1),
  [3091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super, 1),
  [3093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void, 2),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void, 2),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression_body, 3),
  [3099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression_body, 3),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null_literal, 1),
  [3103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null_literal, 1),
  [3105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_operator, 1),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_operator, 1),
  [3109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression_body, 2),
  [3111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression_body, 2),
  [3113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(273),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_invocation, 5),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_invocation, 5),
  [3120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(865),
  [3123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(283),
  [3126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(299),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4),
  [3131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_cast, 2),
  [3135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_cast, 2),
  [3137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_test, 2),
  [3139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_test, 2),
  [3141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 5),
  [3143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 5),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 4),
  [3147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 4),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 5),
  [3151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 5),
  [3153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(280),
  [3156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(279),
  [3159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(259),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression_without_cascade, 3, .production_id = 19),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression_without_cascade, 3, .production_id = 19),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 19),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 19),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 6),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 6),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [3190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(293),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [3233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary, 1), SHIFT(2632),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3238] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1135),
  [3242] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1788),
  [3246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1135),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1788),
  [3252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1140),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1202),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1769),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label, 2),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 2),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__metadata_repeat1, 2),
  [3271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__metadata_repeat1, 2), SHIFT_REPEAT(2387),
  [3274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__metadata, 1),
  [3276] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1202),
  [3280] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1769),
  [3284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1135),
  [3287] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1135),
  [3291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1135),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_marker_annotation, 2, .production_id = 4),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marker_annotation, 2, .production_id = 4),
  [3304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1169),
  [3307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1202),
  [3310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1202),
  [3313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1135),
  [3316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1607),
  [3319] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1202),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [3325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1694),
  [3328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1695),
  [3331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1682),
  [3334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1681),
  [3337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1806),
  [3340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1803),
  [3343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1699),
  [3346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1702),
  [3349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1135),
  [3352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1135),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_operator, 1),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_operator, 1),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1202),
  [3368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1620),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, .production_id = 31),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, .production_id = 31),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_operator, 1),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_operator, 1),
  [3385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(289),
  [3388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_operator, 1),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_operator, 1),
  [3392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(290),
  [3395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(288),
  [3398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(285),
  [3401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(284),
  [3404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1202),
  [3407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(282),
  [3410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tilde_operator, 1),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tilde_operator, 1),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiplicative_operator, 1),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiplicative_operator, 1),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1202),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shift_operator, 1),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shift_operator, 1),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_operator, 1),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_operator, 1),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shift_operator, 1),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shift_operator, 1),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_operator, 1),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_operator, 1),
  [3437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1135),
  [3440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negation_operator, 1),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negation_operator, 1),
  [3444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(268),
  [3447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(267),
  [3450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, .production_id = 15),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, .production_id = 15),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotation, 1),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotation, 1),
  [3458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(271),
  [3461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(275),
  [3464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(274),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1202),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [3482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(269),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__metadata_repeat1, 1),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__metadata_repeat1, 1),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [3497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 2), SHIFT(127),
  [3500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 1), SHIFT(127),
  [3503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(257),
  [3506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(251),
  [3509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(256),
  [3512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(253),
  [3515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(258),
  [3518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(252),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__native, 1),
  [3567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__native, 1),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3571] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1418),
  [3575] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1770),
  [3579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1418),
  [3582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1770),
  [3585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external_and_static, 1), SHIFT(1725),
  [3588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external_and_static, 1), SHIFT(1606),
  [3591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external_and_static, 1), SHIFT(1455),
  [3594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__external_and_static, 1),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1365),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1418),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1418),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3613] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1418),
  [3617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1417),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [3624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1418),
  [3627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1598),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [3634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1365),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [3639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1455),
  [3642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1365),
  [3645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1418),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1418),
  [3651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(295),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1418),
  [3659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(296),
  [3662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(294),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [3667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(291),
  [3670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(287),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [3675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 4), SHIFT(1365),
  [3678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(281),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(1462),
  [3686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(1606),
  [3689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__external, 1),
  [3691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(1455),
  [3694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(2215),
  [3697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(1729),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [3704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__operator, 1),
  [3706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator, 1),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [3714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(1771),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [3737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1), SHIFT(1686),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1),
  [3746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1), SHIFT(1758),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(200),
  [3764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(128),
  [3767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1621),
  [3770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1856),
  [3773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2566),
  [3776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2567),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_formal_parameter, 2),
  [3781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [3785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_member_definition, 2),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_member_definition, 2),
  [3789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strict_formal_parameter_list, 2),
  [3817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strict_formal_parameter_list, 2),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter_part, 1),
  [3821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__formal_parameter_part, 1),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strict_formal_parameter_list, 3),
  [3827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strict_formal_parameter_list, 3),
  [3829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strict_formal_parameter_list, 4),
  [3831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strict_formal_parameter_list, 4),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strict_formal_parameter_list, 5),
  [3837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strict_formal_parameter_list, 5),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter_part, 2),
  [3843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__formal_parameter_part, 2),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter_list, 1),
  [3847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameter_list, 1),
  [3849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(1462),
  [3852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_or_type, 1),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [3858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1), SHIFT(1462),
  [3861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(1730),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 2), SHIFT(1462),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 2),
  [3869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1), SHIFT(1834),
  [3872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 2), SHIFT(1730),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_function, 1),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_formal_parameter, 4),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_param, 3),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_param, 4),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(1980),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3910] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1349),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [3918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2),
  [3922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(1921),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [3929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(1909),
  [3932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__required, 1),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__required, 1),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [3940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1349),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 6),
  [3949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer, 6),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 4),
  [3953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer, 4),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__metadata_repeat1, 2), SHIFT_REPEAT(2342),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__metadata_repeat1, 2),
  [3986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 1), REDUCE(sym__type_name, 1, .production_id = 1),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(1365),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1978),
  [4003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1978),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2),
  [4008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2252),
  [4011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1959),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [4016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1985),
  [4019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1985),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2),
  [4024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2296),
  [4027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1907),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__metadata, 1),
  [4050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(2574),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4077] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1349),
  [4081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1349),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1867),
  [4105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1867),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 2),
  [4110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1795),
  [4113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1883),
  [4116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1883),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 2),
  [4121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(1800),
  [4124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1349),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(2001),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 2),
  [4148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(2138),
  [4151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(2031),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 2),
  [4156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(2006),
  [4159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(2301),
  [4162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(2002),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configurable_uri, 1),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 1),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [4195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_signature, 1),
  [4197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__external_builtin, 1),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__static, 1),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_identifier, 1),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [4223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_list, 1),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, .production_id = 23),
  [4239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, .production_id = 23),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_signature, 3, .production_id = 20),
  [4245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter_signature, 3, .production_id = 20),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializers, 3),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializers, 3),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, .production_id = 4),
  [4271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, .production_id = 4),
  [4273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_identifier, 3, .production_id = 20),
  [4275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_signature, 4),
  [4277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_signature, 4),
  [4279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 2, .production_id = 5),
  [4281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 2, .production_id = 5),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_signature, 3, .production_id = 4),
  [4285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter_signature, 3, .production_id = 4),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [4293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_configuration_uri_condition, 3),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configuration_uri_condition, 3),
  [4297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_formal_parameter, 3),
  [4299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__export, 1),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__export, 1),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_identifier, 2, .production_id = 4),
  [4309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__formal_parameter_part, 1), REDUCE(sym_constructor_signature, 2, .production_id = 52),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_signature, 2, .production_id = 52),
  [4314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__formal_parameter_part, 1), REDUCE(sym_constructor_signature, 2, .production_id = 52),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_formal_parameter, 4),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializers_repeat1, 2),
  [4323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializers_repeat1, 2), SHIFT_REPEAT(1751),
  [4326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_initializers_repeat1, 2),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_formal_parameter, 2),
  [4334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_signature, 3),
  [4336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_signature, 3),
  [4338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1630),
  [4341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2352),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [4346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import, 1),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import, 1),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializers, 2),
  [4352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializers, 2),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_signature, 2, .production_id = 4),
  [4356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter_signature, 2, .production_id = 4),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 2, .production_id = 9),
  [4362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 2, .production_id = 9),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 1),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [4382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 1),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [4388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_signature, 4, .production_id = 20),
  [4390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter_signature, 4, .production_id = 20),
  [4392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(1900),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 2),
  [4397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(1880),
  [4400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_identifier, 4, .production_id = 37),
  [4402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 1),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [4406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 1),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 2),
  [4414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(1896),
  [4417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(1868),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sub_string_test, 2),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sub_string_test, 2),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_configurable_uri_repeat1, 2),
  [4432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_configurable_uri_repeat1, 2), SHIFT_REPEAT(2475),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(1734),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion, 2),
  [4458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion, 2),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [4462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion_arguments, 6),
  [4464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion_arguments, 6),
  [4466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_factory_constructor_signature, 4),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [4470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_factory_constructor_signature, 4),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list_entry, 2),
  [4482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list_entry, 2),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_signature, 4, .production_id = 80),
  [4486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_signature, 4, .production_id = 80),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion_arguments, 3),
  [4490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion_arguments, 3),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configurable_uri, 2),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion_arguments, 4),
  [4504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion_arguments, 4),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 1),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [4516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 1),
  [4518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__covariant, 1),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion_arguments, 5),
  [4530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion_arguments, 5),
  [4532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(1941),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 1),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [4549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 1),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list_entry, 4),
  [4557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list_entry, 4),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_factory_constructor_signature, 3),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [4563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_factory_constructor_signature, 3),
  [4565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list_entry, 1),
  [4567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list_entry, 1),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_formal_parameter, 5),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 2),
  [4577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_signature, 2),
  [4579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declared_identifier, 3, .production_id = 20), REDUCE(sym__declared_identifier, 4, .production_id = 37),
  [4582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1),
  [4584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_factory_constructor_signature_repeat1, 2),
  [4590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_factory_constructor_signature_repeat1, 2), SHIFT_REPEAT(2638),
  [4593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, .production_id = 5),
  [4595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, .production_id = 5),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uri, 1),
  [4603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_formal_parameter, 5),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 2),
  [4607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_substitution, 2),
  [4609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declared_identifier, 2, .production_id = 4), REDUCE(sym__declared_identifier, 3, .production_id = 20),
  [4612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameter, 1, .production_id = 2),
  [4614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_substitution, 4),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 4),
  [4618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameter, 1),
  [4620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 1, .production_id = 2),
  [4622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element, 1),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_param, 5),
  [4628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 23),
  [4630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 23),
  [4632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_signature, 4, .production_id = 20),
  [4634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter_signature, 4, .production_id = 20),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 4),
  [4638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 4),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 1),
  [4642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_signature, 5, .production_id = 20),
  [4644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter_signature, 5, .production_id = 20),
  [4646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_formal_parameter, 1, .production_id = 2),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_signature, 4, .production_id = 4),
  [4650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter_signature, 4, .production_id = 4),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, .production_id = 9),
  [4656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, .production_id = 9),
  [4658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_signature, 3, .production_id = 4),
  [4660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter_signature, 3, .production_id = 4),
  [4662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 11),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameter, 2),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameter, 2, .production_id = 10),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__native, 2),
  [4674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__native, 2),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 1),
  [4680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 1),
  [4682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_signature, 5),
  [4684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_signature, 5),
  [4686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 1),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 1),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_case_repeat1, 2), SHIFT_REPEAT(2685),
  [4693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_case_repeat1, 2),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_list, 1),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2), SHIFT_REPEAT(2700),
  [4706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_list, 2),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 1),
  [4714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1455),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [4719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inferred_type, 1),
  [4721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 1),
  [4723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__late_builtin, 1),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [4727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_identifier_list, 1),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_variable_definition, 1, .production_id = 2),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 42),
  [4741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_list, 2),
  [4743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_not_void_list_repeat1, 2),
  [4745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_not_void_list_repeat1, 2), SHIFT_REPEAT(1650),
  [4748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__external_and_static, 2),
  [4750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_library_export_repeat1, 2),
  [4752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_library_export_repeat1, 2), SHIFT_REPEAT(2478),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [4767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_configurable_uri_repeat1, 1),
  [4769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 2, .production_id = 30),
  [4771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configuration_uri, 3),
  [4773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_identifier_list, 2),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_list, 1),
  [4777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_element, 3, .production_id = 14),
  [4779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_element, 5, .production_id = 39),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 2), SHIFT(131),
  [4786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 2),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_identifier, 2),
  [4792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 1), SHIFT(131),
  [4795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 1),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_parameter_type, 2),
  [4801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_operator, 1),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 2),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_element, 4, .production_id = 26),
  [4813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_element, 3, .production_id = 13),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_application, 2),
  [4819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 1),
  [4821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_type_list_repeat1, 2), SHIFT_REPEAT(1508),
  [4824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_type_list_repeat1, 2),
  [4826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 11),
  [4828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_named_parameter, 1),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_named_parameter, 2),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [4838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2),
  [4840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2), SHIFT_REPEAT(122),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [4847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 25),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 3),
  [4851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_parameter_type, 1),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [4863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__normal_formal_parameters, 2), SHIFT(777),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameters, 2),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_library_export_repeat1, 1),
  [4872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 48),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 47),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 45),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat1, 2, .production_id = 43), SHIFT_REPEAT(167),
  [4885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat1, 2, .production_id = 43),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 2), SHIFT_REPEAT(2298),
  [4894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 2),
  [4896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat2, 2), SHIFT_REPEAT(148),
  [4899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat2, 2),
  [4901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 3), SHIFT(2116),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 3),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_formal_parameter, 1),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 2), SHIFT_REPEAT(2116),
  [4927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_or_type, 2),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [4933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2), SHIFT_REPEAT(2298),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [4940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__final_const_var_or_type, 3), SHIFT(2184),
  [4943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__var_or_type, 2), SHIFT(2184),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(1975),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_case_repeat1, 1),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__normal_formal_parameters, 1), SHIFT(777),
  [4970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameters, 1),
  [4972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 3),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_parameter_types_repeat1, 2),
  [4982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_parameter_types_repeat1, 2), SHIFT_REPEAT(1415),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [4997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 60),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 61),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [5011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__normal_formal_parameters_repeat1, 2), SHIFT_REPEAT(777),
  [5014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__normal_formal_parameters_repeat1, 2),
  [5016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__var_or_type, 1), SHIFT(2184),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 63),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 64),
  [5025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 65),
  [5027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat2, 2, .production_id = 66), SHIFT_REPEAT(179),
  [5030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat2, 2, .production_id = 66),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [5040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 67),
  [5042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [5044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2), SHIFT_REPEAT(1745),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [5051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(1801),
  [5054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [5060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initialized_identifier_list_repeat1, 2), SHIFT_REPEAT(2360),
  [5063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initialized_identifier_list_repeat1, 2),
  [5065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_variable_definition, 3, .production_id = 22),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(1649),
  [5080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_combinator, 2),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [5102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_positional_parameters_repeat1, 2), SHIFT_REPEAT(725),
  [5105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_positional_parameters_repeat1, 2),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [5109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_identifier_list, 2),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [5119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__get, 1),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [5143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__final_or_const, 1),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__implements, 1),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [5159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_identifier_list, 1),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [5163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__named_formal_parameters_repeat1, 2),
  [5165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__named_formal_parameters_repeat1, 2), SHIFT_REPEAT(701),
  [5168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 3), SHIFT(2298),
  [5171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 3),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [5181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_builtin, 1),
  [5183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializers_repeat1, 2), SHIFT_REPEAT(1759),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_variable_definition, 2, .production_id = 2),
  [5196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixins, 2),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_list, 2),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__try_head, 2, .production_id = 3),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [5222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 73),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 74),
  [5226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_operator, 1),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_final_declaration_list, 2),
  [5232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 76),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [5238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 77),
  [5240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 78),
  [5242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_static_final_declaration_list_repeat1, 2), SHIFT_REPEAT(2448),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_static_final_declaration_list_repeat1, 2),
  [5247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_operator, 2),
  [5249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__final_const_var_or_type, 2), SHIFT(2639),
  [5252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_final_declaration_list, 1),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [5256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 1), SHIFT(2298),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [5265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 2), SHIFT(2116),
  [5268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 2), SHIFT(2298),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 7),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [5283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 7, .production_id = 84),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 6, .production_id = 81),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [5293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 6, .production_id = 82),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [5297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 6, .production_id = 83),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [5303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_variable_definition, 4, .production_id = 22),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set, 1),
  [5307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typedef, 1),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [5347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_parameter_type, 3),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_constructor_signature, 3),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [5375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 5),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [5381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 6),
  [5383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat2, 2, .production_id = 30),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [5389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 7),
  [5391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_named_parameter, 4),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_parameter_type, 2),
  [5403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uri_test, 1),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 3),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [5421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 1),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [5441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified, 1),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [5445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, .production_id = 4),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat1, 2, .production_id = 41),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, .production_id = 11),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 2),
  [5461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 1),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [5467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 1, .production_id = 5),
  [5469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_formal_parameter, 3),
  [5471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_named_parameter, 3),
  [5473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_parameter_type, 1),
  [5475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interfaces, 2),
  [5477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_final_declaration, 3),
  [5479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_argument, 2),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [5485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_identifier, 3),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_formal_parameters, 1),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 9),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [5667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__var_or_type, 1), SHIFT(1918),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [5700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_types, 1),
  [5702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__deferred, 1),
  [5704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as, 1),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_formal_parameters, 3),
  [5722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optional_postional_formal_parameters, 3),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [5744] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__factory, 1),
  [5748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 22),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dot_identifier, 2, .dynamic_precedence = 19),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [5756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mixin, 1),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [5760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_formal_parameters, 4),
  [5762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optional_postional_formal_parameters, 4),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 40),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [5774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bitwise_operator, 1),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [5778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 1),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_operator, 1),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [5784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_parameters, 3),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [5794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter_types, 3),
  [5796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_positional_parameter_types, 3),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_formal_parameters, 5),
  [5802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optional_postional_formal_parameters, 5),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [5814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [5818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_application, 3),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [5822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter_types, 4),
  [5824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_positional_parameter_types, 4),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [5828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified, 3),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [5832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirection, 3),
  [5834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4),
  [5836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_parameters, 5),
  [5838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uri_test, 3),
  [5840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter_types, 5),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_positional_parameter_types, 5),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [5846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [5852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirection, 5),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [5858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 8),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [5870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
  [5872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_documentation_comment, 1),
  [5874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 3),
  [5876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2),
  [5878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_documentation_comment, 2),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_dart_external_scanner_create(void);
void tree_sitter_dart_external_scanner_destroy(void *);
bool tree_sitter_dart_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_dart_external_scanner_serialize(void *, char *);
void tree_sitter_dart_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_dart(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_dart_external_scanner_create,
      tree_sitter_dart_external_scanner_destroy,
      tree_sitter_dart_external_scanner_scan,
      tree_sitter_dart_external_scanner_serialize,
      tree_sitter_dart_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
